"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const utility_1 = require("../../core/utility");
const settings_1 = require("../../core/settings");
function findByName(name) {
    return __awaiter(this, void 0, void 0, function* () {
        const flat = utility_1.flatten((yield settings_1.uiThemes()).map(({ plugin, themes }) => themes.map(theme => ({ plugin, theme }))));
        return flat.find(_ => _.theme.name === name);
    });
}
exports.findByName = findByName;
exports.default = findByName;
//# sourceMappingURL=find.js.map