import { Tab } from '../../tab';
import { MetadataBearing } from '../../../models/entity';
import { SidecarMode } from '../../bottom-stripe';
export declare type SidecarModeFilter<Resource extends MetadataBearing> = (resource: Resource) => boolean;
declare type ModeDeclaration<Resource extends MetadataBearing> = SidecarMode;
export interface ModeRegistration<Resource extends MetadataBearing> {
    when: SidecarModeFilter<Resource>;
    mode: ModeDeclaration<Resource>;
}
export declare function registerSidecarMode<Resource extends MetadataBearing>(registration: ModeRegistration<Resource>): void;
export default registerSidecarMode;
export declare const registerModeWhen: <Resource extends MetadataBearing<void>>(when: SidecarModeFilter<Resource>) => (mode: SidecarMode<MetadataBearing<void>>) => void;
export declare function apply<Resource extends MetadataBearing>(tab: Tab, modes: SidecarMode[], command: string, resource: {
    resource: Resource;
}): void;
