'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var iconHelpers = require('@carbon/icon-helpers');
var PropTypes = _interopDefault(require('prop-types'));

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

var Icon = React.forwardRef(function Icon(_ref, ref) {
  var className = _ref.className,
      children = _ref.children,
      tabIndex = _ref.tabIndex,
      rest = _objectWithoutProperties(_ref, ["className", "children", "tabIndex"]);

  var _getAttributes = iconHelpers.getAttributes(_objectSpread2({}, rest, {
    tabindex: tabIndex
  })),
      tabindex = _getAttributes.tabindex,
      props = _objectWithoutProperties(_getAttributes, ["tabindex"]);

  if (className) {
    props.className = className;
  }

  if (tabindex !== undefined && tabindex !== null) {
    props.tabIndex = tabindex;
  }

  if (ref) {
    props.ref = ref;
  }

  return React.createElement('svg', props, children);
});
Icon.displayName = 'Icon';
Icon.propTypes = {
  'aria-hidden': PropTypes.string,
  'aria-label': PropTypes.string,
  'aria-labelledby': PropTypes.string,
  className: PropTypes.string,
  children: PropTypes.node,
  height: PropTypes.number,
  preserveAspectRatio: PropTypes.string,
  tabIndex: PropTypes.string,
  viewBox: PropTypes.string,
  width: PropTypes.number,
  xmlns: PropTypes.string
};
Icon.defaultProps = {
  xmlns: 'http://www.w3.org/2000/svg',
  preserveAspectRatio: 'xMidYMid meet'
};

var Apps16=/*#__PURE__*/React.forwardRef(function Apps16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M4 2v2H2V2h2zm1-1H1v4h4V1zM9 2v2H7V2h2zm1-1H6v4h4V1zM14 2v2h-2V2h2zm1-1h-4v4h4V1zM4 7v2H2V7h2zm1-1H1v4h4V6zM9 7v2H7V7h2zm1-1H6v4h4V6zM14 7v2h-2V7h2zm1-1h-4v4h4V6zM4 12v2H2v-2h2zm1-1H1v4h4v-4zM9 12v2H7v-2h2zm1-1H6v4h4v-4zM14 12v2h-2v-2h2zm1-1h-4v4h4v-4z"}),props.children);});var ArrowDown16=/*#__PURE__*/React.forwardRef(function ArrowDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"12.3,9.3 8.5,13.1 8.5,1 7.5,1 7.5,13.1 3.7,9.3 3,10 8,15 13,10"}),props.children);});var ArrowLeft16=/*#__PURE__*/React.forwardRef(function ArrowLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"6.7,12.3 2.9,8.5 15,8.5 15,7.5 2.9,7.5 6.7,3.7 6,3 1,8 6,13"}),props.children);});var ArrowRight16=/*#__PURE__*/React.forwardRef(function ArrowRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"9.3,3.7 13.1,7.5 1,7.5 1,8.5 13.1,8.5 9.3,12.3 10,13 15,8 10,3"}),props.children);});var ArrowUp16=/*#__PURE__*/React.forwardRef(function ArrowUp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"3.7,6.7 7.5,2.9 7.5,15 8.5,15 8.5,2.9 12.3,6.7 13,6 8,1 3,6"}),props.children);});var Asleep16=/*#__PURE__*/React.forwardRef(function Asleep16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M7.2,2.3c-1,4.4,1.7,8.7,6.1,9.8c0.1,0,0.1,0,0.2,0c-1.1,1.2-2.7,1.8-4.3,1.8c-0.1,0-0.2,0-0.2,0C5.6,13.8,3,11,3.2,7.7\tC3.2,5.3,4.8,3.1,7.2,2.3 M8,1L8,1C4.1,1.6,1.5,5.3,2.1,9.1c0.6,3.3,3.4,5.8,6.8,5.9c0.1,0,0.2,0,0.3,0c2.3,0,4.4-1.1,5.8-3\tc0.2-0.2,0.1-0.6-0.1-0.7c-0.1-0.1-0.2-0.1-0.3-0.1c-3.9-0.3-6.7-3.8-6.4-7.6C8.3,3,8.4,2.4,8.6,1.8c0.1-0.3,0-0.6-0.3-0.7\tC8.1,1,8.1,1,8,1z"}),props.children);});var Awake16=/*#__PURE__*/React.forwardRef(function Awake16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("rect",{width:"1",height:"2.5",x:"7.5",y:"1"}),React.createElement("rect",{width:"2.5",height:"1",x:"10.8",y:"3.4",transform:"rotate(-45.001 12.074 3.922)"}),React.createElement("rect",{width:"2.5",height:"1",x:"12.5",y:"7.5"}),React.createElement("rect",{width:"1",height:"2.5",x:"11.6",y:"10.8",transform:"rotate(-45.001 12.077 12.075)"}),React.createElement("rect",{width:"1",height:"2.5",x:"7.5",y:"12.5"}),React.createElement("rect",{width:"2.5",height:"1",x:"2.7",y:"11.6",transform:"rotate(-45.001 3.929 12.078)"}),React.createElement("rect",{width:"2.5",height:"1",x:"1",y:"7.5"}),React.createElement("rect",{width:"1",height:"2.5",x:"3.4",y:"2.7",transform:"rotate(-45.001 3.926 3.925)"}),React.createElement("path",{d:"M8,6c1.1,0,2,0.9,2,2s-0.9,2-2,2S6,9.1,6,8S6.9,6,8,6 M8,5C6.3,5,5,6.3,5,8s1.3,3,3,3s3-1.3,3-3S9.7,5,8,5z"}),props.children);});var CheckmarkFilled16=/*#__PURE__*/React.forwardRef(function CheckmarkFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8c0,3.9,3.1,7,7,7s7-3.1,7-7C15,4.1,11.9,1,8,1z M7,11L4.3,8.3l0.9-0.8L7,9.3l4-3.9l0.9,0.8L7,11z"}),React.createElement("path",{d:"M7,11L4.3,8.3l0.9-0.8L7,9.3l4-3.9l0.9,0.8L7,11z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var ChevronDown16=/*#__PURE__*/React.forwardRef(function ChevronDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"8,11 3,6 3.7,5.3 8,9.6 12.3,5.3 13,6"}),props.children);});var ChevronLeft16=/*#__PURE__*/React.forwardRef(function ChevronLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"5,8 10,3 10.7,3.7 6.4,8 10.7,12.3 10,13"}),props.children);});var ChevronMini16=/*#__PURE__*/React.forwardRef(function ChevronMini16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"15,9 15,15 9,15"}),props.children);});var ChevronRight16=/*#__PURE__*/React.forwardRef(function ChevronRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"11,8 6,13 5.3,12.3 9.6,8 5.3,3.7 6,3"}),props.children);});var ChevronSortDown16=/*#__PURE__*/React.forwardRef(function ChevronSortDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"8,14 4.5,10.5 5.2,9.8 8,12.6 10.8,9.8 11.5,10.5"}),props.children);});var ChevronSortUp16=/*#__PURE__*/React.forwardRef(function ChevronSortUp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"8,2 11.5,5.5 10.8,6.2 8,3.4 5.2,6.2 4.5,5.5"}),props.children);});var ChevronSort16=/*#__PURE__*/React.forwardRef(function ChevronSort16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"8,14 4.5,10.5 5.2,9.8 8,12.6 10.8,9.8 11.5,10.5"}),React.createElement("polygon",{points:"8,2 11.5,5.5 10.8,6.2 8,3.4 5.2,6.2 4.5,5.5"}),props.children);});var ChevronUp16=/*#__PURE__*/React.forwardRef(function ChevronUp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"8,5 13,10 12.3,10.7 8,6.4 3.7,10.7 3,10"}),props.children);});var CloseFilled16=/*#__PURE__*/React.forwardRef(function CloseFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M10.7,11.5L8,8.8l-2.7,2.7l-0.8-0.8L7.2,8L4.5,5.3l0.8-0.8L8,7.2\tl2.7-2.7l0.8,0.8L8.8,8l2.7,2.7L10.7,11.5z"}),props.children);});var Download16=/*#__PURE__*/React.forwardRef(function Download16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"13,7 12.3,6.3 8.5,10.1 8.5,1 7.5,1 7.5,10.1 3.7,6.3 3,7 8,12"}),React.createElement("path",{d:"M13,12v2H3v-2H2v2l0,0c0,0.6,0.4,1,1,1h10c0.6,0,1-0.4,1-1l0,0v-2H13z"}),props.children);});var ErrorFilled16=/*#__PURE__*/React.forwardRef(function ErrorFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M10.7,11.5L4.5,5.3l0.8-0.8l6.2,6.2L10.7,11.5z"}),React.createElement("path",{fill:"none",d:"M10.7,11.5L4.5,5.3l0.8-0.8l6.2,6.2L10.7,11.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var ErrorOutline16=/*#__PURE__*/React.forwardRef(function ErrorOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M8,14c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S11.3,14,8,14z"}),React.createElement("rect",{width:"1.1",height:"8.8",x:"7.4",y:"3.6",transform:"rotate(-45.001 8 8)"}),props.children);});var Export16=/*#__PURE__*/React.forwardRef(function Export16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M13,12v2H3v-2H2v2l0,0c0,0.6,0.4,1,1,1h10c0.6,0,1-0.4,1-1l0,0v-2H13z"}),React.createElement("polygon",{points:"3,6 3.7,6.7 7.5,2.9 7.5,12 8.5,12 8.5,2.9 12.3,6.7 13,6 8,1"}),props.children);});var Fade16=/*#__PURE__*/React.forwardRef(function Fade16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M4.1,12.6l-0.6,0.8c0.6,0.5,1.3,0.9,2.1,1.2l0.3-0.9C5.3,13.4,4.7,13,4.1,12.6z"}),React.createElement("path",{d:"M2.1,9l-1,0.2c0.1,0.8,0.4,1.6,0.8,2.3L2.8,11C2.4,10.4,2.2,9.7,2.1,9z"}),React.createElement("path",{d:"M5.9,2.4L5.6,1.4C4.8,1.7,4.1,2.1,3.5,2.7l0.6,0.8C4.7,3,5.3,2.6,5.9,2.4z"}),React.createElement("path",{d:"M2.8,5L1.9,4.5C1.5,5.2,1.3,6,1.1,6.8l1,0.2C2.2,6.3,2.5,5.6,2.8,5z"}),React.createElement("path",{d:"M8,1v1c3.3,0,6,2.7,6,6s-2.7,6-6,6v1c3.9,0,7-3.1,7-7S11.9,1,8,1z"}),props.children);});var HelpFilled16=/*#__PURE__*/React.forwardRef(function HelpFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M8,12.5c-0.4,0-0.8-0.3-0.8-0.8S7.6,11,8,11c0.4,0,0.8,0.3,0.8,0.8\tS8.4,12.5,8,12.5z M8.6,8.6v1.2H7.4V7.5h1.1c0.7,0,1.2-0.6,1.1-1.3c0-0.6-0.5-1.1-1.1-1.1H7.8c-0.7,0-1.2,0.5-1.2,1.2v0.3H5.4V6.3\tC5.4,5,6.5,4,7.8,4h0.7c1.3,0,2.3,1.1,2.2,2.4C10.7,7.6,9.8,8.6,8.6,8.6L8.6,8.6z"}),props.children);});var Help16=/*#__PURE__*/React.forwardRef(function Help16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M8,14c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S11.3,14,8,14z"}),React.createElement("circle",{cx:"8",cy:"11.8",r:".8"}),React.createElement("path",{d:"M8.5,4H7.8C6.5,4,5.5,5,5.5,6.2c0,0,0,0,0,0v0.2h1V6.2C6.5,5.6,7.1,5,7.8,5h0.8c0.7,0,1.2,0.6,1.2,1.2S9.2,7.5,8.5,7.5h-1\tv2.2h1V8.5c1.2,0,2.2-1,2.2-2.2S9.7,4,8.5,4z"}),props.children);});var InformationFilled16=/*#__PURE__*/React.forwardRef(function InformationFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M8,3.5c0.4,0,0.8,0.3,0.8,0.8S8.4,5,8,5C7.6,5,7.2,4.7,7.2,4.2\tS7.6,3.5,8,3.5z M10,12.1H6v-1.1h1.4V7.6H6.5V6.4h2.1v4.5H10V12.1z"}),props.children);});var Information16=/*#__PURE__*/React.forwardRef(function Information16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"8.5,11 8.5,6.5 6.5,6.5 6.5,7.5 7.5,7.5 7.5,11 6,11 6,12 10,12 10,11"}),React.createElement("path",{d:"M8,3.5c-0.4,0-0.8,0.3-0.8,0.8S7.6,5,8,5c0.4,0,0.8-0.3,0.8-0.8S8.4,3.5,8,3.5z"}),React.createElement("path",{d:"M8,15c-3.9,0-7-3.1-7-7s3.1-7,7-7s7,3.1,7,7S11.9,15,8,15z M8,2C4.7,2,2,4.7,2,8s2.7,6,6,6s6-2.7,6-6S11.3,2,8,2z"}),props.children);});var Interactions16=/*#__PURE__*/React.forwardRef(function Interactions16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M11,7 L11,9 L13,9 C13.5522847,9 14,9.44771525 14,10 L14,10 L14,13 C14,13.5522847 13.5522847,14 13,14 L13,14 L10,14 L10,7 L11,7 Z M5,9 C5.55228475,9 6,9.44771525 6,10 L6,10 L6,14 L3,14 C2.44771525,14 2,13.5522847 2,13 L2,13 L2,12 C2,11.4477153 2.44771525,11 3,11 L3,11 L5,11 L5,10 L2.5,10 L2.5,9 Z M13,10 L11,10 L11,13 L13,13 L13,10 Z M5,12 L3,12 L3,13 L5,13 L5,12 Z M7.912,2 L7.834,3.911 L9.628,3.248 L9.914,4.119 L8.068,4.626 L9.251,6.134 L8.523,6.667 L7.457,5.068 L6.391,6.667 L5.663,6.134 L6.846,4.626 L5,4.119 L5.286,3.248 L7.08,3.911 L7.002,2 L7.912,2 Z"}),props.children);});var Launch16=/*#__PURE__*/React.forwardRef(function Launch16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M13,14H3c-0.6,0-1-0.4-1-1V3c0-0.6,0.4-1,1-1h5v1H3v10h10V8h1v5C14,13.6,13.6,14,13,14z"}),React.createElement("polygon",{points:"10,1 10,2 13.3,2 9,6.3 9.7,7 14,2.7 14,6 15,6 15,1"}),props.children);});var Light16=/*#__PURE__*/React.forwardRef(function Light16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("rect",{width:"1",height:"2.5",x:"7.5",y:"1"}),React.createElement("rect",{width:"2.5",height:"1",x:"10.8",y:"3.4",transform:"rotate(-45.001 12.041 3.923)"}),React.createElement("rect",{width:"2.5",height:"1",x:"12.5",y:"7.5"}),React.createElement("rect",{width:"1",height:"2.5",x:"11.6",y:"10.8",transform:"rotate(-45.001 12.075 12.041)"}),React.createElement("rect",{width:"1",height:"2.5",x:"7.5",y:"12.5"}),React.createElement("rect",{width:"2.5",height:"1",x:"2.7",y:"11.6",transform:"rotate(-45.001 3.96 12.079)"}),React.createElement("rect",{width:"2.5",height:"1",x:"1",y:"7.5"}),React.createElement("rect",{width:"1",height:"2.5",x:"3.4",y:"2.7",transform:"rotate(-45.001 3.925 3.961)"}),React.createElement("path",{d:"M8,6c1.1,0,2,0.9,2,2s-0.9,2-2,2S6,9.1,6,8S6.9,6,8,6 M8,5C6.3,5,5,6.3,5,8s1.3,3,3,3s3-1.3,3-3S9.7,5,8,5z"}),props.children);});var ListBulleted16=/*#__PURE__*/React.forwardRef(function ListBulleted16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("circle",{cx:"3.5",cy:"4.5",r:"1.5"}),React.createElement("circle",{cx:"3.5",cy:"11.5",r:"1.5"}),React.createElement("rect",{width:"7",height:"1",x:"8",y:"11"}),React.createElement("rect",{width:"7",height:"1",x:"8",y:"4"}),props.children);});var Maximize16=/*#__PURE__*/React.forwardRef(function Maximize16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"6,15 6,14 2.7,14 7,9.7 6.3,9 2,13.3 2,10 1,10 1,15"}),React.createElement("polygon",{points:"10,1 10,2 13.3,2 9,6.3 9.7,7 14,2.7 14,6 15,6 15,1"}),props.children);});var Menu16=/*#__PURE__*/React.forwardRef(function Menu16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("rect",{width:"12",height:"1",x:"2",y:"12"}),React.createElement("rect",{width:"12",height:"1",x:"2",y:"9"}),React.createElement("rect",{width:"12",height:"1",x:"2",y:"6"}),React.createElement("rect",{width:"12",height:"1",x:"2",y:"3"}),props.children);});var Minimize16=/*#__PURE__*/React.forwardRef(function Minimize16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"2,9 2,10 5.3,10 1,14.3 1.7,15 6,10.7 6,14 7,14 7,9"}),React.createElement("polygon",{points:"14,7 14,6 10.7,6 15,1.7 14.3,1 10,5.3 10,2 9,2 9,7"}),props.children);});var MisuseOutline16=/*#__PURE__*/React.forwardRef(function MisuseOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M8,14c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S11.3,14,8,14z"}),React.createElement("polygon",{points:"10.7,11.5 8,8.8 5.3,11.5 4.5,10.7 7.2,8 4.5,5.3 5.3,4.5 8,7.2 10.7,4.5 11.5,5.3 8.8,8 11.5,10.7"}),props.children);});var Misuse16=/*#__PURE__*/React.forwardRef(function Misuse16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M10.7,11.5L8,8.8l-2.7,2.7l-0.8-0.8L7.2,8L4.5,5.3l0.8-0.8L8,7.2\tl2.7-2.7l0.8,0.8L8.8,8l2.7,2.7L10.7,11.5z"}),React.createElement("path",{d:"M10.7,11.5L8,8.8l-2.7,2.7l-0.8-0.8L7.2,8L4.5,5.3l0.8-0.8L8,7.2l2.7-2.7l0.8,0.8L8.8,8\tl2.7,2.7L10.7,11.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var NewTab16=/*#__PURE__*/React.forwardRef(function NewTab16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M13,13H3V3h5V2H3C2.4,2,2,2.4,2,3v10c0,0.6,0.4,1,1,1h10c0.6,0,1-0.4,1-1V8h-1V13z"}),React.createElement("polygon",{points:"13,3 13,1 12,1 12,3 10,3 10,4 12,4 12,6 13,6 13,4 15,4 15,3"}),props.children);});var Nominal16=/*#__PURE__*/React.forwardRef(function Nominal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M12,8 C13.6568542,8 15,9.34314575 15,11 C15,12.6568542 13.6568542,14 12,14 C10.3431458,14 9,12.6568542 9,11 C9,9.34314575 10.3431458,8 12,8 Z M4,8 C5.65685425,8 7,9.34314575 7,11 C7,12.6568542 5.65685425,14 4,14 C2.34314575,14 1,12.6568542 1,11 C1,9.34314575 2.34314575,8 4,8 Z M12,9 C10.8954305,9 10,9.8954305 10,11 C10,12.1045695 10.8954305,13 12,13 C13.1045695,13 14,12.1045695 14,11 C14,9.8954305 13.1045695,9 12,9 Z M4,9 C2.8954305,9 2,9.8954305 2,11 C2,12.1045695 2.8954305,13 4,13 C5.1045695,13 6,12.1045695 6,11 C6,9.8954305 5.1045695,9 4,9 Z M8,2 C9.65685425,2 11,3.34314575 11,5 C11,6.65685425 9.65685425,8 8,8 C6.34314575,8 5,6.65685425 5,5 C5,3.34314575 6.34314575,2 8,2 Z M8,3 C6.8954305,3 6,3.8954305 6,5 C6,6.1045695 6.8954305,7 8,7 C9.1045695,7 10,6.1045695 10,5 C10,3.8954305 9.1045695,3 8,3 Z"}),props.children);});var NotificationOff16=/*#__PURE__*/React.forwardRef(function NotificationOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M2.5,11.5v-0.8l1.3-1.4C3.9,9.3,4,9.1,4,9V6.5c0-2.2,1.8-4,4-4c0.9,0,1.8,0.3,2.5,0.9l0.7-0.7C10.5,2,9.5,1.6,8.5,1.5v-1h-1\tv1C5,1.8,3,3.9,3,6.5v2.3l-1.4,1.3c-0.1,0.1-0.2,0.2-0.1,0.4v1H2.5z"}),React.createElement("path",{d:"M13,8.8V6.5c0-0.8-0.2-1.6-0.5-2.2L15,1.7L14.3,1L1,14.3L1.7,15l2.5-2.5h1.3C5.5,13.9,6.6,15,8,15s2.5-1.1,2.5-2.5H14\tc0.3,0,0.5-0.2,0.5-0.4c0,0,0,0,0-0.1v-1.5c0-0.1-0.1-0.3-0.1-0.4L13,8.8z M8,14c-0.8,0-1.5-0.7-1.5-1.5h3C9.5,13.3,8.8,14,8,14z M13.5,11.5H5.2L11.7,5C11.9,5.5,12,6,12,6.5V9c0,0.1,0.1,0.3,0.1,0.4l1.4,1.3V11.5z"}),props.children);});var Notification16=/*#__PURE__*/React.forwardRef(function Notification16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M14.4,10.1L13,8.8V6.5c0-2.6-1.9-4.7-4.5-5v-1h-1v1C5,1.8,3,3.9,3,6.5v2.3l-1.4,1.3c-0.1,0.1-0.2,0.2-0.1,0.4V12\tc0,0.3,0.2,0.5,0.4,0.5c0,0,0,0,0.1,0h3.5C5.5,13.9,6.6,15,8,15s2.5-1.1,2.5-2.5H14c0.3,0,0.5-0.2,0.5-0.4c0,0,0,0,0-0.1v-1.5\tC14.5,10.4,14.4,10.2,14.4,10.1z M8,14c-0.8,0-1.5-0.7-1.5-1.5h3C9.5,13.3,8.8,14,8,14z M13.5,11.5h-11v-0.8l1.3-1.4\tC3.9,9.3,4,9.1,4,9V6.5c0-2.2,1.8-4,4-4s4,1.8,4,4V9c0,0.1,0.1,0.3,0.1,0.4l1.4,1.3V11.5z"}),props.children);});var Ordinal16=/*#__PURE__*/React.forwardRef(function Ordinal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M1,13 L1,12 L3,12 L3,9 L5.999,9 L6,6 L9,6 L9,3 L13,3 L13,12 L15,12 L15,13 L1,13 Z M5.999,10 L4,10 L4,12 L5.999,12 L5.999,10 Z M8.999,7 L6.999,7 L6.999,9 L7,9 L7,12 L8.999,12 L8.999,7 Z M12,4 L10,4 L10,12 L12,12 L12,4 Z"}),props.children);});var PauseOutlineFilled16=/*#__PURE__*/React.forwardRef(function PauseOutlineFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M7,11H6V5h1V11z M10,11H9V5h1V11z"}),props.children);});var PauseOutline16=/*#__PURE__*/React.forwardRef(function PauseOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"7,5 6,5 6,11 7,11 7,5"}),React.createElement("polygon",{points:"10,5 9,5 9,11 10,11 10,5"}),React.createElement("path",{d:"M8,2c3.3,0,6,2.7,6,6s-2.7,6-6,6s-6-2.7-6-6S4.7,2,8,2 M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z"}),props.children);});var Pause16=/*#__PURE__*/React.forwardRef(function Pause16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M6,4v8H4V4H6 M6,3H4C3.4,3,3,3.4,3,4v8c0,0.6,0.4,1,1,1h2c0.6,0,1-0.4,1-1V4C7,3.4,6.6,3,6,3z"}),React.createElement("path",{d:"M12,4v8h-2V4H12 M12,3h-2C9.4,3,9,3.4,9,4v8c0,0.6,0.4,1,1,1h2c0.6,0,1-0.4,1-1V4C13,3.4,12.6,3,12,3z"}),props.children);});var PlayFilled16=/*#__PURE__*/React.forwardRef(function PlayFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M11.7,8.4l-5.5,3c-0.2,0.1-0.3,0.1-0.5,0c-0.2-0.1-0.2-0.3-0.2-0.4V5\tc0-0.2,0.1-0.3,0.2-0.4c0.2-0.1,0.3-0.1,0.5,0l5.5,3C12,7.7,12.1,8,11.9,8.2C11.9,8.3,11.8,8.4,11.7,8.4L11.7,8.4z"}),props.children);});var PlayOutlineFilled16=/*#__PURE__*/React.forwardRef(function PlayOutlineFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M11.7,8.4l-5.5,3c-0.2,0.1-0.3,0.1-0.5,0c-0.2-0.1-0.2-0.3-0.2-0.4V5\tc0-0.2,0.1-0.3,0.2-0.4c0.2-0.1,0.3-0.1,0.5,0l5.5,3C12,7.7,12.1,8,11.9,8.2C11.9,8.3,11.8,8.4,11.7,8.4L11.7,8.4z"}),React.createElement("polygon",{points:"6.5,10.2 10.5,8 6.5,5.8"}),props.children);});var PlayOutline16=/*#__PURE__*/React.forwardRef(function PlayOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,2c3.3,0,6,2.7,6,6s-2.7,6-6,6s-6-2.7-6-6S4.7,2,8,2 M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z"}),React.createElement("path",{d:"M6,11.5c-0.1,0-0.2,0-0.3-0.1c-0.2-0.1-0.2-0.3-0.2-0.4V5c0-0.2,0.1-0.3,0.2-0.4c0.2-0.1,0.3-0.1,0.5,0l5.5,3\tC12,7.7,12.1,8,11.9,8.2c0,0.1-0.1,0.2-0.2,0.2l-5.5,3C6.2,11.5,6.1,11.5,6,11.5z M6.5,5.8v4.3l4-2.2L6.5,5.8z"}),props.children);});var Play16=/*#__PURE__*/React.forwardRef(function Play16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M3.5,14C3.2,14,3,13.8,3,13.5v-11c0-0.2,0.1-0.3,0.2-0.4C3.4,2,3.6,2,3.8,2.1l9.5,5.5c0.2,0.1,0.3,0.4,0.2,0.7\tc0,0.1-0.1,0.1-0.2,0.2l-9.5,5.5C3.7,14,3.6,14,3.5,14z M4,3.4v9.3L12,8L4,3.4z"}),props.children);});var Power16=/*#__PURE__*/React.forwardRef(function Power16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M11.2,2.9l-0.5,0.9c2.6,1.5,3.5,4.9,2,7.5s-4.9,3.5-7.5,2s-3.5-4.9-2-7.5c0.5-0.8,1.2-1.5,2-2L4.8,2.9\tc-3.1,1.8-4.2,5.8-2.4,8.9s5.8,4.2,8.9,2.4s4.2-5.8,2.4-8.9C13.1,4.3,12.2,3.4,11.2,2.9z"}),React.createElement("rect",{width:"1",height:"7",x:"7.5",y:"1"}),props.children);});var Redo16=/*#__PURE__*/React.forwardRef(function Redo16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M4,8c-1.2,0-2,0.8-2,2c0,1.2,0.8,2,2,2h3v1H4c-1.7,0-3-1.2-3-3c0-1.7,1.3-3,3-3l9.1,0l-2-2l0.7-0.7\tL15,7.5l-3.2,3.2L11.1,10l2-2L4,8z"}),props.children);});var Restart16=/*#__PURE__*/React.forwardRef(function Restart16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M13,9c0,2.8-2.2,5-5,5s-5-2.2-5-5s2.2-5,5-5h3.1L9.3,5.8L10,6.5l3-3l-3-3L9.3,1.2L11.1,3H8C4.7,3,2,5.7,2,9s2.7,6,6,6\ts6-2.7,6-6H13z"}),props.children);});var Save16=/*#__PURE__*/React.forwardRef(function Save16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M13.9,4.6l-2.5-2.5C11.3,2.1,11.1,2,11,2H3C2.4,2,2,2.4,2,3v10c0,0.6,0.4,1,1,1h10c0.6,0,1-0.4,1-1V5\tC14,4.9,13.9,4.7,13.9,4.6z M6,3h4v2H6V3z M10,13H6V9h4V13z M11,13V9c0-0.6-0.4-1-1-1H6C5.4,8,5,8.4,5,9v4H3V3h2v2c0,0.6,0.4,1,1,1\th4c0.6,0,1-0.4,1-1V3.2l2,2V13H11z"}),props.children);});var Search16=/*#__PURE__*/React.forwardRef(function Search16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M15,14.3L10.7,10c1.9-2.3,1.6-5.8-0.7-7.7S4.2,0.7,2.3,3S0.7,8.8,3,10.7c2,1.7,5,1.7,7,0l4.3,4.3L15,14.3z M2,6.5\tC2,4,4,2,6.5,2S11,4,11,6.5S9,11,6.5,11S2,9,2,6.5z"}),props.children);});var Settings16=/*#__PURE__*/React.forwardRef(function Settings16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M13.5,8.4c0-0.1,0-0.3,0-0.4c0-0.1,0-0.3,0-0.4l1-0.8c0.4-0.3,0.4-0.9,0.2-1.3l-1.2-2C13.3,3.2,13,3,12.6,3\tc-0.1,0-0.2,0-0.3,0.1l-1.2,0.4c-0.2-0.1-0.4-0.3-0.7-0.4l-0.3-1.3C10.1,1.3,9.7,1,9.2,1H6.8c-0.5,0-0.9,0.3-1,0.8L5.6,3.1\tC5.3,3.2,5.1,3.3,4.9,3.4L3.7,3C3.6,3,3.5,3,3.4,3C3,3,2.7,3.2,2.5,3.5l-1.2,2C1.1,5.9,1.2,6.4,1.6,6.8l0.9,0.9c0,0.1,0,0.3,0,0.4\tc0,0.1,0,0.3,0,0.4L1.6,9.2c-0.4,0.3-0.5,0.9-0.2,1.3l1.2,2C2.7,12.8,3,13,3.4,13c0.1,0,0.2,0,0.3-0.1l1.2-0.4\tc0.2,0.1,0.4,0.3,0.7,0.4l0.3,1.3c0.1,0.5,0.5,0.8,1,0.8h2.4c0.5,0,0.9-0.3,1-0.8l0.3-1.3c0.2-0.1,0.4-0.2,0.7-0.4l1.2,0.4\tc0.1,0,0.2,0.1,0.3,0.1c0.4,0,0.7-0.2,0.9-0.5l1.1-2c0.2-0.4,0.2-0.9-0.2-1.3L13.5,8.4z M12.6,12l-1.7-0.6c-0.4,0.3-0.9,0.6-1.4,0.8\tL9.2,14H6.8l-0.4-1.8c-0.5-0.2-0.9-0.5-1.4-0.8L3.4,12l-1.2-2l1.4-1.2c-0.1-0.5-0.1-1.1,0-1.6L2.2,6l1.2-2l1.7,0.6\tC5.5,4.2,6,4,6.5,3.8L6.8,2h2.4l0.4,1.8c0.5,0.2,0.9,0.5,1.4,0.8L12.6,4l1.2,2l-1.4,1.2c0.1,0.5,0.1,1.1,0,1.6l1.4,1.2L12.6,12z"}),React.createElement("path",{d:"M8,11c-1.7,0-3-1.3-3-3s1.3-3,3-3s3,1.3,3,3C11,9.6,9.7,11,8,11C8,11,8,11,8,11z M8,6C6.9,6,6,6.8,6,7.9C6,7.9,6,8,6,8\tc0,1.1,0.8,2,1.9,2c0,0,0.1,0,0.1,0c1.1,0,2-0.8,2-1.9c0,0,0-0.1,0-0.1C10,6.9,9.2,6,8,6C8.1,6,8,6,8,6z"}),props.children);});var StarFilled16=/*#__PURE__*/React.forwardRef(function StarFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1L5.7,5.6L0.6,6.3l3.7,3.6L3.5,15L8,12.6l4.6,2.4l-0.9-5.1l3.7-3.6l-5.1-0.7L8,1z"}),props.children);});var StarHalf16=/*#__PURE__*/React.forwardRef(function StarHalf16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"5.7,5.6 0.6,6.3 4.3,9.9 3.5,15 8,12.6 8,1"}),props.children);});var Star16=/*#__PURE__*/React.forwardRef(function Star16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,3.3l1.4,2.8l0.2,0.5l0.5,0.1l3.1,0.4L11,9.2l-0.4,0.4l0.1,0.5l0.5,3.1l-2.8-1.4L8,11.5l-0.5,0.2l-2.8,1.4l0.5-3.1\tl0.1-0.5L5,9.2L2.8,7l3.1-0.4l0.5-0.1L6.6,6L8,3.3 M8,1L5.7,5.6L0.6,6.3l3.7,3.6L3.5,15L8,12.6l4.6,2.4l-0.9-5.1l3.7-3.6l-5.1-0.7\tL8,1z"}),props.children);});var StopFilled16=/*#__PURE__*/React.forwardRef(function StopFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M11,10c0,0.6-0.4,1-1,1H6c-0.6,0-1-0.4-1-1V6c0-0.6,0.4-1,1-1h4\tc0.6,0,1,0.4,1,1V10z"}),props.children);});var StopOutlineFilled16=/*#__PURE__*/React.forwardRef(function StopOutlineFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M11,10c0,0.6-0.4,1-1,1H6c-0.6,0-1-0.4-1-1V6c0-0.6,0.4-1,1-1h4\tc0.6,0,1,0.4,1,1V10z"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),props.children);});var StopOutline16=/*#__PURE__*/React.forwardRef(function StopOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,2c3.3,0,6,2.7,6,6s-2.7,6-6,6s-6-2.7-6-6S4.7,2,8,2 M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z"}),React.createElement("path",{d:"M10,6v4H6V6H10 M10,5H6C5.4,5,5,5.4,5,6v4c0,0.6,0.4,1,1,1h4c0.6,0,1-0.4,1-1V6C11,5.4,10.6,5,10,5z"}),props.children);});var Stop16=/*#__PURE__*/React.forwardRef(function Stop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M12,4v8H4V4H12 M12,3H4C3.4,3,3,3.4,3,4v8c0,0.6,0.4,1,1,1h8c0.6,0,1-0.4,1-1V4C13,3.4,12.6,3,12,3z"}),props.children);});var Undo16=/*#__PURE__*/React.forwardRef(function Undo16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M12,8c1.2,0,2,0.8,2,2c0,1.2-0.8,2-2,2H9v1h3c1.7,0,3-1.2,3-3c0-1.7-1.3-3-3-3L2.9,7l2-2L4.2,4.3L1,7.5\tl3.2,3.2L4.9,10l-2-2L12,8z"}),props.children);});var Unlocked16=/*#__PURE__*/React.forwardRef(function Unlocked16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M12,7H6V4c0-1.1,0.9-2,2-2s2,0.9,2,2h1c0-1.7-1.3-3-3-3S5,2.3,5,4v3H4C3.4,7,3,7.4,3,8v6c0,0.6,0.4,1,1,1h8c0.6,0,1-0.4,1-1\tV8C13,7.4,12.6,7,12,7z M12,14H4V8h8V14z"}),props.children);});var Upload16=/*#__PURE__*/React.forwardRef(function Upload16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"3,9 3.7,9.7 7.5,5.9 7.5,15 8.5,15 8.5,5.9 12.3,9.7 13,9 8,4"}),React.createElement("path",{d:"M3,4V2h10v2h1V2c0-0.6-0.4-1-1-1H3C2.4,1,2,1.4,2,2v2H3z"}),props.children);});var UserAvatar16=/*#__PURE__*/React.forwardRef(function UserAvatar16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M5,13.2v-1.5c0-0.9,0.6-1.6,1.5-1.7h3c0.9,0.1,1.5,0.8,1.5,1.7v1.5\tC9.1,14.3,6.9,14.3,5,13.2L5,13.2z M12,12l0-0.8c0-0.9-1.1-2.1-2.5-2.2h-3C5.1,9.1,4,10.3,4,11.7l0,0.5v0.3c-2.5-2.2-2.7-6-0.5-8.5\ts6-2.7,8.5-0.5s2.7,6,0.5,8.5c-0.1,0.2-0.3,0.3-0.5,0.5V12z"}),React.createElement("path",{d:"M8,3C6.6,3,5.5,4.1,5.5,5.5S6.6,8,8,8s2.5-1.1,2.5-2.5S9.4,3,8,3z M8,7C7.2,7,6.5,6.3,6.5,5.5S7.2,4,8,4s1.5,0.7,1.5,1.5\tS8.8,7,8,7z"}),props.children);});var User16=/*#__PURE__*/React.forwardRef(function User16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,2c1.4,0,2.5,1.1,2.5,2.5S9.4,7,8,7S5.5,5.9,5.5,4.5S6.6,2,8,2 M8,1C6.1,1,4.5,2.6,4.5,4.5S6.1,8,8,8s3.5-1.6,3.5-3.5\tS9.9,1,8,1z"}),React.createElement("path",{d:"M13,15h-1v-2.5c0-1.4-1.1-2.5-2.5-2.5h-3C5.1,10,4,11.1,4,12.5V15H3v-2.5C3,10.6,4.6,9,6.5,9h3c1.9,0,3.5,1.6,3.5,3.5V15z"}),props.children);});var ViewOff16=/*#__PURE__*/React.forwardRef(function ViewOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M2.6,11.3l0.7-0.7C2.6,9.8,1.9,9,1.5,8c1-2.5,3.8-4.5,6.5-4.5c0.7,0,1.4,0.1,2,0.4l0.8-0.8C9.9,2.7,9,2.5,8,2.5\tC4.7,2.6,1.7,4.7,0.5,7.8c0,0.1,0,0.2,0,0.3C1,9.3,1.7,10.4,2.6,11.3z"}),React.createElement("path",{d:"M6,7.9c0.1-1,0.9-1.8,1.8-1.8l0.9-0.9C7.2,4.7,5.5,5.6,5.1,7.2C5,7.7,5,8.3,5.1,8.8L6,7.9z"}),React.createElement("path",{d:"M15.5,7.8c-0.6-1.5-1.6-2.8-2.9-3.7L15,1.7L14.3,1L1,14.3L1.7,15l2.6-2.6c1.1,0.7,2.4,1,3.7,1.1c3.3-0.1,6.3-2.2,7.5-5.3\tC15.5,8.1,15.5,7.9,15.5,7.8z M10,8c0,1.1-0.9,2-2,2c-0.3,0-0.7-0.1-1-0.3L9.7,7C9.9,7.3,10,7.6,10,8z M8,12.5c-1,0-2.1-0.3-3-0.8\tl1.3-1.3c1.4,0.9,3.2,0.6,4.2-0.8c0.7-1,0.7-2.4,0-3.4l1.4-1.4c1.1,0.8,2,1.9,2.6,3.2C13.4,10.5,10.6,12.5,8,12.5z"}),props.children);});var View16=/*#__PURE__*/React.forwardRef(function View16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M15.5,7.8C14.3,4.7,11.3,2.6,8,2.5C4.7,2.6,1.7,4.7,0.5,7.8c0,0.1,0,0.2,0,0.3c1.2,3.1,4.1,5.2,7.5,5.3\tc3.3-0.1,6.3-2.2,7.5-5.3C15.5,8.1,15.5,7.9,15.5,7.8z M8,12.5c-2.7,0-5.4-2-6.5-4.5c1-2.5,3.8-4.5,6.5-4.5s5.4,2,6.5,4.5\tC13.4,10.5,10.6,12.5,8,12.5z"}),React.createElement("path",{d:"M8,5C6.3,5,5,6.3,5,8s1.3,3,3,3s3-1.3,3-3S9.7,5,8,5z M8,10c-1.1,0-2-0.9-2-2s0.9-2,2-2s2,0.9,2,2S9.1,10,8,10z"}),props.children);});var WarningAltFilled16=/*#__PURE__*/React.forwardRef(function WarningAltFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M14.9,13.3l-6.5-12C8.3,1,8,0.9,7.8,1.1c-0.1,0-0.2,0.1-0.2,0.2l-6.5,12c-0.1,0.2-0.1,0.3,0,0.5C1.2,13.9,1.3,14,1.5,14h13\tc0.2,0,0.3-0.1,0.4-0.2C15,13.6,15,13.4,14.9,13.3z M7.4,5.5h1.1v4H7.4V5.5z M8,12.2c-0.4,0-0.8-0.3-0.8-0.8s0.3-0.8,0.8-0.8\tc0.4,0,0.8,0.3,0.8,0.8S8.4,12.2,8,12.2z"}),props.children);});var WarningAlt16=/*#__PURE__*/React.forwardRef(function WarningAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M14.5,14h-13c-0.2,0-0.3-0.1-0.4-0.2c-0.1-0.2-0.1-0.3,0-0.5l6.5-12C7.7,1,8,0.9,8.2,1.1c0.1,0,0.2,0.1,0.2,0.2l6.5,12\tc0.1,0.2,0.1,0.3,0,0.5C14.9,13.9,14.7,14,14.5,14z M2.3,13h11.3L8,2.5L2.3,13z"}),React.createElement("rect",{width:"1",height:"3.5",x:"7.5",y:"6"}),React.createElement("path",{d:"M8,10.8c-0.4,0-0.8,0.3-0.8,0.8s0.3,0.8,0.8,0.8c0.4,0,0.8-0.3,0.8-0.8S8.4,10.8,8,10.8z"}),props.children);});var WarningFilled16=/*#__PURE__*/React.forwardRef(function WarningFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.2,1,1,4.2,1,8s3.2,7,7,7s7-3.1,7-7S11.9,1,8,1z M7.5,4h1v5h-1C7.5,9,7.5,4,7.5,4z M8,12.2\tc-0.4,0-0.8-0.4-0.8-0.8s0.3-0.8,0.8-0.8c0.4,0,0.8,0.4,0.8,0.8S8.4,12.2,8,12.2z"}),React.createElement("path",{d:"M7.5,4h1v5h-1C7.5,9,7.5,4,7.5,4z M8,12.2c-0.4,0-0.8-0.4-0.8-0.8s0.3-0.8,0.8-0.8\tc0.4,0,0.8,0.4,0.8,0.8S8.4,12.2,8,12.2z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var Warning16=/*#__PURE__*/React.forwardRef(function Warning16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("path",{d:"M8,1C4.1,1,1,4.1,1,8s3.1,7,7,7s7-3.1,7-7S11.9,1,8,1z M8,14c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S11.3,14,8,14z"}),React.createElement("rect",{width:"1",height:"5",x:"7.5",y:"4"}),React.createElement("path",{d:"M8,10.2c-0.4,0-0.8,0.3-0.8,0.8s0.3,0.8,0.8,0.8c0.4,0,0.8-0.3,0.8-0.8S8.4,10.2,8,10.2z"}),props.children);});var ZoomIn16=/*#__PURE__*/React.forwardRef(function ZoomIn16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("polygon",{points:"9,6 7,6 7,4 6,4 6,6 4,6 4,7 6,7 6,9 7,9 7,7 9,7"}),React.createElement("path",{d:"M10.7,10C11.5,9,12,7.8,12,6.5C12,3.5,9.5,1,6.5,1S1,3.5,1,6.5S3.5,12,6.5,12c1.3,0,2.5-0.5,3.5-1.3l3.8,3.8l0.7-0.7\tL10.7,10z M6.5,11C4,11,2,9,2,6.5S4,2,6.5,2S11,4,11,6.5S9,11,6.5,11L6.5,11z"}),props.children);});var ZoomOut16=/*#__PURE__*/React.forwardRef(function ZoomOut16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 16 16",ref:ref},props),React.createElement("rect",{width:"5",height:"1",x:"4",y:"6"}),React.createElement("path",{d:"M10.7,10C11.5,9,12,7.8,12,6.5C12,3.5,9.5,1,6.5,1S1,3.5,1,6.5S3.5,12,6.5,12c1.3,0,2.5-0.5,3.5-1.3l3.8,3.8l0.7-0.7\tL10.7,10z M6.5,11C4,11,2,9,2,6.5S4,2,6.5,2S11,4,11,6.5S9,11,6.5,11L6.5,11z"}),props.children);});var ArrowRight20=/*#__PURE__*/React.forwardRef(function ArrowRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("polygon",{points:"11.8,2.8 10.8,3.8 16.2,9.3 1,9.3 1,10.7 16.2,10.7 10.8,16.2 11.8,17.2 19,10"}),props.children);});var CheckmarkFilled20=/*#__PURE__*/React.forwardRef(function CheckmarkFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M10,1c-4.9,0-9,4.1-9,9s4.1,9,9,9s9-4,9-9S15,1,10,1z M8.7,13.5l-3.2-3.2l1-1l2.2,2.2l4.8-4.8l1,1L8.7,13.5z"}),React.createElement("path",{fill:"none",d:"M8.7,13.5l-3.2-3.2l1-1l2.2,2.2l4.8-4.8l1,1L8.7,13.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var Checkmark20=/*#__PURE__*/React.forwardRef(function Checkmark20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("polygon",{points:"8,13.2 3.6,8.8 2.7,9.7 7.1,14.1 8,15 16.5,6.5 15.6,5.6"}),React.createElement("polygon",{points:"15.6,5.6 8,13.2 3.6,8.8 2.7,9.7 7.1,14.1 8,15 16.5,6.5 15.6,5.6"}),props.children);});var ErrorFilled20=/*#__PURE__*/React.forwardRef(function ErrorFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M10,1c-5,0-9,4-9,9s4,9,9,9s9-4,9-9S15,1,10,1z M13.5,14.5l-8-8l1-1l8,8L13.5,14.5z"}),React.createElement("path",{d:"M13.5,14.5l-8-8l1-1l8,8L13.5,14.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var Menu20=/*#__PURE__*/React.forwardRef(function Menu20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("rect",{width:"16",height:"1.2",x:"2",y:"14.8"}),React.createElement("rect",{width:"16",height:"1.2",x:"2",y:"11.2"}),React.createElement("rect",{width:"16",height:"1.2",x:"2",y:"7.6"}),React.createElement("rect",{width:"16",height:"1.2",x:"2",y:"4"}),props.children);});var Misuse20=/*#__PURE__*/React.forwardRef(function Misuse20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M10,1c-4.9,0-9,4.1-9,9s4.1,9,9,9s9-4,9-9S15,1,10,1z M13.5,14.5L10,11l-3.5,3.5l-1-1L9,10L5.5,6.5l1-1L10,9l3.5-3.5l1,1\tL11,10l3.5,3.5L13.5,14.5z"}),React.createElement("path",{fill:"none",d:"M13.5,14.5L10,11l-3.5,3.5l-1-1L9,10L5.5,6.5l1-1L10,9l3.5-3.5l1,1L11,10l3.5,3.5L13.5,14.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var Redo20=/*#__PURE__*/React.forwardRef(function Redo20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M5,9.3c-1.5,0-2.8,1.3-2.8,2.7c0,1.5,1.3,2.7,2.8,2.7h4V16H5c-2.3,0-4-1.7-4-4c0-2.2,1.8-4,4-4h11.6\tl-2.5-2.5L15,4.6l4,4l-4,4l-0.9-0.9l2.5-2.5H5z"}),props.children);});var Save20=/*#__PURE__*/React.forwardRef(function Save20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M17.8,5.5l-3.3-3.3C14.3,2.1,14.2,2,14,2H3.3C2.6,2,2,2.6,2,3.3v13.3C2,17.4,2.6,18,3.3,18h13.3c0.7,0,1.4-0.5,1.4-1.2V6.1\tC18,5.7,17.9,5.7,17.8,5.5z M7.3,3.3h5.3v3.3H7.3V3.3z M12.7,16.7H7.3v-5.3h5.3L12.7,16.7L12.7,16.7z M14,16.7v-5.3\tc0-0.7-0.6-1.3-1.3-1.3H7.3C6.6,10,6,10.6,6,11.3v5.3H3.3V3.3H6v3.3C6,7.4,6.6,8,7.3,8h5.3C13.4,8,14,7.4,14,6.7v-3l2.7,2.7v10.4\tL14,16.7L14,16.7z"}),props.children);});var Time20=/*#__PURE__*/React.forwardRef(function Time20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M10,19c-5,0-9-4-9-9s4-9,9-9s9,4,9,9S15,19,10,19z M10,2.3c-4.3,0-7.7,3.5-7.7,7.7s3.5,7.7,7.7,7.7s7.7-3.5,7.7-7.7\tS14.3,2.3,10,2.3z"}),React.createElement("polygon",{points:"13,13.9 9.4,10.3 9.4,4 10.6,4 10.6,9.7 13.9,13"}),props.children);});var Undo20=/*#__PURE__*/React.forwardRef(function Undo20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M15,9.3c1.5,0,2.8,1.3,2.8,2.7c0,1.5-1.3,2.7-2.8,2.7h-4V16h4c2.3,0,4-1.7,4-4c0-2.2-1.8-4-4-4H3.4\tl2.5-2.5L5,4.6l-4,4l4,4l0.9-0.9L3.4,9.3H15z"}),props.children);});var WarningFilled20=/*#__PURE__*/React.forwardRef(function WarningFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 20 20",ref:ref},props),React.createElement("path",{d:"M10,1c-5,0-9,4-9,9s4,9,9,9s9-4,9-9S15,1,10,1z M9.2,5h1.5v7H9.2V5z M10,16c-0.6,0-1-0.4-1-1s0.4-1,1-1\ts1,0.4,1,1S10.6,16,10,16z"}),React.createElement("path",{d:"M9.2,5h1.5v7H9.2V5z M10,16c-0.6,0-1-0.4-1-1s0.4-1,1-1s1,0.4,1,1S10.6,16,10,16z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var ArrowRight24=/*#__PURE__*/React.forwardRef(function ArrowRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("polygon",{points:"14,4 12.9,5.1 18.9,11.2 2,11.2 2,12.8 18.9,12.8 12.9,18.9 14,20 22,12"}),props.children);});var CheckmarkFilled24=/*#__PURE__*/React.forwardRef(function CheckmarkFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("path",{d:"M12,1C6,1,1,6,1,12s5,11,11,11s11-4.9,11-11S18.1,1,12,1z M10.4,16.3l-3.9-3.9l1.3-1.2l2.7,2.7l5.8-5.8l1.3,1.3L10.4,16.3z"}),React.createElement("path",{fill:"none",d:"M10.4,16.3l-3.9-3.9l1.3-1.2l2.7,2.7l5.8-5.8l1.3,1.3L10.4,16.3z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var Checkmark24=/*#__PURE__*/React.forwardRef(function Checkmark24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("polygon",{points:"10,15.9 4.7,10.6 3.6,11.6 8.9,16.9 10,18 20.6,7.4 19.5,6.3"}),props.children);});var ErrorFilled24=/*#__PURE__*/React.forwardRef(function ErrorFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("path",{d:"M12,1C5.9,1,1,5.9,1,12s4.9,11,11,11s11-4.9,11-11S18.1,1,12,1z M16.3,17.5L6.5,7.7l1.2-1.2l9.8,9.8L16.3,17.5z"}),React.createElement("path",{fill:"none",d:"M16.3,17.5L6.5,7.7l1.2-1.2l9.8,9.8L16.3,17.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var Menu24=/*#__PURE__*/React.forwardRef(function Menu24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("rect",{width:"18",height:"1.5",x:"3",y:"18"}),React.createElement("rect",{width:"18",height:"1.5",x:"3",y:"13.5"}),React.createElement("rect",{width:"18",height:"1.5",x:"3",y:"9"}),React.createElement("rect",{width:"18",height:"1.5",x:"3",y:"4.5"}),props.children);});var Misuse24=/*#__PURE__*/React.forwardRef(function Misuse24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("path",{d:"M12,1C6,1,1,6,1,12s5,11,11,11s11-4.9,11-11S18.1,1,12,1z M16.2,17.5L12,13.3l-4.2,4.2l-1.3-1.3l4.2-4.2L6.5,7.8l1.3-1.3\tl4.2,4.2l4.2-4.2l1.3,1.3L13.3,12l4.2,4.2L16.2,17.5z"}),React.createElement("path",{fill:"none",d:"M16.2,17.5L12,13.3l-4.2,4.2l-1.3-1.3l4.2-4.2L6.5,7.8l1.3-1.3l4.2,4.2l4.2-4.2l1.3,1.3\tL13.3,12l4.2,4.2L16.2,17.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var Redo24=/*#__PURE__*/React.forwardRef(function Redo24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("path",{d:"M6.8,11.2c-1.8,0-3.2,1.7-3.2,3.3c0,1.5,1.5,3.2,3.2,3.2H10v1.5H6.8C4.6,19.2,2,17,2,14.5s2-4.8,4.8-4.8\th12.4l-3-3l1.1-1.1l4.8,4.8l-4.8,4.8l-1.1-1.1l3-3H6.8z"}),props.children);});var Save24=/*#__PURE__*/React.forwardRef(function Save24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("path",{d:"M20.8,7L17,3.2C16.9,3.1,16.7,3,16.5,3h-12C3.7,3,3,3.7,3,4.5v15C3,20.3,3.7,21,4.5,21h15c0.8,0,1.5-0.7,1.5-1.5v-12\tC21,7.3,20.9,7.1,20.8,7z M9,4.5h6v3H9V4.5z M15,19.5H9v-6h6V19.5z M16.5,19.5v-6c0-0.8-0.7-1.5-1.5-1.5H9c-0.8,0-1.5,0.7-1.5,1.5v6\th-3v-15h3v3C7.5,8.3,8.2,9,9,9h6c0.8,0,1.5-0.7,1.5-1.5V4.8l3,3v11.7H16.5z"}),props.children);});var Undo24=/*#__PURE__*/React.forwardRef(function Undo24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("path",{d:"M17.2,11.2c1.8,0,3.2,1.7,3.2,3.3c0,1.5-1.5,3.2-3.2,3.2H14v1.5h3.2c2.2,0,4.8-2.3,4.8-4.8s-2-4.8-4.8-4.8\tH4.8l3-3L6.8,5.7L2,10.5l4.8,4.8l1.1-1.1l-3-3H17.2z"}),props.children);});var WarningFilled24=/*#__PURE__*/React.forwardRef(function WarningFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 24 24",ref:ref},props),React.createElement("path",{d:"M12,1C5.9,1,1,5.9,1,12s4.9,11,11,11s11-4.9,11-11C23,5.9,18.1,1,12,1z M11.1,6h1.8v8h-1.8V6z M12,19.2\tc-0.7,0-1.2-0.6-1.2-1.2s0.6-1.2,1.2-1.2s1.2,0.6,1.2,1.2S12.7,19.2,12,19.2z"}),React.createElement("path",{fill:"none",d:"M13.2,18c0,0.7-0.6,1.2-1.2,1.2s-1.2-0.6-1.2-1.2s0.6-1.2,1.2-1.2S13.2,17.3,13.2,18z M12.9,6\th-1.8v8h1.8V6z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var _4KFilled32=/*#__PURE__*/React.forwardRef(function _4KFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM14,21H12V17H8V11h2v4h2V11h2Zm10.19,0H22l-2.09-4.06L19,18.27V21H17V11h2v4.39L22,11h2.19l-3,4.38Z"}),props.children);});var _4KFilled24=/*#__PURE__*/React.forwardRef(function _4KFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM14,21H12V17H8V11h2v4h2V11h2Zm10.19,0H22l-2.09-4.06L19,18.27V21H17V11h2v4.39L22,11h2.19l-3,4.38Z"}),props.children);});var _4KFilled20=/*#__PURE__*/React.forwardRef(function _4KFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM14,21H12V17H8V11h2v4h2V11h2Zm10.19,0H22l-2.09-4.06L19,18.27V21H17V11h2v4.39L22,11h2.19l-3,4.38Z"}),props.children);});var _4KFilled16=/*#__PURE__*/React.forwardRef(function _4KFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM14,21H12V17H8V11h2v4h2V11h2Zm10.19,0H22l-2.09-4.06L19,18.27V21H17V11h2v4.39L22,11h2.19l-3,4.38Z"}),props.children);});var _4K32=/*#__PURE__*/React.forwardRef(function _4K32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11.03 12 15.03 10 15.03 10 11.03 8 11.03 8 17.03 12 17.03 12 21.03 14 21.03 14 11.03 12 11.03"}),React.createElement("polygon",{points:"24.19 11.03 22 11.03 19 15.42 19 11.03 17 11.03 17 21.03 19 21.03 19 18.3 19.91 16.97 22 21.03 24.19 21.03 21.2 15.41 24.19 11.03"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var _4K24=/*#__PURE__*/React.forwardRef(function _4K24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11.03 12 15.03 10 15.03 10 11.03 8 11.03 8 17.03 12 17.03 12 21.03 14 21.03 14 11.03 12 11.03"}),React.createElement("polygon",{points:"24.19 11.03 22 11.03 19 15.42 19 11.03 17 11.03 17 21.03 19 21.03 19 18.3 19.91 16.97 22 21.03 24.19 21.03 21.2 15.41 24.19 11.03"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var _4K20=/*#__PURE__*/React.forwardRef(function _4K20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11.03 12 15.03 10 15.03 10 11.03 8 11.03 8 17.03 12 17.03 12 21.03 14 21.03 14 11.03 12 11.03"}),React.createElement("polygon",{points:"24.19 11.03 22 11.03 19 15.42 19 11.03 17 11.03 17 21.03 19 21.03 19 18.3 19.91 16.97 22 21.03 24.19 21.03 21.2 15.41 24.19 11.03"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var _4K16=/*#__PURE__*/React.forwardRef(function _4K16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11.03 12 15.03 10 15.03 10 11.03 8 11.03 8 17.03 12 17.03 12 21.03 14 21.03 14 11.03 12 11.03"}),React.createElement("polygon",{points:"24.19 11.03 22 11.03 19 15.42 19 11.03 17 11.03 17 21.03 19 21.03 19 18.3 19.91 16.97 22 21.03 24.19 21.03 21.2 15.41 24.19 11.03"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var Api_132=/*#__PURE__*/React.forwardRef(function Api_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9H4a2,2,0,0,0-2,2V23H4V18H8v5h2V11A2,2,0,0,0,8,9ZM4,16V11H8v5Z"}),React.createElement("polygon",{points:"22 11 25 11 25 21 22 21 22 23 30 23 30 21 27 21 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),props.children);});var Api_124=/*#__PURE__*/React.forwardRef(function Api_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9H4a2,2,0,0,0-2,2V23H4V18H8v5h2V11A2,2,0,0,0,8,9ZM4,16V11H8v5Z"}),React.createElement("polygon",{points:"22 11 25 11 25 21 22 21 22 23 30 23 30 21 27 21 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),props.children);});var Api_120=/*#__PURE__*/React.forwardRef(function Api_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9H4a2,2,0,0,0-2,2V23H4V18H8v5h2V11A2,2,0,0,0,8,9ZM4,16V11H8v5Z"}),React.createElement("polygon",{points:"22 11 25 11 25 21 22 21 22 23 30 23 30 21 27 21 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),props.children);});var Api_116=/*#__PURE__*/React.forwardRef(function Api_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9H4a2,2,0,0,0-2,2V23H4V18H8v5h2V11A2,2,0,0,0,8,9ZM4,16V11H8v5Z"}),React.createElement("polygon",{points:"22 11 25 11 25 21 22 21 22 23 30 23 30 21 27 21 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),props.children);});var Cad32=/*#__PURE__*/React.forwardRef(function Cad32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M26,23H22V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,26,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H24Z"}),React.createElement("path",{d:"M10,23H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Cad24=/*#__PURE__*/React.forwardRef(function Cad24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M26,23H22V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,26,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H24Z"}),React.createElement("path",{d:"M10,23H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Cad20=/*#__PURE__*/React.forwardRef(function Cad20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M26,23H22V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,26,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H24Z"}),React.createElement("path",{d:"M10,23H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Cad16=/*#__PURE__*/React.forwardRef(function Cad16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M26,23H22V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,26,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H24Z"}),React.createElement("path",{d:"M10,23H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Cda32=/*#__PURE__*/React.forwardRef(function Cda32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H24a2.002,2.002,0,0,0-2,2V23h2V18h4v5h2V11A2.0023,2.0023,0,0,0,28,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M16,23H12V9h4a4.0042,4.0042,0,0,1,4,4v6A4.0039,4.0039,0,0,1,16,23Zm-2-2h2a2.0027,2.0027,0,0,0,2-2V13a2.0023,2.0023,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Cda24=/*#__PURE__*/React.forwardRef(function Cda24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H24a2.002,2.002,0,0,0-2,2V23h2V18h4v5h2V11A2.0023,2.0023,0,0,0,28,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M16,23H12V9h4a4.0042,4.0042,0,0,1,4,4v6A4.0039,4.0039,0,0,1,16,23Zm-2-2h2a2.0027,2.0027,0,0,0,2-2V13a2.0023,2.0023,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Cda20=/*#__PURE__*/React.forwardRef(function Cda20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H24a2.002,2.002,0,0,0-2,2V23h2V18h4v5h2V11A2.0023,2.0023,0,0,0,28,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M16,23H12V9h4a4.0042,4.0042,0,0,1,4,4v6A4.0039,4.0039,0,0,1,16,23Zm-2-2h2a2.0027,2.0027,0,0,0,2-2V13a2.0023,2.0023,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Cda16=/*#__PURE__*/React.forwardRef(function Cda16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H24a2.002,2.002,0,0,0-2,2V23h2V18h4v5h2V11A2.0023,2.0023,0,0,0,28,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M16,23H12V9h4a4.0042,4.0042,0,0,1,4,4v6A4.0039,4.0039,0,0,1,16,23Zm-2-2h2a2.0027,2.0027,0,0,0,2-2V13a2.0023,2.0023,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Csv32=/*#__PURE__*/React.forwardRef(function Csv32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Csv24=/*#__PURE__*/React.forwardRef(function Csv24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Csv20=/*#__PURE__*/React.forwardRef(function Csv20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Csv16=/*#__PURE__*/React.forwardRef(function Csv16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("path",{d:"M10,23H4a2.0023,2.0023,0,0,1-2-2V11A2.002,2.002,0,0,1,4,9h6v2H4V21h6Z"}),props.children);});var Doc32=/*#__PURE__*/React.forwardRef(function Doc32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24V21h6Z"}),React.createElement("path",{d:"M18,23H14a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h4a2.002,2.002,0,0,1,2,2V21A2.0023,2.0023,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("path",{d:"M6,23H2V9H6a4.0045,4.0045,0,0,1,4,4v6A4.0045,4.0045,0,0,1,6,23ZM4,21H6a2.002,2.002,0,0,0,2-2V13a2.002,2.002,0,0,0-2-2H4Z"}),props.children);});var Doc24=/*#__PURE__*/React.forwardRef(function Doc24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24V21h6Z"}),React.createElement("path",{d:"M18,23H14a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h4a2.002,2.002,0,0,1,2,2V21A2.0023,2.0023,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("path",{d:"M6,23H2V9H6a4.0045,4.0045,0,0,1,4,4v6A4.0045,4.0045,0,0,1,6,23ZM4,21H6a2.002,2.002,0,0,0,2-2V13a2.002,2.002,0,0,0-2-2H4Z"}),props.children);});var Doc20=/*#__PURE__*/React.forwardRef(function Doc20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24V21h6Z"}),React.createElement("path",{d:"M18,23H14a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h4a2.002,2.002,0,0,1,2,2V21A2.0023,2.0023,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("path",{d:"M6,23H2V9H6a4.0045,4.0045,0,0,1,4,4v6A4.0045,4.0045,0,0,1,6,23ZM4,21H6a2.002,2.002,0,0,0,2-2V13a2.002,2.002,0,0,0-2-2H4Z"}),props.children);});var Doc16=/*#__PURE__*/React.forwardRef(function Doc16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24V21h6Z"}),React.createElement("path",{d:"M18,23H14a2.0023,2.0023,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h4a2.002,2.002,0,0,1,2,2V21A2.0023,2.0023,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("path",{d:"M6,23H2V9H6a4.0045,4.0045,0,0,1,4,4v6A4.0045,4.0045,0,0,1,6,23ZM4,21H6a2.002,2.002,0,0,0,2-2V13a2.002,2.002,0,0,0-2-2H4Z"}),props.children);});var Dvr32=/*#__PURE__*/React.forwardRef(function Dvr32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M6,23H2V9H6a4,4,0,0,1,4,4v6A4,4,0,0,1,6,23ZM4,21H6a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H4Z"}),props.children);});var Dvr24=/*#__PURE__*/React.forwardRef(function Dvr24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M6,23H2V9H6a4,4,0,0,1,4,4v6A4,4,0,0,1,6,23ZM4,21H6a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H4Z"}),props.children);});var Dvr20=/*#__PURE__*/React.forwardRef(function Dvr20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M6,23H2V9H6a4,4,0,0,1,4,4v6A4,4,0,0,1,6,23ZM4,21H6a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H4Z"}),props.children);});var Dvr16=/*#__PURE__*/React.forwardRef(function Dvr16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M6,23H2V9H6a4,4,0,0,1,4,4v6A4,4,0,0,1,6,23ZM4,21H6a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H4Z"}),props.children);});var Gif32=/*#__PURE__*/React.forwardRef(function Gif32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,12v8a3,3,0,0,0,3,3h5V15H6v2H8v4H5a1,1,0,0,1-1-1V12a1,1,0,0,1,1-1h5V9H5A3,3,0,0,0,2,12Z"}),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),props.children);});var Gif24=/*#__PURE__*/React.forwardRef(function Gif24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,12v8a3,3,0,0,0,3,3h5V15H6v2H8v4H5a1,1,0,0,1-1-1V12a1,1,0,0,1,1-1h5V9H5A3,3,0,0,0,2,12Z"}),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),props.children);});var Gif20=/*#__PURE__*/React.forwardRef(function Gif20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,12v8a3,3,0,0,0,3,3h5V15H6v2H8v4H5a1,1,0,0,1-1-1V12a1,1,0,0,1,1-1h5V9H5A3,3,0,0,0,2,12Z"}),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),props.children);});var Gif16=/*#__PURE__*/React.forwardRef(function Gif16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,12v8a3,3,0,0,0,3,3h5V15H6v2H8v4H5a1,1,0,0,1-1-1V12a1,1,0,0,1,1-1h5V9H5A3,3,0,0,0,2,12Z"}),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),props.children);});var HdFilled32=/*#__PURE__*/React.forwardRef(function HdFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,13H20v6h2a1,1,0,0,0,1-1V14A1,1,0,0,0,22,13Z"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,21H13V17H10v4H8V11h2v4h3V11h2Zm10-3a3,3,0,0,1-3,3H18V11h4a3,3,0,0,1,3,3Z"}),props.children);});var HdFilled24=/*#__PURE__*/React.forwardRef(function HdFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,13H20v6h2a1,1,0,0,0,1-1V14A1,1,0,0,0,22,13Z"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,21H13V17H10v4H8V11h2v4h3V11h2Zm10-3a3,3,0,0,1-3,3H18V11h4a3,3,0,0,1,3,3Z"}),props.children);});var HdFilled20=/*#__PURE__*/React.forwardRef(function HdFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,13H20v6h2a1,1,0,0,0,1-1V14A1,1,0,0,0,22,13Z"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,21H13V17H10v4H8V11h2v4h3V11h2Zm10-3a3,3,0,0,1-3,3H18V11h4a3,3,0,0,1,3,3Z"}),props.children);});var HdFilled16=/*#__PURE__*/React.forwardRef(function HdFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,13H20v6h2a1,1,0,0,0,1-1V14A1,1,0,0,0,22,13Z"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,21H13V17H10v4H8V11h2v4h3V11h2Zm10-3a3,3,0,0,1-3,3H18V11h4a3,3,0,0,1,3,3Z"}),props.children);});var Hd32=/*#__PURE__*/React.forwardRef(function Hd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),React.createElement("path",{d:"M22,11H18V21h4a3,3,0,0,0,3-3V14A3,3,0,0,0,22,11Zm1,7a1,1,0,0,1-1,1H20V13h2a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"13 11 13 15 10 15 10 11 8 11 8 21 10 21 10 17 13 17 13 21 15 21 15 11 13 11"}),props.children);});var Hd24=/*#__PURE__*/React.forwardRef(function Hd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),React.createElement("path",{d:"M22,11H18V21h4a3,3,0,0,0,3-3V14A3,3,0,0,0,22,11Zm1,7a1,1,0,0,1-1,1H20V13h2a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"13 11 13 15 10 15 10 11 8 11 8 21 10 21 10 17 13 17 13 21 15 21 15 11 13 11"}),props.children);});var Hd20=/*#__PURE__*/React.forwardRef(function Hd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),React.createElement("path",{d:"M22,11H18V21h4a3,3,0,0,0,3-3V14A3,3,0,0,0,22,11Zm1,7a1,1,0,0,1-1,1H20V13h2a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"13 11 13 15 10 15 10 11 8 11 8 21 10 21 10 17 13 17 13 21 15 21 15 11 13 11"}),props.children);});var Hd16=/*#__PURE__*/React.forwardRef(function Hd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),React.createElement("path",{d:"M22,11H18V21h4a3,3,0,0,0,3-3V14A3,3,0,0,0,22,11Zm1,7a1,1,0,0,1-1,1H20V13h2a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"13 11 13 15 10 15 10 11 8 11 8 21 10 21 10 17 13 17 13 21 15 21 15 11 13 11"}),props.children);});var Hdr32=/*#__PURE__*/React.forwardRef(function Hdr32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),React.createElement("polygon",{points:"8 9 8 15 4 15 4 9 2 9 2 23 4 23 4 17 8 17 8 23 10 23 10 9 8 9"}),props.children);});var Hdr24=/*#__PURE__*/React.forwardRef(function Hdr24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),React.createElement("polygon",{points:"8 9 8 15 4 15 4 9 2 9 2 23 4 23 4 17 8 17 8 23 10 23 10 9 8 9"}),props.children);});var Hdr20=/*#__PURE__*/React.forwardRef(function Hdr20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),React.createElement("polygon",{points:"8 9 8 15 4 15 4 9 2 9 2 23 4 23 4 17 8 17 8 23 10 23 10 9 8 9"}),props.children);});var Hdr16=/*#__PURE__*/React.forwardRef(function Hdr16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15V11a2,2,0,0,0-2-2H22V23h2V17h1.48l2.34,6H30l-2.33-6H28A2,2,0,0,0,30,15Zm-6-4h4v4H24Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),React.createElement("polygon",{points:"8 9 8 15 4 15 4 9 2 9 2 23 4 23 4 17 8 17 8 23 10 23 10 9 8 9"}),props.children);});var Http32=/*#__PURE__*/React.forwardRef(function Http32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11H25V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,30,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"10 13 12 13 12 21 14 21 14 13 16 13 16 11 10 11 10 13"}),React.createElement("polygon",{points:"23 11 17 11 17 13 19 13 19 21 21 21 21 13 23 13 23 11"}),React.createElement("polygon",{points:"6 11 6 15 3 15 3 11 1 11 1 21 3 21 3 17 6 17 6 21 8 21 8 11 6 11"}),props.children);});var Http24=/*#__PURE__*/React.forwardRef(function Http24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11H25V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,30,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"10 13 12 13 12 21 14 21 14 13 16 13 16 11 10 11 10 13"}),React.createElement("polygon",{points:"23 11 17 11 17 13 19 13 19 21 21 21 21 13 23 13 23 11"}),React.createElement("polygon",{points:"6 11 6 15 3 15 3 11 1 11 1 21 3 21 3 17 6 17 6 21 8 21 8 11 6 11"}),props.children);});var Http20=/*#__PURE__*/React.forwardRef(function Http20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11H25V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,30,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"10 13 12 13 12 21 14 21 14 13 16 13 16 11 10 11 10 13"}),React.createElement("polygon",{points:"23 11 17 11 17 13 19 13 19 21 21 21 21 13 23 13 23 11"}),React.createElement("polygon",{points:"6 11 6 15 3 15 3 11 1 11 1 21 3 21 3 17 6 17 6 21 8 21 8 11 6 11"}),props.children);});var Http16=/*#__PURE__*/React.forwardRef(function Http16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11H25V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,30,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"10 13 12 13 12 21 14 21 14 13 16 13 16 11 10 11 10 13"}),React.createElement("polygon",{points:"23 11 17 11 17 13 19 13 19 21 21 21 21 13 23 13 23 11"}),React.createElement("polygon",{points:"6 11 6 15 3 15 3 11 1 11 1 21 3 21 3 17 6 17 6 21 8 21 8 11 6 11"}),props.children);});var IsoFilled32=/*#__PURE__*/React.forwardRef(function IsoFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"6",x:"21",y:"13"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM8,21H6V11H8Zm9-8H12v2h3a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm9,6a2,2,0,0,1-2,2H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2Z"}),props.children);});var IsoFilled24=/*#__PURE__*/React.forwardRef(function IsoFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"6",x:"21",y:"13"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM8,21H6V11H8Zm9-8H12v2h3a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm9,6a2,2,0,0,1-2,2H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2Z"}),props.children);});var IsoFilled20=/*#__PURE__*/React.forwardRef(function IsoFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"6",x:"21",y:"13"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM8,21H6V11H8Zm9-8H12v2h3a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm9,6a2,2,0,0,1-2,2H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2Z"}),props.children);});var IsoFilled16=/*#__PURE__*/React.forwardRef(function IsoFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"6",x:"21",y:"13"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM8,21H6V11H8Zm9-8H12v2h3a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm9,6a2,2,0,0,1-2,2H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2Z"}),props.children);});var IsoOutline32=/*#__PURE__*/React.forwardRef(function IsoOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,21H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2v6A2,2,0,0,1,24,21Zm-3-8v6h3V13Z"}),React.createElement("path",{d:"M15,21H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H12v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,15,21Z"}),React.createElement("rect",{width:"2",height:"10",x:"6",y:"11"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),props.children);});var IsoOutline24=/*#__PURE__*/React.forwardRef(function IsoOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,21H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2v6A2,2,0,0,1,24,21Zm-3-8v6h3V13Z"}),React.createElement("path",{d:"M15,21H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H12v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,15,21Z"}),React.createElement("rect",{width:"2",height:"10",x:"6",y:"11"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),props.children);});var IsoOutline20=/*#__PURE__*/React.forwardRef(function IsoOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,21H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2v6A2,2,0,0,1,24,21Zm-3-8v6h3V13Z"}),React.createElement("path",{d:"M15,21H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H12v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,15,21Z"}),React.createElement("rect",{width:"2",height:"10",x:"6",y:"11"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),props.children);});var IsoOutline16=/*#__PURE__*/React.forwardRef(function IsoOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,21H21a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3a2,2,0,0,1,2,2v6A2,2,0,0,1,24,21Zm-3-8v6h3V13Z"}),React.createElement("path",{d:"M15,21H10V19h5V17H12a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H12v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,15,21Z"}),React.createElement("rect",{width:"2",height:"10",x:"6",y:"11"}),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,24V8H28V24Z"}),props.children);});var Iso32=/*#__PURE__*/React.forwardRef(function Iso32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,28,23ZM24,11V21h4V11Z"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 21 2 21 2 23 10 23 10 21 7 21 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Iso24=/*#__PURE__*/React.forwardRef(function Iso24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,28,23ZM24,11V21h4V11Z"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 21 2 21 2 23 10 23 10 21 7 21 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Iso20=/*#__PURE__*/React.forwardRef(function Iso20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,28,23ZM24,11V21h4V11Z"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 21 2 21 2 23 10 23 10 21 7 21 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Iso16=/*#__PURE__*/React.forwardRef(function Iso16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,28,23ZM24,11V21h4V11Z"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 21 2 21 2 23 10 23 10 21 7 21 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Jpg32=/*#__PURE__*/React.forwardRef(function Jpg32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("path",{d:"M8,23H4a2,2,0,0,1-2-2V19H4v2H8V9h2V21A2,2,0,0,1,8,23Z"}),props.children);});var Jpg24=/*#__PURE__*/React.forwardRef(function Jpg24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("path",{d:"M8,23H4a2,2,0,0,1-2-2V19H4v2H8V9h2V21A2,2,0,0,1,8,23Z"}),props.children);});var Jpg20=/*#__PURE__*/React.forwardRef(function Jpg20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("path",{d:"M8,23H4a2,2,0,0,1-2-2V19H4v2H8V9h2V21A2,2,0,0,1,8,23Z"}),props.children);});var Jpg16=/*#__PURE__*/React.forwardRef(function Jpg16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("path",{d:"M8,23H4a2,2,0,0,1-2-2V19H4v2H8V9h2V21A2,2,0,0,1,8,23Z"}),props.children);});var Json32=/*#__PURE__*/React.forwardRef(function Json32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 11 31 21 29 21 27 15 27 21 25 21 25 11 27 11 29 17 29 11 31 11"}),React.createElement("path",{d:"M21.3335,21h-2.667A1.6684,1.6684,0,0,1,17,19.3335v-6.667A1.6684,1.6684,0,0,1,18.6665,11h2.667A1.6684,1.6684,0,0,1,23,12.6665v6.667A1.6684,1.6684,0,0,1,21.3335,21ZM19,19h2V13H19Z"}),React.createElement("path",{d:"M13.3335,21H9V19h4V17H11a2.002,2.002,0,0,1-2-2V12.6665A1.6684,1.6684,0,0,1,10.6665,11H15v2H11v2h2a2.002,2.002,0,0,1,2,2v2.3335A1.6684,1.6684,0,0,1,13.3335,21Z"}),React.createElement("path",{d:"M5.3335,21H2.6665A1.6684,1.6684,0,0,1,1,19.3335V17H3v2H5V11H7v8.3335A1.6684,1.6684,0,0,1,5.3335,21Z"}),props.children);});var Json24=/*#__PURE__*/React.forwardRef(function Json24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 11 31 21 29 21 27 15 27 21 25 21 25 11 27 11 29 17 29 11 31 11"}),React.createElement("path",{d:"M21.3335,21h-2.667A1.6684,1.6684,0,0,1,17,19.3335v-6.667A1.6684,1.6684,0,0,1,18.6665,11h2.667A1.6684,1.6684,0,0,1,23,12.6665v6.667A1.6684,1.6684,0,0,1,21.3335,21ZM19,19h2V13H19Z"}),React.createElement("path",{d:"M13.3335,21H9V19h4V17H11a2.002,2.002,0,0,1-2-2V12.6665A1.6684,1.6684,0,0,1,10.6665,11H15v2H11v2h2a2.002,2.002,0,0,1,2,2v2.3335A1.6684,1.6684,0,0,1,13.3335,21Z"}),React.createElement("path",{d:"M5.3335,21H2.6665A1.6684,1.6684,0,0,1,1,19.3335V17H3v2H5V11H7v8.3335A1.6684,1.6684,0,0,1,5.3335,21Z"}),props.children);});var Json20=/*#__PURE__*/React.forwardRef(function Json20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 11 31 21 29 21 27 15 27 21 25 21 25 11 27 11 29 17 29 11 31 11"}),React.createElement("path",{d:"M21.3335,21h-2.667A1.6684,1.6684,0,0,1,17,19.3335v-6.667A1.6684,1.6684,0,0,1,18.6665,11h2.667A1.6684,1.6684,0,0,1,23,12.6665v6.667A1.6684,1.6684,0,0,1,21.3335,21ZM19,19h2V13H19Z"}),React.createElement("path",{d:"M13.3335,21H9V19h4V17H11a2.002,2.002,0,0,1-2-2V12.6665A1.6684,1.6684,0,0,1,10.6665,11H15v2H11v2h2a2.002,2.002,0,0,1,2,2v2.3335A1.6684,1.6684,0,0,1,13.3335,21Z"}),React.createElement("path",{d:"M5.3335,21H2.6665A1.6684,1.6684,0,0,1,1,19.3335V17H3v2H5V11H7v8.3335A1.6684,1.6684,0,0,1,5.3335,21Z"}),props.children);});var Json16=/*#__PURE__*/React.forwardRef(function Json16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 11 31 21 29 21 27 15 27 21 25 21 25 11 27 11 29 17 29 11 31 11"}),React.createElement("path",{d:"M21.3335,21h-2.667A1.6684,1.6684,0,0,1,17,19.3335v-6.667A1.6684,1.6684,0,0,1,18.6665,11h2.667A1.6684,1.6684,0,0,1,23,12.6665v6.667A1.6684,1.6684,0,0,1,21.3335,21ZM19,19h2V13H19Z"}),React.createElement("path",{d:"M13.3335,21H9V19h4V17H11a2.002,2.002,0,0,1-2-2V12.6665A1.6684,1.6684,0,0,1,10.6665,11H15v2H11v2h2a2.002,2.002,0,0,1,2,2v2.3335A1.6684,1.6684,0,0,1,13.3335,21Z"}),React.createElement("path",{d:"M5.3335,21H2.6665A1.6684,1.6684,0,0,1,1,19.3335V17H3v2H5V11H7v8.3335A1.6684,1.6684,0,0,1,5.3335,21Z"}),props.children);});var Mov32=/*#__PURE__*/React.forwardRef(function Mov32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.52 23 27.48 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mov24=/*#__PURE__*/React.forwardRef(function Mov24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.52 23 27.48 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mov20=/*#__PURE__*/React.forwardRef(function Mov20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.52 23 27.48 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mov16=/*#__PURE__*/React.forwardRef(function Mov16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.52 23 27.48 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11V21h4V11Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp332=/*#__PURE__*/React.forwardRef(function Mp332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22v2h6v4H24v2h4v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp324=/*#__PURE__*/React.forwardRef(function Mp324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22v2h6v4H24v2h4v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp320=/*#__PURE__*/React.forwardRef(function Mp320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22v2h6v4H24v2h4v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp316=/*#__PURE__*/React.forwardRef(function Mp316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22v2h6v4H24v2h4v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp432=/*#__PURE__*/React.forwardRef(function Mp432(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10v8h0V10m1-1H27v8H24V9H22V19h5v4h2V19h1V17H29V9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp424=/*#__PURE__*/React.forwardRef(function Mp424(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10v8h0V10m1-1H27v8H24V9H22V19h5v4h2V19h1V17H29V9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp420=/*#__PURE__*/React.forwardRef(function Mp420(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10v8h0V10m1-1H27v8H24V9H22V19h5v4h2V19h1V17H29V9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mp416=/*#__PURE__*/React.forwardRef(function Mp416(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10v8h0V10m1-1H27v8H24V9H22V19h5v4h2V19h1V17H29V9Z"}),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"8 9 6.49 14 6 15.98 5.54 14 4 9 2 9 2 23 4 23 4 15 3.84 13 4.42 15 6 19.63 7.58 15 8.16 13 8 15 8 23 10 23 10 9 8 9"}),props.children);});var Mpeg32=/*#__PURE__*/React.forwardRef(function Mpeg32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H28a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H28v6h2V17H29l0-2h3Z"}),React.createElement("polygon",{points:"24 13 24 11.024 18 11.024 18 21 24 21 24 19 20 19 20 17 22 17 22 15 20 15 20 13 24 13"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Mpeg24=/*#__PURE__*/React.forwardRef(function Mpeg24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H28a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H28v6h2V17H29l0-2h3Z"}),React.createElement("polygon",{points:"24 13 24 11.024 18 11.024 18 21 24 21 24 19 20 19 20 17 22 17 22 15 20 15 20 13 24 13"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Mpeg20=/*#__PURE__*/React.forwardRef(function Mpeg20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H28a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H28v6h2V17H29l0-2h3Z"}),React.createElement("polygon",{points:"24 13 24 11.024 18 11.024 18 21 24 21 24 19 20 19 20 17 22 17 22 15 20 15 20 13 24 13"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Mpeg16=/*#__PURE__*/React.forwardRef(function Mpeg16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H28a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H28v6h2V17H29l0-2h3Z"}),React.createElement("polygon",{points:"24 13 24 11.024 18 11.024 18 21 24 21 24 19 20 19 20 17 22 17 22 15 20 15 20 13 24 13"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Mpg232=/*#__PURE__*/React.forwardRef(function Mpg232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H26V17a2.002,2.002,0,0,1,2-2h2V13H26V11h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H28v2h4Z"}),React.createElement("path",{d:"M24,21H20a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H20v6h2V17H21l0-2h3Z"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Mpg224=/*#__PURE__*/React.forwardRef(function Mpg224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H26V17a2.002,2.002,0,0,1,2-2h2V13H26V11h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H28v2h4Z"}),React.createElement("path",{d:"M24,21H20a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H20v6h2V17H21l0-2h3Z"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Mpg220=/*#__PURE__*/React.forwardRef(function Mpg220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H26V17a2.002,2.002,0,0,1,2-2h2V13H26V11h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H28v2h4Z"}),React.createElement("path",{d:"M24,21H20a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H20v6h2V17H21l0-2h3Z"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Mpg216=/*#__PURE__*/React.forwardRef(function Mpg216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M32,21H26V17a2.002,2.002,0,0,1,2-2h2V13H26V11h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H28v2h4Z"}),React.createElement("path",{d:"M24,21H20a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h4v2H20v6h2V17H21l0-2h3Z"}),React.createElement("path",{d:"M14,11H9V21h2V18h3a2.0027,2.0027,0,0,0,2-2V13A2.0023,2.0023,0,0,0,14,11Zm-3,5V13h3l.001,3Z"}),React.createElement("polygon",{points:"7 11 5 11 3.5 15 2 11 0 11 0 21 2 21 2 14 3.5 18 5 14 5 21 7 21 7 11"}),props.children);});var Pdf32=/*#__PURE__*/React.forwardRef(function Pdf32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("path",{d:"M8,9H2V23H4V18H8a2,2,0,0,0,2-2V11A2,2,0,0,0,8,9Zm0,7H4V11H8Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),props.children);});var Pdf24=/*#__PURE__*/React.forwardRef(function Pdf24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("path",{d:"M8,9H2V23H4V18H8a2,2,0,0,0,2-2V11A2,2,0,0,0,8,9Zm0,7H4V11H8Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),props.children);});var Pdf20=/*#__PURE__*/React.forwardRef(function Pdf20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("path",{d:"M8,9H2V23H4V18H8a2,2,0,0,0,2-2V11A2,2,0,0,0,8,9Zm0,7H4V11H8Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),props.children);});var Pdf16=/*#__PURE__*/React.forwardRef(function Pdf16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("path",{d:"M8,9H2V23H4V18H8a2,2,0,0,0,2-2V11A2,2,0,0,0,8,9Zm0,7H4V11H8Z"}),React.createElement("path",{d:"M16,23H12V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,16,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H14Z"}),props.children);});var Png32=/*#__PURE__*/React.forwardRef(function Png32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 19 14.32 9 12 9 12 23 14 23 14 13 17.68 23 20 23 20 9 18 9 18 19"}),React.createElement("path",{d:"M4,23H2V9H8a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H4Zm0-7H8V11H4Z"}),props.children);});var Png24=/*#__PURE__*/React.forwardRef(function Png24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 19 14.32 9 12 9 12 23 14 23 14 13 17.68 23 20 23 20 9 18 9 18 19"}),React.createElement("path",{d:"M4,23H2V9H8a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H4Zm0-7H8V11H4Z"}),props.children);});var Png20=/*#__PURE__*/React.forwardRef(function Png20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 19 14.32 9 12 9 12 23 14 23 14 13 17.68 23 20 23 20 9 18 9 18 19"}),React.createElement("path",{d:"M4,23H2V9H8a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H4Zm0-7H8V11H4Z"}),props.children);});var Png16=/*#__PURE__*/React.forwardRef(function Png16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 19 14.32 9 12 9 12 23 14 23 14 13 17.68 23 20 23 20 9 18 9 18 19"}),React.createElement("path",{d:"M4,23H2V9H8a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H4Zm0-7H8V11H4Z"}),props.children);});var Ppt32=/*#__PURE__*/React.forwardRef(function Ppt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 11 25 11 25 23 27 23 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H14Zm0-7h4V10.9985H14Z"}),React.createElement("path",{d:"M4,23H2V9H8a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H4Zm0-7H8V10.9985H4Z"}),props.children);});var Ppt24=/*#__PURE__*/React.forwardRef(function Ppt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 11 25 11 25 23 27 23 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H14Zm0-7h4V10.9985H14Z"}),React.createElement("path",{d:"M4,23H2V9H8a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H4Zm0-7H8V10.9985H4Z"}),props.children);});var Ppt20=/*#__PURE__*/React.forwardRef(function Ppt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 11 25 11 25 23 27 23 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H14Zm0-7h4V10.9985H14Z"}),React.createElement("path",{d:"M4,23H2V9H8a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H4Zm0-7H8V10.9985H4Z"}),props.children);});var Ppt16=/*#__PURE__*/React.forwardRef(function Ppt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 11 25 11 25 23 27 23 27 11 30 11 30 9 22 9 22 11"}),React.createElement("path",{d:"M14,23H12V9h6a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H14Zm0-7h4V10.9985H14Z"}),React.createElement("path",{d:"M4,23H2V9H8a2.002,2.002,0,0,1,2,2v5a2.002,2.002,0,0,1-2,2H4Zm0-7H8V10.9985H4Z"}),props.children);});var QH32=/*#__PURE__*/React.forwardRef(function QH32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),props.children);});var QH24=/*#__PURE__*/React.forwardRef(function QH24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),props.children);});var QH20=/*#__PURE__*/React.forwardRef(function QH20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),props.children);});var QH16=/*#__PURE__*/React.forwardRef(function QH16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),props.children);});var QSAlt32=/*#__PURE__*/React.forwardRef(function QSAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 22 17 22 11 24 11 24 9"}),React.createElement("path",{d:"M14,23H8V21h6V17H10a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H10v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,14,23Z"}),props.children);});var QSAlt24=/*#__PURE__*/React.forwardRef(function QSAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 22 17 22 11 24 11 24 9"}),React.createElement("path",{d:"M14,23H8V21h6V17H10a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H10v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,14,23Z"}),props.children);});var QSAlt20=/*#__PURE__*/React.forwardRef(function QSAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 22 17 22 11 24 11 24 9"}),React.createElement("path",{d:"M14,23H8V21h6V17H10a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H10v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,14,23Z"}),props.children);});var QSAlt16=/*#__PURE__*/React.forwardRef(function QSAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 22 17 22 11 24 11 24 9"}),React.createElement("path",{d:"M14,23H8V21h6V17H10a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H10v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,14,23Z"}),props.children);});var QS32=/*#__PURE__*/React.forwardRef(function QS32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var QS24=/*#__PURE__*/React.forwardRef(function QS24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var QS20=/*#__PURE__*/React.forwardRef(function QS20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var QS16=/*#__PURE__*/React.forwardRef(function QS16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var QTAlt32=/*#__PURE__*/React.forwardRef(function QTAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 21 18 22 17 22 11 24 11 24 9"}),props.children);});var QTAlt24=/*#__PURE__*/React.forwardRef(function QTAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 21 18 22 17 22 11 24 11 24 9"}),props.children);});var QTAlt20=/*#__PURE__*/React.forwardRef(function QTAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 21 18 22 17 22 11 24 11 24 9"}),props.children);});var QTAlt16=/*#__PURE__*/React.forwardRef(function QTAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("polygon",{points:"24 9 22 9 22 7 20 7 20 9 18 9 18 11 20 11 20 17 21 18 22 17 22 11 24 11 24 9"}),props.children);});var QT32=/*#__PURE__*/React.forwardRef(function QT32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11 15 11 15 23 17 23 17 11 20 11 20 9 12 9 12 11"}),props.children);});var QT24=/*#__PURE__*/React.forwardRef(function QT24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11 15 11 15 23 17 23 17 11 20 11 20 9 12 9 12 11"}),props.children);});var QT20=/*#__PURE__*/React.forwardRef(function QT20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11 15 11 15 23 17 23 17 11 20 11 20 9 12 9 12 11"}),props.children);});var QT16=/*#__PURE__*/React.forwardRef(function QT16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 11 15 11 15 23 17 23 17 11 20 11 20 9 12 9 12 11"}),props.children);});var QU132=/*#__PURE__*/React.forwardRef(function QU132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("polygon",{points:"22 21 22 9 17 9 17 11 20 11 20 21 17 21 17 23 25 23 25 21 22 21"}),props.children);});var QU124=/*#__PURE__*/React.forwardRef(function QU124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("polygon",{points:"22 21 22 9 17 9 17 11 20 11 20 21 17 21 17 23 25 23 25 21 22 21"}),props.children);});var QU120=/*#__PURE__*/React.forwardRef(function QU120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("polygon",{points:"22 21 22 9 17 9 17 11 20 11 20 21 17 21 17 23 25 23 25 21 22 21"}),props.children);});var QU116=/*#__PURE__*/React.forwardRef(function QU116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("polygon",{points:"22 21 22 9 17 9 17 11 20 11 20 21 17 21 17 23 25 23 25 21 22 21"}),props.children);});var QU232=/*#__PURE__*/React.forwardRef(function QU232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M25,23H17V17a2,2,0,0,1,2-2h4V11H17V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H19v4h6Z"}),props.children);});var QU224=/*#__PURE__*/React.forwardRef(function QU224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M25,23H17V17a2,2,0,0,1,2-2h4V11H17V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H19v4h6Z"}),props.children);});var QU220=/*#__PURE__*/React.forwardRef(function QU220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M25,23H17V17a2,2,0,0,1,2-2h4V11H17V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H19v4h6Z"}),props.children);});var QU216=/*#__PURE__*/React.forwardRef(function QU216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M25,23H17V17a2,2,0,0,1,2-2h4V11H17V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H19v4h6Z"}),props.children);});var QU332=/*#__PURE__*/React.forwardRef(function QU332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M23,9H17v2h6v4H18v2h5v4H17v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,23,9Z"}),props.children);});var QU324=/*#__PURE__*/React.forwardRef(function QU324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M23,9H17v2h6v4H18v2h5v4H17v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,23,9Z"}),props.children);});var QU320=/*#__PURE__*/React.forwardRef(function QU320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M23,9H17v2h6v4H18v2h5v4H17v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,23,9Z"}),props.children);});var QU316=/*#__PURE__*/React.forwardRef(function QU316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),React.createElement("path",{d:"M23,9H17v2h6v4H18v2h5v4H17v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,23,9Z"}),props.children);});var QX32=/*#__PURE__*/React.forwardRef(function QX32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),props.children);});var QX24=/*#__PURE__*/React.forwardRef(function QX24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),props.children);});var QX20=/*#__PURE__*/React.forwardRef(function QX20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),props.children);});var QX16=/*#__PURE__*/React.forwardRef(function QX16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),props.children);});var QY32=/*#__PURE__*/React.forwardRef(function QY32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 16 14 9 12 9 15 18 15 23 17 23 17 18 20 9"}),props.children);});var QY24=/*#__PURE__*/React.forwardRef(function QY24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 16 14 9 12 9 15 18 15 23 17 23 17 18 20 9"}),props.children);});var QY20=/*#__PURE__*/React.forwardRef(function QY20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 16 14 9 12 9 15 18 15 23 17 23 17 18 20 9"}),props.children);});var QY16=/*#__PURE__*/React.forwardRef(function QY16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 18 9 16 16 14 9 12 9 15 18 15 23 17 23 17 18 20 9"}),props.children);});var QZ32=/*#__PURE__*/React.forwardRef(function QZ32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 11 18 11 12 21 12 23 20 23 20 21 14 21 20 11 20 9"}),props.children);});var QZ24=/*#__PURE__*/React.forwardRef(function QZ24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 11 18 11 12 21 12 23 20 23 20 21 14 21 20 11 20 9"}),props.children);});var QZ20=/*#__PURE__*/React.forwardRef(function QZ20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 11 18 11 12 21 12 23 20 23 20 21 14 21 20 11 20 9"}),props.children);});var QZ16=/*#__PURE__*/React.forwardRef(function QZ16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 11 18 11 12 21 12 23 20 23 20 21 14 21 20 11 20 9"}),props.children);});var QBarrier32=/*#__PURE__*/React.forwardRef(function QBarrier32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"5"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"17"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"23"}),props.children);});var QBarrier24=/*#__PURE__*/React.forwardRef(function QBarrier24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"5"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"17"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"23"}),props.children);});var QBarrier20=/*#__PURE__*/React.forwardRef(function QBarrier20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"5"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"17"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"23"}),props.children);});var QBarrier16=/*#__PURE__*/React.forwardRef(function QBarrier16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"5"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"17"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"23"}),props.children);});var QBlochSphere32=/*#__PURE__*/React.forwardRef(function QBlochSphere32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var QBlochSphere24=/*#__PURE__*/React.forwardRef(function QBlochSphere24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var QBlochSphere20=/*#__PURE__*/React.forwardRef(function QBlochSphere20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var QBlochSphere16=/*#__PURE__*/React.forwardRef(function QBlochSphere16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var QCU132=/*#__PURE__*/React.forwardRef(function QCU132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"27 21 27 9.01 22 9.01 22 11.01 25 11.01 25 21 22 21 22 23 30 23 30 21 27 21"}),props.children);});var QCU124=/*#__PURE__*/React.forwardRef(function QCU124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"27 21 27 9.01 22 9.01 22 11.01 25 11.01 25 21 22 21 22 23 30 23 30 21 27 21"}),props.children);});var QCU120=/*#__PURE__*/React.forwardRef(function QCU120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"27 21 27 9.01 22 9.01 22 11.01 25 11.01 25 21 22 21 22 23 30 23 30 21 27 21"}),props.children);});var QCU116=/*#__PURE__*/React.forwardRef(function QCU116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("polygon",{points:"27 21 27 9.01 22 9.01 22 11.01 25 11.01 25 21 22 21 22 23 30 23 30 21 27 21"}),props.children);});var QCU332=/*#__PURE__*/React.forwardRef(function QCU332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("path",{d:"M28,9H22v2h6v4H23v2h5v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),props.children);});var QCU324=/*#__PURE__*/React.forwardRef(function QCU324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("path",{d:"M28,9H22v2h6v4H23v2h5v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),props.children);});var QCU320=/*#__PURE__*/React.forwardRef(function QCU320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("path",{d:"M28,9H22v2h6v4H23v2h5v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),props.children);});var QCU316=/*#__PURE__*/React.forwardRef(function QCU316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V9h2V21h4V9h2V21A2,2,0,0,1,18,23Z"}),React.createElement("path",{d:"M28,9H22v2h6v4H23v2h5v4H22v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Z"}),props.children);});var QCY32=/*#__PURE__*/React.forwardRef(function QCY32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,23H10a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("polygon",{points:"24 9 22 9 20 16 18 9 16 9 19 18 19 23 21 23 21 18 24 9"}),props.children);});var QCY24=/*#__PURE__*/React.forwardRef(function QCY24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,23H10a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("polygon",{points:"24 9 22 9 20 16 18 9 16 9 19 18 19 23 21 23 21 18 24 9"}),props.children);});var QCY20=/*#__PURE__*/React.forwardRef(function QCY20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,23H10a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("polygon",{points:"24 9 22 9 20 16 18 9 16 9 19 18 19 23 21 23 21 18 24 9"}),props.children);});var QCY16=/*#__PURE__*/React.forwardRef(function QCY16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,23H10a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("polygon",{points:"24 9 22 9 20 16 18 9 16 9 19 18 19 23 21 23 21 18 24 9"}),props.children);});var QCZ32=/*#__PURE__*/React.forwardRef(function QCZ32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H9a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H9v6h5Z"}),React.createElement("polygon",{points:"24 9 16 9 16 11 22 11 16 21 16 23 24 23 24 21 18 21 24 11 24 9"}),props.children);});var QCZ24=/*#__PURE__*/React.forwardRef(function QCZ24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H9a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H9v6h5Z"}),React.createElement("polygon",{points:"24 9 16 9 16 11 22 11 16 21 16 23 24 23 24 21 18 21 24 11 24 9"}),props.children);});var QCZ20=/*#__PURE__*/React.forwardRef(function QCZ20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H9a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H9v6h5Z"}),React.createElement("polygon",{points:"24 9 16 9 16 11 22 11 16 21 16 23 24 23 24 21 18 21 24 11 24 9"}),props.children);});var QCZ16=/*#__PURE__*/React.forwardRef(function QCZ16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H9a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H9v6h5Z"}),React.createElement("polygon",{points:"24 9 16 9 16 11 22 11 16 21 16 23 24 23 24 21 18 21 24 11 24 9"}),props.children);});var QCcX32=/*#__PURE__*/React.forwardRef(function QCcX32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M19,23H14a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H14v6h5Z"}),React.createElement("polygon",{points:"29 9 27 9 25 15 23 9 21 9 23.75 16 21 23 23 23 25 17 27 23 29 23 26.25 16 29 9"}),props.children);});var QCcX24=/*#__PURE__*/React.forwardRef(function QCcX24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M19,23H14a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H14v6h5Z"}),React.createElement("polygon",{points:"29 9 27 9 25 15 23 9 21 9 23.75 16 21 23 23 23 25 17 27 23 29 23 26.25 16 29 9"}),props.children);});var QCcX20=/*#__PURE__*/React.forwardRef(function QCcX20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M19,23H14a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H14v6h5Z"}),React.createElement("polygon",{points:"29 9 27 9 25 15 23 9 21 9 23.75 16 21 23 23 23 25 17 27 23 29 23 26.25 16 29 9"}),props.children);});var QCcX16=/*#__PURE__*/React.forwardRef(function QCcX16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,23H5a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H5v6h5Z"}),React.createElement("path",{d:"M19,23H14a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H14v6h5Z"}),React.createElement("polygon",{points:"29 9 27 9 25 15 23 9 21 9 23.75 16 21 23 23 23 25 17 27 23 29 23 26.25 16 29 9"}),props.children);});var QCircuitComposer32=/*#__PURE__*/React.forwardRef(function QCircuitComposer32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),React.createElement("path",{d:"M30,15H26V6a2,2,0,0,0-2-2H8A2,2,0,0,0,6,6v9H2v2H6v9a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V17h4ZM8,26V6H24V26Z"}),props.children);});var QCircuitComposer24=/*#__PURE__*/React.forwardRef(function QCircuitComposer24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),React.createElement("path",{d:"M30,15H26V6a2,2,0,0,0-2-2H8A2,2,0,0,0,6,6v9H2v2H6v9a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V17h4ZM8,26V6H24V26Z"}),props.children);});var QCircuitComposer20=/*#__PURE__*/React.forwardRef(function QCircuitComposer20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),React.createElement("path",{d:"M30,15H26V6a2,2,0,0,0-2-2H8A2,2,0,0,0,6,6v9H2v2H6v9a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V17h4ZM8,26V6H24V26Z"}),props.children);});var QCircuitComposer16=/*#__PURE__*/React.forwardRef(function QCircuitComposer16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 9 18 15 14 15 14 9 12 9 12 23 14 23 14 17 18 17 18 23 20 23 20 9 18 9"}),React.createElement("path",{d:"M30,15H26V6a2,2,0,0,0-2-2H8A2,2,0,0,0,6,6v9H2v2H6v9a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V17h4ZM8,26V6H24V26Z"}),props.children);});var QComposerEdit32=/*#__PURE__*/React.forwardRef(function QComposerEdit32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var QComposerEdit24=/*#__PURE__*/React.forwardRef(function QComposerEdit24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var QComposerEdit20=/*#__PURE__*/React.forwardRef(function QComposerEdit20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var QComposerEdit16=/*#__PURE__*/React.forwardRef(function QComposerEdit16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var QHintonPlot32=/*#__PURE__*/React.forwardRef(function QHintonPlot32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var QHintonPlot24=/*#__PURE__*/React.forwardRef(function QHintonPlot24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var QHintonPlot20=/*#__PURE__*/React.forwardRef(function QHintonPlot20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var QHintonPlot16=/*#__PURE__*/React.forwardRef(function QHintonPlot16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var QID32=/*#__PURE__*/React.forwardRef(function QID32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"10",y:"9"}),React.createElement("path",{d:"M18,23H14V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,18,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H16Z"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"13"}),props.children);});var QID24=/*#__PURE__*/React.forwardRef(function QID24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"10",y:"9"}),React.createElement("path",{d:"M18,23H14V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,18,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H16Z"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"13"}),props.children);});var QID20=/*#__PURE__*/React.forwardRef(function QID20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"10",y:"9"}),React.createElement("path",{d:"M18,23H14V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,18,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H16Z"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"13"}),props.children);});var QID16=/*#__PURE__*/React.forwardRef(function QID16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"10",y:"9"}),React.createElement("path",{d:"M18,23H14V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,18,23Zm-2-2h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H16Z"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"13"}),props.children);});var QMatrix32=/*#__PURE__*/React.forwardRef(function QMatrix32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var QMatrix24=/*#__PURE__*/React.forwardRef(function QMatrix24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var QMatrix20=/*#__PURE__*/React.forwardRef(function QMatrix20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var QMatrix16=/*#__PURE__*/React.forwardRef(function QMatrix16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var QOperationGauge32=/*#__PURE__*/React.forwardRef(function QOperationGauge32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 24 4 24 6 27.75 6 24 10 24 12 30 12 30 10 26.38 10 30 6 30 4"}),React.createElement("path",{d:"M20,17.62,22.08,14l-1.73-1-2.18,3.76A12,12,0,0,0,2,28H4a10,10,0,0,1,13.16-9.48L14,24a2,2,0,1,0,2,2,2,2,0,0,0-.27-1L19,19.35A10,10,0,0,1,24,28h2A12,12,0,0,0,20,17.62Z"}),props.children);});var QOperationGauge24=/*#__PURE__*/React.forwardRef(function QOperationGauge24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 24 4 24 6 27.75 6 24 10 24 12 30 12 30 10 26.38 10 30 6 30 4"}),React.createElement("path",{d:"M20,17.62,22.08,14l-1.73-1-2.18,3.76A12,12,0,0,0,2,28H4a10,10,0,0,1,13.16-9.48L14,24a2,2,0,1,0,2,2,2,2,0,0,0-.27-1L19,19.35A10,10,0,0,1,24,28h2A12,12,0,0,0,20,17.62Z"}),props.children);});var QOperationGauge20=/*#__PURE__*/React.forwardRef(function QOperationGauge20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 24 4 24 6 27.75 6 24 10 24 12 30 12 30 10 26.38 10 30 6 30 4"}),React.createElement("path",{d:"M20,17.62,22.08,14l-1.73-1-2.18,3.76A12,12,0,0,0,2,28H4a10,10,0,0,1,13.16-9.48L14,24a2,2,0,1,0,2,2,2,2,0,0,0-.27-1L19,19.35A10,10,0,0,1,24,28h2A12,12,0,0,0,20,17.62Z"}),props.children);});var QOperationGauge16=/*#__PURE__*/React.forwardRef(function QOperationGauge16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 24 4 24 6 27.75 6 24 10 24 12 30 12 30 10 26.38 10 30 6 30 4"}),React.createElement("path",{d:"M20,17.62,22.08,14l-1.73-1-2.18,3.76A12,12,0,0,0,2,28H4a10,10,0,0,1,13.16-9.48L14,24a2,2,0,1,0,2,2,2,2,0,0,0-.27-1L19,19.35A10,10,0,0,1,24,28h2A12,12,0,0,0,20,17.62Z"}),props.children);});var QOperationIf32=/*#__PURE__*/React.forwardRef(function QOperationIf32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"12",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"9"}),React.createElement("path",{d:"M23,11V9H20a2,2,0,0,0-2,2v2H16v2h2v8h2V15h3V13H20V11Z"}),props.children);});var QOperationIf24=/*#__PURE__*/React.forwardRef(function QOperationIf24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"12",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"9"}),React.createElement("path",{d:"M23,11V9H20a2,2,0,0,0-2,2v2H16v2h2v8h2V15h3V13H20V11Z"}),props.children);});var QOperationIf20=/*#__PURE__*/React.forwardRef(function QOperationIf20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"12",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"9"}),React.createElement("path",{d:"M23,11V9H20a2,2,0,0,0-2,2v2H16v2h2v8h2V15h3V13H20V11Z"}),props.children);});var QOperationIf16=/*#__PURE__*/React.forwardRef(function QOperationIf16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"12",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"9"}),React.createElement("path",{d:"M23,11V9H20a2,2,0,0,0-2,2v2H16v2h2v8h2V15h3V13H20V11Z"}),props.children);});var QOperation32=/*#__PURE__*/React.forwardRef(function QOperation32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 26 21 26 26 16 21 6 23 6 28 16 23 26"}),React.createElement("rect",{width:"2",height:"20",x:"4",y:"6"}),React.createElement("path",{d:"M16,9H12a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,16,9Zm0,12H12V11h4Z"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"15"}),props.children);});var QOperation24=/*#__PURE__*/React.forwardRef(function QOperation24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 26 21 26 26 16 21 6 23 6 28 16 23 26"}),React.createElement("rect",{width:"2",height:"20",x:"4",y:"6"}),React.createElement("path",{d:"M16,9H12a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,16,9Zm0,12H12V11h4Z"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"15"}),props.children);});var QOperation20=/*#__PURE__*/React.forwardRef(function QOperation20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 26 21 26 26 16 21 6 23 6 28 16 23 26"}),React.createElement("rect",{width:"2",height:"20",x:"4",y:"6"}),React.createElement("path",{d:"M16,9H12a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,16,9Zm0,12H12V11h4Z"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"15"}),props.children);});var QOperation16=/*#__PURE__*/React.forwardRef(function QOperation16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 26 21 26 26 16 21 6 23 6 28 16 23 26"}),React.createElement("rect",{width:"2",height:"20",x:"4",y:"6"}),React.createElement("path",{d:"M16,9H12a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,16,9Zm0,12H12V11h4Z"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"15"}),props.children);});var Raw32=/*#__PURE__*/React.forwardRef(function Raw32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29.2 9 28.86 17 28.6 21.54 28.19 18 27.51 12.54 25.49 12.54 24.81 18 24.4 21.54 24.14 17 23.8 9 22 9 23 23 25.27 23 26.03 18.07 26.49 14 26.5 13.97 26.51 14 26.97 18.07 27.73 23 30 23 31 9 29.2 9"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M10,15V11A2,2,0,0,0,8,9H2V23H4V17H5.48l2.34,6H10L7.63,17H8A2,2,0,0,0,10,15ZM4,11H8v4H4Z"}),props.children);});var Raw24=/*#__PURE__*/React.forwardRef(function Raw24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29.2 9 28.86 17 28.6 21.54 28.19 18 27.51 12.54 25.49 12.54 24.81 18 24.4 21.54 24.14 17 23.8 9 22 9 23 23 25.27 23 26.03 18.07 26.49 14 26.5 13.97 26.51 14 26.97 18.07 27.73 23 30 23 31 9 29.2 9"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M10,15V11A2,2,0,0,0,8,9H2V23H4V17H5.48l2.34,6H10L7.63,17H8A2,2,0,0,0,10,15ZM4,11H8v4H4Z"}),props.children);});var Raw20=/*#__PURE__*/React.forwardRef(function Raw20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29.2 9 28.86 17 28.6 21.54 28.19 18 27.51 12.54 25.49 12.54 24.81 18 24.4 21.54 24.14 17 23.8 9 22 9 23 23 25.27 23 26.03 18.07 26.49 14 26.5 13.97 26.51 14 26.97 18.07 27.73 23 30 23 31 9 29.2 9"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M10,15V11A2,2,0,0,0,8,9H2V23H4V17H5.48l2.34,6H10L7.63,17H8A2,2,0,0,0,10,15ZM4,11H8v4H4Z"}),props.children);});var Raw16=/*#__PURE__*/React.forwardRef(function Raw16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29.2 9 28.86 17 28.6 21.54 28.19 18 27.51 12.54 25.49 12.54 24.81 18 24.4 21.54 24.14 17 23.8 9 22 9 23 23 25.27 23 26.03 18.07 26.49 14 26.5 13.97 26.51 14 26.97 18.07 27.73 23 30 23 31 9 29.2 9"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V23h2V18h4v5h2V11A2,2,0,0,0,18,9Zm-4,7V11h4v5Z"}),React.createElement("path",{d:"M10,15V11A2,2,0,0,0,8,9H2V23H4V17H5.48l2.34,6H10L7.63,17H8A2,2,0,0,0,10,15ZM4,11H8v4H4Z"}),props.children);});var Sdk32=/*#__PURE__*/React.forwardRef(function Sdk32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 9 27.9 9 24 15.6 24 9 22 9 22 23 24 23 24 18.7 24.9 17.2 27.9 23 30 23 26.1 15.4 30 9"}),React.createElement("path",{d:"M16,23H12V9h4a4.0118,4.0118,0,0,1,4,4v6A4.0118,4.0118,0,0,1,16,23Zm-2-2h2a2.0059,2.0059,0,0,0,2-2V13a2.0059,2.0059,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2.0059,2.0059,0,0,1-2-2V11A2.0059,2.0059,0,0,1,4,9h6v2H4v4H8a2.0059,2.0059,0,0,1,2,2v4A2.0059,2.0059,0,0,1,8,23Z"}),props.children);});var Sdk24=/*#__PURE__*/React.forwardRef(function Sdk24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 9 27.9 9 24 15.6 24 9 22 9 22 23 24 23 24 18.7 24.9 17.2 27.9 23 30 23 26.1 15.4 30 9"}),React.createElement("path",{d:"M16,23H12V9h4a4.0118,4.0118,0,0,1,4,4v6A4.0118,4.0118,0,0,1,16,23Zm-2-2h2a2.0059,2.0059,0,0,0,2-2V13a2.0059,2.0059,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2.0059,2.0059,0,0,1-2-2V11A2.0059,2.0059,0,0,1,4,9h6v2H4v4H8a2.0059,2.0059,0,0,1,2,2v4A2.0059,2.0059,0,0,1,8,23Z"}),props.children);});var Sdk20=/*#__PURE__*/React.forwardRef(function Sdk20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 9 27.9 9 24 15.6 24 9 22 9 22 23 24 23 24 18.7 24.9 17.2 27.9 23 30 23 26.1 15.4 30 9"}),React.createElement("path",{d:"M16,23H12V9h4a4.0118,4.0118,0,0,1,4,4v6A4.0118,4.0118,0,0,1,16,23Zm-2-2h2a2.0059,2.0059,0,0,0,2-2V13a2.0059,2.0059,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2.0059,2.0059,0,0,1-2-2V11A2.0059,2.0059,0,0,1,4,9h6v2H4v4H8a2.0059,2.0059,0,0,1,2,2v4A2.0059,2.0059,0,0,1,8,23Z"}),props.children);});var Sdk16=/*#__PURE__*/React.forwardRef(function Sdk16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 9 27.9 9 24 15.6 24 9 22 9 22 23 24 23 24 18.7 24.9 17.2 27.9 23 30 23 26.1 15.4 30 9"}),React.createElement("path",{d:"M16,23H12V9h4a4.0118,4.0118,0,0,1,4,4v6A4.0118,4.0118,0,0,1,16,23Zm-2-2h2a2.0059,2.0059,0,0,0,2-2V13a2.0059,2.0059,0,0,0-2-2H14Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2.0059,2.0059,0,0,1-2-2V11A2.0059,2.0059,0,0,1,4,9h6v2H4v4H8a2.0059,2.0059,0,0,1,2,2v4A2.0059,2.0059,0,0,1,8,23Z"}),props.children);});var Sql32=/*#__PURE__*/React.forwardRef(function Sql32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H17V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9ZM14,21V11h4V21Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Sql24=/*#__PURE__*/React.forwardRef(function Sql24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H17V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9ZM14,21V11h4V21Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Sql20=/*#__PURE__*/React.forwardRef(function Sql20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H17V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9ZM14,21V11h4V21Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Sql16=/*#__PURE__*/React.forwardRef(function Sql16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H17V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9ZM14,21V11h4V21Z"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Svg32=/*#__PURE__*/React.forwardRef(function Svg32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Svg24=/*#__PURE__*/React.forwardRef(function Svg24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Svg20=/*#__PURE__*/React.forwardRef(function Svg20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Svg16=/*#__PURE__*/React.forwardRef(function Svg16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23H24a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h6v2H24V21h4V17H26V15h4Z"}),React.createElement("polygon",{points:"18 9 16 22 14 9 12 9 14.52 23 17.48 23 20 9 18 9"}),React.createElement("path",{d:"M8,23H2V21H8V17H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9h6v2H4v4H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,23Z"}),props.children);});var Tif32=/*#__PURE__*/React.forwardRef(function Tif32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9 12 11"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Tif24=/*#__PURE__*/React.forwardRef(function Tif24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9 12 11"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Tif20=/*#__PURE__*/React.forwardRef(function Tif20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9 12 11"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Tif16=/*#__PURE__*/React.forwardRef(function Tif16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 11 30 9 22 9 22 23 24 23 24 17 29 17 29 15 24 15 24 11 30 11"}),React.createElement("polygon",{points:"12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9 12 11"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Tsv32=/*#__PURE__*/React.forwardRef(function Tsv32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Tsv24=/*#__PURE__*/React.forwardRef(function Tsv24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Tsv20=/*#__PURE__*/React.forwardRef(function Tsv20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Tsv16=/*#__PURE__*/React.forwardRef(function Tsv16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 9 26 22 24 9 22 9 24.516 23 27.484 23 30 9 28 9"}),React.createElement("path",{d:"M18,23H12V21h6V17H14a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H14v4h4a2.002,2.002,0,0,1,2,2v4A2.002,2.002,0,0,1,18,23Z"}),React.createElement("polygon",{points:"2 11 5 11 5 23 7 23 7 11 10 11 10 9 2 9 2 11"}),props.children);});var Txt32=/*#__PURE__*/React.forwardRef(function Txt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 11 24 11 24 23 26 23 26 11 29 11 29 9 21 9 21 11"}),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),React.createElement("polygon",{points:"3 11 6 11 6 23 8 23 8 11 11 11 11 9 3 9 3 11"}),props.children);});var Txt24=/*#__PURE__*/React.forwardRef(function Txt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 11 24 11 24 23 26 23 26 11 29 11 29 9 21 9 21 11"}),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),React.createElement("polygon",{points:"3 11 6 11 6 23 8 23 8 11 11 11 11 9 3 9 3 11"}),props.children);});var Txt20=/*#__PURE__*/React.forwardRef(function Txt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 11 24 11 24 23 26 23 26 11 29 11 29 9 21 9 21 11"}),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),React.createElement("polygon",{points:"3 11 6 11 6 23 8 23 8 11 11 11 11 9 3 9 3 11"}),props.children);});var Txt16=/*#__PURE__*/React.forwardRef(function Txt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 11 24 11 24 23 26 23 26 11 29 11 29 9 21 9 21 11"}),React.createElement("polygon",{points:"20 9 18 9 16 15 14 9 12 9 14.75 16 12 23 14 23 16 17 18 23 20 23 17.25 16 20 9"}),React.createElement("polygon",{points:"3 11 6 11 6 23 8 23 8 11 11 11 11 9 3 9 3 11"}),props.children);});var Usb32=/*#__PURE__*/React.forwardRef(function Usb32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,15V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6v9a2,2,0,0,0-2,2V28H8V17H24V28h2V17A2,2,0,0,0,24,15ZM10,6H22v9H10Z"}),React.createElement("rect",{width:"3",height:"2",x:"12",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"17",y:"10"}),props.children);});var Usb24=/*#__PURE__*/React.forwardRef(function Usb24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,15V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6v9a2,2,0,0,0-2,2V28H8V17H24V28h2V17A2,2,0,0,0,24,15ZM10,6H22v9H10Z"}),React.createElement("rect",{width:"3",height:"2",x:"12",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"17",y:"10"}),props.children);});var Usb20=/*#__PURE__*/React.forwardRef(function Usb20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,15V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6v9a2,2,0,0,0-2,2V28H8V17H24V28h2V17A2,2,0,0,0,24,15ZM10,6H22v9H10Z"}),React.createElement("rect",{width:"3",height:"2",x:"12",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"17",y:"10"}),props.children);});var Usb16=/*#__PURE__*/React.forwardRef(function Usb16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,15V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6v9a2,2,0,0,0-2,2V28H8V17H24V28h2V17A2,2,0,0,0,24,15ZM10,6H22v9H10Z"}),React.createElement("rect",{width:"3",height:"2",x:"12",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"17",y:"10"}),props.children);});var Vpn32=/*#__PURE__*/React.forwardRef(function Vpn32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"28 19 24.32 9 22 9 22 23 24 23 24 13 27.68 23 30 23 30 9 28 9 28 19"}),React.createElement("polygon",{points:"8 9 6 22 4 9 2 9 4.52 23 7.48 23 10 9 8 9"}),props.children);});var Vpn24=/*#__PURE__*/React.forwardRef(function Vpn24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"28 19 24.32 9 22 9 22 23 24 23 24 13 27.68 23 30 23 30 9 28 9 28 19"}),React.createElement("polygon",{points:"8 9 6 22 4 9 2 9 4.52 23 7.48 23 10 9 8 9"}),props.children);});var Vpn20=/*#__PURE__*/React.forwardRef(function Vpn20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"28 19 24.32 9 22 9 22 23 24 23 24 13 27.68 23 30 23 30 9 28 9 28 19"}),React.createElement("polygon",{points:"8 9 6 22 4 9 2 9 4.52 23 7.48 23 10 9 8 9"}),props.children);});var Vpn16=/*#__PURE__*/React.forwardRef(function Vpn16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,23H12V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H14Zm0-7h4V11H14Z"}),React.createElement("polygon",{points:"28 19 24.32 9 22 9 22 23 24 23 24 13 27.68 23 30 23 30 9 28 9 28 19"}),React.createElement("polygon",{points:"8 9 6 22 4 9 2 9 4.52 23 7.48 23 10 9 8 9"}),props.children);});var Wmv32=/*#__PURE__*/React.forwardRef(function Wmv32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 9 27 22 25 9 23 9 25.52 23 28.48 23 31 9 29 9"}),React.createElement("polygon",{points:"19 9 17.48 14 17 15.98 16.54 14 15 9 13 9 13 23 15 23 15 15 14.84 13 15.42 15 17 19.63 18.58 15 19.16 13 19 15 19 23 21 23 21 9 19 9"}),React.createElement("polygon",{points:"9.2 9 8.86 17 8.6 21.54 8.19 18 7.51 12.54 5.49 12.54 4.81 18 4.4 21.54 4.14 17 3.8 9 2 9 3 23 5.27 23 6.03 18.07 6.49 14 6.5 13.97 6.51 14 6.97 18.07 7.73 23 10 23 11 9 9.2 9"}),props.children);});var Wmv24=/*#__PURE__*/React.forwardRef(function Wmv24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 9 27 22 25 9 23 9 25.52 23 28.48 23 31 9 29 9"}),React.createElement("polygon",{points:"19 9 17.48 14 17 15.98 16.54 14 15 9 13 9 13 23 15 23 15 15 14.84 13 15.42 15 17 19.63 18.58 15 19.16 13 19 15 19 23 21 23 21 9 19 9"}),React.createElement("polygon",{points:"9.2 9 8.86 17 8.6 21.54 8.19 18 7.51 12.54 5.49 12.54 4.81 18 4.4 21.54 4.14 17 3.8 9 2 9 3 23 5.27 23 6.03 18.07 6.49 14 6.5 13.97 6.51 14 6.97 18.07 7.73 23 10 23 11 9 9.2 9"}),props.children);});var Wmv20=/*#__PURE__*/React.forwardRef(function Wmv20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 9 27 22 25 9 23 9 25.52 23 28.48 23 31 9 29 9"}),React.createElement("polygon",{points:"19 9 17.48 14 17 15.98 16.54 14 15 9 13 9 13 23 15 23 15 15 14.84 13 15.42 15 17 19.63 18.58 15 19.16 13 19 15 19 23 21 23 21 9 19 9"}),React.createElement("polygon",{points:"9.2 9 8.86 17 8.6 21.54 8.19 18 7.51 12.54 5.49 12.54 4.81 18 4.4 21.54 4.14 17 3.8 9 2 9 3 23 5.27 23 6.03 18.07 6.49 14 6.5 13.97 6.51 14 6.97 18.07 7.73 23 10 23 11 9 9.2 9"}),props.children);});var Wmv16=/*#__PURE__*/React.forwardRef(function Wmv16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 9 27 22 25 9 23 9 25.52 23 28.48 23 31 9 29 9"}),React.createElement("polygon",{points:"19 9 17.48 14 17 15.98 16.54 14 15 9 13 9 13 23 15 23 15 15 14.84 13 15.42 15 17 19.63 18.58 15 19.16 13 19 15 19 23 21 23 21 9 19 9"}),React.createElement("polygon",{points:"9.2 9 8.86 17 8.6 21.54 8.19 18 7.51 12.54 5.49 12.54 4.81 18 4.4 21.54 4.14 17 3.8 9 2 9 3 23 5.27 23 6.03 18.07 6.49 14 6.5 13.97 6.51 14 6.97 18.07 7.73 23 10 23 11 9 9.2 9"}),props.children);});var Xls32=/*#__PURE__*/React.forwardRef(function Xls32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H22V21h6V17H24a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24v4h4a2.002,2.002,0,0,1,2,2v4A2.0023,2.0023,0,0,1,28,23Z"}),React.createElement("polygon",{points:"14 21 14 9 12 9 12 23 20 23 20 21 14 21"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.752 16 2 23 4 23 6 17 8 23 10 23 7.245 16 10 9"}),props.children);});var Xls24=/*#__PURE__*/React.forwardRef(function Xls24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H22V21h6V17H24a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24v4h4a2.002,2.002,0,0,1,2,2v4A2.0023,2.0023,0,0,1,28,23Z"}),React.createElement("polygon",{points:"14 21 14 9 12 9 12 23 20 23 20 21 14 21"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.752 16 2 23 4 23 6 17 8 23 10 23 7.245 16 10 9"}),props.children);});var Xls20=/*#__PURE__*/React.forwardRef(function Xls20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H22V21h6V17H24a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24v4h4a2.002,2.002,0,0,1,2,2v4A2.0023,2.0023,0,0,1,28,23Z"}),React.createElement("polygon",{points:"14 21 14 9 12 9 12 23 20 23 20 21 14 21"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.752 16 2 23 4 23 6 17 8 23 10 23 7.245 16 10 9"}),props.children);});var Xls16=/*#__PURE__*/React.forwardRef(function Xls16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,23H22V21h6V17H24a2.002,2.002,0,0,1-2-2V11a2.002,2.002,0,0,1,2-2h6v2H24v4h4a2.002,2.002,0,0,1,2,2v4A2.0023,2.0023,0,0,1,28,23Z"}),React.createElement("polygon",{points:"14 21 14 9 12 9 12 23 20 23 20 21 14 21"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.752 16 2 23 4 23 6 17 8 23 10 23 7.245 16 10 9"}),props.children);});var Xml32=/*#__PURE__*/React.forwardRef(function Xml32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("polygon",{points:"18 9 16.48 14 16 15.98 15.54 14 14 9 12 9 12 23 14 23 14 15 13.84 13 14.42 15 16 19.63 17.58 15 18.16 13 18 15 18 23 20 23 20 9 18 9"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.75 16 2 23 4 23 6 17 8 23 10 23 7.25 16 10 9"}),props.children);});var Xml24=/*#__PURE__*/React.forwardRef(function Xml24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("polygon",{points:"18 9 16.48 14 16 15.98 15.54 14 14 9 12 9 12 23 14 23 14 15 13.84 13 14.42 15 16 19.63 17.58 15 18.16 13 18 15 18 23 20 23 20 9 18 9"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.75 16 2 23 4 23 6 17 8 23 10 23 7.25 16 10 9"}),props.children);});var Xml20=/*#__PURE__*/React.forwardRef(function Xml20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("polygon",{points:"18 9 16.48 14 16 15.98 15.54 14 14 9 12 9 12 23 14 23 14 15 13.84 13 14.42 15 16 19.63 17.58 15 18.16 13 18 15 18 23 20 23 20 9 18 9"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.75 16 2 23 4 23 6 17 8 23 10 23 7.25 16 10 9"}),props.children);});var Xml16=/*#__PURE__*/React.forwardRef(function Xml16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 21 24 9 22 9 22 23 30 23 30 21 24 21"}),React.createElement("polygon",{points:"18 9 16.48 14 16 15.98 15.54 14 14 9 12 9 12 23 14 23 14 15 13.84 13 14.42 15 16 19.63 17.58 15 18.16 13 18 15 18 23 20 23 20 9 18 9"}),React.createElement("polygon",{points:"10 9 8 9 6 15 4 9 2 9 4.75 16 2 23 4 23 6 17 8 23 10 23 7.25 16 10 9"}),props.children);});var Zip32=/*#__PURE__*/React.forwardRef(function Zip32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22V23h2V18h4a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Zm0,7H24V11h4Z"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),React.createElement("polygon",{points:"10 9 2 9 2 11 8 11 2 21 2 23 10 23 10 21 4 21 10 11 10 9"}),props.children);});var Zip24=/*#__PURE__*/React.forwardRef(function Zip24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22V23h2V18h4a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Zm0,7H24V11h4Z"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),React.createElement("polygon",{points:"10 9 2 9 2 11 8 11 2 21 2 23 10 23 10 21 4 21 10 11 10 9"}),props.children);});var Zip20=/*#__PURE__*/React.forwardRef(function Zip20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22V23h2V18h4a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Zm0,7H24V11h4Z"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),React.createElement("polygon",{points:"10 9 2 9 2 11 8 11 2 21 2 23 10 23 10 21 4 21 10 11 10 9"}),props.children);});var Zip16=/*#__PURE__*/React.forwardRef(function Zip16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H22V23h2V18h4a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9Zm0,7H24V11h4Z"}),React.createElement("polygon",{points:"12 9 12 11 15 11 15 21 12 21 12 23 20 23 20 21 17 21 17 11 20 11 20 9 12 9"}),React.createElement("polygon",{points:"10 9 2 9 2 11 8 11 2 21 2 23 10 23 10 21 4 21 10 11 10 9"}),props.children);});var AccessibilityAlt32=/*#__PURE__*/React.forwardRef(function AccessibilityAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 14 23 12 9 12 9 14 14 14 14 16.734 10.132 23.504 11.868 24.496 15.58 18 16.42 18 20.132 24.496 21.868 23.504 18 16.734 18 14 23 14"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var AccessibilityAlt24=/*#__PURE__*/React.forwardRef(function AccessibilityAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 14 23 12 9 12 9 14 14 14 14 16.734 10.132 23.504 11.868 24.496 15.58 18 16.42 18 20.132 24.496 21.868 23.504 18 16.734 18 14 23 14"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var AccessibilityAlt20=/*#__PURE__*/React.forwardRef(function AccessibilityAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 14 23 12 9 12 9 14 14 14 14 16.734 10.132 23.504 11.868 24.496 15.58 18 16.42 18 20.132 24.496 21.868 23.504 18 16.734 18 14 23 14"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var AccessibilityAlt16=/*#__PURE__*/React.forwardRef(function AccessibilityAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 14 23 12 9 12 9 14 14 14 14 16.734 10.132 23.504 11.868 24.496 15.58 18 16.42 18 20.132 24.496 21.868 23.504 18 16.734 18 14 23 14"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var AccessibilityColorFilled32=/*#__PURE__*/React.forwardRef(function AccessibilityColorFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a8.5975,8.5975,0,0,0-7.9648,6A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10Zm0,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,22a10.6543,10.6543,0,0,1-9.97-7.7578L5.9692,16l.0606-.2422A10.6543,10.6543,0,0,1,16,8a10.6543,10.6543,0,0,1,9.97,7.7578L26.0308,16l-.0606.2422A10.6543,10.6543,0,0,1,16,24Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{fill:"none",d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{fill:"none",d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),props.children);});var AccessibilityColorFilled24=/*#__PURE__*/React.forwardRef(function AccessibilityColorFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a8.5975,8.5975,0,0,0-7.9648,6A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10Zm0,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,22a10.6543,10.6543,0,0,1-9.97-7.7578L5.9692,16l.0606-.2422A10.6543,10.6543,0,0,1,16,8a10.6543,10.6543,0,0,1,9.97,7.7578L26.0308,16l-.0606.2422A10.6543,10.6543,0,0,1,16,24Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{fill:"none",d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{fill:"none",d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),props.children);});var AccessibilityColorFilled20=/*#__PURE__*/React.forwardRef(function AccessibilityColorFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a8.5975,8.5975,0,0,0-7.9648,6A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10Zm0,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,22a10.6543,10.6543,0,0,1-9.97-7.7578L5.9692,16l.0606-.2422A10.6543,10.6543,0,0,1,16,8a10.6543,10.6543,0,0,1,9.97,7.7578L26.0308,16l-.0606.2422A10.6543,10.6543,0,0,1,16,24Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{fill:"none",d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{fill:"none",d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),props.children);});var AccessibilityColorFilled16=/*#__PURE__*/React.forwardRef(function AccessibilityColorFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a8.5975,8.5975,0,0,0-7.9648,6A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10Zm0,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,22a10.6543,10.6543,0,0,1-9.97-7.7578L5.9692,16l.0606-.2422A10.6543,10.6543,0,0,1,16,8a10.6543,10.6543,0,0,1,9.97,7.7578L26.0308,16l-.0606.2422A10.6543,10.6543,0,0,1,16,24Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{fill:"none",d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{fill:"none",d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),props.children);});var AccessibilityColor32=/*#__PURE__*/React.forwardRef(function AccessibilityColor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var AccessibilityColor24=/*#__PURE__*/React.forwardRef(function AccessibilityColor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var AccessibilityColor20=/*#__PURE__*/React.forwardRef(function AccessibilityColor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var AccessibilityColor16=/*#__PURE__*/React.forwardRef(function AccessibilityColor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M16,24a10.6547,10.6547,0,0,1-9.97-7.7576L5.9692,16l.0606-.2424A10.6547,10.6547,0,0,1,16,8a10.6547,10.6547,0,0,1,9.97,7.7576L26.0308,16l-.0606.2424A10.6547,10.6547,0,0,1,16,24ZM8.0352,16A8.5975,8.5975,0,0,0,16,22a8.5975,8.5975,0,0,0,7.9648-6A8.5975,8.5975,0,0,0,16,10,8.5975,8.5975,0,0,0,8.0352,16Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var Accessibility32=/*#__PURE__*/React.forwardRef(function Accessibility32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.55,26.11,26.5,27.63,23.66,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,4,0v4h7V15H19V13a4,4,0,0,0-8,0v1a9,9,0,1,0,8.77,11H17.71A7,7,0,1,1,11,16v3a4,4,0,0,0,4,4h7.34l3.16,7.37,4.95-2.48Z"}),React.createElement("path",{d:"M15.5,8A3.5,3.5,0,1,1,19,4.5,3.5,3.5,0,0,1,15.5,8Zm0-5A1.5,1.5,0,1,0,17,4.5,1.5,1.5,0,0,0,15.5,3Z"}),props.children);});var Accessibility24=/*#__PURE__*/React.forwardRef(function Accessibility24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.55,26.11,26.5,27.63,23.66,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,4,0v4h7V15H19V13a4,4,0,0,0-8,0v1a9,9,0,1,0,8.77,11H17.71A7,7,0,1,1,11,16v3a4,4,0,0,0,4,4h7.34l3.16,7.37,4.95-2.48Z"}),React.createElement("path",{d:"M15.5,8A3.5,3.5,0,1,1,19,4.5,3.5,3.5,0,0,1,15.5,8Zm0-5A1.5,1.5,0,1,0,17,4.5,1.5,1.5,0,0,0,15.5,3Z"}),props.children);});var Accessibility20=/*#__PURE__*/React.forwardRef(function Accessibility20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.55,26.11,26.5,27.63,23.66,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,4,0v4h7V15H19V13a4,4,0,0,0-8,0v1a9,9,0,1,0,8.77,11H17.71A7,7,0,1,1,11,16v3a4,4,0,0,0,4,4h7.34l3.16,7.37,4.95-2.48Z"}),React.createElement("path",{d:"M15.5,8A3.5,3.5,0,1,1,19,4.5,3.5,3.5,0,0,1,15.5,8Zm0-5A1.5,1.5,0,1,0,17,4.5,1.5,1.5,0,0,0,15.5,3Z"}),props.children);});var Accessibility16=/*#__PURE__*/React.forwardRef(function Accessibility16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.55,26.11,26.5,27.63,23.66,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,4,0v4h7V15H19V13a4,4,0,0,0-8,0v1a9,9,0,1,0,8.77,11H17.71A7,7,0,1,1,11,16v3a4,4,0,0,0,4,4h7.34l3.16,7.37,4.95-2.48Z"}),React.createElement("path",{d:"M15.5,8A3.5,3.5,0,1,1,19,4.5,3.5,3.5,0,0,1,15.5,8Zm0-5A1.5,1.5,0,1,0,17,4.5,1.5,1.5,0,0,0,15.5,3Z"}),props.children);});var Account32=/*#__PURE__*/React.forwardRef(function Account32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,14H19v2H8Zm0,5H21v2H8Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V8H4V6ZM4,26V10H28V26Z"}),props.children);});var Account24=/*#__PURE__*/React.forwardRef(function Account24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,14H19v2H8Zm0,5H21v2H8Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V8H4V6ZM4,26V10H28V26Z"}),props.children);});var Account20=/*#__PURE__*/React.forwardRef(function Account20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,14H19v2H8Zm0,5H21v2H8Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V8H4V6ZM4,26V10H28V26Z"}),props.children);});var Account16=/*#__PURE__*/React.forwardRef(function Account16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,14H19v2H8Zm0,5H21v2H8Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V8H4V6ZM4,26V10H28V26Z"}),props.children);});var Activity32=/*#__PURE__*/React.forwardRef(function Activity32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,29a1,1,0,0,1-.92-.62L6.33,17H2V15H7a1,1,0,0,1,.92.62L12,25.28,20.06,3.65A1,1,0,0,1,21,3a1,1,0,0,1,.93.68L25.72,15H30v2H25a1,1,0,0,1-.95-.68L21,7,12.94,28.35A1,1,0,0,1,12,29Z"}),props.children);});var Activity24=/*#__PURE__*/React.forwardRef(function Activity24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,29a1,1,0,0,1-.92-.62L6.33,17H2V15H7a1,1,0,0,1,.92.62L12,25.28,20.06,3.65A1,1,0,0,1,21,3a1,1,0,0,1,.93.68L25.72,15H30v2H25a1,1,0,0,1-.95-.68L21,7,12.94,28.35A1,1,0,0,1,12,29Z"}),props.children);});var Activity20=/*#__PURE__*/React.forwardRef(function Activity20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,29a1,1,0,0,1-.92-.62L6.33,17H2V15H7a1,1,0,0,1,.92.62L12,25.28,20.06,3.65A1,1,0,0,1,21,3a1,1,0,0,1,.93.68L25.72,15H30v2H25a1,1,0,0,1-.95-.68L21,7,12.94,28.35A1,1,0,0,1,12,29Z"}),props.children);});var Activity16=/*#__PURE__*/React.forwardRef(function Activity16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,29a1,1,0,0,1-.92-.62L6.33,17H2V15H7a1,1,0,0,1,.92.62L12,25.28,20.06,3.65A1,1,0,0,1,21,3a1,1,0,0,1,.93.68L25.72,15H30v2H25a1,1,0,0,1-.95-.68L21,7,12.94,28.35A1,1,0,0,1,12,29Z"}),props.children);});var AddAlt32=/*#__PURE__*/React.forwardRef(function AddAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("polygon",{points:"24,15 17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17"}),props.children);});var AddAlt24=/*#__PURE__*/React.forwardRef(function AddAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("polygon",{points:"24,15 17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17"}),props.children);});var AddAlt20=/*#__PURE__*/React.forwardRef(function AddAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("polygon",{points:"24,15 17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17"}),props.children);});var AddAlt16=/*#__PURE__*/React.forwardRef(function AddAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("polygon",{points:"24,15 17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17"}),props.children);});var AddFilled32=/*#__PURE__*/React.forwardRef(function AddFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.4,2,2,8.4,2,16s6.4,14,14,14s14-6.4,14-14S23.6,2,16,2z M24,17h-7v7h-2v-7H8v-2h7V8h2v7h7V17z"}),React.createElement("polygon",{fill:"none",points:"24,17 17,17 17,24 15,24 15,17 8,17 8,15 15,15 15,8 17,8 17,15 24,15","data-icon-path":"inner-path"}),props.children);});var AddFilled24=/*#__PURE__*/React.forwardRef(function AddFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.4,2,2,8.4,2,16s6.4,14,14,14s14-6.4,14-14S23.6,2,16,2z M24,17h-7v7h-2v-7H8v-2h7V8h2v7h7V17z"}),React.createElement("polygon",{fill:"none",points:"24,17 17,17 17,24 15,24 15,17 8,17 8,15 15,15 15,8 17,8 17,15 24,15","data-icon-path":"inner-path"}),props.children);});var AddFilled20=/*#__PURE__*/React.forwardRef(function AddFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.4,2,2,8.4,2,16s6.4,14,14,14s14-6.4,14-14S23.6,2,16,2z M24,17h-7v7h-2v-7H8v-2h7V8h2v7h7V17z"}),React.createElement("polygon",{fill:"none",points:"24,17 17,17 17,24 15,24 15,17 8,17 8,15 15,15 15,8 17,8 17,15 24,15","data-icon-path":"inner-path"}),props.children);});var AddFilled16=/*#__PURE__*/React.forwardRef(function AddFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.4,2,2,8.4,2,16s6.4,14,14,14s14-6.4,14-14S23.6,2,16,2z M24,17h-7v7h-2v-7H8v-2h7V8h2v7h7V17z"}),React.createElement("polygon",{fill:"none",points:"24,17 17,17 17,24 15,24 15,17 8,17 8,15 15,15 15,8 17,8 17,15 24,15","data-icon-path":"inner-path"}),props.children);});var AddComment32=/*#__PURE__*/React.forwardRef(function AddComment32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("polygon",{points:"17 9 15 9 15 13 11 13 11 15 15 15 15 19 17 19 17 15 21 15 21 13 17 13 17 9"}),props.children);});var AddComment24=/*#__PURE__*/React.forwardRef(function AddComment24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("polygon",{points:"17 9 15 9 15 13 11 13 11 15 15 15 15 19 17 19 17 15 21 15 21 13 17 13 17 9"}),props.children);});var AddComment20=/*#__PURE__*/React.forwardRef(function AddComment20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("polygon",{points:"17 9 15 9 15 13 11 13 11 15 15 15 15 19 17 19 17 15 21 15 21 13 17 13 17 9"}),props.children);});var AddComment16=/*#__PURE__*/React.forwardRef(function AddComment16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("polygon",{points:"17 9 15 9 15 13 11 13 11 15 15 15 15 19 17 19 17 15 21 15 21 13 17 13 17 9"}),props.children);});var Add32=/*#__PURE__*/React.forwardRef(function Add32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17 24,15"}),props.children);});var Add24=/*#__PURE__*/React.forwardRef(function Add24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17 24,15"}),props.children);});var Add20=/*#__PURE__*/React.forwardRef(function Add20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17 24,15"}),props.children);});var Add16=/*#__PURE__*/React.forwardRef(function Add16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17,15 17,8 15,8 15,15 8,15 8,17 15,17 15,24 17,24 17,17 24,17 24,15"}),props.children);});var AlarmAdd32=/*#__PURE__*/React.forwardRef(function AlarmAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("polygon",{points:"21 16 17 16 17 12 15 12 15 16 11 16 11 18 15 18 15 22 17 22 17 18 21 18 21 16"}),props.children);});var AlarmAdd24=/*#__PURE__*/React.forwardRef(function AlarmAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("polygon",{points:"21 16 17 16 17 12 15 12 15 16 11 16 11 18 15 18 15 22 17 22 17 18 21 18 21 16"}),props.children);});var AlarmAdd20=/*#__PURE__*/React.forwardRef(function AlarmAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("polygon",{points:"21 16 17 16 17 12 15 12 15 16 11 16 11 18 15 18 15 22 17 22 17 18 21 18 21 16"}),props.children);});var AlarmAdd16=/*#__PURE__*/React.forwardRef(function AlarmAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("polygon",{points:"21 16 17 16 17 12 15 12 15 16 11 16 11 18 15 18 15 22 17 22 17 18 21 18 21 16"}),props.children);});var AlarmSubtract32=/*#__PURE__*/React.forwardRef(function AlarmSubtract32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"16"}),props.children);});var AlarmSubtract24=/*#__PURE__*/React.forwardRef(function AlarmSubtract24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"16"}),props.children);});var AlarmSubtract20=/*#__PURE__*/React.forwardRef(function AlarmSubtract20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"16"}),props.children);});var AlarmSubtract16=/*#__PURE__*/React.forwardRef(function AlarmSubtract16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"16"}),props.children);});var Alarm32=/*#__PURE__*/React.forwardRef(function Alarm32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("polygon",{points:"18.59 21 15 17.41 15 11 17 11 17 16.58 20 19.59 18.59 21"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),props.children);});var Alarm24=/*#__PURE__*/React.forwardRef(function Alarm24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("polygon",{points:"18.59 21 15 17.41 15 11 17 11 17 16.58 20 19.59 18.59 21"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),props.children);});var Alarm20=/*#__PURE__*/React.forwardRef(function Alarm20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("polygon",{points:"18.59 21 15 17.41 15 11 17 11 17 16.58 20 19.59 18.59 21"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),props.children);});var Alarm16=/*#__PURE__*/React.forwardRef(function Alarm16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11,11,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9,9,0,0,0,16,8Z"}),React.createElement("polygon",{points:"18.59 21 15 17.41 15 11 17 11 17 16.58 20 19.59 18.59 21"}),React.createElement("rect",{width:"5.07",height:"2",x:"3.96",y:"5.5",transform:"rotate(-45.06 6.502 6.497)"}),React.createElement("rect",{width:"2",height:"5.07",x:"24.5",y:"3.96",transform:"rotate(-44.94 25.5 6.498)"}),props.children);});var AlignHorizontalCenter32=/*#__PURE__*/React.forwardRef(function AlignHorizontalCenter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,18H17V14h3a2.0025,2.0025,0,0,0,2-2V8a2.0025,2.0025,0,0,0-2-2H17V2H15V6H12a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h3v4H8a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h7v4h2V26h7a2.0025,2.0025,0,0,0,2-2V20A2.0025,2.0025,0,0,0,24,18ZM12,8h8v4H12ZM24,24H8V20H24Z"}),props.children);});var AlignHorizontalCenter24=/*#__PURE__*/React.forwardRef(function AlignHorizontalCenter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,18H17V14h3a2.0025,2.0025,0,0,0,2-2V8a2.0025,2.0025,0,0,0-2-2H17V2H15V6H12a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h3v4H8a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h7v4h2V26h7a2.0025,2.0025,0,0,0,2-2V20A2.0025,2.0025,0,0,0,24,18ZM12,8h8v4H12ZM24,24H8V20H24Z"}),props.children);});var AlignHorizontalCenter20=/*#__PURE__*/React.forwardRef(function AlignHorizontalCenter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,18H17V14h3a2.0025,2.0025,0,0,0,2-2V8a2.0025,2.0025,0,0,0-2-2H17V2H15V6H12a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h3v4H8a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h7v4h2V26h7a2.0025,2.0025,0,0,0,2-2V20A2.0025,2.0025,0,0,0,24,18ZM12,8h8v4H12ZM24,24H8V20H24Z"}),props.children);});var AlignHorizontalCenter16=/*#__PURE__*/React.forwardRef(function AlignHorizontalCenter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,18H17V14h3a2.0025,2.0025,0,0,0,2-2V8a2.0025,2.0025,0,0,0-2-2H17V2H15V6H12a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h3v4H8a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2h7v4h2V26h7a2.0025,2.0025,0,0,0,2-2V20A2.0025,2.0025,0,0,0,24,18ZM12,8h8v4H12ZM24,24H8V20H24Z"}),props.children);});var AlignHorizontalLeft32=/*#__PURE__*/React.forwardRef(function AlignHorizontalLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26H11a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H26a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,26,26Zm0-6.0012L11,20v4H26Z"}),React.createElement("path",{d:"M18,14H11a2.0023,2.0023,0,0,1-2-2V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,18,14Zm0-6.0012L11,8v4h7Z"}),React.createElement("rect",{width:"2",height:"28",x:"4",y:"2"}),props.children);});var AlignHorizontalLeft24=/*#__PURE__*/React.forwardRef(function AlignHorizontalLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26H11a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H26a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,26,26Zm0-6.0012L11,20v4H26Z"}),React.createElement("path",{d:"M18,14H11a2.0023,2.0023,0,0,1-2-2V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,18,14Zm0-6.0012L11,8v4h7Z"}),React.createElement("rect",{width:"2",height:"28",x:"4",y:"2"}),props.children);});var AlignHorizontalLeft20=/*#__PURE__*/React.forwardRef(function AlignHorizontalLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26H11a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H26a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,26,26Zm0-6.0012L11,20v4H26Z"}),React.createElement("path",{d:"M18,14H11a2.0023,2.0023,0,0,1-2-2V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,18,14Zm0-6.0012L11,8v4h7Z"}),React.createElement("rect",{width:"2",height:"28",x:"4",y:"2"}),props.children);});var AlignHorizontalLeft16=/*#__PURE__*/React.forwardRef(function AlignHorizontalLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26H11a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H26a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,26,26Zm0-6.0012L11,20v4H26Z"}),React.createElement("path",{d:"M18,14H11a2.0023,2.0023,0,0,1-2-2V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4A2.0023,2.0023,0,0,1,18,14Zm0-6.0012L11,8v4h7Z"}),React.createElement("rect",{width:"2",height:"28",x:"4",y:"2"}),props.children);});var AlignHorizontalRight32=/*#__PURE__*/React.forwardRef(function AlignHorizontalRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,24V20a2.0023,2.0023,0,0,1,2-2H21a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H6A2.0023,2.0023,0,0,1,4,24Zm2,0H21V20L6,19.9988Z"}),React.createElement("path",{d:"M12,12V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H14A2.0023,2.0023,0,0,1,12,12Zm2,0h7V8l-7-.0012Z"}),React.createElement("rect",{width:"2",height:"28",x:"26",y:"2",transform:"rotate(-180 27 16)"}),props.children);});var AlignHorizontalRight24=/*#__PURE__*/React.forwardRef(function AlignHorizontalRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,24V20a2.0023,2.0023,0,0,1,2-2H21a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H6A2.0023,2.0023,0,0,1,4,24Zm2,0H21V20L6,19.9988Z"}),React.createElement("path",{d:"M12,12V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H14A2.0023,2.0023,0,0,1,12,12Zm2,0h7V8l-7-.0012Z"}),React.createElement("rect",{width:"2",height:"28",x:"26",y:"2",transform:"rotate(-180 27 16)"}),props.children);});var AlignHorizontalRight20=/*#__PURE__*/React.forwardRef(function AlignHorizontalRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,24V20a2.0023,2.0023,0,0,1,2-2H21a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H6A2.0023,2.0023,0,0,1,4,24Zm2,0H21V20L6,19.9988Z"}),React.createElement("path",{d:"M12,12V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H14A2.0023,2.0023,0,0,1,12,12Zm2,0h7V8l-7-.0012Z"}),React.createElement("rect",{width:"2",height:"28",x:"26",y:"2",transform:"rotate(-180 27 16)"}),props.children);});var AlignHorizontalRight16=/*#__PURE__*/React.forwardRef(function AlignHorizontalRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,24V20a2.0023,2.0023,0,0,1,2-2H21a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H6A2.0023,2.0023,0,0,1,4,24Zm2,0H21V20L6,19.9988Z"}),React.createElement("path",{d:"M12,12V8a2.0023,2.0023,0,0,1,2-2h7a2.0023,2.0023,0,0,1,2,2v4a2.0023,2.0023,0,0,1-2,2H14A2.0023,2.0023,0,0,1,12,12Zm2,0h7V8l-7-.0012Z"}),React.createElement("rect",{width:"2",height:"28",x:"26",y:"2",transform:"rotate(-180 27 16)"}),props.children);});var AlignVerticalBottom32=/*#__PURE__*/React.forwardRef(function AlignVerticalBottom32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,23H20a2.0023,2.0023,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,23Zm-4-9v7h4.0012L24,14Z"}),React.createElement("path",{d:"M12,23H8a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,8,4h4a2.0023,2.0023,0,0,1,2,2V21A2.0023,2.0023,0,0,1,12,23ZM8,6V21h4.0012L12,6Z"}),props.children);});var AlignVerticalBottom24=/*#__PURE__*/React.forwardRef(function AlignVerticalBottom24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,23H20a2.0023,2.0023,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,23Zm-4-9v7h4.0012L24,14Z"}),React.createElement("path",{d:"M12,23H8a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,8,4h4a2.0023,2.0023,0,0,1,2,2V21A2.0023,2.0023,0,0,1,12,23ZM8,6V21h4.0012L12,6Z"}),props.children);});var AlignVerticalBottom20=/*#__PURE__*/React.forwardRef(function AlignVerticalBottom20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,23H20a2.0023,2.0023,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,23Zm-4-9v7h4.0012L24,14Z"}),React.createElement("path",{d:"M12,23H8a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,8,4h4a2.0023,2.0023,0,0,1,2,2V21A2.0023,2.0023,0,0,1,12,23ZM8,6V21h4.0012L12,6Z"}),props.children);});var AlignVerticalBottom16=/*#__PURE__*/React.forwardRef(function AlignVerticalBottom16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,23H20a2.0023,2.0023,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,23Zm-4-9v7h4.0012L24,14Z"}),React.createElement("path",{d:"M12,23H8a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,8,4h4a2.0023,2.0023,0,0,1,2,2V21A2.0023,2.0023,0,0,1,12,23ZM8,6V21h4.0012L12,6Z"}),props.children);});var AlignVerticalCenter32=/*#__PURE__*/React.forwardRef(function AlignVerticalCenter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H26V12a2.0025,2.0025,0,0,0-2-2H20a2.0025,2.0025,0,0,0-2,2v3H14V8a2.0025,2.0025,0,0,0-2-2H8A2.0025,2.0025,0,0,0,6,8v7H2v2H6v7a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4v3a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4ZM8,24V8h4l.0012,16Zm12-4V12h4l.0012,8Z"}),props.children);});var AlignVerticalCenter24=/*#__PURE__*/React.forwardRef(function AlignVerticalCenter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H26V12a2.0025,2.0025,0,0,0-2-2H20a2.0025,2.0025,0,0,0-2,2v3H14V8a2.0025,2.0025,0,0,0-2-2H8A2.0025,2.0025,0,0,0,6,8v7H2v2H6v7a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4v3a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4ZM8,24V8h4l.0012,16Zm12-4V12h4l.0012,8Z"}),props.children);});var AlignVerticalCenter20=/*#__PURE__*/React.forwardRef(function AlignVerticalCenter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H26V12a2.0025,2.0025,0,0,0-2-2H20a2.0025,2.0025,0,0,0-2,2v3H14V8a2.0025,2.0025,0,0,0-2-2H8A2.0025,2.0025,0,0,0,6,8v7H2v2H6v7a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4v3a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4ZM8,24V8h4l.0012,16Zm12-4V12h4l.0012,8Z"}),props.children);});var AlignVerticalCenter16=/*#__PURE__*/React.forwardRef(function AlignVerticalCenter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H26V12a2.0025,2.0025,0,0,0-2-2H20a2.0025,2.0025,0,0,0-2,2v3H14V8a2.0025,2.0025,0,0,0-2-2H8A2.0025,2.0025,0,0,0,6,8v7H2v2H6v7a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4v3a2.0025,2.0025,0,0,0,2,2h4a2.0025,2.0025,0,0,0,2-2V17h4ZM8,24V8h4l.0012,16Zm12-4V12h4l.0012,8Z"}),props.children);});var AlignVerticalTop32=/*#__PURE__*/React.forwardRef(function AlignVerticalTop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20H20a2.0023,2.0023,0,0,1-2-2V11a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,20Zm-4-9v7h4.0012L24,11Z"}),React.createElement("path",{d:"M12,28H8a2.0023,2.0023,0,0,1-2-2V11A2.0023,2.0023,0,0,1,8,9h4a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28ZM8,11V26h4.0012L12,11Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"4"}),props.children);});var AlignVerticalTop24=/*#__PURE__*/React.forwardRef(function AlignVerticalTop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20H20a2.0023,2.0023,0,0,1-2-2V11a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,20Zm-4-9v7h4.0012L24,11Z"}),React.createElement("path",{d:"M12,28H8a2.0023,2.0023,0,0,1-2-2V11A2.0023,2.0023,0,0,1,8,9h4a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28ZM8,11V26h4.0012L12,11Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"4"}),props.children);});var AlignVerticalTop20=/*#__PURE__*/React.forwardRef(function AlignVerticalTop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20H20a2.0023,2.0023,0,0,1-2-2V11a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,20Zm-4-9v7h4.0012L24,11Z"}),React.createElement("path",{d:"M12,28H8a2.0023,2.0023,0,0,1-2-2V11A2.0023,2.0023,0,0,1,8,9h4a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28ZM8,11V26h4.0012L12,11Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"4"}),props.children);});var AlignVerticalTop16=/*#__PURE__*/React.forwardRef(function AlignVerticalTop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20H20a2.0023,2.0023,0,0,1-2-2V11a2.0023,2.0023,0,0,1,2-2h4a2.0023,2.0023,0,0,1,2,2v7A2.0023,2.0023,0,0,1,24,20Zm-4-9v7h4.0012L24,11Z"}),React.createElement("path",{d:"M12,28H8a2.0023,2.0023,0,0,1-2-2V11A2.0023,2.0023,0,0,1,8,9h4a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28ZM8,11V26h4.0012L12,11Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"4"}),props.children);});var Analytics32=/*#__PURE__*/React.forwardRef(function Analytics32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,2H2V28a2,2,0,0,0,2,2H30V28H4Z"}),React.createElement("path",{d:"M30,9H23v2h3.59L19,18.59l-4.29-4.3a1,1,0,0,0-1.42,0L6,21.59,7.41,23,14,16.41l4.29,4.3a1,1,0,0,0,1.42,0L28,12.41V16h2Z"}),props.children);});var Analytics24=/*#__PURE__*/React.forwardRef(function Analytics24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,2H2V28a2,2,0,0,0,2,2H30V28H4Z"}),React.createElement("path",{d:"M30,9H23v2h3.59L19,18.59l-4.29-4.3a1,1,0,0,0-1.42,0L6,21.59,7.41,23,14,16.41l4.29,4.3a1,1,0,0,0,1.42,0L28,12.41V16h2Z"}),props.children);});var Analytics20=/*#__PURE__*/React.forwardRef(function Analytics20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,2H2V28a2,2,0,0,0,2,2H30V28H4Z"}),React.createElement("path",{d:"M30,9H23v2h3.59L19,18.59l-4.29-4.3a1,1,0,0,0-1.42,0L6,21.59,7.41,23,14,16.41l4.29,4.3a1,1,0,0,0,1.42,0L28,12.41V16h2Z"}),props.children);});var Analytics16=/*#__PURE__*/React.forwardRef(function Analytics16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,2H2V28a2,2,0,0,0,2,2H30V28H4Z"}),React.createElement("path",{d:"M30,9H23v2h3.59L19,18.59l-4.29-4.3a1,1,0,0,0-1.42,0L6,21.59,7.41,23,14,16.41l4.29,4.3a1,1,0,0,0,1.42,0L28,12.41V16h2Z"}),props.children);});var Aperture32=/*#__PURE__*/React.forwardRef(function Aperture32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM27.84,14.14,22,17.52V5.62A12,12,0,0,1,27.84,14.14ZM12,18.68V13.32L16,11l4,2.31v5.36L16,21Zm8-14V11L10.34,5.42A11.9,11.9,0,0,1,20,4.7Zm-11.52,2L14,9.85,4,15.62A12,12,0,0,1,8.48,6.66ZM4.16,17.85,10,14.47V26.38A12,12,0,0,1,4.16,17.85ZM12,27.3V21l9.67,5.58A11.92,11.92,0,0,1,16,28,12.05,12.05,0,0,1,12,27.3Zm11.52-2L18,22.14l10-5.77A12,12,0,0,1,23.52,25.34Z"}),props.children);});var Aperture24=/*#__PURE__*/React.forwardRef(function Aperture24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM27.84,14.14,22,17.52V5.62A12,12,0,0,1,27.84,14.14ZM12,18.68V13.32L16,11l4,2.31v5.36L16,21Zm8-14V11L10.34,5.42A11.9,11.9,0,0,1,20,4.7Zm-11.52,2L14,9.85,4,15.62A12,12,0,0,1,8.48,6.66ZM4.16,17.85,10,14.47V26.38A12,12,0,0,1,4.16,17.85ZM12,27.3V21l9.67,5.58A11.92,11.92,0,0,1,16,28,12.05,12.05,0,0,1,12,27.3Zm11.52-2L18,22.14l10-5.77A12,12,0,0,1,23.52,25.34Z"}),props.children);});var Aperture20=/*#__PURE__*/React.forwardRef(function Aperture20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM27.84,14.14,22,17.52V5.62A12,12,0,0,1,27.84,14.14ZM12,18.68V13.32L16,11l4,2.31v5.36L16,21Zm8-14V11L10.34,5.42A11.9,11.9,0,0,1,20,4.7Zm-11.52,2L14,9.85,4,15.62A12,12,0,0,1,8.48,6.66ZM4.16,17.85,10,14.47V26.38A12,12,0,0,1,4.16,17.85ZM12,27.3V21l9.67,5.58A11.92,11.92,0,0,1,16,28,12.05,12.05,0,0,1,12,27.3Zm11.52-2L18,22.14l10-5.77A12,12,0,0,1,23.52,25.34Z"}),props.children);});var Aperture16=/*#__PURE__*/React.forwardRef(function Aperture16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM27.84,14.14,22,17.52V5.62A12,12,0,0,1,27.84,14.14ZM12,18.68V13.32L16,11l4,2.31v5.36L16,21Zm8-14V11L10.34,5.42A11.9,11.9,0,0,1,20,4.7Zm-11.52,2L14,9.85,4,15.62A12,12,0,0,1,8.48,6.66ZM4.16,17.85,10,14.47V26.38A12,12,0,0,1,4.16,17.85ZM12,27.3V21l9.67,5.58A11.92,11.92,0,0,1,16,28,12.05,12.05,0,0,1,12,27.3Zm11.52-2L18,22.14l10-5.77A12,12,0,0,1,23.52,25.34Z"}),props.children);});var Api32=/*#__PURE__*/React.forwardRef(function Api32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm10-8a4,4,0,1,1,4-4A4,4,0,0,1,16,20Zm10,8a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var Api24=/*#__PURE__*/React.forwardRef(function Api24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm10-8a4,4,0,1,1,4-4A4,4,0,0,1,16,20Zm10,8a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var Api20=/*#__PURE__*/React.forwardRef(function Api20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm10-8a4,4,0,1,1,4-4A4,4,0,0,1,16,20Zm10,8a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var Api16=/*#__PURE__*/React.forwardRef(function Api16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm10-8a4,4,0,1,1,4-4A4,4,0,0,1,16,20Zm10,8a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var AppSwitcher32=/*#__PURE__*/React.forwardRef(function AppSwitcher32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var AppSwitcher24=/*#__PURE__*/React.forwardRef(function AppSwitcher24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var AppSwitcher20=/*#__PURE__*/React.forwardRef(function AppSwitcher20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var AppSwitcher16=/*#__PURE__*/React.forwardRef(function AppSwitcher16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var App32=/*#__PURE__*/React.forwardRef(function App32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,28,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M18,10H12V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,18,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M8,10H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V12A2.0023,2.0023,0,0,0,8,10Zm0,8H4V16H8Z"}),props.children);});var App24=/*#__PURE__*/React.forwardRef(function App24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,28,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M18,10H12V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,18,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M8,10H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V12A2.0023,2.0023,0,0,0,8,10Zm0,8H4V16H8Z"}),props.children);});var App20=/*#__PURE__*/React.forwardRef(function App20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,28,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M18,10H12V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,18,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M8,10H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V12A2.0023,2.0023,0,0,0,8,10Zm0,8H4V16H8Z"}),props.children);});var App16=/*#__PURE__*/React.forwardRef(function App16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,28,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M18,10H12V24h2V20h4a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,18,10Zm-4,8V12h4v6Z"}),React.createElement("path",{d:"M8,10H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V12A2.0023,2.0023,0,0,0,8,10Zm0,8H4V16H8Z"}),props.children);});var Apple32=/*#__PURE__*/React.forwardRef(function Apple32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.7788,8a11.4843,11.4843,0,0,0-3.0547.5342,14.5665,14.5665,0,0,1-1.8225.4126A6.0054,6.0054,0,0,0,11,4V6a3.9933,3.9933,0,0,1,3.8267,2.9c-.5181-.0879-1.0569-.2207-1.6172-.3648A12.89,12.89,0,0,0,10.0317,8C6.311,8,4,11.0652,4,16c0,7.51,4.0679,11.999,8.0005,12h.0015a7.1576,7.1576,0,0,0,2.49-.59A5.0128,5.0128,0,0,1,16,27a5.0266,5.0266,0,0,1,1.5112.41A7.15,7.15,0,0,0,20,28h0c3.9307-.001,8-4.49,8-12C28,12.3094,26.3706,8,21.7788,8ZM20,26h0a5.5038,5.5038,0,0,1-1.7905-.4639A6.4168,6.4168,0,0,0,16,25a6.4043,6.4043,0,0,0-2.2061.5361A5.5343,5.5343,0,0,1,12,26h.0015C9.0513,25.9988,6,22.2586,6,16c0-1.8037.3931-6,4.0317-6a11.2363,11.2363,0,0,1,2.6807.4726A12.9819,12.9819,0,0,0,15.7612,11h.4922a11.7955,11.7955,0,0,0,2.9956-.5361A9.8483,9.8483,0,0,1,21.7788,10C25.7964,10,26,14.9978,26,16,26,22.2586,22.9482,25.9988,20,26Z"}),React.createElement("path",{d:"M18,7H17V6a2.0021,2.0021,0,0,1,2-2h1V5A2.0021,2.0021,0,0,1,18,7Z"}),props.children);});var Apple24=/*#__PURE__*/React.forwardRef(function Apple24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.7788,8a11.4843,11.4843,0,0,0-3.0547.5342,14.5665,14.5665,0,0,1-1.8225.4126A6.0054,6.0054,0,0,0,11,4V6a3.9933,3.9933,0,0,1,3.8267,2.9c-.5181-.0879-1.0569-.2207-1.6172-.3648A12.89,12.89,0,0,0,10.0317,8C6.311,8,4,11.0652,4,16c0,7.51,4.0679,11.999,8.0005,12h.0015a7.1576,7.1576,0,0,0,2.49-.59A5.0128,5.0128,0,0,1,16,27a5.0266,5.0266,0,0,1,1.5112.41A7.15,7.15,0,0,0,20,28h0c3.9307-.001,8-4.49,8-12C28,12.3094,26.3706,8,21.7788,8ZM20,26h0a5.5038,5.5038,0,0,1-1.7905-.4639A6.4168,6.4168,0,0,0,16,25a6.4043,6.4043,0,0,0-2.2061.5361A5.5343,5.5343,0,0,1,12,26h.0015C9.0513,25.9988,6,22.2586,6,16c0-1.8037.3931-6,4.0317-6a11.2363,11.2363,0,0,1,2.6807.4726A12.9819,12.9819,0,0,0,15.7612,11h.4922a11.7955,11.7955,0,0,0,2.9956-.5361A9.8483,9.8483,0,0,1,21.7788,10C25.7964,10,26,14.9978,26,16,26,22.2586,22.9482,25.9988,20,26Z"}),React.createElement("path",{d:"M18,7H17V6a2.0021,2.0021,0,0,1,2-2h1V5A2.0021,2.0021,0,0,1,18,7Z"}),props.children);});var Apple20=/*#__PURE__*/React.forwardRef(function Apple20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.7788,8a11.4843,11.4843,0,0,0-3.0547.5342,14.5665,14.5665,0,0,1-1.8225.4126A6.0054,6.0054,0,0,0,11,4V6a3.9933,3.9933,0,0,1,3.8267,2.9c-.5181-.0879-1.0569-.2207-1.6172-.3648A12.89,12.89,0,0,0,10.0317,8C6.311,8,4,11.0652,4,16c0,7.51,4.0679,11.999,8.0005,12h.0015a7.1576,7.1576,0,0,0,2.49-.59A5.0128,5.0128,0,0,1,16,27a5.0266,5.0266,0,0,1,1.5112.41A7.15,7.15,0,0,0,20,28h0c3.9307-.001,8-4.49,8-12C28,12.3094,26.3706,8,21.7788,8ZM20,26h0a5.5038,5.5038,0,0,1-1.7905-.4639A6.4168,6.4168,0,0,0,16,25a6.4043,6.4043,0,0,0-2.2061.5361A5.5343,5.5343,0,0,1,12,26h.0015C9.0513,25.9988,6,22.2586,6,16c0-1.8037.3931-6,4.0317-6a11.2363,11.2363,0,0,1,2.6807.4726A12.9819,12.9819,0,0,0,15.7612,11h.4922a11.7955,11.7955,0,0,0,2.9956-.5361A9.8483,9.8483,0,0,1,21.7788,10C25.7964,10,26,14.9978,26,16,26,22.2586,22.9482,25.9988,20,26Z"}),React.createElement("path",{d:"M18,7H17V6a2.0021,2.0021,0,0,1,2-2h1V5A2.0021,2.0021,0,0,1,18,7Z"}),props.children);});var Apple16=/*#__PURE__*/React.forwardRef(function Apple16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.7788,8a11.4843,11.4843,0,0,0-3.0547.5342,14.5665,14.5665,0,0,1-1.8225.4126A6.0054,6.0054,0,0,0,11,4V6a3.9933,3.9933,0,0,1,3.8267,2.9c-.5181-.0879-1.0569-.2207-1.6172-.3648A12.89,12.89,0,0,0,10.0317,8C6.311,8,4,11.0652,4,16c0,7.51,4.0679,11.999,8.0005,12h.0015a7.1576,7.1576,0,0,0,2.49-.59A5.0128,5.0128,0,0,1,16,27a5.0266,5.0266,0,0,1,1.5112.41A7.15,7.15,0,0,0,20,28h0c3.9307-.001,8-4.49,8-12C28,12.3094,26.3706,8,21.7788,8ZM20,26h0a5.5038,5.5038,0,0,1-1.7905-.4639A6.4168,6.4168,0,0,0,16,25a6.4043,6.4043,0,0,0-2.2061.5361A5.5343,5.5343,0,0,1,12,26h.0015C9.0513,25.9988,6,22.2586,6,16c0-1.8037.3931-6,4.0317-6a11.2363,11.2363,0,0,1,2.6807.4726A12.9819,12.9819,0,0,0,15.7612,11h.4922a11.7955,11.7955,0,0,0,2.9956-.5361A9.8483,9.8483,0,0,1,21.7788,10C25.7964,10,26,14.9978,26,16,26,22.2586,22.9482,25.9988,20,26Z"}),React.createElement("path",{d:"M18,7H17V6a2.0021,2.0021,0,0,1,2-2h1V5A2.0021,2.0021,0,0,1,18,7Z"}),props.children);});var Application32=/*#__PURE__*/React.forwardRef(function Application32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,18H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H16a2,2,0,0,1,2,2V16A2,2,0,0,1,16,18ZM6,6V16H16V6Z"}),React.createElement("path",{d:"M26,12v4H22V12h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V12a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,22v4H22V22h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,22v4H12V22h4m0-2H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),props.children);});var Application24=/*#__PURE__*/React.forwardRef(function Application24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,18H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H16a2,2,0,0,1,2,2V16A2,2,0,0,1,16,18ZM6,6V16H16V6Z"}),React.createElement("path",{d:"M26,12v4H22V12h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V12a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,22v4H22V22h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,22v4H12V22h4m0-2H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),props.children);});var Application20=/*#__PURE__*/React.forwardRef(function Application20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,18H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H16a2,2,0,0,1,2,2V16A2,2,0,0,1,16,18ZM6,6V16H16V6Z"}),React.createElement("path",{d:"M26,12v4H22V12h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V12a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,22v4H22V22h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,22v4H12V22h4m0-2H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),props.children);});var Application16=/*#__PURE__*/React.forwardRef(function Application16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,18H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H16a2,2,0,0,1,2,2V16A2,2,0,0,1,16,18ZM6,6V16H16V6Z"}),React.createElement("path",{d:"M26,12v4H22V12h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V12a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,22v4H22V22h4m0-2H22a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,22v4H12V22h4m0-2H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),props.children);});var Apps32=/*#__PURE__*/React.forwardRef(function Apps32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,4v4H4V4H8z M10,2H2v8h8V2z M18,4v4h-4V4H18z M20,2h-8v8h8V2z M28,4v4h-4V4H28z M30,2h-8v8h8V2z M8,14v4H4v-4H8z M10,12H2\tv8h8V12z M18,14v4h-4v-4H18z M20,12h-8v8h8V12z M28,14v4h-4v-4H28z M30,12h-8v8h8V12z M8,24v4H4v-4H8z M10,22H2v8h8V22z M18,24v4h-4\tv-4H18z M20,22h-8v8h8V22z M28,24v4h-4v-4H28z M30,22h-8v8h8V22z"}),props.children);});var Apps24=/*#__PURE__*/React.forwardRef(function Apps24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,4v4H4V4H8z M10,2H2v8h8V2z M18,4v4h-4V4H18z M20,2h-8v8h8V2z M28,4v4h-4V4H28z M30,2h-8v8h8V2z M8,14v4H4v-4H8z M10,12H2\tv8h8V12z M18,14v4h-4v-4H18z M20,12h-8v8h8V12z M28,14v4h-4v-4H28z M30,12h-8v8h8V12z M8,24v4H4v-4H8z M10,22H2v8h8V22z M18,24v4h-4\tv-4H18z M20,22h-8v8h8V22z M28,24v4h-4v-4H28z M30,22h-8v8h8V22z"}),props.children);});var Apps20=/*#__PURE__*/React.forwardRef(function Apps20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,4v4H4V4H8z M10,2H2v8h8V2z M18,4v4h-4V4H18z M20,2h-8v8h8V2z M28,4v4h-4V4H28z M30,2h-8v8h8V2z M8,14v4H4v-4H8z M10,12H2\tv8h8V12z M18,14v4h-4v-4H18z M20,12h-8v8h8V12z M28,14v4h-4v-4H28z M30,12h-8v8h8V12z M8,24v4H4v-4H8z M10,22H2v8h8V22z M18,24v4h-4\tv-4H18z M20,22h-8v8h8V22z M28,24v4h-4v-4H28z M30,22h-8v8h8V22z"}),props.children);});var Archive32=/*#__PURE__*/React.forwardRef(function Archive32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"14",y:"19"}),React.createElement("path",{d:"M6,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V2ZM24,28H8V16H24Zm0-14H8V10H24ZM8,8V4H24V8Z"}),props.children);});var Archive24=/*#__PURE__*/React.forwardRef(function Archive24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"14",y:"19"}),React.createElement("path",{d:"M6,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V2ZM24,28H8V16H24Zm0-14H8V10H24ZM8,8V4H24V8Z"}),props.children);});var Archive20=/*#__PURE__*/React.forwardRef(function Archive20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"14",y:"19"}),React.createElement("path",{d:"M6,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V2ZM24,28H8V16H24Zm0-14H8V10H24ZM8,8V4H24V8Z"}),props.children);});var Archive16=/*#__PURE__*/React.forwardRef(function Archive16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"14",y:"19"}),React.createElement("path",{d:"M6,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V2ZM24,28H8V16H24Zm0-14H8V10H24ZM8,8V4H24V8Z"}),props.children);});var Arrival32=/*#__PURE__*/React.forwardRef(function Arrival32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M17.21,5.23l1.39.38,1,11.29,5.87,1.57A2,2,0,0,1,27,20.62a1.88,1.88,0,0,1-1.37,1.52,2,2,0,0,1-1,0l-18.7-5a1.89,1.89,0,0,1-1.33-2.3L6.35,8.34l1.44.38L8.4,13.9l6,1.62L17.21,5.23m-1-2.2a1,1,0,0,0-.68.69L13,13.07l-2.81-.75L9.69,7.79A1,1,0,0,0,9,7L5.87,6.14a.94.94,0,0,0-.5,0,1,1,0,0,0-.68.68l-2,7.49a3.87,3.87,0,0,0,2.74,4.74l18.71,5A3.87,3.87,0,0,0,29,21a4,4,0,0,0-3-4.42l-4.52-1.21L20.53,4.71a1,1,0,0,0-.72-.85L16.73,3a1.06,1.06,0,0,0-.5,0Z"}),props.children);});var Arrival24=/*#__PURE__*/React.forwardRef(function Arrival24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M17.21,5.23l1.39.38,1,11.29,5.87,1.57A2,2,0,0,1,27,20.62a1.88,1.88,0,0,1-1.37,1.52,2,2,0,0,1-1,0l-18.7-5a1.89,1.89,0,0,1-1.33-2.3L6.35,8.34l1.44.38L8.4,13.9l6,1.62L17.21,5.23m-1-2.2a1,1,0,0,0-.68.69L13,13.07l-2.81-.75L9.69,7.79A1,1,0,0,0,9,7L5.87,6.14a.94.94,0,0,0-.5,0,1,1,0,0,0-.68.68l-2,7.49a3.87,3.87,0,0,0,2.74,4.74l18.71,5A3.87,3.87,0,0,0,29,21a4,4,0,0,0-3-4.42l-4.52-1.21L20.53,4.71a1,1,0,0,0-.72-.85L16.73,3a1.06,1.06,0,0,0-.5,0Z"}),props.children);});var Arrival20=/*#__PURE__*/React.forwardRef(function Arrival20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M17.21,5.23l1.39.38,1,11.29,5.87,1.57A2,2,0,0,1,27,20.62a1.88,1.88,0,0,1-1.37,1.52,2,2,0,0,1-1,0l-18.7-5a1.89,1.89,0,0,1-1.33-2.3L6.35,8.34l1.44.38L8.4,13.9l6,1.62L17.21,5.23m-1-2.2a1,1,0,0,0-.68.69L13,13.07l-2.81-.75L9.69,7.79A1,1,0,0,0,9,7L5.87,6.14a.94.94,0,0,0-.5,0,1,1,0,0,0-.68.68l-2,7.49a3.87,3.87,0,0,0,2.74,4.74l18.71,5A3.87,3.87,0,0,0,29,21a4,4,0,0,0-3-4.42l-4.52-1.21L20.53,4.71a1,1,0,0,0-.72-.85L16.73,3a1.06,1.06,0,0,0-.5,0Z"}),props.children);});var Arrival16=/*#__PURE__*/React.forwardRef(function Arrival16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M17.21,5.23l1.39.38,1,11.29,5.87,1.57A2,2,0,0,1,27,20.62a1.88,1.88,0,0,1-1.37,1.52,2,2,0,0,1-1,0l-18.7-5a1.89,1.89,0,0,1-1.33-2.3L6.35,8.34l1.44.38L8.4,13.9l6,1.62L17.21,5.23m-1-2.2a1,1,0,0,0-.68.69L13,13.07l-2.81-.75L9.69,7.79A1,1,0,0,0,9,7L5.87,6.14a.94.94,0,0,0-.5,0,1,1,0,0,0-.68.68l-2,7.49a3.87,3.87,0,0,0,2.74,4.74l18.71,5A3.87,3.87,0,0,0,29,21a4,4,0,0,0-3-4.42l-4.52-1.21L20.53,4.71a1,1,0,0,0-.72-.85L16.73,3a1.06,1.06,0,0,0-.5,0Z"}),props.children);});var ArrowDownLeft32=/*#__PURE__*/React.forwardRef(function ArrowDownLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26 22 24 9.41 24 26 7.41 24.59 6 8 22.59 8 10 6 10 6 26 22 26"}),props.children);});var ArrowDownLeft24=/*#__PURE__*/React.forwardRef(function ArrowDownLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26 22 24 9.41 24 26 7.41 24.59 6 8 22.59 8 10 6 10 6 26 22 26"}),props.children);});var ArrowDownLeft20=/*#__PURE__*/React.forwardRef(function ArrowDownLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26 22 24 9.41 24 26 7.41 24.59 6 8 22.59 8 10 6 10 6 26 22 26"}),props.children);});var ArrowDownLeft16=/*#__PURE__*/React.forwardRef(function ArrowDownLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26 22 24 9.41 24 26 7.41 24.59 6 8 22.59 8 10 6 10 6 26 22 26"}),props.children);});var ArrowDownRight32=/*#__PURE__*/React.forwardRef(function ArrowDownRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 26 10 24 22.59 24 6 7.41 7.41 6 24 22.59 24 10 26 10 26 26 10 26"}),props.children);});var ArrowDownRight24=/*#__PURE__*/React.forwardRef(function ArrowDownRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 26 10 24 22.59 24 6 7.41 7.41 6 24 22.59 24 10 26 10 26 26 10 26"}),props.children);});var ArrowDownRight20=/*#__PURE__*/React.forwardRef(function ArrowDownRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 26 10 24 22.59 24 6 7.41 7.41 6 24 22.59 24 10 26 10 26 26 10 26"}),props.children);});var ArrowDownRight16=/*#__PURE__*/React.forwardRef(function ArrowDownRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 26 10 24 22.59 24 6 7.41 7.41 6 24 22.59 24 10 26 10 26 26 10 26"}),props.children);});var ArrowDown32=/*#__PURE__*/React.forwardRef(function ArrowDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24.59 16.59 17 24.17 17 2 15 2 15 24.17 7.41 16.59 6 18 16 28 26 18 24.59 16.59"}),props.children);});var ArrowDown24=/*#__PURE__*/React.forwardRef(function ArrowDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24.59 16.59 17 24.17 17 2 15 2 15 24.17 7.41 16.59 6 18 16 28 26 18 24.59 16.59"}),props.children);});var ArrowDown20=/*#__PURE__*/React.forwardRef(function ArrowDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24.59 16.59 17 24.17 17 2 15 2 15 24.17 7.41 16.59 6 18 16 28 26 18 24.59 16.59"}),props.children);});var ArrowLeft32=/*#__PURE__*/React.forwardRef(function ArrowLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 26 14.41 24.59 6.83 17 29 17 29 15 6.83 15 14.41 7.41 13 6 3 16 13 26"}),props.children);});var ArrowLeft24=/*#__PURE__*/React.forwardRef(function ArrowLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 26 14.41 24.59 6.83 17 29 17 29 15 6.83 15 14.41 7.41 13 6 3 16 13 26"}),props.children);});var ArrowLeft20=/*#__PURE__*/React.forwardRef(function ArrowLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 26 14.41 24.59 6.83 17 29 17 29 15 6.83 15 14.41 7.41 13 6 3 16 13 26"}),props.children);});var ArrowRight32=/*#__PURE__*/React.forwardRef(function ArrowRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18,6 16.6,7.4 24.1,15 3,15 3,17 24.1,17 16.6,24.6 18,26 28,16"}),props.children);});var ArrowUpLeft32=/*#__PURE__*/React.forwardRef(function ArrowUpLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 6 22 8 9.41 8 26 24.59 24.59 26 8 9.41 8 22 6 22 6 6 22 6"}),props.children);});var ArrowUpLeft24=/*#__PURE__*/React.forwardRef(function ArrowUpLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 6 22 8 9.41 8 26 24.59 24.59 26 8 9.41 8 22 6 22 6 6 22 6"}),props.children);});var ArrowUpLeft20=/*#__PURE__*/React.forwardRef(function ArrowUpLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 6 22 8 9.41 8 26 24.59 24.59 26 8 9.41 8 22 6 22 6 6 22 6"}),props.children);});var ArrowUpLeft16=/*#__PURE__*/React.forwardRef(function ArrowUpLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 6 22 8 9.41 8 26 24.59 24.59 26 8 9.41 8 22 6 22 6 6 22 6"}),props.children);});var ArrowUpRight32=/*#__PURE__*/React.forwardRef(function ArrowUpRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 6 10 8 22.59 8 6 24.59 7.41 26 24 9.41 24 22 26 22 26 6 10 6"}),props.children);});var ArrowUpRight24=/*#__PURE__*/React.forwardRef(function ArrowUpRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 6 10 8 22.59 8 6 24.59 7.41 26 24 9.41 24 22 26 22 26 6 10 6"}),props.children);});var ArrowUpRight20=/*#__PURE__*/React.forwardRef(function ArrowUpRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 6 10 8 22.59 8 6 24.59 7.41 26 24 9.41 24 22 26 22 26 6 10 6"}),props.children);});var ArrowUpRight16=/*#__PURE__*/React.forwardRef(function ArrowUpRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 6 10 8 22.59 8 6 24.59 7.41 26 24 9.41 24 22 26 22 26 6 10 6"}),props.children);});var ArrowUp32=/*#__PURE__*/React.forwardRef(function ArrowUp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 4 6 14 7.41 15.41 15 7.83 15 30 17 30 17 7.83 24.59 15.41 26 14 16 4"}),props.children);});var ArrowUp24=/*#__PURE__*/React.forwardRef(function ArrowUp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 4 6 14 7.41 15.41 15 7.83 15 30 17 30 17 7.83 24.59 15.41 26 14 16 4"}),props.children);});var ArrowUp20=/*#__PURE__*/React.forwardRef(function ArrowUp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 4 6 14 7.41 15.41 15 7.83 15 30 17 30 17 7.83 24.59 15.41 26 14 16 4"}),props.children);});var ArrowShiftDown32=/*#__PURE__*/React.forwardRef(function ArrowShiftDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,6V16h5a1,1,0,0,1,.707,1.707l-12,12a.9994.9994,0,0,1-1.414,0l-12-12A1,1,0,0,1,4,16H9V6a2.0023,2.0023,0,0,1,2-2H21A2.0027,2.0027,0,0,1,23,6ZM16,27.5859,25.5859,18H22a1,1,0,0,1-1-1V6H11V17a1,1,0,0,1-1,1H6.4141Z"}),props.children);});var ArrowShiftDown24=/*#__PURE__*/React.forwardRef(function ArrowShiftDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,6V16h5a1,1,0,0,1,.707,1.707l-12,12a.9994.9994,0,0,1-1.414,0l-12-12A1,1,0,0,1,4,16H9V6a2.0023,2.0023,0,0,1,2-2H21A2.0027,2.0027,0,0,1,23,6ZM16,27.5859,25.5859,18H22a1,1,0,0,1-1-1V6H11V17a1,1,0,0,1-1,1H6.4141Z"}),props.children);});var ArrowShiftDown20=/*#__PURE__*/React.forwardRef(function ArrowShiftDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,6V16h5a1,1,0,0,1,.707,1.707l-12,12a.9994.9994,0,0,1-1.414,0l-12-12A1,1,0,0,1,4,16H9V6a2.0023,2.0023,0,0,1,2-2H21A2.0027,2.0027,0,0,1,23,6ZM16,27.5859,25.5859,18H22a1,1,0,0,1-1-1V6H11V17a1,1,0,0,1-1,1H6.4141Z"}),props.children);});var ArrowShiftDown16=/*#__PURE__*/React.forwardRef(function ArrowShiftDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,6V16h5a1,1,0,0,1,.707,1.707l-12,12a.9994.9994,0,0,1-1.414,0l-12-12A1,1,0,0,1,4,16H9V6a2.0023,2.0023,0,0,1,2-2H21A2.0027,2.0027,0,0,1,23,6ZM16,27.5859,25.5859,18H22a1,1,0,0,1-1-1V6H11V17a1,1,0,0,1-1,1H6.4141Z"}),props.children);});var ArrowsHorizontal32=/*#__PURE__*/React.forwardRef(function ArrowsHorizontal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.41 26.59 7.83 23 28 23 28 21 7.83 21 11.41 17.41 10 16 4 22 10 28 11.41 26.59"}),React.createElement("polygon",{points:"28 10 22 4 20.59 5.41 24.17 9 4 9 4 11 24.17 11 20.59 14.59 22 16 28 10"}),props.children);});var ArrowsHorizontal24=/*#__PURE__*/React.forwardRef(function ArrowsHorizontal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.41 26.59 7.83 23 28 23 28 21 7.83 21 11.41 17.41 10 16 4 22 10 28 11.41 26.59"}),React.createElement("polygon",{points:"28 10 22 4 20.59 5.41 24.17 9 4 9 4 11 24.17 11 20.59 14.59 22 16 28 10"}),props.children);});var ArrowsHorizontal20=/*#__PURE__*/React.forwardRef(function ArrowsHorizontal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.41 26.59 7.83 23 28 23 28 21 7.83 21 11.41 17.41 10 16 4 22 10 28 11.41 26.59"}),React.createElement("polygon",{points:"28 10 22 4 20.59 5.41 24.17 9 4 9 4 11 24.17 11 20.59 14.59 22 16 28 10"}),props.children);});var ArrowsHorizontal16=/*#__PURE__*/React.forwardRef(function ArrowsHorizontal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.41 26.59 7.83 23 28 23 28 21 7.83 21 11.41 17.41 10 16 4 22 10 28 11.41 26.59"}),React.createElement("polygon",{points:"28 10 22 4 20.59 5.41 24.17 9 4 9 4 11 24.17 11 20.59 14.59 22 16 28 10"}),props.children);});var ArrowsVertical32=/*#__PURE__*/React.forwardRef(function ArrowsVertical32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var ArrowsVertical24=/*#__PURE__*/React.forwardRef(function ArrowsVertical24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var ArrowsVertical20=/*#__PURE__*/React.forwardRef(function ArrowsVertical20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var ArrowsVertical16=/*#__PURE__*/React.forwardRef(function ArrowsVertical16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var Arrows32=/*#__PURE__*/React.forwardRef(function Arrows32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var Arrows24=/*#__PURE__*/React.forwardRef(function Arrows24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var Arrows20=/*#__PURE__*/React.forwardRef(function Arrows20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var Arrows16=/*#__PURE__*/React.forwardRef(function Arrows16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.6,20.6 24,24.2 24,4 22,4 22,24.2 18.4,20.6 17,22 23,28 29,22"}),React.createElement("polygon",{points:"9,4 3,10 4.4,11.4 8,7.8 8,28 10,28 10,7.8 13.6,11.4 15,10"}),props.children);});var AsleepFilled32=/*#__PURE__*/React.forwardRef(function AsleepFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var AsleepFilled24=/*#__PURE__*/React.forwardRef(function AsleepFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var AsleepFilled20=/*#__PURE__*/React.forwardRef(function AsleepFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var AsleepFilled16=/*#__PURE__*/React.forwardRef(function AsleepFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var Asleep32=/*#__PURE__*/React.forwardRef(function Asleep32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5025,5.4136A15.0755,15.0755,0,0,0,25.096,23.6082a11.1134,11.1134,0,0,1-7.9749,3.3893c-.1385,0-.2782.0051-.4178,0A11.0944,11.0944,0,0,1,13.5025,5.4136M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var Asleep24=/*#__PURE__*/React.forwardRef(function Asleep24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5025,5.4136A15.0755,15.0755,0,0,0,25.096,23.6082a11.1134,11.1134,0,0,1-7.9749,3.3893c-.1385,0-.2782.0051-.4178,0A11.0944,11.0944,0,0,1,13.5025,5.4136M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var Asleep20=/*#__PURE__*/React.forwardRef(function Asleep20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5025,5.4136A15.0755,15.0755,0,0,0,25.096,23.6082a11.1134,11.1134,0,0,1-7.9749,3.3893c-.1385,0-.2782.0051-.4178,0A11.0944,11.0944,0,0,1,13.5025,5.4136M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var Asset32=/*#__PURE__*/React.forwardRef(function Asset32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.0752,24a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,12.0752,24Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,12.0752,18Z"}),React.createElement("path",{d:"M30,6a4.0042,4.0042,0,0,0-4-4,3.949,3.949,0,0,0-1.8537.4768L7.7571,10.9579A9.9921,9.9921,0,1,0,21.066,24.1929l8.49-16.3994A3.9491,3.9491,0,0,0,30,6ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM22.0194,5.8083C22.0163,5.8732,22,5.9343,22,6a4.0042,4.0042,0,0,0,4,4c.0645,0,.1245-.016.1882-.019l-4.3318,8.3617a10.0168,10.0168,0,0,0-8.2158-8.1962ZM12,28a8,8,0,1,1,8-8A8.0092,8.0092,0,0,1,12,28Z"}),props.children);});var Asset24=/*#__PURE__*/React.forwardRef(function Asset24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.0752,24a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,12.0752,24Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,12.0752,18Z"}),React.createElement("path",{d:"M30,6a4.0042,4.0042,0,0,0-4-4,3.949,3.949,0,0,0-1.8537.4768L7.7571,10.9579A9.9921,9.9921,0,1,0,21.066,24.1929l8.49-16.3994A3.9491,3.9491,0,0,0,30,6ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM22.0194,5.8083C22.0163,5.8732,22,5.9343,22,6a4.0042,4.0042,0,0,0,4,4c.0645,0,.1245-.016.1882-.019l-4.3318,8.3617a10.0168,10.0168,0,0,0-8.2158-8.1962ZM12,28a8,8,0,1,1,8-8A8.0092,8.0092,0,0,1,12,28Z"}),props.children);});var Asset20=/*#__PURE__*/React.forwardRef(function Asset20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.0752,24a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,12.0752,24Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,12.0752,18Z"}),React.createElement("path",{d:"M30,6a4.0042,4.0042,0,0,0-4-4,3.949,3.949,0,0,0-1.8537.4768L7.7571,10.9579A9.9921,9.9921,0,1,0,21.066,24.1929l8.49-16.3994A3.9491,3.9491,0,0,0,30,6ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM22.0194,5.8083C22.0163,5.8732,22,5.9343,22,6a4.0042,4.0042,0,0,0,4,4c.0645,0,.1245-.016.1882-.019l-4.3318,8.3617a10.0168,10.0168,0,0,0-8.2158-8.1962ZM12,28a8,8,0,1,1,8-8A8.0092,8.0092,0,0,1,12,28Z"}),props.children);});var Asset16=/*#__PURE__*/React.forwardRef(function Asset16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.0752,24a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,12.0752,24Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,12.0752,18Z"}),React.createElement("path",{d:"M30,6a4.0042,4.0042,0,0,0-4-4,3.949,3.949,0,0,0-1.8537.4768L7.7571,10.9579A9.9921,9.9921,0,1,0,21.066,24.1929l8.49-16.3994A3.9491,3.9491,0,0,0,30,6ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM22.0194,5.8083C22.0163,5.8732,22,5.9343,22,6a4.0042,4.0042,0,0,0,4,4c.0645,0,.1245-.016.1882-.019l-4.3318,8.3617a10.0168,10.0168,0,0,0-8.2158-8.1962ZM12,28a8,8,0,1,1,8-8A8.0092,8.0092,0,0,1,12,28Z"}),props.children);});var At32=/*#__PURE__*/React.forwardRef(function At32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,3A12.92,12.92,0,0,0,3,16v1A13,13,0,0,0,16,30h7V28H16A11,11,0,0,1,5,17V16A10.94,10.94,0,0,1,16,5,10.64,10.64,0,0,1,27,16c0,3.59-1.4,5-3.66,5C21.76,21,21,19.71,21,18V10H19v1.94A3.84,3.84,0,0,0,15.5,10,5.48,5.48,0,0,0,10,15.44v2.12A5.48,5.48,0,0,0,15.5,23a4.28,4.28,0,0,0,4-2.46A4.35,4.35,0,0,0,23.41,23C26.48,23,29,21,29,16A12.72,12.72,0,0,0,16,3Zm3,14.56a3.5,3.5,0,0,1-7,0V15.44a3.5,3.5,0,0,1,7,0Z"}),props.children);});var At24=/*#__PURE__*/React.forwardRef(function At24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,3A12.92,12.92,0,0,0,3,16v1A13,13,0,0,0,16,30h7V28H16A11,11,0,0,1,5,17V16A10.94,10.94,0,0,1,16,5,10.64,10.64,0,0,1,27,16c0,3.59-1.4,5-3.66,5C21.76,21,21,19.71,21,18V10H19v1.94A3.84,3.84,0,0,0,15.5,10,5.48,5.48,0,0,0,10,15.44v2.12A5.48,5.48,0,0,0,15.5,23a4.28,4.28,0,0,0,4-2.46A4.35,4.35,0,0,0,23.41,23C26.48,23,29,21,29,16A12.72,12.72,0,0,0,16,3Zm3,14.56a3.5,3.5,0,0,1-7,0V15.44a3.5,3.5,0,0,1,7,0Z"}),props.children);});var At20=/*#__PURE__*/React.forwardRef(function At20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,3A12.92,12.92,0,0,0,3,16v1A13,13,0,0,0,16,30h7V28H16A11,11,0,0,1,5,17V16A10.94,10.94,0,0,1,16,5,10.64,10.64,0,0,1,27,16c0,3.59-1.4,5-3.66,5C21.76,21,21,19.71,21,18V10H19v1.94A3.84,3.84,0,0,0,15.5,10,5.48,5.48,0,0,0,10,15.44v2.12A5.48,5.48,0,0,0,15.5,23a4.28,4.28,0,0,0,4-2.46A4.35,4.35,0,0,0,23.41,23C26.48,23,29,21,29,16A12.72,12.72,0,0,0,16,3Zm3,14.56a3.5,3.5,0,0,1-7,0V15.44a3.5,3.5,0,0,1,7,0Z"}),props.children);});var At16=/*#__PURE__*/React.forwardRef(function At16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,3A12.92,12.92,0,0,0,3,16v1A13,13,0,0,0,16,30h7V28H16A11,11,0,0,1,5,17V16A10.94,10.94,0,0,1,16,5,10.64,10.64,0,0,1,27,16c0,3.59-1.4,5-3.66,5C21.76,21,21,19.71,21,18V10H19v1.94A3.84,3.84,0,0,0,15.5,10,5.48,5.48,0,0,0,10,15.44v2.12A5.48,5.48,0,0,0,15.5,23a4.28,4.28,0,0,0,4-2.46A4.35,4.35,0,0,0,23.41,23C26.48,23,29,21,29,16A12.72,12.72,0,0,0,16,3Zm3,14.56a3.5,3.5,0,0,1-7,0V15.44a3.5,3.5,0,0,1,7,0Z"}),props.children);});var Attachment32=/*#__PURE__*/React.forwardRef(function Attachment32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.1,18.9L13.1,3.9c-2.5-2.6-6.6-2.6-9.2-0.1S1.3,10.5,3.9,13c0,0,0.1,0.1,0.1,0.1L6.8,16l1.4-1.4l-2.9-2.9\tC3.6,10,3.6,7.1,5.3,5.4s4.6-1.8,6.3-0.1c0,0,0,0,0.1,0.1l14.9,14.9c1.8,1.7,1.8,4.6,0.1,6.3c-1.7,1.8-4.6,1.8-6.3,0.1\tc0,0,0,0-0.1-0.1l-7.4-7.4c-1-1-0.9-2.6,0-3.5c1-0.9,2.5-0.9,3.5,0l4.1,4.1l1.4-1.4c0,0-4.2-4.2-4.2-4.2c-1.8-1.7-4.6-1.6-6.3,0.2\tc-1.6,1.7-1.6,4.4,0,6.2l7.5,7.5c2.5,2.6,6.6,2.6,9.2,0.1S30.7,21.5,28.1,18.9C28.1,19,28.1,18.9,28.1,18.9L28.1,18.9z"}),props.children);});var Attachment24=/*#__PURE__*/React.forwardRef(function Attachment24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.1,18.9L13.1,3.9c-2.5-2.6-6.6-2.6-9.2-0.1S1.3,10.5,3.9,13c0,0,0.1,0.1,0.1,0.1L6.8,16l1.4-1.4l-2.9-2.9\tC3.6,10,3.6,7.1,5.3,5.4s4.6-1.8,6.3-0.1c0,0,0,0,0.1,0.1l14.9,14.9c1.8,1.7,1.8,4.6,0.1,6.3c-1.7,1.8-4.6,1.8-6.3,0.1\tc0,0,0,0-0.1-0.1l-7.4-7.4c-1-1-0.9-2.6,0-3.5c1-0.9,2.5-0.9,3.5,0l4.1,4.1l1.4-1.4c0,0-4.2-4.2-4.2-4.2c-1.8-1.7-4.6-1.6-6.3,0.2\tc-1.6,1.7-1.6,4.4,0,6.2l7.5,7.5c2.5,2.6,6.6,2.6,9.2,0.1S30.7,21.5,28.1,18.9C28.1,19,28.1,18.9,28.1,18.9L28.1,18.9z"}),props.children);});var Attachment20=/*#__PURE__*/React.forwardRef(function Attachment20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.1,18.9L13.1,3.9c-2.5-2.6-6.6-2.6-9.2-0.1S1.3,10.5,3.9,13c0,0,0.1,0.1,0.1,0.1L6.8,16l1.4-1.4l-2.9-2.9\tC3.6,10,3.6,7.1,5.3,5.4s4.6-1.8,6.3-0.1c0,0,0,0,0.1,0.1l14.9,14.9c1.8,1.7,1.8,4.6,0.1,6.3c-1.7,1.8-4.6,1.8-6.3,0.1\tc0,0,0,0-0.1-0.1l-7.4-7.4c-1-1-0.9-2.6,0-3.5c1-0.9,2.5-0.9,3.5,0l4.1,4.1l1.4-1.4c0,0-4.2-4.2-4.2-4.2c-1.8-1.7-4.6-1.6-6.3,0.2\tc-1.6,1.7-1.6,4.4,0,6.2l7.5,7.5c2.5,2.6,6.6,2.6,9.2,0.1S30.7,21.5,28.1,18.9C28.1,19,28.1,18.9,28.1,18.9L28.1,18.9z"}),props.children);});var Attachment16=/*#__PURE__*/React.forwardRef(function Attachment16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.1,18.9L13.1,3.9c-2.5-2.6-6.6-2.6-9.2-0.1S1.3,10.5,3.9,13c0,0,0.1,0.1,0.1,0.1L6.8,16l1.4-1.4l-2.9-2.9\tC3.6,10,3.6,7.1,5.3,5.4s4.6-1.8,6.3-0.1c0,0,0,0,0.1,0.1l14.9,14.9c1.8,1.7,1.8,4.6,0.1,6.3c-1.7,1.8-4.6,1.8-6.3,0.1\tc0,0,0,0-0.1-0.1l-7.4-7.4c-1-1-0.9-2.6,0-3.5c1-0.9,2.5-0.9,3.5,0l4.1,4.1l1.4-1.4c0,0-4.2-4.2-4.2-4.2c-1.8-1.7-4.6-1.6-6.3,0.2\tc-1.6,1.7-1.6,4.4,0,6.2l7.5,7.5c2.5,2.6,6.6,2.6,9.2,0.1S30.7,21.5,28.1,18.9C28.1,19,28.1,18.9,28.1,18.9L28.1,18.9z"}),props.children);});var AudioConsole32=/*#__PURE__*/React.forwardRef(function AudioConsole32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20H29V2H27V20H26a2.0027,2.0027,0,0,0-2,2v2a2.0027,2.0027,0,0,0,2,2h1v4h2V26h1a2.0027,2.0027,0,0,0,2-2V22A2.0027,2.0027,0,0,0,30,20Zm0,4H26V22h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M22,14H21V2H19V14H18a2.002,2.002,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2h1V30h2V20h1a2.0027,2.0027,0,0,0,2-2V16A2.0023,2.0023,0,0,0,22,14Zm0,4H18V16h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M14,7H13V2H11V7H10A2.002,2.002,0,0,0,8,9v2a2.002,2.002,0,0,0,2,2h1V30h2V13h1a2.002,2.002,0,0,0,2-2V9A2.002,2.002,0,0,0,14,7Zm0,4H10V9h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M6,21H5V2H3V21H2a2.0023,2.0023,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2H3v3H5V27H6a2.0023,2.0023,0,0,0,2-2V23A2.0023,2.0023,0,0,0,6,21Zm0,4H2V23l4-.001Z",transform:"translate(0 .005)"}),props.children);});var AudioConsole24=/*#__PURE__*/React.forwardRef(function AudioConsole24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20H29V2H27V20H26a2.0027,2.0027,0,0,0-2,2v2a2.0027,2.0027,0,0,0,2,2h1v4h2V26h1a2.0027,2.0027,0,0,0,2-2V22A2.0027,2.0027,0,0,0,30,20Zm0,4H26V22h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M22,14H21V2H19V14H18a2.002,2.002,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2h1V30h2V20h1a2.0027,2.0027,0,0,0,2-2V16A2.0023,2.0023,0,0,0,22,14Zm0,4H18V16h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M14,7H13V2H11V7H10A2.002,2.002,0,0,0,8,9v2a2.002,2.002,0,0,0,2,2h1V30h2V13h1a2.002,2.002,0,0,0,2-2V9A2.002,2.002,0,0,0,14,7Zm0,4H10V9h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M6,21H5V2H3V21H2a2.0023,2.0023,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2H3v3H5V27H6a2.0023,2.0023,0,0,0,2-2V23A2.0023,2.0023,0,0,0,6,21Zm0,4H2V23l4-.001Z",transform:"translate(0 .005)"}),props.children);});var AudioConsole20=/*#__PURE__*/React.forwardRef(function AudioConsole20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20H29V2H27V20H26a2.0027,2.0027,0,0,0-2,2v2a2.0027,2.0027,0,0,0,2,2h1v4h2V26h1a2.0027,2.0027,0,0,0,2-2V22A2.0027,2.0027,0,0,0,30,20Zm0,4H26V22h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M22,14H21V2H19V14H18a2.002,2.002,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2h1V30h2V20h1a2.0027,2.0027,0,0,0,2-2V16A2.0023,2.0023,0,0,0,22,14Zm0,4H18V16h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M14,7H13V2H11V7H10A2.002,2.002,0,0,0,8,9v2a2.002,2.002,0,0,0,2,2h1V30h2V13h1a2.002,2.002,0,0,0,2-2V9A2.002,2.002,0,0,0,14,7Zm0,4H10V9h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M6,21H5V2H3V21H2a2.0023,2.0023,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2H3v3H5V27H6a2.0023,2.0023,0,0,0,2-2V23A2.0023,2.0023,0,0,0,6,21Zm0,4H2V23l4-.001Z",transform:"translate(0 .005)"}),props.children);});var AudioConsole16=/*#__PURE__*/React.forwardRef(function AudioConsole16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20H29V2H27V20H26a2.0027,2.0027,0,0,0-2,2v2a2.0027,2.0027,0,0,0,2,2h1v4h2V26h1a2.0027,2.0027,0,0,0,2-2V22A2.0027,2.0027,0,0,0,30,20Zm0,4H26V22h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M22,14H21V2H19V14H18a2.002,2.002,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2h1V30h2V20h1a2.0027,2.0027,0,0,0,2-2V16A2.0023,2.0023,0,0,0,22,14Zm0,4H18V16h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M14,7H13V2H11V7H10A2.002,2.002,0,0,0,8,9v2a2.002,2.002,0,0,0,2,2h1V30h2V13h1a2.002,2.002,0,0,0,2-2V9A2.002,2.002,0,0,0,14,7Zm0,4H10V9h4Z",transform:"translate(0 .005)"}),React.createElement("path",{d:"M6,21H5V2H3V21H2a2.0023,2.0023,0,0,0-2,2v2a2.0023,2.0023,0,0,0,2,2H3v3H5V27H6a2.0023,2.0023,0,0,0,2-2V23A2.0023,2.0023,0,0,0,6,21Zm0,4H2V23l4-.001Z",transform:"translate(0 .005)"}),props.children);});var AugmentedReality32=/*#__PURE__*/React.forwardRef(function AugmentedReality32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4473,9.1055l-6-3a1.0008,1.0008,0,0,0-.8946,0l-6,3A1,1,0,0,0,14,10v7a1,1,0,0,0,.5527.8945l6,3a1.001,1.001,0,0,0,.8946,0l6-3A1,1,0,0,0,28,17V10A1,1,0,0,0,27.4473,9.1055ZM21,8.1182,24.7637,10,21,11.8818,17.2363,10Zm-5,3.5,4,2v4.7636l-4-2Zm6,6.7636V13.6182l4-2v4.7636Z"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var AugmentedReality24=/*#__PURE__*/React.forwardRef(function AugmentedReality24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4473,9.1055l-6-3a1.0008,1.0008,0,0,0-.8946,0l-6,3A1,1,0,0,0,14,10v7a1,1,0,0,0,.5527.8945l6,3a1.001,1.001,0,0,0,.8946,0l6-3A1,1,0,0,0,28,17V10A1,1,0,0,0,27.4473,9.1055ZM21,8.1182,24.7637,10,21,11.8818,17.2363,10Zm-5,3.5,4,2v4.7636l-4-2Zm6,6.7636V13.6182l4-2v4.7636Z"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var AugmentedReality20=/*#__PURE__*/React.forwardRef(function AugmentedReality20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4473,9.1055l-6-3a1.0008,1.0008,0,0,0-.8946,0l-6,3A1,1,0,0,0,14,10v7a1,1,0,0,0,.5527.8945l6,3a1.001,1.001,0,0,0,.8946,0l6-3A1,1,0,0,0,28,17V10A1,1,0,0,0,27.4473,9.1055ZM21,8.1182,24.7637,10,21,11.8818,17.2363,10Zm-5,3.5,4,2v4.7636l-4-2Zm6,6.7636V13.6182l4-2v4.7636Z"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var AugmentedReality16=/*#__PURE__*/React.forwardRef(function AugmentedReality16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4473,9.1055l-6-3a1.0008,1.0008,0,0,0-.8946,0l-6,3A1,1,0,0,0,14,10v7a1,1,0,0,0,.5527.8945l6,3a1.001,1.001,0,0,0,.8946,0l6-3A1,1,0,0,0,28,17V10A1,1,0,0,0,27.4473,9.1055ZM21,8.1182,24.7637,10,21,11.8818,17.2363,10Zm-5,3.5,4,2v4.7636l-4-2Zm6,6.7636V13.6182l4-2v4.7636Z"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var Awake32=/*#__PURE__*/React.forwardRef(function Awake32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Awake24=/*#__PURE__*/React.forwardRef(function Awake24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Awake20=/*#__PURE__*/React.forwardRef(function Awake20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var BackToTop32=/*#__PURE__*/React.forwardRef(function BackToTop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var BackToTop24=/*#__PURE__*/React.forwardRef(function BackToTop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var BackToTop20=/*#__PURE__*/React.forwardRef(function BackToTop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var BackToTop16=/*#__PURE__*/React.forwardRef(function BackToTop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var Badge32=/*#__PURE__*/React.forwardRef(function Badge32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 2 24.593 5 28 5.414 25.5 7.667 26 11 23 9.125 20 11 20.5 7.667 18 5.414 21.5 5 23 2"}),React.createElement("path",{d:"M22.7168,13.249l-1.9375-.498A6.9942,6.9942,0,1,1,15.7505,4.22l.499-1.9365A8.99,8.99,0,0,0,8,17.689V30l6-4,6,4V17.7078A8.9627,8.9627,0,0,0,22.7168,13.249ZM18,26.2627l-4-2.6665-4,2.6665V19.05a8.9238,8.9238,0,0,0,8,.0062Z"}),props.children);});var Badge24=/*#__PURE__*/React.forwardRef(function Badge24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 2 24.593 5 28 5.414 25.5 7.667 26 11 23 9.125 20 11 20.5 7.667 18 5.414 21.5 5 23 2"}),React.createElement("path",{d:"M22.7168,13.249l-1.9375-.498A6.9942,6.9942,0,1,1,15.7505,4.22l.499-1.9365A8.99,8.99,0,0,0,8,17.689V30l6-4,6,4V17.7078A8.9627,8.9627,0,0,0,22.7168,13.249ZM18,26.2627l-4-2.6665-4,2.6665V19.05a8.9238,8.9238,0,0,0,8,.0062Z"}),props.children);});var Badge20=/*#__PURE__*/React.forwardRef(function Badge20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 2 24.593 5 28 5.414 25.5 7.667 26 11 23 9.125 20 11 20.5 7.667 18 5.414 21.5 5 23 2"}),React.createElement("path",{d:"M22.7168,13.249l-1.9375-.498A6.9942,6.9942,0,1,1,15.7505,4.22l.499-1.9365A8.99,8.99,0,0,0,8,17.689V30l6-4,6,4V17.7078A8.9627,8.9627,0,0,0,22.7168,13.249ZM18,26.2627l-4-2.6665-4,2.6665V19.05a8.9238,8.9238,0,0,0,8,.0062Z"}),props.children);});var Badge16=/*#__PURE__*/React.forwardRef(function Badge16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 2 24.593 5 28 5.414 25.5 7.667 26 11 23 9.125 20 11 20.5 7.667 18 5.414 21.5 5 23 2"}),React.createElement("path",{d:"M22.7168,13.249l-1.9375-.498A6.9942,6.9942,0,1,1,15.7505,4.22l.499-1.9365A8.99,8.99,0,0,0,8,17.689V30l6-4,6,4V17.7078A8.9627,8.9627,0,0,0,22.7168,13.249ZM18,26.2627l-4-2.6665-4,2.6665V19.05a8.9238,8.9238,0,0,0,8,.0062Z"}),props.children);});var Bar32=/*#__PURE__*/React.forwardRef(function Bar32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,11H15a1,1,0,0,0-1,1v4a6.0046,6.0046,0,0,0,5,5.91V28H16v2h8V28H21V21.91A6.0046,6.0046,0,0,0,26,16V12A1,1,0,0,0,25,11Zm-1,5a4,4,0,0,1-8,0V13h8Z"}),React.createElement("path",{d:"M15,1H10A1,1,0,0,0,9,2V9.3706A6.09,6.09,0,0,0,6,15V29a1,1,0,0,0,1,1h5V28H8V15c0-3.1875,2.231-4.02,2.3164-4.0513L11,10.7207V3h3V8h2V2A1,1,0,0,0,15,1Z"}),props.children);});var Bar24=/*#__PURE__*/React.forwardRef(function Bar24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,11H15a1,1,0,0,0-1,1v4a6.0046,6.0046,0,0,0,5,5.91V28H16v2h8V28H21V21.91A6.0046,6.0046,0,0,0,26,16V12A1,1,0,0,0,25,11Zm-1,5a4,4,0,0,1-8,0V13h8Z"}),React.createElement("path",{d:"M15,1H10A1,1,0,0,0,9,2V9.3706A6.09,6.09,0,0,0,6,15V29a1,1,0,0,0,1,1h5V28H8V15c0-3.1875,2.231-4.02,2.3164-4.0513L11,10.7207V3h3V8h2V2A1,1,0,0,0,15,1Z"}),props.children);});var Bar20=/*#__PURE__*/React.forwardRef(function Bar20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,11H15a1,1,0,0,0-1,1v4a6.0046,6.0046,0,0,0,5,5.91V28H16v2h8V28H21V21.91A6.0046,6.0046,0,0,0,26,16V12A1,1,0,0,0,25,11Zm-1,5a4,4,0,0,1-8,0V13h8Z"}),React.createElement("path",{d:"M15,1H10A1,1,0,0,0,9,2V9.3706A6.09,6.09,0,0,0,6,15V29a1,1,0,0,0,1,1h5V28H8V15c0-3.1875,2.231-4.02,2.3164-4.0513L11,10.7207V3h3V8h2V2A1,1,0,0,0,15,1Z"}),props.children);});var Bar16=/*#__PURE__*/React.forwardRef(function Bar16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,11H15a1,1,0,0,0-1,1v4a6.0046,6.0046,0,0,0,5,5.91V28H16v2h8V28H21V21.91A6.0046,6.0046,0,0,0,26,16V12A1,1,0,0,0,25,11Zm-1,5a4,4,0,0,1-8,0V13h8Z"}),React.createElement("path",{d:"M15,1H10A1,1,0,0,0,9,2V9.3706A6.09,6.09,0,0,0,6,15V29a1,1,0,0,0,1,1h5V28H8V15c0-3.1875,2.231-4.02,2.3164-4.0513L11,10.7207V3h3V8h2V2A1,1,0,0,0,15,1Z"}),props.children);});var Basketball32=/*#__PURE__*/React.forwardRef(function Basketball32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM27.9492,15H22.041a14.4088,14.4088,0,0,1,2.7383-7.1533A11.9392,11.9392,0,0,1,27.9492,15ZM17,15V4.0508a11.9181,11.9181,0,0,1,6.2874,2.4375A16.2646,16.2646,0,0,0,20.04,15Zm-2,0H11.96A16.2646,16.2646,0,0,0,8.7126,6.4883,11.9181,11.9181,0,0,1,15,4.0508Zm0,2V27.9492a11.9181,11.9181,0,0,1-6.2874-2.4375A16.2646,16.2646,0,0,0,11.96,17Zm2,0h3.04a16.2646,16.2646,0,0,0,3.2476,8.5117A11.9181,11.9181,0,0,1,17,27.9492ZM7.2207,7.8467A14.4088,14.4088,0,0,1,9.959,15H4.0508A11.9392,11.9392,0,0,1,7.2207,7.8467ZM4.0508,17H9.959a14.4088,14.4088,0,0,1-2.7383,7.1533A11.9392,11.9392,0,0,1,4.0508,17Zm20.7285,7.1533A14.4088,14.4088,0,0,1,22.041,17h5.9082A11.9392,11.9392,0,0,1,24.7793,24.1533Z"}),props.children);});var Basketball24=/*#__PURE__*/React.forwardRef(function Basketball24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM27.9492,15H22.041a14.4088,14.4088,0,0,1,2.7383-7.1533A11.9392,11.9392,0,0,1,27.9492,15ZM17,15V4.0508a11.9181,11.9181,0,0,1,6.2874,2.4375A16.2646,16.2646,0,0,0,20.04,15Zm-2,0H11.96A16.2646,16.2646,0,0,0,8.7126,6.4883,11.9181,11.9181,0,0,1,15,4.0508Zm0,2V27.9492a11.9181,11.9181,0,0,1-6.2874-2.4375A16.2646,16.2646,0,0,0,11.96,17Zm2,0h3.04a16.2646,16.2646,0,0,0,3.2476,8.5117A11.9181,11.9181,0,0,1,17,27.9492ZM7.2207,7.8467A14.4088,14.4088,0,0,1,9.959,15H4.0508A11.9392,11.9392,0,0,1,7.2207,7.8467ZM4.0508,17H9.959a14.4088,14.4088,0,0,1-2.7383,7.1533A11.9392,11.9392,0,0,1,4.0508,17Zm20.7285,7.1533A14.4088,14.4088,0,0,1,22.041,17h5.9082A11.9392,11.9392,0,0,1,24.7793,24.1533Z"}),props.children);});var Basketball20=/*#__PURE__*/React.forwardRef(function Basketball20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM27.9492,15H22.041a14.4088,14.4088,0,0,1,2.7383-7.1533A11.9392,11.9392,0,0,1,27.9492,15ZM17,15V4.0508a11.9181,11.9181,0,0,1,6.2874,2.4375A16.2646,16.2646,0,0,0,20.04,15Zm-2,0H11.96A16.2646,16.2646,0,0,0,8.7126,6.4883,11.9181,11.9181,0,0,1,15,4.0508Zm0,2V27.9492a11.9181,11.9181,0,0,1-6.2874-2.4375A16.2646,16.2646,0,0,0,11.96,17Zm2,0h3.04a16.2646,16.2646,0,0,0,3.2476,8.5117A11.9181,11.9181,0,0,1,17,27.9492ZM7.2207,7.8467A14.4088,14.4088,0,0,1,9.959,15H4.0508A11.9392,11.9392,0,0,1,7.2207,7.8467ZM4.0508,17H9.959a14.4088,14.4088,0,0,1-2.7383,7.1533A11.9392,11.9392,0,0,1,4.0508,17Zm20.7285,7.1533A14.4088,14.4088,0,0,1,22.041,17h5.9082A11.9392,11.9392,0,0,1,24.7793,24.1533Z"}),props.children);});var Basketball16=/*#__PURE__*/React.forwardRef(function Basketball16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM27.9492,15H22.041a14.4088,14.4088,0,0,1,2.7383-7.1533A11.9392,11.9392,0,0,1,27.9492,15ZM17,15V4.0508a11.9181,11.9181,0,0,1,6.2874,2.4375A16.2646,16.2646,0,0,0,20.04,15Zm-2,0H11.96A16.2646,16.2646,0,0,0,8.7126,6.4883,11.9181,11.9181,0,0,1,15,4.0508Zm0,2V27.9492a11.9181,11.9181,0,0,1-6.2874-2.4375A16.2646,16.2646,0,0,0,11.96,17Zm2,0h3.04a16.2646,16.2646,0,0,0,3.2476,8.5117A11.9181,11.9181,0,0,1,17,27.9492ZM7.2207,7.8467A14.4088,14.4088,0,0,1,9.959,15H4.0508A11.9392,11.9392,0,0,1,7.2207,7.8467ZM4.0508,17H9.959a14.4088,14.4088,0,0,1-2.7383,7.1533A11.9392,11.9392,0,0,1,4.0508,17Zm20.7285,7.1533A14.4088,14.4088,0,0,1,22.041,17h5.9082A11.9392,11.9392,0,0,1,24.7793,24.1533Z"}),props.children);});var BatteryCharging32=/*#__PURE__*/React.forwardRef(function BatteryCharging32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,11H26V10a2,2,0,0,0-2-2H20v2h4v3h3v6H24v3H19v2h5a2,2,0,0,0,2-2V21h1a2,2,0,0,0,2-2V13A2,2,0,0,0,27,11Z"}),React.createElement("path",{d:"M11,22H6V10h6V8H6a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h5Z"}),React.createElement("polygon",{points:"14.81 23.58 13.19 22.42 17.06 17 9.37 17 16.22 8.38 17.78 9.62 13.51 15 20.94 15 14.81 23.58"}),props.children);});var BatteryCharging24=/*#__PURE__*/React.forwardRef(function BatteryCharging24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,11H26V10a2,2,0,0,0-2-2H20v2h4v3h3v6H24v3H19v2h5a2,2,0,0,0,2-2V21h1a2,2,0,0,0,2-2V13A2,2,0,0,0,27,11Z"}),React.createElement("path",{d:"M11,22H6V10h6V8H6a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h5Z"}),React.createElement("polygon",{points:"14.81 23.58 13.19 22.42 17.06 17 9.37 17 16.22 8.38 17.78 9.62 13.51 15 20.94 15 14.81 23.58"}),props.children);});var BatteryCharging20=/*#__PURE__*/React.forwardRef(function BatteryCharging20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,11H26V10a2,2,0,0,0-2-2H20v2h4v3h3v6H24v3H19v2h5a2,2,0,0,0,2-2V21h1a2,2,0,0,0,2-2V13A2,2,0,0,0,27,11Z"}),React.createElement("path",{d:"M11,22H6V10h6V8H6a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h5Z"}),React.createElement("polygon",{points:"14.81 23.58 13.19 22.42 17.06 17 9.37 17 16.22 8.38 17.78 9.62 13.51 15 20.94 15 14.81 23.58"}),props.children);});var BatteryCharging16=/*#__PURE__*/React.forwardRef(function BatteryCharging16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,11H26V10a2,2,0,0,0-2-2H20v2h4v3h3v6H24v3H19v2h5a2,2,0,0,0,2-2V21h1a2,2,0,0,0,2-2V13A2,2,0,0,0,27,11Z"}),React.createElement("path",{d:"M11,22H6V10h6V8H6a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h5Z"}),React.createElement("polygon",{points:"14.81 23.58 13.19 22.42 17.06 17 9.37 17 16.22 8.38 17.78 9.62 13.51 15 20.94 15 14.81 23.58"}),props.children);});var BatteryEmpty32=/*#__PURE__*/React.forwardRef(function BatteryEmpty32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),props.children);});var BatteryEmpty24=/*#__PURE__*/React.forwardRef(function BatteryEmpty24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),props.children);});var BatteryEmpty20=/*#__PURE__*/React.forwardRef(function BatteryEmpty20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),props.children);});var BatteryEmpty16=/*#__PURE__*/React.forwardRef(function BatteryEmpty16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),props.children);});var BatteryFull32=/*#__PURE__*/React.forwardRef(function BatteryFull32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"14",x:"11",y:"9",transform:"rotate(90 15 16)"}),props.children);});var BatteryFull24=/*#__PURE__*/React.forwardRef(function BatteryFull24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"14",x:"11",y:"9",transform:"rotate(90 15 16)"}),props.children);});var BatteryFull20=/*#__PURE__*/React.forwardRef(function BatteryFull20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"14",x:"11",y:"9",transform:"rotate(90 15 16)"}),props.children);});var BatteryFull16=/*#__PURE__*/React.forwardRef(function BatteryFull16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"14",x:"11",y:"9",transform:"rotate(90 15 16)"}),props.children);});var BatteryHalf32=/*#__PURE__*/React.forwardRef(function BatteryHalf32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"8",x:"8",y:"12",transform:"rotate(90 12 16)"}),props.children);});var BatteryHalf24=/*#__PURE__*/React.forwardRef(function BatteryHalf24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"8",x:"8",y:"12",transform:"rotate(90 12 16)"}),props.children);});var BatteryHalf20=/*#__PURE__*/React.forwardRef(function BatteryHalf20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"8",x:"8",y:"12",transform:"rotate(90 12 16)"}),props.children);});var BatteryHalf16=/*#__PURE__*/React.forwardRef(function BatteryHalf16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2,2,0,0,1-2-2V10A2,2,0,0,1,6,8H24a2,2,0,0,1,2,2v1h1a2,2,0,0,1,2,2v6a2,2,0,0,1-2,2H26v1A2,2,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"8",x:"8",y:"12",transform:"rotate(90 12 16)"}),props.children);});var BatteryLow32=/*#__PURE__*/React.forwardRef(function BatteryLow32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"2",x:"5",y:"15",transform:"rotate(90 9 16)"}),props.children);});var BatteryLow24=/*#__PURE__*/React.forwardRef(function BatteryLow24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"2",x:"5",y:"15",transform:"rotate(90 9 16)"}),props.children);});var BatteryLow20=/*#__PURE__*/React.forwardRef(function BatteryLow20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"2",x:"5",y:"15",transform:"rotate(90 9 16)"}),props.children);});var BatteryLow16=/*#__PURE__*/React.forwardRef(function BatteryLow16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"2",x:"5",y:"15",transform:"rotate(90 9 16)"}),props.children);});var BatteryQuarter32=/*#__PURE__*/React.forwardRef(function BatteryQuarter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"4",x:"6",y:"14",transform:"rotate(90 10 16)"}),props.children);});var BatteryQuarter24=/*#__PURE__*/React.forwardRef(function BatteryQuarter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"4",x:"6",y:"14",transform:"rotate(90 10 16)"}),props.children);});var BatteryQuarter20=/*#__PURE__*/React.forwardRef(function BatteryQuarter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"4",x:"6",y:"14",transform:"rotate(90 10 16)"}),props.children);});var BatteryQuarter16=/*#__PURE__*/React.forwardRef(function BatteryQuarter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24H6a2.0023,2.0023,0,0,1-2-2V10A2.002,2.002,0,0,1,6,8H24a2.0023,2.0023,0,0,1,2,2v1h1a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H26v1A2.0027,2.0027,0,0,1,24,24ZM6,10V22H24V19h3V13H24V10Z"}),React.createElement("rect",{width:"8",height:"4",x:"6",y:"14",transform:"rotate(90 10 16)"}),props.children);});var Bee32=/*#__PURE__*/React.forwardRef(function Bee32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a6,6,0,0,0-6,6v8a6,6,0,0,0,12,0V16A6,6,0,0,0,16,10Zm-4.25,7.87h8.5v4.25h-8.5ZM16,28.25A4.27,4.27,0,0,1,11.75,24v-.13h8.5V24A4.27,4.27,0,0,1,16,28.25Zm4.25-12.13h-8.5V16a4.25,4.25,0,0,1,8.5,0Z"}),React.createElement("path",{d:"M30.66,19.21,24,13v9.1a4,4,0,0,0,8,0A3.83,3.83,0,0,0,30.66,19.21ZM28,24.35a2.25,2.25,0,0,1-2.25-2.25V17l3.72,3.47h0A2.05,2.05,0,0,1,30.2,22,2.25,2.25,0,0,1,28,24.35Z"}),React.createElement("path",{d:"M0,22.1a4,4,0,0,0,8,0V13L1.34,19.21A3.88,3.88,0,0,0,0,22.1Zm2.48-1.56h0L6.25,17v5.1a2.25,2.25,0,0,1-4.5,0A2.05,2.05,0,0,1,2.48,20.54Z"}),React.createElement("path",{d:"M15,5.5A3.5,3.5,0,1,0,11.5,9,3.5,3.5,0,0,0,15,5.5Zm-5.25,0A1.75,1.75,0,1,1,11.5,7.25,1.77,1.77,0,0,1,9.75,5.5Z"}),React.createElement("path",{d:"M20.5,2A3.5,3.5,0,1,0,24,5.5,3.5,3.5,0,0,0,20.5,2Zm0,5.25A1.75,1.75,0,1,1,22.25,5.5,1.77,1.77,0,0,1,20.5,7.25Z"}),props.children);});var Bee24=/*#__PURE__*/React.forwardRef(function Bee24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a6,6,0,0,0-6,6v8a6,6,0,0,0,12,0V16A6,6,0,0,0,16,10Zm-4.25,7.87h8.5v4.25h-8.5ZM16,28.25A4.27,4.27,0,0,1,11.75,24v-.13h8.5V24A4.27,4.27,0,0,1,16,28.25Zm4.25-12.13h-8.5V16a4.25,4.25,0,0,1,8.5,0Z"}),React.createElement("path",{d:"M30.66,19.21,24,13v9.1a4,4,0,0,0,8,0A3.83,3.83,0,0,0,30.66,19.21ZM28,24.35a2.25,2.25,0,0,1-2.25-2.25V17l3.72,3.47h0A2.05,2.05,0,0,1,30.2,22,2.25,2.25,0,0,1,28,24.35Z"}),React.createElement("path",{d:"M0,22.1a4,4,0,0,0,8,0V13L1.34,19.21A3.88,3.88,0,0,0,0,22.1Zm2.48-1.56h0L6.25,17v5.1a2.25,2.25,0,0,1-4.5,0A2.05,2.05,0,0,1,2.48,20.54Z"}),React.createElement("path",{d:"M15,5.5A3.5,3.5,0,1,0,11.5,9,3.5,3.5,0,0,0,15,5.5Zm-5.25,0A1.75,1.75,0,1,1,11.5,7.25,1.77,1.77,0,0,1,9.75,5.5Z"}),React.createElement("path",{d:"M20.5,2A3.5,3.5,0,1,0,24,5.5,3.5,3.5,0,0,0,20.5,2Zm0,5.25A1.75,1.75,0,1,1,22.25,5.5,1.77,1.77,0,0,1,20.5,7.25Z"}),props.children);});var Bee20=/*#__PURE__*/React.forwardRef(function Bee20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a6,6,0,0,0-6,6v8a6,6,0,0,0,12,0V16A6,6,0,0,0,16,10Zm-4.25,7.87h8.5v4.25h-8.5ZM16,28.25A4.27,4.27,0,0,1,11.75,24v-.13h8.5V24A4.27,4.27,0,0,1,16,28.25Zm4.25-12.13h-8.5V16a4.25,4.25,0,0,1,8.5,0Z"}),React.createElement("path",{d:"M30.66,19.21,24,13v9.1a4,4,0,0,0,8,0A3.83,3.83,0,0,0,30.66,19.21ZM28,24.35a2.25,2.25,0,0,1-2.25-2.25V17l3.72,3.47h0A2.05,2.05,0,0,1,30.2,22,2.25,2.25,0,0,1,28,24.35Z"}),React.createElement("path",{d:"M0,22.1a4,4,0,0,0,8,0V13L1.34,19.21A3.88,3.88,0,0,0,0,22.1Zm2.48-1.56h0L6.25,17v5.1a2.25,2.25,0,0,1-4.5,0A2.05,2.05,0,0,1,2.48,20.54Z"}),React.createElement("path",{d:"M15,5.5A3.5,3.5,0,1,0,11.5,9,3.5,3.5,0,0,0,15,5.5Zm-5.25,0A1.75,1.75,0,1,1,11.5,7.25,1.77,1.77,0,0,1,9.75,5.5Z"}),React.createElement("path",{d:"M20.5,2A3.5,3.5,0,1,0,24,5.5,3.5,3.5,0,0,0,20.5,2Zm0,5.25A1.75,1.75,0,1,1,22.25,5.5,1.77,1.77,0,0,1,20.5,7.25Z"}),props.children);});var Bee16=/*#__PURE__*/React.forwardRef(function Bee16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a6,6,0,0,0-6,6v8a6,6,0,0,0,12,0V16A6,6,0,0,0,16,10Zm-4.25,7.87h8.5v4.25h-8.5ZM16,28.25A4.27,4.27,0,0,1,11.75,24v-.13h8.5V24A4.27,4.27,0,0,1,16,28.25Zm4.25-12.13h-8.5V16a4.25,4.25,0,0,1,8.5,0Z"}),React.createElement("path",{d:"M30.66,19.21,24,13v9.1a4,4,0,0,0,8,0A3.83,3.83,0,0,0,30.66,19.21ZM28,24.35a2.25,2.25,0,0,1-2.25-2.25V17l3.72,3.47h0A2.05,2.05,0,0,1,30.2,22,2.25,2.25,0,0,1,28,24.35Z"}),React.createElement("path",{d:"M0,22.1a4,4,0,0,0,8,0V13L1.34,19.21A3.88,3.88,0,0,0,0,22.1Zm2.48-1.56h0L6.25,17v5.1a2.25,2.25,0,0,1-4.5,0A2.05,2.05,0,0,1,2.48,20.54Z"}),React.createElement("path",{d:"M15,5.5A3.5,3.5,0,1,0,11.5,9,3.5,3.5,0,0,0,15,5.5Zm-5.25,0A1.75,1.75,0,1,1,11.5,7.25,1.77,1.77,0,0,1,9.75,5.5Z"}),React.createElement("path",{d:"M20.5,2A3.5,3.5,0,1,0,24,5.5,3.5,3.5,0,0,0,20.5,2Zm0,5.25A1.75,1.75,0,1,1,22.25,5.5,1.77,1.77,0,0,1,20.5,7.25Z"}),props.children);});var Bicycle32=/*#__PURE__*/React.forwardRef(function Bicycle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16c-.0879,0-.1731.0093-.26.0132L24.2368,9H28V7H23a1,1,0,0,0-.978,1.21L22.62,11H12.3872l-1-3H14V6H7V8H9.28l1.0411,3.123-2.57,5.1392A6,6,0,1,0,11.91,23h2.61a1.991,1.991,0,0,0,1.5616-.75L23.14,13.4258l.6436,3.0039A5.9891,5.9891,0,1,0,26,16ZM6,26a4,4,0,1,1,.8364-7.9092L5.1055,21.5527l.009.0044A.9834.9834,0,0,0,5,22a.9931.9931,0,0,0,1.8853.4429l.0092.0044L8.6182,19A3.9835,3.9835,0,0,1,6,26Zm5.91-5a5.9986,5.9986,0,0,0-2.3733-3.8364l1.6787-3.3574L13.613,21Zm3.4577-1.06L13.054,13h7.8654ZM26,26a3.9882,3.9882,0,0,1-1.7859-7.56l.8079,3.77.02-.0044A.9859.9859,0,0,0,26,23a1,1,0,0,0,1-1,.9456.9456,0,0,0-.0415-.2056l.02-.0044-.8086-3.7729A3.9931,3.9931,0,0,1,26,26Z"}),props.children);});var Bicycle24=/*#__PURE__*/React.forwardRef(function Bicycle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16c-.0879,0-.1731.0093-.26.0132L24.2368,9H28V7H23a1,1,0,0,0-.978,1.21L22.62,11H12.3872l-1-3H14V6H7V8H9.28l1.0411,3.123-2.57,5.1392A6,6,0,1,0,11.91,23h2.61a1.991,1.991,0,0,0,1.5616-.75L23.14,13.4258l.6436,3.0039A5.9891,5.9891,0,1,0,26,16ZM6,26a4,4,0,1,1,.8364-7.9092L5.1055,21.5527l.009.0044A.9834.9834,0,0,0,5,22a.9931.9931,0,0,0,1.8853.4429l.0092.0044L8.6182,19A3.9835,3.9835,0,0,1,6,26Zm5.91-5a5.9986,5.9986,0,0,0-2.3733-3.8364l1.6787-3.3574L13.613,21Zm3.4577-1.06L13.054,13h7.8654ZM26,26a3.9882,3.9882,0,0,1-1.7859-7.56l.8079,3.77.02-.0044A.9859.9859,0,0,0,26,23a1,1,0,0,0,1-1,.9456.9456,0,0,0-.0415-.2056l.02-.0044-.8086-3.7729A3.9931,3.9931,0,0,1,26,26Z"}),props.children);});var Bicycle20=/*#__PURE__*/React.forwardRef(function Bicycle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16c-.0879,0-.1731.0093-.26.0132L24.2368,9H28V7H23a1,1,0,0,0-.978,1.21L22.62,11H12.3872l-1-3H14V6H7V8H9.28l1.0411,3.123-2.57,5.1392A6,6,0,1,0,11.91,23h2.61a1.991,1.991,0,0,0,1.5616-.75L23.14,13.4258l.6436,3.0039A5.9891,5.9891,0,1,0,26,16ZM6,26a4,4,0,1,1,.8364-7.9092L5.1055,21.5527l.009.0044A.9834.9834,0,0,0,5,22a.9931.9931,0,0,0,1.8853.4429l.0092.0044L8.6182,19A3.9835,3.9835,0,0,1,6,26Zm5.91-5a5.9986,5.9986,0,0,0-2.3733-3.8364l1.6787-3.3574L13.613,21Zm3.4577-1.06L13.054,13h7.8654ZM26,26a3.9882,3.9882,0,0,1-1.7859-7.56l.8079,3.77.02-.0044A.9859.9859,0,0,0,26,23a1,1,0,0,0,1-1,.9456.9456,0,0,0-.0415-.2056l.02-.0044-.8086-3.7729A3.9931,3.9931,0,0,1,26,26Z"}),props.children);});var Bicycle16=/*#__PURE__*/React.forwardRef(function Bicycle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16c-.0879,0-.1731.0093-.26.0132L24.2368,9H28V7H23a1,1,0,0,0-.978,1.21L22.62,11H12.3872l-1-3H14V6H7V8H9.28l1.0411,3.123-2.57,5.1392A6,6,0,1,0,11.91,23h2.61a1.991,1.991,0,0,0,1.5616-.75L23.14,13.4258l.6436,3.0039A5.9891,5.9891,0,1,0,26,16ZM6,26a4,4,0,1,1,.8364-7.9092L5.1055,21.5527l.009.0044A.9834.9834,0,0,0,5,22a.9931.9931,0,0,0,1.8853.4429l.0092.0044L8.6182,19A3.9835,3.9835,0,0,1,6,26Zm5.91-5a5.9986,5.9986,0,0,0-2.3733-3.8364l1.6787-3.3574L13.613,21Zm3.4577-1.06L13.054,13h7.8654ZM26,26a3.9882,3.9882,0,0,1-1.7859-7.56l.8079,3.77.02-.0044A.9859.9859,0,0,0,26,23a1,1,0,0,0,1-1,.9456.9456,0,0,0-.0415-.2056l.02-.0044-.8086-3.7729A3.9931,3.9931,0,0,1,26,26Z"}),props.children);});var Binoculars32=/*#__PURE__*/React.forwardRef(function Binoculars32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8V5a1,1,0,0,0-1-1H21a1,1,0,0,0-1,1V8a2,2,0,0,0-2,2v2H14V10a2,2,0,0,0-2-2V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V8a2,2,0,0,0-2,2V22a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,14,22V20h4v2a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,30,22V10A2,2,0,0,0,28,8ZM11,26H5V24h6Zm1-4H4V10H6V6h4v4h2Zm2-4V14h4v4Zm13,8H21V24h6Zm1-4H20V10h2V6h4v4h2Z"}),props.children);});var Binoculars24=/*#__PURE__*/React.forwardRef(function Binoculars24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8V5a1,1,0,0,0-1-1H21a1,1,0,0,0-1,1V8a2,2,0,0,0-2,2v2H14V10a2,2,0,0,0-2-2V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V8a2,2,0,0,0-2,2V22a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,14,22V20h4v2a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,30,22V10A2,2,0,0,0,28,8ZM11,26H5V24h6Zm1-4H4V10H6V6h4v4h2Zm2-4V14h4v4Zm13,8H21V24h6Zm1-4H20V10h2V6h4v4h2Z"}),props.children);});var Binoculars20=/*#__PURE__*/React.forwardRef(function Binoculars20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8V5a1,1,0,0,0-1-1H21a1,1,0,0,0-1,1V8a2,2,0,0,0-2,2v2H14V10a2,2,0,0,0-2-2V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V8a2,2,0,0,0-2,2V22a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,14,22V20h4v2a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,30,22V10A2,2,0,0,0,28,8ZM11,26H5V24h6Zm1-4H4V10H6V6h4v4h2Zm2-4V14h4v4Zm13,8H21V24h6Zm1-4H20V10h2V6h4v4h2Z"}),props.children);});var Binoculars16=/*#__PURE__*/React.forwardRef(function Binoculars16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8V5a1,1,0,0,0-1-1H21a1,1,0,0,0-1,1V8a2,2,0,0,0-2,2v2H14V10a2,2,0,0,0-2-2V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V8a2,2,0,0,0-2,2V22a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,14,22V20h4v2a2,2,0,0,0,1,1.72V27a1,1,0,0,0,1,1h8a1,1,0,0,0,1-1V23.72A2,2,0,0,0,30,22V10A2,2,0,0,0,28,8ZM11,26H5V24h6Zm1-4H4V10H6V6h4v4h2Zm2-4V14h4v4Zm13,8H21V24h6Zm1-4H20V10h2V6h4v4h2Z"}),props.children);});var Blockchain32=/*#__PURE__*/React.forwardRef(function Blockchain32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24H4V8H6ZM28,8H26V24h2ZM24,6V4H8V6Zm0,22V26H8v2Z"}),props.children);});var Blockchain24=/*#__PURE__*/React.forwardRef(function Blockchain24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24H4V8H6ZM28,8H26V24h2ZM24,6V4H8V6Zm0,22V26H8v2Z"}),props.children);});var Blockchain20=/*#__PURE__*/React.forwardRef(function Blockchain20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24H4V8H6ZM28,8H26V24h2ZM24,6V4H8V6Zm0,22V26H8v2Z"}),props.children);});var Blockchain16=/*#__PURE__*/React.forwardRef(function Blockchain16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24H4V8H6ZM28,8H26V24h2ZM24,6V4H8V6Zm0,22V26H8v2Z"}),props.children);});var Blog32=/*#__PURE__*/React.forwardRef(function Blog32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M26,14H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2v6A2,2,0,0,1,26,14ZM6,6v6H26V6Z"}),React.createElement("path",{d:"M26,28H20a2,2,0,0,1-2-2V20a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2v6A2,2,0,0,1,26,28Zm-6-8v6h6V20Z"}),props.children);});var Blog24=/*#__PURE__*/React.forwardRef(function Blog24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M26,14H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2v6A2,2,0,0,1,26,14ZM6,6v6H26V6Z"}),React.createElement("path",{d:"M26,28H20a2,2,0,0,1-2-2V20a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2v6A2,2,0,0,1,26,28Zm-6-8v6h6V20Z"}),props.children);});var Blog20=/*#__PURE__*/React.forwardRef(function Blog20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M26,14H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2v6A2,2,0,0,1,26,14ZM6,6v6H26V6Z"}),React.createElement("path",{d:"M26,28H20a2,2,0,0,1-2-2V20a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2v6A2,2,0,0,1,26,28Zm-6-8v6h6V20Z"}),props.children);});var Blog16=/*#__PURE__*/React.forwardRef(function Blog16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M26,14H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2v6A2,2,0,0,1,26,14ZM6,6v6H26V6Z"}),React.createElement("path",{d:"M26,28H20a2,2,0,0,1-2-2V20a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2v6A2,2,0,0,1,26,28Zm-6-8v6h6V20Z"}),props.children);});var BluetoothOff32=/*#__PURE__*/React.forwardRef(function BluetoothOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26.59,5.41,4,4,5.41,14.59,16,7,23.59,8.41,25,15,18.41V29a1,1,0,0,0,.58.91A1.06,1.06,0,0,0,16,30a1,1,0,0,0,.65-.24l6.3-5.4L26.59,28Zm-11,.24V18.41l4.53,4.53Z"}),React.createElement("path",{d:"M17,12.75V5.17l4.53,3.89-4.11,4.11,1.41,1.41,4.88-4.87A1,1,0,0,0,24,9a1,1,0,0,0-.35-.72l-7-6a1,1,0,0,0-1.07-.15A1,1,0,0,0,15,3v7.75Z"}),props.children);});var BluetoothOff24=/*#__PURE__*/React.forwardRef(function BluetoothOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26.59,5.41,4,4,5.41,14.59,16,7,23.59,8.41,25,15,18.41V29a1,1,0,0,0,.58.91A1.06,1.06,0,0,0,16,30a1,1,0,0,0,.65-.24l6.3-5.4L26.59,28Zm-11,.24V18.41l4.53,4.53Z"}),React.createElement("path",{d:"M17,12.75V5.17l4.53,3.89-4.11,4.11,1.41,1.41,4.88-4.87A1,1,0,0,0,24,9a1,1,0,0,0-.35-.72l-7-6a1,1,0,0,0-1.07-.15A1,1,0,0,0,15,3v7.75Z"}),props.children);});var BluetoothOff20=/*#__PURE__*/React.forwardRef(function BluetoothOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26.59,5.41,4,4,5.41,14.59,16,7,23.59,8.41,25,15,18.41V29a1,1,0,0,0,.58.91A1.06,1.06,0,0,0,16,30a1,1,0,0,0,.65-.24l6.3-5.4L26.59,28Zm-11,.24V18.41l4.53,4.53Z"}),React.createElement("path",{d:"M17,12.75V5.17l4.53,3.89-4.11,4.11,1.41,1.41,4.88-4.87A1,1,0,0,0,24,9a1,1,0,0,0-.35-.72l-7-6a1,1,0,0,0-1.07-.15A1,1,0,0,0,15,3v7.75Z"}),props.children);});var BluetoothOff16=/*#__PURE__*/React.forwardRef(function BluetoothOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26.59,5.41,4,4,5.41,14.59,16,7,23.59,8.41,25,15,18.41V29a1,1,0,0,0,.58.91A1.06,1.06,0,0,0,16,30a1,1,0,0,0,.65-.24l6.3-5.4L26.59,28Zm-11,.24V18.41l4.53,4.53Z"}),React.createElement("path",{d:"M17,12.75V5.17l4.53,3.89-4.11,4.11,1.41,1.41,4.88-4.87A1,1,0,0,0,24,9a1,1,0,0,0-.35-.72l-7-6a1,1,0,0,0-1.07-.15A1,1,0,0,0,15,3v7.75Z"}),props.children);});var Bluetooth32=/*#__PURE__*/React.forwardRef(function Bluetooth32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30a1.06,1.06,0,0,1-.42-.09A1,1,0,0,1,15,29V18.41L8.41,25,7,23.59,14.59,16,7,8.41,8.41,7,15,13.59V3a1,1,0,0,1,.58-.91,1,1,0,0,1,1.07.15l7,6A1,1,0,0,1,24,9a1,1,0,0,1-.29.75L17.41,16l6.3,6.29A1,1,0,0,1,24,23a1,1,0,0,1-.35.72l-7,6A1,1,0,0,1,16,30Zm1-11.59v8.42l4.53-3.89ZM17,5.17v8.42l4.53-4.53Z"}),props.children);});var Bluetooth24=/*#__PURE__*/React.forwardRef(function Bluetooth24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30a1.06,1.06,0,0,1-.42-.09A1,1,0,0,1,15,29V18.41L8.41,25,7,23.59,14.59,16,7,8.41,8.41,7,15,13.59V3a1,1,0,0,1,.58-.91,1,1,0,0,1,1.07.15l7,6A1,1,0,0,1,24,9a1,1,0,0,1-.29.75L17.41,16l6.3,6.29A1,1,0,0,1,24,23a1,1,0,0,1-.35.72l-7,6A1,1,0,0,1,16,30Zm1-11.59v8.42l4.53-3.89ZM17,5.17v8.42l4.53-4.53Z"}),props.children);});var Bluetooth20=/*#__PURE__*/React.forwardRef(function Bluetooth20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30a1.06,1.06,0,0,1-.42-.09A1,1,0,0,1,15,29V18.41L8.41,25,7,23.59,14.59,16,7,8.41,8.41,7,15,13.59V3a1,1,0,0,1,.58-.91,1,1,0,0,1,1.07.15l7,6A1,1,0,0,1,24,9a1,1,0,0,1-.29.75L17.41,16l6.3,6.29A1,1,0,0,1,24,23a1,1,0,0,1-.35.72l-7,6A1,1,0,0,1,16,30Zm1-11.59v8.42l4.53-3.89ZM17,5.17v8.42l4.53-4.53Z"}),props.children);});var Bluetooth16=/*#__PURE__*/React.forwardRef(function Bluetooth16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30a1.06,1.06,0,0,1-.42-.09A1,1,0,0,1,15,29V18.41L8.41,25,7,23.59,14.59,16,7,8.41,8.41,7,15,13.59V3a1,1,0,0,1,.58-.91,1,1,0,0,1,1.07.15l7,6A1,1,0,0,1,24,9a1,1,0,0,1-.29.75L17.41,16l6.3,6.29A1,1,0,0,1,24,23a1,1,0,0,1-.35.72l-7,6A1,1,0,0,1,16,30Zm1-11.59v8.42l4.53-3.89ZM17,5.17v8.42l4.53-4.53Z"}),props.children);});var Bookmark32=/*#__PURE__*/React.forwardRef(function Bookmark32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,4V26.75l-7.1-3.59-.9-.45-.9.45L8,26.75V4H24m0-2H8A2,2,0,0,0,6,4V30L16,25,26,30V4A2,2,0,0,0,24,2Z"}),props.children);});var Bookmark24=/*#__PURE__*/React.forwardRef(function Bookmark24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,4V26.75l-7.1-3.59-.9-.45-.9.45L8,26.75V4H24m0-2H8A2,2,0,0,0,6,4V30L16,25,26,30V4A2,2,0,0,0,24,2Z"}),props.children);});var Bookmark20=/*#__PURE__*/React.forwardRef(function Bookmark20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,4V26.75l-7.1-3.59-.9-.45-.9.45L8,26.75V4H24m0-2H8A2,2,0,0,0,6,4V30L16,25,26,30V4A2,2,0,0,0,24,2Z"}),props.children);});var Bookmark16=/*#__PURE__*/React.forwardRef(function Bookmark16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,4V26.75l-7.1-3.59-.9-.45-.9.45L8,26.75V4H24m0-2H8A2,2,0,0,0,6,4V30L16,25,26,30V4A2,2,0,0,0,24,2Z"}),props.children);});var Box32=/*#__PURE__*/React.forwardRef(function Box32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,21H12a2,2,0,0,1-2-2V17a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2v2A2,2,0,0,1,20,21Zm-8-4v2h8V17Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6v4a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V12a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM26,28H6V12H26Zm2-18H4V6H28v4Z"}),props.children);});var Box24=/*#__PURE__*/React.forwardRef(function Box24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,21H12a2,2,0,0,1-2-2V17a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2v2A2,2,0,0,1,20,21Zm-8-4v2h8V17Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6v4a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V12a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM26,28H6V12H26Zm2-18H4V6H28v4Z"}),props.children);});var Box20=/*#__PURE__*/React.forwardRef(function Box20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,21H12a2,2,0,0,1-2-2V17a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2v2A2,2,0,0,1,20,21Zm-8-4v2h8V17Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6v4a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V12a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM26,28H6V12H26Zm2-18H4V6H28v4Z"}),props.children);});var Box16=/*#__PURE__*/React.forwardRef(function Box16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,21H12a2,2,0,0,1-2-2V17a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2v2A2,2,0,0,1,20,21Zm-8-4v2h8V17Z"}),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6v4a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V12a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM26,28H6V12H26Zm2-18H4V6H28v4Z"}),props.children);});var Branch32=/*#__PURE__*/React.forwardRef(function Branch32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9955,3.9955,0,0,0-3.858,3H18a3.0033,3.0033,0,0,1-3-3V14a4.9514,4.9514,0,0,0-1.0256-3H22.142a4,4,0,1,0,0-2H9.858a4,4,0,1,0,0,2H10a3.0033,3.0033,0,0,1,3,3v4a5.0059,5.0059,0,0,0,5,5h4.142A3.9935,3.9935,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,8ZM6,12a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,12ZM26,24a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,24Z"}),props.children);});var Branch24=/*#__PURE__*/React.forwardRef(function Branch24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9955,3.9955,0,0,0-3.858,3H18a3.0033,3.0033,0,0,1-3-3V14a4.9514,4.9514,0,0,0-1.0256-3H22.142a4,4,0,1,0,0-2H9.858a4,4,0,1,0,0,2H10a3.0033,3.0033,0,0,1,3,3v4a5.0059,5.0059,0,0,0,5,5h4.142A3.9935,3.9935,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,8ZM6,12a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,12ZM26,24a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,24Z"}),props.children);});var Branch20=/*#__PURE__*/React.forwardRef(function Branch20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9955,3.9955,0,0,0-3.858,3H18a3.0033,3.0033,0,0,1-3-3V14a4.9514,4.9514,0,0,0-1.0256-3H22.142a4,4,0,1,0,0-2H9.858a4,4,0,1,0,0,2H10a3.0033,3.0033,0,0,1,3,3v4a5.0059,5.0059,0,0,0,5,5h4.142A3.9935,3.9935,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,8ZM6,12a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,12ZM26,24a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,24Z"}),props.children);});var Branch16=/*#__PURE__*/React.forwardRef(function Branch16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9955,3.9955,0,0,0-3.858,3H18a3.0033,3.0033,0,0,1-3-3V14a4.9514,4.9514,0,0,0-1.0256-3H22.142a4,4,0,1,0,0-2H9.858a4,4,0,1,0,0,2H10a3.0033,3.0033,0,0,1,3,3v4a5.0059,5.0059,0,0,0,5,5h4.142A3.9935,3.9935,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,8ZM6,12a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,12ZM26,24a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,24Z"}),props.children);});var BrightnessContrast32=/*#__PURE__*/React.forwardRef(function BrightnessContrast32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"6.22",y:"5.73",transform:"rotate(-45 7.227 7.236)"}),React.createElement("rect",{width:"3",height:"2",x:"23.27",y:"6.23",transform:"rotate(-45 24.766 7.232)"}),React.createElement("rect",{width:"2",height:"3",x:"23.77",y:"23.27",transform:"rotate(-45 24.77 24.77)"}),React.createElement("polygon",{points:"5.47 25.13 7.59 23 9 24.42 6.88 26.54 5.47 25.13"}),React.createElement("path",{d:"M16,8a8,8,0,1,0,8,8A8,8,0,0,0,16,8Zm0,14a6,6,0,0,1,0-12Z"}),props.children);});var BrightnessContrast24=/*#__PURE__*/React.forwardRef(function BrightnessContrast24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"6.22",y:"5.73",transform:"rotate(-45 7.227 7.236)"}),React.createElement("rect",{width:"3",height:"2",x:"23.27",y:"6.23",transform:"rotate(-45 24.766 7.232)"}),React.createElement("rect",{width:"2",height:"3",x:"23.77",y:"23.27",transform:"rotate(-45 24.77 24.77)"}),React.createElement("polygon",{points:"5.47 25.13 7.59 23 9 24.42 6.88 26.54 5.47 25.13"}),React.createElement("path",{d:"M16,8a8,8,0,1,0,8,8A8,8,0,0,0,16,8Zm0,14a6,6,0,0,1,0-12Z"}),props.children);});var BrightnessContrast20=/*#__PURE__*/React.forwardRef(function BrightnessContrast20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"6.22",y:"5.73",transform:"rotate(-45 7.227 7.236)"}),React.createElement("rect",{width:"3",height:"2",x:"23.27",y:"6.23",transform:"rotate(-45 24.766 7.232)"}),React.createElement("rect",{width:"2",height:"3",x:"23.77",y:"23.27",transform:"rotate(-45 24.77 24.77)"}),React.createElement("polygon",{points:"5.47 25.13 7.59 23 9 24.42 6.88 26.54 5.47 25.13"}),React.createElement("path",{d:"M16,8a8,8,0,1,0,8,8A8,8,0,0,0,16,8Zm0,14a6,6,0,0,1,0-12Z"}),props.children);});var BrightnessContrast16=/*#__PURE__*/React.forwardRef(function BrightnessContrast16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"6.22",y:"5.73",transform:"rotate(-45 7.227 7.236)"}),React.createElement("rect",{width:"3",height:"2",x:"23.27",y:"6.23",transform:"rotate(-45 24.766 7.232)"}),React.createElement("rect",{width:"2",height:"3",x:"23.77",y:"23.27",transform:"rotate(-45 24.77 24.77)"}),React.createElement("polygon",{points:"5.47 25.13 7.59 23 9 24.42 6.88 26.54 5.47 25.13"}),React.createElement("path",{d:"M16,8a8,8,0,1,0,8,8A8,8,0,0,0,16,8Zm0,14a6,6,0,0,1,0-12Z"}),props.children);});var BuildingInsights_132=/*#__PURE__*/React.forwardRef(function BuildingInsights_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M9,12H7a5.0059,5.0059,0,0,1,5-5V9A3.0033,3.0033,0,0,0,9,12Z"}),React.createElement("path",{d:"M4,12H2A10.0114,10.0114,0,0,1,12,2V4A8.0092,8.0092,0,0,0,4,12Z"}),props.children);});var BuildingInsights_124=/*#__PURE__*/React.forwardRef(function BuildingInsights_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M9,12H7a5.0059,5.0059,0,0,1,5-5V9A3.0033,3.0033,0,0,0,9,12Z"}),React.createElement("path",{d:"M4,12H2A10.0114,10.0114,0,0,1,12,2V4A8.0092,8.0092,0,0,0,4,12Z"}),props.children);});var BuildingInsights_120=/*#__PURE__*/React.forwardRef(function BuildingInsights_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M9,12H7a5.0059,5.0059,0,0,1,5-5V9A3.0033,3.0033,0,0,0,9,12Z"}),React.createElement("path",{d:"M4,12H2A10.0114,10.0114,0,0,1,12,2V4A8.0092,8.0092,0,0,0,4,12Z"}),props.children);});var BuildingInsights_116=/*#__PURE__*/React.forwardRef(function BuildingInsights_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M9,12H7a5.0059,5.0059,0,0,1,5-5V9A3.0033,3.0033,0,0,0,9,12Z"}),React.createElement("path",{d:"M4,12H2A10.0114,10.0114,0,0,1,12,2V4A8.0092,8.0092,0,0,0,4,12Z"}),props.children);});var BuildingInsights_232=/*#__PURE__*/React.forwardRef(function BuildingInsights_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M5.5,12a3.5,3.5,0,0,1,0-7h.627A4.0062,4.0062,0,0,1,10,2h2V4L10,4A2.0023,2.0023,0,0,0,8,6V7H5.5a1.5,1.5,0,0,0,0,3H12v2Z"}),props.children);});var BuildingInsights_224=/*#__PURE__*/React.forwardRef(function BuildingInsights_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M5.5,12a3.5,3.5,0,0,1,0-7h.627A4.0062,4.0062,0,0,1,10,2h2V4L10,4A2.0023,2.0023,0,0,0,8,6V7H5.5a1.5,1.5,0,0,0,0,3H12v2Z"}),props.children);});var BuildingInsights_220=/*#__PURE__*/React.forwardRef(function BuildingInsights_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M5.5,12a3.5,3.5,0,0,1,0-7h.627A4.0062,4.0062,0,0,1,10,2h2V4L10,4A2.0023,2.0023,0,0,0,8,6V7H5.5a1.5,1.5,0,0,0,0,3H12v2Z"}),props.children);});var BuildingInsights_216=/*#__PURE__*/React.forwardRef(function BuildingInsights_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("path",{d:"M5.5,12a3.5,3.5,0,0,1,0-7h.627A4.0062,4.0062,0,0,1,10,2h2V4L10,4A2.0023,2.0023,0,0,0,8,6V7H5.5a1.5,1.5,0,0,0,0,3H12v2Z"}),props.children);});var BuildingInsights_332=/*#__PURE__*/React.forwardRef(function BuildingInsights_332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"2",height:"5",x:"10",y:"2"}),React.createElement("rect",{width:"2",height:"5.071",x:"5.5",y:"3.964",transform:"rotate(-45 6.5 6.5)"}),props.children);});var BuildingInsights_324=/*#__PURE__*/React.forwardRef(function BuildingInsights_324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"2",height:"5",x:"10",y:"2"}),React.createElement("rect",{width:"2",height:"5.071",x:"5.5",y:"3.964",transform:"rotate(-45 6.5 6.5)"}),props.children);});var BuildingInsights_320=/*#__PURE__*/React.forwardRef(function BuildingInsights_320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"2",height:"5",x:"10",y:"2"}),React.createElement("rect",{width:"2",height:"5.071",x:"5.5",y:"3.964",transform:"rotate(-45 6.5 6.5)"}),props.children);});var BuildingInsights_316=/*#__PURE__*/React.forwardRef(function BuildingInsights_316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"2",height:"5",x:"10",y:"2"}),React.createElement("rect",{width:"2",height:"5.071",x:"5.5",y:"3.964",transform:"rotate(-45 6.5 6.5)"}),props.children);});var Building32=/*#__PURE__*/React.forwardRef(function Building32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),props.children);});var Building24=/*#__PURE__*/React.forwardRef(function Building24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),props.children);});var Building20=/*#__PURE__*/React.forwardRef(function Building20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),props.children);});var Building16=/*#__PURE__*/React.forwardRef(function Building16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H16a2.002,2.002,0,0,0-2,2V14H4a2.002,2.002,0,0,0-2,2V30H30V4A2.0023,2.0023,0,0,0,28,2ZM9,28V21h4v7Zm19,0H15V20a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1v8H4V16H16V4H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"20"}),props.children);});var Bullhorn32=/*#__PURE__*/React.forwardRef(function Bullhorn32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V8.17L5.64,11.87a2,2,0,0,0-1.64,2v4.34a2,2,0,0,0,1.64,2L8,20.56V24a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V22.74l6,1.09V26h2V6ZM18,24H10V20.93l8,1.45ZM6,18.17V13.83L26,10.2V21.8Z"}),props.children);});var Bullhorn24=/*#__PURE__*/React.forwardRef(function Bullhorn24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V8.17L5.64,11.87a2,2,0,0,0-1.64,2v4.34a2,2,0,0,0,1.64,2L8,20.56V24a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V22.74l6,1.09V26h2V6ZM18,24H10V20.93l8,1.45ZM6,18.17V13.83L26,10.2V21.8Z"}),props.children);});var Bullhorn20=/*#__PURE__*/React.forwardRef(function Bullhorn20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V8.17L5.64,11.87a2,2,0,0,0-1.64,2v4.34a2,2,0,0,0,1.64,2L8,20.56V24a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V22.74l6,1.09V26h2V6ZM18,24H10V20.93l8,1.45ZM6,18.17V13.83L26,10.2V21.8Z"}),props.children);});var Bullhorn16=/*#__PURE__*/React.forwardRef(function Bullhorn16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V8.17L5.64,11.87a2,2,0,0,0-1.64,2v4.34a2,2,0,0,0,1.64,2L8,20.56V24a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V22.74l6,1.09V26h2V6ZM18,24H10V20.93l8,1.45ZM6,18.17V13.83L26,10.2V21.8Z"}),props.children);});var Bus32=/*#__PURE__*/React.forwardRef(function Bus32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("path",{d:"M21,4H11A5.0059,5.0059,0,0,0,6,9V23a2.0023,2.0023,0,0,0,2,2v3h2V25H22v3h2V25a2.0027,2.0027,0,0,0,2-2V9A5.0059,5.0059,0,0,0,21,4Zm3,6,.0009,6H8V10ZM11,6H21a2.995,2.995,0,0,1,2.8157,2H8.1843A2.995,2.995,0,0,1,11,6ZM8,23V18H24.0012l.0008,5Z"}),props.children);});var Bus24=/*#__PURE__*/React.forwardRef(function Bus24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("path",{d:"M21,4H11A5.0059,5.0059,0,0,0,6,9V23a2.0023,2.0023,0,0,0,2,2v3h2V25H22v3h2V25a2.0027,2.0027,0,0,0,2-2V9A5.0059,5.0059,0,0,0,21,4Zm3,6,.0009,6H8V10ZM11,6H21a2.995,2.995,0,0,1,2.8157,2H8.1843A2.995,2.995,0,0,1,11,6ZM8,23V18H24.0012l.0008,5Z"}),props.children);});var Bus20=/*#__PURE__*/React.forwardRef(function Bus20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("path",{d:"M21,4H11A5.0059,5.0059,0,0,0,6,9V23a2.0023,2.0023,0,0,0,2,2v3h2V25H22v3h2V25a2.0027,2.0027,0,0,0,2-2V9A5.0059,5.0059,0,0,0,21,4Zm3,6,.0009,6H8V10ZM11,6H21a2.995,2.995,0,0,1,2.8157,2H8.1843A2.995,2.995,0,0,1,11,6ZM8,23V18H24.0012l.0008,5Z"}),props.children);});var Bus16=/*#__PURE__*/React.forwardRef(function Bus16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"4",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("path",{d:"M21,4H11A5.0059,5.0059,0,0,0,6,9V23a2.0023,2.0023,0,0,0,2,2v3h2V25H22v3h2V25a2.0027,2.0027,0,0,0,2-2V9A5.0059,5.0059,0,0,0,21,4Zm3,6,.0009,6H8V10ZM11,6H21a2.995,2.995,0,0,1,2.8157,2H8.1843A2.995,2.995,0,0,1,11,6ZM8,23V18H24.0012l.0008,5Z"}),props.children);});var Cafe32=/*#__PURE__*/React.forwardRef(function Cafe32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24.5,11H8a2.002,2.002,0,0,0-2,2v8a5.0059,5.0059,0,0,0,5,5h8a5.0059,5.0059,0,0,0,5-5V20h.5a4.5,4.5,0,0,0,0-9ZM22,21a3.0033,3.0033,0,0,1-3,3H11a3.0033,3.0033,0,0,1-3-3V13H22Zm2.5-3H24V13h.5a2.5,2.5,0,0,1,0,5Z"}),React.createElement("path",{d:"M19,9H17V8.854a1.9883,1.9883,0,0,0-1.1055-1.7886L13.2109,5.7236A3.9788,3.9788,0,0,1,11,2.146V1h2V2.146a1.9892,1.9892,0,0,0,1.1055,1.7886l2.6836,1.3418A3.9792,3.9792,0,0,1,19,8.854Z"}),props.children);});var Cafe24=/*#__PURE__*/React.forwardRef(function Cafe24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24.5,11H8a2.002,2.002,0,0,0-2,2v8a5.0059,5.0059,0,0,0,5,5h8a5.0059,5.0059,0,0,0,5-5V20h.5a4.5,4.5,0,0,0,0-9ZM22,21a3.0033,3.0033,0,0,1-3,3H11a3.0033,3.0033,0,0,1-3-3V13H22Zm2.5-3H24V13h.5a2.5,2.5,0,0,1,0,5Z"}),React.createElement("path",{d:"M19,9H17V8.854a1.9883,1.9883,0,0,0-1.1055-1.7886L13.2109,5.7236A3.9788,3.9788,0,0,1,11,2.146V1h2V2.146a1.9892,1.9892,0,0,0,1.1055,1.7886l2.6836,1.3418A3.9792,3.9792,0,0,1,19,8.854Z"}),props.children);});var Cafe20=/*#__PURE__*/React.forwardRef(function Cafe20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24.5,11H8a2.002,2.002,0,0,0-2,2v8a5.0059,5.0059,0,0,0,5,5h8a5.0059,5.0059,0,0,0,5-5V20h.5a4.5,4.5,0,0,0,0-9ZM22,21a3.0033,3.0033,0,0,1-3,3H11a3.0033,3.0033,0,0,1-3-3V13H22Zm2.5-3H24V13h.5a2.5,2.5,0,0,1,0,5Z"}),React.createElement("path",{d:"M19,9H17V8.854a1.9883,1.9883,0,0,0-1.1055-1.7886L13.2109,5.7236A3.9788,3.9788,0,0,1,11,2.146V1h2V2.146a1.9892,1.9892,0,0,0,1.1055,1.7886l2.6836,1.3418A3.9792,3.9792,0,0,1,19,8.854Z"}),props.children);});var Cafe16=/*#__PURE__*/React.forwardRef(function Cafe16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24.5,11H8a2.002,2.002,0,0,0-2,2v8a5.0059,5.0059,0,0,0,5,5h8a5.0059,5.0059,0,0,0,5-5V20h.5a4.5,4.5,0,0,0,0-9ZM22,21a3.0033,3.0033,0,0,1-3,3H11a3.0033,3.0033,0,0,1-3-3V13H22Zm2.5-3H24V13h.5a2.5,2.5,0,0,1,0,5Z"}),React.createElement("path",{d:"M19,9H17V8.854a1.9883,1.9883,0,0,0-1.1055-1.7886L13.2109,5.7236A3.9788,3.9788,0,0,1,11,2.146V1h2V2.146a1.9892,1.9892,0,0,0,1.1055,1.7886l2.6836,1.3418A3.9792,3.9792,0,0,1,19,8.854Z"}),props.children);});var CalculatorCheck32=/*#__PURE__*/React.forwardRef(function CalculatorCheck32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 26.59 21.41 24 20 25.41 24 29.41 31 22.41 29.59 21 24 26.59"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),React.createElement("path",{d:"M17,30H6.0046A2.007,2.007,0,0,1,4,27.9951V3.9961A1.9984,1.9984,0,0,1,5.9961,2H26.0037A1.9985,1.9985,0,0,1,28,3.9961V18H26V4H6V28H17Z"}),props.children);});var CalculatorCheck24=/*#__PURE__*/React.forwardRef(function CalculatorCheck24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 26.59 21.41 24 20 25.41 24 29.41 31 22.41 29.59 21 24 26.59"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),React.createElement("path",{d:"M17,30H6.0046A2.007,2.007,0,0,1,4,27.9951V3.9961A1.9984,1.9984,0,0,1,5.9961,2H26.0037A1.9985,1.9985,0,0,1,28,3.9961V18H26V4H6V28H17Z"}),props.children);});var CalculatorCheck20=/*#__PURE__*/React.forwardRef(function CalculatorCheck20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 26.59 21.41 24 20 25.41 24 29.41 31 22.41 29.59 21 24 26.59"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),React.createElement("path",{d:"M17,30H6.0046A2.007,2.007,0,0,1,4,27.9951V3.9961A1.9984,1.9984,0,0,1,5.9961,2H26.0037A1.9985,1.9985,0,0,1,28,3.9961V18H26V4H6V28H17Z"}),props.children);});var CalculatorCheck16=/*#__PURE__*/React.forwardRef(function CalculatorCheck16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 26.59 21.41 24 20 25.41 24 29.41 31 22.41 29.59 21 24 26.59"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),React.createElement("path",{d:"M17,30H6.0046A2.007,2.007,0,0,1,4,27.9951V3.9961A1.9984,1.9984,0,0,1,5.9961,2H26.0037A1.9985,1.9985,0,0,1,28,3.9961V18H26V4H6V28H17Z"}),props.children);});var Calculator32=/*#__PURE__*/React.forwardRef(function Calculator32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4V28H6V4H26m0-2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Z"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),props.children);});var Calculator24=/*#__PURE__*/React.forwardRef(function Calculator24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4V28H6V4H26m0-2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Z"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),props.children);});var Calculator20=/*#__PURE__*/React.forwardRef(function Calculator20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4V28H6V4H26m0-2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Z"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),props.children);});var Calculator16=/*#__PURE__*/React.forwardRef(function Calculator16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4V28H6V4H26m0-2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Z"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"13"}),React.createElement("rect",{width:"14",height:"3",x:"9",y:"7"}),props.children);});var Calendar32=/*#__PURE__*/React.forwardRef(function Calendar32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4h-4V2h-2v2h-8V2h-2v2H6C4.9,4,4,4.9,4,6v20c0,1.1,0.9,2,2,2h20c1.1,0,2-0.9,2-2V6C28,4.9,27.1,4,26,4z M26,26H6V12h20\tV26z M26,10H6V6h4v2h2V6h8v2h2V6h4V10z"}),props.children);});var Calendar24=/*#__PURE__*/React.forwardRef(function Calendar24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4h-4V2h-2v2h-8V2h-2v2H6C4.9,4,4,4.9,4,6v20c0,1.1,0.9,2,2,2h20c1.1,0,2-0.9,2-2V6C28,4.9,27.1,4,26,4z M26,26H6V12h20\tV26z M26,10H6V6h4v2h2V6h8v2h2V6h4V10z"}),props.children);});var Calendar20=/*#__PURE__*/React.forwardRef(function Calendar20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4h-4V2h-2v2h-8V2h-2v2H6C4.9,4,4,4.9,4,6v20c0,1.1,0.9,2,2,2h20c1.1,0,2-0.9,2-2V6C28,4.9,27.1,4,26,4z M26,26H6V12h20\tV26z M26,10H6V6h4v2h2V6h8v2h2V6h4V10z"}),props.children);});var Calendar16=/*#__PURE__*/React.forwardRef(function Calendar16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4h-4V2h-2v2h-8V2h-2v2H6C4.9,4,4,4.9,4,6v20c0,1.1,0.9,2,2,2h20c1.1,0,2-0.9,2-2V6C28,4.9,27.1,4,26,4z M26,26H6V12h20\tV26z M26,10H6V6h4v2h2V6h8v2h2V6h4V10z"}),props.children);});var Calibrate32=/*#__PURE__*/React.forwardRef(function Calibrate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,21.17,25,17.37l.67-.67a1,1,0,0,0,0-1.41l-6-6a1,1,0,0,0-1.41,0h0l-.79.79L10.71,3.29a1,1,0,0,0-1.41,0h0l-4,4-.12.15-4,6a1,1,0,0,0,.12,1.26l3,3a1,1,0,0,0,1.42,0L10,13.41l2.09,2.09-4.8,4.79a1,1,0,0,0,0,1.41l2,2A1,1,0,0,0,10,24a1,1,0,0,0,.52-.15l4.33-2.6,2.44,2.45a1,1,0,0,0,1.41,0h0l.67-.7,3.79,3.83a4,4,0,0,0,5.66-5.66ZM10,10.58l-5,5L3.29,13.87,6.78,8.63,10,5.41l6.09,6.09L13.5,14.08Zm8,11-2.84-2.84-5,3L9.42,21,19,11.41,23.59,16Zm9.42,3.83a2,2,0,0,1-2.83,0h0l-3.8-3.79,2.83-2.83,3.8,3.79a2,2,0,0,1,0,2.83Z"}),props.children);});var Calibrate24=/*#__PURE__*/React.forwardRef(function Calibrate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,21.17,25,17.37l.67-.67a1,1,0,0,0,0-1.41l-6-6a1,1,0,0,0-1.41,0h0l-.79.79L10.71,3.29a1,1,0,0,0-1.41,0h0l-4,4-.12.15-4,6a1,1,0,0,0,.12,1.26l3,3a1,1,0,0,0,1.42,0L10,13.41l2.09,2.09-4.8,4.79a1,1,0,0,0,0,1.41l2,2A1,1,0,0,0,10,24a1,1,0,0,0,.52-.15l4.33-2.6,2.44,2.45a1,1,0,0,0,1.41,0h0l.67-.7,3.79,3.83a4,4,0,0,0,5.66-5.66ZM10,10.58l-5,5L3.29,13.87,6.78,8.63,10,5.41l6.09,6.09L13.5,14.08Zm8,11-2.84-2.84-5,3L9.42,21,19,11.41,23.59,16Zm9.42,3.83a2,2,0,0,1-2.83,0h0l-3.8-3.79,2.83-2.83,3.8,3.79a2,2,0,0,1,0,2.83Z"}),props.children);});var Calibrate20=/*#__PURE__*/React.forwardRef(function Calibrate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,21.17,25,17.37l.67-.67a1,1,0,0,0,0-1.41l-6-6a1,1,0,0,0-1.41,0h0l-.79.79L10.71,3.29a1,1,0,0,0-1.41,0h0l-4,4-.12.15-4,6a1,1,0,0,0,.12,1.26l3,3a1,1,0,0,0,1.42,0L10,13.41l2.09,2.09-4.8,4.79a1,1,0,0,0,0,1.41l2,2A1,1,0,0,0,10,24a1,1,0,0,0,.52-.15l4.33-2.6,2.44,2.45a1,1,0,0,0,1.41,0h0l.67-.7,3.79,3.83a4,4,0,0,0,5.66-5.66ZM10,10.58l-5,5L3.29,13.87,6.78,8.63,10,5.41l6.09,6.09L13.5,14.08Zm8,11-2.84-2.84-5,3L9.42,21,19,11.41,23.59,16Zm9.42,3.83a2,2,0,0,1-2.83,0h0l-3.8-3.79,2.83-2.83,3.8,3.79a2,2,0,0,1,0,2.83Z"}),props.children);});var Calibrate16=/*#__PURE__*/React.forwardRef(function Calibrate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,21.17,25,17.37l.67-.67a1,1,0,0,0,0-1.41l-6-6a1,1,0,0,0-1.41,0h0l-.79.79L10.71,3.29a1,1,0,0,0-1.41,0h0l-4,4-.12.15-4,6a1,1,0,0,0,.12,1.26l3,3a1,1,0,0,0,1.42,0L10,13.41l2.09,2.09-4.8,4.79a1,1,0,0,0,0,1.41l2,2A1,1,0,0,0,10,24a1,1,0,0,0,.52-.15l4.33-2.6,2.44,2.45a1,1,0,0,0,1.41,0h0l.67-.7,3.79,3.83a4,4,0,0,0,5.66-5.66ZM10,10.58l-5,5L3.29,13.87,6.78,8.63,10,5.41l6.09,6.09L13.5,14.08Zm8,11-2.84-2.84-5,3L9.42,21,19,11.41,23.59,16Zm9.42,3.83a2,2,0,0,1-2.83,0h0l-3.8-3.79,2.83-2.83,3.8,3.79a2,2,0,0,1,0,2.83Z"}),props.children);});var CameraAction32=/*#__PURE__*/React.forwardRef(function CameraAction32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,23a6,6,0,1,1,6-6A6,6,0,0,1,12,23Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,12,13Z"}),React.createElement("path",{d:"M29,27H3a1,1,0,0,1-1-1V6A1,1,0,0,1,3,5H29a1,1,0,0,1,1,1V26A1,1,0,0,1,29,27ZM4,25H28V7H4Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"9"}),React.createElement("circle",{cx:"12",cy:"17",r:"1"}),props.children);});var CameraAction24=/*#__PURE__*/React.forwardRef(function CameraAction24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,23a6,6,0,1,1,6-6A6,6,0,0,1,12,23Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,12,13Z"}),React.createElement("path",{d:"M29,27H3a1,1,0,0,1-1-1V6A1,1,0,0,1,3,5H29a1,1,0,0,1,1,1V26A1,1,0,0,1,29,27ZM4,25H28V7H4Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"9"}),React.createElement("circle",{cx:"12",cy:"17",r:"1"}),props.children);});var CameraAction20=/*#__PURE__*/React.forwardRef(function CameraAction20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,23a6,6,0,1,1,6-6A6,6,0,0,1,12,23Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,12,13Z"}),React.createElement("path",{d:"M29,27H3a1,1,0,0,1-1-1V6A1,1,0,0,1,3,5H29a1,1,0,0,1,1,1V26A1,1,0,0,1,29,27ZM4,25H28V7H4Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"9"}),React.createElement("circle",{cx:"12",cy:"17",r:"1"}),props.children);});var CameraAction16=/*#__PURE__*/React.forwardRef(function CameraAction16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,23a6,6,0,1,1,6-6A6,6,0,0,1,12,23Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,12,13Z"}),React.createElement("path",{d:"M29,27H3a1,1,0,0,1-1-1V6A1,1,0,0,1,3,5H29a1,1,0,0,1,1,1V26A1,1,0,0,1,29,27ZM4,25H28V7H4Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"9"}),React.createElement("circle",{cx:"12",cy:"17",r:"1"}),props.children);});var Camera32=/*#__PURE__*/React.forwardRef(function Camera32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,26H3a1,1,0,0,1-1-1V8A1,1,0,0,1,3,7H9.46l1.71-2.55A1,1,0,0,1,12,4h8a1,1,0,0,1,.83.45L22.54,7H29a1,1,0,0,1,1,1V25A1,1,0,0,1,29,26ZM4,24H28V9H22a1,1,0,0,1-.83-.45L19.46,6H12.54L10.83,8.55A1,1,0,0,1,10,9H4Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),props.children);});var Camera24=/*#__PURE__*/React.forwardRef(function Camera24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,26H3a1,1,0,0,1-1-1V8A1,1,0,0,1,3,7H9.46l1.71-2.55A1,1,0,0,1,12,4h8a1,1,0,0,1,.83.45L22.54,7H29a1,1,0,0,1,1,1V25A1,1,0,0,1,29,26ZM4,24H28V9H22a1,1,0,0,1-.83-.45L19.46,6H12.54L10.83,8.55A1,1,0,0,1,10,9H4Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),props.children);});var Camera20=/*#__PURE__*/React.forwardRef(function Camera20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,26H3a1,1,0,0,1-1-1V8A1,1,0,0,1,3,7H9.46l1.71-2.55A1,1,0,0,1,12,4h8a1,1,0,0,1,.83.45L22.54,7H29a1,1,0,0,1,1,1V25A1,1,0,0,1,29,26ZM4,24H28V9H22a1,1,0,0,1-.83-.45L19.46,6H12.54L10.83,8.55A1,1,0,0,1,10,9H4Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),props.children);});var Camera16=/*#__PURE__*/React.forwardRef(function Camera16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,26H3a1,1,0,0,1-1-1V8A1,1,0,0,1,3,7H9.46l1.71-2.55A1,1,0,0,1,12,4h8a1,1,0,0,1,.83.45L22.54,7H29a1,1,0,0,1,1,1V25A1,1,0,0,1,29,26ZM4,24H28V9H22a1,1,0,0,1-.83-.45L19.46,6H12.54L10.83,8.55A1,1,0,0,1,10,9H4Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),props.children);});var CarFront32=/*#__PURE__*/React.forwardRef(function CarFront32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"13",y:"19"}),React.createElement("path",{d:"M25.4409,14,24.1687,9.45A2.009,2.009,0,0,0,22.2456,8H9.7544A2.0089,2.0089,0,0,0,7.8313,9.4507L6.5315,14H4v2H6.0371L6,23a2.0025,2.0025,0,0,0,2,2v3h2V25H22v3h2V25a2.0025,2.0025,0,0,0,2-2V16h2V14ZM9.7544,10H22.2458l1.4285,5H8.3257ZM24,21v2H8V21h2V19H8V17H24v2H22v2Z"}),props.children);});var CarFront24=/*#__PURE__*/React.forwardRef(function CarFront24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"13",y:"19"}),React.createElement("path",{d:"M25.4409,14,24.1687,9.45A2.009,2.009,0,0,0,22.2456,8H9.7544A2.0089,2.0089,0,0,0,7.8313,9.4507L6.5315,14H4v2H6.0371L6,23a2.0025,2.0025,0,0,0,2,2v3h2V25H22v3h2V25a2.0025,2.0025,0,0,0,2-2V16h2V14ZM9.7544,10H22.2458l1.4285,5H8.3257ZM24,21v2H8V21h2V19H8V17H24v2H22v2Z"}),props.children);});var CarFront20=/*#__PURE__*/React.forwardRef(function CarFront20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"13",y:"19"}),React.createElement("path",{d:"M25.4409,14,24.1687,9.45A2.009,2.009,0,0,0,22.2456,8H9.7544A2.0089,2.0089,0,0,0,7.8313,9.4507L6.5315,14H4v2H6.0371L6,23a2.0025,2.0025,0,0,0,2,2v3h2V25H22v3h2V25a2.0025,2.0025,0,0,0,2-2V16h2V14ZM9.7544,10H22.2458l1.4285,5H8.3257ZM24,21v2H8V21h2V19H8V17H24v2H22v2Z"}),props.children);});var CarFront16=/*#__PURE__*/React.forwardRef(function CarFront16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"13",y:"19"}),React.createElement("path",{d:"M25.4409,14,24.1687,9.45A2.009,2.009,0,0,0,22.2456,8H9.7544A2.0089,2.0089,0,0,0,7.8313,9.4507L6.5315,14H4v2H6.0371L6,23a2.0025,2.0025,0,0,0,2,2v3h2V25H22v3h2V25a2.0025,2.0025,0,0,0,2-2V16h2V14ZM9.7544,10H22.2458l1.4285,5H8.3257ZM24,21v2H8V21h2V19H8V17H24v2H22v2Z"}),props.children);});var Car32=/*#__PURE__*/React.forwardRef(function Car32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.34,15.94l-7.73-2.78L18.37,9.1A3,3,0,0,0,16.05,8h-8A3,3,0,0,0,5.58,9.32l-2.71,4A5,5,0,0,0,2,16.11V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.88A1,1,0,0,0,29.34,15.94ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16.11a3,3,0,0,1,.52-1.69l2.71-4A1,1,0,0,1,8.06,10h8a1,1,0,0,1,.77.36l3.4,4.27a1.09,1.09,0,0,0,.44.32L28,17.58Z"}),props.children);});var Car24=/*#__PURE__*/React.forwardRef(function Car24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.34,15.94l-7.73-2.78L18.37,9.1A3,3,0,0,0,16.05,8h-8A3,3,0,0,0,5.58,9.32l-2.71,4A5,5,0,0,0,2,16.11V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.88A1,1,0,0,0,29.34,15.94ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16.11a3,3,0,0,1,.52-1.69l2.71-4A1,1,0,0,1,8.06,10h8a1,1,0,0,1,.77.36l3.4,4.27a1.09,1.09,0,0,0,.44.32L28,17.58Z"}),props.children);});var Car20=/*#__PURE__*/React.forwardRef(function Car20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.34,15.94l-7.73-2.78L18.37,9.1A3,3,0,0,0,16.05,8h-8A3,3,0,0,0,5.58,9.32l-2.71,4A5,5,0,0,0,2,16.11V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.88A1,1,0,0,0,29.34,15.94ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16.11a3,3,0,0,1,.52-1.69l2.71-4A1,1,0,0,1,8.06,10h8a1,1,0,0,1,.77.36l3.4,4.27a1.09,1.09,0,0,0,.44.32L28,17.58Z"}),props.children);});var Car16=/*#__PURE__*/React.forwardRef(function Car16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.34,15.94l-7.73-2.78L18.37,9.1A3,3,0,0,0,16.05,8h-8A3,3,0,0,0,5.58,9.32l-2.71,4A5,5,0,0,0,2,16.11V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.88A1,1,0,0,0,29.34,15.94ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16.11a3,3,0,0,1,.52-1.69l2.71-4A1,1,0,0,1,8.06,10h8a1,1,0,0,1,.77.36l3.4,4.27a1.09,1.09,0,0,0,.44.32L28,17.58Z"}),props.children);});var Carbon32=/*#__PURE__*/React.forwardRef(function Carbon32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5,30.8149a1.0011,1.0011,0,0,1-.4927-.13l-8.5-4.815A1,1,0,0,1,4,25V15a1,1,0,0,1,.5073-.87l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,23,15V25a1,1,0,0,1-.5073.87l-8.5,4.815A1.0011,1.0011,0,0,1,13.5,30.8149ZM6,24.417l7.5,4.2485L21,24.417V15.583l-7.5-4.2485L6,15.583Z"}),React.createElement("path",{d:"M28,17H26V7.583L18.5,3.3345,10.4927,7.87,9.5073,6.13l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,28,7Z"}),props.children);});var Carbon24=/*#__PURE__*/React.forwardRef(function Carbon24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5,30.8149a1.0011,1.0011,0,0,1-.4927-.13l-8.5-4.815A1,1,0,0,1,4,25V15a1,1,0,0,1,.5073-.87l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,23,15V25a1,1,0,0,1-.5073.87l-8.5,4.815A1.0011,1.0011,0,0,1,13.5,30.8149ZM6,24.417l7.5,4.2485L21,24.417V15.583l-7.5-4.2485L6,15.583Z"}),React.createElement("path",{d:"M28,17H26V7.583L18.5,3.3345,10.4927,7.87,9.5073,6.13l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,28,7Z"}),props.children);});var Carbon20=/*#__PURE__*/React.forwardRef(function Carbon20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5,30.8149a1.0011,1.0011,0,0,1-.4927-.13l-8.5-4.815A1,1,0,0,1,4,25V15a1,1,0,0,1,.5073-.87l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,23,15V25a1,1,0,0,1-.5073.87l-8.5,4.815A1.0011,1.0011,0,0,1,13.5,30.8149ZM6,24.417l7.5,4.2485L21,24.417V15.583l-7.5-4.2485L6,15.583Z"}),React.createElement("path",{d:"M28,17H26V7.583L18.5,3.3345,10.4927,7.87,9.5073,6.13l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,28,7Z"}),props.children);});var Carbon16=/*#__PURE__*/React.forwardRef(function Carbon16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5,30.8149a1.0011,1.0011,0,0,1-.4927-.13l-8.5-4.815A1,1,0,0,1,4,25V15a1,1,0,0,1,.5073-.87l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,23,15V25a1,1,0,0,1-.5073.87l-8.5,4.815A1.0011,1.0011,0,0,1,13.5,30.8149ZM6,24.417l7.5,4.2485L21,24.417V15.583l-7.5-4.2485L6,15.583Z"}),React.createElement("path",{d:"M28,17H26V7.583L18.5,3.3345,10.4927,7.87,9.5073,6.13l8.5-4.815a1.0013,1.0013,0,0,1,.9854,0l8.5,4.815A1,1,0,0,1,28,7Z"}),props.children);});var CaretDown32=/*#__PURE__*/React.forwardRef(function CaretDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,12 16,22 8,12"}),props.children);});var CaretDown24=/*#__PURE__*/React.forwardRef(function CaretDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,12 16,22 8,12"}),props.children);});var CaretDown20=/*#__PURE__*/React.forwardRef(function CaretDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,12 16,22 8,12"}),props.children);});var CaretDown16=/*#__PURE__*/React.forwardRef(function CaretDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,12 16,22 8,12"}),props.children);});var CaretLeft32=/*#__PURE__*/React.forwardRef(function CaretLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20,24 10,16 20,8"}),props.children);});var CaretLeft24=/*#__PURE__*/React.forwardRef(function CaretLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20,24 10,16 20,8"}),props.children);});var CaretLeft20=/*#__PURE__*/React.forwardRef(function CaretLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20,24 10,16 20,8"}),props.children);});var CaretLeft16=/*#__PURE__*/React.forwardRef(function CaretLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20,24 10,16 20,8"}),props.children);});var CaretRight32=/*#__PURE__*/React.forwardRef(function CaretRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12,8 22,16 12,24"}),props.children);});var CaretRight24=/*#__PURE__*/React.forwardRef(function CaretRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12,8 22,16 12,24"}),props.children);});var CaretRight20=/*#__PURE__*/React.forwardRef(function CaretRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12,8 22,16 12,24"}),props.children);});var CaretRight16=/*#__PURE__*/React.forwardRef(function CaretRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12,8 22,16 12,24"}),props.children);});var CaretSortDown32=/*#__PURE__*/React.forwardRef(function CaretSortDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),props.children);});var CaretSortDown24=/*#__PURE__*/React.forwardRef(function CaretSortDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),props.children);});var CaretSortDown20=/*#__PURE__*/React.forwardRef(function CaretSortDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),props.children);});var CaretSortDown16=/*#__PURE__*/React.forwardRef(function CaretSortDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),props.children);});var CaretSortUp32=/*#__PURE__*/React.forwardRef(function CaretSortUp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretSortUp24=/*#__PURE__*/React.forwardRef(function CaretSortUp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretSortUp20=/*#__PURE__*/React.forwardRef(function CaretSortUp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretSortUp16=/*#__PURE__*/React.forwardRef(function CaretSortUp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretSort32=/*#__PURE__*/React.forwardRef(function CaretSort32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretSort24=/*#__PURE__*/React.forwardRef(function CaretSort24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretSort20=/*#__PURE__*/React.forwardRef(function CaretSort20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretSort16=/*#__PURE__*/React.forwardRef(function CaretSort16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24,24 16,32 8,24"}),React.createElement("polygon",{points:"8,8 16,0 24,8"}),props.children);});var CaretUp32=/*#__PURE__*/React.forwardRef(function CaretUp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,20 16,10 24,20"}),props.children);});var CaretUp24=/*#__PURE__*/React.forwardRef(function CaretUp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,20 16,10 24,20"}),props.children);});var CaretUp20=/*#__PURE__*/React.forwardRef(function CaretUp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,20 16,10 24,20"}),props.children);});var CaretUp16=/*#__PURE__*/React.forwardRef(function CaretUp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8,20 16,10 24,20"}),props.children);});var CarouselHorizontal32=/*#__PURE__*/React.forwardRef(function CarouselHorizontal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H10a2,2,0,0,1-2-2V8a2,2,0,0,1,2-2H22a2,2,0,0,1,2,2V24A2,2,0,0,1,22,26ZM10,8V24H22V8Z"}),React.createElement("path",{d:"M4,24H0V22H4V10H0V8H4a2,2,0,0,1,2,2V22A2,2,0,0,1,4,24Z"}),React.createElement("path",{d:"M32,24H28a2,2,0,0,1-2-2V10a2,2,0,0,1,2-2h4v2H28V22h4Z"}),props.children);});var CarouselHorizontal24=/*#__PURE__*/React.forwardRef(function CarouselHorizontal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H10a2,2,0,0,1-2-2V8a2,2,0,0,1,2-2H22a2,2,0,0,1,2,2V24A2,2,0,0,1,22,26ZM10,8V24H22V8Z"}),React.createElement("path",{d:"M4,24H0V22H4V10H0V8H4a2,2,0,0,1,2,2V22A2,2,0,0,1,4,24Z"}),React.createElement("path",{d:"M32,24H28a2,2,0,0,1-2-2V10a2,2,0,0,1,2-2h4v2H28V22h4Z"}),props.children);});var CarouselHorizontal20=/*#__PURE__*/React.forwardRef(function CarouselHorizontal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H10a2,2,0,0,1-2-2V8a2,2,0,0,1,2-2H22a2,2,0,0,1,2,2V24A2,2,0,0,1,22,26ZM10,8V24H22V8Z"}),React.createElement("path",{d:"M4,24H0V22H4V10H0V8H4a2,2,0,0,1,2,2V22A2,2,0,0,1,4,24Z"}),React.createElement("path",{d:"M32,24H28a2,2,0,0,1-2-2V10a2,2,0,0,1,2-2h4v2H28V22h4Z"}),props.children);});var CarouselHorizontal16=/*#__PURE__*/React.forwardRef(function CarouselHorizontal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H10a2,2,0,0,1-2-2V8a2,2,0,0,1,2-2H22a2,2,0,0,1,2,2V24A2,2,0,0,1,22,26ZM10,8V24H22V8Z"}),React.createElement("path",{d:"M4,24H0V22H4V10H0V8H4a2,2,0,0,1,2,2V22A2,2,0,0,1,4,24Z"}),React.createElement("path",{d:"M32,24H28a2,2,0,0,1-2-2V10a2,2,0,0,1,2-2h4v2H28V22h4Z"}),props.children);});var CarouselVertical32=/*#__PURE__*/React.forwardRef(function CarouselVertical32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10V22a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V10A2,2,0,0,1,8,8H24A2,2,0,0,1,26,10ZM8,22H24V10H8Z"}),React.createElement("path",{d:"M24,28v4H22V28H10v4H8V28a2,2,0,0,1,2-2H22A2,2,0,0,1,24,28Z"}),React.createElement("path",{d:"M24,0V4a2,2,0,0,1-2,2H10A2,2,0,0,1,8,4V0h2V4H22V0Z"}),props.children);});var CarouselVertical24=/*#__PURE__*/React.forwardRef(function CarouselVertical24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10V22a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V10A2,2,0,0,1,8,8H24A2,2,0,0,1,26,10ZM8,22H24V10H8Z"}),React.createElement("path",{d:"M24,28v4H22V28H10v4H8V28a2,2,0,0,1,2-2H22A2,2,0,0,1,24,28Z"}),React.createElement("path",{d:"M24,0V4a2,2,0,0,1-2,2H10A2,2,0,0,1,8,4V0h2V4H22V0Z"}),props.children);});var CarouselVertical20=/*#__PURE__*/React.forwardRef(function CarouselVertical20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10V22a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V10A2,2,0,0,1,8,8H24A2,2,0,0,1,26,10ZM8,22H24V10H8Z"}),React.createElement("path",{d:"M24,28v4H22V28H10v4H8V28a2,2,0,0,1,2-2H22A2,2,0,0,1,24,28Z"}),React.createElement("path",{d:"M24,0V4a2,2,0,0,1-2,2H10A2,2,0,0,1,8,4V0h2V4H22V0Z"}),props.children);});var CarouselVertical16=/*#__PURE__*/React.forwardRef(function CarouselVertical16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10V22a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V10A2,2,0,0,1,8,8H24A2,2,0,0,1,26,10ZM8,22H24V10H8Z"}),React.createElement("path",{d:"M24,28v4H22V28H10v4H8V28a2,2,0,0,1,2-2H22A2,2,0,0,1,24,28Z"}),React.createElement("path",{d:"M24,0V4a2,2,0,0,1-2,2H10A2,2,0,0,1,8,4V0h2V4H22V0Z"}),props.children);});var Catalog32=/*#__PURE__*/React.forwardRef(function Catalog32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H8A2,2,0,0,0,6,4V8H4v2H6v5H4v2H6v5H4v2H6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H8V24h2V22H8V17h2V15H8V10h2V8H8V4H26Z"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"8"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"15"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"22"}),props.children);});var Catalog24=/*#__PURE__*/React.forwardRef(function Catalog24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H8A2,2,0,0,0,6,4V8H4v2H6v5H4v2H6v5H4v2H6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H8V24h2V22H8V17h2V15H8V10h2V8H8V4H26Z"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"8"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"15"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"22"}),props.children);});var Catalog20=/*#__PURE__*/React.forwardRef(function Catalog20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H8A2,2,0,0,0,6,4V8H4v2H6v5H4v2H6v5H4v2H6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H8V24h2V22H8V17h2V15H8V10h2V8H8V4H26Z"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"8"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"15"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"22"}),props.children);});var Catalog16=/*#__PURE__*/React.forwardRef(function Catalog16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H8A2,2,0,0,0,6,4V8H4v2H6v5H4v2H6v5H4v2H6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H8V24h2V22H8V17h2V15H8V10h2V8H8V4H26Z"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"8"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"15"}),React.createElement("rect",{width:"8",height:"2",x:"14",y:"22"}),props.children);});var Categories32=/*#__PURE__*/React.forwardRef(function Categories32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.76,6l.45.89L7.76,8H12v5H4V6H6.76m.62-2H3A1,1,0,0,0,2,5v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H9L8.28,4.55A1,1,0,0,0,7.38,4Z"}),React.createElement("path",{d:"M22.76,6l.45.89L23.76,8H28v5H20V6h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M6.76,19l.45.89L7.76,21H12v5H4V19H6.76m.62-2H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H9l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M22.76,19l.45.89L23.76,21H28v5H20V19h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),props.children);});var Categories24=/*#__PURE__*/React.forwardRef(function Categories24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.76,6l.45.89L7.76,8H12v5H4V6H6.76m.62-2H3A1,1,0,0,0,2,5v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H9L8.28,4.55A1,1,0,0,0,7.38,4Z"}),React.createElement("path",{d:"M22.76,6l.45.89L23.76,8H28v5H20V6h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M6.76,19l.45.89L7.76,21H12v5H4V19H6.76m.62-2H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H9l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M22.76,19l.45.89L23.76,21H28v5H20V19h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),props.children);});var Categories20=/*#__PURE__*/React.forwardRef(function Categories20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.76,6l.45.89L7.76,8H12v5H4V6H6.76m.62-2H3A1,1,0,0,0,2,5v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H9L8.28,4.55A1,1,0,0,0,7.38,4Z"}),React.createElement("path",{d:"M22.76,6l.45.89L23.76,8H28v5H20V6h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M6.76,19l.45.89L7.76,21H12v5H4V19H6.76m.62-2H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H9l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M22.76,19l.45.89L23.76,21H28v5H20V19h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),props.children);});var Categories16=/*#__PURE__*/React.forwardRef(function Categories16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.76,6l.45.89L7.76,8H12v5H4V6H6.76m.62-2H3A1,1,0,0,0,2,5v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H9L8.28,4.55A1,1,0,0,0,7.38,4Z"}),React.createElement("path",{d:"M22.76,6l.45.89L23.76,8H28v5H20V6h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V7a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M6.76,19l.45.89L7.76,21H12v5H4V19H6.76m.62-2H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H13a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H9l-.72-1.45a1,1,0,0,0-.9-.55Z"}),React.createElement("path",{d:"M22.76,19l.45.89L23.76,21H28v5H20V19h2.76m.62-2H19a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V20a1,1,0,0,0-1-1H25l-.72-1.45a1,1,0,0,0-.9-.55Z"}),props.children);});var CategoryAdd32=/*#__PURE__*/React.forwardRef(function CategoryAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 6 13.59 7.41 17.17 11 13.59 14.59 15 16 20 11 15 6"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var CategoryAdd24=/*#__PURE__*/React.forwardRef(function CategoryAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 6 13.59 7.41 17.17 11 13.59 14.59 15 16 20 11 15 6"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var CategoryAdd20=/*#__PURE__*/React.forwardRef(function CategoryAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 6 13.59 7.41 17.17 11 13.59 14.59 15 16 20 11 15 6"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var CategoryAdd16=/*#__PURE__*/React.forwardRef(function CategoryAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 6 13.59 7.41 17.17 11 13.59 14.59 15 16 20 11 15 6"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var CategoryAnd32=/*#__PURE__*/React.forwardRef(function CategoryAnd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,30V26H15v4h2V26H28v4h2V26a2,2,0,0,0-2-2H17V19H15v5H4a2,2,0,0,0-2,2v4Z"}),React.createElement("path",{d:"M20.6953,13.9858A10.08,10.08,0,0,0,21.9463,10H23V8H20V9a9.2634,9.2634,0,0,1-.6641,3.2705L16.6511,8.8816a5.1261,5.1261,0,0,0,2.1436-2.3694A3.2522,3.2522,0,0,0,18.6062,3.81a3.38,3.38,0,0,0-2.2391-1.7056,3.4688,3.4688,0,0,0-4.2223,2.1186c-.5044,1.5518.4406,3.1158,1.2612,4.1077A4.7255,4.7255,0,0,0,11.06,13.1587,4.4526,4.4526,0,0,0,15.4268,17h.0058a5.7844,5.7844,0,0,0,3.9717-1.4233L20.532,17h2.5519ZM14.047,4.8413A1.3224,1.3224,0,0,1,15.4141,4a2.41,2.41,0,0,1,.5214.0581,1.4018,1.4018,0,0,1,.9111.7022,1.2493,1.2493,0,0,1,.0791,1.042A3.6871,3.6871,0,0,1,15.2441,7.395C14.5831,6.6816,13.8087,5.5732,14.047,4.8413ZM15.4316,15h-.0039a2.4432,2.4432,0,0,1-2.3916-2.1509,2.8261,2.8261,0,0,1,1.81-3.0249l3.3115,4.1787A3.8853,3.8853,0,0,1,15.4316,15Z"}),props.children);});var CategoryAnd24=/*#__PURE__*/React.forwardRef(function CategoryAnd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,30V26H15v4h2V26H28v4h2V26a2,2,0,0,0-2-2H17V19H15v5H4a2,2,0,0,0-2,2v4Z"}),React.createElement("path",{d:"M20.6953,13.9858A10.08,10.08,0,0,0,21.9463,10H23V8H20V9a9.2634,9.2634,0,0,1-.6641,3.2705L16.6511,8.8816a5.1261,5.1261,0,0,0,2.1436-2.3694A3.2522,3.2522,0,0,0,18.6062,3.81a3.38,3.38,0,0,0-2.2391-1.7056,3.4688,3.4688,0,0,0-4.2223,2.1186c-.5044,1.5518.4406,3.1158,1.2612,4.1077A4.7255,4.7255,0,0,0,11.06,13.1587,4.4526,4.4526,0,0,0,15.4268,17h.0058a5.7844,5.7844,0,0,0,3.9717-1.4233L20.532,17h2.5519ZM14.047,4.8413A1.3224,1.3224,0,0,1,15.4141,4a2.41,2.41,0,0,1,.5214.0581,1.4018,1.4018,0,0,1,.9111.7022,1.2493,1.2493,0,0,1,.0791,1.042A3.6871,3.6871,0,0,1,15.2441,7.395C14.5831,6.6816,13.8087,5.5732,14.047,4.8413ZM15.4316,15h-.0039a2.4432,2.4432,0,0,1-2.3916-2.1509,2.8261,2.8261,0,0,1,1.81-3.0249l3.3115,4.1787A3.8853,3.8853,0,0,1,15.4316,15Z"}),props.children);});var CategoryAnd20=/*#__PURE__*/React.forwardRef(function CategoryAnd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,30V26H15v4h2V26H28v4h2V26a2,2,0,0,0-2-2H17V19H15v5H4a2,2,0,0,0-2,2v4Z"}),React.createElement("path",{d:"M20.6953,13.9858A10.08,10.08,0,0,0,21.9463,10H23V8H20V9a9.2634,9.2634,0,0,1-.6641,3.2705L16.6511,8.8816a5.1261,5.1261,0,0,0,2.1436-2.3694A3.2522,3.2522,0,0,0,18.6062,3.81a3.38,3.38,0,0,0-2.2391-1.7056,3.4688,3.4688,0,0,0-4.2223,2.1186c-.5044,1.5518.4406,3.1158,1.2612,4.1077A4.7255,4.7255,0,0,0,11.06,13.1587,4.4526,4.4526,0,0,0,15.4268,17h.0058a5.7844,5.7844,0,0,0,3.9717-1.4233L20.532,17h2.5519ZM14.047,4.8413A1.3224,1.3224,0,0,1,15.4141,4a2.41,2.41,0,0,1,.5214.0581,1.4018,1.4018,0,0,1,.9111.7022,1.2493,1.2493,0,0,1,.0791,1.042A3.6871,3.6871,0,0,1,15.2441,7.395C14.5831,6.6816,13.8087,5.5732,14.047,4.8413ZM15.4316,15h-.0039a2.4432,2.4432,0,0,1-2.3916-2.1509,2.8261,2.8261,0,0,1,1.81-3.0249l3.3115,4.1787A3.8853,3.8853,0,0,1,15.4316,15Z"}),props.children);});var CategoryAnd16=/*#__PURE__*/React.forwardRef(function CategoryAnd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,30V26H15v4h2V26H28v4h2V26a2,2,0,0,0-2-2H17V19H15v5H4a2,2,0,0,0-2,2v4Z"}),React.createElement("path",{d:"M20.6953,13.9858A10.08,10.08,0,0,0,21.9463,10H23V8H20V9a9.2634,9.2634,0,0,1-.6641,3.2705L16.6511,8.8816a5.1261,5.1261,0,0,0,2.1436-2.3694A3.2522,3.2522,0,0,0,18.6062,3.81a3.38,3.38,0,0,0-2.2391-1.7056,3.4688,3.4688,0,0,0-4.2223,2.1186c-.5044,1.5518.4406,3.1158,1.2612,4.1077A4.7255,4.7255,0,0,0,11.06,13.1587,4.4526,4.4526,0,0,0,15.4268,17h.0058a5.7844,5.7844,0,0,0,3.9717-1.4233L20.532,17h2.5519ZM14.047,4.8413A1.3224,1.3224,0,0,1,15.4141,4a2.41,2.41,0,0,1,.5214.0581,1.4018,1.4018,0,0,1,.9111.7022,1.2493,1.2493,0,0,1,.0791,1.042A3.6871,3.6871,0,0,1,15.2441,7.395C14.5831,6.6816,13.8087,5.5732,14.047,4.8413ZM15.4316,15h-.0039a2.4432,2.4432,0,0,1-2.3916-2.1509,2.8261,2.8261,0,0,1,1.81-3.0249l3.3115,4.1787A3.8853,3.8853,0,0,1,15.4316,15Z"}),props.children);});var CategoryNewEach32=/*#__PURE__*/React.forwardRef(function CategoryNewEach32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H24v2h5v6H22v2h3v2.142a4,4,0,1,0,2,0V20h2a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,29,10ZM28,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("path",{d:"M19,6H14V8h5v6H12v2h3v6.142a4,4,0,1,0,2,0V16h2a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,19,6ZM18,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Z"}),React.createElement("path",{d:"M9,2H3A2.002,2.002,0,0,0,1,4v6a2.002,2.002,0,0,0,2,2H5V22.142a4,4,0,1,0,2,0V12H9a2.002,2.002,0,0,0,2-2V4A2.002,2.002,0,0,0,9,2ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26ZM3,10V4H9l.0015,6Z"}),props.children);});var CategoryNewEach24=/*#__PURE__*/React.forwardRef(function CategoryNewEach24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H24v2h5v6H22v2h3v2.142a4,4,0,1,0,2,0V20h2a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,29,10ZM28,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("path",{d:"M19,6H14V8h5v6H12v2h3v6.142a4,4,0,1,0,2,0V16h2a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,19,6ZM18,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Z"}),React.createElement("path",{d:"M9,2H3A2.002,2.002,0,0,0,1,4v6a2.002,2.002,0,0,0,2,2H5V22.142a4,4,0,1,0,2,0V12H9a2.002,2.002,0,0,0,2-2V4A2.002,2.002,0,0,0,9,2ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26ZM3,10V4H9l.0015,6Z"}),props.children);});var CategoryNewEach20=/*#__PURE__*/React.forwardRef(function CategoryNewEach20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H24v2h5v6H22v2h3v2.142a4,4,0,1,0,2,0V20h2a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,29,10ZM28,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("path",{d:"M19,6H14V8h5v6H12v2h3v6.142a4,4,0,1,0,2,0V16h2a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,19,6ZM18,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Z"}),React.createElement("path",{d:"M9,2H3A2.002,2.002,0,0,0,1,4v6a2.002,2.002,0,0,0,2,2H5V22.142a4,4,0,1,0,2,0V12H9a2.002,2.002,0,0,0,2-2V4A2.002,2.002,0,0,0,9,2ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26ZM3,10V4H9l.0015,6Z"}),props.children);});var CategoryNewEach16=/*#__PURE__*/React.forwardRef(function CategoryNewEach16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H24v2h5v6H22v2h3v2.142a4,4,0,1,0,2,0V20h2a2.0027,2.0027,0,0,0,2-2V12A2.0023,2.0023,0,0,0,29,10ZM28,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("path",{d:"M19,6H14V8h5v6H12v2h3v6.142a4,4,0,1,0,2,0V16h2a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,19,6ZM18,26a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Z"}),React.createElement("path",{d:"M9,2H3A2.002,2.002,0,0,0,1,4v6a2.002,2.002,0,0,0,2,2H5V22.142a4,4,0,1,0,2,0V12H9a2.002,2.002,0,0,0,2-2V4A2.002,2.002,0,0,0,9,2ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26ZM3,10V4H9l.0015,6Z"}),props.children);});var CategoryNew32=/*#__PURE__*/React.forwardRef(function CategoryNew32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 10 17 10 17 6 15 6 15 10 11 10 11 12 15 12 15 16 17 16 17 12 21 12 21 10"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var CategoryNew24=/*#__PURE__*/React.forwardRef(function CategoryNew24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 10 17 10 17 6 15 6 15 10 11 10 11 12 15 12 15 16 17 16 17 12 21 12 21 10"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var CategoryNew20=/*#__PURE__*/React.forwardRef(function CategoryNew20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 10 17 10 17 6 15 6 15 10 11 10 11 12 15 12 15 16 17 16 17 12 21 12 21 10"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var CategoryNew16=/*#__PURE__*/React.forwardRef(function CategoryNew16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 10 17 10 17 6 15 6 15 10 11 10 11 12 15 12 15 16 17 16 17 12 21 12 21 10"}),React.createElement("path",{d:"M28,24H17V20h6a2.0027,2.0027,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H9A2.002,2.002,0,0,0,7,4V18a2.0023,2.0023,0,0,0,2,2h6v4H4a2,2,0,0,0-2,2v4H4V26H15v4h2V26H28v4h2V26A2,2,0,0,0,28,24ZM9,4H23l.002,14H9Z"}),props.children);});var Category32=/*#__PURE__*/React.forwardRef(function Category32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.1414V18a2,2,0,0,0-2-2H17V12h2a2.0023,2.0023,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H13a2.002,2.002,0,0,0-2,2v6a2.002,2.002,0,0,0,2,2h2v4H7a2,2,0,0,0-2,2v4.1421a4,4,0,1,0,2,0V18h8v4.142a4,4,0,1,0,2,0V18h8v4.1414a4,4,0,1,0,2,0ZM13,4h6l.001,6H13ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26Zm10,0a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Zm8,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var Category24=/*#__PURE__*/React.forwardRef(function Category24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.1414V18a2,2,0,0,0-2-2H17V12h2a2.0023,2.0023,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H13a2.002,2.002,0,0,0-2,2v6a2.002,2.002,0,0,0,2,2h2v4H7a2,2,0,0,0-2,2v4.1421a4,4,0,1,0,2,0V18h8v4.142a4,4,0,1,0,2,0V18h8v4.1414a4,4,0,1,0,2,0ZM13,4h6l.001,6H13ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26Zm10,0a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Zm8,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var Category20=/*#__PURE__*/React.forwardRef(function Category20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.1414V18a2,2,0,0,0-2-2H17V12h2a2.0023,2.0023,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H13a2.002,2.002,0,0,0-2,2v6a2.002,2.002,0,0,0,2,2h2v4H7a2,2,0,0,0-2,2v4.1421a4,4,0,1,0,2,0V18h8v4.142a4,4,0,1,0,2,0V18h8v4.1414a4,4,0,1,0,2,0ZM13,4h6l.001,6H13ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26Zm10,0a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Zm8,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var Category16=/*#__PURE__*/React.forwardRef(function Category16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.1414V18a2,2,0,0,0-2-2H17V12h2a2.0023,2.0023,0,0,0,2-2V4a2.0023,2.0023,0,0,0-2-2H13a2.002,2.002,0,0,0-2,2v6a2.002,2.002,0,0,0,2,2h2v4H7a2,2,0,0,0-2,2v4.1421a4,4,0,1,0,2,0V18h8v4.142a4,4,0,1,0,2,0V18h8v4.1414a4,4,0,1,0,2,0ZM13,4h6l.001,6H13ZM8,26a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,26Zm10,0a2,2,0,1,1-2-2A2.0027,2.0027,0,0,1,18,26Zm8,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var CenterCircle32=/*#__PURE__*/React.forwardRef(function CenterCircle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H27.9492A12.0071,12.0071,0,0,0,17,4.0508V2H15V4.0508A12.0071,12.0071,0,0,0,4.0508,15H2v2H4.0508A12.0071,12.0071,0,0,0,15,27.9492V30h2V27.9492A12.0071,12.0071,0,0,0,27.9492,17H30ZM17,25.9492V22H15v3.9492A10.0166,10.0166,0,0,1,6.0508,17H10V15H6.0508A10.0166,10.0166,0,0,1,15,6.0508V10h2V6.0508A10.0166,10.0166,0,0,1,25.9492,15H22v2h3.9492A10.0166,10.0166,0,0,1,17,25.9492Z"}),props.children);});var CenterCircle24=/*#__PURE__*/React.forwardRef(function CenterCircle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H27.9492A12.0071,12.0071,0,0,0,17,4.0508V2H15V4.0508A12.0071,12.0071,0,0,0,4.0508,15H2v2H4.0508A12.0071,12.0071,0,0,0,15,27.9492V30h2V27.9492A12.0071,12.0071,0,0,0,27.9492,17H30ZM17,25.9492V22H15v3.9492A10.0166,10.0166,0,0,1,6.0508,17H10V15H6.0508A10.0166,10.0166,0,0,1,15,6.0508V10h2V6.0508A10.0166,10.0166,0,0,1,25.9492,15H22v2h3.9492A10.0166,10.0166,0,0,1,17,25.9492Z"}),props.children);});var CenterCircle20=/*#__PURE__*/React.forwardRef(function CenterCircle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H27.9492A12.0071,12.0071,0,0,0,17,4.0508V2H15V4.0508A12.0071,12.0071,0,0,0,4.0508,15H2v2H4.0508A12.0071,12.0071,0,0,0,15,27.9492V30h2V27.9492A12.0071,12.0071,0,0,0,27.9492,17H30ZM17,25.9492V22H15v3.9492A10.0166,10.0166,0,0,1,6.0508,17H10V15H6.0508A10.0166,10.0166,0,0,1,15,6.0508V10h2V6.0508A10.0166,10.0166,0,0,1,25.9492,15H22v2h3.9492A10.0166,10.0166,0,0,1,17,25.9492Z"}),props.children);});var CenterCircle16=/*#__PURE__*/React.forwardRef(function CenterCircle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H27.9492A12.0071,12.0071,0,0,0,17,4.0508V2H15V4.0508A12.0071,12.0071,0,0,0,4.0508,15H2v2H4.0508A12.0071,12.0071,0,0,0,15,27.9492V30h2V27.9492A12.0071,12.0071,0,0,0,27.9492,17H30ZM17,25.9492V22H15v3.9492A10.0166,10.0166,0,0,1,6.0508,17H10V15H6.0508A10.0166,10.0166,0,0,1,15,6.0508V10h2V6.0508A10.0166,10.0166,0,0,1,25.9492,15H22v2h3.9492A10.0166,10.0166,0,0,1,17,25.9492Z"}),props.children);});var CenterSquare32=/*#__PURE__*/React.forwardRef(function CenterSquare32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 12 4 12 4 4 12 4 12 6 6 6 6 12"}),React.createElement("polygon",{points:"28 12 26 12 26 6 20 6 20 4 28 4 28 12"}),React.createElement("polygon",{points:"12 28 4 28 4 20 6 20 6 26 12 26 12 28"}),React.createElement("polygon",{points:"28 28 20 28 20 26 26 26 26 20 28 20 28 28"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"18"}),props.children);});var CenterSquare24=/*#__PURE__*/React.forwardRef(function CenterSquare24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 12 4 12 4 4 12 4 12 6 6 6 6 12"}),React.createElement("polygon",{points:"28 12 26 12 26 6 20 6 20 4 28 4 28 12"}),React.createElement("polygon",{points:"12 28 4 28 4 20 6 20 6 26 12 26 12 28"}),React.createElement("polygon",{points:"28 28 20 28 20 26 26 26 26 20 28 20 28 28"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"18"}),props.children);});var CenterSquare20=/*#__PURE__*/React.forwardRef(function CenterSquare20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 12 4 12 4 4 12 4 12 6 6 6 6 12"}),React.createElement("polygon",{points:"28 12 26 12 26 6 20 6 20 4 28 4 28 12"}),React.createElement("polygon",{points:"12 28 4 28 4 20 6 20 6 26 12 26 12 28"}),React.createElement("polygon",{points:"28 28 20 28 20 26 26 26 26 20 28 20 28 28"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"18"}),props.children);});var CenterSquare16=/*#__PURE__*/React.forwardRef(function CenterSquare16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 12 4 12 4 4 12 4 12 6 6 6 6 12"}),React.createElement("polygon",{points:"28 12 26 12 26 6 20 6 20 4 28 4 28 12"}),React.createElement("polygon",{points:"12 28 4 28 4 20 6 20 6 26 12 26 12 28"}),React.createElement("polygon",{points:"28 28 20 28 20 26 26 26 26 20 28 20 28 28"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"18"}),props.children);});var CertificateCheck32=/*#__PURE__*/React.forwardRef(function CertificateCheck32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M14,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),React.createElement("polygon",{points:"22 25.59 19.41 23 18 24.41 22 28.41 30 20.41 28.59 19 22 25.59"}),props.children);});var CertificateCheck24=/*#__PURE__*/React.forwardRef(function CertificateCheck24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M14,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),React.createElement("polygon",{points:"22 25.59 19.41 23 18 24.41 22 28.41 30 20.41 28.59 19 22 25.59"}),props.children);});var CertificateCheck20=/*#__PURE__*/React.forwardRef(function CertificateCheck20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M14,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),React.createElement("polygon",{points:"22 25.59 19.41 23 18 24.41 22 28.41 30 20.41 28.59 19 22 25.59"}),props.children);});var CertificateCheck16=/*#__PURE__*/React.forwardRef(function CertificateCheck16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M14,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),React.createElement("polygon",{points:"22 25.59 19.41 23 18 24.41 22 28.41 30 20.41 28.59 19 22 25.59"}),props.children);});var Certificate32=/*#__PURE__*/React.forwardRef(function Certificate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 17 25.912 20.703 30 21.297 27 24 27.771 28 24 25.75 20.229 28 21 24 18 21.297 22.2 20.703 24 17"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M16,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H16Z"}),props.children);});var Certificate24=/*#__PURE__*/React.forwardRef(function Certificate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 17 25.912 20.703 30 21.297 27 24 27.771 28 24 25.75 20.229 28 21 24 18 21.297 22.2 20.703 24 17"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M16,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H16Z"}),props.children);});var Certificate20=/*#__PURE__*/React.forwardRef(function Certificate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 17 25.912 20.703 30 21.297 27 24 27.771 28 24 25.75 20.229 28 21 24 18 21.297 22.2 20.703 24 17"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M16,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H16Z"}),props.children);});var Certificate16=/*#__PURE__*/React.forwardRef(function Certificate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 17 25.912 20.703 30 21.297 27 24 27.771 28 24 25.75 20.229 28 21 24 18 21.297 22.2 20.703 24 17"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("path",{d:"M16,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H16Z"}),props.children);});var ChangeCatalog32=/*#__PURE__*/React.forwardRef(function ChangeCatalog32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v2h2.4592A5.94,5.94,0,0,1,22,28a6.0066,6.0066,0,0,1-6-6H14a7.9841,7.9841,0,0,0,14,5.2651V30h2V24Z"}),React.createElement("path",{d:"M22,14a8.04,8.04,0,0,0-6,2.7349V14H14v6h6V18H17.5408A5.94,5.94,0,0,1,22,16a6.0066,6.0066,0,0,1,6,6h2A8.0092,8.0092,0,0,0,22,14Z"}),React.createElement("path",{d:"M12,28H6V24H8V22H6V17H8V15H6V10H8V8H6V4H24v8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8H2v2H4v5H2v2H4v5H2v2H4v4a2,2,0,0,0,2,2h6Z"}),props.children);});var ChangeCatalog24=/*#__PURE__*/React.forwardRef(function ChangeCatalog24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v2h2.4592A5.94,5.94,0,0,1,22,28a6.0066,6.0066,0,0,1-6-6H14a7.9841,7.9841,0,0,0,14,5.2651V30h2V24Z"}),React.createElement("path",{d:"M22,14a8.04,8.04,0,0,0-6,2.7349V14H14v6h6V18H17.5408A5.94,5.94,0,0,1,22,16a6.0066,6.0066,0,0,1,6,6h2A8.0092,8.0092,0,0,0,22,14Z"}),React.createElement("path",{d:"M12,28H6V24H8V22H6V17H8V15H6V10H8V8H6V4H24v8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8H2v2H4v5H2v2H4v5H2v2H4v4a2,2,0,0,0,2,2h6Z"}),props.children);});var ChangeCatalog20=/*#__PURE__*/React.forwardRef(function ChangeCatalog20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v2h2.4592A5.94,5.94,0,0,1,22,28a6.0066,6.0066,0,0,1-6-6H14a7.9841,7.9841,0,0,0,14,5.2651V30h2V24Z"}),React.createElement("path",{d:"M22,14a8.04,8.04,0,0,0-6,2.7349V14H14v6h6V18H17.5408A5.94,5.94,0,0,1,22,16a6.0066,6.0066,0,0,1,6,6h2A8.0092,8.0092,0,0,0,22,14Z"}),React.createElement("path",{d:"M12,28H6V24H8V22H6V17H8V15H6V10H8V8H6V4H24v8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8H2v2H4v5H2v2H4v5H2v2H4v4a2,2,0,0,0,2,2h6Z"}),props.children);});var ChangeCatalog16=/*#__PURE__*/React.forwardRef(function ChangeCatalog16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v2h2.4592A5.94,5.94,0,0,1,22,28a6.0066,6.0066,0,0,1-6-6H14a7.9841,7.9841,0,0,0,14,5.2651V30h2V24Z"}),React.createElement("path",{d:"M22,14a8.04,8.04,0,0,0-6,2.7349V14H14v6h6V18H17.5408A5.94,5.94,0,0,1,22,16a6.0066,6.0066,0,0,1,6,6h2A8.0092,8.0092,0,0,0,22,14Z"}),React.createElement("path",{d:"M12,28H6V24H8V22H6V17H8V15H6V10H8V8H6V4H24v8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8H2v2H4v5H2v2H4v5H2v2H4v4a2,2,0,0,0,2,2h6Z"}),props.children);});var CharacterPatterns32=/*#__PURE__*/React.forwardRef(function CharacterPatterns32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,26V17.8281l-3.5859,3.586L1,20l6-6,6,6-1.4141,1.4141L8,17.8281V26H18v2H8A2.0024,2.0024,0,0,1,6,26Z"}),React.createElement("polygon",{points:"30 22 30 20 22 20 22 22 27.5 22 22 28 22 30 30 30 30 28 24.507 28 30 22"}),React.createElement("path",{d:"M26,6v8.1719l3.5859-3.586L31,12l-6,6-6-6,1.4141-1.4141L24,14.1719V6H14V4H24A2.0024,2.0024,0,0,1,26,6Z"}),React.createElement("path",{d:"M8,2H3V4H8V6H4A2,2,0,0,0,2,8v2a2,2,0,0,0,2,2h6V4A2.0023,2.0023,0,0,0,8,2Zm0,8H4V8H8Z"}),props.children);});var CharacterPatterns24=/*#__PURE__*/React.forwardRef(function CharacterPatterns24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,26V17.8281l-3.5859,3.586L1,20l6-6,6,6-1.4141,1.4141L8,17.8281V26H18v2H8A2.0024,2.0024,0,0,1,6,26Z"}),React.createElement("polygon",{points:"30 22 30 20 22 20 22 22 27.5 22 22 28 22 30 30 30 30 28 24.507 28 30 22"}),React.createElement("path",{d:"M26,6v8.1719l3.5859-3.586L31,12l-6,6-6-6,1.4141-1.4141L24,14.1719V6H14V4H24A2.0024,2.0024,0,0,1,26,6Z"}),React.createElement("path",{d:"M8,2H3V4H8V6H4A2,2,0,0,0,2,8v2a2,2,0,0,0,2,2h6V4A2.0023,2.0023,0,0,0,8,2Zm0,8H4V8H8Z"}),props.children);});var CharacterPatterns20=/*#__PURE__*/React.forwardRef(function CharacterPatterns20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,26V17.8281l-3.5859,3.586L1,20l6-6,6,6-1.4141,1.4141L8,17.8281V26H18v2H8A2.0024,2.0024,0,0,1,6,26Z"}),React.createElement("polygon",{points:"30 22 30 20 22 20 22 22 27.5 22 22 28 22 30 30 30 30 28 24.507 28 30 22"}),React.createElement("path",{d:"M26,6v8.1719l3.5859-3.586L31,12l-6,6-6-6,1.4141-1.4141L24,14.1719V6H14V4H24A2.0024,2.0024,0,0,1,26,6Z"}),React.createElement("path",{d:"M8,2H3V4H8V6H4A2,2,0,0,0,2,8v2a2,2,0,0,0,2,2h6V4A2.0023,2.0023,0,0,0,8,2Zm0,8H4V8H8Z"}),props.children);});var CharacterPatterns16=/*#__PURE__*/React.forwardRef(function CharacterPatterns16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,26V17.8281l-3.5859,3.586L1,20l6-6,6,6-1.4141,1.4141L8,17.8281V26H18v2H8A2.0024,2.0024,0,0,1,6,26Z"}),React.createElement("polygon",{points:"30 22 30 20 22 20 22 22 27.5 22 22 28 22 30 30 30 30 28 24.507 28 30 22"}),React.createElement("path",{d:"M26,6v8.1719l3.5859-3.586L31,12l-6,6-6-6,1.4141-1.4141L24,14.1719V6H14V4H24A2.0024,2.0024,0,0,1,26,6Z"}),React.createElement("path",{d:"M8,2H3V4H8V6H4A2,2,0,0,0,2,8v2a2,2,0,0,0,2,2h6V4A2.0023,2.0023,0,0,0,8,2Zm0,8H4V8H8Z"}),props.children);});var ChargingStationFilled32=/*#__PURE__*/React.forwardRef(function ChargingStationFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,7V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1V7ZM11.8574,21.5146l-1.7148-1.0292L12.2339,17h-5l3.9087-6.5146,1.7148,1.0292L10.7661,15h5Z"}),React.createElement("polygon",{fill:"none",points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514","data-icon-path":"inner-path"}),props.children);});var ChargingStationFilled24=/*#__PURE__*/React.forwardRef(function ChargingStationFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,7V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1V7ZM11.8574,21.5146l-1.7148-1.0292L12.2339,17h-5l3.9087-6.5146,1.7148,1.0292L10.7661,15h5Z"}),React.createElement("polygon",{fill:"none",points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514","data-icon-path":"inner-path"}),props.children);});var ChargingStationFilled20=/*#__PURE__*/React.forwardRef(function ChargingStationFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,7V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1V7ZM11.8574,21.5146l-1.7148-1.0292L12.2339,17h-5l3.9087-6.5146,1.7148,1.0292L10.7661,15h5Z"}),React.createElement("polygon",{fill:"none",points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514","data-icon-path":"inner-path"}),props.children);});var ChargingStationFilled16=/*#__PURE__*/React.forwardRef(function ChargingStationFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,7V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1V7ZM11.8574,21.5146l-1.7148-1.0292L12.2339,17h-5l3.9087-6.5146,1.7148,1.0292L10.7661,15h5Z"}),React.createElement("polygon",{fill:"none",points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514","data-icon-path":"inner-path"}),props.children);});var ChargingStation32=/*#__PURE__*/React.forwardRef(function ChargingStation32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514"}),React.createElement("path",{d:"M30,7H29V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1ZM17,26H6V6H17Z"}),props.children);});var ChargingStation24=/*#__PURE__*/React.forwardRef(function ChargingStation24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514"}),React.createElement("path",{d:"M30,7H29V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1ZM17,26H6V6H17Z"}),props.children);});var ChargingStation20=/*#__PURE__*/React.forwardRef(function ChargingStation20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514"}),React.createElement("path",{d:"M30,7H29V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1ZM17,26H6V6H17Z"}),props.children);});var ChargingStation16=/*#__PURE__*/React.forwardRef(function ChargingStation16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.857 21.514 10.143 20.486 12.234 17 7.234 17 11.143 10.486 12.857 11.514 10.766 15 15.766 15 11.857 21.514"}),React.createElement("path",{d:"M30,7H29V4H27V7H26v6h1V24.5a1.5,1.5,0,0,1-3,0V16a1,1,0,0,0-1-1H19V5a1,1,0,0,0-1-1H5A1,1,0,0,0,4,5V26H2v2H21V26H19V17h3v7.5a3.5,3.5,0,0,0,7,0V13h1ZM17,26H6V6H17Z"}),props.children);});var ChartBar32=/*#__PURE__*/React.forwardRef(function ChartBar32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V6H19V28H15V14H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V16h4Zm12,0H21V8h4Z"}),props.children);});var ChartBar24=/*#__PURE__*/React.forwardRef(function ChartBar24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V6H19V28H15V14H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V16h4Zm12,0H21V8h4Z"}),props.children);});var ChartBar20=/*#__PURE__*/React.forwardRef(function ChartBar20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V6H19V28H15V14H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V16h4Zm12,0H21V8h4Z"}),props.children);});var ChartBar16=/*#__PURE__*/React.forwardRef(function ChartBar16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V6H19V28H15V14H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V16h4Zm12,0H21V8h4Z"}),props.children);});var ChartBubble32=/*#__PURE__*/React.forwardRef(function ChartBubble32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4,4,4,0,0,0-4-4Z"}),React.createElement("path",{d:"M21,6a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),React.createElement("path",{d:"M24.5,21A1.5,1.5,0,1,1,23,22.5,1.5,1.5,0,0,1,24.5,21m0-2A3.5,3.5,0,1,0,28,22.5,3.5,3.5,0,0,0,24.5,19Z"}),props.children);});var ChartBubble24=/*#__PURE__*/React.forwardRef(function ChartBubble24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4,4,4,0,0,0-4-4Z"}),React.createElement("path",{d:"M21,6a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),React.createElement("path",{d:"M24.5,21A1.5,1.5,0,1,1,23,22.5,1.5,1.5,0,0,1,24.5,21m0-2A3.5,3.5,0,1,0,28,22.5,3.5,3.5,0,0,0,24.5,19Z"}),props.children);});var ChartBubble20=/*#__PURE__*/React.forwardRef(function ChartBubble20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4,4,4,0,0,0-4-4Z"}),React.createElement("path",{d:"M21,6a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),React.createElement("path",{d:"M24.5,21A1.5,1.5,0,1,1,23,22.5,1.5,1.5,0,0,1,24.5,21m0-2A3.5,3.5,0,1,0,28,22.5,3.5,3.5,0,0,0,24.5,19Z"}),props.children);});var ChartBubble16=/*#__PURE__*/React.forwardRef(function ChartBubble16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4,4,4,0,0,0-4-4Z"}),React.createElement("path",{d:"M21,6a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),React.createElement("path",{d:"M24.5,21A1.5,1.5,0,1,1,23,22.5,1.5,1.5,0,0,1,24.5,21m0-2A3.5,3.5,0,1,0,28,22.5,3.5,3.5,0,0,0,24.5,19Z"}),props.children);});var ChartLineData32=/*#__PURE__*/React.forwardRef(function ChartLineData32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.06,17.88A4.25,4.25,0,0,0,11,18a4,4,0,0,0,2.23-.68l3.22,2.87a3.88,3.88,0,0,0-.2,3.17A4,4,0,1,0,22.62,19l2.54-5.09a3.78,3.78,0,0,0,2.91-.53A4,4,0,1,0,23.38,13l-2.54,5.09A3.86,3.86,0,0,0,20,18a4,4,0,0,0-2.23.68l-3.22-2.87a3.88,3.88,0,0,0,.2-3.17A4,4,0,1,0,8.3,16.93L4,25V2H2V28a2,2,0,0,0,2,2H30V28H4.67ZM26,8a2,2,0,1,1-2,2A2,2,0,0,1,26,8ZM22,22a2,2,0,1,1-2-2A2,2,0,0,1,22,22ZM11,12a2,2,0,1,1-2,2A2,2,0,0,1,11,12Z"}),props.children);});var ChartLineData24=/*#__PURE__*/React.forwardRef(function ChartLineData24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.06,17.88A4.25,4.25,0,0,0,11,18a4,4,0,0,0,2.23-.68l3.22,2.87a3.88,3.88,0,0,0-.2,3.17A4,4,0,1,0,22.62,19l2.54-5.09a3.78,3.78,0,0,0,2.91-.53A4,4,0,1,0,23.38,13l-2.54,5.09A3.86,3.86,0,0,0,20,18a4,4,0,0,0-2.23.68l-3.22-2.87a3.88,3.88,0,0,0,.2-3.17A4,4,0,1,0,8.3,16.93L4,25V2H2V28a2,2,0,0,0,2,2H30V28H4.67ZM26,8a2,2,0,1,1-2,2A2,2,0,0,1,26,8ZM22,22a2,2,0,1,1-2-2A2,2,0,0,1,22,22ZM11,12a2,2,0,1,1-2,2A2,2,0,0,1,11,12Z"}),props.children);});var ChartLineData20=/*#__PURE__*/React.forwardRef(function ChartLineData20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.06,17.88A4.25,4.25,0,0,0,11,18a4,4,0,0,0,2.23-.68l3.22,2.87a3.88,3.88,0,0,0-.2,3.17A4,4,0,1,0,22.62,19l2.54-5.09a3.78,3.78,0,0,0,2.91-.53A4,4,0,1,0,23.38,13l-2.54,5.09A3.86,3.86,0,0,0,20,18a4,4,0,0,0-2.23.68l-3.22-2.87a3.88,3.88,0,0,0,.2-3.17A4,4,0,1,0,8.3,16.93L4,25V2H2V28a2,2,0,0,0,2,2H30V28H4.67ZM26,8a2,2,0,1,1-2,2A2,2,0,0,1,26,8ZM22,22a2,2,0,1,1-2-2A2,2,0,0,1,22,22ZM11,12a2,2,0,1,1-2,2A2,2,0,0,1,11,12Z"}),props.children);});var ChartLineData16=/*#__PURE__*/React.forwardRef(function ChartLineData16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.06,17.88A4.25,4.25,0,0,0,11,18a4,4,0,0,0,2.23-.68l3.22,2.87a3.88,3.88,0,0,0-.2,3.17A4,4,0,1,0,22.62,19l2.54-5.09a3.78,3.78,0,0,0,2.91-.53A4,4,0,1,0,23.38,13l-2.54,5.09A3.86,3.86,0,0,0,20,18a4,4,0,0,0-2.23.68l-3.22-2.87a3.88,3.88,0,0,0,.2-3.17A4,4,0,1,0,8.3,16.93L4,25V2H2V28a2,2,0,0,0,2,2H30V28H4.67ZM26,8a2,2,0,1,1-2,2A2,2,0,0,1,26,8ZM22,22a2,2,0,1,1-2-2A2,2,0,0,1,22,22ZM11,12a2,2,0,1,1-2,2A2,2,0,0,1,11,12Z"}),props.children);});var ChartLine32=/*#__PURE__*/React.forwardRef(function ChartLine32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4.67,28l6.39-12,7.3,6.49a2,2,0,0,0,1.7.47,2,2,0,0,0,1.42-1.07L27,10.9,25.18,10,19.69,21l-7.3-6.49A2,2,0,0,0,10.71,14a2,2,0,0,0-1.42,1L4,25V2H2V28a2,2,0,0,0,2,2H30V28Z"}),props.children);});var ChartLine24=/*#__PURE__*/React.forwardRef(function ChartLine24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4.67,28l6.39-12,7.3,6.49a2,2,0,0,0,1.7.47,2,2,0,0,0,1.42-1.07L27,10.9,25.18,10,19.69,21l-7.3-6.49A2,2,0,0,0,10.71,14a2,2,0,0,0-1.42,1L4,25V2H2V28a2,2,0,0,0,2,2H30V28Z"}),props.children);});var ChartLine20=/*#__PURE__*/React.forwardRef(function ChartLine20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4.67,28l6.39-12,7.3,6.49a2,2,0,0,0,1.7.47,2,2,0,0,0,1.42-1.07L27,10.9,25.18,10,19.69,21l-7.3-6.49A2,2,0,0,0,10.71,14a2,2,0,0,0-1.42,1L4,25V2H2V28a2,2,0,0,0,2,2H30V28Z"}),props.children);});var ChartLine16=/*#__PURE__*/React.forwardRef(function ChartLine16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4.67,28l6.39-12,7.3,6.49a2,2,0,0,0,1.7.47,2,2,0,0,0,1.42-1.07L27,10.9,25.18,10,19.69,21l-7.3-6.49A2,2,0,0,0,10.71,14a2,2,0,0,0-1.42,1L4,25V2H2V28a2,2,0,0,0,2,2H30V28Z"}),props.children);});var ChartNetwork32=/*#__PURE__*/React.forwardRef(function ChartNetwork32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2v4.1A5,5,0,0,0,18.1,22H14V20a2,2,0,0,0-2-2H10V13.9a5,5,0,1,0-2,0V18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V24h4.1A5,5,0,1,0,24,18.1V14ZM6,9a3,3,0,1,1,3,3A3,3,0,0,1,6,9Zm6,17H6V20h6Zm14-3a3,3,0,1,1-3-3A3,3,0,0,1,26,23ZM20,6h6v6H20Z"}),props.children);});var ChartNetwork24=/*#__PURE__*/React.forwardRef(function ChartNetwork24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2v4.1A5,5,0,0,0,18.1,22H14V20a2,2,0,0,0-2-2H10V13.9a5,5,0,1,0-2,0V18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V24h4.1A5,5,0,1,0,24,18.1V14ZM6,9a3,3,0,1,1,3,3A3,3,0,0,1,6,9Zm6,17H6V20h6Zm14-3a3,3,0,1,1-3-3A3,3,0,0,1,26,23ZM20,6h6v6H20Z"}),props.children);});var ChartNetwork20=/*#__PURE__*/React.forwardRef(function ChartNetwork20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2v4.1A5,5,0,0,0,18.1,22H14V20a2,2,0,0,0-2-2H10V13.9a5,5,0,1,0-2,0V18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V24h4.1A5,5,0,1,0,24,18.1V14ZM6,9a3,3,0,1,1,3,3A3,3,0,0,1,6,9Zm6,17H6V20h6Zm14-3a3,3,0,1,1-3-3A3,3,0,0,1,26,23ZM20,6h6v6H20Z"}),props.children);});var ChartNetwork16=/*#__PURE__*/React.forwardRef(function ChartNetwork16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2v4.1A5,5,0,0,0,18.1,22H14V20a2,2,0,0,0-2-2H10V13.9a5,5,0,1,0-2,0V18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V24h4.1A5,5,0,1,0,24,18.1V14ZM6,9a3,3,0,1,1,3,3A3,3,0,0,1,6,9Zm6,17H6V20h6Zm14-3a3,3,0,1,1-3-3A3,3,0,0,1,26,23ZM20,6h6v6H20Z"}),props.children);});var ChartPie32=/*#__PURE__*/React.forwardRef(function ChartPie32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4ZM26,15H17V6.05A10,10,0,0,1,26,15ZM15.42,26A10,10,0,0,1,15,6.05v9a2,2,0,0,0,2,2h9A10,10,0,0,1,15.42,26Z"}),props.children);});var ChartPie24=/*#__PURE__*/React.forwardRef(function ChartPie24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4ZM26,15H17V6.05A10,10,0,0,1,26,15ZM15.42,26A10,10,0,0,1,15,6.05v9a2,2,0,0,0,2,2h9A10,10,0,0,1,15.42,26Z"}),props.children);});var ChartPie20=/*#__PURE__*/React.forwardRef(function ChartPie20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4ZM26,15H17V6.05A10,10,0,0,1,26,15ZM15.42,26A10,10,0,0,1,15,6.05v9a2,2,0,0,0,2,2h9A10,10,0,0,1,15.42,26Z"}),props.children);});var ChartPie16=/*#__PURE__*/React.forwardRef(function ChartPie16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4ZM26,15H17V6.05A10,10,0,0,1,26,15ZM15.42,26A10,10,0,0,1,15,6.05v9a2,2,0,0,0,2,2h9A10,10,0,0,1,15.42,26Z"}),props.children);});var ChartScatter32=/*#__PURE__*/React.forwardRef(function ChartScatter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("circle",{cx:"10",cy:"22",r:"2"}),React.createElement("circle",{cx:"14",cy:"15",r:"2"}),React.createElement("circle",{cx:"22",cy:"15",r:"2"}),React.createElement("circle",{cx:"26",cy:"6",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),props.children);});var ChartScatter24=/*#__PURE__*/React.forwardRef(function ChartScatter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("circle",{cx:"10",cy:"22",r:"2"}),React.createElement("circle",{cx:"14",cy:"15",r:"2"}),React.createElement("circle",{cx:"22",cy:"15",r:"2"}),React.createElement("circle",{cx:"26",cy:"6",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),props.children);});var ChartScatter20=/*#__PURE__*/React.forwardRef(function ChartScatter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("circle",{cx:"10",cy:"22",r:"2"}),React.createElement("circle",{cx:"14",cy:"15",r:"2"}),React.createElement("circle",{cx:"22",cy:"15",r:"2"}),React.createElement("circle",{cx:"26",cy:"6",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),props.children);});var ChartScatter16=/*#__PURE__*/React.forwardRef(function ChartScatter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H4a2,2,0,0,1-2-2V2H4V28H30Z"}),React.createElement("circle",{cx:"10",cy:"22",r:"2"}),React.createElement("circle",{cx:"14",cy:"15",r:"2"}),React.createElement("circle",{cx:"22",cy:"15",r:"2"}),React.createElement("circle",{cx:"26",cy:"6",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),props.children);});var ChartVennDiagram32=/*#__PURE__*/React.forwardRef(function ChartVennDiagram32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,6a9.92,9.92,0,0,0-4,.84A9.92,9.92,0,0,0,12,6a10,10,0,0,0,0,20,9.92,9.92,0,0,0,4-.84A9.92,9.92,0,0,0,20,26,10,10,0,0,0,20,6ZM12,24A8,8,0,0,1,12,8a7.91,7.91,0,0,1,1.76.2,10,10,0,0,0,0,15.6A7.91,7.91,0,0,1,12,24Zm8-8a8,8,0,0,1-4,6.92A8,8,0,0,1,16,9.08,8,8,0,0,1,20,16Zm0,8a7.91,7.91,0,0,1-1.76-.2,10,10,0,0,0,0-15.6A7.91,7.91,0,0,1,20,8a8,8,0,0,1,0,16Z"}),props.children);});var ChartVennDiagram24=/*#__PURE__*/React.forwardRef(function ChartVennDiagram24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,6a9.92,9.92,0,0,0-4,.84A9.92,9.92,0,0,0,12,6a10,10,0,0,0,0,20,9.92,9.92,0,0,0,4-.84A9.92,9.92,0,0,0,20,26,10,10,0,0,0,20,6ZM12,24A8,8,0,0,1,12,8a7.91,7.91,0,0,1,1.76.2,10,10,0,0,0,0,15.6A7.91,7.91,0,0,1,12,24Zm8-8a8,8,0,0,1-4,6.92A8,8,0,0,1,16,9.08,8,8,0,0,1,20,16Zm0,8a7.91,7.91,0,0,1-1.76-.2,10,10,0,0,0,0-15.6A7.91,7.91,0,0,1,20,8a8,8,0,0,1,0,16Z"}),props.children);});var ChartVennDiagram20=/*#__PURE__*/React.forwardRef(function ChartVennDiagram20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,6a9.92,9.92,0,0,0-4,.84A9.92,9.92,0,0,0,12,6a10,10,0,0,0,0,20,9.92,9.92,0,0,0,4-.84A9.92,9.92,0,0,0,20,26,10,10,0,0,0,20,6ZM12,24A8,8,0,0,1,12,8a7.91,7.91,0,0,1,1.76.2,10,10,0,0,0,0,15.6A7.91,7.91,0,0,1,12,24Zm8-8a8,8,0,0,1-4,6.92A8,8,0,0,1,16,9.08,8,8,0,0,1,20,16Zm0,8a7.91,7.91,0,0,1-1.76-.2,10,10,0,0,0,0-15.6A7.91,7.91,0,0,1,20,8a8,8,0,0,1,0,16Z"}),props.children);});var ChartVennDiagram16=/*#__PURE__*/React.forwardRef(function ChartVennDiagram16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,6a9.92,9.92,0,0,0-4,.84A9.92,9.92,0,0,0,12,6a10,10,0,0,0,0,20,9.92,9.92,0,0,0,4-.84A9.92,9.92,0,0,0,20,26,10,10,0,0,0,20,6ZM12,24A8,8,0,0,1,12,8a7.91,7.91,0,0,1,1.76.2,10,10,0,0,0,0,15.6A7.91,7.91,0,0,1,12,24Zm8-8a8,8,0,0,1-4,6.92A8,8,0,0,1,16,9.08,8,8,0,0,1,20,16Zm0,8a7.91,7.91,0,0,1-1.76-.2,10,10,0,0,0,0-15.6A7.91,7.91,0,0,1,20,8a8,8,0,0,1,0,16Z"}),props.children);});var ChatBot32=/*#__PURE__*/React.forwardRef(function ChatBot32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,19a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,19Z"}),React.createElement("path",{d:"M20,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,8Z"}),React.createElement("path",{d:"M12,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,8Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V6a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,6V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V6A3.9988,3.9988,0,0,1,6,2H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var ChatBot24=/*#__PURE__*/React.forwardRef(function ChatBot24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,19a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,19Z"}),React.createElement("path",{d:"M20,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,8Z"}),React.createElement("path",{d:"M12,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,8Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V6a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,6V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V6A3.9988,3.9988,0,0,1,6,2H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var ChatBot20=/*#__PURE__*/React.forwardRef(function ChatBot20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,19a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,19Z"}),React.createElement("path",{d:"M20,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,8Z"}),React.createElement("path",{d:"M12,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,8Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V6a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,6V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V6A3.9988,3.9988,0,0,1,6,2H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var ChatBot16=/*#__PURE__*/React.forwardRef(function ChatBot16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,19a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,19Z"}),React.createElement("path",{d:"M20,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,8Z"}),React.createElement("path",{d:"M12,8a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,8Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V6a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,6V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V6A3.9988,3.9988,0,0,1,6,2H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var Chat32=/*#__PURE__*/React.forwardRef(function Chat32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"16"}),props.children);});var Chat24=/*#__PURE__*/React.forwardRef(function Chat24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"16"}),props.children);});var Chat20=/*#__PURE__*/React.forwardRef(function Chat20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"16"}),props.children);});var Chat16=/*#__PURE__*/React.forwardRef(function Chat16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.74,30,16,29l4-7h6a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2H6A2,2,0,0,0,4,8V20a2,2,0,0,0,2,2h9v2H6a4,4,0,0,1-4-4V8A4,4,0,0,1,6,4H26a4,4,0,0,1,4,4V20a4,4,0,0,1-4,4H21.16Z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"16"}),props.children);});var CheckboxCheckedFilled32=/*#__PURE__*/React.forwardRef(function CheckboxCheckedFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM14,21.5l-5-5L10.59,15,14,18.35,21.41,11,23,12.58Z"}),props.children);});var CheckboxCheckedFilled24=/*#__PURE__*/React.forwardRef(function CheckboxCheckedFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM14,21.5l-5-5L10.59,15,14,18.35,21.41,11,23,12.58Z"}),props.children);});var CheckboxCheckedFilled20=/*#__PURE__*/React.forwardRef(function CheckboxCheckedFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM14,21.5l-5-5L10.59,15,14,18.35,21.41,11,23,12.58Z"}),props.children);});var CheckboxCheckedFilled16=/*#__PURE__*/React.forwardRef(function CheckboxCheckedFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM14,21.5l-5-5L10.59,15,14,18.35,21.41,11,23,12.58Z"}),props.children);});var CheckboxChecked32=/*#__PURE__*/React.forwardRef(function CheckboxChecked32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 15 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var CheckboxChecked24=/*#__PURE__*/React.forwardRef(function CheckboxChecked24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 15 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var CheckboxChecked20=/*#__PURE__*/React.forwardRef(function CheckboxChecked20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 15 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var CheckboxChecked16=/*#__PURE__*/React.forwardRef(function CheckboxChecked16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 15 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var CheckboxIndeterminateFilled32=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminateFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxIndeterminateFilled24=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminateFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxIndeterminateFilled20=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminateFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxIndeterminateFilled16=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminateFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxIndeterminate32=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckboxIndeterminate24=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckboxIndeterminate20=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckboxIndeterminate16=/*#__PURE__*/React.forwardRef(function CheckboxIndeterminate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckboxUndeterminateFilled32=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminateFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxUndeterminateFilled24=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminateFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxUndeterminateFilled20=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminateFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxUndeterminateFilled16=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminateFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM22,18H10V14H22Z"}),props.children);});var CheckboxUndeterminate32=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckboxUndeterminate24=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckboxUndeterminate20=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckboxUndeterminate16=/*#__PURE__*/React.forwardRef(function CheckboxUndeterminate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"4",x:"10",y:"14"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var Checkbox32=/*#__PURE__*/React.forwardRef(function Checkbox32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var Checkbox24=/*#__PURE__*/React.forwardRef(function Checkbox24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var Checkbox20=/*#__PURE__*/React.forwardRef(function Checkbox20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var Checkbox16=/*#__PURE__*/React.forwardRef(function Checkbox16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4ZM6,26V6H26V26Z"}),props.children);});var CheckmarkFilled32=/*#__PURE__*/React.forwardRef(function CheckmarkFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M14,21.5l-5-5l1.6-1.5l3.4,3.4l7.4-7.4l1.6,1.6L14,21.5z"}),React.createElement("path",{d:"M14,21.5l-5-5l1.6-1.5l3.4,3.4l7.4-7.4l1.6,1.6L14,21.5z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var CheckmarkOutline32=/*#__PURE__*/React.forwardRef(function CheckmarkOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 14.97 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var CheckmarkOutline24=/*#__PURE__*/React.forwardRef(function CheckmarkOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 14.97 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var CheckmarkOutline20=/*#__PURE__*/React.forwardRef(function CheckmarkOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 14.97 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var CheckmarkOutline16=/*#__PURE__*/React.forwardRef(function CheckmarkOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"14 21.5 9 16.54 10.59 14.97 14 18.35 21.41 11 23 12.58 14 21.5"}),props.children);});var Checkmark32=/*#__PURE__*/React.forwardRef(function Checkmark32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12,21.2 4.9,14.1 3.5,15.5 10.6,22.6 12,24 26.1,9.9 24.7,8.4"}),props.children);});var Checkmark16=/*#__PURE__*/React.forwardRef(function Checkmark16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12,21.2 4.9,14.1 3.5,15.5 10.6,22.6 12,24 26.1,9.9 24.7,8.4"}),props.children);});var Chemistry32=/*#__PURE__*/React.forwardRef(function Chemistry32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.2314,23.6182,20,13.6748V4h2V2H10V4h2v9.6748L4.7686,23.6182A4.0183,4.0183,0,0,0,8.0186,30H23.9814a4.0183,4.0183,0,0,0,3.25-6.3818ZM14,14.3252V4h4V14.3252L20.6728,18H11.3272ZM23.9814,28H8.0186a2.0192,2.0192,0,0,1-1.6329-3.2061L9.8726,20H22.1274l3.4869,4.7939A2.0192,2.0192,0,0,1,23.9814,28Z"}),props.children);});var Chemistry24=/*#__PURE__*/React.forwardRef(function Chemistry24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.2314,23.6182,20,13.6748V4h2V2H10V4h2v9.6748L4.7686,23.6182A4.0183,4.0183,0,0,0,8.0186,30H23.9814a4.0183,4.0183,0,0,0,3.25-6.3818ZM14,14.3252V4h4V14.3252L20.6728,18H11.3272ZM23.9814,28H8.0186a2.0192,2.0192,0,0,1-1.6329-3.2061L9.8726,20H22.1274l3.4869,4.7939A2.0192,2.0192,0,0,1,23.9814,28Z"}),props.children);});var Chemistry20=/*#__PURE__*/React.forwardRef(function Chemistry20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.2314,23.6182,20,13.6748V4h2V2H10V4h2v9.6748L4.7686,23.6182A4.0183,4.0183,0,0,0,8.0186,30H23.9814a4.0183,4.0183,0,0,0,3.25-6.3818ZM14,14.3252V4h4V14.3252L20.6728,18H11.3272ZM23.9814,28H8.0186a2.0192,2.0192,0,0,1-1.6329-3.2061L9.8726,20H22.1274l3.4869,4.7939A2.0192,2.0192,0,0,1,23.9814,28Z"}),props.children);});var Chemistry16=/*#__PURE__*/React.forwardRef(function Chemistry16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.2314,23.6182,20,13.6748V4h2V2H10V4h2v9.6748L4.7686,23.6182A4.0183,4.0183,0,0,0,8.0186,30H23.9814a4.0183,4.0183,0,0,0,3.25-6.3818ZM14,14.3252V4h4V14.3252L20.6728,18H11.3272ZM23.9814,28H8.0186a2.0192,2.0192,0,0,1-1.6329-3.2061L9.8726,20H22.1274l3.4869,4.7939A2.0192,2.0192,0,0,1,23.9814,28Z"}),props.children);});var ChevronDown32=/*#__PURE__*/React.forwardRef(function ChevronDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,22 6,12 7.4,10.6 16,19.2 24.6,10.6 26,12"}),props.children);});var ChevronDown24=/*#__PURE__*/React.forwardRef(function ChevronDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,22 6,12 7.4,10.6 16,19.2 24.6,10.6 26,12"}),props.children);});var ChevronDown20=/*#__PURE__*/React.forwardRef(function ChevronDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,22 6,12 7.4,10.6 16,19.2 24.6,10.6 26,12"}),props.children);});var ChevronLeft32=/*#__PURE__*/React.forwardRef(function ChevronLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10,16 20,6 21.4,7.4 12.8,16 21.4,24.6 20,26"}),props.children);});var ChevronLeft24=/*#__PURE__*/React.forwardRef(function ChevronLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10,16 20,6 21.4,7.4 12.8,16 21.4,24.6 20,26"}),props.children);});var ChevronLeft20=/*#__PURE__*/React.forwardRef(function ChevronLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10,16 20,6 21.4,7.4 12.8,16 21.4,24.6 20,26"}),props.children);});var ChevronMini32=/*#__PURE__*/React.forwardRef(function ChevronMini32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31,19 31,31 19,31"}),props.children);});var ChevronMini24=/*#__PURE__*/React.forwardRef(function ChevronMini24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31,19 31,31 19,31"}),props.children);});var ChevronMini20=/*#__PURE__*/React.forwardRef(function ChevronMini20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31,19 31,31 19,31"}),props.children);});var ChevronRight32=/*#__PURE__*/React.forwardRef(function ChevronRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22,16 12,26 10.6,24.6 19.2,16 10.6,7.4 12,6"}),props.children);});var ChevronRight24=/*#__PURE__*/React.forwardRef(function ChevronRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22,16 12,26 10.6,24.6 19.2,16 10.6,7.4 12,6"}),props.children);});var ChevronRight20=/*#__PURE__*/React.forwardRef(function ChevronRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22,16 12,26 10.6,24.6 19.2,16 10.6,7.4 12,6"}),props.children);});var ChevronSortDown32=/*#__PURE__*/React.forwardRef(function ChevronSortDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,28 9,21 10.4,19.6 16,25.2 21.6,19.6 23,21"}),props.children);});var ChevronSortDown24=/*#__PURE__*/React.forwardRef(function ChevronSortDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,28 9,21 10.4,19.6 16,25.2 21.6,19.6 23,21"}),props.children);});var ChevronSortDown20=/*#__PURE__*/React.forwardRef(function ChevronSortDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,28 9,21 10.4,19.6 16,25.2 21.6,19.6 23,21"}),props.children);});var ChevronSortUp32=/*#__PURE__*/React.forwardRef(function ChevronSortUp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,4 23,11 21.6,12.4 16,6.8 10.4,12.4 9,11"}),props.children);});var ChevronSortUp24=/*#__PURE__*/React.forwardRef(function ChevronSortUp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,4 23,11 21.6,12.4 16,6.8 10.4,12.4 9,11"}),props.children);});var ChevronSortUp20=/*#__PURE__*/React.forwardRef(function ChevronSortUp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,4 23,11 21.6,12.4 16,6.8 10.4,12.4 9,11"}),props.children);});var ChevronSort32=/*#__PURE__*/React.forwardRef(function ChevronSort32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 28 9 21 10.41 19.59 16 25.17 21.59 19.59 23 21 16 28"}),React.createElement("polygon",{points:"16 4 23 11 21.59 12.41 16 6.83 10.41 12.41 9 11 16 4"}),props.children);});var ChevronSort24=/*#__PURE__*/React.forwardRef(function ChevronSort24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 28 9 21 10.41 19.59 16 25.17 21.59 19.59 23 21 16 28"}),React.createElement("polygon",{points:"16 4 23 11 21.59 12.41 16 6.83 10.41 12.41 9 11 16 4"}),props.children);});var ChevronSort20=/*#__PURE__*/React.forwardRef(function ChevronSort20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 28 9 21 10.41 19.59 16 25.17 21.59 19.59 23 21 16 28"}),React.createElement("polygon",{points:"16 4 23 11 21.59 12.41 16 6.83 10.41 12.41 9 11 16 4"}),props.children);});var ChevronUp32=/*#__PURE__*/React.forwardRef(function ChevronUp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,10 26,20 24.6,21.4 16,12.8 7.4,21.4 6,20"}),props.children);});var ChevronUp24=/*#__PURE__*/React.forwardRef(function ChevronUp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,10 26,20 24.6,21.4 16,12.8 7.4,21.4 6,20"}),props.children);});var ChevronUp20=/*#__PURE__*/React.forwardRef(function ChevronUp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,10 26,20 24.6,21.4 16,12.8 7.4,21.4 6,20"}),props.children);});var Chip32=/*#__PURE__*/React.forwardRef(function Chip32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,11V21H21V11Zm8,8H13V13h6Z"}),React.createElement("path",{d:"M30,13V11H26V8a2,2,0,0,0-2-2H21V2H19V6H13V2H11V6H8A2,2,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2,2,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2,2,0,0,0,2-2V21h4V19H26V13ZM24,24H8V8H24Z"}),props.children);});var Chip24=/*#__PURE__*/React.forwardRef(function Chip24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,11V21H21V11Zm8,8H13V13h6Z"}),React.createElement("path",{d:"M30,13V11H26V8a2,2,0,0,0-2-2H21V2H19V6H13V2H11V6H8A2,2,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2,2,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2,2,0,0,0,2-2V21h4V19H26V13ZM24,24H8V8H24Z"}),props.children);});var Chip20=/*#__PURE__*/React.forwardRef(function Chip20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,11V21H21V11Zm8,8H13V13h6Z"}),React.createElement("path",{d:"M30,13V11H26V8a2,2,0,0,0-2-2H21V2H19V6H13V2H11V6H8A2,2,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2,2,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2,2,0,0,0,2-2V21h4V19H26V13ZM24,24H8V8H24Z"}),props.children);});var Chip16=/*#__PURE__*/React.forwardRef(function Chip16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,11V21H21V11Zm8,8H13V13h6Z"}),React.createElement("path",{d:"M30,13V11H26V8a2,2,0,0,0-2-2H21V2H19V6H13V2H11V6H8A2,2,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2,2,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2,2,0,0,0,2-2V21h4V19H26V13ZM24,24H8V8H24Z"}),props.children);});var Choices32=/*#__PURE__*/React.forwardRef(function Choices32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 4 21 6 24.586 6 16 14.586 7.414 6 11 6 11 4 4 4 4 11 6 11 6 7.414 15 16.414 15 28 17 28 17 16.414 26 7.414 26 11 28 11 28 4 21 4"}),props.children);});var Choices24=/*#__PURE__*/React.forwardRef(function Choices24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 4 21 6 24.586 6 16 14.586 7.414 6 11 6 11 4 4 4 4 11 6 11 6 7.414 15 16.414 15 28 17 28 17 16.414 26 7.414 26 11 28 11 28 4 21 4"}),props.children);});var Choices20=/*#__PURE__*/React.forwardRef(function Choices20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 4 21 6 24.586 6 16 14.586 7.414 6 11 6 11 4 4 4 4 11 6 11 6 7.414 15 16.414 15 28 17 28 17 16.414 26 7.414 26 11 28 11 28 4 21 4"}),props.children);});var Choices16=/*#__PURE__*/React.forwardRef(function Choices16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 4 21 6 24.586 6 16 14.586 7.414 6 11 6 11 4 4 4 4 11 6 11 6 7.414 15 16.414 15 28 17 28 17 16.414 26 7.414 26 11 28 11 28 4 21 4"}),props.children);});var CircleFilled32=/*#__PURE__*/React.forwardRef(function CircleFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"10"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var CircleFilled24=/*#__PURE__*/React.forwardRef(function CircleFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"10"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var CircleFilled20=/*#__PURE__*/React.forwardRef(function CircleFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"10"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var CircleFilled16=/*#__PURE__*/React.forwardRef(function CircleFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"10"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var CircleDash32=/*#__PURE__*/React.forwardRef(function CircleDash32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.7,4.7a14.7,14.7,0,0,0-3,3.1L6.3,9A13.26,13.26,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.51,12.51,0,0,0,2,16H4A11.48,11.48,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4,14.4,0,0,0,2,3.9l1.6-1.2a12.89,12.89,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4,14.4,0,0,0,3.9,2l.6-1.9A12.89,12.89,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.48,11.48,0,0,1,16,4V2A12.51,12.51,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.53,11.53,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.47,15.47,0,0,0,30,16H28A11.48,11.48,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4,14.4,0,0,0-2-3.9L25.6,8.9a12.89,12.89,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4,14.4,0,0,0-3.9-2l-.6,1.9a12.89,12.89,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.48,11.48,0,0,1,16,28v2A21.42,21.42,0,0,0,20.3,29.3Z"}),props.children);});var CircleDash24=/*#__PURE__*/React.forwardRef(function CircleDash24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.7,4.7a14.7,14.7,0,0,0-3,3.1L6.3,9A13.26,13.26,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.51,12.51,0,0,0,2,16H4A11.48,11.48,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4,14.4,0,0,0,2,3.9l1.6-1.2a12.89,12.89,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4,14.4,0,0,0,3.9,2l.6-1.9A12.89,12.89,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.48,11.48,0,0,1,16,4V2A12.51,12.51,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.53,11.53,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.47,15.47,0,0,0,30,16H28A11.48,11.48,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4,14.4,0,0,0-2-3.9L25.6,8.9a12.89,12.89,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4,14.4,0,0,0-3.9-2l-.6,1.9a12.89,12.89,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.48,11.48,0,0,1,16,28v2A21.42,21.42,0,0,0,20.3,29.3Z"}),props.children);});var CircleDash20=/*#__PURE__*/React.forwardRef(function CircleDash20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.7,4.7a14.7,14.7,0,0,0-3,3.1L6.3,9A13.26,13.26,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.51,12.51,0,0,0,2,16H4A11.48,11.48,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4,14.4,0,0,0,2,3.9l1.6-1.2a12.89,12.89,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4,14.4,0,0,0,3.9,2l.6-1.9A12.89,12.89,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.48,11.48,0,0,1,16,4V2A12.51,12.51,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.53,11.53,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.47,15.47,0,0,0,30,16H28A11.48,11.48,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4,14.4,0,0,0-2-3.9L25.6,8.9a12.89,12.89,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4,14.4,0,0,0-3.9-2l-.6,1.9a12.89,12.89,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.48,11.48,0,0,1,16,28v2A21.42,21.42,0,0,0,20.3,29.3Z"}),props.children);});var CircleDash16=/*#__PURE__*/React.forwardRef(function CircleDash16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.7,4.7a14.7,14.7,0,0,0-3,3.1L6.3,9A13.26,13.26,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.51,12.51,0,0,0,2,16H4A11.48,11.48,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4,14.4,0,0,0,2,3.9l1.6-1.2a12.89,12.89,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4,14.4,0,0,0,3.9,2l.6-1.9A12.89,12.89,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.48,11.48,0,0,1,16,4V2A12.51,12.51,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.53,11.53,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.47,15.47,0,0,0,30,16H28A11.48,11.48,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4,14.4,0,0,0-2-3.9L25.6,8.9a12.89,12.89,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4,14.4,0,0,0-3.9-2l-.6,1.9a12.89,12.89,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.48,11.48,0,0,1,16,28v2A21.42,21.42,0,0,0,20.3,29.3Z"}),props.children);});var Classification32=/*#__PURE__*/React.forwardRef(function Classification32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"15",cy:"19",r:"1"}),React.createElement("path",{d:"M27.7,9.3l-7-7A.9087.9087,0,0,0,20,2H10A2.0058,2.0058,0,0,0,8,4V14H6a2.0023,2.0023,0,0,0-2,2v6a2.0023,2.0023,0,0,0,2,2H8v4a2.0058,2.0058,0,0,0,2,2H26a2.0058,2.0058,0,0,0,2-2V10A.9092.9092,0,0,0,27.7,9.3ZM20,4.4,25.6,10H20ZM6,16h9.5972L19,19l-3.3926,3H6ZM26,28H10V24h5.6089a2.0076,2.0076,0,0,0,1.3135-.4927l3.3833-2.9917a2.0015,2.0015,0,0,0,.01-3.0229l-3.4033-3.0083A1.9961,1.9961,0,0,0,15.6089,14H10V4h8v6a2.0058,2.0058,0,0,0,2,2h6Z"}),props.children);});var Classification24=/*#__PURE__*/React.forwardRef(function Classification24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"15",cy:"19",r:"1"}),React.createElement("path",{d:"M27.7,9.3l-7-7A.9087.9087,0,0,0,20,2H10A2.0058,2.0058,0,0,0,8,4V14H6a2.0023,2.0023,0,0,0-2,2v6a2.0023,2.0023,0,0,0,2,2H8v4a2.0058,2.0058,0,0,0,2,2H26a2.0058,2.0058,0,0,0,2-2V10A.9092.9092,0,0,0,27.7,9.3ZM20,4.4,25.6,10H20ZM6,16h9.5972L19,19l-3.3926,3H6ZM26,28H10V24h5.6089a2.0076,2.0076,0,0,0,1.3135-.4927l3.3833-2.9917a2.0015,2.0015,0,0,0,.01-3.0229l-3.4033-3.0083A1.9961,1.9961,0,0,0,15.6089,14H10V4h8v6a2.0058,2.0058,0,0,0,2,2h6Z"}),props.children);});var Classification20=/*#__PURE__*/React.forwardRef(function Classification20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"15",cy:"19",r:"1"}),React.createElement("path",{d:"M27.7,9.3l-7-7A.9087.9087,0,0,0,20,2H10A2.0058,2.0058,0,0,0,8,4V14H6a2.0023,2.0023,0,0,0-2,2v6a2.0023,2.0023,0,0,0,2,2H8v4a2.0058,2.0058,0,0,0,2,2H26a2.0058,2.0058,0,0,0,2-2V10A.9092.9092,0,0,0,27.7,9.3ZM20,4.4,25.6,10H20ZM6,16h9.5972L19,19l-3.3926,3H6ZM26,28H10V24h5.6089a2.0076,2.0076,0,0,0,1.3135-.4927l3.3833-2.9917a2.0015,2.0015,0,0,0,.01-3.0229l-3.4033-3.0083A1.9961,1.9961,0,0,0,15.6089,14H10V4h8v6a2.0058,2.0058,0,0,0,2,2h6Z"}),props.children);});var Classification16=/*#__PURE__*/React.forwardRef(function Classification16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"15",cy:"19",r:"1"}),React.createElement("path",{d:"M27.7,9.3l-7-7A.9087.9087,0,0,0,20,2H10A2.0058,2.0058,0,0,0,8,4V14H6a2.0023,2.0023,0,0,0-2,2v6a2.0023,2.0023,0,0,0,2,2H8v4a2.0058,2.0058,0,0,0,2,2H26a2.0058,2.0058,0,0,0,2-2V10A.9092.9092,0,0,0,27.7,9.3ZM20,4.4,25.6,10H20ZM6,16h9.5972L19,19l-3.3926,3H6ZM26,28H10V24h5.6089a2.0076,2.0076,0,0,0,1.3135-.4927l3.3833-2.9917a2.0015,2.0015,0,0,0,.01-3.0229l-3.4033-3.0083A1.9961,1.9961,0,0,0,15.6089,14H10V4h8v6a2.0058,2.0058,0,0,0,2,2h6Z"}),props.children);});var ClassifierLanguage32=/*#__PURE__*/React.forwardRef(function ClassifierLanguage32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10V2H22v8h3v4H23v2h7V14H27V10ZM24,4h4V8H24Z"}),React.createElement("polygon",{points:"20 23.41 18.59 22 16 24.59 13.41 22 12 23.41 14.59 26 12 28.59 13.41 30 16 27.41 18.59 30 20 28.59 17.41 26 20 23.41"}),React.createElement("polygon",{points:"20 14 12 14 12 16 15 16 15 21 17 21 17 16 20 16 20 14"}),React.createElement("path",{d:"M7,9.86a4,4,0,1,0-2,0V14H2v2H9V14H7ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6Z"}),props.children);});var ClassifierLanguage24=/*#__PURE__*/React.forwardRef(function ClassifierLanguage24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10V2H22v8h3v4H23v2h7V14H27V10ZM24,4h4V8H24Z"}),React.createElement("polygon",{points:"20 23.41 18.59 22 16 24.59 13.41 22 12 23.41 14.59 26 12 28.59 13.41 30 16 27.41 18.59 30 20 28.59 17.41 26 20 23.41"}),React.createElement("polygon",{points:"20 14 12 14 12 16 15 16 15 21 17 21 17 16 20 16 20 14"}),React.createElement("path",{d:"M7,9.86a4,4,0,1,0-2,0V14H2v2H9V14H7ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6Z"}),props.children);});var ClassifierLanguage20=/*#__PURE__*/React.forwardRef(function ClassifierLanguage20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10V2H22v8h3v4H23v2h7V14H27V10ZM24,4h4V8H24Z"}),React.createElement("polygon",{points:"20 23.41 18.59 22 16 24.59 13.41 22 12 23.41 14.59 26 12 28.59 13.41 30 16 27.41 18.59 30 20 28.59 17.41 26 20 23.41"}),React.createElement("polygon",{points:"20 14 12 14 12 16 15 16 15 21 17 21 17 16 20 16 20 14"}),React.createElement("path",{d:"M7,9.86a4,4,0,1,0-2,0V14H2v2H9V14H7ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6Z"}),props.children);});var ClassifierLanguage16=/*#__PURE__*/React.forwardRef(function ClassifierLanguage16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10V2H22v8h3v4H23v2h7V14H27V10ZM24,4h4V8H24Z"}),React.createElement("polygon",{points:"20 23.41 18.59 22 16 24.59 13.41 22 12 23.41 14.59 26 12 28.59 13.41 30 16 27.41 18.59 30 20 28.59 17.41 26 20 23.41"}),React.createElement("polygon",{points:"20 14 12 14 12 16 15 16 15 21 17 21 17 16 20 16 20 14"}),React.createElement("path",{d:"M7,9.86a4,4,0,1,0-2,0V14H2v2H9V14H7ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6Z"}),props.children);});var CloseFilled32=/*#__PURE__*/React.forwardRef(function CloseFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M21.4,23L16,17.6L10.6,23L9,21.4l5.4-5.4L9,10.6L10.6,9\tl5.4,5.4L21.4,9l1.6,1.6L17.6,16l5.4,5.4L21.4,23z"}),React.createElement("polyline",{points:"14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4 21.4,23 16,17.6 10.6,23 9,21.4 14.4,16","data-icon-path":"inner-path",opacity:"0"}),props.children);});var CloseFilled24=/*#__PURE__*/React.forwardRef(function CloseFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M21.4,23L16,17.6L10.6,23L9,21.4l5.4-5.4L9,10.6L10.6,9\tl5.4,5.4L21.4,9l1.6,1.6L17.6,16l5.4,5.4L21.4,23z"}),React.createElement("polyline",{points:"14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4 21.4,23 16,17.6 10.6,23 9,21.4 14.4,16","data-icon-path":"inner-path",opacity:"0"}),props.children);});var CloseFilled20=/*#__PURE__*/React.forwardRef(function CloseFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M21.4,23L16,17.6L10.6,23L9,21.4l5.4-5.4L9,10.6L10.6,9\tl5.4,5.4L21.4,9l1.6,1.6L17.6,16l5.4,5.4L21.4,23z"}),React.createElement("polyline",{points:"14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4 21.4,23 16,17.6 10.6,23 9,21.4 14.4,16","data-icon-path":"inner-path",opacity:"0"}),props.children);});var CloseOutline32=/*#__PURE__*/React.forwardRef(function CloseOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("polygon",{points:"21.4,23 16,17.6 10.6,23 9,21.4 14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4"}),props.children);});var CloseOutline24=/*#__PURE__*/React.forwardRef(function CloseOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("polygon",{points:"21.4,23 16,17.6 10.6,23 9,21.4 14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4"}),props.children);});var CloseOutline20=/*#__PURE__*/React.forwardRef(function CloseOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("polygon",{points:"21.4,23 16,17.6 10.6,23 9,21.4 14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4"}),props.children);});var CloseOutline16=/*#__PURE__*/React.forwardRef(function CloseOutline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("polygon",{points:"21.4,23 16,17.6 10.6,23 9,21.4 14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4"}),props.children);});var Close32=/*#__PURE__*/React.forwardRef(function Close32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9.4 22.6 8 16 14.6 9.4 8 8 9.4 14.6 16 8 22.6 9.4 24 16 17.4 22.6 24 24 22.6 17.4 16 24 9.4"}),props.children);});var Close24=/*#__PURE__*/React.forwardRef(function Close24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9.4 22.6 8 16 14.6 9.4 8 8 9.4 14.6 16 8 22.6 9.4 24 16 17.4 22.6 24 24 22.6 17.4 16 24 9.4"}),props.children);});var Close20=/*#__PURE__*/React.forwardRef(function Close20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9.4 22.6 8 16 14.6 9.4 8 8 9.4 14.6 16 8 22.6 9.4 24 16 17.4 22.6 24 24 22.6 17.4 16 24 9.4"}),props.children);});var Close16=/*#__PURE__*/React.forwardRef(function Close16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 9.4 22.6 8 16 14.6 9.4 8 8 9.4 14.6 16 8 22.6 9.4 24 16 17.4 22.6 24 24 22.6 17.4 16 24 9.4"}),props.children);});var ClosedCaptionAlt32=/*#__PURE__*/React.forwardRef(function ClosedCaptionAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"6",height:"2",x:"11",y:"17"}),React.createElement("rect",{width:"3",height:"2",x:"6",y:"17"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"13"}),React.createElement("rect",{width:"7",height:"2",x:"13",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"6",y:"13"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var ClosedCaptionAlt24=/*#__PURE__*/React.forwardRef(function ClosedCaptionAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"6",height:"2",x:"11",y:"17"}),React.createElement("rect",{width:"3",height:"2",x:"6",y:"17"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"13"}),React.createElement("rect",{width:"7",height:"2",x:"13",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"6",y:"13"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var ClosedCaptionAlt20=/*#__PURE__*/React.forwardRef(function ClosedCaptionAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"6",height:"2",x:"11",y:"17"}),React.createElement("rect",{width:"3",height:"2",x:"6",y:"17"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"13"}),React.createElement("rect",{width:"7",height:"2",x:"13",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"6",y:"13"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var ClosedCaptionAlt16=/*#__PURE__*/React.forwardRef(function ClosedCaptionAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"6",height:"2",x:"11",y:"17"}),React.createElement("rect",{width:"3",height:"2",x:"6",y:"17"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"13"}),React.createElement("rect",{width:"7",height:"2",x:"13",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"6",y:"13"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var ClosedCaptionFilled32=/*#__PURE__*/React.forwardRef(function ClosedCaptionFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,13H10v6h5v2H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm10,0H20v6h5v2H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Z"}),props.children);});var ClosedCaptionFilled24=/*#__PURE__*/React.forwardRef(function ClosedCaptionFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,13H10v6h5v2H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm10,0H20v6h5v2H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Z"}),props.children);});var ClosedCaptionFilled20=/*#__PURE__*/React.forwardRef(function ClosedCaptionFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,13H10v6h5v2H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm10,0H20v6h5v2H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Z"}),props.children);});var ClosedCaptionFilled16=/*#__PURE__*/React.forwardRef(function ClosedCaptionFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM15,13H10v6h5v2H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Zm10,0H20v6h5v2H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5Z"}),props.children);});var ClosedCaption32=/*#__PURE__*/React.forwardRef(function ClosedCaption32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("path",{d:"M25,21H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H20v6h5Z"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var ClosedCaption24=/*#__PURE__*/React.forwardRef(function ClosedCaption24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("path",{d:"M25,21H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H20v6h5Z"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var ClosedCaption20=/*#__PURE__*/React.forwardRef(function ClosedCaption20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("path",{d:"M25,21H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H20v6h5Z"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var ClosedCaption16=/*#__PURE__*/React.forwardRef(function ClosedCaption16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21H10a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H10v6h5Z"}),React.createElement("path",{d:"M25,21H20a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h5v2H20v6h5Z"}),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,8V24H28V8Z"}),props.children);});var CloudDownload32=/*#__PURE__*/React.forwardRef(function CloudDownload32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"17 26.17 17 14 15 14 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17"}),props.children);});var CloudDownload24=/*#__PURE__*/React.forwardRef(function CloudDownload24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"17 26.17 17 14 15 14 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17"}),props.children);});var CloudDownload20=/*#__PURE__*/React.forwardRef(function CloudDownload20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"17 26.17 17 14 15 14 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17"}),props.children);});var CloudDownload16=/*#__PURE__*/React.forwardRef(function CloudDownload16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"17 26.17 17 14 15 14 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17"}),props.children);});var CloudLightning32=/*#__PURE__*/React.forwardRef(function CloudLightning32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var CloudLightning24=/*#__PURE__*/React.forwardRef(function CloudLightning24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var CloudLightning20=/*#__PURE__*/React.forwardRef(function CloudLightning20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var CloudLightning16=/*#__PURE__*/React.forwardRef(function CloudLightning16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var CloudRain32=/*#__PURE__*/React.forwardRef(function CloudRain32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var CloudRain24=/*#__PURE__*/React.forwardRef(function CloudRain24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var CloudRain20=/*#__PURE__*/React.forwardRef(function CloudRain20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var CloudRain16=/*#__PURE__*/React.forwardRef(function CloudRain16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var CloudSnow32=/*#__PURE__*/React.forwardRef(function CloudSnow32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var CloudSnow24=/*#__PURE__*/React.forwardRef(function CloudSnow24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var CloudSnow20=/*#__PURE__*/React.forwardRef(function CloudSnow20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var CloudSnow16=/*#__PURE__*/React.forwardRef(function CloudSnow16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var CloudUpload32=/*#__PURE__*/React.forwardRef(function CloudUpload32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 18 12.41 19.41 15 16.83 15 29 17 29 17 16.83 19.59 19.41 21 18 16 13 11 18"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),props.children);});var CloudUpload24=/*#__PURE__*/React.forwardRef(function CloudUpload24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 18 12.41 19.41 15 16.83 15 29 17 29 17 16.83 19.59 19.41 21 18 16 13 11 18"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),props.children);});var CloudUpload20=/*#__PURE__*/React.forwardRef(function CloudUpload20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 18 12.41 19.41 15 16.83 15 29 17 29 17 16.83 19.59 19.41 21 18 16 13 11 18"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),props.children);});var CloudUpload16=/*#__PURE__*/React.forwardRef(function CloudUpload16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 18 12.41 19.41 15 16.83 15 29 17 29 17 16.83 19.59 19.41 21 18 16 13 11 18"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),props.children);});var CloudApp32=/*#__PURE__*/React.forwardRef(function CloudApp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.8289,13.1155A10.02,10.02,0,0,0,16,5.0005V7a8.0233,8.0233,0,0,1,7.8649,6.4934l.2591,1.346,1.3488.2441A5.5019,5.5019,0,0,1,24.5076,26H16v2h8.5076a7.5019,7.5019,0,0,0,1.3213-14.8845Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"8",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"20"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"8"}),props.children);});var CloudApp24=/*#__PURE__*/React.forwardRef(function CloudApp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.8289,13.1155A10.02,10.02,0,0,0,16,5.0005V7a8.0233,8.0233,0,0,1,7.8649,6.4934l.2591,1.346,1.3488.2441A5.5019,5.5019,0,0,1,24.5076,26H16v2h8.5076a7.5019,7.5019,0,0,0,1.3213-14.8845Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"8",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"20"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"8"}),props.children);});var CloudApp20=/*#__PURE__*/React.forwardRef(function CloudApp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.8289,13.1155A10.02,10.02,0,0,0,16,5.0005V7a8.0233,8.0233,0,0,1,7.8649,6.4934l.2591,1.346,1.3488.2441A5.5019,5.5019,0,0,1,24.5076,26H16v2h8.5076a7.5019,7.5019,0,0,0,1.3213-14.8845Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"8",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"20"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"8"}),props.children);});var CloudApp16=/*#__PURE__*/React.forwardRef(function CloudApp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.8289,13.1155A10.02,10.02,0,0,0,16,5.0005V7a8.0233,8.0233,0,0,1,7.8649,6.4934l.2591,1.346,1.3488.2441A5.5019,5.5019,0,0,1,24.5076,26H16v2h8.5076a7.5019,7.5019,0,0,0,1.3213-14.8845Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"8",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"20"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"8"}),props.children);});var CloudFoundry_132=/*#__PURE__*/React.forwardRef(function CloudFoundry_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),React.createElement("path",{d:"M14,24H11a2,2,0,0,1-2-2V19a2,2,0,0,1,2-2h3v2H11v3h3Z"}),React.createElement("path",{d:"M21,15V13H19a2,2,0,0,0-2,2v2H16v2h1v5h2V19h2V17H19V15Z"}),props.children);});var CloudFoundry_124=/*#__PURE__*/React.forwardRef(function CloudFoundry_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),React.createElement("path",{d:"M14,24H11a2,2,0,0,1-2-2V19a2,2,0,0,1,2-2h3v2H11v3h3Z"}),React.createElement("path",{d:"M21,15V13H19a2,2,0,0,0-2,2v2H16v2h1v5h2V19h2V17H19V15Z"}),props.children);});var CloudFoundry_120=/*#__PURE__*/React.forwardRef(function CloudFoundry_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),React.createElement("path",{d:"M14,24H11a2,2,0,0,1-2-2V19a2,2,0,0,1,2-2h3v2H11v3h3Z"}),React.createElement("path",{d:"M21,15V13H19a2,2,0,0,0-2,2v2H16v2h1v5h2V19h2V17H19V15Z"}),props.children);});var CloudFoundry_116=/*#__PURE__*/React.forwardRef(function CloudFoundry_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),React.createElement("path",{d:"M14,24H11a2,2,0,0,1-2-2V19a2,2,0,0,1,2-2h3v2H11v3h3Z"}),React.createElement("path",{d:"M21,15V13H19a2,2,0,0,0-2,2v2H16v2h1v5h2V19h2V17H19V15Z"}),props.children);});var CloudFoundry_232=/*#__PURE__*/React.forwardRef(function CloudFoundry_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 25 9 17 9 17 23 19 23 19 17 24 17 24 15 19 15 19 11 25 11"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var CloudFoundry_224=/*#__PURE__*/React.forwardRef(function CloudFoundry_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 25 9 17 9 17 23 19 23 19 17 24 17 24 15 19 15 19 11 25 11"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var CloudFoundry_220=/*#__PURE__*/React.forwardRef(function CloudFoundry_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 25 9 17 9 17 23 19 23 19 17 24 17 24 15 19 15 19 11 25 11"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var CloudFoundry_216=/*#__PURE__*/React.forwardRef(function CloudFoundry_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 25 9 17 9 17 23 19 23 19 17 24 17 24 15 19 15 19 11 25 11"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var Cloud32=/*#__PURE__*/React.forwardRef(function Cloud32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),props.children);});var Cloud24=/*#__PURE__*/React.forwardRef(function Cloud24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),props.children);});var Cloud20=/*#__PURE__*/React.forwardRef(function Cloud20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),props.children);});var Cloud16=/*#__PURE__*/React.forwardRef(function Cloud16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7h0a7.66,7.66,0,0,1,1.51.15,8,8,0,0,1,6.35,6.34l.26,1.35,1.35.24a5.5,5.5,0,0,1-1,10.92H7.5a5.5,5.5,0,0,1-1-10.92l1.34-.24.26-1.35A8,8,0,0,1,16,7m0-2a10,10,0,0,0-9.83,8.12A7.5,7.5,0,0,0,7.49,28h17a7.5,7.5,0,0,0,1.32-14.88,10,10,0,0,0-7.94-7.94A10.27,10.27,0,0,0,16,5Z"}),props.children);});var Cloudy32=/*#__PURE__*/React.forwardRef(function Cloudy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.0005,15.5005a6.5324,6.5324,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0,6.5321,6.5321,0,0,0-5.2,6.3638,6.4543,6.4543,0,0,0,1.6887,4.35A5.9829,5.9829,0,0,0,8,30H19a5.9764,5.9764,0,0,0,5.6094-8.1016A6.5051,6.5051,0,0,0,30.0005,15.5005ZM19,28H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,19.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,28Zm4.5-8h-.0554a5.9562,5.9562,0,0,0-2.7959-1.7564,7.4952,7.4952,0,0,0-14.2984,0,5.9877,5.9877,0,0,0-1.0315.4073A4.4446,4.4446,0,0,1,4,15.5005a4.5171,4.5171,0,0,1,4.144-4.481l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639a4.4975,4.4975,0,0,1-.3564,8.981Z"}),props.children);});var Cloudy24=/*#__PURE__*/React.forwardRef(function Cloudy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.0005,15.5005a6.5324,6.5324,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0,6.5321,6.5321,0,0,0-5.2,6.3638,6.4543,6.4543,0,0,0,1.6887,4.35A5.9829,5.9829,0,0,0,8,30H19a5.9764,5.9764,0,0,0,5.6094-8.1016A6.5051,6.5051,0,0,0,30.0005,15.5005ZM19,28H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,19.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,28Zm4.5-8h-.0554a5.9562,5.9562,0,0,0-2.7959-1.7564,7.4952,7.4952,0,0,0-14.2984,0,5.9877,5.9877,0,0,0-1.0315.4073A4.4446,4.4446,0,0,1,4,15.5005a4.5171,4.5171,0,0,1,4.144-4.481l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639a4.4975,4.4975,0,0,1-.3564,8.981Z"}),props.children);});var Cloudy20=/*#__PURE__*/React.forwardRef(function Cloudy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.0005,15.5005a6.5324,6.5324,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0,6.5321,6.5321,0,0,0-5.2,6.3638,6.4543,6.4543,0,0,0,1.6887,4.35A5.9829,5.9829,0,0,0,8,30H19a5.9764,5.9764,0,0,0,5.6094-8.1016A6.5051,6.5051,0,0,0,30.0005,15.5005ZM19,28H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,19.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,28Zm4.5-8h-.0554a5.9562,5.9562,0,0,0-2.7959-1.7564,7.4952,7.4952,0,0,0-14.2984,0,5.9877,5.9877,0,0,0-1.0315.4073A4.4446,4.4446,0,0,1,4,15.5005a4.5171,4.5171,0,0,1,4.144-4.481l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639a4.4975,4.4975,0,0,1-.3564,8.981Z"}),props.children);});var Cloudy16=/*#__PURE__*/React.forwardRef(function Cloudy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.0005,15.5005a6.5324,6.5324,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0,6.5321,6.5321,0,0,0-5.2,6.3638,6.4543,6.4543,0,0,0,1.6887,4.35A5.9829,5.9829,0,0,0,8,30H19a5.9764,5.9764,0,0,0,5.6094-8.1016A6.5051,6.5051,0,0,0,30.0005,15.5005ZM19,28H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,19.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,28Zm4.5-8h-.0554a5.9562,5.9562,0,0,0-2.7959-1.7564,7.4952,7.4952,0,0,0-14.2984,0,5.9877,5.9877,0,0,0-1.0315.4073A4.4446,4.4446,0,0,1,4,15.5005a4.5171,4.5171,0,0,1,4.144-4.481l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639a4.4975,4.4975,0,0,1-.3564,8.981Z"}),props.children);});var Code32=/*#__PURE__*/React.forwardRef(function Code32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 16 24 23 22.59 21.59 28.17 16 22.59 10.41 24 9 31 16"}),React.createElement("polygon",{points:"1 16 8 9 9.41 10.41 3.83 16 9.41 21.59 8 23 1 16"}),React.createElement("rect",{width:"20.17",height:"2",x:"5.91",y:"15",transform:"rotate(-75 15.996 16)"}),props.children);});var Code24=/*#__PURE__*/React.forwardRef(function Code24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 16 24 23 22.59 21.59 28.17 16 22.59 10.41 24 9 31 16"}),React.createElement("polygon",{points:"1 16 8 9 9.41 10.41 3.83 16 9.41 21.59 8 23 1 16"}),React.createElement("rect",{width:"20.17",height:"2",x:"5.91",y:"15",transform:"rotate(-75 15.996 16)"}),props.children);});var Code20=/*#__PURE__*/React.forwardRef(function Code20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 16 24 23 22.59 21.59 28.17 16 22.59 10.41 24 9 31 16"}),React.createElement("polygon",{points:"1 16 8 9 9.41 10.41 3.83 16 9.41 21.59 8 23 1 16"}),React.createElement("rect",{width:"20.17",height:"2",x:"5.91",y:"15",transform:"rotate(-75 15.996 16)"}),props.children);});var Code16=/*#__PURE__*/React.forwardRef(function Code16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 16 24 23 22.59 21.59 28.17 16 22.59 10.41 24 9 31 16"}),React.createElement("polygon",{points:"1 16 8 9 9.41 10.41 3.83 16 9.41 21.59 8 23 1 16"}),React.createElement("rect",{width:"20.17",height:"2",x:"5.91",y:"15",transform:"rotate(-75 15.996 16)"}),props.children);});var Cognitive32=/*#__PURE__*/React.forwardRef(function Cognitive32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,13A11,11,0,0,0,19,2H11a9,9,0,0,0-9,9v3a5,5,0,0,0,5,5H8.1A5,5,0,0,0,13,23h1.38l4,7,1.73-1-4-6.89A2,2,0,0,0,14.38,21H13a3,3,0,0,1,0-6h1V13H13a5,5,0,0,0-4.9,4H7a3,3,0,0,1-3-3V12H6A3,3,0,0,0,9,9V8H7V9a1,1,0,0,1-1,1H4.08A7,7,0,0,1,11,4h6V6a1,1,0,0,1-1,1H14V9h2a3,3,0,0,0,3-3V4a9,9,0,0,1,8.05,5H26a3,3,0,0,0-3,3v1h2V12a1,1,0,0,1,1-1h1.77A8.76,8.76,0,0,1,28,13v1a5,5,0,0,1-5,5H20v2h3a7,7,0,0,0,3-.68V21a3,3,0,0,1-3,3H22v2h1a5,5,0,0,0,5-5V18.89A7,7,0,0,0,30,14Z"}),props.children);});var Cognitive24=/*#__PURE__*/React.forwardRef(function Cognitive24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,13A11,11,0,0,0,19,2H11a9,9,0,0,0-9,9v3a5,5,0,0,0,5,5H8.1A5,5,0,0,0,13,23h1.38l4,7,1.73-1-4-6.89A2,2,0,0,0,14.38,21H13a3,3,0,0,1,0-6h1V13H13a5,5,0,0,0-4.9,4H7a3,3,0,0,1-3-3V12H6A3,3,0,0,0,9,9V8H7V9a1,1,0,0,1-1,1H4.08A7,7,0,0,1,11,4h6V6a1,1,0,0,1-1,1H14V9h2a3,3,0,0,0,3-3V4a9,9,0,0,1,8.05,5H26a3,3,0,0,0-3,3v1h2V12a1,1,0,0,1,1-1h1.77A8.76,8.76,0,0,1,28,13v1a5,5,0,0,1-5,5H20v2h3a7,7,0,0,0,3-.68V21a3,3,0,0,1-3,3H22v2h1a5,5,0,0,0,5-5V18.89A7,7,0,0,0,30,14Z"}),props.children);});var Cognitive20=/*#__PURE__*/React.forwardRef(function Cognitive20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,13A11,11,0,0,0,19,2H11a9,9,0,0,0-9,9v3a5,5,0,0,0,5,5H8.1A5,5,0,0,0,13,23h1.38l4,7,1.73-1-4-6.89A2,2,0,0,0,14.38,21H13a3,3,0,0,1,0-6h1V13H13a5,5,0,0,0-4.9,4H7a3,3,0,0,1-3-3V12H6A3,3,0,0,0,9,9V8H7V9a1,1,0,0,1-1,1H4.08A7,7,0,0,1,11,4h6V6a1,1,0,0,1-1,1H14V9h2a3,3,0,0,0,3-3V4a9,9,0,0,1,8.05,5H26a3,3,0,0,0-3,3v1h2V12a1,1,0,0,1,1-1h1.77A8.76,8.76,0,0,1,28,13v1a5,5,0,0,1-5,5H20v2h3a7,7,0,0,0,3-.68V21a3,3,0,0,1-3,3H22v2h1a5,5,0,0,0,5-5V18.89A7,7,0,0,0,30,14Z"}),props.children);});var Cognitive16=/*#__PURE__*/React.forwardRef(function Cognitive16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,13A11,11,0,0,0,19,2H11a9,9,0,0,0-9,9v3a5,5,0,0,0,5,5H8.1A5,5,0,0,0,13,23h1.38l4,7,1.73-1-4-6.89A2,2,0,0,0,14.38,21H13a3,3,0,0,1,0-6h1V13H13a5,5,0,0,0-4.9,4H7a3,3,0,0,1-3-3V12H6A3,3,0,0,0,9,9V8H7V9a1,1,0,0,1-1,1H4.08A7,7,0,0,1,11,4h6V6a1,1,0,0,1-1,1H14V9h2a3,3,0,0,0,3-3V4a9,9,0,0,1,8.05,5H26a3,3,0,0,0-3,3v1h2V12a1,1,0,0,1,1-1h1.77A8.76,8.76,0,0,1,28,13v1a5,5,0,0,1-5,5H20v2h3a7,7,0,0,0,3-.68V21a3,3,0,0,1-3,3H22v2h1a5,5,0,0,0,5-5V18.89A7,7,0,0,0,30,14Z"}),props.children);});var Collaborate32=/*#__PURE__*/React.forwardRef(function Collaborate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("path",{d:"M24,11v1h2V11a7,7,0,0,0-7-7H16V6h3A5,5,0,0,1,24,11Z"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),props.children);});var Collaborate24=/*#__PURE__*/React.forwardRef(function Collaborate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("path",{d:"M24,11v1h2V11a7,7,0,0,0-7-7H16V6h3A5,5,0,0,1,24,11Z"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),props.children);});var Collaborate20=/*#__PURE__*/React.forwardRef(function Collaborate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("path",{d:"M24,11v1h2V11a7,7,0,0,0-7-7H16V6h3A5,5,0,0,1,24,11Z"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),props.children);});var Collaborate16=/*#__PURE__*/React.forwardRef(function Collaborate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("path",{d:"M24,11v1h2V11a7,7,0,0,0-7-7H16V6h3A5,5,0,0,1,24,11Z"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),props.children);});var CollapseAll32=/*#__PURE__*/React.forwardRef(function CollapseAll32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H28V7H13V5H28a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M25,20H23V12H8V10H23a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M18,27H4a2.0023,2.0023,0,0,1-2-2V17a2.0023,2.0023,0,0,1,2-2H18a2.0023,2.0023,0,0,1,2,2v8A2.0023,2.0023,0,0,1,18,27ZM4,17v8H18.0012L18,17Z"}),props.children);});var CollapseAll24=/*#__PURE__*/React.forwardRef(function CollapseAll24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H28V7H13V5H28a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M25,20H23V12H8V10H23a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M18,27H4a2.0023,2.0023,0,0,1-2-2V17a2.0023,2.0023,0,0,1,2-2H18a2.0023,2.0023,0,0,1,2,2v8A2.0023,2.0023,0,0,1,18,27ZM4,17v8H18.0012L18,17Z"}),props.children);});var CollapseAll20=/*#__PURE__*/React.forwardRef(function CollapseAll20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H28V7H13V5H28a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M25,20H23V12H8V10H23a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M18,27H4a2.0023,2.0023,0,0,1-2-2V17a2.0023,2.0023,0,0,1,2-2H18a2.0023,2.0023,0,0,1,2,2v8A2.0023,2.0023,0,0,1,18,27ZM4,17v8H18.0012L18,17Z"}),props.children);});var CollapseAll16=/*#__PURE__*/React.forwardRef(function CollapseAll16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,15H28V7H13V5H28a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M25,20H23V12H8V10H23a2.0023,2.0023,0,0,1,2,2Z"}),React.createElement("path",{d:"M18,27H4a2.0023,2.0023,0,0,1-2-2V17a2.0023,2.0023,0,0,1,2-2H18a2.0023,2.0023,0,0,1,2,2v8A2.0023,2.0023,0,0,1,18,27ZM4,17v8H18.0012L18,17Z"}),props.children);});var CollapseCategories32=/*#__PURE__*/React.forwardRef(function CollapseCategories32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"25"}),React.createElement("polygon",{points:"7.17 26 4.59 28.58 6 30 10 26 6 22 4.58 23.41 7.17 26"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"15"}),React.createElement("polygon",{points:"7.17 16 4.59 18.58 6 20 10 16 6 12 4.58 13.41 7.17 16"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"5"}),React.createElement("polygon",{points:"7.17 6 4.59 8.58 6 10 10 6 6 2 4.58 3.41 7.17 6"}),props.children);});var CollapseCategories24=/*#__PURE__*/React.forwardRef(function CollapseCategories24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"25"}),React.createElement("polygon",{points:"7.17 26 4.59 28.58 6 30 10 26 6 22 4.58 23.41 7.17 26"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"15"}),React.createElement("polygon",{points:"7.17 16 4.59 18.58 6 20 10 16 6 12 4.58 13.41 7.17 16"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"5"}),React.createElement("polygon",{points:"7.17 6 4.59 8.58 6 10 10 6 6 2 4.58 3.41 7.17 6"}),props.children);});var CollapseCategories20=/*#__PURE__*/React.forwardRef(function CollapseCategories20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"25"}),React.createElement("polygon",{points:"7.17 26 4.59 28.58 6 30 10 26 6 22 4.58 23.41 7.17 26"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"15"}),React.createElement("polygon",{points:"7.17 16 4.59 18.58 6 20 10 16 6 12 4.58 13.41 7.17 16"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"5"}),React.createElement("polygon",{points:"7.17 6 4.59 8.58 6 10 10 6 6 2 4.58 3.41 7.17 6"}),props.children);});var CollapseCategories16=/*#__PURE__*/React.forwardRef(function CollapseCategories16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"25"}),React.createElement("polygon",{points:"7.17 26 4.59 28.58 6 30 10 26 6 22 4.58 23.41 7.17 26"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"15"}),React.createElement("polygon",{points:"7.17 16 4.59 18.58 6 20 10 16 6 12 4.58 13.41 7.17 16"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"5"}),React.createElement("polygon",{points:"7.17 6 4.59 8.58 6 10 10 6 6 2 4.58 3.41 7.17 6"}),props.children);});var ColorPalette32=/*#__PURE__*/React.forwardRef(function ColorPalette32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"12",r:"2"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("circle",{cx:"22",cy:"12",r:"2"}),React.createElement("circle",{cx:"23",cy:"18",r:"2"}),React.createElement("circle",{cx:"19",cy:"23",r:"2"}),React.createElement("path",{d:"M16.54,2A14,14,0,0,0,2,16a4.82,4.82,0,0,0,6.09,4.65l1.12-.31A3,3,0,0,1,13,23.24V27a3,3,0,0,0,3,3A14,14,0,0,0,30,15.46,14.05,14.05,0,0,0,16.54,2Zm8.11,22.31A11.93,11.93,0,0,1,16,28a1,1,0,0,1-1-1V23.24a5,5,0,0,0-5-5,5.07,5.07,0,0,0-1.33.18l-1.12.31A2.82,2.82,0,0,1,4,16,12,12,0,0,1,16.47,4,12.18,12.18,0,0,1,28,15.53,11.89,11.89,0,0,1,24.65,24.32Z"}),props.children);});var ColorPalette24=/*#__PURE__*/React.forwardRef(function ColorPalette24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"12",r:"2"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("circle",{cx:"22",cy:"12",r:"2"}),React.createElement("circle",{cx:"23",cy:"18",r:"2"}),React.createElement("circle",{cx:"19",cy:"23",r:"2"}),React.createElement("path",{d:"M16.54,2A14,14,0,0,0,2,16a4.82,4.82,0,0,0,6.09,4.65l1.12-.31A3,3,0,0,1,13,23.24V27a3,3,0,0,0,3,3A14,14,0,0,0,30,15.46,14.05,14.05,0,0,0,16.54,2Zm8.11,22.31A11.93,11.93,0,0,1,16,28a1,1,0,0,1-1-1V23.24a5,5,0,0,0-5-5,5.07,5.07,0,0,0-1.33.18l-1.12.31A2.82,2.82,0,0,1,4,16,12,12,0,0,1,16.47,4,12.18,12.18,0,0,1,28,15.53,11.89,11.89,0,0,1,24.65,24.32Z"}),props.children);});var ColorPalette20=/*#__PURE__*/React.forwardRef(function ColorPalette20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"12",r:"2"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("circle",{cx:"22",cy:"12",r:"2"}),React.createElement("circle",{cx:"23",cy:"18",r:"2"}),React.createElement("circle",{cx:"19",cy:"23",r:"2"}),React.createElement("path",{d:"M16.54,2A14,14,0,0,0,2,16a4.82,4.82,0,0,0,6.09,4.65l1.12-.31A3,3,0,0,1,13,23.24V27a3,3,0,0,0,3,3A14,14,0,0,0,30,15.46,14.05,14.05,0,0,0,16.54,2Zm8.11,22.31A11.93,11.93,0,0,1,16,28a1,1,0,0,1-1-1V23.24a5,5,0,0,0-5-5,5.07,5.07,0,0,0-1.33.18l-1.12.31A2.82,2.82,0,0,1,4,16,12,12,0,0,1,16.47,4,12.18,12.18,0,0,1,28,15.53,11.89,11.89,0,0,1,24.65,24.32Z"}),props.children);});var ColorPalette16=/*#__PURE__*/React.forwardRef(function ColorPalette16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"12",r:"2"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("circle",{cx:"22",cy:"12",r:"2"}),React.createElement("circle",{cx:"23",cy:"18",r:"2"}),React.createElement("circle",{cx:"19",cy:"23",r:"2"}),React.createElement("path",{d:"M16.54,2A14,14,0,0,0,2,16a4.82,4.82,0,0,0,6.09,4.65l1.12-.31A3,3,0,0,1,13,23.24V27a3,3,0,0,0,3,3A14,14,0,0,0,30,15.46,14.05,14.05,0,0,0,16.54,2Zm8.11,22.31A11.93,11.93,0,0,1,16,28a1,1,0,0,1-1-1V23.24a5,5,0,0,0-5-5,5.07,5.07,0,0,0-1.33.18l-1.12.31A2.82,2.82,0,0,1,4,16,12,12,0,0,1,16.47,4,12.18,12.18,0,0,1,28,15.53,11.89,11.89,0,0,1,24.65,24.32Z"}),props.children);});var ColorSwitch32=/*#__PURE__*/React.forwardRef(function ColorSwitch32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM6,26,26,6V26Z"}),props.children);});var ColorSwitch24=/*#__PURE__*/React.forwardRef(function ColorSwitch24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM6,26,26,6V26Z"}),props.children);});var ColorSwitch20=/*#__PURE__*/React.forwardRef(function ColorSwitch20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM6,26,26,6V26Z"}),props.children);});var ColorSwitch16=/*#__PURE__*/React.forwardRef(function ColorSwitch16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM6,26,26,6V26Z"}),props.children);});var Column32=/*#__PURE__*/React.forwardRef(function Column32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),React.createElement("path",{d:"M18,6V26H14V6h4m0-2H14a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var Column24=/*#__PURE__*/React.forwardRef(function Column24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),React.createElement("path",{d:"M18,6V26H14V6h4m0-2H14a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var Column20=/*#__PURE__*/React.forwardRef(function Column20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),React.createElement("path",{d:"M18,6V26H14V6h4m0-2H14a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var Column16=/*#__PURE__*/React.forwardRef(function Column16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),React.createElement("path",{d:"M18,6V26H14V6h4m0-2H14a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var Compare32=/*#__PURE__*/React.forwardRef(function Compare32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H18V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V24a2,2,0,0,0,2,2H14v2a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,15h6.17L7.59,17.59,9,19l5-5L9,9,7.59,10.41,10.17,13H4V4H16V24H4ZM16,28V26a2,2,0,0,0,2-2V8H28v9H21.83l2.58-2.59L23,13l-5,5,5,5,1.41-1.41L21.83,19H28v9Z"}),props.children);});var Compare24=/*#__PURE__*/React.forwardRef(function Compare24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H18V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V24a2,2,0,0,0,2,2H14v2a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,15h6.17L7.59,17.59,9,19l5-5L9,9,7.59,10.41,10.17,13H4V4H16V24H4ZM16,28V26a2,2,0,0,0,2-2V8H28v9H21.83l2.58-2.59L23,13l-5,5,5,5,1.41-1.41L21.83,19H28v9Z"}),props.children);});var Compare20=/*#__PURE__*/React.forwardRef(function Compare20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H18V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V24a2,2,0,0,0,2,2H14v2a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,15h6.17L7.59,17.59,9,19l5-5L9,9,7.59,10.41,10.17,13H4V4H16V24H4ZM16,28V26a2,2,0,0,0,2-2V8H28v9H21.83l2.58-2.59L23,13l-5,5,5,5,1.41-1.41L21.83,19H28v9Z"}),props.children);});var Compare16=/*#__PURE__*/React.forwardRef(function Compare16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H18V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V24a2,2,0,0,0,2,2H14v2a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM4,15h6.17L7.59,17.59,9,19l5-5L9,9,7.59,10.41,10.17,13H4V4H16V24H4ZM16,28V26a2,2,0,0,0,2-2V8H28v9H21.83l2.58-2.59L23,13l-5,5,5,5,1.41-1.41L21.83,19H28v9Z"}),props.children);});var Compass32=/*#__PURE__*/React.forwardRef(function Compass32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M23,10.41,21.59,9l-4.3,4.3a3,3,0,0,0-4,4L9,21.59,10.41,23l4.3-4.3a3,3,0,0,0,4-4ZM17,16a1,1,0,1,1-1-1A1,1,0,0,1,17,16Z"}),React.createElement("circle",{cx:"16",cy:"7.5",r:"1.5"}),props.children);});var Compass24=/*#__PURE__*/React.forwardRef(function Compass24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M23,10.41,21.59,9l-4.3,4.3a3,3,0,0,0-4,4L9,21.59,10.41,23l4.3-4.3a3,3,0,0,0,4-4ZM17,16a1,1,0,1,1-1-1A1,1,0,0,1,17,16Z"}),React.createElement("circle",{cx:"16",cy:"7.5",r:"1.5"}),props.children);});var Compass20=/*#__PURE__*/React.forwardRef(function Compass20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M23,10.41,21.59,9l-4.3,4.3a3,3,0,0,0-4,4L9,21.59,10.41,23l4.3-4.3a3,3,0,0,0,4-4ZM17,16a1,1,0,1,1-1-1A1,1,0,0,1,17,16Z"}),React.createElement("circle",{cx:"16",cy:"7.5",r:"1.5"}),props.children);});var Compass16=/*#__PURE__*/React.forwardRef(function Compass16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M23,10.41,21.59,9l-4.3,4.3a3,3,0,0,0-4,4L9,21.59,10.41,23l4.3-4.3a3,3,0,0,0,4-4ZM17,16a1,1,0,1,1-1-1A1,1,0,0,1,17,16Z"}),React.createElement("circle",{cx:"16",cy:"7.5",r:"1.5"}),props.children);});var ComposerEdit32=/*#__PURE__*/React.forwardRef(function ComposerEdit32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var ComposerEdit24=/*#__PURE__*/React.forwardRef(function ComposerEdit24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var ComposerEdit20=/*#__PURE__*/React.forwardRef(function ComposerEdit20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var ComposerEdit16=/*#__PURE__*/React.forwardRef(function ComposerEdit16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.82,10H30V8H25.82a3,3,0,0,0-5.64,0H13V5H5V8H2v2H5v3h8V10h7.18A3,3,0,0,0,22,11.82v7.32A4,4,0,0,0,19.14,22H2v2H19.14a4,4,0,0,0,7.72,0H30V22H26.86A4,4,0,0,0,24,19.14V11.82A3,3,0,0,0,25.82,10ZM11,11H7V7h4ZM25,23a2,2,0,1,1-2-2A2,2,0,0,1,25,23Z"}),props.children);});var Concept32=/*#__PURE__*/React.forwardRef(function Concept32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.8851,19.4711a5.9609,5.9609,0,0,0,0-6.9422L23,10.4141l1.293,1.2929a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414l-4-4a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414L21.5859,9l-2.1148,2.1149a5.9609,5.9609,0,0,0-6.9422,0L10,8.5859V2H2v8H8.5859l2.529,2.5289a5.9609,5.9609,0,0,0,0,6.9422L9,21.5859,7.707,20.293a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414l4,4a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414L10.4141,23l2.1148-2.1149a5.9609,5.9609,0,0,0,6.9422,0L22,23.4141V30h8V22H23.4141ZM25,4.4141,27.5859,7,25,9.5859,22.4141,7ZM7,27.5859,4.4141,25,7,22.4141,9.5859,25ZM8,8H4V4H8Zm4,8a4,4,0,1,1,4,4A4.0045,4.0045,0,0,1,12,16Zm12,8h4v4H24Z"}),props.children);});var Concept24=/*#__PURE__*/React.forwardRef(function Concept24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.8851,19.4711a5.9609,5.9609,0,0,0,0-6.9422L23,10.4141l1.293,1.2929a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414l-4-4a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414L21.5859,9l-2.1148,2.1149a5.9609,5.9609,0,0,0-6.9422,0L10,8.5859V2H2v8H8.5859l2.529,2.5289a5.9609,5.9609,0,0,0,0,6.9422L9,21.5859,7.707,20.293a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414l4,4a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414L10.4141,23l2.1148-2.1149a5.9609,5.9609,0,0,0,6.9422,0L22,23.4141V30h8V22H23.4141ZM25,4.4141,27.5859,7,25,9.5859,22.4141,7ZM7,27.5859,4.4141,25,7,22.4141,9.5859,25ZM8,8H4V4H8Zm4,8a4,4,0,1,1,4,4A4.0045,4.0045,0,0,1,12,16Zm12,8h4v4H24Z"}),props.children);});var Concept20=/*#__PURE__*/React.forwardRef(function Concept20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.8851,19.4711a5.9609,5.9609,0,0,0,0-6.9422L23,10.4141l1.293,1.2929a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414l-4-4a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414L21.5859,9l-2.1148,2.1149a5.9609,5.9609,0,0,0-6.9422,0L10,8.5859V2H2v8H8.5859l2.529,2.5289a5.9609,5.9609,0,0,0,0,6.9422L9,21.5859,7.707,20.293a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414l4,4a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414L10.4141,23l2.1148-2.1149a5.9609,5.9609,0,0,0,6.9422,0L22,23.4141V30h8V22H23.4141ZM25,4.4141,27.5859,7,25,9.5859,22.4141,7ZM7,27.5859,4.4141,25,7,22.4141,9.5859,25ZM8,8H4V4H8Zm4,8a4,4,0,1,1,4,4A4.0045,4.0045,0,0,1,12,16Zm12,8h4v4H24Z"}),props.children);});var Concept16=/*#__PURE__*/React.forwardRef(function Concept16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.8851,19.4711a5.9609,5.9609,0,0,0,0-6.9422L23,10.4141l1.293,1.2929a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414l-4-4a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414L21.5859,9l-2.1148,2.1149a5.9609,5.9609,0,0,0-6.9422,0L10,8.5859V2H2v8H8.5859l2.529,2.5289a5.9609,5.9609,0,0,0,0,6.9422L9,21.5859,7.707,20.293a.9994.9994,0,0,0-1.414,0l-4,4a.9994.9994,0,0,0,0,1.414l4,4a.9995.9995,0,0,0,1.414,0l4-4a.9994.9994,0,0,0,0-1.414L10.4141,23l2.1148-2.1149a5.9609,5.9609,0,0,0,6.9422,0L22,23.4141V30h8V22H23.4141ZM25,4.4141,27.5859,7,25,9.5859,22.4141,7ZM7,27.5859,4.4141,25,7,22.4141,9.5859,25ZM8,8H4V4H8Zm4,8a4,4,0,1,1,4,4A4.0045,4.0045,0,0,1,12,16Zm12,8h4v4H24Z"}),props.children);});var Connect32=/*#__PURE__*/React.forwardRef(function Connect32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16a7,7,0,0,0-4.18,1.39L14.6,13.17A6.86,6.86,0,0,0,16,9a7,7,0,1,0-2.81,5.59l4.21,4.22A7,7,0,1,0,23,16ZM4,9a5,5,0,1,1,5,5A5,5,0,0,1,4,9Z",transform:"translate(0 .01)"}),props.children);});var Connect24=/*#__PURE__*/React.forwardRef(function Connect24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16a7,7,0,0,0-4.18,1.39L14.6,13.17A6.86,6.86,0,0,0,16,9a7,7,0,1,0-2.81,5.59l4.21,4.22A7,7,0,1,0,23,16ZM4,9a5,5,0,1,1,5,5A5,5,0,0,1,4,9Z",transform:"translate(0 .01)"}),props.children);});var Connect20=/*#__PURE__*/React.forwardRef(function Connect20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16a7,7,0,0,0-4.18,1.39L14.6,13.17A6.86,6.86,0,0,0,16,9a7,7,0,1,0-2.81,5.59l4.21,4.22A7,7,0,1,0,23,16ZM4,9a5,5,0,1,1,5,5A5,5,0,0,1,4,9Z",transform:"translate(0 .01)"}),props.children);});var Connect16=/*#__PURE__*/React.forwardRef(function Connect16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16a7,7,0,0,0-4.18,1.39L14.6,13.17A6.86,6.86,0,0,0,16,9a7,7,0,1,0-2.81,5.59l4.21,4.22A7,7,0,1,0,23,16ZM4,9a5,5,0,1,1,5,5A5,5,0,0,1,4,9Z",transform:"translate(0 .01)"}),props.children);});var ConnectionSignal32=/*#__PURE__*/React.forwardRef(function ConnectionSignal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"18",x:"15",y:"12"}),React.createElement("path",{d:"M11.33,18.22a7,7,0,0,1,0-10.44l1.34,1.49a5,5,0,0,0,0,7.46Z"}),React.createElement("path",{d:"M20.67,18.22l-1.34-1.49a5,5,0,0,0,0-7.46l1.34-1.49a7,7,0,0,1,0,10.44Z"}),React.createElement("path",{d:"M8.4,21.8a11,11,0,0,1,0-17.6L9.6,5.8a9,9,0,0,0,0,14.4Z"}),React.createElement("path",{d:"M23.6,21.8l-1.2-1.6a9,9,0,0,0,0-14.4l1.2-1.6a11,11,0,0,1,0,17.6Z"}),props.children);});var ConnectionSignal24=/*#__PURE__*/React.forwardRef(function ConnectionSignal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"18",x:"15",y:"12"}),React.createElement("path",{d:"M11.33,18.22a7,7,0,0,1,0-10.44l1.34,1.49a5,5,0,0,0,0,7.46Z"}),React.createElement("path",{d:"M20.67,18.22l-1.34-1.49a5,5,0,0,0,0-7.46l1.34-1.49a7,7,0,0,1,0,10.44Z"}),React.createElement("path",{d:"M8.4,21.8a11,11,0,0,1,0-17.6L9.6,5.8a9,9,0,0,0,0,14.4Z"}),React.createElement("path",{d:"M23.6,21.8l-1.2-1.6a9,9,0,0,0,0-14.4l1.2-1.6a11,11,0,0,1,0,17.6Z"}),props.children);});var ConnectionSignal20=/*#__PURE__*/React.forwardRef(function ConnectionSignal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"18",x:"15",y:"12"}),React.createElement("path",{d:"M11.33,18.22a7,7,0,0,1,0-10.44l1.34,1.49a5,5,0,0,0,0,7.46Z"}),React.createElement("path",{d:"M20.67,18.22l-1.34-1.49a5,5,0,0,0,0-7.46l1.34-1.49a7,7,0,0,1,0,10.44Z"}),React.createElement("path",{d:"M8.4,21.8a11,11,0,0,1,0-17.6L9.6,5.8a9,9,0,0,0,0,14.4Z"}),React.createElement("path",{d:"M23.6,21.8l-1.2-1.6a9,9,0,0,0,0-14.4l1.2-1.6a11,11,0,0,1,0,17.6Z"}),props.children);});var ConnectionSignal16=/*#__PURE__*/React.forwardRef(function ConnectionSignal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"18",x:"15",y:"12"}),React.createElement("path",{d:"M11.33,18.22a7,7,0,0,1,0-10.44l1.34,1.49a5,5,0,0,0,0,7.46Z"}),React.createElement("path",{d:"M20.67,18.22l-1.34-1.49a5,5,0,0,0,0-7.46l1.34-1.49a7,7,0,0,1,0,10.44Z"}),React.createElement("path",{d:"M8.4,21.8a11,11,0,0,1,0-17.6L9.6,5.8a9,9,0,0,0,0,14.4Z"}),React.createElement("path",{d:"M23.6,21.8l-1.2-1.6a9,9,0,0,0,0-14.4l1.2-1.6a11,11,0,0,1,0,17.6Z"}),props.children);});var ContainerSoftware32=/*#__PURE__*/React.forwardRef(function ContainerSoftware32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H20V4h8Zm-6-2h4V6H22Z"}),React.createElement("path",{d:"M17,15V9H9V23H23V15Zm-6-4h4v4H11Zm4,10H11V17h4Zm6,0H17V17h4Z"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H16V6H6V26H26V16h2V26A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var ContainerSoftware24=/*#__PURE__*/React.forwardRef(function ContainerSoftware24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H20V4h8Zm-6-2h4V6H22Z"}),React.createElement("path",{d:"M17,15V9H9V23H23V15Zm-6-4h4v4H11Zm4,10H11V17h4Zm6,0H17V17h4Z"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H16V6H6V26H26V16h2V26A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var ContainerSoftware20=/*#__PURE__*/React.forwardRef(function ContainerSoftware20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H20V4h8Zm-6-2h4V6H22Z"}),React.createElement("path",{d:"M17,15V9H9V23H23V15Zm-6-4h4v4H11Zm4,10H11V17h4Zm6,0H17V17h4Z"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H16V6H6V26H26V16h2V26A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var ContainerSoftware16=/*#__PURE__*/React.forwardRef(function ContainerSoftware16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H20V4h8Zm-6-2h4V6H22Z"}),React.createElement("path",{d:"M17,15V9H9V23H23V15Zm-6-4h4v4H11Zm4,10H11V17h4Zm6,0H17V17h4Z"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H16V6H6V26H26V16h2V26A2.0023,2.0023,0,0,1,26,28Z"}),props.children);});var Contrast32=/*#__PURE__*/React.forwardRef(function Contrast32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,11.84a13.6,13.6,0,0,0-1.06-2.51A14.17,14.17,0,0,0,25.9,6.1a14,14,0,1,0,0,19.8,14.17,14.17,0,0,0,2.41-3.23,13.6,13.6,0,0,0,1.06-2.51,14,14,0,0,0,0-8.32ZM4,16A12,12,0,0,1,16,4V28A12,12,0,0,1,4,16Z"}),props.children);});var Contrast24=/*#__PURE__*/React.forwardRef(function Contrast24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,11.84a13.6,13.6,0,0,0-1.06-2.51A14.17,14.17,0,0,0,25.9,6.1a14,14,0,1,0,0,19.8,14.17,14.17,0,0,0,2.41-3.23,13.6,13.6,0,0,0,1.06-2.51,14,14,0,0,0,0-8.32ZM4,16A12,12,0,0,1,16,4V28A12,12,0,0,1,4,16Z"}),props.children);});var Contrast20=/*#__PURE__*/React.forwardRef(function Contrast20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,11.84a13.6,13.6,0,0,0-1.06-2.51A14.17,14.17,0,0,0,25.9,6.1a14,14,0,1,0,0,19.8,14.17,14.17,0,0,0,2.41-3.23,13.6,13.6,0,0,0,1.06-2.51,14,14,0,0,0,0-8.32ZM4,16A12,12,0,0,1,16,4V28A12,12,0,0,1,4,16Z"}),props.children);});var Contrast16=/*#__PURE__*/React.forwardRef(function Contrast16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,11.84a13.6,13.6,0,0,0-1.06-2.51A14.17,14.17,0,0,0,25.9,6.1a14,14,0,1,0,0,19.8,14.17,14.17,0,0,0,2.41-3.23,13.6,13.6,0,0,0,1.06-2.51,14,14,0,0,0,0-8.32ZM4,16A12,12,0,0,1,16,4V28A12,12,0,0,1,4,16Z"}),props.children);});var CopyFile32=/*#__PURE__*/React.forwardRef(function CopyFile32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4,14.7l-6.1-6.1C21,8.2,20.5,8,20,8h-8c-1.1,0-2,0.9-2,2v18c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V16.1\tC28,15.6,27.8,15.1,27.4,14.7z M20,10l5.9,6H20V10z M12,28V10h6v6c0,1.1,0.9,2,2,2h6l0,10H12z"}),React.createElement("path",{d:"M6,18H4V4c0-1.1,0.9-2,2-2h14v2H6V18z"}),props.children);});var CopyFile24=/*#__PURE__*/React.forwardRef(function CopyFile24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4,14.7l-6.1-6.1C21,8.2,20.5,8,20,8h-8c-1.1,0-2,0.9-2,2v18c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V16.1\tC28,15.6,27.8,15.1,27.4,14.7z M20,10l5.9,6H20V10z M12,28V10h6v6c0,1.1,0.9,2,2,2h6l0,10H12z"}),React.createElement("path",{d:"M6,18H4V4c0-1.1,0.9-2,2-2h14v2H6V18z"}),props.children);});var CopyFile20=/*#__PURE__*/React.forwardRef(function CopyFile20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4,14.7l-6.1-6.1C21,8.2,20.5,8,20,8h-8c-1.1,0-2,0.9-2,2v18c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V16.1\tC28,15.6,27.8,15.1,27.4,14.7z M20,10l5.9,6H20V10z M12,28V10h6v6c0,1.1,0.9,2,2,2h6l0,10H12z"}),React.createElement("path",{d:"M6,18H4V4c0-1.1,0.9-2,2-2h14v2H6V18z"}),props.children);});var CopyFile16=/*#__PURE__*/React.forwardRef(function CopyFile16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.4,14.7l-6.1-6.1C21,8.2,20.5,8,20,8h-8c-1.1,0-2,0.9-2,2v18c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V16.1\tC28,15.6,27.8,15.1,27.4,14.7z M20,10l5.9,6H20V10z M12,28V10h6v6c0,1.1,0.9,2,2,2h6l0,10H12z"}),React.createElement("path",{d:"M6,18H4V4c0-1.1,0.9-2,2-2h14v2H6V18z"}),props.children);});var Copy32=/*#__PURE__*/React.forwardRef(function Copy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10V28H10V10H28m0-2H10a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M4,18H2V4A2,2,0,0,1,4,2H18V4H4Z"}),props.children);});var Copy24=/*#__PURE__*/React.forwardRef(function Copy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10V28H10V10H28m0-2H10a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M4,18H2V4A2,2,0,0,1,4,2H18V4H4Z"}),props.children);});var Copy20=/*#__PURE__*/React.forwardRef(function Copy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10V28H10V10H28m0-2H10a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M4,18H2V4A2,2,0,0,1,4,2H18V4H4Z"}),props.children);});var Copy16=/*#__PURE__*/React.forwardRef(function Copy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10V28H10V10H28m0-2H10a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M4,18H2V4A2,2,0,0,1,4,2H18V4H4Z"}),props.children);});var Corn32=/*#__PURE__*/React.forwardRef(function Corn32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16c-.3374,0-.67.02-1,.0508V16C22,8.115,19.0435,2,16.5,2S11,8.115,11,16v5H6v3a6.0067,6.0067,0,0,0,6,6h3A11.0125,11.0125,0,0,0,26,19V16ZM13,16h2V14H13.0728a25.8942,25.8942,0,0,1,.5654-4H16V8H14.2c.81-2.4058,1.8149-3.7715,2.3-3.9863.66.2919,2.2842,2.7036,3.0654,6.9863H18v2h1.8442A29.1625,29.1625,0,0,1,20,16v.4263A11.0554,11.0554,0,0,0,13.79,21H13ZM12,28a4.0045,4.0045,0,0,1-4-4V23h4.7639A10.9033,10.9033,0,0,0,12,27Zm12-9a9.01,9.01,0,0,1-9,9H14V27a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Corn24=/*#__PURE__*/React.forwardRef(function Corn24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16c-.3374,0-.67.02-1,.0508V16C22,8.115,19.0435,2,16.5,2S11,8.115,11,16v5H6v3a6.0067,6.0067,0,0,0,6,6h3A11.0125,11.0125,0,0,0,26,19V16ZM13,16h2V14H13.0728a25.8942,25.8942,0,0,1,.5654-4H16V8H14.2c.81-2.4058,1.8149-3.7715,2.3-3.9863.66.2919,2.2842,2.7036,3.0654,6.9863H18v2h1.8442A29.1625,29.1625,0,0,1,20,16v.4263A11.0554,11.0554,0,0,0,13.79,21H13ZM12,28a4.0045,4.0045,0,0,1-4-4V23h4.7639A10.9033,10.9033,0,0,0,12,27Zm12-9a9.01,9.01,0,0,1-9,9H14V27a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Corn20=/*#__PURE__*/React.forwardRef(function Corn20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16c-.3374,0-.67.02-1,.0508V16C22,8.115,19.0435,2,16.5,2S11,8.115,11,16v5H6v3a6.0067,6.0067,0,0,0,6,6h3A11.0125,11.0125,0,0,0,26,19V16ZM13,16h2V14H13.0728a25.8942,25.8942,0,0,1,.5654-4H16V8H14.2c.81-2.4058,1.8149-3.7715,2.3-3.9863.66.2919,2.2842,2.7036,3.0654,6.9863H18v2h1.8442A29.1625,29.1625,0,0,1,20,16v.4263A11.0554,11.0554,0,0,0,13.79,21H13ZM12,28a4.0045,4.0045,0,0,1-4-4V23h4.7639A10.9033,10.9033,0,0,0,12,27Zm12-9a9.01,9.01,0,0,1-9,9H14V27a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Corn16=/*#__PURE__*/React.forwardRef(function Corn16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,16c-.3374,0-.67.02-1,.0508V16C22,8.115,19.0435,2,16.5,2S11,8.115,11,16v5H6v3a6.0067,6.0067,0,0,0,6,6h3A11.0125,11.0125,0,0,0,26,19V16ZM13,16h2V14H13.0728a25.8942,25.8942,0,0,1,.5654-4H16V8H14.2c.81-2.4058,1.8149-3.7715,2.3-3.9863.66.2919,2.2842,2.7036,3.0654,6.9863H18v2h1.8442A29.1625,29.1625,0,0,1,20,16v.4263A11.0554,11.0554,0,0,0,13.79,21H13ZM12,28a4.0045,4.0045,0,0,1-4-4V23h4.7639A10.9033,10.9033,0,0,0,12,27Zm12-9a9.01,9.01,0,0,1-9,9H14V27a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Corner32=/*#__PURE__*/React.forwardRef(function Corner32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H14V6H6v8H9V28h2V14h3V11H28ZM12,12H8V8h4Z"}),props.children);});var Corner24=/*#__PURE__*/React.forwardRef(function Corner24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H14V6H6v8H9V28h2V14h3V11H28ZM12,12H8V8h4Z"}),props.children);});var Corner20=/*#__PURE__*/React.forwardRef(function Corner20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H14V6H6v8H9V28h2V14h3V11H28ZM12,12H8V8h4Z"}),props.children);});var Corner16=/*#__PURE__*/React.forwardRef(function Corner16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H14V6H6v8H9V28h2V14h3V11H28ZM12,12H8V8h4Z"}),props.children);});var Course32=/*#__PURE__*/React.forwardRef(function Course32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,8,2H24a2.0023,2.0023,0,0,1,2,2V20.6182l-5-2.5-5,2.5V4H8V28H24V24h2v4A2.0027,2.0027,0,0,1,24,30ZM21,15.8818l3,1.5V4H18V17.3818Z"}),props.children);});var Course24=/*#__PURE__*/React.forwardRef(function Course24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,8,2H24a2.0023,2.0023,0,0,1,2,2V20.6182l-5-2.5-5,2.5V4H8V28H24V24h2v4A2.0027,2.0027,0,0,1,24,30ZM21,15.8818l3,1.5V4H18V17.3818Z"}),props.children);});var Course20=/*#__PURE__*/React.forwardRef(function Course20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,8,2H24a2.0023,2.0023,0,0,1,2,2V20.6182l-5-2.5-5,2.5V4H8V28H24V24h2v4A2.0027,2.0027,0,0,1,24,30ZM21,15.8818l3,1.5V4H18V17.3818Z"}),props.children);});var Course16=/*#__PURE__*/React.forwardRef(function Course16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,8,2H24a2.0023,2.0023,0,0,1,2,2V20.6182l-5-2.5-5,2.5V4H8V28H24V24h2v4A2.0027,2.0027,0,0,1,24,30ZM21,15.8818l3,1.5V4H18V17.3818Z"}),props.children);});var Covariate32=/*#__PURE__*/React.forwardRef(function Covariate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),React.createElement("circle",{cx:"28",cy:"12",r:"2"}),React.createElement("circle",{cx:"21",cy:"18",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,4,26.5859V2H2V28a2,2,0,0,0,2,2H30V28H5.4141ZM4,28Z"}),props.children);});var Covariate24=/*#__PURE__*/React.forwardRef(function Covariate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),React.createElement("circle",{cx:"28",cy:"12",r:"2"}),React.createElement("circle",{cx:"21",cy:"18",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,4,26.5859V2H2V28a2,2,0,0,0,2,2H30V28H5.4141ZM4,28Z"}),props.children);});var Covariate20=/*#__PURE__*/React.forwardRef(function Covariate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),React.createElement("circle",{cx:"28",cy:"12",r:"2"}),React.createElement("circle",{cx:"21",cy:"18",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,4,26.5859V2H2V28a2,2,0,0,0,2,2H30V28H5.4141ZM4,28Z"}),props.children);});var Covariate16=/*#__PURE__*/React.forwardRef(function Covariate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"14",cy:"8",r:"2"}),React.createElement("circle",{cx:"28",cy:"12",r:"2"}),React.createElement("circle",{cx:"21",cy:"18",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,4,26.5859V2H2V28a2,2,0,0,0,2,2H30V28H5.4141ZM4,28Z"}),props.children);});var Credentials32=/*#__PURE__*/React.forwardRef(function Credentials32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a4,4,0,1,0-4-4A4,4,0,0,0,16,22Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,16,16Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"6"}),React.createElement("path",{d:"M24,2H8A2.002,2.002,0,0,0,6,4V28a2.0023,2.0023,0,0,0,2,2H24a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,24,2ZM20,28H12V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm2,0V26a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v2H8V4H24V28Z"}),props.children);});var Credentials24=/*#__PURE__*/React.forwardRef(function Credentials24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a4,4,0,1,0-4-4A4,4,0,0,0,16,22Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,16,16Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"6"}),React.createElement("path",{d:"M24,2H8A2.002,2.002,0,0,0,6,4V28a2.0023,2.0023,0,0,0,2,2H24a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,24,2ZM20,28H12V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm2,0V26a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v2H8V4H24V28Z"}),props.children);});var Credentials20=/*#__PURE__*/React.forwardRef(function Credentials20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a4,4,0,1,0-4-4A4,4,0,0,0,16,22Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,16,16Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"6"}),React.createElement("path",{d:"M24,2H8A2.002,2.002,0,0,0,6,4V28a2.0023,2.0023,0,0,0,2,2H24a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,24,2ZM20,28H12V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm2,0V26a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v2H8V4H24V28Z"}),props.children);});var Credentials16=/*#__PURE__*/React.forwardRef(function Credentials16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a4,4,0,1,0-4-4A4,4,0,0,0,16,22Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,16,16Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"6"}),React.createElement("path",{d:"M24,2H8A2.002,2.002,0,0,0,6,4V28a2.0023,2.0023,0,0,0,2,2H24a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,24,2ZM20,28H12V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm2,0V26a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v2H8V4H24V28Z"}),props.children);});var Crop32=/*#__PURE__*/React.forwardRef(function Crop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,20H23V9H12V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M9,23V2H7V7H2V9H7V23a2,2,0,0,0,2,2H23v5h2V25h5V23Z"}),props.children);});var Crop24=/*#__PURE__*/React.forwardRef(function Crop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,20H23V9H12V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M9,23V2H7V7H2V9H7V23a2,2,0,0,0,2,2H23v5h2V25h5V23Z"}),props.children);});var Crop20=/*#__PURE__*/React.forwardRef(function Crop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,20H23V9H12V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M9,23V2H7V7H2V9H7V23a2,2,0,0,0,2,2H23v5h2V25h5V23Z"}),props.children);});var Crop16=/*#__PURE__*/React.forwardRef(function Crop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,20H23V9H12V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M9,23V2H7V7H2V9H7V23a2,2,0,0,0,2,2H23v5h2V25h5V23Z"}),props.children);});var Cursor_132=/*#__PURE__*/React.forwardRef(function Cursor_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a1,1,0,0,1-.71-.29l-6.13-6.14-3.33,5a1,1,0,0,1-1,.44,1,1,0,0,1-.81-.7l-6-20A1,1,0,0,1,6.29,5l20,6a1,1,0,0,1,.7.81,1,1,0,0,1-.44,1l-5,3.33,6.14,6.13a1,1,0,0,1,0,1.42l-4,4A1,1,0,0,1,23,28Zm0-2.41L25.59,23l-7.16-7.15,5.25-3.5L7.49,7.49l4.86,16.19,3.5-5.25Z"}),props.children);});var Cursor_124=/*#__PURE__*/React.forwardRef(function Cursor_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a1,1,0,0,1-.71-.29l-6.13-6.14-3.33,5a1,1,0,0,1-1,.44,1,1,0,0,1-.81-.7l-6-20A1,1,0,0,1,6.29,5l20,6a1,1,0,0,1,.7.81,1,1,0,0,1-.44,1l-5,3.33,6.14,6.13a1,1,0,0,1,0,1.42l-4,4A1,1,0,0,1,23,28Zm0-2.41L25.59,23l-7.16-7.15,5.25-3.5L7.49,7.49l4.86,16.19,3.5-5.25Z"}),props.children);});var Cursor_120=/*#__PURE__*/React.forwardRef(function Cursor_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a1,1,0,0,1-.71-.29l-6.13-6.14-3.33,5a1,1,0,0,1-1,.44,1,1,0,0,1-.81-.7l-6-20A1,1,0,0,1,6.29,5l20,6a1,1,0,0,1,.7.81,1,1,0,0,1-.44,1l-5,3.33,6.14,6.13a1,1,0,0,1,0,1.42l-4,4A1,1,0,0,1,23,28Zm0-2.41L25.59,23l-7.16-7.15,5.25-3.5L7.49,7.49l4.86,16.19,3.5-5.25Z"}),props.children);});var Cursor_116=/*#__PURE__*/React.forwardRef(function Cursor_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a1,1,0,0,1-.71-.29l-6.13-6.14-3.33,5a1,1,0,0,1-1,.44,1,1,0,0,1-.81-.7l-6-20A1,1,0,0,1,6.29,5l20,6a1,1,0,0,1,.7.81,1,1,0,0,1-.44,1l-5,3.33,6.14,6.13a1,1,0,0,1,0,1.42l-4,4A1,1,0,0,1,23,28Zm0-2.41L25.59,23l-7.16-7.15,5.25-3.5L7.49,7.49l4.86,16.19,3.5-5.25Z"}),props.children);});var Cursor_232=/*#__PURE__*/React.forwardRef(function Cursor_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.34,12.06l-22-8A1,1,0,0,0,4.06,5.34l8,22A1,1,0,0,0,13,28h0a1,1,0,0,0,.93-.63l3.84-9.6,9.6-3.84a1,1,0,0,0,0-1.87Zm-10.71,4h0l-.4.16-.16.4h0L13,24.2,6.67,6.67,24.2,13Z"}),props.children);});var Cursor_224=/*#__PURE__*/React.forwardRef(function Cursor_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.34,12.06l-22-8A1,1,0,0,0,4.06,5.34l8,22A1,1,0,0,0,13,28h0a1,1,0,0,0,.93-.63l3.84-9.6,9.6-3.84a1,1,0,0,0,0-1.87Zm-10.71,4h0l-.4.16-.16.4h0L13,24.2,6.67,6.67,24.2,13Z"}),props.children);});var Cursor_220=/*#__PURE__*/React.forwardRef(function Cursor_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.34,12.06l-22-8A1,1,0,0,0,4.06,5.34l8,22A1,1,0,0,0,13,28h0a1,1,0,0,0,.93-.63l3.84-9.6,9.6-3.84a1,1,0,0,0,0-1.87Zm-10.71,4h0l-.4.16-.16.4h0L13,24.2,6.67,6.67,24.2,13Z"}),props.children);});var Cursor_216=/*#__PURE__*/React.forwardRef(function Cursor_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.34,12.06l-22-8A1,1,0,0,0,4.06,5.34l8,22A1,1,0,0,0,13,28h0a1,1,0,0,0,.93-.63l3.84-9.6,9.6-3.84a1,1,0,0,0,0-1.87Zm-10.71,4h0l-.4.16-.16.4h0L13,24.2,6.67,6.67,24.2,13Z"}),props.children);});var Cut32=/*#__PURE__*/React.forwardRef(function Cut32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.5,19.63,20.24,16l6.26-3.63a5,5,0,0,0-1.21-9.2A5.19,5.19,0,0,0,24,3a5,5,0,0,0-4.33,7.53,5,5,0,0,0,2.39,2.1l-3.82,2.21L4,6.6,3,8.34,16.24,16,3,23.68l1,1.74,14.24-8.26,3.82,2.21a5,5,0,0,0-2.39,2.1A5,5,0,0,0,24,29a5.19,5.19,0,0,0,1.29-.17,5,5,0,0,0,1.21-9.2ZM21.4,9.53a3,3,0,0,1,1.1-4.12,3,3,0,0,1,4.1,1.11,3,3,0,0,1-1.1,4.11h0A3,3,0,0,1,21.4,9.53Zm5.2,16a3,3,0,0,1-4.1,1.11,3,3,0,0,1-1.1-4.12,3,3,0,0,1,4.1-1.1h0A3,3,0,0,1,26.6,25.48Z"}),props.children);});var Cut24=/*#__PURE__*/React.forwardRef(function Cut24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.5,19.63,20.24,16l6.26-3.63a5,5,0,0,0-1.21-9.2A5.19,5.19,0,0,0,24,3a5,5,0,0,0-4.33,7.53,5,5,0,0,0,2.39,2.1l-3.82,2.21L4,6.6,3,8.34,16.24,16,3,23.68l1,1.74,14.24-8.26,3.82,2.21a5,5,0,0,0-2.39,2.1A5,5,0,0,0,24,29a5.19,5.19,0,0,0,1.29-.17,5,5,0,0,0,1.21-9.2ZM21.4,9.53a3,3,0,0,1,1.1-4.12,3,3,0,0,1,4.1,1.11,3,3,0,0,1-1.1,4.11h0A3,3,0,0,1,21.4,9.53Zm5.2,16a3,3,0,0,1-4.1,1.11,3,3,0,0,1-1.1-4.12,3,3,0,0,1,4.1-1.1h0A3,3,0,0,1,26.6,25.48Z"}),props.children);});var Cut20=/*#__PURE__*/React.forwardRef(function Cut20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.5,19.63,20.24,16l6.26-3.63a5,5,0,0,0-1.21-9.2A5.19,5.19,0,0,0,24,3a5,5,0,0,0-4.33,7.53,5,5,0,0,0,2.39,2.1l-3.82,2.21L4,6.6,3,8.34,16.24,16,3,23.68l1,1.74,14.24-8.26,3.82,2.21a5,5,0,0,0-2.39,2.1A5,5,0,0,0,24,29a5.19,5.19,0,0,0,1.29-.17,5,5,0,0,0,1.21-9.2ZM21.4,9.53a3,3,0,0,1,1.1-4.12,3,3,0,0,1,4.1,1.11,3,3,0,0,1-1.1,4.11h0A3,3,0,0,1,21.4,9.53Zm5.2,16a3,3,0,0,1-4.1,1.11,3,3,0,0,1-1.1-4.12,3,3,0,0,1,4.1-1.1h0A3,3,0,0,1,26.6,25.48Z"}),props.children);});var Cut16=/*#__PURE__*/React.forwardRef(function Cut16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.5,19.63,20.24,16l6.26-3.63a5,5,0,0,0-1.21-9.2A5.19,5.19,0,0,0,24,3a5,5,0,0,0-4.33,7.53,5,5,0,0,0,2.39,2.1l-3.82,2.21L4,6.6,3,8.34,16.24,16,3,23.68l1,1.74,14.24-8.26,3.82,2.21a5,5,0,0,0-2.39,2.1A5,5,0,0,0,24,29a5.19,5.19,0,0,0,1.29-.17,5,5,0,0,0,1.21-9.2ZM21.4,9.53a3,3,0,0,1,1.1-4.12,3,3,0,0,1,4.1,1.11,3,3,0,0,1-1.1,4.11h0A3,3,0,0,1,21.4,9.53Zm5.2,16a3,3,0,0,1-4.1,1.11,3,3,0,0,1-1.1-4.12,3,3,0,0,1,4.1-1.1h0A3,3,0,0,1,26.6,25.48Z"}),props.children);});var Cyclist32=/*#__PURE__*/React.forwardRef(function Cyclist32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,25,30Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,25,20Z"}),React.createElement("path",{d:"M7,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,7,30ZM7,20a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,7,20Z"}),React.createElement("path",{d:"M17,27H15V20.4139L9.5849,15a2.003,2.003,0,0,1,0-2.8292l4.5859-4.5859a2.0024,2.0024,0,0,1,2.8286,0L21.414,12H27v1.9993L20.5853,14l-5-5L11,13.5849l6,6Z"}),React.createElement("path",{d:"M21.5,8A3.5,3.5,0,1,1,25,4.5,3.5042,3.5042,0,0,1,21.5,8Zm0-5A1.5,1.5,0,1,0,23,4.5,1.5017,1.5017,0,0,0,21.5,3Z"}),props.children);});var Cyclist24=/*#__PURE__*/React.forwardRef(function Cyclist24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,25,30Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,25,20Z"}),React.createElement("path",{d:"M7,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,7,30ZM7,20a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,7,20Z"}),React.createElement("path",{d:"M17,27H15V20.4139L9.5849,15a2.003,2.003,0,0,1,0-2.8292l4.5859-4.5859a2.0024,2.0024,0,0,1,2.8286,0L21.414,12H27v1.9993L20.5853,14l-5-5L11,13.5849l6,6Z"}),React.createElement("path",{d:"M21.5,8A3.5,3.5,0,1,1,25,4.5,3.5042,3.5042,0,0,1,21.5,8Zm0-5A1.5,1.5,0,1,0,23,4.5,1.5017,1.5017,0,0,0,21.5,3Z"}),props.children);});var Cyclist20=/*#__PURE__*/React.forwardRef(function Cyclist20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,25,30Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,25,20Z"}),React.createElement("path",{d:"M7,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,7,30ZM7,20a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,7,20Z"}),React.createElement("path",{d:"M17,27H15V20.4139L9.5849,15a2.003,2.003,0,0,1,0-2.8292l4.5859-4.5859a2.0024,2.0024,0,0,1,2.8286,0L21.414,12H27v1.9993L20.5853,14l-5-5L11,13.5849l6,6Z"}),React.createElement("path",{d:"M21.5,8A3.5,3.5,0,1,1,25,4.5,3.5042,3.5042,0,0,1,21.5,8Zm0-5A1.5,1.5,0,1,0,23,4.5,1.5017,1.5017,0,0,0,21.5,3Z"}),props.children);});var Cyclist16=/*#__PURE__*/React.forwardRef(function Cyclist16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,25,30Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,25,20Z"}),React.createElement("path",{d:"M7,30a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,7,30ZM7,20a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,7,20Z"}),React.createElement("path",{d:"M17,27H15V20.4139L9.5849,15a2.003,2.003,0,0,1,0-2.8292l4.5859-4.5859a2.0024,2.0024,0,0,1,2.8286,0L21.414,12H27v1.9993L20.5853,14l-5-5L11,13.5849l6,6Z"}),React.createElement("path",{d:"M21.5,8A3.5,3.5,0,1,1,25,4.5,3.5042,3.5042,0,0,1,21.5,8Zm0-5A1.5,1.5,0,1,0,23,4.5,1.5017,1.5017,0,0,0,21.5,3Z"}),props.children);});var Dashboard32=/*#__PURE__*/React.forwardRef(function Dashboard32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"24",y:"21"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"16"}),React.createElement("path",{d:"M11,26a5.0059,5.0059,0,0,1-5-5H8a3,3,0,1,0,3-3V16a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M28,2H4A2.002,2.002,0,0,0,2,4V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,9H14V4H28ZM12,4v7H4V4ZM4,28V13H28.0007l.0013,15Z"}),props.children);});var Dashboard24=/*#__PURE__*/React.forwardRef(function Dashboard24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"24",y:"21"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"16"}),React.createElement("path",{d:"M11,26a5.0059,5.0059,0,0,1-5-5H8a3,3,0,1,0,3-3V16a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M28,2H4A2.002,2.002,0,0,0,2,4V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,9H14V4H28ZM12,4v7H4V4ZM4,28V13H28.0007l.0013,15Z"}),props.children);});var Dashboard20=/*#__PURE__*/React.forwardRef(function Dashboard20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"24",y:"21"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"16"}),React.createElement("path",{d:"M11,26a5.0059,5.0059,0,0,1-5-5H8a3,3,0,1,0,3-3V16a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M28,2H4A2.002,2.002,0,0,0,2,4V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,9H14V4H28ZM12,4v7H4V4ZM4,28V13H28.0007l.0013,15Z"}),props.children);});var Dashboard16=/*#__PURE__*/React.forwardRef(function Dashboard16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"24",y:"21"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"16"}),React.createElement("path",{d:"M11,26a5.0059,5.0059,0,0,1-5-5H8a3,3,0,1,0,3-3V16a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M28,2H4A2.002,2.002,0,0,0,2,4V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,9H14V4H28ZM12,4v7H4V4ZM4,28V13H28.0007l.0013,15Z"}),props.children);});var Data_132=/*#__PURE__*/React.forwardRef(function Data_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"15",y:"6"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"13",height:"2",x:"4",y:"15"}),React.createElement("path",{d:"M7,11a4,4,0,1,1,4-4A4,4,0,0,1,7,11ZM7,5A2,2,0,1,0,9,7,2,2,0,0,0,7,5Z"}),React.createElement("path",{d:"M7,29a4,4,0,1,1,4-4A4,4,0,0,1,7,29Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,7,23Z"}),React.createElement("path",{d:"M25,20a4,4,0,1,1,4-4A4,4,0,0,1,25,20Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,25,14Z"}),props.children);});var Data_124=/*#__PURE__*/React.forwardRef(function Data_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"15",y:"6"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"13",height:"2",x:"4",y:"15"}),React.createElement("path",{d:"M7,11a4,4,0,1,1,4-4A4,4,0,0,1,7,11ZM7,5A2,2,0,1,0,9,7,2,2,0,0,0,7,5Z"}),React.createElement("path",{d:"M7,29a4,4,0,1,1,4-4A4,4,0,0,1,7,29Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,7,23Z"}),React.createElement("path",{d:"M25,20a4,4,0,1,1,4-4A4,4,0,0,1,25,20Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,25,14Z"}),props.children);});var Data_120=/*#__PURE__*/React.forwardRef(function Data_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"15",y:"6"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"13",height:"2",x:"4",y:"15"}),React.createElement("path",{d:"M7,11a4,4,0,1,1,4-4A4,4,0,0,1,7,11ZM7,5A2,2,0,1,0,9,7,2,2,0,0,0,7,5Z"}),React.createElement("path",{d:"M7,29a4,4,0,1,1,4-4A4,4,0,0,1,7,29Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,7,23Z"}),React.createElement("path",{d:"M25,20a4,4,0,1,1,4-4A4,4,0,0,1,25,20Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,25,14Z"}),props.children);});var Data_116=/*#__PURE__*/React.forwardRef(function Data_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"15",y:"6"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"13",height:"2",x:"4",y:"15"}),React.createElement("path",{d:"M7,11a4,4,0,1,1,4-4A4,4,0,0,1,7,11ZM7,5A2,2,0,1,0,9,7,2,2,0,0,0,7,5Z"}),React.createElement("path",{d:"M7,29a4,4,0,1,1,4-4A4,4,0,0,1,7,29Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,7,23Z"}),React.createElement("path",{d:"M25,20a4,4,0,1,1,4-4A4,4,0,0,1,25,20Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,25,14Z"}),props.children);});var Data_232=/*#__PURE__*/React.forwardRef(function Data_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"7",height:"2",x:"11",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"17",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"24",y:"24"}),props.children);});var Data_224=/*#__PURE__*/React.forwardRef(function Data_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"7",height:"2",x:"11",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"17",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"24",y:"24"}),props.children);});var Data_220=/*#__PURE__*/React.forwardRef(function Data_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"7",height:"2",x:"11",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"17",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"24",y:"24"}),props.children);});var Data_216=/*#__PURE__*/React.forwardRef(function Data_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"7",height:"2",x:"11",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"17",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"24",y:"24"}),props.children);});var DataBase32=/*#__PURE__*/React.forwardRef(function DataBase32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V5A2,2,0,0,0,24,3Zm0,2v6H8V5ZM8,19V13H24v6Zm0,8V21H24v6Z"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),props.children);});var DataBase24=/*#__PURE__*/React.forwardRef(function DataBase24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V5A2,2,0,0,0,24,3Zm0,2v6H8V5ZM8,19V13H24v6Zm0,8V21H24v6Z"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),props.children);});var DataBase20=/*#__PURE__*/React.forwardRef(function DataBase20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V5A2,2,0,0,0,24,3Zm0,2v6H8V5ZM8,19V13H24v6Zm0,8V21H24v6Z"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),props.children);});var DataBase16=/*#__PURE__*/React.forwardRef(function DataBase16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V5A2,2,0,0,0,24,3Zm0,2v6H8V5ZM8,19V13H24v6Zm0,8V21H24v6Z"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),props.children);});var DataCheck32=/*#__PURE__*/React.forwardRef(function DataCheck32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),props.children);});var DataCheck24=/*#__PURE__*/React.forwardRef(function DataCheck24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),props.children);});var DataCheck20=/*#__PURE__*/React.forwardRef(function DataCheck20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),props.children);});var DataCheck16=/*#__PURE__*/React.forwardRef(function DataCheck16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),props.children);});var DataConnected32=/*#__PURE__*/React.forwardRef(function DataConnected32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),React.createElement("path",{d:"M24.91,19.59a4.51,4.51,0,0,0-2.66-3.24,4.55,4.55,0,0,0-3.5,0,4.94,4.94,0,0,0-.64.35L15.3,13.89a4.53,4.53,0,1,0-1.41,1.41l2.81,2.81a4.48,4.48,0,0,0-.61,3.3,4.51,4.51,0,0,0,2.66,3.24,4.55,4.55,0,0,0,3.5,0,4.51,4.51,0,0,0,2.66-3.24,4.65,4.65,0,0,0,0-1.82ZM11.5,14A2.5,2.5,0,1,1,14,11.5,2.5,2.5,0,0,1,11.5,14Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),props.children);});var DataConnected24=/*#__PURE__*/React.forwardRef(function DataConnected24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),React.createElement("path",{d:"M24.91,19.59a4.51,4.51,0,0,0-2.66-3.24,4.55,4.55,0,0,0-3.5,0,4.94,4.94,0,0,0-.64.35L15.3,13.89a4.53,4.53,0,1,0-1.41,1.41l2.81,2.81a4.48,4.48,0,0,0-.61,3.3,4.51,4.51,0,0,0,2.66,3.24,4.55,4.55,0,0,0,3.5,0,4.51,4.51,0,0,0,2.66-3.24,4.65,4.65,0,0,0,0-1.82ZM11.5,14A2.5,2.5,0,1,1,14,11.5,2.5,2.5,0,0,1,11.5,14Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),props.children);});var DataConnected20=/*#__PURE__*/React.forwardRef(function DataConnected20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),React.createElement("path",{d:"M24.91,19.59a4.51,4.51,0,0,0-2.66-3.24,4.55,4.55,0,0,0-3.5,0,4.94,4.94,0,0,0-.64.35L15.3,13.89a4.53,4.53,0,1,0-1.41,1.41l2.81,2.81a4.48,4.48,0,0,0-.61,3.3,4.51,4.51,0,0,0,2.66,3.24,4.55,4.55,0,0,0,3.5,0,4.51,4.51,0,0,0,2.66-3.24,4.65,4.65,0,0,0,0-1.82ZM11.5,14A2.5,2.5,0,1,1,14,11.5,2.5,2.5,0,0,1,11.5,14Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),props.children);});var DataConnected16=/*#__PURE__*/React.forwardRef(function DataConnected16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),React.createElement("path",{d:"M24.91,19.59a4.51,4.51,0,0,0-2.66-3.24,4.55,4.55,0,0,0-3.5,0,4.94,4.94,0,0,0-.64.35L15.3,13.89a4.53,4.53,0,1,0-1.41,1.41l2.81,2.81a4.48,4.48,0,0,0-.61,3.3,4.51,4.51,0,0,0,2.66,3.24,4.55,4.55,0,0,0,3.5,0,4.51,4.51,0,0,0,2.66-3.24,4.65,4.65,0,0,0,0-1.82ZM11.5,14A2.5,2.5,0,1,1,14,11.5,2.5,2.5,0,0,1,11.5,14Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),props.children);});var DataError32=/*#__PURE__*/React.forwardRef(function DataError32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),React.createElement("polygon",{points:"29.24 29.58 26.41 26.75 29.24 23.92 27.83 22.51 25 25.33 22.17 22.51 20.76 23.92 23.59 26.75 20.76 29.58 22.17 30.99 25 28.16 27.83 30.99 29.24 29.58"}),props.children);});var DataError24=/*#__PURE__*/React.forwardRef(function DataError24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),React.createElement("polygon",{points:"29.24 29.58 26.41 26.75 29.24 23.92 27.83 22.51 25 25.33 22.17 22.51 20.76 23.92 23.59 26.75 20.76 29.58 22.17 30.99 25 28.16 27.83 30.99 29.24 29.58"}),props.children);});var DataError20=/*#__PURE__*/React.forwardRef(function DataError20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),React.createElement("polygon",{points:"29.24 29.58 26.41 26.75 29.24 23.92 27.83 22.51 25 25.33 22.17 22.51 20.76 23.92 23.59 26.75 20.76 29.58 22.17 30.99 25 28.16 27.83 30.99 29.24 29.58"}),props.children);});var DataError16=/*#__PURE__*/React.forwardRef(function DataError16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"11",cy:"8",r:"1"}),React.createElement("circle",{cx:"11",cy:"16",r:"1"}),React.createElement("circle",{cx:"11",cy:"24",r:"1"}),React.createElement("path",{d:"M24,3H8A2,2,0,0,0,6,5V27a2,2,0,0,0,2,2h8V27H8V21H26V5A2,2,0,0,0,24,3Zm0,16H8V13H24Zm0-8H8V5H24Z"}),React.createElement("polygon",{points:"29.24 29.58 26.41 26.75 29.24 23.92 27.83 22.51 25 25.33 22.17 22.51 20.76 23.92 23.59 26.75 20.76 29.58 22.17 30.99 25 28.16 27.83 30.99 29.24 29.58"}),props.children);});var DataReference32=/*#__PURE__*/React.forwardRef(function DataReference32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.504,3.504,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.504,3.504,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),React.createElement("polygon",{points:"6 19 6 21 9.586 21 4 26.586 5.414 28 11 22.414 11 26 13 26 13 19 6 19"}),props.children);});var DataReference24=/*#__PURE__*/React.forwardRef(function DataReference24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.504,3.504,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.504,3.504,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),React.createElement("polygon",{points:"6 19 6 21 9.586 21 4 26.586 5.414 28 11 22.414 11 26 13 26 13 19 6 19"}),props.children);});var DataReference20=/*#__PURE__*/React.forwardRef(function DataReference20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.504,3.504,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.504,3.504,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),React.createElement("polygon",{points:"6 19 6 21 9.586 21 4 26.586 5.414 28 11 22.414 11 26 13 26 13 19 6 19"}),props.children);});var DataReference16=/*#__PURE__*/React.forwardRef(function DataReference16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.504,3.504,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.504,3.504,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),React.createElement("polygon",{points:"6 19 6 21 9.586 21 4 26.586 5.414 28 11 22.414 11 26 13 26 13 19 6 19"}),props.children);});var DataSet32=/*#__PURE__*/React.forwardRef(function DataSet32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.5,3.5,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M8.5,20A3.5,3.5,0,1,1,5,23.5,3.5,3.5,0,0,1,8.5,20m0-2A5.5,5.5,0,1,0,14,23.5,5.5,5.5,0,0,0,8.5,18Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.5,3.5,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),props.children);});var DataSet24=/*#__PURE__*/React.forwardRef(function DataSet24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.5,3.5,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M8.5,20A3.5,3.5,0,1,1,5,23.5,3.5,3.5,0,0,1,8.5,20m0-2A5.5,5.5,0,1,0,14,23.5,5.5,5.5,0,0,0,8.5,18Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.5,3.5,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),props.children);});var DataSet20=/*#__PURE__*/React.forwardRef(function DataSet20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.5,3.5,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M8.5,20A3.5,3.5,0,1,1,5,23.5,3.5,3.5,0,0,1,8.5,20m0-2A5.5,5.5,0,1,0,14,23.5,5.5,5.5,0,0,0,8.5,18Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.5,3.5,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),props.children);});var DataSet16=/*#__PURE__*/React.forwardRef(function DataSet16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 25 4 23 4 23 6 20 6 20 8 23 8 23 13 20 13 20 15 28 15 28 13 25 13"}),React.createElement("path",{d:"M8.5,6A3.5,3.5,0,1,1,5,9.5,3.5,3.5,0,0,1,8.5,6m0-2A5.5,5.5,0,1,0,14,9.5,5.5,5.5,0,0,0,8.5,4Z"}),React.createElement("path",{d:"M8.5,20A3.5,3.5,0,1,1,5,23.5,3.5,3.5,0,0,1,8.5,20m0-2A5.5,5.5,0,1,0,14,23.5,5.5,5.5,0,0,0,8.5,18Z"}),React.createElement("path",{d:"M23.5,20A3.5,3.5,0,1,1,20,23.5,3.5,3.5,0,0,1,23.5,20m0-2A5.5,5.5,0,1,0,29,23.5,5.5,5.5,0,0,0,23.5,18Z"}),props.children);});var DataStructured32=/*#__PURE__*/React.forwardRef(function DataStructured32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"9",cy:"7",r:"1"}),React.createElement("path",{d:"M27,22.14V18a2,2,0,0,0-2-2H17V12h9a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2h9v4H7a2,2,0,0,0-2,2v4.14a4,4,0,1,0,2,0V18h8v4H12v8h8V22H17V18h8v4.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26Zm10-2v4H14V24ZM6,10V4H26v6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataStructured24=/*#__PURE__*/React.forwardRef(function DataStructured24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"9",cy:"7",r:"1"}),React.createElement("path",{d:"M27,22.14V18a2,2,0,0,0-2-2H17V12h9a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2h9v4H7a2,2,0,0,0-2,2v4.14a4,4,0,1,0,2,0V18h8v4H12v8h8V22H17V18h8v4.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26Zm10-2v4H14V24ZM6,10V4H26v6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataStructured20=/*#__PURE__*/React.forwardRef(function DataStructured20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"9",cy:"7",r:"1"}),React.createElement("path",{d:"M27,22.14V18a2,2,0,0,0-2-2H17V12h9a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2h9v4H7a2,2,0,0,0-2,2v4.14a4,4,0,1,0,2,0V18h8v4H12v8h8V22H17V18h8v4.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26Zm10-2v4H14V24ZM6,10V4H26v6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataStructured16=/*#__PURE__*/React.forwardRef(function DataStructured16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"9",cy:"7",r:"1"}),React.createElement("path",{d:"M27,22.14V18a2,2,0,0,0-2-2H17V12h9a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2h9v4H7a2,2,0,0,0-2,2v4.14a4,4,0,1,0,2,0V18h8v4H12v8h8V22H17V18h8v4.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26Zm10-2v4H14V24ZM6,10V4H26v6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataUnstructured32=/*#__PURE__*/React.forwardRef(function DataUnstructured32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,6,22Z"}),React.createElement("path",{d:"M16,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,16,2Z"}),React.createElement("path",{d:"M26,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,26,2Z"}),React.createElement("path",{d:"M18,24v4H14V24h4m2-2H12v8h8Z"}),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H7V10h3V2H2v8H5v5a2,2,0,0,0,2,2H25v5.14a4,4,0,1,0,2,0ZM4,4H8V8H4ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataUnstructured24=/*#__PURE__*/React.forwardRef(function DataUnstructured24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,6,22Z"}),React.createElement("path",{d:"M16,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,16,2Z"}),React.createElement("path",{d:"M26,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,26,2Z"}),React.createElement("path",{d:"M18,24v4H14V24h4m2-2H12v8h8Z"}),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H7V10h3V2H2v8H5v5a2,2,0,0,0,2,2H25v5.14a4,4,0,1,0,2,0ZM4,4H8V8H4ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataUnstructured20=/*#__PURE__*/React.forwardRef(function DataUnstructured20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,6,22Z"}),React.createElement("path",{d:"M16,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,16,2Z"}),React.createElement("path",{d:"M26,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,26,2Z"}),React.createElement("path",{d:"M18,24v4H14V24h4m2-2H12v8h8Z"}),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H7V10h3V2H2v8H5v5a2,2,0,0,0,2,2H25v5.14a4,4,0,1,0,2,0ZM4,4H8V8H4ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataUnstructured16=/*#__PURE__*/React.forwardRef(function DataUnstructured16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,24a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,6,22Z"}),React.createElement("path",{d:"M16,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,16,2Z"}),React.createElement("path",{d:"M26,4a2,2,0,1,1-2,2,2,2,0,0,1,2-2m0-2a4,4,0,1,0,4,4A4,4,0,0,0,26,2Z"}),React.createElement("path",{d:"M18,24v4H14V24h4m2-2H12v8h8Z"}),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H7V10h3V2H2v8H5v5a2,2,0,0,0,2,2H25v5.14a4,4,0,1,0,2,0ZM4,4H8V8H4ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var DataClass32=/*#__PURE__*/React.forwardRef(function DataClass32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a3.9612,3.9612,0,0,0-2.02.5657l-2.8586-2.8585,2.293-2.293a2,2,0,0,0,0-2.8284l-6-6a2,2,0,0,0-2.8284,0l-6,6a2,2,0,0,0,0,2.8284l2.293,2.293L8.02,16.5657A4.043,4.043,0,1,0,9.4343,17.98l2.8585-2.8586,2.293,2.293A1.9773,1.9773,0,0,0,15,17.7233V22H12v8h8V22H17V17.7233a1.9773,1.9773,0,0,0,.4142-.3091l2.293-2.293L22.5657,17.98A3.9885,3.9885,0,1,0,26,16ZM8,20a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,20Zm10,4v4H14V24h4Zm-2-8-6-6,6-6,6,6Zm10,6a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,22Z"}),props.children);});var DataClass24=/*#__PURE__*/React.forwardRef(function DataClass24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a3.9612,3.9612,0,0,0-2.02.5657l-2.8586-2.8585,2.293-2.293a2,2,0,0,0,0-2.8284l-6-6a2,2,0,0,0-2.8284,0l-6,6a2,2,0,0,0,0,2.8284l2.293,2.293L8.02,16.5657A4.043,4.043,0,1,0,9.4343,17.98l2.8585-2.8586,2.293,2.293A1.9773,1.9773,0,0,0,15,17.7233V22H12v8h8V22H17V17.7233a1.9773,1.9773,0,0,0,.4142-.3091l2.293-2.293L22.5657,17.98A3.9885,3.9885,0,1,0,26,16ZM8,20a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,20Zm10,4v4H14V24h4Zm-2-8-6-6,6-6,6,6Zm10,6a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,22Z"}),props.children);});var DataClass20=/*#__PURE__*/React.forwardRef(function DataClass20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a3.9612,3.9612,0,0,0-2.02.5657l-2.8586-2.8585,2.293-2.293a2,2,0,0,0,0-2.8284l-6-6a2,2,0,0,0-2.8284,0l-6,6a2,2,0,0,0,0,2.8284l2.293,2.293L8.02,16.5657A4.043,4.043,0,1,0,9.4343,17.98l2.8585-2.8586,2.293,2.293A1.9773,1.9773,0,0,0,15,17.7233V22H12v8h8V22H17V17.7233a1.9773,1.9773,0,0,0,.4142-.3091l2.293-2.293L22.5657,17.98A3.9885,3.9885,0,1,0,26,16ZM8,20a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,20Zm10,4v4H14V24h4Zm-2-8-6-6,6-6,6,6Zm10,6a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,22Z"}),props.children);});var DataClass16=/*#__PURE__*/React.forwardRef(function DataClass16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a3.9612,3.9612,0,0,0-2.02.5657l-2.8586-2.8585,2.293-2.293a2,2,0,0,0,0-2.8284l-6-6a2,2,0,0,0-2.8284,0l-6,6a2,2,0,0,0,0,2.8284l2.293,2.293L8.02,16.5657A4.043,4.043,0,1,0,9.4343,17.98l2.8585-2.8586,2.293,2.293A1.9773,1.9773,0,0,0,15,17.7233V22H12v8h8V22H17V17.7233a1.9773,1.9773,0,0,0,.4142-.3091l2.293-2.293L22.5657,17.98A3.9885,3.9885,0,1,0,26,16ZM8,20a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,20Zm10,4v4H14V24h4Zm-2-8-6-6,6-6,6,6Zm10,6a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,22Z"}),props.children);});var DataRefinery32=/*#__PURE__*/React.forwardRef(function DataRefinery32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,30a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,30Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,22Z"}),React.createElement("path",{d:"M24,26H14V24H24V17H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6H18V8H8v7H24a2.0021,2.0021,0,0,1,2,2v7A2.0021,2.0021,0,0,1,24,26Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6V4Z"}),props.children);});var DataRefinery24=/*#__PURE__*/React.forwardRef(function DataRefinery24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,30a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,30Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,22Z"}),React.createElement("path",{d:"M24,26H14V24H24V17H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6H18V8H8v7H24a2.0021,2.0021,0,0,1,2,2v7A2.0021,2.0021,0,0,1,24,26Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6V4Z"}),props.children);});var DataRefinery20=/*#__PURE__*/React.forwardRef(function DataRefinery20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,30a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,30Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,22Z"}),React.createElement("path",{d:"M24,26H14V24H24V17H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6H18V8H8v7H24a2.0021,2.0021,0,0,1,2,2v7A2.0021,2.0021,0,0,1,24,26Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6V4Z"}),props.children);});var DataRefinery16=/*#__PURE__*/React.forwardRef(function DataRefinery16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,30a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,30Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,22Z"}),React.createElement("path",{d:"M24,26H14V24H24V17H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6H18V8H8v7H24a2.0021,2.0021,0,0,1,2,2v7A2.0021,2.0021,0,0,1,24,26Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6V4Z"}),props.children);});var DataShare32=/*#__PURE__*/React.forwardRef(function DataShare32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,25V15.8281l-3.5859,3.586L0,18l6-6,6,6-1.4141,1.4141L7,15.8281V25H19v2H7A2.0024,2.0024,0,0,1,5,25Z"}),React.createElement("path",{d:"M24,22h4a2.002,2.002,0,0,1,2,2v4a2.002,2.002,0,0,1-2,2H24a2.002,2.002,0,0,1-2-2V24A2.002,2.002,0,0,1,24,22Zm4,6V24H23.9985L24,28Z"}),React.createElement("path",{d:"M27,6v9.1719l3.5859-3.586L32,13l-6,6-6-6,1.4141-1.4141L25,15.1719V6H13V4H25A2.0024,2.0024,0,0,1,27,6Z"}),React.createElement("rect",{width:"6",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"2"}),props.children);});var DataShare24=/*#__PURE__*/React.forwardRef(function DataShare24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,25V15.8281l-3.5859,3.586L0,18l6-6,6,6-1.4141,1.4141L7,15.8281V25H19v2H7A2.0024,2.0024,0,0,1,5,25Z"}),React.createElement("path",{d:"M24,22h4a2.002,2.002,0,0,1,2,2v4a2.002,2.002,0,0,1-2,2H24a2.002,2.002,0,0,1-2-2V24A2.002,2.002,0,0,1,24,22Zm4,6V24H23.9985L24,28Z"}),React.createElement("path",{d:"M27,6v9.1719l3.5859-3.586L32,13l-6,6-6-6,1.4141-1.4141L25,15.1719V6H13V4H25A2.0024,2.0024,0,0,1,27,6Z"}),React.createElement("rect",{width:"6",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"2"}),props.children);});var DataShare20=/*#__PURE__*/React.forwardRef(function DataShare20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,25V15.8281l-3.5859,3.586L0,18l6-6,6,6-1.4141,1.4141L7,15.8281V25H19v2H7A2.0024,2.0024,0,0,1,5,25Z"}),React.createElement("path",{d:"M24,22h4a2.002,2.002,0,0,1,2,2v4a2.002,2.002,0,0,1-2,2H24a2.002,2.002,0,0,1-2-2V24A2.002,2.002,0,0,1,24,22Zm4,6V24H23.9985L24,28Z"}),React.createElement("path",{d:"M27,6v9.1719l3.5859-3.586L32,13l-6,6-6-6,1.4141-1.4141L25,15.1719V6H13V4H25A2.0024,2.0024,0,0,1,27,6Z"}),React.createElement("rect",{width:"6",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"2"}),props.children);});var DataShare16=/*#__PURE__*/React.forwardRef(function DataShare16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,25V15.8281l-3.5859,3.586L0,18l6-6,6,6-1.4141,1.4141L7,15.8281V25H19v2H7A2.0024,2.0024,0,0,1,5,25Z"}),React.createElement("path",{d:"M24,22h4a2.002,2.002,0,0,1,2,2v4a2.002,2.002,0,0,1-2,2H24a2.002,2.002,0,0,1-2-2V24A2.002,2.002,0,0,1,24,22Zm4,6V24H23.9985L24,28Z"}),React.createElement("path",{d:"M27,6v9.1719l3.5859-3.586L32,13l-6,6-6-6,1.4141-1.4141L25,15.1719V6H13V4H25A2.0024,2.0024,0,0,1,27,6Z"}),React.createElement("rect",{width:"6",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"2"}),props.children);});var DataTable32=/*#__PURE__*/React.forwardRef(function DataTable32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"22"}),React.createElement("path",{d:"M27,3H5A2.0025,2.0025,0,0,0,3,5V27a2.0025,2.0025,0,0,0,2,2H27a2.0025,2.0025,0,0,0,2-2V5A2.0025,2.0025,0,0,0,27,3Zm0,2,0,4H5V5ZM5,27V11H27l0,16Z"}),props.children);});var DataTable24=/*#__PURE__*/React.forwardRef(function DataTable24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"22"}),React.createElement("path",{d:"M27,3H5A2.0025,2.0025,0,0,0,3,5V27a2.0025,2.0025,0,0,0,2,2H27a2.0025,2.0025,0,0,0,2-2V5A2.0025,2.0025,0,0,0,27,3Zm0,2,0,4H5V5ZM5,27V11H27l0,16Z"}),props.children);});var DataTable20=/*#__PURE__*/React.forwardRef(function DataTable20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"22"}),React.createElement("path",{d:"M27,3H5A2.0025,2.0025,0,0,0,3,5V27a2.0025,2.0025,0,0,0,2,2H27a2.0025,2.0025,0,0,0,2-2V5A2.0025,2.0025,0,0,0,27,3Zm0,2,0,4H5V5ZM5,27V11H27l0,16Z"}),props.children);});var DataTable16=/*#__PURE__*/React.forwardRef(function DataTable16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"14"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"22"}),React.createElement("path",{d:"M27,3H5A2.0025,2.0025,0,0,0,3,5V27a2.0025,2.0025,0,0,0,2,2H27a2.0025,2.0025,0,0,0,2-2V5A2.0025,2.0025,0,0,0,27,3Zm0,2,0,4H5V5ZM5,27V11H27l0,16Z"}),props.children);});var DataVis_132=/*#__PURE__*/React.forwardRef(function DataVis_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.9553,3.9553,0,0,0-2.0193.5667L20.167,18.7529a4.9654,4.9654,0,0,0,0-5.5058L22.714,10.7A3.0284,3.0284,0,1,0,21.3,9.286l-2.547,2.547a4.9654,4.9654,0,0,0-5.5058,0L9.4332,8.0191A3.9553,3.9553,0,0,0,10,6a4,4,0,1,0-4,4,3.9553,3.9553,0,0,0,2.0191-.5668l3.8139,3.8139a4.9654,4.9654,0,0,0,0,5.5058L8.0192,22.5668A3.9556,3.9556,0,0,0,6,22a4,4,0,1,0,4,4,3.9553,3.9553,0,0,0-.5667-2.0192l3.8138-3.8138A4.9686,4.9686,0,0,0,15,20.8989v3.2848a3,3,0,1,0,2,0V20.8989a4.9686,4.9686,0,0,0,1.7529-.7319l3.8138,3.8137A3.9553,3.9553,0,0,0,22,26a4,4,0,1,0,4-4ZM16,13a3,3,0,1,1-3,3A3.0033,3.0033,0,0,1,16,13ZM4,6A2,2,0,1,1,6,8,2.002,2.002,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Zm20,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,28Z"}),props.children);});var DataVis_124=/*#__PURE__*/React.forwardRef(function DataVis_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.9553,3.9553,0,0,0-2.0193.5667L20.167,18.7529a4.9654,4.9654,0,0,0,0-5.5058L22.714,10.7A3.0284,3.0284,0,1,0,21.3,9.286l-2.547,2.547a4.9654,4.9654,0,0,0-5.5058,0L9.4332,8.0191A3.9553,3.9553,0,0,0,10,6a4,4,0,1,0-4,4,3.9553,3.9553,0,0,0,2.0191-.5668l3.8139,3.8139a4.9654,4.9654,0,0,0,0,5.5058L8.0192,22.5668A3.9556,3.9556,0,0,0,6,22a4,4,0,1,0,4,4,3.9553,3.9553,0,0,0-.5667-2.0192l3.8138-3.8138A4.9686,4.9686,0,0,0,15,20.8989v3.2848a3,3,0,1,0,2,0V20.8989a4.9686,4.9686,0,0,0,1.7529-.7319l3.8138,3.8137A3.9553,3.9553,0,0,0,22,26a4,4,0,1,0,4-4ZM16,13a3,3,0,1,1-3,3A3.0033,3.0033,0,0,1,16,13ZM4,6A2,2,0,1,1,6,8,2.002,2.002,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Zm20,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,28Z"}),props.children);});var DataVis_120=/*#__PURE__*/React.forwardRef(function DataVis_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.9553,3.9553,0,0,0-2.0193.5667L20.167,18.7529a4.9654,4.9654,0,0,0,0-5.5058L22.714,10.7A3.0284,3.0284,0,1,0,21.3,9.286l-2.547,2.547a4.9654,4.9654,0,0,0-5.5058,0L9.4332,8.0191A3.9553,3.9553,0,0,0,10,6a4,4,0,1,0-4,4,3.9553,3.9553,0,0,0,2.0191-.5668l3.8139,3.8139a4.9654,4.9654,0,0,0,0,5.5058L8.0192,22.5668A3.9556,3.9556,0,0,0,6,22a4,4,0,1,0,4,4,3.9553,3.9553,0,0,0-.5667-2.0192l3.8138-3.8138A4.9686,4.9686,0,0,0,15,20.8989v3.2848a3,3,0,1,0,2,0V20.8989a4.9686,4.9686,0,0,0,1.7529-.7319l3.8138,3.8137A3.9553,3.9553,0,0,0,22,26a4,4,0,1,0,4-4ZM16,13a3,3,0,1,1-3,3A3.0033,3.0033,0,0,1,16,13ZM4,6A2,2,0,1,1,6,8,2.002,2.002,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Zm20,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,28Z"}),props.children);});var DataVis_116=/*#__PURE__*/React.forwardRef(function DataVis_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.9553,3.9553,0,0,0-2.0193.5667L20.167,18.7529a4.9654,4.9654,0,0,0,0-5.5058L22.714,10.7A3.0284,3.0284,0,1,0,21.3,9.286l-2.547,2.547a4.9654,4.9654,0,0,0-5.5058,0L9.4332,8.0191A3.9553,3.9553,0,0,0,10,6a4,4,0,1,0-4,4,3.9553,3.9553,0,0,0,2.0191-.5668l3.8139,3.8139a4.9654,4.9654,0,0,0,0,5.5058L8.0192,22.5668A3.9556,3.9556,0,0,0,6,22a4,4,0,1,0,4,4,3.9553,3.9553,0,0,0-.5667-2.0192l3.8138-3.8138A4.9686,4.9686,0,0,0,15,20.8989v3.2848a3,3,0,1,0,2,0V20.8989a4.9686,4.9686,0,0,0,1.7529-.7319l3.8138,3.8137A3.9553,3.9553,0,0,0,22,26a4,4,0,1,0,4-4ZM16,13a3,3,0,1,1-3,3A3.0033,3.0033,0,0,1,16,13ZM4,6A2,2,0,1,1,6,8,2.002,2.002,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Zm20,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,26,28Z"}),props.children);});var DataVis_232=/*#__PURE__*/React.forwardRef(function DataVis_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H17a2.002,2.002,0,0,0-2,2v6H4a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H15a2.0023,2.0023,0,0,0,2-2V22H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,2,0,4H17V4ZM15.0009,22H4V18H15ZM17,10H28.0007l.0005,4H17Zm-2,2v4H4V12ZM4,28V24H15.0011l0,4Zm13-8V16H28.0015l0,4Z"}),props.children);});var DataVis_224=/*#__PURE__*/React.forwardRef(function DataVis_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H17a2.002,2.002,0,0,0-2,2v6H4a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H15a2.0023,2.0023,0,0,0,2-2V22H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,2,0,4H17V4ZM15.0009,22H4V18H15ZM17,10H28.0007l.0005,4H17Zm-2,2v4H4V12ZM4,28V24H15.0011l0,4Zm13-8V16H28.0015l0,4Z"}),props.children);});var DataVis_220=/*#__PURE__*/React.forwardRef(function DataVis_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H17a2.002,2.002,0,0,0-2,2v6H4a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H15a2.0023,2.0023,0,0,0,2-2V22H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,2,0,4H17V4ZM15.0009,22H4V18H15ZM17,10H28.0007l.0005,4H17Zm-2,2v4H4V12ZM4,28V24H15.0011l0,4Zm13-8V16H28.0015l0,4Z"}),props.children);});var DataVis_216=/*#__PURE__*/React.forwardRef(function DataVis_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,2H17a2.002,2.002,0,0,0-2,2v6H4a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H15a2.0023,2.0023,0,0,0,2-2V22H28a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,28,2Zm0,2,0,4H17V4ZM15.0009,22H4V18H15ZM17,10H28.0007l.0005,4H17Zm-2,2v4H4V12ZM4,28V24H15.0011l0,4Zm13-8V16H28.0015l0,4Z"}),props.children);});var DataVis_332=/*#__PURE__*/React.forwardRef(function DataVis_332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,3a2.9913,2.9913,0,0,0-2.8163,2H21.858a3.9807,3.9807,0,0,0-7.716,0H9.858A3.9916,3.9916,0,1,0,5,9.858v4.284a3.9807,3.9807,0,0,0,0,7.716v3.3257a3,3,0,1,0,2,0V21.858a3.978,3.978,0,0,0,1.6729-.9034l3.3638,1.6819A2.9635,2.9635,0,0,0,12,23a3.0117,3.0117,0,1,0,.9221-2.1572L9.7744,19.269A3.95,3.95,0,0,0,10,18a3.9963,3.9963,0,0,0-3-3.858V9.858A3.9947,3.9947,0,0,0,9.858,7h4.284a3.9366,3.9366,0,0,0,4.7816,2.8818l1.8118,3.1705a3.0451,3.0451,0,1,0,1.7326-.9987L20.6893,8.941A3.9839,3.9839,0,0,0,21.858,7h3.3257A2.995,2.995,0,1,0,28,3ZM8,18a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,18ZM6,8A2,2,0,1,1,8,6,2.002,2.002,0,0,1,6,8ZM16,6a2,2,0,1,1,2,2A2.002,2.002,0,0,1,16,6Z"}),props.children);});var DataVis_324=/*#__PURE__*/React.forwardRef(function DataVis_324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,3a2.9913,2.9913,0,0,0-2.8163,2H21.858a3.9807,3.9807,0,0,0-7.716,0H9.858A3.9916,3.9916,0,1,0,5,9.858v4.284a3.9807,3.9807,0,0,0,0,7.716v3.3257a3,3,0,1,0,2,0V21.858a3.978,3.978,0,0,0,1.6729-.9034l3.3638,1.6819A2.9635,2.9635,0,0,0,12,23a3.0117,3.0117,0,1,0,.9221-2.1572L9.7744,19.269A3.95,3.95,0,0,0,10,18a3.9963,3.9963,0,0,0-3-3.858V9.858A3.9947,3.9947,0,0,0,9.858,7h4.284a3.9366,3.9366,0,0,0,4.7816,2.8818l1.8118,3.1705a3.0451,3.0451,0,1,0,1.7326-.9987L20.6893,8.941A3.9839,3.9839,0,0,0,21.858,7h3.3257A2.995,2.995,0,1,0,28,3ZM8,18a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,18ZM6,8A2,2,0,1,1,8,6,2.002,2.002,0,0,1,6,8ZM16,6a2,2,0,1,1,2,2A2.002,2.002,0,0,1,16,6Z"}),props.children);});var DataVis_320=/*#__PURE__*/React.forwardRef(function DataVis_320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,3a2.9913,2.9913,0,0,0-2.8163,2H21.858a3.9807,3.9807,0,0,0-7.716,0H9.858A3.9916,3.9916,0,1,0,5,9.858v4.284a3.9807,3.9807,0,0,0,0,7.716v3.3257a3,3,0,1,0,2,0V21.858a3.978,3.978,0,0,0,1.6729-.9034l3.3638,1.6819A2.9635,2.9635,0,0,0,12,23a3.0117,3.0117,0,1,0,.9221-2.1572L9.7744,19.269A3.95,3.95,0,0,0,10,18a3.9963,3.9963,0,0,0-3-3.858V9.858A3.9947,3.9947,0,0,0,9.858,7h4.284a3.9366,3.9366,0,0,0,4.7816,2.8818l1.8118,3.1705a3.0451,3.0451,0,1,0,1.7326-.9987L20.6893,8.941A3.9839,3.9839,0,0,0,21.858,7h3.3257A2.995,2.995,0,1,0,28,3ZM8,18a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,18ZM6,8A2,2,0,1,1,8,6,2.002,2.002,0,0,1,6,8ZM16,6a2,2,0,1,1,2,2A2.002,2.002,0,0,1,16,6Z"}),props.children);});var DataVis_316=/*#__PURE__*/React.forwardRef(function DataVis_316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,3a2.9913,2.9913,0,0,0-2.8163,2H21.858a3.9807,3.9807,0,0,0-7.716,0H9.858A3.9916,3.9916,0,1,0,5,9.858v4.284a3.9807,3.9807,0,0,0,0,7.716v3.3257a3,3,0,1,0,2,0V21.858a3.978,3.978,0,0,0,1.6729-.9034l3.3638,1.6819A2.9635,2.9635,0,0,0,12,23a3.0117,3.0117,0,1,0,.9221-2.1572L9.7744,19.269A3.95,3.95,0,0,0,10,18a3.9963,3.9963,0,0,0-3-3.858V9.858A3.9947,3.9947,0,0,0,9.858,7h4.284a3.9366,3.9366,0,0,0,4.7816,2.8818l1.8118,3.1705a3.0451,3.0451,0,1,0,1.7326-.9987L20.6893,8.941A3.9839,3.9839,0,0,0,21.858,7h3.3257A2.995,2.995,0,1,0,28,3ZM8,18a2,2,0,1,1-2-2A2.0023,2.0023,0,0,1,8,18ZM6,8A2,2,0,1,1,8,6,2.002,2.002,0,0,1,6,8ZM16,6a2,2,0,1,1,2,2A2.002,2.002,0,0,1,16,6Z"}),props.children);});var DataVis_432=/*#__PURE__*/React.forwardRef(function DataVis_432(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2.002,2.002,0,0,0,3,5V27a2.0023,2.0023,0,0,0,2,2H27a2.0027,2.0027,0,0,0,2-2V5A2.0023,2.0023,0,0,0,27,3Zm0,6H17V5H27ZM15,27H11V23h4Zm0-6H11V17h4ZM9,21H5V17H9Zm2-6V11H21v4Zm0-6V5h4V9Zm12,2h4l0,4H23ZM9,5V15H5V5ZM5,23H9v4H5Zm12,4V17H27.001l.001,10Z"}),props.children);});var DataVis_424=/*#__PURE__*/React.forwardRef(function DataVis_424(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2.002,2.002,0,0,0,3,5V27a2.0023,2.0023,0,0,0,2,2H27a2.0027,2.0027,0,0,0,2-2V5A2.0023,2.0023,0,0,0,27,3Zm0,6H17V5H27ZM15,27H11V23h4Zm0-6H11V17h4ZM9,21H5V17H9Zm2-6V11H21v4Zm0-6V5h4V9Zm12,2h4l0,4H23ZM9,5V15H5V5ZM5,23H9v4H5Zm12,4V17H27.001l.001,10Z"}),props.children);});var DataVis_420=/*#__PURE__*/React.forwardRef(function DataVis_420(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2.002,2.002,0,0,0,3,5V27a2.0023,2.0023,0,0,0,2,2H27a2.0027,2.0027,0,0,0,2-2V5A2.0023,2.0023,0,0,0,27,3Zm0,6H17V5H27ZM15,27H11V23h4Zm0-6H11V17h4ZM9,21H5V17H9Zm2-6V11H21v4Zm0-6V5h4V9Zm12,2h4l0,4H23ZM9,5V15H5V5ZM5,23H9v4H5Zm12,4V17H27.001l.001,10Z"}),props.children);});var DataVis_416=/*#__PURE__*/React.forwardRef(function DataVis_416(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2.002,2.002,0,0,0,3,5V27a2.0023,2.0023,0,0,0,2,2H27a2.0027,2.0027,0,0,0,2-2V5A2.0023,2.0023,0,0,0,27,3Zm0,6H17V5H27ZM15,27H11V23h4Zm0-6H11V17h4ZM9,21H5V17H9Zm2-6V11H21v4Zm0-6V5h4V9Zm12,2h4l0,4H23ZM9,5V15H5V5ZM5,23H9v4H5Zm12,4V17H27.001l.001,10Z"}),props.children);});var Datastore32=/*#__PURE__*/React.forwardRef(function Datastore32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"23",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"22"}),React.createElement("circle",{cx:"23",cy:"9",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"8"}),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H8v4H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V20a2,2,0,0,0-2-2H24V14ZM6,6H26v6H6ZM26,26H6V20H26Zm-4-8H10V14H22Z"}),props.children);});var Datastore24=/*#__PURE__*/React.forwardRef(function Datastore24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"23",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"22"}),React.createElement("circle",{cx:"23",cy:"9",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"8"}),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H8v4H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V20a2,2,0,0,0-2-2H24V14ZM6,6H26v6H6ZM26,26H6V20H26Zm-4-8H10V14H22Z"}),props.children);});var Datastore20=/*#__PURE__*/React.forwardRef(function Datastore20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"23",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"22"}),React.createElement("circle",{cx:"23",cy:"9",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"8"}),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H8v4H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V20a2,2,0,0,0-2-2H24V14ZM6,6H26v6H6ZM26,26H6V20H26Zm-4-8H10V14H22Z"}),props.children);});var Datastore16=/*#__PURE__*/React.forwardRef(function Datastore16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"23",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"22"}),React.createElement("circle",{cx:"23",cy:"9",r:"1"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"8"}),React.createElement("path",{d:"M26,14a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H8v4H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V20a2,2,0,0,0-2-2H24V14ZM6,6H26v6H6ZM26,26H6V20H26Zm-4-8H10V14H22Z"}),props.children);});var Debug32=/*#__PURE__*/React.forwardRef(function Debug32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.83,20l.34-2L25,17.15V13c0-.08,0-.15,0-.23l5.06-1.36-.51-1.93-4.83,1.29A9,9,0,0,0,20,5V2H18V4.23a8.81,8.81,0,0,0-4,0V2H12V5a9,9,0,0,0-4.71,5.82L2.46,9.48,2,11.41,7,12.77c0,.08,0,.15,0,.23v4.15L1.84,18l.32,2L7,19.18a8.9,8.9,0,0,0,.82,3.57L3.29,27.29l1.42,1.42,4.19-4.2a9,9,0,0,0,14.2,0l4.19,4.2,1.42-1.42-4.54-4.54A8.9,8.9,0,0,0,25,19.18ZM15,25.92A7,7,0,0,1,9,19V13h6ZM9.29,11a7,7,0,0,1,13.42,0ZM23,19a7,7,0,0,1-6,6.92V13h6Z"}),props.children);});var Debug24=/*#__PURE__*/React.forwardRef(function Debug24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.83,20l.34-2L25,17.15V13c0-.08,0-.15,0-.23l5.06-1.36-.51-1.93-4.83,1.29A9,9,0,0,0,20,5V2H18V4.23a8.81,8.81,0,0,0-4,0V2H12V5a9,9,0,0,0-4.71,5.82L2.46,9.48,2,11.41,7,12.77c0,.08,0,.15,0,.23v4.15L1.84,18l.32,2L7,19.18a8.9,8.9,0,0,0,.82,3.57L3.29,27.29l1.42,1.42,4.19-4.2a9,9,0,0,0,14.2,0l4.19,4.2,1.42-1.42-4.54-4.54A8.9,8.9,0,0,0,25,19.18ZM15,25.92A7,7,0,0,1,9,19V13h6ZM9.29,11a7,7,0,0,1,13.42,0ZM23,19a7,7,0,0,1-6,6.92V13h6Z"}),props.children);});var Debug20=/*#__PURE__*/React.forwardRef(function Debug20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.83,20l.34-2L25,17.15V13c0-.08,0-.15,0-.23l5.06-1.36-.51-1.93-4.83,1.29A9,9,0,0,0,20,5V2H18V4.23a8.81,8.81,0,0,0-4,0V2H12V5a9,9,0,0,0-4.71,5.82L2.46,9.48,2,11.41,7,12.77c0,.08,0,.15,0,.23v4.15L1.84,18l.32,2L7,19.18a8.9,8.9,0,0,0,.82,3.57L3.29,27.29l1.42,1.42,4.19-4.2a9,9,0,0,0,14.2,0l4.19,4.2,1.42-1.42-4.54-4.54A8.9,8.9,0,0,0,25,19.18ZM15,25.92A7,7,0,0,1,9,19V13h6ZM9.29,11a7,7,0,0,1,13.42,0ZM23,19a7,7,0,0,1-6,6.92V13h6Z"}),props.children);});var Debug16=/*#__PURE__*/React.forwardRef(function Debug16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.83,20l.34-2L25,17.15V13c0-.08,0-.15,0-.23l5.06-1.36-.51-1.93-4.83,1.29A9,9,0,0,0,20,5V2H18V4.23a8.81,8.81,0,0,0-4,0V2H12V5a9,9,0,0,0-4.71,5.82L2.46,9.48,2,11.41,7,12.77c0,.08,0,.15,0,.23v4.15L1.84,18l.32,2L7,19.18a8.9,8.9,0,0,0,.82,3.57L3.29,27.29l1.42,1.42,4.19-4.2a9,9,0,0,0,14.2,0l4.19,4.2,1.42-1.42-4.54-4.54A8.9,8.9,0,0,0,25,19.18ZM15,25.92A7,7,0,0,1,9,19V13h6ZM9.29,11a7,7,0,0,1,13.42,0ZM23,19a7,7,0,0,1-6,6.92V13h6Z"}),props.children);});var Delete32=/*#__PURE__*/React.forwardRef(function Delete32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var Delete24=/*#__PURE__*/React.forwardRef(function Delete24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var Delete20=/*#__PURE__*/React.forwardRef(function Delete20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var Delete16=/*#__PURE__*/React.forwardRef(function Delete16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var DeliveryTruck32=/*#__PURE__*/React.forwardRef(function DeliveryTruck32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.92,16.61l-3-7A1,1,0,0,0,26,9H23V7a1,1,0,0,0-1-1H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.92,16.61ZM23,11h2.34l2.14,5H23ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm10.14-3H12.86a4,4,0,0,0-7.72,0H4V8H21V20.56A4,4,0,0,0,19.14,23ZM23,26a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86A4,4,0,0,0,23,20V18h5Z"}),props.children);});var DeliveryTruck24=/*#__PURE__*/React.forwardRef(function DeliveryTruck24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.92,16.61l-3-7A1,1,0,0,0,26,9H23V7a1,1,0,0,0-1-1H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.92,16.61ZM23,11h2.34l2.14,5H23ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm10.14-3H12.86a4,4,0,0,0-7.72,0H4V8H21V20.56A4,4,0,0,0,19.14,23ZM23,26a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86A4,4,0,0,0,23,20V18h5Z"}),props.children);});var DeliveryTruck20=/*#__PURE__*/React.forwardRef(function DeliveryTruck20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.92,16.61l-3-7A1,1,0,0,0,26,9H23V7a1,1,0,0,0-1-1H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.92,16.61ZM23,11h2.34l2.14,5H23ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm10.14-3H12.86a4,4,0,0,0-7.72,0H4V8H21V20.56A4,4,0,0,0,19.14,23ZM23,26a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86A4,4,0,0,0,23,20V18h5Z"}),props.children);});var DeliveryTruck16=/*#__PURE__*/React.forwardRef(function DeliveryTruck16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.92,16.61l-3-7A1,1,0,0,0,26,9H23V7a1,1,0,0,0-1-1H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.92,16.61ZM23,11h2.34l2.14,5H23ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm10.14-3H12.86a4,4,0,0,0-7.72,0H4V8H21V20.56A4,4,0,0,0,19.14,23ZM23,26a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86A4,4,0,0,0,23,20V18h5Z"}),props.children);});var Departure32=/*#__PURE__*/React.forwardRef(function Departure32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M13.48,5.15l5.69,8.14.8,1.15,1.35-.36,4.52-1.21a2.13,2.13,0,0,1,1.12,0A1.84,1.84,0,0,1,28.23,14,1.87,1.87,0,0,1,27,16.45l-18.71,5a1.78,1.78,0,0,1-1,0A1.87,1.87,0,0,1,6,20.12l-.25-.93L5,16.38l-.74-2.74,1.44-.39L8,16.35l.81,1.08,1.31-.35,2.8-.75,1.94-.52-.52-1.93L12.08,5.52l1.4-.37M14.16,3a1.06,1.06,0,0,0-.5,0l-3.09.83A1,1,0,0,0,9.89,5l2.5,9.36-2.81.75L6.85,11.5a1,1,0,0,0-.52-.36,1.06,1.06,0,0,0-.5,0L2.72,12A1,1,0,0,0,2,13.16L3,16.9l.75,2.8.25.94a3.87,3.87,0,0,0,2.74,2.74,3.91,3.91,0,0,0,2,0l18.7-5a3.84,3.84,0,0,0,0-7.44,4.27,4.27,0,0,0-2.16,0l-4.51,1.21L14.7,3.41A1,1,0,0,0,14.16,3Z"}),props.children);});var Departure24=/*#__PURE__*/React.forwardRef(function Departure24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M13.48,5.15l5.69,8.14.8,1.15,1.35-.36,4.52-1.21a2.13,2.13,0,0,1,1.12,0A1.84,1.84,0,0,1,28.23,14,1.87,1.87,0,0,1,27,16.45l-18.71,5a1.78,1.78,0,0,1-1,0A1.87,1.87,0,0,1,6,20.12l-.25-.93L5,16.38l-.74-2.74,1.44-.39L8,16.35l.81,1.08,1.31-.35,2.8-.75,1.94-.52-.52-1.93L12.08,5.52l1.4-.37M14.16,3a1.06,1.06,0,0,0-.5,0l-3.09.83A1,1,0,0,0,9.89,5l2.5,9.36-2.81.75L6.85,11.5a1,1,0,0,0-.52-.36,1.06,1.06,0,0,0-.5,0L2.72,12A1,1,0,0,0,2,13.16L3,16.9l.75,2.8.25.94a3.87,3.87,0,0,0,2.74,2.74,3.91,3.91,0,0,0,2,0l18.7-5a3.84,3.84,0,0,0,0-7.44,4.27,4.27,0,0,0-2.16,0l-4.51,1.21L14.7,3.41A1,1,0,0,0,14.16,3Z"}),props.children);});var Departure20=/*#__PURE__*/React.forwardRef(function Departure20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M13.48,5.15l5.69,8.14.8,1.15,1.35-.36,4.52-1.21a2.13,2.13,0,0,1,1.12,0A1.84,1.84,0,0,1,28.23,14,1.87,1.87,0,0,1,27,16.45l-18.71,5a1.78,1.78,0,0,1-1,0A1.87,1.87,0,0,1,6,20.12l-.25-.93L5,16.38l-.74-2.74,1.44-.39L8,16.35l.81,1.08,1.31-.35,2.8-.75,1.94-.52-.52-1.93L12.08,5.52l1.4-.37M14.16,3a1.06,1.06,0,0,0-.5,0l-3.09.83A1,1,0,0,0,9.89,5l2.5,9.36-2.81.75L6.85,11.5a1,1,0,0,0-.52-.36,1.06,1.06,0,0,0-.5,0L2.72,12A1,1,0,0,0,2,13.16L3,16.9l.75,2.8.25.94a3.87,3.87,0,0,0,2.74,2.74,3.91,3.91,0,0,0,2,0l18.7-5a3.84,3.84,0,0,0,0-7.44,4.27,4.27,0,0,0-2.16,0l-4.51,1.21L14.7,3.41A1,1,0,0,0,14.16,3Z"}),props.children);});var Departure16=/*#__PURE__*/React.forwardRef(function Departure16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M13.48,5.15l5.69,8.14.8,1.15,1.35-.36,4.52-1.21a2.13,2.13,0,0,1,1.12,0A1.84,1.84,0,0,1,28.23,14,1.87,1.87,0,0,1,27,16.45l-18.71,5a1.78,1.78,0,0,1-1,0A1.87,1.87,0,0,1,6,20.12l-.25-.93L5,16.38l-.74-2.74,1.44-.39L8,16.35l.81,1.08,1.31-.35,2.8-.75,1.94-.52-.52-1.93L12.08,5.52l1.4-.37M14.16,3a1.06,1.06,0,0,0-.5,0l-3.09.83A1,1,0,0,0,9.89,5l2.5,9.36-2.81.75L6.85,11.5a1,1,0,0,0-.52-.36,1.06,1.06,0,0,0-.5,0L2.72,12A1,1,0,0,0,2,13.16L3,16.9l.75,2.8.25.94a3.87,3.87,0,0,0,2.74,2.74,3.91,3.91,0,0,0,2,0l18.7-5a3.84,3.84,0,0,0,0-7.44,4.27,4.27,0,0,0-2.16,0l-4.51,1.21L14.7,3.41A1,1,0,0,0,14.16,3Z"}),props.children);});var DeployRules32=/*#__PURE__*/React.forwardRef(function DeployRules32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 4 12 10 13.41 11.41 17 7.83 17 20 19 20 19 7.83 22.59 11.41 24 10 18 4"}),React.createElement("rect",{width:"7",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"26"}),props.children);});var DeployRules24=/*#__PURE__*/React.forwardRef(function DeployRules24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 4 12 10 13.41 11.41 17 7.83 17 20 19 20 19 7.83 22.59 11.41 24 10 18 4"}),React.createElement("rect",{width:"7",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"26"}),props.children);});var DeployRules20=/*#__PURE__*/React.forwardRef(function DeployRules20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 4 12 10 13.41 11.41 17 7.83 17 20 19 20 19 7.83 22.59 11.41 24 10 18 4"}),React.createElement("rect",{width:"7",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"26"}),props.children);});var DeployRules16=/*#__PURE__*/React.forwardRef(function DeployRules16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 4 12 10 13.41 11.41 17 7.83 17 20 19 20 19 7.83 22.59 11.41 24 10 18 4"}),React.createElement("rect",{width:"7",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"26"}),props.children);});var Deploy32=/*#__PURE__*/React.forwardRef(function Deploy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"13",cy:"19",r:"3"}),React.createElement("path",{d:"M23,2,17,8l1.4146,1.4024L22,5.8181V19a9,9,0,1,1-15.9956-5.663L4.4507,12.0779A11,11,0,1,0,24,19V5.8152l3.5859,3.5869L29,8Z"}),props.children);});var Deploy24=/*#__PURE__*/React.forwardRef(function Deploy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"13",cy:"19",r:"3"}),React.createElement("path",{d:"M23,2,17,8l1.4146,1.4024L22,5.8181V19a9,9,0,1,1-15.9956-5.663L4.4507,12.0779A11,11,0,1,0,24,19V5.8152l3.5859,3.5869L29,8Z"}),props.children);});var Deploy20=/*#__PURE__*/React.forwardRef(function Deploy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"13",cy:"19",r:"3"}),React.createElement("path",{d:"M23,2,17,8l1.4146,1.4024L22,5.8181V19a9,9,0,1,1-15.9956-5.663L4.4507,12.0779A11,11,0,1,0,24,19V5.8152l3.5859,3.5869L29,8Z"}),props.children);});var Deploy16=/*#__PURE__*/React.forwardRef(function Deploy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"13",cy:"19",r:"3"}),React.createElement("path",{d:"M23,2,17,8l1.4146,1.4024L22,5.8181V19a9,9,0,1,1-15.9956-5.663L4.4507,12.0779A11,11,0,1,0,24,19V5.8152l3.5859,3.5869L29,8Z"}),props.children);});var Development32=/*#__PURE__*/React.forwardRef(function Development32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,4V8H4V4H8M2,2v8h8V2Z"}),React.createElement("path",{d:"M18,7v4H14V7h4M12,5v8h8V5Z"}),React.createElement("path",{d:"M8,16v4H4V16H8M2,14v8h8V14Z"}),React.createElement("path",{d:"M22,10v6H16v6H10v8H30V10Zm-4,8h4v4H18ZM16,28H12V24h4Zm6,0H18V24h4Zm6,0H24V24h4Zm0-6H24V18h4Zm-4-6V12h4v4Z"}),props.children);});var Development24=/*#__PURE__*/React.forwardRef(function Development24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,4V8H4V4H8M2,2v8h8V2Z"}),React.createElement("path",{d:"M18,7v4H14V7h4M12,5v8h8V5Z"}),React.createElement("path",{d:"M8,16v4H4V16H8M2,14v8h8V14Z"}),React.createElement("path",{d:"M22,10v6H16v6H10v8H30V10Zm-4,8h4v4H18ZM16,28H12V24h4Zm6,0H18V24h4Zm6,0H24V24h4Zm0-6H24V18h4Zm-4-6V12h4v4Z"}),props.children);});var Development20=/*#__PURE__*/React.forwardRef(function Development20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,4V8H4V4H8M2,2v8h8V2Z"}),React.createElement("path",{d:"M18,7v4H14V7h4M12,5v8h8V5Z"}),React.createElement("path",{d:"M8,16v4H4V16H8M2,14v8h8V14Z"}),React.createElement("path",{d:"M22,10v6H16v6H10v8H30V10Zm-4,8h4v4H18ZM16,28H12V24h4Zm6,0H18V24h4Zm6,0H24V24h4Zm0-6H24V18h4Zm-4-6V12h4v4Z"}),props.children);});var Development16=/*#__PURE__*/React.forwardRef(function Development16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,4V8H4V4H8M2,2v8h8V2Z"}),React.createElement("path",{d:"M18,7v4H14V7h4M12,5v8h8V5Z"}),React.createElement("path",{d:"M8,16v4H4V16H8M2,14v8h8V14Z"}),React.createElement("path",{d:"M22,10v6H16v6H10v8H30V10Zm-4,8h4v4H18ZM16,28H12V24h4Zm6,0H18V24h4Zm6,0H24V24h4Zm0-6H24V18h4Zm-4-6V12h4v4Z"}),props.children);});var Devices32=/*#__PURE__*/React.forwardRef(function Devices32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,30H4a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,10,30ZM4,16V28h6V16Z"}),React.createElement("path",{d:"M28,4H6A2,2,0,0,0,4,6v6H6V6H28V20H14v2h2v4H14v2h9V26H18V22H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Z"}),props.children);});var Devices24=/*#__PURE__*/React.forwardRef(function Devices24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,30H4a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,10,30ZM4,16V28h6V16Z"}),React.createElement("path",{d:"M28,4H6A2,2,0,0,0,4,6v6H6V6H28V20H14v2h2v4H14v2h9V26H18V22H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Z"}),props.children);});var Devices20=/*#__PURE__*/React.forwardRef(function Devices20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,30H4a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,10,30ZM4,16V28h6V16Z"}),React.createElement("path",{d:"M28,4H6A2,2,0,0,0,4,6v6H6V6H28V20H14v2h2v4H14v2h9V26H18V22H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Z"}),props.children);});var Devices16=/*#__PURE__*/React.forwardRef(function Devices16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,30H4a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,10,30ZM4,16V28h6V16Z"}),React.createElement("path",{d:"M28,4H6A2,2,0,0,0,4,6v6H6V6H28V20H14v2h2v4H14v2h9V26H18V22H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Z"}),props.children);});var Diagram32=/*#__PURE__*/React.forwardRef(function Diagram32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30A11,11,0,0,1,13,8a1,1,0,0,1,1,1v9h9a1,1,0,0,1,1,1A11,11,0,0,1,13,30ZM12,10.06A9,9,0,1,0,21.94,20H14a2,2,0,0,1-2-2Z"}),React.createElement("path",{d:"M28,14H19a2,2,0,0,1-2-2V3a1,1,0,0,1,1-1A11,11,0,0,1,29,13,1,1,0,0,1,28,14Zm-9-2h7.94A9,9,0,0,0,19,4.06Z"}),props.children);});var Diagram24=/*#__PURE__*/React.forwardRef(function Diagram24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30A11,11,0,0,1,13,8a1,1,0,0,1,1,1v9h9a1,1,0,0,1,1,1A11,11,0,0,1,13,30ZM12,10.06A9,9,0,1,0,21.94,20H14a2,2,0,0,1-2-2Z"}),React.createElement("path",{d:"M28,14H19a2,2,0,0,1-2-2V3a1,1,0,0,1,1-1A11,11,0,0,1,29,13,1,1,0,0,1,28,14Zm-9-2h7.94A9,9,0,0,0,19,4.06Z"}),props.children);});var Diagram20=/*#__PURE__*/React.forwardRef(function Diagram20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30A11,11,0,0,1,13,8a1,1,0,0,1,1,1v9h9a1,1,0,0,1,1,1A11,11,0,0,1,13,30ZM12,10.06A9,9,0,1,0,21.94,20H14a2,2,0,0,1-2-2Z"}),React.createElement("path",{d:"M28,14H19a2,2,0,0,1-2-2V3a1,1,0,0,1,1-1A11,11,0,0,1,29,13,1,1,0,0,1,28,14Zm-9-2h7.94A9,9,0,0,0,19,4.06Z"}),props.children);});var Diagram16=/*#__PURE__*/React.forwardRef(function Diagram16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30A11,11,0,0,1,13,8a1,1,0,0,1,1,1v9h9a1,1,0,0,1,1,1A11,11,0,0,1,13,30ZM12,10.06A9,9,0,1,0,21.94,20H14a2,2,0,0,1-2-2Z"}),React.createElement("path",{d:"M28,14H19a2,2,0,0,1-2-2V3a1,1,0,0,1,1-1A11,11,0,0,1,29,13,1,1,0,0,1,28,14Zm-9-2h7.94A9,9,0,0,0,19,4.06Z"}),props.children);});var DistributeHorizontalCenter32=/*#__PURE__*/React.forwardRef(function DistributeHorizontalCenter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10H23V2H21v8H20a2.0023,2.0023,0,0,0-2,2v8a2.0023,2.0023,0,0,0,2,2h1v8h2V22h1a2.0023,2.0023,0,0,0,2-2V12A2.0023,2.0023,0,0,0,24,10Zm0,10H20V12h4Z"}),React.createElement("path",{d:"M12,6H11V2H9V6H8A2.0023,2.0023,0,0,0,6,8V24a2.0023,2.0023,0,0,0,2,2H9v4h2V26h1a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,12,6Zm0,18H8V8h4Z"}),props.children);});var DistributeHorizontalCenter24=/*#__PURE__*/React.forwardRef(function DistributeHorizontalCenter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10H23V2H21v8H20a2.0023,2.0023,0,0,0-2,2v8a2.0023,2.0023,0,0,0,2,2h1v8h2V22h1a2.0023,2.0023,0,0,0,2-2V12A2.0023,2.0023,0,0,0,24,10Zm0,10H20V12h4Z"}),React.createElement("path",{d:"M12,6H11V2H9V6H8A2.0023,2.0023,0,0,0,6,8V24a2.0023,2.0023,0,0,0,2,2H9v4h2V26h1a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,12,6Zm0,18H8V8h4Z"}),props.children);});var DistributeHorizontalCenter20=/*#__PURE__*/React.forwardRef(function DistributeHorizontalCenter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10H23V2H21v8H20a2.0023,2.0023,0,0,0-2,2v8a2.0023,2.0023,0,0,0,2,2h1v8h2V22h1a2.0023,2.0023,0,0,0,2-2V12A2.0023,2.0023,0,0,0,24,10Zm0,10H20V12h4Z"}),React.createElement("path",{d:"M12,6H11V2H9V6H8A2.0023,2.0023,0,0,0,6,8V24a2.0023,2.0023,0,0,0,2,2H9v4h2V26h1a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,12,6Zm0,18H8V8h4Z"}),props.children);});var DistributeHorizontalCenter16=/*#__PURE__*/React.forwardRef(function DistributeHorizontalCenter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10H23V2H21v8H20a2.0023,2.0023,0,0,0-2,2v8a2.0023,2.0023,0,0,0,2,2h1v8h2V22h1a2.0023,2.0023,0,0,0,2-2V12A2.0023,2.0023,0,0,0,24,10Zm0,10H20V12h4Z"}),React.createElement("path",{d:"M12,6H11V2H9V6H8A2.0023,2.0023,0,0,0,6,8V24a2.0023,2.0023,0,0,0,2,2H9v4h2V26h1a2.0023,2.0023,0,0,0,2-2V8A2.0023,2.0023,0,0,0,12,6Zm0,18H8V8h4Z"}),props.children);});var DistributeHorizontalLeft32=/*#__PURE__*/React.forwardRef(function DistributeHorizontalLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H24a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,28,22ZM24,12v8h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"18",y:"2"}),React.createElement("path",{d:"M12,26H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6h4a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,12,26ZM8,8V24h4V8Z"}),React.createElement("rect",{width:"2",height:"28",x:"2",y:"2"}),props.children);});var DistributeHorizontalLeft24=/*#__PURE__*/React.forwardRef(function DistributeHorizontalLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H24a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,28,22ZM24,12v8h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"18",y:"2"}),React.createElement("path",{d:"M12,26H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6h4a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,12,26ZM8,8V24h4V8Z"}),React.createElement("rect",{width:"2",height:"28",x:"2",y:"2"}),props.children);});var DistributeHorizontalLeft20=/*#__PURE__*/React.forwardRef(function DistributeHorizontalLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H24a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,28,22ZM24,12v8h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"18",y:"2"}),React.createElement("path",{d:"M12,26H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6h4a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,12,26ZM8,8V24h4V8Z"}),React.createElement("rect",{width:"2",height:"28",x:"2",y:"2"}),props.children);});var DistributeHorizontalLeft16=/*#__PURE__*/React.forwardRef(function DistributeHorizontalLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H24a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,28,22ZM24,12v8h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"18",y:"2"}),React.createElement("path",{d:"M12,26H8a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,8,6h4a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,12,26ZM8,8V24h4V8Z"}),React.createElement("rect",{width:"2",height:"28",x:"2",y:"2"}),props.children);});var DistributeHorizontalRight32=/*#__PURE__*/React.forwardRef(function DistributeHorizontalRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"28",x:"28",y:"2"}),React.createElement("path",{d:"M24,22H20a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,24,22ZM20,12h-.0015L20,20h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"12",y:"2"}),React.createElement("path",{d:"M8,26H4a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,4,6H8a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,8,26ZM4,8H3.9985L4,24H8V8Z"}),props.children);});var DistributeHorizontalRight24=/*#__PURE__*/React.forwardRef(function DistributeHorizontalRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"28",x:"28",y:"2"}),React.createElement("path",{d:"M24,22H20a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,24,22ZM20,12h-.0015L20,20h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"12",y:"2"}),React.createElement("path",{d:"M8,26H4a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,4,6H8a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,8,26ZM4,8H3.9985L4,24H8V8Z"}),props.children);});var DistributeHorizontalRight20=/*#__PURE__*/React.forwardRef(function DistributeHorizontalRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"28",x:"28",y:"2"}),React.createElement("path",{d:"M24,22H20a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,24,22ZM20,12h-.0015L20,20h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"12",y:"2"}),React.createElement("path",{d:"M8,26H4a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,4,6H8a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,8,26ZM4,8H3.9985L4,24H8V8Z"}),props.children);});var DistributeHorizontalRight16=/*#__PURE__*/React.forwardRef(function DistributeHorizontalRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"28",x:"28",y:"2"}),React.createElement("path",{d:"M24,22H20a2.0021,2.0021,0,0,1-2-2V12a2.0021,2.0021,0,0,1,2-2h4a2.0021,2.0021,0,0,1,2,2v8A2.0021,2.0021,0,0,1,24,22ZM20,12h-.0015L20,20h4V12Z"}),React.createElement("rect",{width:"2",height:"28",x:"12",y:"2"}),React.createElement("path",{d:"M8,26H4a2.0021,2.0021,0,0,1-2-2V8A2.0021,2.0021,0,0,1,4,6H8a2.0021,2.0021,0,0,1,2,2V24A2.0021,2.0021,0,0,1,8,26ZM4,8H3.9985L4,24H8V8Z"}),props.children);});var DistributeVerticalBottom32=/*#__PURE__*/React.forwardRef(function DistributeVerticalBottom32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24,26H8a2.0021,2.0021,0,0,1-2-2V20a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,26Zm0-6.0012L8,20v4H24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"12"}),React.createElement("path",{d:"M20,10H12a2.0021,2.0021,0,0,1-2-2V4a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2V8A2.0021,2.0021,0,0,1,20,10Zm0-6.0012L12,4V8h8Z"}),props.children);});var DistributeVerticalBottom24=/*#__PURE__*/React.forwardRef(function DistributeVerticalBottom24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24,26H8a2.0021,2.0021,0,0,1-2-2V20a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,26Zm0-6.0012L8,20v4H24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"12"}),React.createElement("path",{d:"M20,10H12a2.0021,2.0021,0,0,1-2-2V4a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2V8A2.0021,2.0021,0,0,1,20,10Zm0-6.0012L12,4V8h8Z"}),props.children);});var DistributeVerticalBottom20=/*#__PURE__*/React.forwardRef(function DistributeVerticalBottom20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24,26H8a2.0021,2.0021,0,0,1-2-2V20a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,26Zm0-6.0012L8,20v4H24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"12"}),React.createElement("path",{d:"M20,10H12a2.0021,2.0021,0,0,1-2-2V4a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2V8A2.0021,2.0021,0,0,1,20,10Zm0-6.0012L12,4V8h8Z"}),props.children);});var DistributeVerticalBottom16=/*#__PURE__*/React.forwardRef(function DistributeVerticalBottom16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M24,26H8a2.0021,2.0021,0,0,1-2-2V20a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,26Zm0-6.0012L8,20v4H24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"12"}),React.createElement("path",{d:"M20,10H12a2.0021,2.0021,0,0,1-2-2V4a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2V8A2.0021,2.0021,0,0,1,20,10Zm0-6.0012L12,4V8h8Z"}),props.children);});var DistributeVerticalCenter32=/*#__PURE__*/React.forwardRef(function DistributeVerticalCenter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,21H26V20a2.0023,2.0023,0,0,0-2-2H8a2.0023,2.0023,0,0,0-2,2v1H2v2H6v1a2.0023,2.0023,0,0,0,2,2H24a2.0023,2.0023,0,0,0,2-2V23h4Zm-6,3H8V20l16-.001Z"}),React.createElement("path",{d:"M30,9H22V8a2.0023,2.0023,0,0,0-2-2H12a2.0023,2.0023,0,0,0-2,2V9H2v2h8v1a2.0023,2.0023,0,0,0,2,2h8a2.0023,2.0023,0,0,0,2-2V11h8ZM20,12H12V8l8-.001Z"}),props.children);});var DistributeVerticalCenter24=/*#__PURE__*/React.forwardRef(function DistributeVerticalCenter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,21H26V20a2.0023,2.0023,0,0,0-2-2H8a2.0023,2.0023,0,0,0-2,2v1H2v2H6v1a2.0023,2.0023,0,0,0,2,2H24a2.0023,2.0023,0,0,0,2-2V23h4Zm-6,3H8V20l16-.001Z"}),React.createElement("path",{d:"M30,9H22V8a2.0023,2.0023,0,0,0-2-2H12a2.0023,2.0023,0,0,0-2,2V9H2v2h8v1a2.0023,2.0023,0,0,0,2,2h8a2.0023,2.0023,0,0,0,2-2V11h8ZM20,12H12V8l8-.001Z"}),props.children);});var DistributeVerticalCenter20=/*#__PURE__*/React.forwardRef(function DistributeVerticalCenter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,21H26V20a2.0023,2.0023,0,0,0-2-2H8a2.0023,2.0023,0,0,0-2,2v1H2v2H6v1a2.0023,2.0023,0,0,0,2,2H24a2.0023,2.0023,0,0,0,2-2V23h4Zm-6,3H8V20l16-.001Z"}),React.createElement("path",{d:"M30,9H22V8a2.0023,2.0023,0,0,0-2-2H12a2.0023,2.0023,0,0,0-2,2V9H2v2h8v1a2.0023,2.0023,0,0,0,2,2h8a2.0023,2.0023,0,0,0,2-2V11h8ZM20,12H12V8l8-.001Z"}),props.children);});var DistributeVerticalCenter16=/*#__PURE__*/React.forwardRef(function DistributeVerticalCenter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,21H26V20a2.0023,2.0023,0,0,0-2-2H8a2.0023,2.0023,0,0,0-2,2v1H2v2H6v1a2.0023,2.0023,0,0,0,2,2H24a2.0023,2.0023,0,0,0,2-2V23h4Zm-6,3H8V20l16-.001Z"}),React.createElement("path",{d:"M30,9H22V8a2.0023,2.0023,0,0,0-2-2H12a2.0023,2.0023,0,0,0-2,2V9H2v2h8v1a2.0023,2.0023,0,0,0,2,2h8a2.0023,2.0023,0,0,0,2-2V11h8ZM20,12H12V8l8-.001Z"}),props.children);});var DistributeVerticalTop32=/*#__PURE__*/React.forwardRef(function DistributeVerticalTop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0021,2.0021,0,0,1-2-2V24a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,30ZM8,24v4H24V24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"18"}),React.createElement("path",{d:"M20,14H12a2.0021,2.0021,0,0,1-2-2V8a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,20,14ZM12,8v4h8V8Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"2"}),props.children);});var DistributeVerticalTop24=/*#__PURE__*/React.forwardRef(function DistributeVerticalTop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0021,2.0021,0,0,1-2-2V24a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,30ZM8,24v4H24V24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"18"}),React.createElement("path",{d:"M20,14H12a2.0021,2.0021,0,0,1-2-2V8a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,20,14ZM12,8v4h8V8Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"2"}),props.children);});var DistributeVerticalTop20=/*#__PURE__*/React.forwardRef(function DistributeVerticalTop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0021,2.0021,0,0,1-2-2V24a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,30ZM8,24v4H24V24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"18"}),React.createElement("path",{d:"M20,14H12a2.0021,2.0021,0,0,1-2-2V8a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,20,14ZM12,8v4h8V8Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"2"}),props.children);});var DistributeVerticalTop16=/*#__PURE__*/React.forwardRef(function DistributeVerticalTop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,30H8a2.0021,2.0021,0,0,1-2-2V24a2.0021,2.0021,0,0,1,2-2H24a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,24,30ZM8,24v4H24V24Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"18"}),React.createElement("path",{d:"M20,14H12a2.0021,2.0021,0,0,1-2-2V8a2.0021,2.0021,0,0,1,2-2h8a2.0021,2.0021,0,0,1,2,2v4A2.0021,2.0021,0,0,1,20,14ZM12,8v4h8V8Z"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"2"}),props.children);});var DocumentAdd32=/*#__PURE__*/React.forwardRef(function DocumentAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"21 19 17 19 17 15 15 15 15 19 11 19 11 21 15 21 15 25 17 25 17 21 21 21 21 19"}),props.children);});var DocumentAdd24=/*#__PURE__*/React.forwardRef(function DocumentAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"21 19 17 19 17 15 15 15 15 19 11 19 11 21 15 21 15 25 17 25 17 21 21 21 21 19"}),props.children);});var DocumentAdd20=/*#__PURE__*/React.forwardRef(function DocumentAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"21 19 17 19 17 15 15 15 15 19 11 19 11 21 15 21 15 25 17 25 17 21 21 21 21 19"}),props.children);});var DocumentAdd16=/*#__PURE__*/React.forwardRef(function DocumentAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"21 19 17 19 17 15 15 15 15 19 11 19 11 21 15 21 15 25 17 25 17 21 21 21 21 19"}),props.children);});var DocumentBlank32=/*#__PURE__*/React.forwardRef(function DocumentBlank32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var DocumentBlank24=/*#__PURE__*/React.forwardRef(function DocumentBlank24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var DocumentBlank20=/*#__PURE__*/React.forwardRef(function DocumentBlank20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var DocumentBlank16=/*#__PURE__*/React.forwardRef(function DocumentBlank16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var DocumentDownload32=/*#__PURE__*/React.forwardRef(function DocumentDownload32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("path",{d:"M18,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v3l2,0V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2H18ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentDownload24=/*#__PURE__*/React.forwardRef(function DocumentDownload24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("path",{d:"M18,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v3l2,0V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2H18ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentDownload20=/*#__PURE__*/React.forwardRef(function DocumentDownload20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("path",{d:"M18,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v3l2,0V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2H18ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentDownload16=/*#__PURE__*/React.forwardRef(function DocumentDownload16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("path",{d:"M18,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v3l2,0V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2H18ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentExport32=/*#__PURE__*/React.forwardRef(function DocumentExport32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 21 26.17 21 23.59 23.59 25 25 30 20 25 15 23.59 16.41 26.17 19 13 19 13 21"}),React.createElement("path",{d:"M22,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,14,2H4A2,2,0,0,0,2,4V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V26H20v2H4V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L19.59,10Z"}),props.children);});var DocumentExport24=/*#__PURE__*/React.forwardRef(function DocumentExport24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 21 26.17 21 23.59 23.59 25 25 30 20 25 15 23.59 16.41 26.17 19 13 19 13 21"}),React.createElement("path",{d:"M22,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,14,2H4A2,2,0,0,0,2,4V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V26H20v2H4V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L19.59,10Z"}),props.children);});var DocumentExport20=/*#__PURE__*/React.forwardRef(function DocumentExport20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 21 26.17 21 23.59 23.59 25 25 30 20 25 15 23.59 16.41 26.17 19 13 19 13 21"}),React.createElement("path",{d:"M22,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,14,2H4A2,2,0,0,0,2,4V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V26H20v2H4V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L19.59,10Z"}),props.children);});var DocumentExport16=/*#__PURE__*/React.forwardRef(function DocumentExport16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 21 26.17 21 23.59 23.59 25 25 30 20 25 15 23.59 16.41 26.17 19 13 19 13 21"}),React.createElement("path",{d:"M22,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,14,2H4A2,2,0,0,0,2,4V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V26H20v2H4V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L19.59,10Z"}),props.children);});var DocumentImport32=/*#__PURE__*/React.forwardRef(function DocumentImport32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 19 14.83 19 17.41 16.41 16 15 11 20 16 25 17.41 23.59 14.83 21 28 21 28 19"}),React.createElement("path",{d:"M24,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V26H22v2H6V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L21.59,10Z"}),props.children);});var DocumentImport24=/*#__PURE__*/React.forwardRef(function DocumentImport24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 19 14.83 19 17.41 16.41 16 15 11 20 16 25 17.41 23.59 14.83 21 28 21 28 19"}),React.createElement("path",{d:"M24,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V26H22v2H6V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L21.59,10Z"}),props.children);});var DocumentImport20=/*#__PURE__*/React.forwardRef(function DocumentImport20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 19 14.83 19 17.41 16.41 16 15 11 20 16 25 17.41 23.59 14.83 21 28 21 28 19"}),React.createElement("path",{d:"M24,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V26H22v2H6V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L21.59,10Z"}),props.children);});var DocumentImport16=/*#__PURE__*/React.forwardRef(function DocumentImport16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 19 14.83 19 17.41 16.41 16 15 11 20 16 25 17.41 23.59 14.83 21 28 21 28 19"}),React.createElement("path",{d:"M24,14V10a1,1,0,0,0-.29-.71l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V26H22v2H6V4h8v6a2,2,0,0,0,2,2h6v2Zm-8-4V4.41L21.59,10Z"}),props.children);});var DocumentPdf32=/*#__PURE__*/React.forwardRef(function DocumentPdf32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 18 30 16 24 16 24 26 26 26 26 22 29 22 29 20 26 20 26 18 30 18"}),React.createElement("path",{d:"M19,26H15V16h4a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,19,26Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V19a1.0011,1.0011,0,0,0-1-1H17Z"}),React.createElement("path",{d:"M11,16H6V26H8V23h3a2.0027,2.0027,0,0,0,2-2V18A2.0023,2.0023,0,0,0,11,16ZM8,21V18h3l.001,3Z"}),React.createElement("path",{d:"M22,14V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,14,2H4A2.0059,2.0059,0,0,0,2,4V28a2,2,0,0,0,2,2H20V28H4V4h8v6a2.0059,2.0059,0,0,0,2,2h6v2Zm-8-4V4.4L19.6,10Z"}),props.children);});var DocumentPdf24=/*#__PURE__*/React.forwardRef(function DocumentPdf24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 18 30 16 24 16 24 26 26 26 26 22 29 22 29 20 26 20 26 18 30 18"}),React.createElement("path",{d:"M19,26H15V16h4a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,19,26Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V19a1.0011,1.0011,0,0,0-1-1H17Z"}),React.createElement("path",{d:"M11,16H6V26H8V23h3a2.0027,2.0027,0,0,0,2-2V18A2.0023,2.0023,0,0,0,11,16ZM8,21V18h3l.001,3Z"}),React.createElement("path",{d:"M22,14V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,14,2H4A2.0059,2.0059,0,0,0,2,4V28a2,2,0,0,0,2,2H20V28H4V4h8v6a2.0059,2.0059,0,0,0,2,2h6v2Zm-8-4V4.4L19.6,10Z"}),props.children);});var DocumentPdf20=/*#__PURE__*/React.forwardRef(function DocumentPdf20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 18 30 16 24 16 24 26 26 26 26 22 29 22 29 20 26 20 26 18 30 18"}),React.createElement("path",{d:"M19,26H15V16h4a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,19,26Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V19a1.0011,1.0011,0,0,0-1-1H17Z"}),React.createElement("path",{d:"M11,16H6V26H8V23h3a2.0027,2.0027,0,0,0,2-2V18A2.0023,2.0023,0,0,0,11,16ZM8,21V18h3l.001,3Z"}),React.createElement("path",{d:"M22,14V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,14,2H4A2.0059,2.0059,0,0,0,2,4V28a2,2,0,0,0,2,2H20V28H4V4h8v6a2.0059,2.0059,0,0,0,2,2h6v2Zm-8-4V4.4L19.6,10Z"}),props.children);});var DocumentPdf16=/*#__PURE__*/React.forwardRef(function DocumentPdf16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 18 30 16 24 16 24 26 26 26 26 22 29 22 29 20 26 20 26 18 30 18"}),React.createElement("path",{d:"M19,26H15V16h4a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,19,26Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V19a1.0011,1.0011,0,0,0-1-1H17Z"}),React.createElement("path",{d:"M11,16H6V26H8V23h3a2.0027,2.0027,0,0,0,2-2V18A2.0023,2.0023,0,0,0,11,16ZM8,21V18h3l.001,3Z"}),React.createElement("path",{d:"M22,14V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,14,2H4A2.0059,2.0059,0,0,0,2,4V28a2,2,0,0,0,2,2H20V28H4V4h8v6a2.0059,2.0059,0,0,0,2,2h6v2Zm-8-4V4.4L19.6,10Z"}),props.children);});var DocumentSubtract32=/*#__PURE__*/React.forwardRef(function DocumentSubtract32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"19"}),props.children);});var DocumentSubtract24=/*#__PURE__*/React.forwardRef(function DocumentSubtract24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"19"}),props.children);});var DocumentSubtract20=/*#__PURE__*/React.forwardRef(function DocumentSubtract20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"19"}),props.children);});var DocumentSubtract16=/*#__PURE__*/React.forwardRef(function DocumentSubtract16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("rect",{width:"10",height:"2",x:"11",y:"19"}),props.children);});var DocumentTasks32=/*#__PURE__*/React.forwardRef(function DocumentTasks32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"14 22.18 11.41 19.59 10 21 14 25 22 17 20.59 15.59 14 22.18"}),props.children);});var DocumentTasks24=/*#__PURE__*/React.forwardRef(function DocumentTasks24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"14 22.18 11.41 19.59 10 21 14 25 22 17 20.59 15.59 14 22.18"}),props.children);});var DocumentTasks20=/*#__PURE__*/React.forwardRef(function DocumentTasks20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"14 22.18 11.41 19.59 10 21 14 25 22 17 20.59 15.59 14 22.18"}),props.children);});var DocumentTasks16=/*#__PURE__*/React.forwardRef(function DocumentTasks16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7A.91.91,0,0,0,18,2H8A2,2,0,0,0,6,4V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V10A.91.91,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2,2,0,0,0,2,2h6Z"}),React.createElement("polygon",{points:"14 22.18 11.41 19.59 10 21 14 25 22 17 20.59 15.59 14 22.18"}),props.children);});var DocumentView32=/*#__PURE__*/React.forwardRef(function DocumentView32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v4h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h4ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentView24=/*#__PURE__*/React.forwardRef(function DocumentView24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v4h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h4ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentView20=/*#__PURE__*/React.forwardRef(function DocumentView20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v4h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h4ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentView16=/*#__PURE__*/React.forwardRef(function DocumentView16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v4h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h4ZM18,4.4,23.6,10H18Z"}),props.children);});var DocumentSentiment32=/*#__PURE__*/React.forwardRef(function DocumentSentiment32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,16a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,25l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,16Z"}),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var DocumentSentiment24=/*#__PURE__*/React.forwardRef(function DocumentSentiment24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,16a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,25l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,16Z"}),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var DocumentSentiment20=/*#__PURE__*/React.forwardRef(function DocumentSentiment20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,16a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,25l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,16Z"}),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var DocumentSentiment16=/*#__PURE__*/React.forwardRef(function DocumentSentiment16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,16a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,25l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,16Z"}),React.createElement("path",{d:"M25.7,9.3l-7-7A.9078.9078,0,0,0,18,2H8A2.0059,2.0059,0,0,0,6,4V28a2.0059,2.0059,0,0,0,2,2H24a2.0059,2.0059,0,0,0,2-2V10A.9078.9078,0,0,0,25.7,9.3ZM18,4.4,23.6,10H18ZM24,28H8V4h8v6a2.0059,2.0059,0,0,0,2,2h6Z"}),props.children);});var Document32=/*#__PURE__*/React.forwardRef(function Document32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7C18.5,2.1,18.3,2,18,2H8C6.9,2,6,2.9,6,4v24c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V10C26,9.7,25.9,9.5,25.7,9.3\tz M18,4.4l5.6,5.6H18V4.4z M24,28H8V4h8v6c0,1.1,0.9,2,2,2h6V28z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"22"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),props.children);});var Document24=/*#__PURE__*/React.forwardRef(function Document24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7C18.5,2.1,18.3,2,18,2H8C6.9,2,6,2.9,6,4v24c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V10C26,9.7,25.9,9.5,25.7,9.3\tz M18,4.4l5.6,5.6H18V4.4z M24,28H8V4h8v6c0,1.1,0.9,2,2,2h6V28z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"22"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),props.children);});var Document20=/*#__PURE__*/React.forwardRef(function Document20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7C18.5,2.1,18.3,2,18,2H8C6.9,2,6,2.9,6,4v24c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V10C26,9.7,25.9,9.5,25.7,9.3\tz M18,4.4l5.6,5.6H18V4.4z M24,28H8V4h8v6c0,1.1,0.9,2,2,2h6V28z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"22"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),props.children);});var Document16=/*#__PURE__*/React.forwardRef(function Document16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.7,9.3l-7-7C18.5,2.1,18.3,2,18,2H8C6.9,2,6,2.9,6,4v24c0,1.1,0.9,2,2,2h16c1.1,0,2-0.9,2-2V10C26,9.7,25.9,9.5,25.7,9.3\tz M18,4.4l5.6,5.6H18V4.4z M24,28H8V4h8v6c0,1.1,0.9,2,2,2h6V28z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"22"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),props.children);});var DotMark32=/*#__PURE__*/React.forwardRef(function DotMark32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"8"}),props.children);});var DotMark24=/*#__PURE__*/React.forwardRef(function DotMark24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"8"}),props.children);});var DotMark20=/*#__PURE__*/React.forwardRef(function DotMark20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"8"}),props.children);});var DotMark16=/*#__PURE__*/React.forwardRef(function DotMark16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"8"}),props.children);});var DoubleInteger32=/*#__PURE__*/React.forwardRef(function DoubleInteger32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,8V6H13V2H11V6H8V2H6V6H2V8H6v3H2v2H6v4H8V13h3v4h2V13h4V11H13V8Zm-6,3H8V8h3Z"}),React.createElement("path",{d:"M30,21V19H26V15H24v4H21V15H19v4H15v2h4v3H15v2h4v4h2V26h3v4h2V26h4V24H26V21Zm-6,3H21V21h3Z"}),props.children);});var DoubleInteger24=/*#__PURE__*/React.forwardRef(function DoubleInteger24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,8V6H13V2H11V6H8V2H6V6H2V8H6v3H2v2H6v4H8V13h3v4h2V13h4V11H13V8Zm-6,3H8V8h3Z"}),React.createElement("path",{d:"M30,21V19H26V15H24v4H21V15H19v4H15v2h4v3H15v2h4v4h2V26h3v4h2V26h4V24H26V21Zm-6,3H21V21h3Z"}),props.children);});var DoubleInteger20=/*#__PURE__*/React.forwardRef(function DoubleInteger20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,8V6H13V2H11V6H8V2H6V6H2V8H6v3H2v2H6v4H8V13h3v4h2V13h4V11H13V8Zm-6,3H8V8h3Z"}),React.createElement("path",{d:"M30,21V19H26V15H24v4H21V15H19v4H15v2h4v3H15v2h4v4h2V26h3v4h2V26h4V24H26V21Zm-6,3H21V21h3Z"}),props.children);});var DoubleInteger16=/*#__PURE__*/React.forwardRef(function DoubleInteger16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,8V6H13V2H11V6H8V2H6V6H2V8H6v3H2v2H6v4H8V13h3v4h2V13h4V11H13V8Zm-6,3H8V8h3Z"}),React.createElement("path",{d:"M30,21V19H26V15H24v4H21V15H19v4H15v2h4v3H15v2h4v4h2V26h3v4h2V26h4V24H26V21Zm-6,3H21V21h3Z"}),props.children);});var DownToBottom32=/*#__PURE__*/React.forwardRef(function DownToBottom32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,18 6,8 7.4,6.6 16,15.2 24.6,6.6 26,8"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"22"}),props.children);});var DownToBottom24=/*#__PURE__*/React.forwardRef(function DownToBottom24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,18 6,8 7.4,6.6 16,15.2 24.6,6.6 26,8"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"22"}),props.children);});var DownToBottom20=/*#__PURE__*/React.forwardRef(function DownToBottom20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,18 6,8 7.4,6.6 16,15.2 24.6,6.6 26,8"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"22"}),props.children);});var DownToBottom16=/*#__PURE__*/React.forwardRef(function DownToBottom16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,18 6,8 7.4,6.6 16,15.2 24.6,6.6 26,8"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"22"}),props.children);});var Download32=/*#__PURE__*/React.forwardRef(function Download32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 15 24.59 13.59 17 21.17 17 2 15 2 15 21.17 7.41 13.59 6 15 16 25 26 15"}),React.createElement("path",{d:"M26,24v4H6V24H4v4H4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2h0V24Z"}),props.children);});var Download24=/*#__PURE__*/React.forwardRef(function Download24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 15 24.59 13.59 17 21.17 17 2 15 2 15 21.17 7.41 13.59 6 15 16 25 26 15"}),React.createElement("path",{d:"M26,24v4H6V24H4v4H4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2h0V24Z"}),props.children);});var Download20=/*#__PURE__*/React.forwardRef(function Download20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 15 24.59 13.59 17 21.17 17 2 15 2 15 21.17 7.41 13.59 6 15 16 25 26 15"}),React.createElement("path",{d:"M26,24v4H6V24H4v4H4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2h0V24Z"}),props.children);});var DragHorizontal32=/*#__PURE__*/React.forwardRef(function DragHorizontal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 4 12 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 12 17 12 28 14 28 14 4 12 4"}),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 20 15 20 4 18 4 18 28 20 28 20 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var DragHorizontal24=/*#__PURE__*/React.forwardRef(function DragHorizontal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 4 12 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 12 17 12 28 14 28 14 4 12 4"}),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 20 15 20 4 18 4 18 28 20 28 20 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var DragHorizontal20=/*#__PURE__*/React.forwardRef(function DragHorizontal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 4 12 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 12 17 12 28 14 28 14 4 12 4"}),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 20 15 20 4 18 4 18 28 20 28 20 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var DragHorizontal16=/*#__PURE__*/React.forwardRef(function DragHorizontal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"12 4 12 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 12 17 12 28 14 28 14 4 12 4"}),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 20 15 20 4 18 4 18 28 20 28 20 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var DragVertical32=/*#__PURE__*/React.forwardRef(function DragVertical32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 15 20 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 20 28 20 28 18 4 18 4 20"}),React.createElement("polygon",{points:"11 7 12.41 8.41 15 5.83 15 12 4 12 4 14 28 14 28 12 17 12 17 5.83 19.59 8.41 21 7 16 2 11 7"}),props.children);});var DragVertical24=/*#__PURE__*/React.forwardRef(function DragVertical24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 15 20 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 20 28 20 28 18 4 18 4 20"}),React.createElement("polygon",{points:"11 7 12.41 8.41 15 5.83 15 12 4 12 4 14 28 14 28 12 17 12 17 5.83 19.59 8.41 21 7 16 2 11 7"}),props.children);});var DragVertical20=/*#__PURE__*/React.forwardRef(function DragVertical20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 15 20 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 20 28 20 28 18 4 18 4 20"}),React.createElement("polygon",{points:"11 7 12.41 8.41 15 5.83 15 12 4 12 4 14 28 14 28 12 17 12 17 5.83 19.59 8.41 21 7 16 2 11 7"}),props.children);});var DragVertical16=/*#__PURE__*/React.forwardRef(function DragVertical16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 15 20 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 20 28 20 28 18 4 18 4 20"}),React.createElement("polygon",{points:"11 7 12.41 8.41 15 5.83 15 12 4 12 4 14 28 14 28 12 17 12 17 5.83 19.59 8.41 21 7 16 2 11 7"}),props.children);});var Draggable32=/*#__PURE__*/React.forwardRef(function Draggable32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"10",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"22"}),props.children);});var Draggable24=/*#__PURE__*/React.forwardRef(function Draggable24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"10",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"22"}),props.children);});var Draggable20=/*#__PURE__*/React.forwardRef(function Draggable20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"10",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"22"}),props.children);});var Draggable16=/*#__PURE__*/React.forwardRef(function Draggable16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"10",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"22"}),props.children);});var Draw32=/*#__PURE__*/React.forwardRef(function Draw32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19.14,28a3.42,3.42,0,0,1-2.42-5.85L21.86,17a1.42,1.42,0,1,0-2-2L13,21.85a3.5,3.5,0,0,1-4.85,0,3.43,3.43,0,0,1,0-4.84l8.58-8.58a1.42,1.42,0,1,0-2-2L6.41,14.7,5,13.3,13.29,5a3.43,3.43,0,0,1,4.84,4.85L9.56,18.42a1.42,1.42,0,0,0,0,2,1.45,1.45,0,0,0,2,0l6.86-6.86a3.43,3.43,0,1,1,4.85,4.84l-5.15,5.15a1.42,1.42,0,0,0,2,2l4.44-4.43L26,22.56,21.56,27A3.38,3.38,0,0,1,19.14,28Z"}),props.children);});var Draw24=/*#__PURE__*/React.forwardRef(function Draw24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19.14,28a3.42,3.42,0,0,1-2.42-5.85L21.86,17a1.42,1.42,0,1,0-2-2L13,21.85a3.5,3.5,0,0,1-4.85,0,3.43,3.43,0,0,1,0-4.84l8.58-8.58a1.42,1.42,0,1,0-2-2L6.41,14.7,5,13.3,13.29,5a3.43,3.43,0,0,1,4.84,4.85L9.56,18.42a1.42,1.42,0,0,0,0,2,1.45,1.45,0,0,0,2,0l6.86-6.86a3.43,3.43,0,1,1,4.85,4.84l-5.15,5.15a1.42,1.42,0,0,0,2,2l4.44-4.43L26,22.56,21.56,27A3.38,3.38,0,0,1,19.14,28Z"}),props.children);});var Draw20=/*#__PURE__*/React.forwardRef(function Draw20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19.14,28a3.42,3.42,0,0,1-2.42-5.85L21.86,17a1.42,1.42,0,1,0-2-2L13,21.85a3.5,3.5,0,0,1-4.85,0,3.43,3.43,0,0,1,0-4.84l8.58-8.58a1.42,1.42,0,1,0-2-2L6.41,14.7,5,13.3,13.29,5a3.43,3.43,0,0,1,4.84,4.85L9.56,18.42a1.42,1.42,0,0,0,0,2,1.45,1.45,0,0,0,2,0l6.86-6.86a3.43,3.43,0,1,1,4.85,4.84l-5.15,5.15a1.42,1.42,0,0,0,2,2l4.44-4.43L26,22.56,21.56,27A3.38,3.38,0,0,1,19.14,28Z"}),props.children);});var Draw16=/*#__PURE__*/React.forwardRef(function Draw16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19.14,28a3.42,3.42,0,0,1-2.42-5.85L21.86,17a1.42,1.42,0,1,0-2-2L13,21.85a3.5,3.5,0,0,1-4.85,0,3.43,3.43,0,0,1,0-4.84l8.58-8.58a1.42,1.42,0,1,0-2-2L6.41,14.7,5,13.3,13.29,5a3.43,3.43,0,0,1,4.84,4.85L9.56,18.42a1.42,1.42,0,0,0,0,2,1.45,1.45,0,0,0,2,0l6.86-6.86a3.43,3.43,0,1,1,4.85,4.84l-5.15,5.15a1.42,1.42,0,0,0,2,2l4.44-4.43L26,22.56,21.56,27A3.38,3.38,0,0,1,19.14,28Z"}),props.children);});var DropPhotoFilled32=/*#__PURE__*/React.forwardRef(function DropPhotoFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"22",r:"2"}),React.createElement("path",{d:"M27,16H23.7207l-.5439-1.6328A1.9983,1.9983,0,0,0,21.2793,13H16.7207a1.9981,1.9981,0,0,0-1.8975,1.3677L14.2793,16H11a2.0023,2.0023,0,0,0-2,2v9a2.0023,2.0023,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V18A2.0023,2.0023,0,0,0,27,16ZM19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Z"}),React.createElement("path",{fill:"none",d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z","data-icon-path":"inner-path"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var DropPhotoFilled24=/*#__PURE__*/React.forwardRef(function DropPhotoFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"22",r:"2"}),React.createElement("path",{d:"M27,16H23.7207l-.5439-1.6328A1.9983,1.9983,0,0,0,21.2793,13H16.7207a1.9981,1.9981,0,0,0-1.8975,1.3677L14.2793,16H11a2.0023,2.0023,0,0,0-2,2v9a2.0023,2.0023,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V18A2.0023,2.0023,0,0,0,27,16ZM19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Z"}),React.createElement("path",{fill:"none",d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z","data-icon-path":"inner-path"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var DropPhotoFilled20=/*#__PURE__*/React.forwardRef(function DropPhotoFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"22",r:"2"}),React.createElement("path",{d:"M27,16H23.7207l-.5439-1.6328A1.9983,1.9983,0,0,0,21.2793,13H16.7207a1.9981,1.9981,0,0,0-1.8975,1.3677L14.2793,16H11a2.0023,2.0023,0,0,0-2,2v9a2.0023,2.0023,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V18A2.0023,2.0023,0,0,0,27,16ZM19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Z"}),React.createElement("path",{fill:"none",d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z","data-icon-path":"inner-path"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var DropPhotoFilled16=/*#__PURE__*/React.forwardRef(function DropPhotoFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"22",r:"2"}),React.createElement("path",{d:"M27,16H23.7207l-.5439-1.6328A1.9983,1.9983,0,0,0,21.2793,13H16.7207a1.9981,1.9981,0,0,0-1.8975,1.3677L14.2793,16H11a2.0023,2.0023,0,0,0-2,2v9a2.0023,2.0023,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V18A2.0023,2.0023,0,0,0,27,16ZM19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Z"}),React.createElement("path",{fill:"none",d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z","data-icon-path":"inner-path"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var DropPhoto32=/*#__PURE__*/React.forwardRef(function DropPhoto32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z"}),React.createElement("path",{d:"M27,29H11a2,2,0,0,1-2-2V18a2,2,0,0,1,2-2h3.2793l.5441-1.6324A2,2,0,0,1,16.7208,13h4.5584a2,2,0,0,1,1.8974,1.3676L23.7207,16H27a2,2,0,0,1,2,2v9A2,2,0,0,1,27,29ZM11,27H27V18H22.2792l-1-3H16.7207l-1,3H11Z"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var DropPhoto24=/*#__PURE__*/React.forwardRef(function DropPhoto24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z"}),React.createElement("path",{d:"M27,29H11a2,2,0,0,1-2-2V18a2,2,0,0,1,2-2h3.2793l.5441-1.6324A2,2,0,0,1,16.7208,13h4.5584a2,2,0,0,1,1.8974,1.3676L23.7207,16H27a2,2,0,0,1,2,2v9A2,2,0,0,1,27,29ZM11,27H27V18H22.2792l-1-3H16.7207l-1,3H11Z"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var DropPhoto20=/*#__PURE__*/React.forwardRef(function DropPhoto20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z"}),React.createElement("path",{d:"M27,29H11a2,2,0,0,1-2-2V18a2,2,0,0,1,2-2h3.2793l.5441-1.6324A2,2,0,0,1,16.7208,13h4.5584a2,2,0,0,1,1.8974,1.3676L23.7207,16H27a2,2,0,0,1,2,2v9A2,2,0,0,1,27,29ZM11,27H27V18H22.2792l-1-3H16.7207l-1,3H11Z"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var DropPhoto16=/*#__PURE__*/React.forwardRef(function DropPhoto16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,26a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,19,26Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,19,20Z"}),React.createElement("path",{d:"M27,29H11a2,2,0,0,1-2-2V18a2,2,0,0,1,2-2h3.2793l.5441-1.6324A2,2,0,0,1,16.7208,13h4.5584a2,2,0,0,1,1.8974,1.3676L23.7207,16H27a2,2,0,0,1,2,2v9A2,2,0,0,1,27,29ZM11,27H27V18H22.2792l-1-3H16.7207l-1,3H11Z"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"3"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"7"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"27"}),props.children);});var EarthAmericasFilled32=/*#__PURE__*/React.forwardRef(function EarthAmericasFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16a11.915,11.915,0,0,1,.7-4H10l5,4-2.8,3.6929A1,1,0,0,0,12.293,21L15,24v3.9492A12.01,12.01,0,0,1,4,16ZM21.4348,26.6846l2.5457-7.6992A1,1,0,0,0,23.614,18L15,11l2-2h5.2793a1,1,0,0,0,.9487-.6836L23.7234,6.83a11.9742,11.9742,0,0,1-2.2886,19.855Z"}),props.children);});var EarthAmericasFilled24=/*#__PURE__*/React.forwardRef(function EarthAmericasFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16a11.915,11.915,0,0,1,.7-4H10l5,4-2.8,3.6929A1,1,0,0,0,12.293,21L15,24v3.9492A12.01,12.01,0,0,1,4,16ZM21.4348,26.6846l2.5457-7.6992A1,1,0,0,0,23.614,18L15,11l2-2h5.2793a1,1,0,0,0,.9487-.6836L23.7234,6.83a11.9742,11.9742,0,0,1-2.2886,19.855Z"}),props.children);});var EarthAmericasFilled20=/*#__PURE__*/React.forwardRef(function EarthAmericasFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16a11.915,11.915,0,0,1,.7-4H10l5,4-2.8,3.6929A1,1,0,0,0,12.293,21L15,24v3.9492A12.01,12.01,0,0,1,4,16ZM21.4348,26.6846l2.5457-7.6992A1,1,0,0,0,23.614,18L15,11l2-2h5.2793a1,1,0,0,0,.9487-.6836L23.7234,6.83a11.9742,11.9742,0,0,1-2.2886,19.855Z"}),props.children);});var EarthAmericasFilled16=/*#__PURE__*/React.forwardRef(function EarthAmericasFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16a11.915,11.915,0,0,1,.7-4H10l5,4-2.8,3.6929A1,1,0,0,0,12.293,21L15,24v3.9492A12.01,12.01,0,0,1,4,16ZM21.4348,26.6846l2.5457-7.6992A1,1,0,0,0,23.614,18L15,11l2-2h5.2793a1,1,0,0,0,.9487-.6836L23.7234,6.83a11.9742,11.9742,0,0,1-2.2886,19.855Z"}),props.children);});var EarthAmericas32=/*#__PURE__*/React.forwardRef(function EarthAmericas32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16a14.0313,14.0313,0,1,0-7.14,12.1914l.1165.0254.0249-.1113A13.9983,13.9983,0,0,0,30,16ZM4,16a11.9369,11.9369,0,0,1,.395-3H8.6382L13.63,17.16l-1.9092,2.5459a2.0088,2.0088,0,0,0,.1855,2.6142L14,24.4141v3.4052A12.0093,12.0093,0,0,1,4,16Zm9.32,4.9062L16.37,16.84,9.3618,11H5.1055A11.9619,11.9619,0,0,1,22.8838,6.1865L22.2793,8H16.5859L13.543,11.043l9.3535,8.3134L21.248,26.7749A11.9034,11.9034,0,0,1,16,28V23.5859Zm10.315,4.3443,1.2133-5.46a2.0007,2.0007,0,0,0-.6235-1.9277L16.457,10.957,17.4141,10h4.8652a1.9981,1.9981,0,0,0,1.8975-1.3677l.3532-1.06a11.9777,11.9777,0,0,1-.8947,17.6782Z"}),props.children);});var EarthAmericas24=/*#__PURE__*/React.forwardRef(function EarthAmericas24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16a14.0313,14.0313,0,1,0-7.14,12.1914l.1165.0254.0249-.1113A13.9983,13.9983,0,0,0,30,16ZM4,16a11.9369,11.9369,0,0,1,.395-3H8.6382L13.63,17.16l-1.9092,2.5459a2.0088,2.0088,0,0,0,.1855,2.6142L14,24.4141v3.4052A12.0093,12.0093,0,0,1,4,16Zm9.32,4.9062L16.37,16.84,9.3618,11H5.1055A11.9619,11.9619,0,0,1,22.8838,6.1865L22.2793,8H16.5859L13.543,11.043l9.3535,8.3134L21.248,26.7749A11.9034,11.9034,0,0,1,16,28V23.5859Zm10.315,4.3443,1.2133-5.46a2.0007,2.0007,0,0,0-.6235-1.9277L16.457,10.957,17.4141,10h4.8652a1.9981,1.9981,0,0,0,1.8975-1.3677l.3532-1.06a11.9777,11.9777,0,0,1-.8947,17.6782Z"}),props.children);});var EarthAmericas20=/*#__PURE__*/React.forwardRef(function EarthAmericas20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16a14.0313,14.0313,0,1,0-7.14,12.1914l.1165.0254.0249-.1113A13.9983,13.9983,0,0,0,30,16ZM4,16a11.9369,11.9369,0,0,1,.395-3H8.6382L13.63,17.16l-1.9092,2.5459a2.0088,2.0088,0,0,0,.1855,2.6142L14,24.4141v3.4052A12.0093,12.0093,0,0,1,4,16Zm9.32,4.9062L16.37,16.84,9.3618,11H5.1055A11.9619,11.9619,0,0,1,22.8838,6.1865L22.2793,8H16.5859L13.543,11.043l9.3535,8.3134L21.248,26.7749A11.9034,11.9034,0,0,1,16,28V23.5859Zm10.315,4.3443,1.2133-5.46a2.0007,2.0007,0,0,0-.6235-1.9277L16.457,10.957,17.4141,10h4.8652a1.9981,1.9981,0,0,0,1.8975-1.3677l.3532-1.06a11.9777,11.9777,0,0,1-.8947,17.6782Z"}),props.children);});var EarthAmericas16=/*#__PURE__*/React.forwardRef(function EarthAmericas16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16a14.0313,14.0313,0,1,0-7.14,12.1914l.1165.0254.0249-.1113A13.9983,13.9983,0,0,0,30,16ZM4,16a11.9369,11.9369,0,0,1,.395-3H8.6382L13.63,17.16l-1.9092,2.5459a2.0088,2.0088,0,0,0,.1855,2.6142L14,24.4141v3.4052A12.0093,12.0093,0,0,1,4,16Zm9.32,4.9062L16.37,16.84,9.3618,11H5.1055A11.9619,11.9619,0,0,1,22.8838,6.1865L22.2793,8H16.5859L13.543,11.043l9.3535,8.3134L21.248,26.7749A11.9034,11.9034,0,0,1,16,28V23.5859Zm10.315,4.3443,1.2133-5.46a2.0007,2.0007,0,0,0-.6235-1.9277L16.457,10.957,17.4141,10h4.8652a1.9981,1.9981,0,0,0,1.8975-1.3677l.3532-1.06a11.9777,11.9777,0,0,1-.8947,17.6782Z"}),props.children);});var EarthEuropeAfricaFilled32=/*#__PURE__*/React.forwardRef(function EarthEuropeAfricaFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.9814,11.9814,0,0,1,9,6.2734V9a1,1,0,0,0,1,1h3.3821a1,1,0,0,0,.8943-.5527L15,8h4v6H13.2361a1.0006,1.0006,0,0,0-.4473.1055L9.5527,15.7236A1,1,0,0,0,9,16.6182v3.7046a1,1,0,0,0,.6287.9287L14,23l.8235,4.94A12.0152,12.0152,0,0,1,4,16ZM22,26.376V23l1.7546-2.6318a1.0012,1.0012,0,0,0,.1382-.7974L23,16V13h4.605A11.901,11.901,0,0,1,22,26.376Z"}),props.children);});var EarthEuropeAfricaFilled24=/*#__PURE__*/React.forwardRef(function EarthEuropeAfricaFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.9814,11.9814,0,0,1,9,6.2734V9a1,1,0,0,0,1,1h3.3821a1,1,0,0,0,.8943-.5527L15,8h4v6H13.2361a1.0006,1.0006,0,0,0-.4473.1055L9.5527,15.7236A1,1,0,0,0,9,16.6182v3.7046a1,1,0,0,0,.6287.9287L14,23l.8235,4.94A12.0152,12.0152,0,0,1,4,16ZM22,26.376V23l1.7546-2.6318a1.0012,1.0012,0,0,0,.1382-.7974L23,16V13h4.605A11.901,11.901,0,0,1,22,26.376Z"}),props.children);});var EarthEuropeAfricaFilled20=/*#__PURE__*/React.forwardRef(function EarthEuropeAfricaFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.9814,11.9814,0,0,1,9,6.2734V9a1,1,0,0,0,1,1h3.3821a1,1,0,0,0,.8943-.5527L15,8h4v6H13.2361a1.0006,1.0006,0,0,0-.4473.1055L9.5527,15.7236A1,1,0,0,0,9,16.6182v3.7046a1,1,0,0,0,.6287.9287L14,23l.8235,4.94A12.0152,12.0152,0,0,1,4,16ZM22,26.376V23l1.7546-2.6318a1.0012,1.0012,0,0,0,.1382-.7974L23,16V13h4.605A11.901,11.901,0,0,1,22,26.376Z"}),props.children);});var EarthEuropeAfricaFilled16=/*#__PURE__*/React.forwardRef(function EarthEuropeAfricaFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.9814,11.9814,0,0,1,9,6.2734V9a1,1,0,0,0,1,1h3.3821a1,1,0,0,0,.8943-.5527L15,8h4v6H13.2361a1.0006,1.0006,0,0,0-.4473.1055L9.5527,15.7236A1,1,0,0,0,9,16.6182v3.7046a1,1,0,0,0,.6287.9287L14,23l.8235,4.94A12.0152,12.0152,0,0,1,4,16ZM22,26.376V23l1.7546-2.6318a1.0012,1.0012,0,0,0,.1382-.7974L23,16V13h4.605A11.901,11.901,0,0,1,22,26.376Z"}),props.children);});var EarthEuropeAfrica32=/*#__PURE__*/React.forwardRef(function EarthEuropeAfrica32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.96,11.96,0,0,1,8,7.0811V9a2,2,0,0,0,2,2h3.3818a2,2,0,0,0,1.7893-1.106L15.6182,9H18v4H13.2354a2,2,0,0,0-.8936.2109L9.1055,14.8291A2,2,0,0,0,8,16.6177v3.7055A2,2,0,0,0,9.2573,22.18l3.8487,1.54.6779,4.0664A12.0135,12.0135,0,0,1,4,16ZM15.8457,27.9922,14.894,22.28,10,20.3232v-3.705L13.2358,15H20V7H14.3818l-1,2H10V5.6235A11.9578,11.9578,0,0,1,27.3,12H22v4l.9224,3.8135L21,22.6973v4.1972A11.9083,11.9083,0,0,1,16,28C15.948,28,15.8977,27.9927,15.8457,27.9922ZM23,25.7266V23.3027l1.5859-2.3789a2.0027,2.0027,0,0,0,.2769-1.5957L24,15.877V14h3.8193A11.8409,11.8409,0,0,1,23,25.7266Z"}),props.children);});var EarthEuropeAfrica24=/*#__PURE__*/React.forwardRef(function EarthEuropeAfrica24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.96,11.96,0,0,1,8,7.0811V9a2,2,0,0,0,2,2h3.3818a2,2,0,0,0,1.7893-1.106L15.6182,9H18v4H13.2354a2,2,0,0,0-.8936.2109L9.1055,14.8291A2,2,0,0,0,8,16.6177v3.7055A2,2,0,0,0,9.2573,22.18l3.8487,1.54.6779,4.0664A12.0135,12.0135,0,0,1,4,16ZM15.8457,27.9922,14.894,22.28,10,20.3232v-3.705L13.2358,15H20V7H14.3818l-1,2H10V5.6235A11.9578,11.9578,0,0,1,27.3,12H22v4l.9224,3.8135L21,22.6973v4.1972A11.9083,11.9083,0,0,1,16,28C15.948,28,15.8977,27.9927,15.8457,27.9922ZM23,25.7266V23.3027l1.5859-2.3789a2.0027,2.0027,0,0,0,.2769-1.5957L24,15.877V14h3.8193A11.8409,11.8409,0,0,1,23,25.7266Z"}),props.children);});var EarthEuropeAfrica20=/*#__PURE__*/React.forwardRef(function EarthEuropeAfrica20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.96,11.96,0,0,1,8,7.0811V9a2,2,0,0,0,2,2h3.3818a2,2,0,0,0,1.7893-1.106L15.6182,9H18v4H13.2354a2,2,0,0,0-.8936.2109L9.1055,14.8291A2,2,0,0,0,8,16.6177v3.7055A2,2,0,0,0,9.2573,22.18l3.8487,1.54.6779,4.0664A12.0135,12.0135,0,0,1,4,16ZM15.8457,27.9922,14.894,22.28,10,20.3232v-3.705L13.2358,15H20V7H14.3818l-1,2H10V5.6235A11.9578,11.9578,0,0,1,27.3,12H22v4l.9224,3.8135L21,22.6973v4.1972A11.9083,11.9083,0,0,1,16,28C15.948,28,15.8977,27.9927,15.8457,27.9922ZM23,25.7266V23.3027l1.5859-2.3789a2.0027,2.0027,0,0,0,.2769-1.5957L24,15.877V14h3.8193A11.8409,11.8409,0,0,1,23,25.7266Z"}),props.children);});var EarthEuropeAfrica16=/*#__PURE__*/React.forwardRef(function EarthEuropeAfrica16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4,16A11.96,11.96,0,0,1,8,7.0811V9a2,2,0,0,0,2,2h3.3818a2,2,0,0,0,1.7893-1.106L15.6182,9H18v4H13.2354a2,2,0,0,0-.8936.2109L9.1055,14.8291A2,2,0,0,0,8,16.6177v3.7055A2,2,0,0,0,9.2573,22.18l3.8487,1.54.6779,4.0664A12.0135,12.0135,0,0,1,4,16ZM15.8457,27.9922,14.894,22.28,10,20.3232v-3.705L13.2358,15H20V7H14.3818l-1,2H10V5.6235A11.9578,11.9578,0,0,1,27.3,12H22v4l.9224,3.8135L21,22.6973v4.1972A11.9083,11.9083,0,0,1,16,28C15.948,28,15.8977,27.9927,15.8457,27.9922ZM23,25.7266V23.3027l1.5859-2.3789a2.0027,2.0027,0,0,0,.2769-1.5957L24,15.877V14h3.8193A11.8409,11.8409,0,0,1,23,25.7266Z"}),props.children);});var EarthFilled32=/*#__PURE__*/React.forwardRef(function EarthFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.02,16.394l1.3384.4458L7,19.3027v1.2831a1,1,0,0,0,.2929.7071L10,24v2.3765A11.9941,11.9941,0,0,1,4.02,16.394ZM16,28a11.9682,11.9682,0,0,1-2.5718-.2847L14,26l1.8046-4.5116a1,1,0,0,0-.0964-.9261l-1.4113-2.117A1,1,0,0,0,13.4648,18h-4.93L7.2866,16.1274,9.4141,14H11v2h2V13.2656l3.8682-6.7695-1.7364-.9922L14.2769,7H11.5352l-1.086-1.6289A11.861,11.861,0,0,1,20,4.7V8a1,1,0,0,0,1,1h1.4648a1,1,0,0,0,.8321-.4453l.8769-1.3154A12.0331,12.0331,0,0,1,26.8945,11H22.82a1,1,0,0,0-.9806.8039l-.7221,4.4708a1,1,0,0,0,.54,1.0539L25,19l.6851,4.0557A11.9793,11.9793,0,0,1,16,28Z"}),props.children);});var EarthFilled24=/*#__PURE__*/React.forwardRef(function EarthFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.02,16.394l1.3384.4458L7,19.3027v1.2831a1,1,0,0,0,.2929.7071L10,24v2.3765A11.9941,11.9941,0,0,1,4.02,16.394ZM16,28a11.9682,11.9682,0,0,1-2.5718-.2847L14,26l1.8046-4.5116a1,1,0,0,0-.0964-.9261l-1.4113-2.117A1,1,0,0,0,13.4648,18h-4.93L7.2866,16.1274,9.4141,14H11v2h2V13.2656l3.8682-6.7695-1.7364-.9922L14.2769,7H11.5352l-1.086-1.6289A11.861,11.861,0,0,1,20,4.7V8a1,1,0,0,0,1,1h1.4648a1,1,0,0,0,.8321-.4453l.8769-1.3154A12.0331,12.0331,0,0,1,26.8945,11H22.82a1,1,0,0,0-.9806.8039l-.7221,4.4708a1,1,0,0,0,.54,1.0539L25,19l.6851,4.0557A11.9793,11.9793,0,0,1,16,28Z"}),props.children);});var EarthFilled20=/*#__PURE__*/React.forwardRef(function EarthFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.02,16.394l1.3384.4458L7,19.3027v1.2831a1,1,0,0,0,.2929.7071L10,24v2.3765A11.9941,11.9941,0,0,1,4.02,16.394ZM16,28a11.9682,11.9682,0,0,1-2.5718-.2847L14,26l1.8046-4.5116a1,1,0,0,0-.0964-.9261l-1.4113-2.117A1,1,0,0,0,13.4648,18h-4.93L7.2866,16.1274,9.4141,14H11v2h2V13.2656l3.8682-6.7695-1.7364-.9922L14.2769,7H11.5352l-1.086-1.6289A11.861,11.861,0,0,1,20,4.7V8a1,1,0,0,0,1,1h1.4648a1,1,0,0,0,.8321-.4453l.8769-1.3154A12.0331,12.0331,0,0,1,26.8945,11H22.82a1,1,0,0,0-.9806.8039l-.7221,4.4708a1,1,0,0,0,.54,1.0539L25,19l.6851,4.0557A11.9793,11.9793,0,0,1,16,28Z"}),props.children);});var EarthFilled16=/*#__PURE__*/React.forwardRef(function EarthFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.02,16.394l1.3384.4458L7,19.3027v1.2831a1,1,0,0,0,.2929.7071L10,24v2.3765A11.9941,11.9941,0,0,1,4.02,16.394ZM16,28a11.9682,11.9682,0,0,1-2.5718-.2847L14,26l1.8046-4.5116a1,1,0,0,0-.0964-.9261l-1.4113-2.117A1,1,0,0,0,13.4648,18h-4.93L7.2866,16.1274,9.4141,14H11v2h2V13.2656l3.8682-6.7695-1.7364-.9922L14.2769,7H11.5352l-1.086-1.6289A11.861,11.861,0,0,1,20,4.7V8a1,1,0,0,0,1,1h1.4648a1,1,0,0,0,.8321-.4453l.8769-1.3154A12.0331,12.0331,0,0,1,26.8945,11H22.82a1,1,0,0,0-.9806.8039l-.7221,4.4708a1,1,0,0,0,.54,1.0539L25,19l.6851,4.0557A11.9793,11.9793,0,0,1,16,28Z"}),props.children);});var EarthSoutheastAsiaFilled32=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsiaFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.7,20H6l4.1772,2.6a1,1,0,0,0,1.36-.2939l1.0078-1.5118a1,1,0,0,0-.125-1.2617L10,17.1118,11,14h5.323a1,1,0,0,0,.9285-.6284L18.8333,9.417a1,1,0,0,0-.034-.8189L16.5129,4.0259A11.9652,11.9652,0,0,1,26.3762,22H23a1,1,0,0,0-1,1v3.3765A11.9578,11.9578,0,0,1,4.7,20Z"}),props.children);});var EarthSoutheastAsiaFilled24=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsiaFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.7,20H6l4.1772,2.6a1,1,0,0,0,1.36-.2939l1.0078-1.5118a1,1,0,0,0-.125-1.2617L10,17.1118,11,14h5.323a1,1,0,0,0,.9285-.6284L18.8333,9.417a1,1,0,0,0-.034-.8189L16.5129,4.0259A11.9652,11.9652,0,0,1,26.3762,22H23a1,1,0,0,0-1,1v3.3765A11.9578,11.9578,0,0,1,4.7,20Z"}),props.children);});var EarthSoutheastAsiaFilled20=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsiaFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.7,20H6l4.1772,2.6a1,1,0,0,0,1.36-.2939l1.0078-1.5118a1,1,0,0,0-.125-1.2617L10,17.1118,11,14h5.323a1,1,0,0,0,.9285-.6284L18.8333,9.417a1,1,0,0,0-.034-.8189L16.5129,4.0259A11.9652,11.9652,0,0,1,26.3762,22H23a1,1,0,0,0-1,1v3.3765A11.9578,11.9578,0,0,1,4.7,20Z"}),props.children);});var EarthSoutheastAsiaFilled16=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsiaFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2ZM4.7,20H6l4.1772,2.6a1,1,0,0,0,1.36-.2939l1.0078-1.5118a1,1,0,0,0-.125-1.2617L10,17.1118,11,14h5.323a1,1,0,0,0,.9285-.6284L18.8333,9.417a1,1,0,0,0-.034-.8189L16.5129,4.0259A11.9652,11.9652,0,0,1,26.3762,22H23a1,1,0,0,0-1,1v3.3765A11.9578,11.9578,0,0,1,4.7,20Z"}),props.children);});var EarthSoutheastAsia32=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsia32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm-.603,2.03,2.5073,5.0156L16.3228,13H10.271l-1.41,4.3872,2.8521,2.8521L10.7056,21.751,6.2856,19H4.395A11.9363,11.9363,0,0,1,15.397,4.03ZM5.1055,21h.6089l3.9345,2.4487A1.9912,1.9912,0,0,0,12.37,22.86l1.0078-1.5118a2.005,2.005,0,0,0-.25-2.5234l-1.9887-1.9888L11.729,15h4.5938A1.9906,1.9906,0,0,0,18.18,13.7427L19.7612,9.79a2.0019,2.0019,0,0,0-.0674-1.6382L17.6843,4.1323A11.9592,11.9592,0,0,1,26.8945,21H23a2.0023,2.0023,0,0,0-2,2v3.8945A11.9477,11.9477,0,0,1,5.1055,21ZM23,25.7266V23h2.7268A12.0762,12.0762,0,0,1,23,25.7266Z"}),props.children);});var EarthSoutheastAsia24=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsia24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm-.603,2.03,2.5073,5.0156L16.3228,13H10.271l-1.41,4.3872,2.8521,2.8521L10.7056,21.751,6.2856,19H4.395A11.9363,11.9363,0,0,1,15.397,4.03ZM5.1055,21h.6089l3.9345,2.4487A1.9912,1.9912,0,0,0,12.37,22.86l1.0078-1.5118a2.005,2.005,0,0,0-.25-2.5234l-1.9887-1.9888L11.729,15h4.5938A1.9906,1.9906,0,0,0,18.18,13.7427L19.7612,9.79a2.0019,2.0019,0,0,0-.0674-1.6382L17.6843,4.1323A11.9592,11.9592,0,0,1,26.8945,21H23a2.0023,2.0023,0,0,0-2,2v3.8945A11.9477,11.9477,0,0,1,5.1055,21ZM23,25.7266V23h2.7268A12.0762,12.0762,0,0,1,23,25.7266Z"}),props.children);});var EarthSoutheastAsia20=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsia20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm-.603,2.03,2.5073,5.0156L16.3228,13H10.271l-1.41,4.3872,2.8521,2.8521L10.7056,21.751,6.2856,19H4.395A11.9363,11.9363,0,0,1,15.397,4.03ZM5.1055,21h.6089l3.9345,2.4487A1.9912,1.9912,0,0,0,12.37,22.86l1.0078-1.5118a2.005,2.005,0,0,0-.25-2.5234l-1.9887-1.9888L11.729,15h4.5938A1.9906,1.9906,0,0,0,18.18,13.7427L19.7612,9.79a2.0019,2.0019,0,0,0-.0674-1.6382L17.6843,4.1323A11.9592,11.9592,0,0,1,26.8945,21H23a2.0023,2.0023,0,0,0-2,2v3.8945A11.9477,11.9477,0,0,1,5.1055,21ZM23,25.7266V23h2.7268A12.0762,12.0762,0,0,1,23,25.7266Z"}),props.children);});var EarthSoutheastAsia16=/*#__PURE__*/React.forwardRef(function EarthSoutheastAsia16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"2",x:"14",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"18"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm-.603,2.03,2.5073,5.0156L16.3228,13H10.271l-1.41,4.3872,2.8521,2.8521L10.7056,21.751,6.2856,19H4.395A11.9363,11.9363,0,0,1,15.397,4.03ZM5.1055,21h.6089l3.9345,2.4487A1.9912,1.9912,0,0,0,12.37,22.86l1.0078-1.5118a2.005,2.005,0,0,0-.25-2.5234l-1.9887-1.9888L11.729,15h4.5938A1.9906,1.9906,0,0,0,18.18,13.7427L19.7612,9.79a2.0019,2.0019,0,0,0-.0674-1.6382L17.6843,4.1323A11.9592,11.9592,0,0,1,26.8945,21H23a2.0023,2.0023,0,0,0-2,2v3.8945A11.9477,11.9477,0,0,1,5.1055,21ZM23,25.7266V23h2.7268A12.0762,12.0762,0,0,1,23,25.7266Z"}),props.children);});var Earth32=/*#__PURE__*/React.forwardRef(function Earth32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm5,3.1055a12.0136,12.0136,0,0,1,2.9158,1.8994L23.5034,8H21ZM13.3784,27.7026A11.9761,11.9761,0,0,1,8.1157,6.9761L9.4648,9h3.3423l-1.5,4H7.2793L5.8967,17.1475,8.4648,21h5l1.4319,2.1475ZM16,28c-.2034,0-.4016-.02-.6025-.03l1.3967-4.19a1.9876,1.9876,0,0,0-.2334-1.7412l-1.4319-2.1475A1.9962,1.9962,0,0,0,13.4648,19h-3.93L8.1033,16.8525,8.7207,15H11v2h2V14.1812l2.9363-7.83-1.8726-.7022L13.5571,7H10.5352L9.728,5.7891A11.7941,11.7941,0,0,1,19,4.395V8a2.0025,2.0025,0,0,0,2,2h2.5857A1.9865,1.9865,0,0,0,25,9.4141l.1406-.1407.2818-.68A11.9813,11.9813,0,0,1,27.3,12H22.5986a1.9927,1.9927,0,0,0-1.9719,1.665L20.03,17.1064a1.99,1.99,0,0,0,.991,2.086l2.1647,1.4638,1.4585,3.646A11.9577,11.9577,0,0,1,16,28Zm8.8145-8.6563L22.1,17.5088l-.1-.06L22.5986,14h5.2207a11.743,11.743,0,0,1-1.7441,8.4951Z"}),props.children);});var Earth24=/*#__PURE__*/React.forwardRef(function Earth24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm5,3.1055a12.0136,12.0136,0,0,1,2.9158,1.8994L23.5034,8H21ZM13.3784,27.7026A11.9761,11.9761,0,0,1,8.1157,6.9761L9.4648,9h3.3423l-1.5,4H7.2793L5.8967,17.1475,8.4648,21h5l1.4319,2.1475ZM16,28c-.2034,0-.4016-.02-.6025-.03l1.3967-4.19a1.9876,1.9876,0,0,0-.2334-1.7412l-1.4319-2.1475A1.9962,1.9962,0,0,0,13.4648,19h-3.93L8.1033,16.8525,8.7207,15H11v2h2V14.1812l2.9363-7.83-1.8726-.7022L13.5571,7H10.5352L9.728,5.7891A11.7941,11.7941,0,0,1,19,4.395V8a2.0025,2.0025,0,0,0,2,2h2.5857A1.9865,1.9865,0,0,0,25,9.4141l.1406-.1407.2818-.68A11.9813,11.9813,0,0,1,27.3,12H22.5986a1.9927,1.9927,0,0,0-1.9719,1.665L20.03,17.1064a1.99,1.99,0,0,0,.991,2.086l2.1647,1.4638,1.4585,3.646A11.9577,11.9577,0,0,1,16,28Zm8.8145-8.6563L22.1,17.5088l-.1-.06L22.5986,14h5.2207a11.743,11.743,0,0,1-1.7441,8.4951Z"}),props.children);});var Earth20=/*#__PURE__*/React.forwardRef(function Earth20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm5,3.1055a12.0136,12.0136,0,0,1,2.9158,1.8994L23.5034,8H21ZM13.3784,27.7026A11.9761,11.9761,0,0,1,8.1157,6.9761L9.4648,9h3.3423l-1.5,4H7.2793L5.8967,17.1475,8.4648,21h5l1.4319,2.1475ZM16,28c-.2034,0-.4016-.02-.6025-.03l1.3967-4.19a1.9876,1.9876,0,0,0-.2334-1.7412l-1.4319-2.1475A1.9962,1.9962,0,0,0,13.4648,19h-3.93L8.1033,16.8525,8.7207,15H11v2h2V14.1812l2.9363-7.83-1.8726-.7022L13.5571,7H10.5352L9.728,5.7891A11.7941,11.7941,0,0,1,19,4.395V8a2.0025,2.0025,0,0,0,2,2h2.5857A1.9865,1.9865,0,0,0,25,9.4141l.1406-.1407.2818-.68A11.9813,11.9813,0,0,1,27.3,12H22.5986a1.9927,1.9927,0,0,0-1.9719,1.665L20.03,17.1064a1.99,1.99,0,0,0,.991,2.086l2.1647,1.4638,1.4585,3.646A11.9577,11.9577,0,0,1,16,28Zm8.8145-8.6563L22.1,17.5088l-.1-.06L22.5986,14h5.2207a11.743,11.743,0,0,1-1.7441,8.4951Z"}),props.children);});var Earth16=/*#__PURE__*/React.forwardRef(function Earth16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm5,3.1055a12.0136,12.0136,0,0,1,2.9158,1.8994L23.5034,8H21ZM13.3784,27.7026A11.9761,11.9761,0,0,1,8.1157,6.9761L9.4648,9h3.3423l-1.5,4H7.2793L5.8967,17.1475,8.4648,21h5l1.4319,2.1475ZM16,28c-.2034,0-.4016-.02-.6025-.03l1.3967-4.19a1.9876,1.9876,0,0,0-.2334-1.7412l-1.4319-2.1475A1.9962,1.9962,0,0,0,13.4648,19h-3.93L8.1033,16.8525,8.7207,15H11v2h2V14.1812l2.9363-7.83-1.8726-.7022L13.5571,7H10.5352L9.728,5.7891A11.7941,11.7941,0,0,1,19,4.395V8a2.0025,2.0025,0,0,0,2,2h2.5857A1.9865,1.9865,0,0,0,25,9.4141l.1406-.1407.2818-.68A11.9813,11.9813,0,0,1,27.3,12H22.5986a1.9927,1.9927,0,0,0-1.9719,1.665L20.03,17.1064a1.99,1.99,0,0,0,.991,2.086l2.1647,1.4638,1.4585,3.646A11.9577,11.9577,0,0,1,16,28Zm8.8145-8.6563L22.1,17.5088l-.1-.06L22.5986,14h5.2207a11.743,11.743,0,0,1-1.7441,8.4951Z"}),props.children);});var EditOff32=/*#__PURE__*/React.forwardRef(function EditOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.6L3.4,2L2,3.4l10.1,10.1L4,21.6V28h6.4l8.1-8.1L28.6,30L30,28.6z M9.6,26H6v-3.6l7.5-7.5l3.6,3.6L9.6,26z"}),React.createElement("path",{d:"M29.4,6.2L29.4,6.2l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0l0,0l0,0l-8,8l1.4,1.4L20,8.4l3.6,3.6L20,15.6l1.4,1.4l8-8\tC30.2,8.2,30.2,7,29.4,6.2L29.4,6.2z M25,10.6L21.4,7l3-3L28,7.6L25,10.6z"}),props.children);});var EditOff24=/*#__PURE__*/React.forwardRef(function EditOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.6L3.4,2L2,3.4l10.1,10.1L4,21.6V28h6.4l8.1-8.1L28.6,30L30,28.6z M9.6,26H6v-3.6l7.5-7.5l3.6,3.6L9.6,26z"}),React.createElement("path",{d:"M29.4,6.2L29.4,6.2l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0l0,0l0,0l-8,8l1.4,1.4L20,8.4l3.6,3.6L20,15.6l1.4,1.4l8-8\tC30.2,8.2,30.2,7,29.4,6.2L29.4,6.2z M25,10.6L21.4,7l3-3L28,7.6L25,10.6z"}),props.children);});var EditOff20=/*#__PURE__*/React.forwardRef(function EditOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.6L3.4,2L2,3.4l10.1,10.1L4,21.6V28h6.4l8.1-8.1L28.6,30L30,28.6z M9.6,26H6v-3.6l7.5-7.5l3.6,3.6L9.6,26z"}),React.createElement("path",{d:"M29.4,6.2L29.4,6.2l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0l0,0l0,0l-8,8l1.4,1.4L20,8.4l3.6,3.6L20,15.6l1.4,1.4l8-8\tC30.2,8.2,30.2,7,29.4,6.2L29.4,6.2z M25,10.6L21.4,7l3-3L28,7.6L25,10.6z"}),props.children);});var EditOff16=/*#__PURE__*/React.forwardRef(function EditOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.6L3.4,2L2,3.4l10.1,10.1L4,21.6V28h6.4l8.1-8.1L28.6,30L30,28.6z M9.6,26H6v-3.6l7.5-7.5l3.6,3.6L9.6,26z"}),React.createElement("path",{d:"M29.4,6.2L29.4,6.2l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0l0,0l0,0l-8,8l1.4,1.4L20,8.4l3.6,3.6L20,15.6l1.4,1.4l8-8\tC30.2,8.2,30.2,7,29.4,6.2L29.4,6.2z M25,10.6L21.4,7l3-3L28,7.6L25,10.6z"}),props.children);});var Edit32=/*#__PURE__*/React.forwardRef(function Edit32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M25.4,9c0.8-0.8,0.8-2,0-2.8c0,0,0,0,0,0l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0c0,0,0,0,0,0l-15,15V24h6.4L25.4,9z M20.4,4L24,7.6\tl-3,3L17.4,7L20.4,4z M6,22v-3.6l10-10l3.6,3.6l-10,10H6z"}),props.children);});var Edit24=/*#__PURE__*/React.forwardRef(function Edit24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M25.4,9c0.8-0.8,0.8-2,0-2.8c0,0,0,0,0,0l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0c0,0,0,0,0,0l-15,15V24h6.4L25.4,9z M20.4,4L24,7.6\tl-3,3L17.4,7L20.4,4z M6,22v-3.6l10-10l3.6,3.6l-10,10H6z"}),props.children);});var Edit20=/*#__PURE__*/React.forwardRef(function Edit20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M25.4,9c0.8-0.8,0.8-2,0-2.8c0,0,0,0,0,0l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0c0,0,0,0,0,0l-15,15V24h6.4L25.4,9z M20.4,4L24,7.6\tl-3,3L17.4,7L20.4,4z M6,22v-3.6l10-10l3.6,3.6l-10,10H6z"}),props.children);});var Edit16=/*#__PURE__*/React.forwardRef(function Edit16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M25.4,9c0.8-0.8,0.8-2,0-2.8c0,0,0,0,0,0l-3.6-3.6c-0.8-0.8-2-0.8-2.8,0c0,0,0,0,0,0l-15,15V24h6.4L25.4,9z M20.4,4L24,7.6\tl-3,3L17.4,7L20.4,4z M6,22v-3.6l10-10l3.6,3.6l-10,10H6z"}),props.children);});var EdtLoop32=/*#__PURE__*/React.forwardRef(function EdtLoop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.625,22.5875a6.1287,6.1287,0,0,1-4.5-1.9l-3.1-3.2-3.1,3.2a6.4582,6.4582,0,0,1-9.1,0,7.028,7.028,0,0,1-1.8-4.7,6.6547,6.6547,0,0,1,1.9-4.7,6.3375,6.3375,0,0,1,9,0l3.1,3.2,3.1-3.2a6.3375,6.3375,0,0,1,9,0,6.8282,6.8282,0,0,1,0,9.4A6.5418,6.5418,0,0,1,23.625,22.5875Zm-6.2-6.6,3.1,3.3a4.4061,4.4061,0,0,0,6.2,0,4.9077,4.9077,0,0,0,0-6.6,4.4061,4.4061,0,0,0-6.2,0Zm-9-4.6a4.1582,4.1582,0,0,0-3.1,1.3,4.8385,4.8385,0,0,0,0,6.6,4.4061,4.4061,0,0,0,6.2,0l3.1-3.3-3.1-3.3A4.7706,4.7706,0,0,0,8.425,11.3875Z"}),props.children);});var EdtLoop24=/*#__PURE__*/React.forwardRef(function EdtLoop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.625,22.5875a6.1287,6.1287,0,0,1-4.5-1.9l-3.1-3.2-3.1,3.2a6.4582,6.4582,0,0,1-9.1,0,7.028,7.028,0,0,1-1.8-4.7,6.6547,6.6547,0,0,1,1.9-4.7,6.3375,6.3375,0,0,1,9,0l3.1,3.2,3.1-3.2a6.3375,6.3375,0,0,1,9,0,6.8282,6.8282,0,0,1,0,9.4A6.5418,6.5418,0,0,1,23.625,22.5875Zm-6.2-6.6,3.1,3.3a4.4061,4.4061,0,0,0,6.2,0,4.9077,4.9077,0,0,0,0-6.6,4.4061,4.4061,0,0,0-6.2,0Zm-9-4.6a4.1582,4.1582,0,0,0-3.1,1.3,4.8385,4.8385,0,0,0,0,6.6,4.4061,4.4061,0,0,0,6.2,0l3.1-3.3-3.1-3.3A4.7706,4.7706,0,0,0,8.425,11.3875Z"}),props.children);});var EdtLoop20=/*#__PURE__*/React.forwardRef(function EdtLoop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.625,22.5875a6.1287,6.1287,0,0,1-4.5-1.9l-3.1-3.2-3.1,3.2a6.4582,6.4582,0,0,1-9.1,0,7.028,7.028,0,0,1-1.8-4.7,6.6547,6.6547,0,0,1,1.9-4.7,6.3375,6.3375,0,0,1,9,0l3.1,3.2,3.1-3.2a6.3375,6.3375,0,0,1,9,0,6.8282,6.8282,0,0,1,0,9.4A6.5418,6.5418,0,0,1,23.625,22.5875Zm-6.2-6.6,3.1,3.3a4.4061,4.4061,0,0,0,6.2,0,4.9077,4.9077,0,0,0,0-6.6,4.4061,4.4061,0,0,0-6.2,0Zm-9-4.6a4.1582,4.1582,0,0,0-3.1,1.3,4.8385,4.8385,0,0,0,0,6.6,4.4061,4.4061,0,0,0,6.2,0l3.1-3.3-3.1-3.3A4.7706,4.7706,0,0,0,8.425,11.3875Z"}),props.children);});var EdtLoop16=/*#__PURE__*/React.forwardRef(function EdtLoop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.625,22.5875a6.1287,6.1287,0,0,1-4.5-1.9l-3.1-3.2-3.1,3.2a6.4582,6.4582,0,0,1-9.1,0,7.028,7.028,0,0,1-1.8-4.7,6.6547,6.6547,0,0,1,1.9-4.7,6.3375,6.3375,0,0,1,9,0l3.1,3.2,3.1-3.2a6.3375,6.3375,0,0,1,9,0,6.8282,6.8282,0,0,1,0,9.4A6.5418,6.5418,0,0,1,23.625,22.5875Zm-6.2-6.6,3.1,3.3a4.4061,4.4061,0,0,0,6.2,0,4.9077,4.9077,0,0,0,0-6.6,4.4061,4.4061,0,0,0-6.2,0Zm-9-4.6a4.1582,4.1582,0,0,0-3.1,1.3,4.8385,4.8385,0,0,0,0,6.6,4.4061,4.4061,0,0,0,6.2,0l3.1-3.3-3.1-3.3A4.7706,4.7706,0,0,0,8.425,11.3875Z"}),props.children);});var Education32=/*#__PURE__*/React.forwardRef(function Education32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H24V27a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v3H6V27a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M5,6A1,1,0,0,0,4,7v9H6V7A1,1,0,0,0,5,6Z"}),React.createElement("path",{d:"M4,2V4H9v7a7,7,0,0,0,14,0V4h5V2Zm7,2H21V7H11Zm5,12a5,5,0,0,1-5-5V9H21v2A5,5,0,0,1,16,16Z"}),props.children);});var Education24=/*#__PURE__*/React.forwardRef(function Education24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H24V27a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v3H6V27a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M5,6A1,1,0,0,0,4,7v9H6V7A1,1,0,0,0,5,6Z"}),React.createElement("path",{d:"M4,2V4H9v7a7,7,0,0,0,14,0V4h5V2Zm7,2H21V7H11Zm5,12a5,5,0,0,1-5-5V9H21v2A5,5,0,0,1,16,16Z"}),props.children);});var Education20=/*#__PURE__*/React.forwardRef(function Education20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H24V27a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v3H6V27a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M5,6A1,1,0,0,0,4,7v9H6V7A1,1,0,0,0,5,6Z"}),React.createElement("path",{d:"M4,2V4H9v7a7,7,0,0,0,14,0V4h5V2Zm7,2H21V7H11Zm5,12a5,5,0,0,1-5-5V9H21v2A5,5,0,0,1,16,16Z"}),props.children);});var Education16=/*#__PURE__*/React.forwardRef(function Education16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H24V27a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v3H6V27a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M5,6A1,1,0,0,0,4,7v9H6V7A1,1,0,0,0,5,6Z"}),React.createElement("path",{d:"M4,2V4H9v7a7,7,0,0,0,14,0V4h5V2Zm7,2H21V7H11Zm5,12a5,5,0,0,1-5-5V9H21v2A5,5,0,0,1,16,16Z"}),props.children);});var EmailNew32=/*#__PURE__*/React.forwardRef(function EmailNew32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,24H4L3.9966,8.9062l11.4341,7.9161a1.0008,1.0008,0,0,0,1.1386,0L28,8.9087,28,18h2V8a2.0027,2.0027,0,0,0-2-2H4A2.0023,2.0023,0,0,0,2,8V24a2.0027,2.0027,0,0,0,2,2H19ZM25.7986,8,16,14.7837,6.2014,8Z"}),React.createElement("circle",{cx:"26",cy:"24",r:"4"}),props.children);});var EmailNew24=/*#__PURE__*/React.forwardRef(function EmailNew24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,24H4L3.9966,8.9062l11.4341,7.9161a1.0008,1.0008,0,0,0,1.1386,0L28,8.9087,28,18h2V8a2.0027,2.0027,0,0,0-2-2H4A2.0023,2.0023,0,0,0,2,8V24a2.0027,2.0027,0,0,0,2,2H19ZM25.7986,8,16,14.7837,6.2014,8Z"}),React.createElement("circle",{cx:"26",cy:"24",r:"4"}),props.children);});var EmailNew20=/*#__PURE__*/React.forwardRef(function EmailNew20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,24H4L3.9966,8.9062l11.4341,7.9161a1.0008,1.0008,0,0,0,1.1386,0L28,8.9087,28,18h2V8a2.0027,2.0027,0,0,0-2-2H4A2.0023,2.0023,0,0,0,2,8V24a2.0027,2.0027,0,0,0,2,2H19ZM25.7986,8,16,14.7837,6.2014,8Z"}),React.createElement("circle",{cx:"26",cy:"24",r:"4"}),props.children);});var EmailNew16=/*#__PURE__*/React.forwardRef(function EmailNew16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,24H4L3.9966,8.9062l11.4341,7.9161a1.0008,1.0008,0,0,0,1.1386,0L28,8.9087,28,18h2V8a2.0027,2.0027,0,0,0-2-2H4A2.0023,2.0023,0,0,0,2,8V24a2.0027,2.0027,0,0,0,2,2H19ZM25.7986,8,16,14.7837,6.2014,8Z"}),React.createElement("circle",{cx:"26",cy:"24",r:"4"}),props.children);});var Email32=/*#__PURE__*/React.forwardRef(function Email32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM25.8,8,16,14.78,6.2,8ZM4,24V8.91l11.43,7.91a1,1,0,0,0,1.14,0L28,8.91V24Z"}),props.children);});var Email24=/*#__PURE__*/React.forwardRef(function Email24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM25.8,8,16,14.78,6.2,8ZM4,24V8.91l11.43,7.91a1,1,0,0,0,1.14,0L28,8.91V24Z"}),props.children);});var Email20=/*#__PURE__*/React.forwardRef(function Email20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM25.8,8,16,14.78,6.2,8ZM4,24V8.91l11.43,7.91a1,1,0,0,0,1.14,0L28,8.91V24Z"}),props.children);});var Email16=/*#__PURE__*/React.forwardRef(function Email16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6ZM25.8,8,16,14.78,6.2,8ZM4,24V8.91l11.43,7.91a1,1,0,0,0,1.14,0L28,8.91V24Z"}),props.children);});var Enterprise32=/*#__PURE__*/React.forwardRef(function Enterprise32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"8",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"20"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"20"}),React.createElement("path",{d:"M30,14a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V30H30ZM4,4H20V28H4ZM22,28V14h6V28Z"}),props.children);});var Enterprise24=/*#__PURE__*/React.forwardRef(function Enterprise24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"8",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"20"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"20"}),React.createElement("path",{d:"M30,14a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V30H30ZM4,4H20V28H4ZM22,28V14h6V28Z"}),props.children);});var Enterprise20=/*#__PURE__*/React.forwardRef(function Enterprise20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"8",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"20"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"20"}),React.createElement("path",{d:"M30,14a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V30H30ZM4,4H20V28H4ZM22,28V14h6V28Z"}),props.children);});var Enterprise16=/*#__PURE__*/React.forwardRef(function Enterprise16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"8",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"8"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"2",height:"4",x:"8",y:"20"}),React.createElement("rect",{width:"2",height:"4",x:"14",y:"20"}),React.createElement("path",{d:"M30,14a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V30H30ZM4,4H20V28H4ZM22,28V14h6V28Z"}),props.children);});var Erase32=/*#__PURE__*/React.forwardRef(function Erase32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"23",height:"2",x:"7",y:"27"}),React.createElement("path",{d:"M27.38,10.51,19.45,2.59a2,2,0,0,0-2.83,0l-14,14a2,2,0,0,0,0,2.83L7.13,24h9.59L27.38,13.34A2,2,0,0,0,27.38,10.51ZM15.89,22H8L4,18l6.31-6.31,7.93,7.92Zm3.76-3.76-7.92-7.93L18,4,26,11.93Z"}),props.children);});var Erase24=/*#__PURE__*/React.forwardRef(function Erase24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"23",height:"2",x:"7",y:"27"}),React.createElement("path",{d:"M27.38,10.51,19.45,2.59a2,2,0,0,0-2.83,0l-14,14a2,2,0,0,0,0,2.83L7.13,24h9.59L27.38,13.34A2,2,0,0,0,27.38,10.51ZM15.89,22H8L4,18l6.31-6.31,7.93,7.92Zm3.76-3.76-7.92-7.93L18,4,26,11.93Z"}),props.children);});var Erase20=/*#__PURE__*/React.forwardRef(function Erase20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"23",height:"2",x:"7",y:"27"}),React.createElement("path",{d:"M27.38,10.51,19.45,2.59a2,2,0,0,0-2.83,0l-14,14a2,2,0,0,0,0,2.83L7.13,24h9.59L27.38,13.34A2,2,0,0,0,27.38,10.51ZM15.89,22H8L4,18l6.31-6.31,7.93,7.92Zm3.76-3.76-7.92-7.93L18,4,26,11.93Z"}),props.children);});var Erase16=/*#__PURE__*/React.forwardRef(function Erase16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"23",height:"2",x:"7",y:"27"}),React.createElement("path",{d:"M27.38,10.51,19.45,2.59a2,2,0,0,0-2.83,0l-14,14a2,2,0,0,0,0,2.83L7.13,24h9.59L27.38,13.34A2,2,0,0,0,27.38,10.51ZM15.89,22H8L4,18l6.31-6.31,7.93,7.92Zm3.76-3.76-7.92-7.93L18,4,26,11.93Z"}),props.children);});var ErrorFilled32=/*#__PURE__*/React.forwardRef(function ErrorFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M21.4,23L9,10.6L10.6,9L23,21.4L21.4,23z"}),React.createElement("path",{fill:"none",d:"M21.4,23L9,10.6L10.6,9L23,21.4L21.4,23z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var ErrorOutline32=/*#__PURE__*/React.forwardRef(function ErrorOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("rect",{width:"2.2",height:"17.6",x:"14.8",y:"7.3",transform:"rotate(-45.001 15.929 16.071)"}),props.children);});var ErrorOutline24=/*#__PURE__*/React.forwardRef(function ErrorOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("rect",{width:"2.2",height:"17.6",x:"14.8",y:"7.3",transform:"rotate(-45.001 15.929 16.071)"}),props.children);});var ErrorOutline20=/*#__PURE__*/React.forwardRef(function ErrorOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("rect",{width:"2.2",height:"17.6",x:"14.8",y:"7.3",transform:"rotate(-45.001 15.929 16.071)"}),props.children);});var Error32=/*#__PURE__*/React.forwardRef(function Error32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,16H2A14,14,0,1,0,16,2,14,14,0,0,0,2,16Zm23.15,7.75L8.25,6.85a12,12,0,0,1,16.9,16.9ZM8.24,25.16A12,12,0,0,1,6.84,8.27L23.73,25.16a12,12,0,0,1-15.49,0Z"}),props.children);});var Error24=/*#__PURE__*/React.forwardRef(function Error24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,16H2A14,14,0,1,0,16,2,14,14,0,0,0,2,16Zm23.15,7.75L8.25,6.85a12,12,0,0,1,16.9,16.9ZM8.24,25.16A12,12,0,0,1,6.84,8.27L23.73,25.16a12,12,0,0,1-15.49,0Z"}),props.children);});var Error20=/*#__PURE__*/React.forwardRef(function Error20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,16H2A14,14,0,1,0,16,2,14,14,0,0,0,2,16Zm23.15,7.75L8.25,6.85a12,12,0,0,1,16.9,16.9ZM8.24,25.16A12,12,0,0,1,6.84,8.27L23.73,25.16a12,12,0,0,1-15.49,0Z"}),props.children);});var Error16=/*#__PURE__*/React.forwardRef(function Error16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,16H2A14,14,0,1,0,16,2,14,14,0,0,0,2,16Zm23.15,7.75L8.25,6.85a12,12,0,0,1,16.9,16.9ZM8.24,25.16A12,12,0,0,1,6.84,8.27L23.73,25.16a12,12,0,0,1-15.49,0Z"}),props.children);});var EventSchedule32=/*#__PURE__*/React.forwardRef(function EventSchedule32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a8,8,0,1,1,8-8A8,8,0,0,1,21,30Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,21,16Z"}),React.createElement("polygon",{points:"22.59 25 20 22.41 20 18 22 18 22 21.59 24 23.59 22.59 25"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var EventSchedule24=/*#__PURE__*/React.forwardRef(function EventSchedule24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a8,8,0,1,1,8-8A8,8,0,0,1,21,30Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,21,16Z"}),React.createElement("polygon",{points:"22.59 25 20 22.41 20 18 22 18 22 21.59 24 23.59 22.59 25"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var EventSchedule20=/*#__PURE__*/React.forwardRef(function EventSchedule20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a8,8,0,1,1,8-8A8,8,0,0,1,21,30Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,21,16Z"}),React.createElement("polygon",{points:"22.59 25 20 22.41 20 18 22 18 22 21.59 24 23.59 22.59 25"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var EventSchedule16=/*#__PURE__*/React.forwardRef(function EventSchedule16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a8,8,0,1,1,8-8A8,8,0,0,1,21,30Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,21,16Z"}),React.createElement("polygon",{points:"22.59 25 20 22.41 20 18 22 18 22 21.59 24 23.59 22.59 25"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var Event32=/*#__PURE__*/React.forwardRef(function Event32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),React.createElement("polygon",{points:"21 15 23.549 19.938 29 20.729 25 24.573 26 30 21 27.438 16 30 17 24.573 13 20.729 18.6 19.938 21 15"}),props.children);});var Event24=/*#__PURE__*/React.forwardRef(function Event24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),React.createElement("polygon",{points:"21 15 23.549 19.938 29 20.729 25 24.573 26 30 21 27.438 16 30 17 24.573 13 20.729 18.6 19.938 21 15"}),props.children);});var Event20=/*#__PURE__*/React.forwardRef(function Event20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),React.createElement("polygon",{points:"21 15 23.549 19.938 29 20.729 25 24.573 26 30 21 27.438 16 30 17 24.573 13 20.729 18.6 19.938 21 15"}),props.children);});var Event16=/*#__PURE__*/React.forwardRef(function Event16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),React.createElement("polygon",{points:"21 15 23.549 19.938 29 20.729 25 24.573 26 30 21 27.438 16 30 17 24.573 13 20.729 18.6 19.938 21 15"}),props.children);});var EventsAlt32=/*#__PURE__*/React.forwardRef(function EventsAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,31h2V29a1.0006,1.0006,0,0,1,1-1h6a1.0006,1.0006,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,25a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,24,25Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,24,19Z"}),React.createElement("path",{d:"M2,31H4V29a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,25a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,25Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,19Z"}),React.createElement("path",{d:"M18,16h2V14a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,10a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,24,10Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,24,4Z"}),React.createElement("path",{d:"M2,16H4V14a1.0013,1.0013,0,0,1,1-1h6a1.0013,1.0013,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),props.children);});var EventsAlt24=/*#__PURE__*/React.forwardRef(function EventsAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,31h2V29a1.0006,1.0006,0,0,1,1-1h6a1.0006,1.0006,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,25a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,24,25Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,24,19Z"}),React.createElement("path",{d:"M2,31H4V29a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,25a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,25Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,19Z"}),React.createElement("path",{d:"M18,16h2V14a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,10a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,24,10Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,24,4Z"}),React.createElement("path",{d:"M2,16H4V14a1.0013,1.0013,0,0,1,1-1h6a1.0013,1.0013,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),props.children);});var EventsAlt20=/*#__PURE__*/React.forwardRef(function EventsAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,31h2V29a1.0006,1.0006,0,0,1,1-1h6a1.0006,1.0006,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,25a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,24,25Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,24,19Z"}),React.createElement("path",{d:"M2,31H4V29a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,25a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,25Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,19Z"}),React.createElement("path",{d:"M18,16h2V14a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,10a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,24,10Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,24,4Z"}),React.createElement("path",{d:"M2,16H4V14a1.0013,1.0013,0,0,1,1-1h6a1.0013,1.0013,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),props.children);});var EventsAlt16=/*#__PURE__*/React.forwardRef(function EventsAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,31h2V29a1.0006,1.0006,0,0,1,1-1h6a1.0006,1.0006,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,25a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,24,25Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,24,19Z"}),React.createElement("path",{d:"M2,31H4V29a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V29a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,25a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,25Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,19Z"}),React.createElement("path",{d:"M18,16h2V14a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H21a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M24,10a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,24,10Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,24,4Z"}),React.createElement("path",{d:"M2,16H4V14a1.0013,1.0013,0,0,1,1-1h6a1.0013,1.0013,0,0,1,1,1v2h2V14a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),props.children);});var Events32=/*#__PURE__*/React.forwardRef(function Events32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14H24v2h2a3.0033,3.0033,0,0,1,3,3v4h2V19A5.0058,5.0058,0,0,0,26,14Z"}),React.createElement("path",{d:"M24,4a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,2Z"}),React.createElement("path",{d:"M23,30H21V28a3.0033,3.0033,0,0,0-3-3H14a3.0033,3.0033,0,0,0-3,3v2H9V28a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M16,13a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,11Z"}),React.createElement("path",{d:"M8,14H6a5.0059,5.0059,0,0,0-5,5v4H3V19a3.0033,3.0033,0,0,1,3-3H8Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var Events24=/*#__PURE__*/React.forwardRef(function Events24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14H24v2h2a3.0033,3.0033,0,0,1,3,3v4h2V19A5.0058,5.0058,0,0,0,26,14Z"}),React.createElement("path",{d:"M24,4a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,2Z"}),React.createElement("path",{d:"M23,30H21V28a3.0033,3.0033,0,0,0-3-3H14a3.0033,3.0033,0,0,0-3,3v2H9V28a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M16,13a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,11Z"}),React.createElement("path",{d:"M8,14H6a5.0059,5.0059,0,0,0-5,5v4H3V19a3.0033,3.0033,0,0,1,3-3H8Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var Events20=/*#__PURE__*/React.forwardRef(function Events20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14H24v2h2a3.0033,3.0033,0,0,1,3,3v4h2V19A5.0058,5.0058,0,0,0,26,14Z"}),React.createElement("path",{d:"M24,4a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,2Z"}),React.createElement("path",{d:"M23,30H21V28a3.0033,3.0033,0,0,0-3-3H14a3.0033,3.0033,0,0,0-3,3v2H9V28a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M16,13a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,11Z"}),React.createElement("path",{d:"M8,14H6a5.0059,5.0059,0,0,0-5,5v4H3V19a3.0033,3.0033,0,0,1,3-3H8Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var Events16=/*#__PURE__*/React.forwardRef(function Events16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,14H24v2h2a3.0033,3.0033,0,0,1,3,3v4h2V19A5.0058,5.0058,0,0,0,26,14Z"}),React.createElement("path",{d:"M24,4a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,2Z"}),React.createElement("path",{d:"M23,30H21V28a3.0033,3.0033,0,0,0-3-3H14a3.0033,3.0033,0,0,0-3,3v2H9V28a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M16,13a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,11Z"}),React.createElement("path",{d:"M8,14H6a5.0059,5.0059,0,0,0-5,5v4H3V19a3.0033,3.0033,0,0,1,3-3H8Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var ExamMode32=/*#__PURE__*/React.forwardRef(function ExamMode32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23v3H7V16.83l3.59,3.58L12,19,6,13,0,19l1.41,1.41L5,16.83V26a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V23Z"}),React.createElement("path",{d:"M27,7v9.17l3.59-3.58L32,14l-6,6-6-6,1.41-1.41L25,16.17V7H13V5H25A2,2,0,0,1,27,7Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),props.children);});var ExamMode24=/*#__PURE__*/React.forwardRef(function ExamMode24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23v3H7V16.83l3.59,3.58L12,19,6,13,0,19l1.41,1.41L5,16.83V26a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V23Z"}),React.createElement("path",{d:"M27,7v9.17l3.59-3.58L32,14l-6,6-6-6,1.41-1.41L25,16.17V7H13V5H25A2,2,0,0,1,27,7Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),props.children);});var ExamMode20=/*#__PURE__*/React.forwardRef(function ExamMode20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23v3H7V16.83l3.59,3.58L12,19,6,13,0,19l1.41,1.41L5,16.83V26a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V23Z"}),React.createElement("path",{d:"M27,7v9.17l3.59-3.58L32,14l-6,6-6-6,1.41-1.41L25,16.17V7H13V5H25A2,2,0,0,1,27,7Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),props.children);});var ExamMode16=/*#__PURE__*/React.forwardRef(function ExamMode16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23v3H7V16.83l3.59,3.58L12,19,6,13,0,19l1.41,1.41L5,16.83V26a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V23Z"}),React.createElement("path",{d:"M27,7v9.17l3.59-3.58L32,14l-6,6-6-6,1.41-1.41L25,16.17V7H13V5H25A2,2,0,0,1,27,7Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),props.children);});var Exit32=/*#__PURE__*/React.forwardRef(function Exit32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"26",y:"4"}),React.createElement("polygon",{points:"11.414 20.586 7.828 17 22 17 22 15 7.828 15 11.414 11.414 10 10 4 16 10 22 11.414 20.586"}),props.children);});var Exit24=/*#__PURE__*/React.forwardRef(function Exit24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"26",y:"4"}),React.createElement("polygon",{points:"11.414 20.586 7.828 17 22 17 22 15 7.828 15 11.414 11.414 10 10 4 16 10 22 11.414 20.586"}),props.children);});var Exit20=/*#__PURE__*/React.forwardRef(function Exit20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"26",y:"4"}),React.createElement("polygon",{points:"11.414 20.586 7.828 17 22 17 22 15 7.828 15 11.414 11.414 10 10 4 16 10 22 11.414 20.586"}),props.children);});var Exit16=/*#__PURE__*/React.forwardRef(function Exit16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"26",y:"4"}),React.createElement("polygon",{points:"11.414 20.586 7.828 17 22 17 22 15 7.828 15 11.414 11.414 10 10 4 16 10 22 11.414 20.586"}),props.children);});var ExpandAll32=/*#__PURE__*/React.forwardRef(function ExpandAll32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H26a2.0025,2.0025,0,0,0,2-2V4a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2V5H6V2H4V25a2.0025,2.0025,0,0,0,2,2h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V24a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V17h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V14a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V7h4V8A2.0025,2.0025,0,0,0,12,10Zm0-6H26l.0012,4H12Zm0,20H26l.0012,4H12Zm0-10H26l.0012,4H12Z"}),props.children);});var ExpandAll24=/*#__PURE__*/React.forwardRef(function ExpandAll24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H26a2.0025,2.0025,0,0,0,2-2V4a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2V5H6V2H4V25a2.0025,2.0025,0,0,0,2,2h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V24a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V17h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V14a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V7h4V8A2.0025,2.0025,0,0,0,12,10Zm0-6H26l.0012,4H12Zm0,20H26l.0012,4H12Zm0-10H26l.0012,4H12Z"}),props.children);});var ExpandAll20=/*#__PURE__*/React.forwardRef(function ExpandAll20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H26a2.0025,2.0025,0,0,0,2-2V4a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2V5H6V2H4V25a2.0025,2.0025,0,0,0,2,2h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V24a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V17h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V14a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V7h4V8A2.0025,2.0025,0,0,0,12,10Zm0-6H26l.0012,4H12Zm0,20H26l.0012,4H12Zm0-10H26l.0012,4H12Z"}),props.children);});var ExpandAll16=/*#__PURE__*/React.forwardRef(function ExpandAll16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H26a2.0025,2.0025,0,0,0,2-2V4a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2V5H6V2H4V25a2.0025,2.0025,0,0,0,2,2h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V24a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V17h4v1a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V14a2.0025,2.0025,0,0,0-2-2H12a2.0025,2.0025,0,0,0-2,2v1H6V7h4V8A2.0025,2.0025,0,0,0,12,10Zm0-6H26l.0012,4H12Zm0,20H26l.0012,4H12Zm0-10H26l.0012,4H12Z"}),props.children);});var ExpandCategories32=/*#__PURE__*/React.forwardRef(function ExpandCategories32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"8",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("polygon",{points:"10.586 3.959 7 7.249 3.412 3.958 2 5.373 7 10 12 5.373 10.586 3.959"}),props.children);});var ExpandCategories24=/*#__PURE__*/React.forwardRef(function ExpandCategories24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"8",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("polygon",{points:"10.586 3.959 7 7.249 3.412 3.958 2 5.373 7 10 12 5.373 10.586 3.959"}),props.children);});var ExpandCategories20=/*#__PURE__*/React.forwardRef(function ExpandCategories20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"8",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("polygon",{points:"10.586 3.959 7 7.249 3.412 3.958 2 5.373 7 10 12 5.373 10.586 3.959"}),props.children);});var ExpandCategories16=/*#__PURE__*/React.forwardRef(function ExpandCategories16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"8",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("polygon",{points:"10.586 3.959 7 7.249 3.412 3.958 2 5.373 7 10 12 5.373 10.586 3.959"}),props.children);});var Export32=/*#__PURE__*/React.forwardRef(function Export32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,24v4H6V24H4v4H4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2h0V24Z"}),React.createElement("polygon",{points:"6 12 7.41 13.4 15 5.83 15 25 17 25 17 5.83 24.59 13.4 26 12 16 2 6 12"}),props.children);});var Export24=/*#__PURE__*/React.forwardRef(function Export24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,24v4H6V24H4v4H4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2h0V24Z"}),React.createElement("polygon",{points:"6 12 7.41 13.4 15 5.83 15 25 17 25 17 5.83 24.59 13.4 26 12 16 2 6 12"}),props.children);});var Export20=/*#__PURE__*/React.forwardRef(function Export20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,24v4H6V24H4v4H4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2h0V24Z"}),React.createElement("polygon",{points:"6 12 7.41 13.4 15 5.83 15 25 17 25 17 5.83 24.59 13.4 26 12 16 2 6 12"}),props.children);});var Eyedropper32=/*#__PURE__*/React.forwardRef(function Eyedropper32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"3",x:"2",y:"27"}),React.createElement("path",{d:"M29.71,7.29l-5-5a1,1,0,0,0-1.41,0h0L20,5.59l-1.29-1.3L17.29,5.71,18.59,7,8.29,17.29A1,1,0,0,0,8,18v1.59l-2.71,2.7a1,1,0,0,0,0,1.41h0l3,3a1,1,0,0,0,1.41,0h0L12.41,24H14a1,1,0,0,0,.71-.29L25,13.41l1.29,1.3,1.42-1.42L26.41,12l3.3-3.29a1,1,0,0,0,0-1.41ZM13.59,22h-2L9,24.59,7.41,23,10,20.41v-2l10-10L23.59,12ZM25,10.59,21.41,7,24,4.41,27.59,8Z"}),props.children);});var Eyedropper24=/*#__PURE__*/React.forwardRef(function Eyedropper24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"3",x:"2",y:"27"}),React.createElement("path",{d:"M29.71,7.29l-5-5a1,1,0,0,0-1.41,0h0L20,5.59l-1.29-1.3L17.29,5.71,18.59,7,8.29,17.29A1,1,0,0,0,8,18v1.59l-2.71,2.7a1,1,0,0,0,0,1.41h0l3,3a1,1,0,0,0,1.41,0h0L12.41,24H14a1,1,0,0,0,.71-.29L25,13.41l1.29,1.3,1.42-1.42L26.41,12l3.3-3.29a1,1,0,0,0,0-1.41ZM13.59,22h-2L9,24.59,7.41,23,10,20.41v-2l10-10L23.59,12ZM25,10.59,21.41,7,24,4.41,27.59,8Z"}),props.children);});var Eyedropper20=/*#__PURE__*/React.forwardRef(function Eyedropper20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"3",x:"2",y:"27"}),React.createElement("path",{d:"M29.71,7.29l-5-5a1,1,0,0,0-1.41,0h0L20,5.59l-1.29-1.3L17.29,5.71,18.59,7,8.29,17.29A1,1,0,0,0,8,18v1.59l-2.71,2.7a1,1,0,0,0,0,1.41h0l3,3a1,1,0,0,0,1.41,0h0L12.41,24H14a1,1,0,0,0,.71-.29L25,13.41l1.29,1.3,1.42-1.42L26.41,12l3.3-3.29a1,1,0,0,0,0-1.41ZM13.59,22h-2L9,24.59,7.41,23,10,20.41v-2l10-10L23.59,12ZM25,10.59,21.41,7,24,4.41,27.59,8Z"}),props.children);});var Eyedropper16=/*#__PURE__*/React.forwardRef(function Eyedropper16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"3",height:"3",x:"2",y:"27"}),React.createElement("path",{d:"M29.71,7.29l-5-5a1,1,0,0,0-1.41,0h0L20,5.59l-1.29-1.3L17.29,5.71,18.59,7,8.29,17.29A1,1,0,0,0,8,18v1.59l-2.71,2.7a1,1,0,0,0,0,1.41h0l3,3a1,1,0,0,0,1.41,0h0L12.41,24H14a1,1,0,0,0,.71-.29L25,13.41l1.29,1.3,1.42-1.42L26.41,12l3.3-3.29a1,1,0,0,0,0-1.41ZM13.59,22h-2L9,24.59,7.41,23,10,20.41v-2l10-10L23.59,12ZM25,10.59,21.41,7,24,4.41,27.59,8Z"}),props.children);});var FaceActivatedAdd32=/*#__PURE__*/React.forwardRef(function FaceActivatedAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),React.createElement("path",{d:"M27.82,14A12,12,0,1,1,16,4V2A14,14,0,1,0,30,16a14.71,14.71,0,0,0-.16-2Z"}),props.children);});var FaceActivatedAdd24=/*#__PURE__*/React.forwardRef(function FaceActivatedAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),React.createElement("path",{d:"M27.82,14A12,12,0,1,1,16,4V2A14,14,0,1,0,30,16a14.71,14.71,0,0,0-.16-2Z"}),props.children);});var FaceActivatedAdd20=/*#__PURE__*/React.forwardRef(function FaceActivatedAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),React.createElement("path",{d:"M27.82,14A12,12,0,1,1,16,4V2A14,14,0,1,0,30,16a14.71,14.71,0,0,0-.16-2Z"}),props.children);});var FaceActivatedAdd16=/*#__PURE__*/React.forwardRef(function FaceActivatedAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),React.createElement("path",{d:"M27.82,14A12,12,0,1,1,16,4V2A14,14,0,1,0,30,16a14.71,14.71,0,0,0-.16-2Z"}),props.children);});var FaceActivatedFilled32=/*#__PURE__*/React.forwardRef(function FaceActivatedFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8.11,8.11,0,0,1-7-4H23A8.11,8.11,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceActivatedFilled24=/*#__PURE__*/React.forwardRef(function FaceActivatedFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8.11,8.11,0,0,1-7-4H23A8.11,8.11,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceActivatedFilled20=/*#__PURE__*/React.forwardRef(function FaceActivatedFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8.11,8.11,0,0,1-7-4H23A8.11,8.11,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceActivatedFilled16=/*#__PURE__*/React.forwardRef(function FaceActivatedFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8.11,8.11,0,0,1-7-4H23A8.11,8.11,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceActivated32=/*#__PURE__*/React.forwardRef(function FaceActivated32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),props.children);});var FaceActivated24=/*#__PURE__*/React.forwardRef(function FaceActivated24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),props.children);});var FaceActivated20=/*#__PURE__*/React.forwardRef(function FaceActivated20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),props.children);});var FaceActivated16=/*#__PURE__*/React.forwardRef(function FaceActivated16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M9,20a8.13,8.13,0,0,0,14,0Z"}),props.children);});var FaceAdd32=/*#__PURE__*/React.forwardRef(function FaceAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a6,6,0,0,1-5.14-2.92l-1.71,1a8,8,0,0,0,13.7,0l-1.71-1A6,6,0,0,1,16,22Z"}),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M27.61,13A12.33,12.33,0,0,1,28,16,12,12,0,1,1,16,4V2A14,14,0,1,0,29.67,13Z"}),props.children);});var FaceAdd24=/*#__PURE__*/React.forwardRef(function FaceAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a6,6,0,0,1-5.14-2.92l-1.71,1a8,8,0,0,0,13.7,0l-1.71-1A6,6,0,0,1,16,22Z"}),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M27.61,13A12.33,12.33,0,0,1,28,16,12,12,0,1,1,16,4V2A14,14,0,1,0,29.67,13Z"}),props.children);});var FaceAdd20=/*#__PURE__*/React.forwardRef(function FaceAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a6,6,0,0,1-5.14-2.92l-1.71,1a8,8,0,0,0,13.7,0l-1.71-1A6,6,0,0,1,16,22Z"}),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M27.61,13A12.33,12.33,0,0,1,28,16,12,12,0,1,1,16,4V2A14,14,0,1,0,29.67,13Z"}),props.children);});var FaceAdd16=/*#__PURE__*/React.forwardRef(function FaceAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a6,6,0,0,1-5.14-2.92l-1.71,1a8,8,0,0,0,13.7,0l-1.71-1A6,6,0,0,1,16,22Z"}),React.createElement("polygon",{points:"30 4 26 4 26 0 24 0 24 4 20 4 20 6 24 6 24 10 26 10 26 6 30 6 30 4"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M27.61,13A12.33,12.33,0,0,1,28,16,12,12,0,1,1,16,4V2A14,14,0,1,0,29.67,13Z"}),props.children);});var FaceCool32=/*#__PURE__*/React.forwardRef(function FaceCool32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,10.89,7H25a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1H5.11A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4,16a11.86,11.86,0,0,1,.4-3H7v2a2,2,0,0,0,2,2h3.31a2,2,0,0,0,2-1.67L14.83,12h2.34l.55,3.33a2,2,0,0,0,2,1.67H23a2,2,0,0,0,2-2V13h2.6a11.86,11.86,0,0,1,.4,3A12,12,0,0,1,16,28Z"}),props.children);});var FaceCool24=/*#__PURE__*/React.forwardRef(function FaceCool24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,10.89,7H25a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1H5.11A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4,16a11.86,11.86,0,0,1,.4-3H7v2a2,2,0,0,0,2,2h3.31a2,2,0,0,0,2-1.67L14.83,12h2.34l.55,3.33a2,2,0,0,0,2,1.67H23a2,2,0,0,0,2-2V13h2.6a11.86,11.86,0,0,1,.4,3A12,12,0,0,1,16,28Z"}),props.children);});var FaceCool20=/*#__PURE__*/React.forwardRef(function FaceCool20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,10.89,7H25a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1H5.11A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4,16a11.86,11.86,0,0,1,.4-3H7v2a2,2,0,0,0,2,2h3.31a2,2,0,0,0,2-1.67L14.83,12h2.34l.55,3.33a2,2,0,0,0,2,1.67H23a2,2,0,0,0,2-2V13h2.6a11.86,11.86,0,0,1,.4,3A12,12,0,0,1,16,28Z"}),props.children);});var FaceCool16=/*#__PURE__*/React.forwardRef(function FaceCool16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,10.89,7H25a1,1,0,0,0-1-1H8a1,1,0,0,0-1,1H5.11A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4,16a11.86,11.86,0,0,1,.4-3H7v2a2,2,0,0,0,2,2h3.31a2,2,0,0,0,2-1.67L14.83,12h2.34l.55,3.33a2,2,0,0,0,2,1.67H23a2,2,0,0,0,2-2V13h2.6a11.86,11.86,0,0,1,.4,3A12,12,0,0,1,16,28Z"}),props.children);});var FaceDissatisfiedFilled32=/*#__PURE__*/React.forwardRef(function FaceDissatisfiedFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9h0A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.54,11Zm9.64,12.92a6,6,0,0,0-10.28,0l-1.71-1a8,8,0,0,1,13.7,0ZM20.5,16a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceDissatisfiedFilled24=/*#__PURE__*/React.forwardRef(function FaceDissatisfiedFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9h0A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.54,11Zm9.64,12.92a6,6,0,0,0-10.28,0l-1.71-1a8,8,0,0,1,13.7,0ZM20.5,16a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceDissatisfiedFilled20=/*#__PURE__*/React.forwardRef(function FaceDissatisfiedFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9h0A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.54,11Zm9.64,12.92a6,6,0,0,0-10.28,0l-1.71-1a8,8,0,0,1,13.7,0ZM20.5,16a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceDissatisfiedFilled16=/*#__PURE__*/React.forwardRef(function FaceDissatisfiedFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9h0A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.54,11Zm9.64,12.92a6,6,0,0,0-10.28,0l-1.71-1a8,8,0,0,1,13.7,0ZM20.5,16a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceDissatisfied32=/*#__PURE__*/React.forwardRef(function FaceDissatisfied32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,19a8,8,0,0,0-6.85,3.89l1.71,1a6,6,0,0,1,10.28,0l1.71-1A8,8,0,0,0,16,19Z"}),props.children);});var FaceDissatisfied24=/*#__PURE__*/React.forwardRef(function FaceDissatisfied24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,19a8,8,0,0,0-6.85,3.89l1.71,1a6,6,0,0,1,10.28,0l1.71-1A8,8,0,0,0,16,19Z"}),props.children);});var FaceDissatisfied20=/*#__PURE__*/React.forwardRef(function FaceDissatisfied20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,19a8,8,0,0,0-6.85,3.89l1.71,1a6,6,0,0,1,10.28,0l1.71-1A8,8,0,0,0,16,19Z"}),props.children);});var FaceDissatisfied16=/*#__PURE__*/React.forwardRef(function FaceDissatisfied16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,19a8,8,0,0,0-6.85,3.89l1.71,1a6,6,0,0,1,10.28,0l1.71-1A8,8,0,0,0,16,19Z"}),props.children);});var FaceDizzyFilled32=/*#__PURE__*/React.forwardRef(function FaceDizzyFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,16.41,7.59,15l2-2-2-2L9,9.59l2,2,2-2L14.41,11l-2,2,2,2L13,16.41l-2-2ZM16,25a3,3,0,1,1,3-3A3,3,0,0,1,16,25Zm8.41-10L23,16.41l-2-2-2,2L17.59,15l2-2-2-2L19,9.59l2,2,2-2L24.41,11l-2,2Z"}),props.children);});var FaceDizzyFilled24=/*#__PURE__*/React.forwardRef(function FaceDizzyFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,16.41,7.59,15l2-2-2-2L9,9.59l2,2,2-2L14.41,11l-2,2,2,2L13,16.41l-2-2ZM16,25a3,3,0,1,1,3-3A3,3,0,0,1,16,25Zm8.41-10L23,16.41l-2-2-2,2L17.59,15l2-2-2-2L19,9.59l2,2,2-2L24.41,11l-2,2Z"}),props.children);});var FaceDizzyFilled20=/*#__PURE__*/React.forwardRef(function FaceDizzyFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,16.41,7.59,15l2-2-2-2L9,9.59l2,2,2-2L14.41,11l-2,2,2,2L13,16.41l-2-2ZM16,25a3,3,0,1,1,3-3A3,3,0,0,1,16,25Zm8.41-10L23,16.41l-2-2-2,2L17.59,15l2-2-2-2L19,9.59l2,2,2-2L24.41,11l-2,2Z"}),props.children);});var FaceDizzyFilled16=/*#__PURE__*/React.forwardRef(function FaceDizzyFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,16.41,7.59,15l2-2-2-2L9,9.59l2,2,2-2L14.41,11l-2,2,2,2L13,16.41l-2-2ZM16,25a3,3,0,1,1,3-3A3,3,0,0,1,16,25Zm8.41-10L23,16.41l-2-2-2,2L17.59,15l2-2-2-2L19,9.59l2,2,2-2L24.41,11l-2,2Z"}),props.children);});var FaceDizzy32=/*#__PURE__*/React.forwardRef(function FaceDizzy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"24.41 11 23 9.59 21 11.59 19 9.59 17.59 11 19.59 13 17.59 15 19 16.41 21 14.41 23 16.41 24.41 15 22.41 13 24.41 11"}),React.createElement("polygon",{points:"14.41 11 13 9.59 11 11.59 9 9.59 7.59 11 9.59 13 7.59 15 9 16.41 11 14.41 13 16.41 14.41 15 12.41 13 14.41 11"}),React.createElement("path",{d:"M16,19a3,3,0,1,0,3,3,3,3,0,0,0-3-3Z"}),props.children);});var FaceDizzy24=/*#__PURE__*/React.forwardRef(function FaceDizzy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"24.41 11 23 9.59 21 11.59 19 9.59 17.59 11 19.59 13 17.59 15 19 16.41 21 14.41 23 16.41 24.41 15 22.41 13 24.41 11"}),React.createElement("polygon",{points:"14.41 11 13 9.59 11 11.59 9 9.59 7.59 11 9.59 13 7.59 15 9 16.41 11 14.41 13 16.41 14.41 15 12.41 13 14.41 11"}),React.createElement("path",{d:"M16,19a3,3,0,1,0,3,3,3,3,0,0,0-3-3Z"}),props.children);});var FaceDizzy20=/*#__PURE__*/React.forwardRef(function FaceDizzy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"24.41 11 23 9.59 21 11.59 19 9.59 17.59 11 19.59 13 17.59 15 19 16.41 21 14.41 23 16.41 24.41 15 22.41 13 24.41 11"}),React.createElement("polygon",{points:"14.41 11 13 9.59 11 11.59 9 9.59 7.59 11 9.59 13 7.59 15 9 16.41 11 14.41 13 16.41 14.41 15 12.41 13 14.41 11"}),React.createElement("path",{d:"M16,19a3,3,0,1,0,3,3,3,3,0,0,0-3-3Z"}),props.children);});var FaceDizzy16=/*#__PURE__*/React.forwardRef(function FaceDizzy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("polygon",{points:"24.41 11 23 9.59 21 11.59 19 9.59 17.59 11 19.59 13 17.59 15 19 16.41 21 14.41 23 16.41 24.41 15 22.41 13 24.41 11"}),React.createElement("polygon",{points:"14.41 11 13 9.59 11 11.59 9 9.59 7.59 11 9.59 13 7.59 15 9 16.41 11 14.41 13 16.41 14.41 15 12.41 13 14.41 11"}),React.createElement("path",{d:"M16,19a3,3,0,1,0,3,3,3,3,0,0,0-3-3Z"}),props.children);});var FaceNeutralFilled32=/*#__PURE__*/React.forwardRef(function FaceNeutralFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,13.5A2.5,2.5,0,1,1,11.5,16,2.5,2.5,0,0,1,9,13.5ZM22,22H10V20H22Zm-1.5-6A2.5,2.5,0,1,1,23,13.5,2.5,2.5,0,0,1,20.5,16Z"}),props.children);});var FaceNeutralFilled24=/*#__PURE__*/React.forwardRef(function FaceNeutralFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,13.5A2.5,2.5,0,1,1,11.5,16,2.5,2.5,0,0,1,9,13.5ZM22,22H10V20H22Zm-1.5-6A2.5,2.5,0,1,1,23,13.5,2.5,2.5,0,0,1,20.5,16Z"}),props.children);});var FaceNeutralFilled20=/*#__PURE__*/React.forwardRef(function FaceNeutralFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,13.5A2.5,2.5,0,1,1,11.5,16,2.5,2.5,0,0,1,9,13.5ZM22,22H10V20H22Zm-1.5-6A2.5,2.5,0,1,1,23,13.5,2.5,2.5,0,0,1,20.5,16Z"}),props.children);});var FaceNeutralFilled16=/*#__PURE__*/React.forwardRef(function FaceNeutralFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM9,13.5A2.5,2.5,0,1,1,11.5,16,2.5,2.5,0,0,1,9,13.5ZM22,22H10V20H22Zm-1.5-6A2.5,2.5,0,1,1,23,13.5,2.5,2.5,0,0,1,20.5,16Z"}),props.children);});var FaceNeutral32=/*#__PURE__*/React.forwardRef(function FaceNeutral32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"20"}),props.children);});var FaceNeutral24=/*#__PURE__*/React.forwardRef(function FaceNeutral24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"20"}),props.children);});var FaceNeutral20=/*#__PURE__*/React.forwardRef(function FaceNeutral20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"20"}),props.children);});var FaceNeutral16=/*#__PURE__*/React.forwardRef(function FaceNeutral16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.5,2.5,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"20"}),props.children);});var FacePendingFilled32=/*#__PURE__*/React.forwardRef(function FacePendingFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM11.5,16A2.5,2.5,0,1,1,14,13.5,2.48,2.48,0,0,1,11.5,16Zm9,0A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FacePendingFilled24=/*#__PURE__*/React.forwardRef(function FacePendingFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM11.5,16A2.5,2.5,0,1,1,14,13.5,2.48,2.48,0,0,1,11.5,16Zm9,0A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FacePendingFilled20=/*#__PURE__*/React.forwardRef(function FacePendingFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM11.5,16A2.5,2.5,0,1,1,14,13.5,2.48,2.48,0,0,1,11.5,16Zm9,0A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FacePendingFilled16=/*#__PURE__*/React.forwardRef(function FacePendingFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM11.5,16A2.5,2.5,0,1,1,14,13.5,2.48,2.48,0,0,1,11.5,16Zm9,0A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FacePending32=/*#__PURE__*/React.forwardRef(function FacePending32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),props.children);});var FacePending24=/*#__PURE__*/React.forwardRef(function FacePending24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),props.children);});var FacePending20=/*#__PURE__*/React.forwardRef(function FacePending20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),props.children);});var FacePending16=/*#__PURE__*/React.forwardRef(function FacePending16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),props.children);});var FaceSatisfiedFilled32=/*#__PURE__*/React.forwardRef(function FaceSatisfiedFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceSatisfiedFilled24=/*#__PURE__*/React.forwardRef(function FaceSatisfiedFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceSatisfiedFilled20=/*#__PURE__*/React.forwardRef(function FaceSatisfiedFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceSatisfiedFilled16=/*#__PURE__*/React.forwardRef(function FaceSatisfiedFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm-4.5,9A2.5,2.5,0,1,1,9,13.5,2.48,2.48,0,0,1,11.5,11ZM16,24a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8A2.5,2.5,0,1,1,23,13.5,2.48,2.48,0,0,1,20.5,16Z"}),props.children);});var FaceSatisfied32=/*#__PURE__*/React.forwardRef(function FaceSatisfied32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var FaceSatisfied24=/*#__PURE__*/React.forwardRef(function FaceSatisfied24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var FaceSatisfied20=/*#__PURE__*/React.forwardRef(function FaceSatisfied20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var FaceSatisfied16=/*#__PURE__*/React.forwardRef(function FaceSatisfied16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M11.5,11A2.5,2.5,0,1,0,14,13.5,2.48,2.48,0,0,0,11.5,11Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.48,2.48,0,0,0,20.5,11Z"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var FaceWinkFilled32=/*#__PURE__*/React.forwardRef(function FaceWinkFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM8,13h6v2H8Zm8,11a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceWinkFilled24=/*#__PURE__*/React.forwardRef(function FaceWinkFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM8,13h6v2H8Zm8,11a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceWinkFilled20=/*#__PURE__*/React.forwardRef(function FaceWinkFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM8,13h6v2H8Zm8,11a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceWinkFilled16=/*#__PURE__*/React.forwardRef(function FaceWinkFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM8,13h6v2H8Zm8,11a8,8,0,0,1-6.85-3.89l1.71-1a6,6,0,0,0,10.28,0l1.71,1A8,8,0,0,1,16,24Zm4.5-8a2.5,2.5,0,0,1,0-5h0a2.5,2.5,0,0,1,0,5Z"}),props.children);});var FaceWink32=/*#__PURE__*/React.forwardRef(function FaceWink32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"13"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var FaceWink24=/*#__PURE__*/React.forwardRef(function FaceWink24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"13"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var FaceWink20=/*#__PURE__*/React.forwardRef(function FaceWink20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"13"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var FaceWink16=/*#__PURE__*/React.forwardRef(function FaceWink16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M20.5,11A2.5,2.5,0,1,0,23,13.5,2.5,2.5,0,0,0,20.5,11Z"}),React.createElement("rect",{width:"6",height:"2",x:"8",y:"13"}),React.createElement("path",{d:"M16,24a8,8,0,0,0,6.85-3.89l-1.71-1a6,6,0,0,1-10.28,0l-1.71,1A8,8,0,0,0,16,24Z"}),props.children);});var Factor32=/*#__PURE__*/React.forwardRef(function Factor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V9H24V4h2V2H20V4h2V9H19V28H15V16H12V11h2V9H8v2h2v5H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V18h4Zm8-17h4V28H21Z"}),props.children);});var Factor24=/*#__PURE__*/React.forwardRef(function Factor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V9H24V4h2V2H20V4h2V9H19V28H15V16H12V11h2V9H8v2h2v5H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V18h4Zm8-17h4V28H21Z"}),props.children);});var Factor20=/*#__PURE__*/React.forwardRef(function Factor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V9H24V4h2V2H20V4h2V9H19V28H15V16H12V11h2V9H8v2h2v5H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V18h4Zm8-17h4V28H21Z"}),props.children);});var Factor16=/*#__PURE__*/React.forwardRef(function Factor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28V9H24V4h2V2H20V4h2V9H19V28H15V16H12V11h2V9H8v2h2v5H7V28H4V2H2V28a2,2,0,0,0,2,2H30V28ZM13,28H9V18h4Zm8-17h4V28H21Z"}),props.children);});var Fade32=/*#__PURE__*/React.forwardRef(function Fade32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.24,25.14,7,26.67a13.79,13.79,0,0,0,4.18,2.44l.69-1.87A12,12,0,0,1,8.24,25.14Z"}),React.createElement("path",{d:"M4.19,18l-2,.41A14.09,14.09,0,0,0,3.86,23L5.59,22A12.44,12.44,0,0,1,4.19,18Z"}),React.createElement("path",{d:"M11.82,4.76l-.69-1.87A13.79,13.79,0,0,0,7,5.33L8.24,6.86A12,12,0,0,1,11.82,4.76Z"}),React.createElement("path",{d:"M5.59,10,3.86,9a14.37,14.37,0,0,0-1.64,4.59l2,.34A12.05,12.05,0,0,1,5.59,10Z"}),React.createElement("path",{d:"M16,2V4a12,12,0,0,1,0,24v2A14,14,0,0,0,16,2Z"}),props.children);});var Fade24=/*#__PURE__*/React.forwardRef(function Fade24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.24,25.14,7,26.67a13.79,13.79,0,0,0,4.18,2.44l.69-1.87A12,12,0,0,1,8.24,25.14Z"}),React.createElement("path",{d:"M4.19,18l-2,.41A14.09,14.09,0,0,0,3.86,23L5.59,22A12.44,12.44,0,0,1,4.19,18Z"}),React.createElement("path",{d:"M11.82,4.76l-.69-1.87A13.79,13.79,0,0,0,7,5.33L8.24,6.86A12,12,0,0,1,11.82,4.76Z"}),React.createElement("path",{d:"M5.59,10,3.86,9a14.37,14.37,0,0,0-1.64,4.59l2,.34A12.05,12.05,0,0,1,5.59,10Z"}),React.createElement("path",{d:"M16,2V4a12,12,0,0,1,0,24v2A14,14,0,0,0,16,2Z"}),props.children);});var Fade20=/*#__PURE__*/React.forwardRef(function Fade20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.24,25.14,7,26.67a13.79,13.79,0,0,0,4.18,2.44l.69-1.87A12,12,0,0,1,8.24,25.14Z"}),React.createElement("path",{d:"M4.19,18l-2,.41A14.09,14.09,0,0,0,3.86,23L5.59,22A12.44,12.44,0,0,1,4.19,18Z"}),React.createElement("path",{d:"M11.82,4.76l-.69-1.87A13.79,13.79,0,0,0,7,5.33L8.24,6.86A12,12,0,0,1,11.82,4.76Z"}),React.createElement("path",{d:"M5.59,10,3.86,9a14.37,14.37,0,0,0-1.64,4.59l2,.34A12.05,12.05,0,0,1,5.59,10Z"}),React.createElement("path",{d:"M16,2V4a12,12,0,0,1,0,24v2A14,14,0,0,0,16,2Z"}),props.children);});var FavoriteFilled32=/*#__PURE__*/React.forwardRef(function FavoriteFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,4c-2,0-3.9,0.8-5.3,2.2L16,7.4l-1.1-1.1C12,3.3,7.2,3.3,4.3,6.2c0,0-0.1,0.1-0.1,0.1c-3,3-3,7.8,0,10.8L16,29\tl11.8-11.9c3-3,3-7.8,0-10.8C26.4,4.8,24.5,4,22.5,4z"}),props.children);});var FavoriteFilled24=/*#__PURE__*/React.forwardRef(function FavoriteFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,4c-2,0-3.9,0.8-5.3,2.2L16,7.4l-1.1-1.1C12,3.3,7.2,3.3,4.3,6.2c0,0-0.1,0.1-0.1,0.1c-3,3-3,7.8,0,10.8L16,29\tl11.8-11.9c3-3,3-7.8,0-10.8C26.4,4.8,24.5,4,22.5,4z"}),props.children);});var FavoriteFilled20=/*#__PURE__*/React.forwardRef(function FavoriteFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,4c-2,0-3.9,0.8-5.3,2.2L16,7.4l-1.1-1.1C12,3.3,7.2,3.3,4.3,6.2c0,0-0.1,0.1-0.1,0.1c-3,3-3,7.8,0,10.8L16,29\tl11.8-11.9c3-3,3-7.8,0-10.8C26.4,4.8,24.5,4,22.5,4z"}),props.children);});var FavoriteFilled16=/*#__PURE__*/React.forwardRef(function FavoriteFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,4c-2,0-3.9,0.8-5.3,2.2L16,7.4l-1.1-1.1C12,3.3,7.2,3.3,4.3,6.2c0,0-0.1,0.1-0.1,0.1c-3,3-3,7.8,0,10.8L16,29\tl11.8-11.9c3-3,3-7.8,0-10.8C26.4,4.8,24.5,4,22.5,4z"}),props.children);});var Favorite32=/*#__PURE__*/React.forwardRef(function Favorite32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.45,6a5.47,5.47,0,0,1,3.91,1.64,5.7,5.7,0,0,1,0,8L16,26.13,5.64,15.64a5.7,5.7,0,0,1,0-8,5.48,5.48,0,0,1,7.82,0L16,10.24l2.53-2.58A5.44,5.44,0,0,1,22.45,6m0-2a7.47,7.47,0,0,0-5.34,2.24L16,7.36,14.89,6.24a7.49,7.49,0,0,0-10.68,0,7.72,7.72,0,0,0,0,10.82L16,29,27.79,17.06a7.72,7.72,0,0,0,0-10.82A7.49,7.49,0,0,0,22.45,4Z"}),props.children);});var Favorite24=/*#__PURE__*/React.forwardRef(function Favorite24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.45,6a5.47,5.47,0,0,1,3.91,1.64,5.7,5.7,0,0,1,0,8L16,26.13,5.64,15.64a5.7,5.7,0,0,1,0-8,5.48,5.48,0,0,1,7.82,0L16,10.24l2.53-2.58A5.44,5.44,0,0,1,22.45,6m0-2a7.47,7.47,0,0,0-5.34,2.24L16,7.36,14.89,6.24a7.49,7.49,0,0,0-10.68,0,7.72,7.72,0,0,0,0,10.82L16,29,27.79,17.06a7.72,7.72,0,0,0,0-10.82A7.49,7.49,0,0,0,22.45,4Z"}),props.children);});var Favorite20=/*#__PURE__*/React.forwardRef(function Favorite20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.45,6a5.47,5.47,0,0,1,3.91,1.64,5.7,5.7,0,0,1,0,8L16,26.13,5.64,15.64a5.7,5.7,0,0,1,0-8,5.48,5.48,0,0,1,7.82,0L16,10.24l2.53-2.58A5.44,5.44,0,0,1,22.45,6m0-2a7.47,7.47,0,0,0-5.34,2.24L16,7.36,14.89,6.24a7.49,7.49,0,0,0-10.68,0,7.72,7.72,0,0,0,0,10.82L16,29,27.79,17.06a7.72,7.72,0,0,0,0-10.82A7.49,7.49,0,0,0,22.45,4Z"}),props.children);});var Favorite16=/*#__PURE__*/React.forwardRef(function Favorite16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.45,6a5.47,5.47,0,0,1,3.91,1.64,5.7,5.7,0,0,1,0,8L16,26.13,5.64,15.64a5.7,5.7,0,0,1,0-8,5.48,5.48,0,0,1,7.82,0L16,10.24l2.53-2.58A5.44,5.44,0,0,1,22.45,6m0-2a7.47,7.47,0,0,0-5.34,2.24L16,7.36,14.89,6.24a7.49,7.49,0,0,0-10.68,0,7.72,7.72,0,0,0,0,10.82L16,29,27.79,17.06a7.72,7.72,0,0,0,0-10.82A7.49,7.49,0,0,0,22.45,4Z"}),props.children);});var FetchUploadCloud32=/*#__PURE__*/React.forwardRef(function FetchUploadCloud32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,13l-5,5,1.41,1.41L15,16.83V28H6v2h9a2,2,0,0,0,2-2V16.83l2.59,2.58L21,18Z"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var FetchUploadCloud24=/*#__PURE__*/React.forwardRef(function FetchUploadCloud24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,13l-5,5,1.41,1.41L15,16.83V28H6v2h9a2,2,0,0,0,2-2V16.83l2.59,2.58L21,18Z"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var FetchUploadCloud20=/*#__PURE__*/React.forwardRef(function FetchUploadCloud20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,13l-5,5,1.41,1.41L15,16.83V28H6v2h9a2,2,0,0,0,2-2V16.83l2.59,2.58L21,18Z"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var FetchUploadCloud16=/*#__PURE__*/React.forwardRef(function FetchUploadCloud16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,13l-5,5,1.41,1.41L15,16.83V28H6v2h9a2,2,0,0,0,2-2V16.83l2.59,2.58L21,18Z"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var FetchUpload32=/*#__PURE__*/React.forwardRef(function FetchUpload32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7,6,17l1.41,1.41L15,10.83V28H2v2H15a2,2,0,0,0,2-2V10.83l7.59,7.58L26,17Z"}),React.createElement("path",{d:"M6,8V4H26V8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8Z"}),props.children);});var FetchUpload24=/*#__PURE__*/React.forwardRef(function FetchUpload24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7,6,17l1.41,1.41L15,10.83V28H2v2H15a2,2,0,0,0,2-2V10.83l7.59,7.58L26,17Z"}),React.createElement("path",{d:"M6,8V4H26V8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8Z"}),props.children);});var FetchUpload20=/*#__PURE__*/React.forwardRef(function FetchUpload20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7,6,17l1.41,1.41L15,10.83V28H2v2H15a2,2,0,0,0,2-2V10.83l7.59,7.58L26,17Z"}),React.createElement("path",{d:"M6,8V4H26V8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8Z"}),props.children);});var FetchUpload16=/*#__PURE__*/React.forwardRef(function FetchUpload16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,7,6,17l1.41,1.41L15,10.83V28H2v2H15a2,2,0,0,0,2-2V10.83l7.59,7.58L26,17Z"}),React.createElement("path",{d:"M6,8V4H26V8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8Z"}),props.children);});var FilterEdit32=/*#__PURE__*/React.forwardRef(function FilterEdit32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var FilterEdit24=/*#__PURE__*/React.forwardRef(function FilterEdit24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var FilterEdit20=/*#__PURE__*/React.forwardRef(function FilterEdit20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var FilterEdit16=/*#__PURE__*/React.forwardRef(function FilterEdit16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var Filter32=/*#__PURE__*/React.forwardRef(function Filter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28H14a2,2,0,0,1-2-2V18.41L4.59,11A2,2,0,0,1,4,9.59V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V9.59A2,2,0,0,1,27.41,11L20,18.41V26A2,2,0,0,1,18,28ZM6,6V9.59l8,8V26h4V17.59l8-8V6Z"}),props.children);});var Filter24=/*#__PURE__*/React.forwardRef(function Filter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28H14a2,2,0,0,1-2-2V18.41L4.59,11A2,2,0,0,1,4,9.59V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V9.59A2,2,0,0,1,27.41,11L20,18.41V26A2,2,0,0,1,18,28ZM6,6V9.59l8,8V26h4V17.59l8-8V6Z"}),props.children);});var Filter20=/*#__PURE__*/React.forwardRef(function Filter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28H14a2,2,0,0,1-2-2V18.41L4.59,11A2,2,0,0,1,4,9.59V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V9.59A2,2,0,0,1,27.41,11L20,18.41V26A2,2,0,0,1,18,28ZM6,6V9.59l8,8V26h4V17.59l8-8V6Z"}),props.children);});var Filter16=/*#__PURE__*/React.forwardRef(function Filter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28H14a2,2,0,0,1-2-2V18.41L4.59,11A2,2,0,0,1,4,9.59V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V9.59A2,2,0,0,1,27.41,11L20,18.41V26A2,2,0,0,1,18,28ZM6,6V9.59l8,8V26h4V17.59l8-8V6Z"}),props.children);});var Finance32=/*#__PURE__*/React.forwardRef(function Finance32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M27,11a1,1,0,0,0,1-1V7a1,1,0,0,0-.66-.94l-11-4a1,1,0,0,0-.68,0l-11,4A1,1,0,0,0,4,7v3a1,1,0,0,0,1,1H6V24H4v2H28V24H26V11ZM6,7.7,16,4.06,26,7.7V9H6ZM18,24H14V11h4ZM8,11h4V24H8ZM24,24H20V11h4Z"}),props.children);});var Finance24=/*#__PURE__*/React.forwardRef(function Finance24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M27,11a1,1,0,0,0,1-1V7a1,1,0,0,0-.66-.94l-11-4a1,1,0,0,0-.68,0l-11,4A1,1,0,0,0,4,7v3a1,1,0,0,0,1,1H6V24H4v2H28V24H26V11ZM6,7.7,16,4.06,26,7.7V9H6ZM18,24H14V11h4ZM8,11h4V24H8ZM24,24H20V11h4Z"}),props.children);});var Finance20=/*#__PURE__*/React.forwardRef(function Finance20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M27,11a1,1,0,0,0,1-1V7a1,1,0,0,0-.66-.94l-11-4a1,1,0,0,0-.68,0l-11,4A1,1,0,0,0,4,7v3a1,1,0,0,0,1,1H6V24H4v2H28V24H26V11ZM6,7.7,16,4.06,26,7.7V9H6ZM18,24H14V11h4ZM8,11h4V24H8ZM24,24H20V11h4Z"}),props.children);});var Finance16=/*#__PURE__*/React.forwardRef(function Finance16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"28"}),React.createElement("path",{d:"M27,11a1,1,0,0,0,1-1V7a1,1,0,0,0-.66-.94l-11-4a1,1,0,0,0-.68,0l-11,4A1,1,0,0,0,4,7v3a1,1,0,0,0,1,1H6V24H4v2H28V24H26V11ZM6,7.7,16,4.06,26,7.7V9H6ZM18,24H14V11h4ZM8,11h4V24H8ZM24,24H20V11h4Z"}),props.children);});var FingerprintRecognition32=/*#__PURE__*/React.forwardRef(function FingerprintRecognition32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,5.21a.77.77,0,0,1-.46-1.38A15.46,15.46,0,0,1,16,1c2.66,0,6.48.45,9.5,2.62a.77.77,0,0,1,.18,1.07.78.78,0,0,1-1.08.17A15,15,0,0,0,16,2.53,14,14,0,0,0,7.5,5.05.74.74,0,0,1,7,5.21Z"}),React.createElement("path",{d:"M28.23,12.26a.78.78,0,0,1-.63-.33C25.87,9.49,22.78,6.24,16,6.24a14,14,0,0,0-11.63,5.7.77.77,0,0,1-1.07.17A.76.76,0,0,1,3.15,11,15.54,15.54,0,0,1,16,4.71c5.61,0,9.81,2.08,12.84,6.34a.77.77,0,0,1-.19,1.07A.79.79,0,0,1,28.23,12.26Z"}),React.createElement("path",{d:"M12.28,31a.78.78,0,0,1-.72-.49.75.75,0,0,1,.44-1c4.37-1.68,7-5.12,7-9.21a2.8,2.8,0,0,0-3-3c-1.86,0-2.76,1-3,3.35a4.27,4.27,0,0,1-4.52,3.83,4.27,4.27,0,0,1-4.32-4.59A11.71,11.71,0,0,1,16,8.39a12,12,0,0,1,12,11.93,18.66,18.66,0,0,1-1.39,6.5.78.78,0,0,1-1,.41.76.76,0,0,1-.41-1,17.25,17.25,0,0,0,1.27-5.91A10.45,10.45,0,0,0,16,9.92a10.18,10.18,0,0,0-10.38,10,2.77,2.77,0,0,0,2.79,3.06,2.74,2.74,0,0,0,3-2.48c.36-3.11,1.89-4.69,4.56-4.69a4.31,4.31,0,0,1,4.52,4.56c0,4.74-3,8.72-8,10.63A.92.92,0,0,1,12.28,31Z"}),React.createElement("path",{d:"M19.77,30.28a.81.81,0,0,1-.52-.2.76.76,0,0,1,0-1.08,12.63,12.63,0,0,0,3.54-8.68c0-1.56-.48-6.65-6.7-6.65a6.83,6.83,0,0,0-4.94,1.87A6.17,6.17,0,0,0,9.32,20a.77.77,0,0,1-.77.76h0A.76.76,0,0,1,7.78,20,7.73,7.73,0,0,1,10,14.46a8.34,8.34,0,0,1,6-2.32c6.08,0,8.24,4.4,8.24,8.18A14.09,14.09,0,0,1,20.34,30,.75.75,0,0,1,19.77,30.28Z"}),React.createElement("path",{d:"M8.66,27.74a14.14,14.14,0,0,1-1.56-.09.76.76,0,1,1,.17-1.52c2.49.28,4.45-.16,5.84-1.32a6.37,6.37,0,0,0,2.12-4.53.75.75,0,0,1,.82-.71.78.78,0,0,1,.72.81A7.89,7.89,0,0,1,14.09,26,8.2,8.2,0,0,1,8.66,27.74Z"}),props.children);});var FingerprintRecognition24=/*#__PURE__*/React.forwardRef(function FingerprintRecognition24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,5.21a.77.77,0,0,1-.46-1.38A15.46,15.46,0,0,1,16,1c2.66,0,6.48.45,9.5,2.62a.77.77,0,0,1,.18,1.07.78.78,0,0,1-1.08.17A15,15,0,0,0,16,2.53,14,14,0,0,0,7.5,5.05.74.74,0,0,1,7,5.21Z"}),React.createElement("path",{d:"M28.23,12.26a.78.78,0,0,1-.63-.33C25.87,9.49,22.78,6.24,16,6.24a14,14,0,0,0-11.63,5.7.77.77,0,0,1-1.07.17A.76.76,0,0,1,3.15,11,15.54,15.54,0,0,1,16,4.71c5.61,0,9.81,2.08,12.84,6.34a.77.77,0,0,1-.19,1.07A.79.79,0,0,1,28.23,12.26Z"}),React.createElement("path",{d:"M12.28,31a.78.78,0,0,1-.72-.49.75.75,0,0,1,.44-1c4.37-1.68,7-5.12,7-9.21a2.8,2.8,0,0,0-3-3c-1.86,0-2.76,1-3,3.35a4.27,4.27,0,0,1-4.52,3.83,4.27,4.27,0,0,1-4.32-4.59A11.71,11.71,0,0,1,16,8.39a12,12,0,0,1,12,11.93,18.66,18.66,0,0,1-1.39,6.5.78.78,0,0,1-1,.41.76.76,0,0,1-.41-1,17.25,17.25,0,0,0,1.27-5.91A10.45,10.45,0,0,0,16,9.92a10.18,10.18,0,0,0-10.38,10,2.77,2.77,0,0,0,2.79,3.06,2.74,2.74,0,0,0,3-2.48c.36-3.11,1.89-4.69,4.56-4.69a4.31,4.31,0,0,1,4.52,4.56c0,4.74-3,8.72-8,10.63A.92.92,0,0,1,12.28,31Z"}),React.createElement("path",{d:"M19.77,30.28a.81.81,0,0,1-.52-.2.76.76,0,0,1,0-1.08,12.63,12.63,0,0,0,3.54-8.68c0-1.56-.48-6.65-6.7-6.65a6.83,6.83,0,0,0-4.94,1.87A6.17,6.17,0,0,0,9.32,20a.77.77,0,0,1-.77.76h0A.76.76,0,0,1,7.78,20,7.73,7.73,0,0,1,10,14.46a8.34,8.34,0,0,1,6-2.32c6.08,0,8.24,4.4,8.24,8.18A14.09,14.09,0,0,1,20.34,30,.75.75,0,0,1,19.77,30.28Z"}),React.createElement("path",{d:"M8.66,27.74a14.14,14.14,0,0,1-1.56-.09.76.76,0,1,1,.17-1.52c2.49.28,4.45-.16,5.84-1.32a6.37,6.37,0,0,0,2.12-4.53.75.75,0,0,1,.82-.71.78.78,0,0,1,.72.81A7.89,7.89,0,0,1,14.09,26,8.2,8.2,0,0,1,8.66,27.74Z"}),props.children);});var FingerprintRecognition20=/*#__PURE__*/React.forwardRef(function FingerprintRecognition20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,5.21a.77.77,0,0,1-.46-1.38A15.46,15.46,0,0,1,16,1c2.66,0,6.48.45,9.5,2.62a.77.77,0,0,1,.18,1.07.78.78,0,0,1-1.08.17A15,15,0,0,0,16,2.53,14,14,0,0,0,7.5,5.05.74.74,0,0,1,7,5.21Z"}),React.createElement("path",{d:"M28.23,12.26a.78.78,0,0,1-.63-.33C25.87,9.49,22.78,6.24,16,6.24a14,14,0,0,0-11.63,5.7.77.77,0,0,1-1.07.17A.76.76,0,0,1,3.15,11,15.54,15.54,0,0,1,16,4.71c5.61,0,9.81,2.08,12.84,6.34a.77.77,0,0,1-.19,1.07A.79.79,0,0,1,28.23,12.26Z"}),React.createElement("path",{d:"M12.28,31a.78.78,0,0,1-.72-.49.75.75,0,0,1,.44-1c4.37-1.68,7-5.12,7-9.21a2.8,2.8,0,0,0-3-3c-1.86,0-2.76,1-3,3.35a4.27,4.27,0,0,1-4.52,3.83,4.27,4.27,0,0,1-4.32-4.59A11.71,11.71,0,0,1,16,8.39a12,12,0,0,1,12,11.93,18.66,18.66,0,0,1-1.39,6.5.78.78,0,0,1-1,.41.76.76,0,0,1-.41-1,17.25,17.25,0,0,0,1.27-5.91A10.45,10.45,0,0,0,16,9.92a10.18,10.18,0,0,0-10.38,10,2.77,2.77,0,0,0,2.79,3.06,2.74,2.74,0,0,0,3-2.48c.36-3.11,1.89-4.69,4.56-4.69a4.31,4.31,0,0,1,4.52,4.56c0,4.74-3,8.72-8,10.63A.92.92,0,0,1,12.28,31Z"}),React.createElement("path",{d:"M19.77,30.28a.81.81,0,0,1-.52-.2.76.76,0,0,1,0-1.08,12.63,12.63,0,0,0,3.54-8.68c0-1.56-.48-6.65-6.7-6.65a6.83,6.83,0,0,0-4.94,1.87A6.17,6.17,0,0,0,9.32,20a.77.77,0,0,1-.77.76h0A.76.76,0,0,1,7.78,20,7.73,7.73,0,0,1,10,14.46a8.34,8.34,0,0,1,6-2.32c6.08,0,8.24,4.4,8.24,8.18A14.09,14.09,0,0,1,20.34,30,.75.75,0,0,1,19.77,30.28Z"}),React.createElement("path",{d:"M8.66,27.74a14.14,14.14,0,0,1-1.56-.09.76.76,0,1,1,.17-1.52c2.49.28,4.45-.16,5.84-1.32a6.37,6.37,0,0,0,2.12-4.53.75.75,0,0,1,.82-.71.78.78,0,0,1,.72.81A7.89,7.89,0,0,1,14.09,26,8.2,8.2,0,0,1,8.66,27.74Z"}),props.children);});var FingerprintRecognition16=/*#__PURE__*/React.forwardRef(function FingerprintRecognition16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,5.21a.77.77,0,0,1-.46-1.38A15.46,15.46,0,0,1,16,1c2.66,0,6.48.45,9.5,2.62a.77.77,0,0,1,.18,1.07.78.78,0,0,1-1.08.17A15,15,0,0,0,16,2.53,14,14,0,0,0,7.5,5.05.74.74,0,0,1,7,5.21Z"}),React.createElement("path",{d:"M28.23,12.26a.78.78,0,0,1-.63-.33C25.87,9.49,22.78,6.24,16,6.24a14,14,0,0,0-11.63,5.7.77.77,0,0,1-1.07.17A.76.76,0,0,1,3.15,11,15.54,15.54,0,0,1,16,4.71c5.61,0,9.81,2.08,12.84,6.34a.77.77,0,0,1-.19,1.07A.79.79,0,0,1,28.23,12.26Z"}),React.createElement("path",{d:"M12.28,31a.78.78,0,0,1-.72-.49.75.75,0,0,1,.44-1c4.37-1.68,7-5.12,7-9.21a2.8,2.8,0,0,0-3-3c-1.86,0-2.76,1-3,3.35a4.27,4.27,0,0,1-4.52,3.83,4.27,4.27,0,0,1-4.32-4.59A11.71,11.71,0,0,1,16,8.39a12,12,0,0,1,12,11.93,18.66,18.66,0,0,1-1.39,6.5.78.78,0,0,1-1,.41.76.76,0,0,1-.41-1,17.25,17.25,0,0,0,1.27-5.91A10.45,10.45,0,0,0,16,9.92a10.18,10.18,0,0,0-10.38,10,2.77,2.77,0,0,0,2.79,3.06,2.74,2.74,0,0,0,3-2.48c.36-3.11,1.89-4.69,4.56-4.69a4.31,4.31,0,0,1,4.52,4.56c0,4.74-3,8.72-8,10.63A.92.92,0,0,1,12.28,31Z"}),React.createElement("path",{d:"M19.77,30.28a.81.81,0,0,1-.52-.2.76.76,0,0,1,0-1.08,12.63,12.63,0,0,0,3.54-8.68c0-1.56-.48-6.65-6.7-6.65a6.83,6.83,0,0,0-4.94,1.87A6.17,6.17,0,0,0,9.32,20a.77.77,0,0,1-.77.76h0A.76.76,0,0,1,7.78,20,7.73,7.73,0,0,1,10,14.46a8.34,8.34,0,0,1,6-2.32c6.08,0,8.24,4.4,8.24,8.18A14.09,14.09,0,0,1,20.34,30,.75.75,0,0,1,19.77,30.28Z"}),React.createElement("path",{d:"M8.66,27.74a14.14,14.14,0,0,1-1.56-.09.76.76,0,1,1,.17-1.52c2.49.28,4.45-.16,5.84-1.32a6.37,6.37,0,0,0,2.12-4.53.75.75,0,0,1,.82-.71.78.78,0,0,1,.72.81A7.89,7.89,0,0,1,14.09,26,8.2,8.2,0,0,1,8.66,27.74Z"}),props.children);});var FishMultiple32=/*#__PURE__*/React.forwardRef(function FishMultiple32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,14a12.9845,12.9845,0,0,0-3.8286-9.2427L24.4143,3,23,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L22,24.5857,23.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,30,14Z"}),React.createElement("circle",{cx:"17",cy:"11",r:"1"}),React.createElement("path",{d:"M22,14a12.9845,12.9845,0,0,0-3.8286-9.2427L16.4143,3,15,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L14,24.5857,15.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,22,14Z"}),React.createElement("circle",{cx:"25",cy:"11",r:"1"}),React.createElement("circle",{cx:"9",cy:"11",r:"1"}),React.createElement("path",{d:"M9.4141,24l.7573-.7573a13.0708,13.0708,0,0,0,0-18.4854L8,2.5857,5.8286,4.7571a13.0708,13.0708,0,0,0,0,18.4854L6.5859,24,2.293,28.2928A1,1,0,0,0,3,30H13a1,1,0,0,0,.707-1.707ZM4,14A10.9988,10.9988,0,0,1,7.2427,6.1712L8,5.4138l.7573.7574a11.0713,11.0713,0,0,1,0,15.6572L8,22.5857l-.7573-.7573A10.9988,10.9988,0,0,1,4,14ZM5.4141,28,8,25.4138,10.5859,28Z"}),props.children);});var FishMultiple24=/*#__PURE__*/React.forwardRef(function FishMultiple24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,14a12.9845,12.9845,0,0,0-3.8286-9.2427L24.4143,3,23,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L22,24.5857,23.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,30,14Z"}),React.createElement("circle",{cx:"17",cy:"11",r:"1"}),React.createElement("path",{d:"M22,14a12.9845,12.9845,0,0,0-3.8286-9.2427L16.4143,3,15,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L14,24.5857,15.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,22,14Z"}),React.createElement("circle",{cx:"25",cy:"11",r:"1"}),React.createElement("circle",{cx:"9",cy:"11",r:"1"}),React.createElement("path",{d:"M9.4141,24l.7573-.7573a13.0708,13.0708,0,0,0,0-18.4854L8,2.5857,5.8286,4.7571a13.0708,13.0708,0,0,0,0,18.4854L6.5859,24,2.293,28.2928A1,1,0,0,0,3,30H13a1,1,0,0,0,.707-1.707ZM4,14A10.9988,10.9988,0,0,1,7.2427,6.1712L8,5.4138l.7573.7574a11.0713,11.0713,0,0,1,0,15.6572L8,22.5857l-.7573-.7573A10.9988,10.9988,0,0,1,4,14ZM5.4141,28,8,25.4138,10.5859,28Z"}),props.children);});var FishMultiple20=/*#__PURE__*/React.forwardRef(function FishMultiple20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,14a12.9845,12.9845,0,0,0-3.8286-9.2427L24.4143,3,23,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L22,24.5857,23.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,30,14Z"}),React.createElement("circle",{cx:"17",cy:"11",r:"1"}),React.createElement("path",{d:"M22,14a12.9845,12.9845,0,0,0-3.8286-9.2427L16.4143,3,15,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L14,24.5857,15.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,22,14Z"}),React.createElement("circle",{cx:"25",cy:"11",r:"1"}),React.createElement("circle",{cx:"9",cy:"11",r:"1"}),React.createElement("path",{d:"M9.4141,24l.7573-.7573a13.0708,13.0708,0,0,0,0-18.4854L8,2.5857,5.8286,4.7571a13.0708,13.0708,0,0,0,0,18.4854L6.5859,24,2.293,28.2928A1,1,0,0,0,3,30H13a1,1,0,0,0,.707-1.707ZM4,14A10.9988,10.9988,0,0,1,7.2427,6.1712L8,5.4138l.7573.7574a11.0713,11.0713,0,0,1,0,15.6572L8,22.5857l-.7573-.7573A10.9988,10.9988,0,0,1,4,14ZM5.4141,28,8,25.4138,10.5859,28Z"}),props.children);});var FishMultiple16=/*#__PURE__*/React.forwardRef(function FishMultiple16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,14a12.9845,12.9845,0,0,0-3.8286-9.2427L24.4143,3,23,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L22,24.5857,23.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,30,14Z"}),React.createElement("circle",{cx:"17",cy:"11",r:"1"}),React.createElement("path",{d:"M22,14a12.9845,12.9845,0,0,0-3.8286-9.2427L16.4143,3,15,4.4138l1.7573,1.7574a11.0713,11.0713,0,0,1,0,15.6572L14,24.5857,15.4143,26l2.7571-2.7573A12.9845,12.9845,0,0,0,22,14Z"}),React.createElement("circle",{cx:"25",cy:"11",r:"1"}),React.createElement("circle",{cx:"9",cy:"11",r:"1"}),React.createElement("path",{d:"M9.4141,24l.7573-.7573a13.0708,13.0708,0,0,0,0-18.4854L8,2.5857,5.8286,4.7571a13.0708,13.0708,0,0,0,0,18.4854L6.5859,24,2.293,28.2928A1,1,0,0,0,3,30H13a1,1,0,0,0,.707-1.707ZM4,14A10.9988,10.9988,0,0,1,7.2427,6.1712L8,5.4138l.7573.7574a11.0713,11.0713,0,0,1,0,15.6572L8,22.5857l-.7573-.7573A10.9988,10.9988,0,0,1,4,14ZM5.4141,28,8,25.4138,10.5859,28Z"}),props.children);});var Fish32=/*#__PURE__*/React.forwardRef(function Fish32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24",cy:"7",r:"1"}),React.createElement("path",{d:"M26,2A16.0183,16.0183,0,0,0,10,18v2H3a1,1,0,0,0-.707,1.707l8,8A1,1,0,0,0,12,29V22h2A16.0183,16.0183,0,0,0,30,6V2ZM10,26.5857,5.4141,22H10ZM12,20V18a13.9394,13.9394,0,0,1,3.908-9.6777l7.77,7.7695A13.94,13.94,0,0,1,14,20ZM28,6a13.9163,13.9163,0,0,1-2.98,8.6055L17.3945,6.98A13.9163,13.9163,0,0,1,26,4h2Z"}),props.children);});var Fish24=/*#__PURE__*/React.forwardRef(function Fish24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24",cy:"7",r:"1"}),React.createElement("path",{d:"M26,2A16.0183,16.0183,0,0,0,10,18v2H3a1,1,0,0,0-.707,1.707l8,8A1,1,0,0,0,12,29V22h2A16.0183,16.0183,0,0,0,30,6V2ZM10,26.5857,5.4141,22H10ZM12,20V18a13.9394,13.9394,0,0,1,3.908-9.6777l7.77,7.7695A13.94,13.94,0,0,1,14,20ZM28,6a13.9163,13.9163,0,0,1-2.98,8.6055L17.3945,6.98A13.9163,13.9163,0,0,1,26,4h2Z"}),props.children);});var Fish20=/*#__PURE__*/React.forwardRef(function Fish20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24",cy:"7",r:"1"}),React.createElement("path",{d:"M26,2A16.0183,16.0183,0,0,0,10,18v2H3a1,1,0,0,0-.707,1.707l8,8A1,1,0,0,0,12,29V22h2A16.0183,16.0183,0,0,0,30,6V2ZM10,26.5857,5.4141,22H10ZM12,20V18a13.9394,13.9394,0,0,1,3.908-9.6777l7.77,7.7695A13.94,13.94,0,0,1,14,20ZM28,6a13.9163,13.9163,0,0,1-2.98,8.6055L17.3945,6.98A13.9163,13.9163,0,0,1,26,4h2Z"}),props.children);});var Fish16=/*#__PURE__*/React.forwardRef(function Fish16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24",cy:"7",r:"1"}),React.createElement("path",{d:"M26,2A16.0183,16.0183,0,0,0,10,18v2H3a1,1,0,0,0-.707,1.707l8,8A1,1,0,0,0,12,29V22h2A16.0183,16.0183,0,0,0,30,6V2ZM10,26.5857,5.4141,22H10ZM12,20V18a13.9394,13.9394,0,0,1,3.908-9.6777l7.77,7.7695A13.94,13.94,0,0,1,14,20ZM28,6a13.9163,13.9163,0,0,1-2.98,8.6055L17.3945,6.98A13.9163,13.9163,0,0,1,26,4h2Z"}),props.children);});var FitToScreen32=/*#__PURE__*/React.forwardRef(function FitToScreen32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 16 24 16 24 8 16 8 16 10 22 10 22 16"}),React.createElement("polygon",{points:"8 24 16 24 16 22 10 22 10 16 8 16 8 24"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var FitToScreen24=/*#__PURE__*/React.forwardRef(function FitToScreen24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 16 24 16 24 8 16 8 16 10 22 10 22 16"}),React.createElement("polygon",{points:"8 24 16 24 16 22 10 22 10 16 8 16 8 24"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var FitToScreen20=/*#__PURE__*/React.forwardRef(function FitToScreen20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 16 24 16 24 8 16 8 16 10 22 10 22 16"}),React.createElement("polygon",{points:"8 24 16 24 16 22 10 22 10 16 8 16 8 24"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var FitToScreen16=/*#__PURE__*/React.forwardRef(function FitToScreen16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 16 24 16 24 8 16 8 16 10 22 10 22 16"}),React.createElement("polygon",{points:"8 24 16 24 16 22 10 22 10 16 8 16 8 24"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var Flag32=/*#__PURE__*/React.forwardRef(function Flag32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H4V2H28l-5.8,9L28,20H6ZM6,18H24.33L19.8,11l4.53-7H6Z"}),props.children);});var Flag24=/*#__PURE__*/React.forwardRef(function Flag24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H4V2H28l-5.8,9L28,20H6ZM6,18H24.33L19.8,11l4.53-7H6Z"}),props.children);});var Flag20=/*#__PURE__*/React.forwardRef(function Flag20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H4V2H28l-5.8,9L28,20H6ZM6,18H24.33L19.8,11l4.53-7H6Z"}),props.children);});var Flag16=/*#__PURE__*/React.forwardRef(function Flag16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H4V2H28l-5.8,9L28,20H6ZM6,18H24.33L19.8,11l4.53-7H6Z"}),props.children);});var FlaggingTaxi32=/*#__PURE__*/React.forwardRef(function FlaggingTaxi32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.7976,2,20.3555,8.6641A2.9941,2.9941,0,0,1,17.8594,10H12a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V16H17V28H13V19H11V13a1.0009,1.0009,0,0,1,1-1h5.8594a4.9881,4.9881,0,0,0,4.16-2.2266l4.4422-6.664Z"}),React.createElement("path",{d:"M11,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,11,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,13,5Z"}),props.children);});var FlaggingTaxi24=/*#__PURE__*/React.forwardRef(function FlaggingTaxi24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.7976,2,20.3555,8.6641A2.9941,2.9941,0,0,1,17.8594,10H12a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V16H17V28H13V19H11V13a1.0009,1.0009,0,0,1,1-1h5.8594a4.9881,4.9881,0,0,0,4.16-2.2266l4.4422-6.664Z"}),React.createElement("path",{d:"M11,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,11,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,13,5Z"}),props.children);});var FlaggingTaxi20=/*#__PURE__*/React.forwardRef(function FlaggingTaxi20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.7976,2,20.3555,8.6641A2.9941,2.9941,0,0,1,17.8594,10H12a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V16H17V28H13V19H11V13a1.0009,1.0009,0,0,1,1-1h5.8594a4.9881,4.9881,0,0,0,4.16-2.2266l4.4422-6.664Z"}),React.createElement("path",{d:"M11,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,11,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,13,5Z"}),props.children);});var FlaggingTaxi16=/*#__PURE__*/React.forwardRef(function FlaggingTaxi16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.7976,2,20.3555,8.6641A2.9941,2.9941,0,0,1,17.8594,10H12a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V16H17V28H13V19H11V13a1.0009,1.0009,0,0,1,1-1h5.8594a4.9881,4.9881,0,0,0,4.16-2.2266l4.4422-6.664Z"}),React.createElement("path",{d:"M11,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,11,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,13,5Z"}),props.children);});var FlashFilled32=/*#__PURE__*/React.forwardRef(function FlashFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92Z"}),props.children);});var FlashFilled24=/*#__PURE__*/React.forwardRef(function FlashFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92Z"}),props.children);});var FlashFilled20=/*#__PURE__*/React.forwardRef(function FlashFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92Z"}),props.children);});var FlashFilled16=/*#__PURE__*/React.forwardRef(function FlashFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92Z"}),props.children);});var FlashOffFilled32=/*#__PURE__*/React.forwardRef(function FlashOffFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30Z"}),React.createElement("path",{d:"M22.53,16.87l3.26-4.26a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77l-.3,1.3Z"}),props.children);});var FlashOffFilled24=/*#__PURE__*/React.forwardRef(function FlashOffFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30Z"}),React.createElement("path",{d:"M22.53,16.87l3.26-4.26a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77l-.3,1.3Z"}),props.children);});var FlashOffFilled20=/*#__PURE__*/React.forwardRef(function FlashOffFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30Z"}),React.createElement("path",{d:"M22.53,16.87l3.26-4.26a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77l-.3,1.3Z"}),props.children);});var FlashOffFilled16=/*#__PURE__*/React.forwardRef(function FlashOffFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30Z"}),React.createElement("path",{d:"M22.53,16.87l3.26-4.26a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77l-.3,1.3Z"}),props.children);});var FlashOff32=/*#__PURE__*/React.forwardRef(function FlashOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.13,6.89,11.8,4h8l-2,9H23l-2.49,3.25,1.43,1.43,3.87-5.07a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77L9.46,5.22Z"}),React.createElement("path",{d:"M30,28.59l-9.31-9.31h0l-1.42-1.43h0L10.6,9.19h0L8.93,7.52h0L3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30ZM9.26,15l.81-3.52L13.59,15Zm4.32,10.28L15,16.37,18,19.45Z"}),props.children);});var FlashOff24=/*#__PURE__*/React.forwardRef(function FlashOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.13,6.89,11.8,4h8l-2,9H23l-2.49,3.25,1.43,1.43,3.87-5.07a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77L9.46,5.22Z"}),React.createElement("path",{d:"M30,28.59l-9.31-9.31h0l-1.42-1.43h0L10.6,9.19h0L8.93,7.52h0L3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30ZM9.26,15l.81-3.52L13.59,15Zm4.32,10.28L15,16.37,18,19.45Z"}),props.children);});var FlashOff20=/*#__PURE__*/React.forwardRef(function FlashOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.13,6.89,11.8,4h8l-2,9H23l-2.49,3.25,1.43,1.43,3.87-5.07a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77L9.46,5.22Z"}),React.createElement("path",{d:"M30,28.59l-9.31-9.31h0l-1.42-1.43h0L10.6,9.19h0L8.93,7.52h0L3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30ZM9.26,15l.81-3.52L13.59,15Zm4.32,10.28L15,16.37,18,19.45Z"}),props.children);});var FlashOff16=/*#__PURE__*/React.forwardRef(function FlashOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.13,6.89,11.8,4h8l-2,9H23l-2.49,3.25,1.43,1.43,3.87-5.07a1,1,0,0,0,.11-1A1,1,0,0,0,25,11H20.25L22,3.22a1,1,0,0,0-.2-.85A1,1,0,0,0,21,2H11a1,1,0,0,0-1,.77L9.46,5.22Z"}),React.createElement("path",{d:"M30,28.59l-9.31-9.31h0l-1.42-1.43h0L10.6,9.19h0L8.93,7.52h0L3.41,2,2,3.41,8.4,9.82,7,15.77A1,1,0,0,0,8,17h4.83L11,28.85a1,1,0,0,0,.6,1.07A1.09,1.09,0,0,0,12,30a1,1,0,0,0,.79-.39l6.68-8.73L28.59,30ZM9.26,15l.81-3.52L13.59,15Zm4.32,10.28L15,16.37,18,19.45Z"}),props.children);});var Flash32=/*#__PURE__*/React.forwardRef(function Flash32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var Flash24=/*#__PURE__*/React.forwardRef(function Flash24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var Flash20=/*#__PURE__*/React.forwardRef(function Flash20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var Flash16=/*#__PURE__*/React.forwardRef(function Flash16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var FlowData32=/*#__PURE__*/React.forwardRef(function FlowData32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H11.86a4.17,4.17,0,0,0-.43-1L22,11.43A3.86,3.86,0,0,0,24,12a4,4,0,1,0-3.86-5H11.86a4,4,0,1,0,0,2h8.28a4.17,4.17,0,0,0,.43,1L10,20.57A3.86,3.86,0,0,0,8,20a4,4,0,1,0,3.86,5H20v3h8V20H20ZM8,10a2,2,0,1,1,2-2A2,2,0,0,1,8,10ZM24,6a2,2,0,1,1-2,2A2,2,0,0,1,24,6ZM8,26a2,2,0,1,1,2-2A2,2,0,0,1,8,26Zm14-4h4v4H22Z"}),props.children);});var FlowData24=/*#__PURE__*/React.forwardRef(function FlowData24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H11.86a4.17,4.17,0,0,0-.43-1L22,11.43A3.86,3.86,0,0,0,24,12a4,4,0,1,0-3.86-5H11.86a4,4,0,1,0,0,2h8.28a4.17,4.17,0,0,0,.43,1L10,20.57A3.86,3.86,0,0,0,8,20a4,4,0,1,0,3.86,5H20v3h8V20H20ZM8,10a2,2,0,1,1,2-2A2,2,0,0,1,8,10ZM24,6a2,2,0,1,1-2,2A2,2,0,0,1,24,6ZM8,26a2,2,0,1,1,2-2A2,2,0,0,1,8,26Zm14-4h4v4H22Z"}),props.children);});var FlowData20=/*#__PURE__*/React.forwardRef(function FlowData20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H11.86a4.17,4.17,0,0,0-.43-1L22,11.43A3.86,3.86,0,0,0,24,12a4,4,0,1,0-3.86-5H11.86a4,4,0,1,0,0,2h8.28a4.17,4.17,0,0,0,.43,1L10,20.57A3.86,3.86,0,0,0,8,20a4,4,0,1,0,3.86,5H20v3h8V20H20ZM8,10a2,2,0,1,1,2-2A2,2,0,0,1,8,10ZM24,6a2,2,0,1,1-2,2A2,2,0,0,1,24,6ZM8,26a2,2,0,1,1,2-2A2,2,0,0,1,8,26Zm14-4h4v4H22Z"}),props.children);});var FlowData16=/*#__PURE__*/React.forwardRef(function FlowData16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H11.86a4.17,4.17,0,0,0-.43-1L22,11.43A3.86,3.86,0,0,0,24,12a4,4,0,1,0-3.86-5H11.86a4,4,0,1,0,0,2h8.28a4.17,4.17,0,0,0,.43,1L10,20.57A3.86,3.86,0,0,0,8,20a4,4,0,1,0,3.86,5H20v3h8V20H20ZM8,10a2,2,0,1,1,2-2A2,2,0,0,1,8,10ZM24,6a2,2,0,1,1-2,2A2,2,0,0,1,24,6ZM8,26a2,2,0,1,1,2-2A2,2,0,0,1,8,26Zm14-4h4v4H22Z"}),props.children);});var FlowStream32=/*#__PURE__*/React.forwardRef(function FlowStream32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,24H11.86a4.17,4.17,0,0,0-.43-1L22,12.43A3.86,3.86,0,0,0,24,13a4,4,0,1,0-3.86-5H14v2h6.14a4.17,4.17,0,0,0,.43,1L10,21.57A3.86,3.86,0,0,0,8,21a4,4,0,1,0,3.86,5H20v3h8V21H20ZM24,7a2,2,0,1,1-2,2A2,2,0,0,1,24,7ZM8,27a2,2,0,1,1,2-2A2,2,0,0,1,8,27Zm14-4h4v4H22Z"}),React.createElement("path",{d:"M7.05,15.75a9,9,0,0,1,0-13.5l1.32,1.5a7,7,0,0,0,0,10.5Z"}),React.createElement("path",{d:"M9.69,12.75a5,5,0,0,1,0-7.5L11,6.75a3,3,0,0,0,0,4.5Z"}),props.children);});var FlowStream24=/*#__PURE__*/React.forwardRef(function FlowStream24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,24H11.86a4.17,4.17,0,0,0-.43-1L22,12.43A3.86,3.86,0,0,0,24,13a4,4,0,1,0-3.86-5H14v2h6.14a4.17,4.17,0,0,0,.43,1L10,21.57A3.86,3.86,0,0,0,8,21a4,4,0,1,0,3.86,5H20v3h8V21H20ZM24,7a2,2,0,1,1-2,2A2,2,0,0,1,24,7ZM8,27a2,2,0,1,1,2-2A2,2,0,0,1,8,27Zm14-4h4v4H22Z"}),React.createElement("path",{d:"M7.05,15.75a9,9,0,0,1,0-13.5l1.32,1.5a7,7,0,0,0,0,10.5Z"}),React.createElement("path",{d:"M9.69,12.75a5,5,0,0,1,0-7.5L11,6.75a3,3,0,0,0,0,4.5Z"}),props.children);});var FlowStream20=/*#__PURE__*/React.forwardRef(function FlowStream20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,24H11.86a4.17,4.17,0,0,0-.43-1L22,12.43A3.86,3.86,0,0,0,24,13a4,4,0,1,0-3.86-5H14v2h6.14a4.17,4.17,0,0,0,.43,1L10,21.57A3.86,3.86,0,0,0,8,21a4,4,0,1,0,3.86,5H20v3h8V21H20ZM24,7a2,2,0,1,1-2,2A2,2,0,0,1,24,7ZM8,27a2,2,0,1,1,2-2A2,2,0,0,1,8,27Zm14-4h4v4H22Z"}),React.createElement("path",{d:"M7.05,15.75a9,9,0,0,1,0-13.5l1.32,1.5a7,7,0,0,0,0,10.5Z"}),React.createElement("path",{d:"M9.69,12.75a5,5,0,0,1,0-7.5L11,6.75a3,3,0,0,0,0,4.5Z"}),props.children);});var FlowStream16=/*#__PURE__*/React.forwardRef(function FlowStream16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,24H11.86a4.17,4.17,0,0,0-.43-1L22,12.43A3.86,3.86,0,0,0,24,13a4,4,0,1,0-3.86-5H14v2h6.14a4.17,4.17,0,0,0,.43,1L10,21.57A3.86,3.86,0,0,0,8,21a4,4,0,1,0,3.86,5H20v3h8V21H20ZM24,7a2,2,0,1,1-2,2A2,2,0,0,1,24,7ZM8,27a2,2,0,1,1,2-2A2,2,0,0,1,8,27Zm14-4h4v4H22Z"}),React.createElement("path",{d:"M7.05,15.75a9,9,0,0,1,0-13.5l1.32,1.5a7,7,0,0,0,0,10.5Z"}),React.createElement("path",{d:"M9.69,12.75a5,5,0,0,1,0-7.5L11,6.75a3,3,0,0,0,0,4.5Z"}),props.children);});var Flow32=/*#__PURE__*/React.forwardRef(function Flow32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H17V9.86a4,4,0,1,0-2,0V15H7a2,2,0,0,0-2,2v5.14a4,4,0,1,0,2,0V17H25v5.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26ZM14,6a2,2,0,1,1,2,2A2,2,0,0,1,14,6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var Flow24=/*#__PURE__*/React.forwardRef(function Flow24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H17V9.86a4,4,0,1,0-2,0V15H7a2,2,0,0,0-2,2v5.14a4,4,0,1,0,2,0V17H25v5.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26ZM14,6a2,2,0,1,1,2,2A2,2,0,0,1,14,6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var Flow20=/*#__PURE__*/React.forwardRef(function Flow20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H17V9.86a4,4,0,1,0-2,0V15H7a2,2,0,0,0-2,2v5.14a4,4,0,1,0,2,0V17H25v5.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26ZM14,6a2,2,0,1,1,2,2A2,2,0,0,1,14,6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var Flow16=/*#__PURE__*/React.forwardRef(function Flow16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V17a2,2,0,0,0-2-2H17V9.86a4,4,0,1,0-2,0V15H7a2,2,0,0,0-2,2v5.14a4,4,0,1,0,2,0V17H25v5.14a4,4,0,1,0,2,0ZM8,26a2,2,0,1,1-2-2A2,2,0,0,1,8,26ZM14,6a2,2,0,1,1,2,2A2,2,0,0,1,14,6ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),props.children);});var Fog32=/*#__PURE__*/React.forwardRef(function Fog32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.8008,11.1382a8.9938,8.9938,0,0,0-17.6006,0A6.533,6.533,0,0,0,2,17.5H2V19a1,1,0,0,0,1,1H15a1,1,0,0,0,0-2H4v-.4966H4a4.5176,4.5176,0,0,1,4.144-4.4819l.8155-.064.0991-.812a6.9936,6.9936,0,0,1,13.8838,0l.0986.812.8154.064A4.4962,4.4962,0,0,1,23.5,22H7a1,1,0,0,0,0,2H23.5a6.4963,6.4963,0,0,0,1.3008-12.8618Z"}),React.createElement("rect",{width:"18",height:"2",x:"2",y:"26",rx:"1"}),props.children);});var Fog24=/*#__PURE__*/React.forwardRef(function Fog24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.8008,11.1382a8.9938,8.9938,0,0,0-17.6006,0A6.533,6.533,0,0,0,2,17.5H2V19a1,1,0,0,0,1,1H15a1,1,0,0,0,0-2H4v-.4966H4a4.5176,4.5176,0,0,1,4.144-4.4819l.8155-.064.0991-.812a6.9936,6.9936,0,0,1,13.8838,0l.0986.812.8154.064A4.4962,4.4962,0,0,1,23.5,22H7a1,1,0,0,0,0,2H23.5a6.4963,6.4963,0,0,0,1.3008-12.8618Z"}),React.createElement("rect",{width:"18",height:"2",x:"2",y:"26",rx:"1"}),props.children);});var Fog20=/*#__PURE__*/React.forwardRef(function Fog20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.8008,11.1382a8.9938,8.9938,0,0,0-17.6006,0A6.533,6.533,0,0,0,2,17.5H2V19a1,1,0,0,0,1,1H15a1,1,0,0,0,0-2H4v-.4966H4a4.5176,4.5176,0,0,1,4.144-4.4819l.8155-.064.0991-.812a6.9936,6.9936,0,0,1,13.8838,0l.0986.812.8154.064A4.4962,4.4962,0,0,1,23.5,22H7a1,1,0,0,0,0,2H23.5a6.4963,6.4963,0,0,0,1.3008-12.8618Z"}),React.createElement("rect",{width:"18",height:"2",x:"2",y:"26",rx:"1"}),props.children);});var Fog16=/*#__PURE__*/React.forwardRef(function Fog16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.8008,11.1382a8.9938,8.9938,0,0,0-17.6006,0A6.533,6.533,0,0,0,2,17.5H2V19a1,1,0,0,0,1,1H15a1,1,0,0,0,0-2H4v-.4966H4a4.5176,4.5176,0,0,1,4.144-4.4819l.8155-.064.0991-.812a6.9936,6.9936,0,0,1,13.8838,0l.0986.812.8154.064A4.4962,4.4962,0,0,1,23.5,22H7a1,1,0,0,0,0,2H23.5a6.4963,6.4963,0,0,0,1.3008-12.8618Z"}),React.createElement("rect",{width:"18",height:"2",x:"2",y:"26",rx:"1"}),props.children);});var FolderAdd32=/*#__PURE__*/React.forwardRef(function FolderAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26,20 24,20 24,24 20,24 20,26 24,26 24,30 26,30 26,26 30,26 30,24 26,24"}),React.createElement("path",{d:"M28,8H16l-3.4-3.4C12.2,4.2,11.7,4,11.2,4H4C2.9,4,2,4.9,2,6v20c0,1.1,0.9,2,2,2h14v-2H4V6h7.2l3.4,3.4l0.6,0.6H28v8h2v-8\tC30,8.9,29.1,8,28,8z"}),props.children);});var FolderAdd24=/*#__PURE__*/React.forwardRef(function FolderAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26,20 24,20 24,24 20,24 20,26 24,26 24,30 26,30 26,26 30,26 30,24 26,24"}),React.createElement("path",{d:"M28,8H16l-3.4-3.4C12.2,4.2,11.7,4,11.2,4H4C2.9,4,2,4.9,2,6v20c0,1.1,0.9,2,2,2h14v-2H4V6h7.2l3.4,3.4l0.6,0.6H28v8h2v-8\tC30,8.9,29.1,8,28,8z"}),props.children);});var FolderAdd20=/*#__PURE__*/React.forwardRef(function FolderAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26,20 24,20 24,24 20,24 20,26 24,26 24,30 26,30 26,26 30,26 30,24 26,24"}),React.createElement("path",{d:"M28,8H16l-3.4-3.4C12.2,4.2,11.7,4,11.2,4H4C2.9,4,2,4.9,2,6v20c0,1.1,0.9,2,2,2h14v-2H4V6h7.2l3.4,3.4l0.6,0.6H28v8h2v-8\tC30,8.9,29.1,8,28,8z"}),props.children);});var FolderAdd16=/*#__PURE__*/React.forwardRef(function FolderAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26,20 24,20 24,24 20,24 20,26 24,26 24,30 26,30 26,26 30,26 30,24 26,24"}),React.createElement("path",{d:"M28,8H16l-3.4-3.4C12.2,4.2,11.7,4,11.2,4H4C2.9,4,2,4.9,2,6v20c0,1.1,0.9,2,2,2h14v-2H4V6h7.2l3.4,3.4l0.6,0.6H28v8h2v-8\tC30,8.9,29.1,8,28,8z"}),props.children);});var FolderDetails32=/*#__PURE__*/React.forwardRef(function FolderDetails32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"20"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"24"}),React.createElement("rect",{width:"7",height:"2",x:"16",y:"28"}),React.createElement("path",{d:"M14,26H4V6h7.17l3.42,3.41.58.59H28v8h2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var FolderDetails24=/*#__PURE__*/React.forwardRef(function FolderDetails24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"20"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"24"}),React.createElement("rect",{width:"7",height:"2",x:"16",y:"28"}),React.createElement("path",{d:"M14,26H4V6h7.17l3.42,3.41.58.59H28v8h2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var FolderDetails20=/*#__PURE__*/React.forwardRef(function FolderDetails20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"20"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"24"}),React.createElement("rect",{width:"7",height:"2",x:"16",y:"28"}),React.createElement("path",{d:"M14,26H4V6h7.17l3.42,3.41.58.59H28v8h2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var FolderDetails16=/*#__PURE__*/React.forwardRef(function FolderDetails16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"20"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"24"}),React.createElement("rect",{width:"7",height:"2",x:"16",y:"28"}),React.createElement("path",{d:"M14,26H4V6h7.17l3.42,3.41.58.59H28v8h2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var FolderOff32=/*#__PURE__*/React.forwardRef(function FolderOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H25.4141L30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8Zm0,18H7.4141l16-16H28Z"}),React.createElement("path",{d:"M4,6h7.1716l3.4141,3.4141L15.1716,10H18V8H16L12.5859,4.5859A2.0007,2.0007,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V24H4Z"}),props.children);});var FolderOff24=/*#__PURE__*/React.forwardRef(function FolderOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H25.4141L30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8Zm0,18H7.4141l16-16H28Z"}),React.createElement("path",{d:"M4,6h7.1716l3.4141,3.4141L15.1716,10H18V8H16L12.5859,4.5859A2.0007,2.0007,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V24H4Z"}),props.children);});var FolderOff20=/*#__PURE__*/React.forwardRef(function FolderOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H25.4141L30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8Zm0,18H7.4141l16-16H28Z"}),React.createElement("path",{d:"M4,6h7.1716l3.4141,3.4141L15.1716,10H18V8H16L12.5859,4.5859A2.0007,2.0007,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V24H4Z"}),props.children);});var FolderOff16=/*#__PURE__*/React.forwardRef(function FolderOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H25.4141L30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8Zm0,18H7.4141l16-16H28Z"}),React.createElement("path",{d:"M4,6h7.1716l3.4141,3.4141L15.1716,10H18V8H16L12.5859,4.5859A2.0007,2.0007,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V24H4Z"}),props.children);});var FolderShared32=/*#__PURE__*/React.forwardRef(function FolderShared32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM22,26H14V25a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm6,0H24V25a3,3,0,0,0-3-3H15a3,3,0,0,0-3,3v1H4V6h7.17l3.42,3.41.58.59H28Z"}),React.createElement("path",{d:"M14,17a4,4,0,1,0,4-4A4,4,0,0,0,14,17Zm4-2a2,2,0,1,1-2,2A2,2,0,0,1,18,15Z"}),props.children);});var FolderShared24=/*#__PURE__*/React.forwardRef(function FolderShared24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM22,26H14V25a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm6,0H24V25a3,3,0,0,0-3-3H15a3,3,0,0,0-3,3v1H4V6h7.17l3.42,3.41.58.59H28Z"}),React.createElement("path",{d:"M14,17a4,4,0,1,0,4-4A4,4,0,0,0,14,17Zm4-2a2,2,0,1,1-2,2A2,2,0,0,1,18,15Z"}),props.children);});var FolderShared20=/*#__PURE__*/React.forwardRef(function FolderShared20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM22,26H14V25a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm6,0H24V25a3,3,0,0,0-3-3H15a3,3,0,0,0-3,3v1H4V6h7.17l3.42,3.41.58.59H28Z"}),React.createElement("path",{d:"M14,17a4,4,0,1,0,4-4A4,4,0,0,0,14,17Zm4-2a2,2,0,1,1-2,2A2,2,0,0,1,18,15Z"}),props.children);});var FolderShared16=/*#__PURE__*/React.forwardRef(function FolderShared16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,8H16L12.59,4.59A2,2,0,0,0,11.17,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM22,26H14V25a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1Zm6,0H24V25a3,3,0,0,0-3-3H15a3,3,0,0,0-3,3v1H4V6h7.17l3.42,3.41.58.59H28Z"}),React.createElement("path",{d:"M14,17a4,4,0,1,0,4-4A4,4,0,0,0,14,17Zm4-2a2,2,0,1,1-2,2A2,2,0,0,1,18,15Z"}),props.children);});var Folder32=/*#__PURE__*/React.forwardRef(function Folder32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.17,6l3.42,3.41.58.59H28V26H4V6h7.17m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4Z"}),props.children);});var Folder24=/*#__PURE__*/React.forwardRef(function Folder24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.17,6l3.42,3.41.58.59H28V26H4V6h7.17m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4Z"}),props.children);});var Folder20=/*#__PURE__*/React.forwardRef(function Folder20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.17,6l3.42,3.41.58.59H28V26H4V6h7.17m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4Z"}),props.children);});var Folder16=/*#__PURE__*/React.forwardRef(function Folder16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.17,6l3.42,3.41.58.59H28V26H4V6h7.17m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10a2,2,0,0,0-2-2H16L12.59,4.59A2,2,0,0,0,11.17,4Z"}),props.children);});var Folders32=/*#__PURE__*/React.forwardRef(function Folders32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28H6a2.0021,2.0021,0,0,1-2-2V11A2.0021,2.0021,0,0,1,6,9h5.6665a2.0119,2.0119,0,0,1,1.2007.4L16.3335,12H26a2.0021,2.0021,0,0,1,2,2V26A2.0021,2.0021,0,0,1,26,28ZM11.6665,11H5.9985L6,26H26V14H15.6665Z"}),React.createElement("path",{d:"M28,9H17.6665l-4-3H6V4h7.6665a2.0119,2.0119,0,0,1,1.2007.4L18.3335,7H28Z"}),props.children);});var Folders24=/*#__PURE__*/React.forwardRef(function Folders24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28H6a2.0021,2.0021,0,0,1-2-2V11A2.0021,2.0021,0,0,1,6,9h5.6665a2.0119,2.0119,0,0,1,1.2007.4L16.3335,12H26a2.0021,2.0021,0,0,1,2,2V26A2.0021,2.0021,0,0,1,26,28ZM11.6665,11H5.9985L6,26H26V14H15.6665Z"}),React.createElement("path",{d:"M28,9H17.6665l-4-3H6V4h7.6665a2.0119,2.0119,0,0,1,1.2007.4L18.3335,7H28Z"}),props.children);});var Folders20=/*#__PURE__*/React.forwardRef(function Folders20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28H6a2.0021,2.0021,0,0,1-2-2V11A2.0021,2.0021,0,0,1,6,9h5.6665a2.0119,2.0119,0,0,1,1.2007.4L16.3335,12H26a2.0021,2.0021,0,0,1,2,2V26A2.0021,2.0021,0,0,1,26,28ZM11.6665,11H5.9985L6,26H26V14H15.6665Z"}),React.createElement("path",{d:"M28,9H17.6665l-4-3H6V4h7.6665a2.0119,2.0119,0,0,1,1.2007.4L18.3335,7H28Z"}),props.children);});var Folders16=/*#__PURE__*/React.forwardRef(function Folders16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28H6a2.0021,2.0021,0,0,1-2-2V11A2.0021,2.0021,0,0,1,6,9h5.6665a2.0119,2.0119,0,0,1,1.2007.4L16.3335,12H26a2.0021,2.0021,0,0,1,2,2V26A2.0021,2.0021,0,0,1,26,28ZM11.6665,11H5.9985L6,26H26V14H15.6665Z"}),React.createElement("path",{d:"M28,9H17.6665l-4-3H6V4h7.6665a2.0119,2.0119,0,0,1,1.2007.4L18.3335,7H28Z"}),props.children);});var Fork32=/*#__PURE__*/React.forwardRef(function Fork32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9962,3.9962,0,0,0-3.8579,3H17V11h5.1421a4,4,0,1,0,0-2H17a2.002,2.002,0,0,0-2,2v4H9.8579a4,4,0,1,0,0,2H15v4a2.002,2.002,0,0,0,2,2h5.1421A3.9934,3.9934,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.002,2.002,0,0,1,26,8ZM6,18a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,18Zm20,6a2,2,0,1,1,2-2A2.002,2.002,0,0,1,26,24Z"}),props.children);});var Fork24=/*#__PURE__*/React.forwardRef(function Fork24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9962,3.9962,0,0,0-3.8579,3H17V11h5.1421a4,4,0,1,0,0-2H17a2.002,2.002,0,0,0-2,2v4H9.8579a4,4,0,1,0,0,2H15v4a2.002,2.002,0,0,0,2,2h5.1421A3.9934,3.9934,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.002,2.002,0,0,1,26,8ZM6,18a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,18Zm20,6a2,2,0,1,1,2-2A2.002,2.002,0,0,1,26,24Z"}),props.children);});var Fork20=/*#__PURE__*/React.forwardRef(function Fork20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9962,3.9962,0,0,0-3.8579,3H17V11h5.1421a4,4,0,1,0,0-2H17a2.002,2.002,0,0,0-2,2v4H9.8579a4,4,0,1,0,0,2H15v4a2.002,2.002,0,0,0,2,2h5.1421A3.9934,3.9934,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.002,2.002,0,0,1,26,8ZM6,18a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,18Zm20,6a2,2,0,1,1,2-2A2.002,2.002,0,0,1,26,24Z"}),props.children);});var Fork16=/*#__PURE__*/React.forwardRef(function Fork16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18a3.9962,3.9962,0,0,0-3.8579,3H17V11h5.1421a4,4,0,1,0,0-2H17a2.002,2.002,0,0,0-2,2v4H9.8579a4,4,0,1,0,0,2H15v4a2.002,2.002,0,0,0,2,2h5.1421A3.9934,3.9934,0,1,0,26,18ZM26,8a2,2,0,1,1-2,2A2.002,2.002,0,0,1,26,8ZM6,18a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,18Zm20,6a2,2,0,1,1,2-2A2.002,2.002,0,0,1,26,24Z"}),props.children);});var Forum32=/*#__PURE__*/React.forwardRef(function Forum32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H8C6.8,6,6,6.8,6,8v14c0,1.2,0.8,2,2,2h8v-2H8V8h20v14h-7.2L16,28.8l1.6,1.2l4.2-6H28c1.2,0,2-0.8,2-2V8\tC30,6.8,29.2,6,28,6z"}),React.createElement("path",{d:"M4,18H2V5c0-1.7,1.3-3,3-3h13v2H5C4.4,4,4,4.4,4,5V18z"}),props.children);});var Forum24=/*#__PURE__*/React.forwardRef(function Forum24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H8C6.8,6,6,6.8,6,8v14c0,1.2,0.8,2,2,2h8v-2H8V8h20v14h-7.2L16,28.8l1.6,1.2l4.2-6H28c1.2,0,2-0.8,2-2V8\tC30,6.8,29.2,6,28,6z"}),React.createElement("path",{d:"M4,18H2V5c0-1.7,1.3-3,3-3h13v2H5C4.4,4,4,4.4,4,5V18z"}),props.children);});var Forum20=/*#__PURE__*/React.forwardRef(function Forum20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H8C6.8,6,6,6.8,6,8v14c0,1.2,0.8,2,2,2h8v-2H8V8h20v14h-7.2L16,28.8l1.6,1.2l4.2-6H28c1.2,0,2-0.8,2-2V8\tC30,6.8,29.2,6,28,6z"}),React.createElement("path",{d:"M4,18H2V5c0-1.7,1.3-3,3-3h13v2H5C4.4,4,4,4.4,4,5V18z"}),props.children);});var Forum16=/*#__PURE__*/React.forwardRef(function Forum16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H8C6.8,6,6,6.8,6,8v14c0,1.2,0.8,2,2,2h8v-2H8V8h20v14h-7.2L16,28.8l1.6,1.2l4.2-6H28c1.2,0,2-0.8,2-2V8\tC30,6.8,29.2,6,28,6z"}),React.createElement("path",{d:"M4,18H2V5c0-1.7,1.3-3,3-3h13v2H5C4.4,4,4,4.4,4,5V18z"}),props.children);});var Forward_1032=/*#__PURE__*/React.forwardRef(function Forward_1032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Forward_1024=/*#__PURE__*/React.forwardRef(function Forward_1024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Forward_1020=/*#__PURE__*/React.forwardRef(function Forward_1020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Forward_1016=/*#__PURE__*/React.forwardRef(function Forward_1016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Forward_3032=/*#__PURE__*/React.forwardRef(function Forward_3032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Forward_3024=/*#__PURE__*/React.forwardRef(function Forward_3024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Forward_3020=/*#__PURE__*/React.forwardRef(function Forward_3020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Forward_3016=/*#__PURE__*/React.forwardRef(function Forward_3016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Forward_532=/*#__PURE__*/React.forwardRef(function Forward_532(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var Forward_524=/*#__PURE__*/React.forwardRef(function Forward_524(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var Forward_520=/*#__PURE__*/React.forwardRef(function Forward_520(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var Forward_516=/*#__PURE__*/React.forwardRef(function Forward_516(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18A10,10,0,1,1,16,8h4v5l6-6L20,1V6H16A12,12,0,1,0,28,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var FruitBowl32=/*#__PURE__*/React.forwardRef(function FruitBowl32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,15a6.0025,6.0025,0,0,0-3.1067-5.2529A3.9792,3.9792,0,0,0,24,7H22a2.0023,2.0023,0,0,1-2,2,6.004,6.004,0,0,0-5.9946,5.8921A7.0005,7.0005,0,0,1,12,10,3.9961,3.9961,0,0,0,9,6.1419V4H7V6.1419A3.9961,3.9961,0,0,0,4,10v5H2v1a14,14,0,0,0,28,0V15Zm-6-4a4.0045,4.0045,0,0,1,4,4H16A4.0045,4.0045,0,0,1,20,11ZM6,10a2,2,0,1,1,4,0,8.991,8.991,0,0,0,1.5322,5H6ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),props.children);});var FruitBowl24=/*#__PURE__*/React.forwardRef(function FruitBowl24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,15a6.0025,6.0025,0,0,0-3.1067-5.2529A3.9792,3.9792,0,0,0,24,7H22a2.0023,2.0023,0,0,1-2,2,6.004,6.004,0,0,0-5.9946,5.8921A7.0005,7.0005,0,0,1,12,10,3.9961,3.9961,0,0,0,9,6.1419V4H7V6.1419A3.9961,3.9961,0,0,0,4,10v5H2v1a14,14,0,0,0,28,0V15Zm-6-4a4.0045,4.0045,0,0,1,4,4H16A4.0045,4.0045,0,0,1,20,11ZM6,10a2,2,0,1,1,4,0,8.991,8.991,0,0,0,1.5322,5H6ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),props.children);});var FruitBowl20=/*#__PURE__*/React.forwardRef(function FruitBowl20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,15a6.0025,6.0025,0,0,0-3.1067-5.2529A3.9792,3.9792,0,0,0,24,7H22a2.0023,2.0023,0,0,1-2,2,6.004,6.004,0,0,0-5.9946,5.8921A7.0005,7.0005,0,0,1,12,10,3.9961,3.9961,0,0,0,9,6.1419V4H7V6.1419A3.9961,3.9961,0,0,0,4,10v5H2v1a14,14,0,0,0,28,0V15Zm-6-4a4.0045,4.0045,0,0,1,4,4H16A4.0045,4.0045,0,0,1,20,11ZM6,10a2,2,0,1,1,4,0,8.991,8.991,0,0,0,1.5322,5H6ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),props.children);});var FruitBowl16=/*#__PURE__*/React.forwardRef(function FruitBowl16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,15a6.0025,6.0025,0,0,0-3.1067-5.2529A3.9792,3.9792,0,0,0,24,7H22a2.0023,2.0023,0,0,1-2,2,6.004,6.004,0,0,0-5.9946,5.8921A7.0005,7.0005,0,0,1,12,10,3.9961,3.9961,0,0,0,9,6.1419V4H7V6.1419A3.9961,3.9961,0,0,0,4,10v5H2v1a14,14,0,0,0,28,0V15Zm-6-4a4.0045,4.0045,0,0,1,4,4H16A4.0045,4.0045,0,0,1,20,11ZM6,10a2,2,0,1,1,4,0,8.991,8.991,0,0,0,1.5322,5H6ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),props.children);});var Function32=/*#__PURE__*/React.forwardRef(function Function32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5,30a2.5,2.5,0,0,1,0-5c.63-.07,2.35-1.53,2.49-7.22l-1.78-.45a2.92,2.92,0,0,1,0-5.66L11,11.21C11.55,4,19.32,2,23.5,2a2.5,2.5,0,0,1,0,5c-.08,0-2.23.15-2.48,4.22l1.77.45a2.92,2.92,0,0,1,0,5.66L21,17.79C20.49,29.86,8.62,30,8.5,30Zm15-26C23.07,4,13,4.11,13,12v.78l-3.3.83a.92.92,0,0,0,0,1.78l3.3.83V17c0,9.72-4,10-4.5,10a.5.5,0,0,0,0,1C8.93,28,19,27.83,19,17v-.78l3.3-.83a.92.92,0,0,0,0-1.78L19,12.78V12c0-6.92,4.46-7,4.5-7a.5.5,0,0,0,0-1Z"}),React.createElement("path",{d:"M4.15,23.46A14,14,0,0,1,10.61,3.08l.77,1.84A12,12,0,0,0,5.85,22.4Z"}),React.createElement("path",{d:"M21.39,28.92l-.77-1.84A12,12,0,0,0,26.11,9.54L27.8,8.46a14,14,0,0,1-6.41,20.46Z"}),props.children);});var Function24=/*#__PURE__*/React.forwardRef(function Function24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5,30a2.5,2.5,0,0,1,0-5c.63-.07,2.35-1.53,2.49-7.22l-1.78-.45a2.92,2.92,0,0,1,0-5.66L11,11.21C11.55,4,19.32,2,23.5,2a2.5,2.5,0,0,1,0,5c-.08,0-2.23.15-2.48,4.22l1.77.45a2.92,2.92,0,0,1,0,5.66L21,17.79C20.49,29.86,8.62,30,8.5,30Zm15-26C23.07,4,13,4.11,13,12v.78l-3.3.83a.92.92,0,0,0,0,1.78l3.3.83V17c0,9.72-4,10-4.5,10a.5.5,0,0,0,0,1C8.93,28,19,27.83,19,17v-.78l3.3-.83a.92.92,0,0,0,0-1.78L19,12.78V12c0-6.92,4.46-7,4.5-7a.5.5,0,0,0,0-1Z"}),React.createElement("path",{d:"M4.15,23.46A14,14,0,0,1,10.61,3.08l.77,1.84A12,12,0,0,0,5.85,22.4Z"}),React.createElement("path",{d:"M21.39,28.92l-.77-1.84A12,12,0,0,0,26.11,9.54L27.8,8.46a14,14,0,0,1-6.41,20.46Z"}),props.children);});var Function20=/*#__PURE__*/React.forwardRef(function Function20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5,30a2.5,2.5,0,0,1,0-5c.63-.07,2.35-1.53,2.49-7.22l-1.78-.45a2.92,2.92,0,0,1,0-5.66L11,11.21C11.55,4,19.32,2,23.5,2a2.5,2.5,0,0,1,0,5c-.08,0-2.23.15-2.48,4.22l1.77.45a2.92,2.92,0,0,1,0,5.66L21,17.79C20.49,29.86,8.62,30,8.5,30Zm15-26C23.07,4,13,4.11,13,12v.78l-3.3.83a.92.92,0,0,0,0,1.78l3.3.83V17c0,9.72-4,10-4.5,10a.5.5,0,0,0,0,1C8.93,28,19,27.83,19,17v-.78l3.3-.83a.92.92,0,0,0,0-1.78L19,12.78V12c0-6.92,4.46-7,4.5-7a.5.5,0,0,0,0-1Z"}),React.createElement("path",{d:"M4.15,23.46A14,14,0,0,1,10.61,3.08l.77,1.84A12,12,0,0,0,5.85,22.4Z"}),React.createElement("path",{d:"M21.39,28.92l-.77-1.84A12,12,0,0,0,26.11,9.54L27.8,8.46a14,14,0,0,1-6.41,20.46Z"}),props.children);});var Function16=/*#__PURE__*/React.forwardRef(function Function16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5,30a2.5,2.5,0,0,1,0-5c.63-.07,2.35-1.53,2.49-7.22l-1.78-.45a2.92,2.92,0,0,1,0-5.66L11,11.21C11.55,4,19.32,2,23.5,2a2.5,2.5,0,0,1,0,5c-.08,0-2.23.15-2.48,4.22l1.77.45a2.92,2.92,0,0,1,0,5.66L21,17.79C20.49,29.86,8.62,30,8.5,30Zm15-26C23.07,4,13,4.11,13,12v.78l-3.3.83a.92.92,0,0,0,0,1.78l3.3.83V17c0,9.72-4,10-4.5,10a.5.5,0,0,0,0,1C8.93,28,19,27.83,19,17v-.78l3.3-.83a.92.92,0,0,0,0-1.78L19,12.78V12c0-6.92,4.46-7,4.5-7a.5.5,0,0,0,0-1Z"}),React.createElement("path",{d:"M4.15,23.46A14,14,0,0,1,10.61,3.08l.77,1.84A12,12,0,0,0,5.85,22.4Z"}),React.createElement("path",{d:"M21.39,28.92l-.77-1.84A12,12,0,0,0,26.11,9.54L27.8,8.46a14,14,0,0,1-6.41,20.46Z"}),props.children);});var GameConsole32=/*#__PURE__*/React.forwardRef(function GameConsole32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,26a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,19l2.33-8.84A5.54,5.54,0,0,1,7.11,6.73a5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,9h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.57,5.57,0,0,1,2.59,3.41L29.81,19a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,21H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,26ZM9.83,8a3.49,3.49,0,0,0-1.72.46,3.6,3.6,0,0,0-1.66,2.19L4.12,19.49A3.6,3.6,0,0,0,6.6,23.88a3.43,3.43,0,0,0,2.62-.34,3.54,3.54,0,0,0,1.66-2.19L11.5,19h9l.61,2.35a3.58,3.58,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.55,3.55,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,8Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1,2-2A2,2,0,0,1,10,16Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"12",r:"1"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"20",cy:"14",r:"1"}),React.createElement("circle",{cx:"24",cy:"14",r:"1"}),props.children);});var GameConsole24=/*#__PURE__*/React.forwardRef(function GameConsole24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,26a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,19l2.33-8.84A5.54,5.54,0,0,1,7.11,6.73a5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,9h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.57,5.57,0,0,1,2.59,3.41L29.81,19a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,21H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,26ZM9.83,8a3.49,3.49,0,0,0-1.72.46,3.6,3.6,0,0,0-1.66,2.19L4.12,19.49A3.6,3.6,0,0,0,6.6,23.88a3.43,3.43,0,0,0,2.62-.34,3.54,3.54,0,0,0,1.66-2.19L11.5,19h9l.61,2.35a3.58,3.58,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.55,3.55,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,8Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1,2-2A2,2,0,0,1,10,16Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"12",r:"1"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"20",cy:"14",r:"1"}),React.createElement("circle",{cx:"24",cy:"14",r:"1"}),props.children);});var GameConsole20=/*#__PURE__*/React.forwardRef(function GameConsole20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,26a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,19l2.33-8.84A5.54,5.54,0,0,1,7.11,6.73a5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,9h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.57,5.57,0,0,1,2.59,3.41L29.81,19a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,21H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,26ZM9.83,8a3.49,3.49,0,0,0-1.72.46,3.6,3.6,0,0,0-1.66,2.19L4.12,19.49A3.6,3.6,0,0,0,6.6,23.88a3.43,3.43,0,0,0,2.62-.34,3.54,3.54,0,0,0,1.66-2.19L11.5,19h9l.61,2.35a3.58,3.58,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.55,3.55,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,8Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1,2-2A2,2,0,0,1,10,16Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"12",r:"1"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"20",cy:"14",r:"1"}),React.createElement("circle",{cx:"24",cy:"14",r:"1"}),props.children);});var GameConsole16=/*#__PURE__*/React.forwardRef(function GameConsole16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,26a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,19l2.33-8.84A5.54,5.54,0,0,1,7.11,6.73a5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,9h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.57,5.57,0,0,1,2.59,3.41L29.81,19a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,21H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,26ZM9.83,8a3.49,3.49,0,0,0-1.72.46,3.6,3.6,0,0,0-1.66,2.19L4.12,19.49A3.6,3.6,0,0,0,6.6,23.88a3.43,3.43,0,0,0,2.62-.34,3.54,3.54,0,0,0,1.66-2.19L11.5,19h9l.61,2.35a3.58,3.58,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.55,3.55,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,8Z"}),React.createElement("path",{d:"M10,16a2,2,0,1,1,2-2A2,2,0,0,1,10,16Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"12",r:"1"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"20",cy:"14",r:"1"}),React.createElement("circle",{cx:"24",cy:"14",r:"1"}),props.children);});var GameWireless32=/*#__PURE__*/React.forwardRef(function GameWireless32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,30a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,23l2.33-8.84a5.54,5.54,0,0,1,2.59-3.41,5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,13h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.55,5.55,0,0,1,2.59,3.41L29.81,23a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,25H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,30ZM9.83,12a3.49,3.49,0,0,0-1.72.46,3.58,3.58,0,0,0-1.66,2.19L4.12,23.49A3.6,3.6,0,0,0,6.6,27.88a3.43,3.43,0,0,0,2.62-.34,3.57,3.57,0,0,0,1.66-2.19L11.5,23h9l.61,2.35a3.6,3.6,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.53,3.53,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,12Z"}),React.createElement("path",{d:"M10,20a2,2,0,1,1,2-2A2,2,0,0,1,10,20Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"22",cy:"20",r:"1"}),React.createElement("circle",{cx:"20",cy:"18",r:"1"}),React.createElement("circle",{cx:"24",cy:"18",r:"1"}),React.createElement("path",{d:"M13.75,9l-1.5-1.33a5,5,0,0,1,7.5,0L18.25,9a3,3,0,0,0-4.5,0Z"}),React.createElement("path",{d:"M21.25,6.37a7,7,0,0,0-10.5,0L9.25,5.05a9,9,0,0,1,13.5,0Z"}),props.children);});var GameWireless24=/*#__PURE__*/React.forwardRef(function GameWireless24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,30a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,23l2.33-8.84a5.54,5.54,0,0,1,2.59-3.41,5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,13h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.55,5.55,0,0,1,2.59,3.41L29.81,23a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,25H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,30ZM9.83,12a3.49,3.49,0,0,0-1.72.46,3.58,3.58,0,0,0-1.66,2.19L4.12,23.49A3.6,3.6,0,0,0,6.6,27.88a3.43,3.43,0,0,0,2.62-.34,3.57,3.57,0,0,0,1.66-2.19L11.5,23h9l.61,2.35a3.6,3.6,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.53,3.53,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,12Z"}),React.createElement("path",{d:"M10,20a2,2,0,1,1,2-2A2,2,0,0,1,10,20Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"22",cy:"20",r:"1"}),React.createElement("circle",{cx:"20",cy:"18",r:"1"}),React.createElement("circle",{cx:"24",cy:"18",r:"1"}),React.createElement("path",{d:"M13.75,9l-1.5-1.33a5,5,0,0,1,7.5,0L18.25,9a3,3,0,0,0-4.5,0Z"}),React.createElement("path",{d:"M21.25,6.37a7,7,0,0,0-10.5,0L9.25,5.05a9,9,0,0,1,13.5,0Z"}),props.children);});var GameWireless20=/*#__PURE__*/React.forwardRef(function GameWireless20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,30a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,23l2.33-8.84a5.54,5.54,0,0,1,2.59-3.41,5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,13h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.55,5.55,0,0,1,2.59,3.41L29.81,23a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,25H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,30ZM9.83,12a3.49,3.49,0,0,0-1.72.46,3.58,3.58,0,0,0-1.66,2.19L4.12,23.49A3.6,3.6,0,0,0,6.6,27.88a3.43,3.43,0,0,0,2.62-.34,3.57,3.57,0,0,0,1.66-2.19L11.5,23h9l.61,2.35a3.6,3.6,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.53,3.53,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,12Z"}),React.createElement("path",{d:"M10,20a2,2,0,1,1,2-2A2,2,0,0,1,10,20Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"22",cy:"20",r:"1"}),React.createElement("circle",{cx:"20",cy:"18",r:"1"}),React.createElement("circle",{cx:"24",cy:"18",r:"1"}),React.createElement("path",{d:"M13.75,9l-1.5-1.33a5,5,0,0,1,7.5,0L18.25,9a3,3,0,0,0-4.5,0Z"}),React.createElement("path",{d:"M21.25,6.37a7,7,0,0,0-10.5,0L9.25,5.05a9,9,0,0,1,13.5,0Z"}),props.children);});var GameWireless16=/*#__PURE__*/React.forwardRef(function GameWireless16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7.51,30a5.48,5.48,0,0,1-1.44-.19A5.6,5.6,0,0,1,2.19,23l2.33-8.84a5.54,5.54,0,0,1,2.59-3.41,5.43,5.43,0,0,1,4.15-.54A5.52,5.52,0,0,1,14.7,13h2.6a5.49,5.49,0,0,1,3.44-2.81,5.43,5.43,0,0,1,4.15.54,5.55,5.55,0,0,1,2.59,3.41L29.81,23a5.6,5.6,0,0,1-3.89,6.83,5.43,5.43,0,0,1-4.15-.54,5.54,5.54,0,0,1-2.59-3.41L19,25H13l-.23.86a5.54,5.54,0,0,1-2.59,3.41A5.46,5.46,0,0,1,7.51,30ZM9.83,12a3.49,3.49,0,0,0-1.72.46,3.58,3.58,0,0,0-1.66,2.19L4.12,23.49A3.6,3.6,0,0,0,6.6,27.88a3.43,3.43,0,0,0,2.62-.34,3.57,3.57,0,0,0,1.66-2.19L11.5,23h9l.61,2.35a3.6,3.6,0,0,0,1.66,2.19,3.46,3.46,0,0,0,2.63.34,3.58,3.58,0,0,0,2.47-4.39l-2.33-8.84a3.53,3.53,0,0,0-1.65-2.19,3.46,3.46,0,0,0-2.63-.34,3.55,3.55,0,0,0-2.37,2.22l-.24.66h-5.3l-.24-.66a3.56,3.56,0,0,0-2.38-2.22A3.48,3.48,0,0,0,9.83,12Z"}),React.createElement("path",{d:"M10,20a2,2,0,1,1,2-2A2,2,0,0,1,10,20Zm0-2Z"}),React.createElement("circle",{cx:"22",cy:"16",r:"1"}),React.createElement("circle",{cx:"22",cy:"20",r:"1"}),React.createElement("circle",{cx:"20",cy:"18",r:"1"}),React.createElement("circle",{cx:"24",cy:"18",r:"1"}),React.createElement("path",{d:"M13.75,9l-1.5-1.33a5,5,0,0,1,7.5,0L18.25,9a3,3,0,0,0-4.5,0Z"}),React.createElement("path",{d:"M21.25,6.37a7,7,0,0,0-10.5,0L9.25,5.05a9,9,0,0,1,13.5,0Z"}),props.children);});var Gamification32=/*#__PURE__*/React.forwardRef(function Gamification32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23h-.1315l.9635-1.4453A1.0008,1.0008,0,0,0,24,21V12.0005c0-9.8858-7.92-10-8-10A1,1,0,0,0,15,3l-.0005,2H14a.9956.9956,0,0,0-.581.1865l-7,5a1,1,0,0,0-.3676,1.13l1,3a.9976.9976,0,0,0,1.09.6733l4.87-.6958L9.1519,20.47a1,1,0,0,0,.0161,1.085L10.1315,23H10a3.0033,3.0033,0,0,0-3,3v4H26V26A3.0033,3.0033,0,0,0,23,23Zm-7.1519-9.47a1,1,0,0,0-.99-1.52l-6.1738.8819-.5025-1.5078L14.32,7.0005H15.999a1,1,0,0,0,1-.9995L17,4.1289C18.5013,4.4636,21.2167,5.67,21.86,10H19v2h3v2H19v2h3v2H19v2h3v.6973L20.4648,23h-7.93L11.19,20.9824ZM24,28H9V26a1.0009,1.0009,0,0,1,1-1H23a1.0006,1.0006,0,0,1,1,1Z"}),props.children);});var Gamification24=/*#__PURE__*/React.forwardRef(function Gamification24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23h-.1315l.9635-1.4453A1.0008,1.0008,0,0,0,24,21V12.0005c0-9.8858-7.92-10-8-10A1,1,0,0,0,15,3l-.0005,2H14a.9956.9956,0,0,0-.581.1865l-7,5a1,1,0,0,0-.3676,1.13l1,3a.9976.9976,0,0,0,1.09.6733l4.87-.6958L9.1519,20.47a1,1,0,0,0,.0161,1.085L10.1315,23H10a3.0033,3.0033,0,0,0-3,3v4H26V26A3.0033,3.0033,0,0,0,23,23Zm-7.1519-9.47a1,1,0,0,0-.99-1.52l-6.1738.8819-.5025-1.5078L14.32,7.0005H15.999a1,1,0,0,0,1-.9995L17,4.1289C18.5013,4.4636,21.2167,5.67,21.86,10H19v2h3v2H19v2h3v2H19v2h3v.6973L20.4648,23h-7.93L11.19,20.9824ZM24,28H9V26a1.0009,1.0009,0,0,1,1-1H23a1.0006,1.0006,0,0,1,1,1Z"}),props.children);});var Gamification20=/*#__PURE__*/React.forwardRef(function Gamification20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23h-.1315l.9635-1.4453A1.0008,1.0008,0,0,0,24,21V12.0005c0-9.8858-7.92-10-8-10A1,1,0,0,0,15,3l-.0005,2H14a.9956.9956,0,0,0-.581.1865l-7,5a1,1,0,0,0-.3676,1.13l1,3a.9976.9976,0,0,0,1.09.6733l4.87-.6958L9.1519,20.47a1,1,0,0,0,.0161,1.085L10.1315,23H10a3.0033,3.0033,0,0,0-3,3v4H26V26A3.0033,3.0033,0,0,0,23,23Zm-7.1519-9.47a1,1,0,0,0-.99-1.52l-6.1738.8819-.5025-1.5078L14.32,7.0005H15.999a1,1,0,0,0,1-.9995L17,4.1289C18.5013,4.4636,21.2167,5.67,21.86,10H19v2h3v2H19v2h3v2H19v2h3v.6973L20.4648,23h-7.93L11.19,20.9824ZM24,28H9V26a1.0009,1.0009,0,0,1,1-1H23a1.0006,1.0006,0,0,1,1,1Z"}),props.children);});var Gamification16=/*#__PURE__*/React.forwardRef(function Gamification16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23h-.1315l.9635-1.4453A1.0008,1.0008,0,0,0,24,21V12.0005c0-9.8858-7.92-10-8-10A1,1,0,0,0,15,3l-.0005,2H14a.9956.9956,0,0,0-.581.1865l-7,5a1,1,0,0,0-.3676,1.13l1,3a.9976.9976,0,0,0,1.09.6733l4.87-.6958L9.1519,20.47a1,1,0,0,0,.0161,1.085L10.1315,23H10a3.0033,3.0033,0,0,0-3,3v4H26V26A3.0033,3.0033,0,0,0,23,23Zm-7.1519-9.47a1,1,0,0,0-.99-1.52l-6.1738.8819-.5025-1.5078L14.32,7.0005H15.999a1,1,0,0,0,1-.9995L17,4.1289C18.5013,4.4636,21.2167,5.67,21.86,10H19v2h3v2H19v2h3v2H19v2h3v.6973L20.4648,23h-7.93L11.19,20.9824ZM24,28H9V26a1.0009,1.0009,0,0,1,1-1H23a1.0006,1.0006,0,0,1,1,1Z"}),props.children);});var GeneratePdf32=/*#__PURE__*/React.forwardRef(function GeneratePdf32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v4H8V24H6v4H6a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2h0V24Z"}),React.createElement("polygon",{points:"21 21 19.586 19.586 17 22.172 17 14 15 14 15 22.172 12.414 19.586 11 21 16 26 21 21"}),React.createElement("polygon",{points:"28 4 28 2 22 2 22 12 24 12 24 8 27 8 27 6 24 6 24 4 28 4"}),React.createElement("path",{d:"M17,12H13V2h4a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,17,12Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V5a1.0011,1.0011,0,0,0-1-1H15Z"}),React.createElement("path",{d:"M9,2H4V12H6V9H9a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,9,2ZM6,7V4H9l.001,3Z"}),props.children);});var GeneratePdf24=/*#__PURE__*/React.forwardRef(function GeneratePdf24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v4H8V24H6v4H6a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2h0V24Z"}),React.createElement("polygon",{points:"21 21 19.586 19.586 17 22.172 17 14 15 14 15 22.172 12.414 19.586 11 21 16 26 21 21"}),React.createElement("polygon",{points:"28 4 28 2 22 2 22 12 24 12 24 8 27 8 27 6 24 6 24 4 28 4"}),React.createElement("path",{d:"M17,12H13V2h4a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,17,12Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V5a1.0011,1.0011,0,0,0-1-1H15Z"}),React.createElement("path",{d:"M9,2H4V12H6V9H9a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,9,2ZM6,7V4H9l.001,3Z"}),props.children);});var GeneratePdf20=/*#__PURE__*/React.forwardRef(function GeneratePdf20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v4H8V24H6v4H6a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2h0V24Z"}),React.createElement("polygon",{points:"21 21 19.586 19.586 17 22.172 17 14 15 14 15 22.172 12.414 19.586 11 21 16 26 21 21"}),React.createElement("polygon",{points:"28 4 28 2 22 2 22 12 24 12 24 8 27 8 27 6 24 6 24 4 28 4"}),React.createElement("path",{d:"M17,12H13V2h4a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,17,12Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V5a1.0011,1.0011,0,0,0-1-1H15Z"}),React.createElement("path",{d:"M9,2H4V12H6V9H9a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,9,2ZM6,7V4H9l.001,3Z"}),props.children);});var GeneratePdf16=/*#__PURE__*/React.forwardRef(function GeneratePdf16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,24v4H8V24H6v4H6a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2h0V24Z"}),React.createElement("polygon",{points:"21 21 19.586 19.586 17 22.172 17 14 15 14 15 22.172 12.414 19.586 11 21 16 26 21 21"}),React.createElement("polygon",{points:"28 4 28 2 22 2 22 12 24 12 24 8 27 8 27 6 24 6 24 4 28 4"}),React.createElement("path",{d:"M17,12H13V2h4a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,17,12Zm-2-2h2a1.0011,1.0011,0,0,0,1-1V5a1.0011,1.0011,0,0,0-1-1H15Z"}),React.createElement("path",{d:"M9,2H4V12H6V9H9a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,9,2ZM6,7V4H9l.001,3Z"}),props.children);});var Gift32=/*#__PURE__*/React.forwardRef(function Gift32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10H23.2383A4.4867,4.4867,0,0,0,16,4.7065,4.4873,4.4873,0,0,0,8.7617,10H6a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2V28a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V18a2.0025,2.0025,0,0,0,2-2V12A2.0025,2.0025,0,0,0,26,10ZM17,7.5A2.5,2.5,0,1,1,19.5,10H17ZM12.5,5A2.503,2.503,0,0,1,15,7.5V10H12.5a2.5,2.5,0,0,1,0-5ZM6,12h9v4H6Zm2,6h7V28H8ZM24.0012,28H17V18h7ZM17,16V12h9l.0012,4Z"}),props.children);});var Gift24=/*#__PURE__*/React.forwardRef(function Gift24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10H23.2383A4.4867,4.4867,0,0,0,16,4.7065,4.4873,4.4873,0,0,0,8.7617,10H6a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2V28a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V18a2.0025,2.0025,0,0,0,2-2V12A2.0025,2.0025,0,0,0,26,10ZM17,7.5A2.5,2.5,0,1,1,19.5,10H17ZM12.5,5A2.503,2.503,0,0,1,15,7.5V10H12.5a2.5,2.5,0,0,1,0-5ZM6,12h9v4H6Zm2,6h7V28H8ZM24.0012,28H17V18h7ZM17,16V12h9l.0012,4Z"}),props.children);});var Gift20=/*#__PURE__*/React.forwardRef(function Gift20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10H23.2383A4.4867,4.4867,0,0,0,16,4.7065,4.4873,4.4873,0,0,0,8.7617,10H6a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2V28a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V18a2.0025,2.0025,0,0,0,2-2V12A2.0025,2.0025,0,0,0,26,10ZM17,7.5A2.5,2.5,0,1,1,19.5,10H17ZM12.5,5A2.503,2.503,0,0,1,15,7.5V10H12.5a2.5,2.5,0,0,1,0-5ZM6,12h9v4H6Zm2,6h7V28H8ZM24.0012,28H17V18h7ZM17,16V12h9l.0012,4Z"}),props.children);});var Gift16=/*#__PURE__*/React.forwardRef(function Gift16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,10H23.2383A4.4867,4.4867,0,0,0,16,4.7065,4.4873,4.4873,0,0,0,8.7617,10H6a2.0025,2.0025,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2V28a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V18a2.0025,2.0025,0,0,0,2-2V12A2.0025,2.0025,0,0,0,26,10ZM17,7.5A2.5,2.5,0,1,1,19.5,10H17ZM12.5,5A2.503,2.503,0,0,1,15,7.5V10H12.5a2.5,2.5,0,0,1,0-5ZM6,12h9v4H6Zm2,6h7V28H8ZM24.0012,28H17V18h7ZM17,16V12h9l.0012,4Z"}),props.children);});var Globe32=/*#__PURE__*/React.forwardRef(function Globe32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,4a7,7,0,1,1-7,7,7,7,0,0,1,7-7m0-2a9,9,0,1,0,9,9A9,9,0,0,0,14,2Z"}),React.createElement("path",{d:"M28,11a13.92,13.92,0,0,0-4.11-9.89L22.48,2.52a12,12,0,0,1-16.92,17l0,0L4.11,20.89A13.92,13.92,0,0,0,14,25v3H10v2H20V28H16V24.84A14,14,0,0,0,28,11Z"}),props.children);});var Globe24=/*#__PURE__*/React.forwardRef(function Globe24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,4a7,7,0,1,1-7,7,7,7,0,0,1,7-7m0-2a9,9,0,1,0,9,9A9,9,0,0,0,14,2Z"}),React.createElement("path",{d:"M28,11a13.92,13.92,0,0,0-4.11-9.89L22.48,2.52a12,12,0,0,1-16.92,17l0,0L4.11,20.89A13.92,13.92,0,0,0,14,25v3H10v2H20V28H16V24.84A14,14,0,0,0,28,11Z"}),props.children);});var Globe20=/*#__PURE__*/React.forwardRef(function Globe20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,4a7,7,0,1,1-7,7,7,7,0,0,1,7-7m0-2a9,9,0,1,0,9,9A9,9,0,0,0,14,2Z"}),React.createElement("path",{d:"M28,11a13.92,13.92,0,0,0-4.11-9.89L22.48,2.52a12,12,0,0,1-16.92,17l0,0L4.11,20.89A13.92,13.92,0,0,0,14,25v3H10v2H20V28H16V24.84A14,14,0,0,0,28,11Z"}),props.children);});var Globe16=/*#__PURE__*/React.forwardRef(function Globe16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,4a7,7,0,1,1-7,7,7,7,0,0,1,7-7m0-2a9,9,0,1,0,9,9A9,9,0,0,0,14,2Z"}),React.createElement("path",{d:"M28,11a13.92,13.92,0,0,0-4.11-9.89L22.48,2.52a12,12,0,0,1-16.92,17l0,0L4.11,20.89A13.92,13.92,0,0,0,14,25v3H10v2H20V28H16V24.84A14,14,0,0,0,28,11Z"}),props.children);});var GraphicalDataFlow32=/*#__PURE__*/React.forwardRef(function GraphicalDataFlow32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H22a2.0023,2.0023,0,0,1-2-2V22a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,30Zm-6-8h-.0012L22,28h6V22Z"}),React.createElement("path",{d:"M18,26H12a3.0033,3.0033,0,0,1-3-3V19h2v4a1.001,1.001,0,0,0,1,1h6Z"}),React.createElement("path",{d:"M26,18H24V15a1.001,1.001,0,0,0-1-1H18V12h5a3.0033,3.0033,0,0,1,3,3Z"}),React.createElement("path",{d:"M15,18a.9986.9986,0,0,1-.4971-.1323L10,15.2886,5.4968,17.8677a1,1,0,0,1-1.4712-1.0938l1.0618-4.572L2.269,9.1824a1,1,0,0,1,.5662-1.6687l4.2-.7019L9.1006,2.5627a1,1,0,0,1,1.7881-.0214l2.2046,4.271,4.0764.7021a1,1,0,0,1,.5613,1.668l-2.8184,3.02,1.0613,4.5718A1,1,0,0,1,15,18Zm-5-5s.343.18.4971.2686l3.01,1.7241-.7837-3.3763,2.282-2.4453-3.2331-.5569-1.7456-3.382L8.3829,8.6144l-3.3809.565,2.2745,2.437-.7841,3.3763,3.0105-1.7241C9.657,13.18,10,13,10,13Z"}),props.children);});var GraphicalDataFlow24=/*#__PURE__*/React.forwardRef(function GraphicalDataFlow24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H22a2.0023,2.0023,0,0,1-2-2V22a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,30Zm-6-8h-.0012L22,28h6V22Z"}),React.createElement("path",{d:"M18,26H12a3.0033,3.0033,0,0,1-3-3V19h2v4a1.001,1.001,0,0,0,1,1h6Z"}),React.createElement("path",{d:"M26,18H24V15a1.001,1.001,0,0,0-1-1H18V12h5a3.0033,3.0033,0,0,1,3,3Z"}),React.createElement("path",{d:"M15,18a.9986.9986,0,0,1-.4971-.1323L10,15.2886,5.4968,17.8677a1,1,0,0,1-1.4712-1.0938l1.0618-4.572L2.269,9.1824a1,1,0,0,1,.5662-1.6687l4.2-.7019L9.1006,2.5627a1,1,0,0,1,1.7881-.0214l2.2046,4.271,4.0764.7021a1,1,0,0,1,.5613,1.668l-2.8184,3.02,1.0613,4.5718A1,1,0,0,1,15,18Zm-5-5s.343.18.4971.2686l3.01,1.7241-.7837-3.3763,2.282-2.4453-3.2331-.5569-1.7456-3.382L8.3829,8.6144l-3.3809.565,2.2745,2.437-.7841,3.3763,3.0105-1.7241C9.657,13.18,10,13,10,13Z"}),props.children);});var GraphicalDataFlow20=/*#__PURE__*/React.forwardRef(function GraphicalDataFlow20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H22a2.0023,2.0023,0,0,1-2-2V22a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,30Zm-6-8h-.0012L22,28h6V22Z"}),React.createElement("path",{d:"M18,26H12a3.0033,3.0033,0,0,1-3-3V19h2v4a1.001,1.001,0,0,0,1,1h6Z"}),React.createElement("path",{d:"M26,18H24V15a1.001,1.001,0,0,0-1-1H18V12h5a3.0033,3.0033,0,0,1,3,3Z"}),React.createElement("path",{d:"M15,18a.9986.9986,0,0,1-.4971-.1323L10,15.2886,5.4968,17.8677a1,1,0,0,1-1.4712-1.0938l1.0618-4.572L2.269,9.1824a1,1,0,0,1,.5662-1.6687l4.2-.7019L9.1006,2.5627a1,1,0,0,1,1.7881-.0214l2.2046,4.271,4.0764.7021a1,1,0,0,1,.5613,1.668l-2.8184,3.02,1.0613,4.5718A1,1,0,0,1,15,18Zm-5-5s.343.18.4971.2686l3.01,1.7241-.7837-3.3763,2.282-2.4453-3.2331-.5569-1.7456-3.382L8.3829,8.6144l-3.3809.565,2.2745,2.437-.7841,3.3763,3.0105-1.7241C9.657,13.18,10,13,10,13Z"}),props.children);});var GraphicalDataFlow16=/*#__PURE__*/React.forwardRef(function GraphicalDataFlow16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H22a2.0023,2.0023,0,0,1-2-2V22a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,30Zm-6-8h-.0012L22,28h6V22Z"}),React.createElement("path",{d:"M18,26H12a3.0033,3.0033,0,0,1-3-3V19h2v4a1.001,1.001,0,0,0,1,1h6Z"}),React.createElement("path",{d:"M26,18H24V15a1.001,1.001,0,0,0-1-1H18V12h5a3.0033,3.0033,0,0,1,3,3Z"}),React.createElement("path",{d:"M15,18a.9986.9986,0,0,1-.4971-.1323L10,15.2886,5.4968,17.8677a1,1,0,0,1-1.4712-1.0938l1.0618-4.572L2.269,9.1824a1,1,0,0,1,.5662-1.6687l4.2-.7019L9.1006,2.5627a1,1,0,0,1,1.7881-.0214l2.2046,4.271,4.0764.7021a1,1,0,0,1,.5613,1.668l-2.8184,3.02,1.0613,4.5718A1,1,0,0,1,15,18Zm-5-5s.343.18.4971.2686l3.01,1.7241-.7837-3.3763,2.282-2.4453-3.2331-.5569-1.7456-3.382L8.3829,8.6144l-3.3809.565,2.2745,2.437-.7841,3.3763,3.0105-1.7241C9.657,13.18,10,13,10,13Z"}),props.children);});var Grid32=/*#__PURE__*/React.forwardRef(function Grid32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,12,4Zm0,8H6V6h6Z"}),React.createElement("path",{d:"M26,4H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,8H20V6h6Z"}),React.createElement("path",{d:"M12,18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,12,18Zm0,8H6V20h6Z"}),React.createElement("path",{d:"M26,18H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,26,18Zm0,8H20V20h6Z"}),props.children);});var Grid24=/*#__PURE__*/React.forwardRef(function Grid24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,12,4Zm0,8H6V6h6Z"}),React.createElement("path",{d:"M26,4H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,8H20V6h6Z"}),React.createElement("path",{d:"M12,18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,12,18Zm0,8H6V20h6Z"}),React.createElement("path",{d:"M26,18H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,26,18Zm0,8H20V20h6Z"}),props.children);});var Grid20=/*#__PURE__*/React.forwardRef(function Grid20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,12,4Zm0,8H6V6h6Z"}),React.createElement("path",{d:"M26,4H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,8H20V6h6Z"}),React.createElement("path",{d:"M12,18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,12,18Zm0,8H6V20h6Z"}),React.createElement("path",{d:"M26,18H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,26,18Zm0,8H20V20h6Z"}),props.children);});var Grid16=/*#__PURE__*/React.forwardRef(function Grid16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,12,4Zm0,8H6V6h6Z"}),React.createElement("path",{d:"M26,4H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,8H20V6h6Z"}),React.createElement("path",{d:"M12,18H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,12,18Zm0,8H6V20h6Z"}),React.createElement("path",{d:"M26,18H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V20A2,2,0,0,0,26,18Zm0,8H20V20h6Z"}),props.children);});var Group32=/*#__PURE__*/React.forwardRef(function Group32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M31,30H29V27a3,3,0,0,0-3-3H22a3,3,0,0,0-3,3v3H17V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M24,12a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,10Z"}),React.createElement("path",{d:"M15,22H13V19a3,3,0,0,0-3-3H6a3,3,0,0,0-3,3v3H1V19a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var Group24=/*#__PURE__*/React.forwardRef(function Group24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M31,30H29V27a3,3,0,0,0-3-3H22a3,3,0,0,0-3,3v3H17V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M24,12a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,10Z"}),React.createElement("path",{d:"M15,22H13V19a3,3,0,0,0-3-3H6a3,3,0,0,0-3,3v3H1V19a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var Group20=/*#__PURE__*/React.forwardRef(function Group20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M31,30H29V27a3,3,0,0,0-3-3H22a3,3,0,0,0-3,3v3H17V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M24,12a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,10Z"}),React.createElement("path",{d:"M15,22H13V19a3,3,0,0,0-3-3H6a3,3,0,0,0-3,3v3H1V19a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var Group16=/*#__PURE__*/React.forwardRef(function Group16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M31,30H29V27a3,3,0,0,0-3-3H22a3,3,0,0,0-3,3v3H17V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M24,12a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,24,10Z"}),React.createElement("path",{d:"M15,22H13V19a3,3,0,0,0-3-3H6a3,3,0,0,0-3,3v3H1V19a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,4A3,3,0,1,1,5,7,3,3,0,0,1,8,4M8,2a5,5,0,1,0,5,5A5,5,0,0,0,8,2Z"}),props.children);});var Hail32=/*#__PURE__*/React.forwardRef(function Hail32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"7.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"4.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"10.499",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var Hail24=/*#__PURE__*/React.forwardRef(function Hail24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"7.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"4.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"10.499",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var Hail20=/*#__PURE__*/React.forwardRef(function Hail20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"7.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"4.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"10.499",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var Hail16=/*#__PURE__*/React.forwardRef(function Hail16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"7.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"4.5",cy:"29.5",r:"1.5"}),React.createElement("circle",{cx:"10.499",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M23.5,22H23V20h.5a4.4975,4.4975,0,0,0,.3564-8.981l-.8154-.0639-.0986-.812a6.9938,6.9938,0,0,0-13.8838,0l-.0991.812-.8155.0639A4.4975,4.4975,0,0,0,8.5,20H9v2H8.5A6.4973,6.4973,0,0,1,7.2,9.1362a8.9943,8.9943,0,0,1,17.6006,0A6.4974,6.4974,0,0,1,23.5,22Z"}),props.children);});var Hashtag32=/*#__PURE__*/React.forwardRef(function Hashtag32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12V10H22V4H20v6H12V4H10v6H4v2h6v8H4v2h6v6h2V22h8v6h2V22h6V20H22V12Zm-8,8H12V12h8Z"}),props.children);});var Hashtag24=/*#__PURE__*/React.forwardRef(function Hashtag24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12V10H22V4H20v6H12V4H10v6H4v2h6v8H4v2h6v6h2V22h8v6h2V22h6V20H22V12Zm-8,8H12V12h8Z"}),props.children);});var Hashtag20=/*#__PURE__*/React.forwardRef(function Hashtag20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12V10H22V4H20v6H12V4H10v6H4v2h6v8H4v2h6v6h2V22h8v6h2V22h6V20H22V12Zm-8,8H12V12h8Z"}),props.children);});var Hashtag16=/*#__PURE__*/React.forwardRef(function Hashtag16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12V10H22V4H20v6H12V4H10v6H4v2h6v8H4v2h6v6h2V22h8v6h2V22h6V20H22V12Zm-8,8H12V12h8Z"}),props.children);});var HazeNight32=/*#__PURE__*/React.forwardRef(function HazeNight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H13a1,1,0,0,0,0,2h9.6772a11.0991,11.0991,0,0,1-7.5561,2.9976c-.1384,0-.2783.0048-.4177,0a11.0945,11.0945,0,0,1-3.201-21.584,15.1528,15.1528,0,0,0-.0488,6.5869h2.0457a13.15,13.15,0,0,1,.39-7.6206A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0A13.04,13.04,0,0,0,25.3779,24H29a1,1,0,0,0,0-2Z"}),React.createElement("path",{d:"M27,20H17a1,1,0,0,1,0-2H27a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M25,16H13a1,1,0,0,1,0-2H25a1,1,0,0,1,0,2Z"}),props.children);});var HazeNight24=/*#__PURE__*/React.forwardRef(function HazeNight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H13a1,1,0,0,0,0,2h9.6772a11.0991,11.0991,0,0,1-7.5561,2.9976c-.1384,0-.2783.0048-.4177,0a11.0945,11.0945,0,0,1-3.201-21.584,15.1528,15.1528,0,0,0-.0488,6.5869h2.0457a13.15,13.15,0,0,1,.39-7.6206A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0A13.04,13.04,0,0,0,25.3779,24H29a1,1,0,0,0,0-2Z"}),React.createElement("path",{d:"M27,20H17a1,1,0,0,1,0-2H27a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M25,16H13a1,1,0,0,1,0-2H25a1,1,0,0,1,0,2Z"}),props.children);});var HazeNight20=/*#__PURE__*/React.forwardRef(function HazeNight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H13a1,1,0,0,0,0,2h9.6772a11.0991,11.0991,0,0,1-7.5561,2.9976c-.1384,0-.2783.0048-.4177,0a11.0945,11.0945,0,0,1-3.201-21.584,15.1528,15.1528,0,0,0-.0488,6.5869h2.0457a13.15,13.15,0,0,1,.39-7.6206A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0A13.04,13.04,0,0,0,25.3779,24H29a1,1,0,0,0,0-2Z"}),React.createElement("path",{d:"M27,20H17a1,1,0,0,1,0-2H27a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M25,16H13a1,1,0,0,1,0-2H25a1,1,0,0,1,0,2Z"}),props.children);});var HazeNight16=/*#__PURE__*/React.forwardRef(function HazeNight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H13a1,1,0,0,0,0,2h9.6772a11.0991,11.0991,0,0,1-7.5561,2.9976c-.1384,0-.2783.0048-.4177,0a11.0945,11.0945,0,0,1-3.201-21.584,15.1528,15.1528,0,0,0-.0488,6.5869h2.0457a13.15,13.15,0,0,1,.39-7.6206A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0A13.04,13.04,0,0,0,25.3779,24H29a1,1,0,0,0,0-2Z"}),React.createElement("path",{d:"M27,20H17a1,1,0,0,1,0-2H27a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M25,16H13a1,1,0,0,1,0-2H25a1,1,0,0,1,0,2Z"}),props.children);});var Haze32=/*#__PURE__*/React.forwardRef(function Haze32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H3a1,1,0,0,1,0-2H19a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M15,20H3a1,1,0,0,1,0-2H15a1,1,0,0,1,0,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"23.5",transform:"rotate(45 26.5 24.5)"}),React.createElement("rect",{width:"4",height:"2",x:"28",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"6.5",transform:"rotate(-45 26.5 7.5)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"7.5",y:"6.5",transform:"rotate(-135 9.5 7.5)"}),React.createElement("path",{d:"M18,8a8.0092,8.0092,0,0,0-8,8h2a6,6,0,1,1,6,6H7a1,1,0,0,0,0,2H18A8,8,0,0,0,18,8Z"}),props.children);});var Haze24=/*#__PURE__*/React.forwardRef(function Haze24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H3a1,1,0,0,1,0-2H19a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M15,20H3a1,1,0,0,1,0-2H15a1,1,0,0,1,0,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"23.5",transform:"rotate(45 26.5 24.5)"}),React.createElement("rect",{width:"4",height:"2",x:"28",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"6.5",transform:"rotate(-45 26.5 7.5)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"7.5",y:"6.5",transform:"rotate(-135 9.5 7.5)"}),React.createElement("path",{d:"M18,8a8.0092,8.0092,0,0,0-8,8h2a6,6,0,1,1,6,6H7a1,1,0,0,0,0,2H18A8,8,0,0,0,18,8Z"}),props.children);});var Haze20=/*#__PURE__*/React.forwardRef(function Haze20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H3a1,1,0,0,1,0-2H19a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M15,20H3a1,1,0,0,1,0-2H15a1,1,0,0,1,0,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"23.5",transform:"rotate(45 26.5 24.5)"}),React.createElement("rect",{width:"4",height:"2",x:"28",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"6.5",transform:"rotate(-45 26.5 7.5)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"7.5",y:"6.5",transform:"rotate(-135 9.5 7.5)"}),React.createElement("path",{d:"M18,8a8.0092,8.0092,0,0,0-8,8h2a6,6,0,1,1,6,6H7a1,1,0,0,0,0,2H18A8,8,0,0,0,18,8Z"}),props.children);});var Haze16=/*#__PURE__*/React.forwardRef(function Haze16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H3a1,1,0,0,1,0-2H19a1,1,0,0,1,0,2Z"}),React.createElement("path",{d:"M15,20H3a1,1,0,0,1,0-2H15a1,1,0,0,1,0,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"23.5",transform:"rotate(45 26.5 24.5)"}),React.createElement("rect",{width:"4",height:"2",x:"28",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"24.5",y:"6.5",transform:"rotate(-45 26.5 7.5)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"7.5",y:"6.5",transform:"rotate(-135 9.5 7.5)"}),React.createElement("path",{d:"M18,8a8.0092,8.0092,0,0,0-8,8h2a6,6,0,1,1,6,6H7a1,1,0,0,0,0,2H18A8,8,0,0,0,18,8Z"}),props.children);});var Headphones32=/*#__PURE__*/React.forwardRef(function Headphones32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,16V15A9,9,0,0,0,7,15v1A5,5,0,0,0,7,26H9V15a7,7,0,0,1,14,0V26h2a5,5,0,0,0,0-10ZM4,21a3,3,0,0,1,3-3v6A3,3,0,0,1,4,21Zm21,3V18a3,3,0,0,1,0,6Z"}),props.children);});var Headphones24=/*#__PURE__*/React.forwardRef(function Headphones24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,16V15A9,9,0,0,0,7,15v1A5,5,0,0,0,7,26H9V15a7,7,0,0,1,14,0V26h2a5,5,0,0,0,0-10ZM4,21a3,3,0,0,1,3-3v6A3,3,0,0,1,4,21Zm21,3V18a3,3,0,0,1,0,6Z"}),props.children);});var Headphones20=/*#__PURE__*/React.forwardRef(function Headphones20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,16V15A9,9,0,0,0,7,15v1A5,5,0,0,0,7,26H9V15a7,7,0,0,1,14,0V26h2a5,5,0,0,0,0-10ZM4,21a3,3,0,0,1,3-3v6A3,3,0,0,1,4,21Zm21,3V18a3,3,0,0,1,0,6Z"}),props.children);});var Headphones16=/*#__PURE__*/React.forwardRef(function Headphones16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,16V15A9,9,0,0,0,7,15v1A5,5,0,0,0,7,26H9V15a7,7,0,0,1,14,0V26h2a5,5,0,0,0,0-10ZM4,21a3,3,0,0,1,3-3v6A3,3,0,0,1,4,21Zm21,3V18a3,3,0,0,1,0,6Z"}),props.children);});var Headset32=/*#__PURE__*/React.forwardRef(function Headset32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,10h-.06A9,9,0,0,0,7.06,10H7A5,5,0,0,0,7,20H9V11a7,7,0,0,1,14,0V21a4,4,0,0,1-3.17,3.91,4,4,0,1,0,.05,2A6,6,0,0,0,25,21V20a5,5,0,0,0,0-10ZM4,15a3,3,0,0,1,3-3v6A3,3,0,0,1,4,15ZM16,28a2,2,0,1,1,2-2A2,2,0,0,1,16,28Zm9-10V12a3,3,0,0,1,0,6Z"}),props.children);});var Headset24=/*#__PURE__*/React.forwardRef(function Headset24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,10h-.06A9,9,0,0,0,7.06,10H7A5,5,0,0,0,7,20H9V11a7,7,0,0,1,14,0V21a4,4,0,0,1-3.17,3.91,4,4,0,1,0,.05,2A6,6,0,0,0,25,21V20a5,5,0,0,0,0-10ZM4,15a3,3,0,0,1,3-3v6A3,3,0,0,1,4,15ZM16,28a2,2,0,1,1,2-2A2,2,0,0,1,16,28Zm9-10V12a3,3,0,0,1,0,6Z"}),props.children);});var Headset20=/*#__PURE__*/React.forwardRef(function Headset20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,10h-.06A9,9,0,0,0,7.06,10H7A5,5,0,0,0,7,20H9V11a7,7,0,0,1,14,0V21a4,4,0,0,1-3.17,3.91,4,4,0,1,0,.05,2A6,6,0,0,0,25,21V20a5,5,0,0,0,0-10ZM4,15a3,3,0,0,1,3-3v6A3,3,0,0,1,4,15ZM16,28a2,2,0,1,1,2-2A2,2,0,0,1,16,28Zm9-10V12a3,3,0,0,1,0,6Z"}),props.children);});var Headset16=/*#__PURE__*/React.forwardRef(function Headset16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,10h-.06A9,9,0,0,0,7.06,10H7A5,5,0,0,0,7,20H9V11a7,7,0,0,1,14,0V21a4,4,0,0,1-3.17,3.91,4,4,0,1,0,.05,2A6,6,0,0,0,25,21V20a5,5,0,0,0,0-10ZM4,15a3,3,0,0,1,3-3v6A3,3,0,0,1,4,15ZM16,28a2,2,0,1,1,2-2A2,2,0,0,1,16,28Zm9-10V12a3,3,0,0,1,0,6Z"}),props.children);});var HealthCross32=/*#__PURE__*/React.forwardRef(function HealthCross32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H13a2.0023,2.0023,0,0,1-2-2V21H6a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h5V6a2.002,2.002,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v5h5a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H21v5A2.0027,2.0027,0,0,1,19,28ZM6,13v6h7v7h6V19h7V13H19V6H13v7Z"}),props.children);});var HealthCross24=/*#__PURE__*/React.forwardRef(function HealthCross24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H13a2.0023,2.0023,0,0,1-2-2V21H6a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h5V6a2.002,2.002,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v5h5a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H21v5A2.0027,2.0027,0,0,1,19,28ZM6,13v6h7v7h6V19h7V13H19V6H13v7Z"}),props.children);});var HealthCross20=/*#__PURE__*/React.forwardRef(function HealthCross20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H13a2.0023,2.0023,0,0,1-2-2V21H6a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h5V6a2.002,2.002,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v5h5a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H21v5A2.0027,2.0027,0,0,1,19,28ZM6,13v6h7v7h6V19h7V13H19V6H13v7Z"}),props.children);});var HealthCross16=/*#__PURE__*/React.forwardRef(function HealthCross16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,28H13a2.0023,2.0023,0,0,1-2-2V21H6a2.0023,2.0023,0,0,1-2-2V13a2.002,2.002,0,0,1,2-2h5V6a2.002,2.002,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v5h5a2.0023,2.0023,0,0,1,2,2v6a2.0027,2.0027,0,0,1-2,2H21v5A2.0027,2.0027,0,0,1,19,28ZM6,13v6h7v7h6V19h7V13H19V6H13v7Z"}),props.children);});var Hearing32=/*#__PURE__*/React.forwardRef(function Hearing32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30V28A10.0114,10.0114,0,0,0,28,18h2A12.0134,12.0134,0,0,1,18,30Z"}),React.createElement("path",{d:"M18,26V24a6.0066,6.0066,0,0,0,6-6h2A8.0092,8.0092,0,0,1,18,26Z"}),React.createElement("path",{d:"M18,22V20a2.0023,2.0023,0,0,0,2-2h2A4.0042,4.0042,0,0,1,18,22Z"}),React.createElement("path",{d:"M10,2a9.01,9.01,0,0,0-9,9H3a7,7,0,0,1,14,0,7.09,7.09,0,0,1-3.501,6.1348L13,17.4229v3.0732a2.9354,2.9354,0,0,1-.9009,2.1514,4.1824,4.1824,0,0,1-4.6318,1.03A4.0918,4.0918,0,0,1,5,20H3a6.1156,6.1156,0,0,0,3.6694,5.5117,5.7822,5.7822,0,0,0,2.3145.4863A6.5854,6.5854,0,0,0,13.4624,24.11,4.94,4.94,0,0,0,15,20.4961V18.5537A9.1077,9.1077,0,0,0,19,11,9.01,9.01,0,0,0,10,2Z"}),React.createElement("path",{d:"M9.28,8.0825A3.0061,3.0061,0,0,1,13,11h2a4.9786,4.9786,0,0,0-1.8843-3.9111A5.0414,5.0414,0,0,0,8.835,6.1323,4.95,4.95,0,0,0,5.1323,9.835,5.0318,5.0318,0,0,0,7.436,15.2935,3.0777,3.0777,0,0,1,9,17.9229V20h2V17.9229a5.0608,5.0608,0,0,0-2.5371-4.3458A3.0016,3.0016,0,0,1,9.28,8.0825Z"}),props.children);});var Hearing24=/*#__PURE__*/React.forwardRef(function Hearing24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30V28A10.0114,10.0114,0,0,0,28,18h2A12.0134,12.0134,0,0,1,18,30Z"}),React.createElement("path",{d:"M18,26V24a6.0066,6.0066,0,0,0,6-6h2A8.0092,8.0092,0,0,1,18,26Z"}),React.createElement("path",{d:"M18,22V20a2.0023,2.0023,0,0,0,2-2h2A4.0042,4.0042,0,0,1,18,22Z"}),React.createElement("path",{d:"M10,2a9.01,9.01,0,0,0-9,9H3a7,7,0,0,1,14,0,7.09,7.09,0,0,1-3.501,6.1348L13,17.4229v3.0732a2.9354,2.9354,0,0,1-.9009,2.1514,4.1824,4.1824,0,0,1-4.6318,1.03A4.0918,4.0918,0,0,1,5,20H3a6.1156,6.1156,0,0,0,3.6694,5.5117,5.7822,5.7822,0,0,0,2.3145.4863A6.5854,6.5854,0,0,0,13.4624,24.11,4.94,4.94,0,0,0,15,20.4961V18.5537A9.1077,9.1077,0,0,0,19,11,9.01,9.01,0,0,0,10,2Z"}),React.createElement("path",{d:"M9.28,8.0825A3.0061,3.0061,0,0,1,13,11h2a4.9786,4.9786,0,0,0-1.8843-3.9111A5.0414,5.0414,0,0,0,8.835,6.1323,4.95,4.95,0,0,0,5.1323,9.835,5.0318,5.0318,0,0,0,7.436,15.2935,3.0777,3.0777,0,0,1,9,17.9229V20h2V17.9229a5.0608,5.0608,0,0,0-2.5371-4.3458A3.0016,3.0016,0,0,1,9.28,8.0825Z"}),props.children);});var Hearing20=/*#__PURE__*/React.forwardRef(function Hearing20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30V28A10.0114,10.0114,0,0,0,28,18h2A12.0134,12.0134,0,0,1,18,30Z"}),React.createElement("path",{d:"M18,26V24a6.0066,6.0066,0,0,0,6-6h2A8.0092,8.0092,0,0,1,18,26Z"}),React.createElement("path",{d:"M18,22V20a2.0023,2.0023,0,0,0,2-2h2A4.0042,4.0042,0,0,1,18,22Z"}),React.createElement("path",{d:"M10,2a9.01,9.01,0,0,0-9,9H3a7,7,0,0,1,14,0,7.09,7.09,0,0,1-3.501,6.1348L13,17.4229v3.0732a2.9354,2.9354,0,0,1-.9009,2.1514,4.1824,4.1824,0,0,1-4.6318,1.03A4.0918,4.0918,0,0,1,5,20H3a6.1156,6.1156,0,0,0,3.6694,5.5117,5.7822,5.7822,0,0,0,2.3145.4863A6.5854,6.5854,0,0,0,13.4624,24.11,4.94,4.94,0,0,0,15,20.4961V18.5537A9.1077,9.1077,0,0,0,19,11,9.01,9.01,0,0,0,10,2Z"}),React.createElement("path",{d:"M9.28,8.0825A3.0061,3.0061,0,0,1,13,11h2a4.9786,4.9786,0,0,0-1.8843-3.9111A5.0414,5.0414,0,0,0,8.835,6.1323,4.95,4.95,0,0,0,5.1323,9.835,5.0318,5.0318,0,0,0,7.436,15.2935,3.0777,3.0777,0,0,1,9,17.9229V20h2V17.9229a5.0608,5.0608,0,0,0-2.5371-4.3458A3.0016,3.0016,0,0,1,9.28,8.0825Z"}),props.children);});var Hearing16=/*#__PURE__*/React.forwardRef(function Hearing16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30V28A10.0114,10.0114,0,0,0,28,18h2A12.0134,12.0134,0,0,1,18,30Z"}),React.createElement("path",{d:"M18,26V24a6.0066,6.0066,0,0,0,6-6h2A8.0092,8.0092,0,0,1,18,26Z"}),React.createElement("path",{d:"M18,22V20a2.0023,2.0023,0,0,0,2-2h2A4.0042,4.0042,0,0,1,18,22Z"}),React.createElement("path",{d:"M10,2a9.01,9.01,0,0,0-9,9H3a7,7,0,0,1,14,0,7.09,7.09,0,0,1-3.501,6.1348L13,17.4229v3.0732a2.9354,2.9354,0,0,1-.9009,2.1514,4.1824,4.1824,0,0,1-4.6318,1.03A4.0918,4.0918,0,0,1,5,20H3a6.1156,6.1156,0,0,0,3.6694,5.5117,5.7822,5.7822,0,0,0,2.3145.4863A6.5854,6.5854,0,0,0,13.4624,24.11,4.94,4.94,0,0,0,15,20.4961V18.5537A9.1077,9.1077,0,0,0,19,11,9.01,9.01,0,0,0,10,2Z"}),React.createElement("path",{d:"M9.28,8.0825A3.0061,3.0061,0,0,1,13,11h2a4.9786,4.9786,0,0,0-1.8843-3.9111A5.0414,5.0414,0,0,0,8.835,6.1323,4.95,4.95,0,0,0,5.1323,9.835,5.0318,5.0318,0,0,0,7.436,15.2935,3.0777,3.0777,0,0,1,9,17.9229V20h2V17.9229a5.0608,5.0608,0,0,0-2.5371-4.3458A3.0016,3.0016,0,0,1,9.28,8.0825Z"}),props.children);});var HelpFilled32=/*#__PURE__*/React.forwardRef(function HelpFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,23a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,25Zm1.14-7.75v2.5H14.89V15H17a2.38,2.38,0,0,0,0-4.75h-1.5a2.38,2.38,0,0,0-2.38,2.37v.64H10.89v-.64A4.63,4.63,0,0,1,15.52,8H17a4.63,4.63,0,0,1,.12,9.25Z"}),props.children);});var HelpFilled24=/*#__PURE__*/React.forwardRef(function HelpFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,23a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,25Zm1.14-7.75v2.5H14.89V15H17a2.38,2.38,0,0,0,0-4.75h-1.5a2.38,2.38,0,0,0-2.38,2.37v.64H10.89v-.64A4.63,4.63,0,0,1,15.52,8H17a4.63,4.63,0,0,1,.12,9.25Z"}),props.children);});var HelpFilled20=/*#__PURE__*/React.forwardRef(function HelpFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,23a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,25Zm1.14-7.75v2.5H14.89V15H17a2.38,2.38,0,0,0,0-4.75h-1.5a2.38,2.38,0,0,0-2.38,2.37v.64H10.89v-.64A4.63,4.63,0,0,1,15.52,8H17a4.63,4.63,0,0,1,.12,9.25Z"}),props.children);});var HelpDesk32=/*#__PURE__*/React.forwardRef(function HelpDesk32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,10H21a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21a2.0023,2.0023,0,0,0,2-2V13A3.0033,3.0033,0,0,0,27,10Zm1,9H26v9H22V19H20V13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Z"}),React.createElement("path",{d:"M20,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,20,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,22,5Z"}),React.createElement("path",{d:"M14,16V13a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3v3H0v2H16V16ZM4,13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v3H4Z"}),React.createElement("path",{d:"M4,5A4,4,0,1,1,8,9,4.0042,4.0042,0,0,1,4,5ZM6,5A2,2,0,1,0,8,3,2.0023,2.0023,0,0,0,6,5Z"}),props.children);});var HelpDesk24=/*#__PURE__*/React.forwardRef(function HelpDesk24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,10H21a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21a2.0023,2.0023,0,0,0,2-2V13A3.0033,3.0033,0,0,0,27,10Zm1,9H26v9H22V19H20V13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Z"}),React.createElement("path",{d:"M20,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,20,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,22,5Z"}),React.createElement("path",{d:"M14,16V13a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3v3H0v2H16V16ZM4,13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v3H4Z"}),React.createElement("path",{d:"M4,5A4,4,0,1,1,8,9,4.0042,4.0042,0,0,1,4,5ZM6,5A2,2,0,1,0,8,3,2.0023,2.0023,0,0,0,6,5Z"}),props.children);});var HelpDesk20=/*#__PURE__*/React.forwardRef(function HelpDesk20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,10H21a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21a2.0023,2.0023,0,0,0,2-2V13A3.0033,3.0033,0,0,0,27,10Zm1,9H26v9H22V19H20V13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Z"}),React.createElement("path",{d:"M20,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,20,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,22,5Z"}),React.createElement("path",{d:"M14,16V13a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3v3H0v2H16V16ZM4,13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v3H4Z"}),React.createElement("path",{d:"M4,5A4,4,0,1,1,8,9,4.0042,4.0042,0,0,1,4,5ZM6,5A2,2,0,1,0,8,3,2.0023,2.0023,0,0,0,6,5Z"}),props.children);});var HelpDesk16=/*#__PURE__*/React.forwardRef(function HelpDesk16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,10H21a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21a2.0023,2.0023,0,0,0,2-2V13A3.0033,3.0033,0,0,0,27,10Zm1,9H26v9H22V19H20V13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Z"}),React.createElement("path",{d:"M20,5a4,4,0,1,1,4,4A4.0042,4.0042,0,0,1,20,5Zm2,0a2,2,0,1,0,2-2A2.0023,2.0023,0,0,0,22,5Z"}),React.createElement("path",{d:"M14,16V13a3.0033,3.0033,0,0,0-3-3H5a3.0033,3.0033,0,0,0-3,3v3H0v2H16V16ZM4,13a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1v3H4Z"}),React.createElement("path",{d:"M4,5A4,4,0,1,1,8,9,4.0042,4.0042,0,0,1,4,5ZM6,5A2,2,0,1,0,8,3,2.0023,2.0023,0,0,0,6,5Z"}),props.children);});var Help32=/*#__PURE__*/React.forwardRef(function Help32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("circle",{cx:"16",cy:"23.5",r:"1.5"}),React.createElement("path",{d:"M17,8H15.5A4.49,4.49,0,0,0,11,12.5V13h2v-.5A2.5,2.5,0,0,1,15.5,10H17a2.5,2.5,0,0,1,0,5H15v4.5h2V17a4.5,4.5,0,0,0,0-9Z"}),props.children);});var Help24=/*#__PURE__*/React.forwardRef(function Help24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("circle",{cx:"16",cy:"23.5",r:"1.5"}),React.createElement("path",{d:"M17,8H15.5A4.49,4.49,0,0,0,11,12.5V13h2v-.5A2.5,2.5,0,0,1,15.5,10H17a2.5,2.5,0,0,1,0,5H15v4.5h2V17a4.5,4.5,0,0,0,0-9Z"}),props.children);});var Help20=/*#__PURE__*/React.forwardRef(function Help20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("circle",{cx:"16",cy:"23.5",r:"1.5"}),React.createElement("path",{d:"M17,8H15.5A4.49,4.49,0,0,0,11,12.5V13h2v-.5A2.5,2.5,0,0,1,15.5,10H17a2.5,2.5,0,0,1,0,5H15v4.5h2V17a4.5,4.5,0,0,0,0-9Z"}),props.children);});var Home32=/*#__PURE__*/React.forwardRef(function Home32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16.61,2.21a1,1,0,0,0-1.24,0L1,13.42,2.24,15,4,13.62V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V13.63L29.76,15,31,13.43ZM18,26H14V18h4Zm2,0h0V18a2,2,0,0,0-2-2H14a2,2,0,0,0-2,2v8H6V12.06L16,4.27l10,7.8V26Z"}),props.children);});var Home24=/*#__PURE__*/React.forwardRef(function Home24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16.61,2.21a1,1,0,0,0-1.24,0L1,13.42,2.24,15,4,13.62V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V13.63L29.76,15,31,13.43ZM18,26H14V18h4Zm2,0h0V18a2,2,0,0,0-2-2H14a2,2,0,0,0-2,2v8H6V12.06L16,4.27l10,7.8V26Z"}),props.children);});var Home20=/*#__PURE__*/React.forwardRef(function Home20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16.61,2.21a1,1,0,0,0-1.24,0L1,13.42,2.24,15,4,13.62V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V13.63L29.76,15,31,13.43ZM18,26H14V18h4Zm2,0h0V18a2,2,0,0,0-2-2H14a2,2,0,0,0-2,2v8H6V12.06L16,4.27l10,7.8V26Z"}),props.children);});var Home16=/*#__PURE__*/React.forwardRef(function Home16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16.61,2.21a1,1,0,0,0-1.24,0L1,13.42,2.24,15,4,13.62V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V13.63L29.76,15,31,13.43ZM18,26H14V18h4Zm2,0h0V18a2,2,0,0,0-2-2H14a2,2,0,0,0-2,2v8H6V12.06L16,4.27l10,7.8V26Z"}),props.children);});var Hotel32=/*#__PURE__*/React.forwardRef(function Hotel32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,15A1.5,1.5,0,1,1,8,16.5,1.5,1.5,0,0,1,9.5,15m0-2A3.5,3.5,0,1,0,13,16.5,3.5,3.5,0,0,0,9.5,13Z"}),React.createElement("path",{d:"M25,14H17a2,2,0,0,0-2,2v6H4V10.6L16,4.14l12.53,6.74.94-1.76-13-7a1,1,0,0,0-.94,0l-13,7A1,1,0,0,0,2,10V30H4V24H28v6h2V19A5,5,0,0,0,25,14Zm-8,8V16h8a3,3,0,0,1,3,3v3Z"}),props.children);});var Hotel24=/*#__PURE__*/React.forwardRef(function Hotel24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,15A1.5,1.5,0,1,1,8,16.5,1.5,1.5,0,0,1,9.5,15m0-2A3.5,3.5,0,1,0,13,16.5,3.5,3.5,0,0,0,9.5,13Z"}),React.createElement("path",{d:"M25,14H17a2,2,0,0,0-2,2v6H4V10.6L16,4.14l12.53,6.74.94-1.76-13-7a1,1,0,0,0-.94,0l-13,7A1,1,0,0,0,2,10V30H4V24H28v6h2V19A5,5,0,0,0,25,14Zm-8,8V16h8a3,3,0,0,1,3,3v3Z"}),props.children);});var Hotel20=/*#__PURE__*/React.forwardRef(function Hotel20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,15A1.5,1.5,0,1,1,8,16.5,1.5,1.5,0,0,1,9.5,15m0-2A3.5,3.5,0,1,0,13,16.5,3.5,3.5,0,0,0,9.5,13Z"}),React.createElement("path",{d:"M25,14H17a2,2,0,0,0-2,2v6H4V10.6L16,4.14l12.53,6.74.94-1.76-13-7a1,1,0,0,0-.94,0l-13,7A1,1,0,0,0,2,10V30H4V24H28v6h2V19A5,5,0,0,0,25,14Zm-8,8V16h8a3,3,0,0,1,3,3v3Z"}),props.children);});var Hotel16=/*#__PURE__*/React.forwardRef(function Hotel16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,15A1.5,1.5,0,1,1,8,16.5,1.5,1.5,0,0,1,9.5,15m0-2A3.5,3.5,0,1,0,13,16.5,3.5,3.5,0,0,0,9.5,13Z"}),React.createElement("path",{d:"M25,14H17a2,2,0,0,0-2,2v6H4V10.6L16,4.14l12.53,6.74.94-1.76-13-7a1,1,0,0,0-.94,0l-13,7A1,1,0,0,0,2,10V30H4V24H28v6h2V19A5,5,0,0,0,25,14Zm-8,8V16h8a3,3,0,0,1,3,3v3Z"}),props.children);});var Hourglass32=/*#__PURE__*/React.forwardRef(function Hourglass32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("path",{d:"M23,11.67V4h3V2H6V4H9v7.67a2,2,0,0,0,.4,1.2L11.75,16,9.4,19.13a2,2,0,0,0-.4,1.2V28H6v2H26V28H23V20.33a2,2,0,0,0-.4-1.2L20.25,16l2.35-3.13A2,2,0,0,0,23,11.67ZM21,4v7H11V4Zm0,16.33V28H11V20.33L14.25,16,12,13h8l-2.25,3Z"}),props.children);});var Hourglass24=/*#__PURE__*/React.forwardRef(function Hourglass24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("path",{d:"M23,11.67V4h3V2H6V4H9v7.67a2,2,0,0,0,.4,1.2L11.75,16,9.4,19.13a2,2,0,0,0-.4,1.2V28H6v2H26V28H23V20.33a2,2,0,0,0-.4-1.2L20.25,16l2.35-3.13A2,2,0,0,0,23,11.67ZM21,4v7H11V4Zm0,16.33V28H11V20.33L14.25,16,12,13h8l-2.25,3Z"}),props.children);});var Hourglass20=/*#__PURE__*/React.forwardRef(function Hourglass20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("path",{d:"M23,11.67V4h3V2H6V4H9v7.67a2,2,0,0,0,.4,1.2L11.75,16,9.4,19.13a2,2,0,0,0-.4,1.2V28H6v2H26V28H23V20.33a2,2,0,0,0-.4-1.2L20.25,16l2.35-3.13A2,2,0,0,0,23,11.67ZM21,4v7H11V4Zm0,16.33V28H11V20.33L14.25,16,12,13h8l-2.25,3Z"}),props.children);});var Hourglass16=/*#__PURE__*/React.forwardRef(function Hourglass16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"19"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("path",{d:"M23,11.67V4h3V2H6V4H9v7.67a2,2,0,0,0,.4,1.2L11.75,16,9.4,19.13a2,2,0,0,0-.4,1.2V28H6v2H26V28H23V20.33a2,2,0,0,0-.4-1.2L20.25,16l2.35-3.13A2,2,0,0,0,23,11.67ZM21,4v7H11V4Zm0,16.33V28H11V20.33L14.25,16,12,13h8l-2.25,3Z"}),props.children);});var Humidity32=/*#__PURE__*/React.forwardRef(function Humidity32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,30H8.5A6.4944,6.4944,0,0,1,7.2,17.1415a8.9943,8.9943,0,0,1,17.6006,0A6.4945,6.4945,0,0,1,23.5,30ZM16,12.0053a6.9987,6.9987,0,0,0-6.9414,6.1431L8.96,18.96l-.8155.0639A4.4947,4.4947,0,0,0,8.5,28h15a4.4947,4.4947,0,0,0,.3564-8.9757L23.041,18.96l-.0986-.812A7.0012,7.0012,0,0,0,16,12.0053Z"}),React.createElement("path",{d:"M26,12a4.0045,4.0045,0,0,1-4-4c0-2.6624,2.9893-5.4353,3.33-5.7427a1.0005,1.0005,0,0,1,1.34.0005C27.0112,2.5657,30,5.3418,30,8A4.0045,4.0045,0,0,1,26,12Zm0-7.5828c-.853.9307-2,2.4385-2,3.5828a2,2,0,0,0,4,0C28,6.8525,26.8535,5.3464,26.0005,4.4172Z"}),props.children);});var Humidity24=/*#__PURE__*/React.forwardRef(function Humidity24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,30H8.5A6.4944,6.4944,0,0,1,7.2,17.1415a8.9943,8.9943,0,0,1,17.6006,0A6.4945,6.4945,0,0,1,23.5,30ZM16,12.0053a6.9987,6.9987,0,0,0-6.9414,6.1431L8.96,18.96l-.8155.0639A4.4947,4.4947,0,0,0,8.5,28h15a4.4947,4.4947,0,0,0,.3564-8.9757L23.041,18.96l-.0986-.812A7.0012,7.0012,0,0,0,16,12.0053Z"}),React.createElement("path",{d:"M26,12a4.0045,4.0045,0,0,1-4-4c0-2.6624,2.9893-5.4353,3.33-5.7427a1.0005,1.0005,0,0,1,1.34.0005C27.0112,2.5657,30,5.3418,30,8A4.0045,4.0045,0,0,1,26,12Zm0-7.5828c-.853.9307-2,2.4385-2,3.5828a2,2,0,0,0,4,0C28,6.8525,26.8535,5.3464,26.0005,4.4172Z"}),props.children);});var Humidity20=/*#__PURE__*/React.forwardRef(function Humidity20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,30H8.5A6.4944,6.4944,0,0,1,7.2,17.1415a8.9943,8.9943,0,0,1,17.6006,0A6.4945,6.4945,0,0,1,23.5,30ZM16,12.0053a6.9987,6.9987,0,0,0-6.9414,6.1431L8.96,18.96l-.8155.0639A4.4947,4.4947,0,0,0,8.5,28h15a4.4947,4.4947,0,0,0,.3564-8.9757L23.041,18.96l-.0986-.812A7.0012,7.0012,0,0,0,16,12.0053Z"}),React.createElement("path",{d:"M26,12a4.0045,4.0045,0,0,1-4-4c0-2.6624,2.9893-5.4353,3.33-5.7427a1.0005,1.0005,0,0,1,1.34.0005C27.0112,2.5657,30,5.3418,30,8A4.0045,4.0045,0,0,1,26,12Zm0-7.5828c-.853.9307-2,2.4385-2,3.5828a2,2,0,0,0,4,0C28,6.8525,26.8535,5.3464,26.0005,4.4172Z"}),props.children);});var Humidity16=/*#__PURE__*/React.forwardRef(function Humidity16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,30H8.5A6.4944,6.4944,0,0,1,7.2,17.1415a8.9943,8.9943,0,0,1,17.6006,0A6.4945,6.4945,0,0,1,23.5,30ZM16,12.0053a6.9987,6.9987,0,0,0-6.9414,6.1431L8.96,18.96l-.8155.0639A4.4947,4.4947,0,0,0,8.5,28h15a4.4947,4.4947,0,0,0,.3564-8.9757L23.041,18.96l-.0986-.812A7.0012,7.0012,0,0,0,16,12.0053Z"}),React.createElement("path",{d:"M26,12a4.0045,4.0045,0,0,1-4-4c0-2.6624,2.9893-5.4353,3.33-5.7427a1.0005,1.0005,0,0,1,1.34.0005C27.0112,2.5657,30,5.3418,30,8A4.0045,4.0045,0,0,1,26,12Zm0-7.5828c-.853.9307-2,2.4385-2,3.5828a2,2,0,0,0,4,0C28,6.8525,26.8535,5.3464,26.0005,4.4172Z"}),props.children);});var Hurricane32=/*#__PURE__*/React.forwardRef(function Hurricane32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var Hurricane24=/*#__PURE__*/React.forwardRef(function Hurricane24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var Hurricane20=/*#__PURE__*/React.forwardRef(function Hurricane20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var Hurricane16=/*#__PURE__*/React.forwardRef(function Hurricane16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var HybridNetworking32=/*#__PURE__*/React.forwardRef(function HybridNetworking32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,24.1836V20H15v4.1836a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M26,12a3.9962,3.9962,0,0,0-3.8579,3H9.8579a4,4,0,1,0,0,2H22.1421A3.9934,3.9934,0,1,0,26,12ZM6,18a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,6,18Zm20,0a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,26,18Z"}),React.createElement("path",{d:"M19,5a3,3,0,1,0-4,2.8164V12h2V7.8164A2.9917,2.9917,0,0,0,19,5Z"}),props.children);});var HybridNetworking24=/*#__PURE__*/React.forwardRef(function HybridNetworking24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,24.1836V20H15v4.1836a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M26,12a3.9962,3.9962,0,0,0-3.8579,3H9.8579a4,4,0,1,0,0,2H22.1421A3.9934,3.9934,0,1,0,26,12ZM6,18a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,6,18Zm20,0a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,26,18Z"}),React.createElement("path",{d:"M19,5a3,3,0,1,0-4,2.8164V12h2V7.8164A2.9917,2.9917,0,0,0,19,5Z"}),props.children);});var HybridNetworking20=/*#__PURE__*/React.forwardRef(function HybridNetworking20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,24.1836V20H15v4.1836a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M26,12a3.9962,3.9962,0,0,0-3.8579,3H9.8579a4,4,0,1,0,0,2H22.1421A3.9934,3.9934,0,1,0,26,12ZM6,18a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,6,18Zm20,0a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,26,18Z"}),React.createElement("path",{d:"M19,5a3,3,0,1,0-4,2.8164V12h2V7.8164A2.9917,2.9917,0,0,0,19,5Z"}),props.children);});var HybridNetworking16=/*#__PURE__*/React.forwardRef(function HybridNetworking16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,24.1836V20H15v4.1836a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M26,12a3.9962,3.9962,0,0,0-3.8579,3H9.8579a4,4,0,1,0,0,2H22.1421A3.9934,3.9934,0,1,0,26,12ZM6,18a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,6,18Zm20,0a2,2,0,1,1,2-2A2.0025,2.0025,0,0,1,26,18Z"}),React.createElement("path",{d:"M19,5a3,3,0,1,0-4,2.8164V12h2V7.8164A2.9917,2.9917,0,0,0,19,5Z"}),props.children);});var IbmCloud32=/*#__PURE__*/React.forwardRef(function IbmCloud32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.5805,13.65A9.7327,9.7327,0,0,0,6.286,17.5387,6.75,6.75,0,0,0,7,31H23a8.7465,8.7465,0,0,0,1.5805-17.35ZM23,29.5H7a5.2373,5.2373,0,0,1-.6993-10.4293,9.7265,9.7265,0,0,0,1.1036,3.7838.75.75,0,1,0,1.3213-.709A8.25,8.25,0,0,1,22.752,13.5133a8.754,8.754,0,0,0-6.315,2.95.75.75,0,1,0,1.1245.9922A7.25,7.25,0,1,1,23,29.5Z"}),React.createElement("path",{d:"M31.8983,10.2548a.7582.7582,0,0,0-1.0364-.2776l-3.02,1.7438A.7587.7587,0,1,0,28.6,13.035l3.02-1.7438A.7589.7589,0,0,0,31.8983,10.2548Z"}),React.createElement("path",{d:"M22.6764,7.87a.7583.7583,0,0,0,1.0364-.2776l1.7438-3.02a.7587.7587,0,0,0-1.314-.7588l-1.7438,3.02A.7588.7588,0,0,0,22.6764,7.87Z"}),React.createElement("path",{d:"M16,6.0811a.759.759,0,0,0,.7588-.7588V1.8347a.7588.7588,0,1,0-1.5175,0V5.3223A.7589.7589,0,0,0,16,6.0811Z"}),React.createElement("path",{d:"M8.2873,7.5922a.7587.7587,0,0,0,1.314-.7588l-1.7438-3.02a.7587.7587,0,1,0-1.314.7588Z"}),React.createElement("path",{d:"M4.1585,11.721l-3.02-1.7438a.7587.7587,0,1,0-.7588,1.314L3.4,13.035a.7587.7587,0,1,0,.7588-1.314Z"}),props.children);});var IbmCloud24=/*#__PURE__*/React.forwardRef(function IbmCloud24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.5805,13.65A9.7327,9.7327,0,0,0,6.286,17.5387,6.75,6.75,0,0,0,7,31H23a8.7465,8.7465,0,0,0,1.5805-17.35ZM23,29.5H7a5.2373,5.2373,0,0,1-.6993-10.4293,9.7265,9.7265,0,0,0,1.1036,3.7838.75.75,0,1,0,1.3213-.709A8.25,8.25,0,0,1,22.752,13.5133a8.754,8.754,0,0,0-6.315,2.95.75.75,0,1,0,1.1245.9922A7.25,7.25,0,1,1,23,29.5Z"}),React.createElement("path",{d:"M31.8983,10.2548a.7582.7582,0,0,0-1.0364-.2776l-3.02,1.7438A.7587.7587,0,1,0,28.6,13.035l3.02-1.7438A.7589.7589,0,0,0,31.8983,10.2548Z"}),React.createElement("path",{d:"M22.6764,7.87a.7583.7583,0,0,0,1.0364-.2776l1.7438-3.02a.7587.7587,0,0,0-1.314-.7588l-1.7438,3.02A.7588.7588,0,0,0,22.6764,7.87Z"}),React.createElement("path",{d:"M16,6.0811a.759.759,0,0,0,.7588-.7588V1.8347a.7588.7588,0,1,0-1.5175,0V5.3223A.7589.7589,0,0,0,16,6.0811Z"}),React.createElement("path",{d:"M8.2873,7.5922a.7587.7587,0,0,0,1.314-.7588l-1.7438-3.02a.7587.7587,0,1,0-1.314.7588Z"}),React.createElement("path",{d:"M4.1585,11.721l-3.02-1.7438a.7587.7587,0,1,0-.7588,1.314L3.4,13.035a.7587.7587,0,1,0,.7588-1.314Z"}),props.children);});var IbmCloud20=/*#__PURE__*/React.forwardRef(function IbmCloud20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.5805,13.65A9.7327,9.7327,0,0,0,6.286,17.5387,6.75,6.75,0,0,0,7,31H23a8.7465,8.7465,0,0,0,1.5805-17.35ZM23,29.5H7a5.2373,5.2373,0,0,1-.6993-10.4293,9.7265,9.7265,0,0,0,1.1036,3.7838.75.75,0,1,0,1.3213-.709A8.25,8.25,0,0,1,22.752,13.5133a8.754,8.754,0,0,0-6.315,2.95.75.75,0,1,0,1.1245.9922A7.25,7.25,0,1,1,23,29.5Z"}),React.createElement("path",{d:"M31.8983,10.2548a.7582.7582,0,0,0-1.0364-.2776l-3.02,1.7438A.7587.7587,0,1,0,28.6,13.035l3.02-1.7438A.7589.7589,0,0,0,31.8983,10.2548Z"}),React.createElement("path",{d:"M22.6764,7.87a.7583.7583,0,0,0,1.0364-.2776l1.7438-3.02a.7587.7587,0,0,0-1.314-.7588l-1.7438,3.02A.7588.7588,0,0,0,22.6764,7.87Z"}),React.createElement("path",{d:"M16,6.0811a.759.759,0,0,0,.7588-.7588V1.8347a.7588.7588,0,1,0-1.5175,0V5.3223A.7589.7589,0,0,0,16,6.0811Z"}),React.createElement("path",{d:"M8.2873,7.5922a.7587.7587,0,0,0,1.314-.7588l-1.7438-3.02a.7587.7587,0,1,0-1.314.7588Z"}),React.createElement("path",{d:"M4.1585,11.721l-3.02-1.7438a.7587.7587,0,1,0-.7588,1.314L3.4,13.035a.7587.7587,0,1,0,.7588-1.314Z"}),props.children);});var IbmCloud16=/*#__PURE__*/React.forwardRef(function IbmCloud16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24.5805,13.65A9.7327,9.7327,0,0,0,6.286,17.5387,6.75,6.75,0,0,0,7,31H23a8.7465,8.7465,0,0,0,1.5805-17.35ZM23,29.5H7a5.2373,5.2373,0,0,1-.6993-10.4293,9.7265,9.7265,0,0,0,1.1036,3.7838.75.75,0,1,0,1.3213-.709A8.25,8.25,0,0,1,22.752,13.5133a8.754,8.754,0,0,0-6.315,2.95.75.75,0,1,0,1.1245.9922A7.25,7.25,0,1,1,23,29.5Z"}),React.createElement("path",{d:"M31.8983,10.2548a.7582.7582,0,0,0-1.0364-.2776l-3.02,1.7438A.7587.7587,0,1,0,28.6,13.035l3.02-1.7438A.7589.7589,0,0,0,31.8983,10.2548Z"}),React.createElement("path",{d:"M22.6764,7.87a.7583.7583,0,0,0,1.0364-.2776l1.7438-3.02a.7587.7587,0,0,0-1.314-.7588l-1.7438,3.02A.7588.7588,0,0,0,22.6764,7.87Z"}),React.createElement("path",{d:"M16,6.0811a.759.759,0,0,0,.7588-.7588V1.8347a.7588.7588,0,1,0-1.5175,0V5.3223A.7589.7589,0,0,0,16,6.0811Z"}),React.createElement("path",{d:"M8.2873,7.5922a.7587.7587,0,0,0,1.314-.7588l-1.7438-3.02a.7587.7587,0,1,0-1.314.7588Z"}),React.createElement("path",{d:"M4.1585,11.721l-3.02-1.7438a.7587.7587,0,1,0-.7588,1.314L3.4,13.035a.7587.7587,0,1,0,.7588-1.314Z"}),props.children);});var IbmSecurity32=/*#__PURE__*/React.forwardRef(function IbmSecurity32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,.0005,4,5.9784V20.0443a12,12,0,0,0,24,0V5.9784Zm6.83,27.3138L16,23.9119V26.14l5.0361,2.5088A10.0025,10.0025,0,0,1,6,20.0443V7.21L16,2.2284,26,7.21v3.75L16,5.9783V8.2062l10,4.9816v3.75L16,11.9562v2.2279l10,4.9815v.8787a9.9045,9.9045,0,0,1-.37,2.6871L16,17.934v2.2279l8.8952,4.4313A10.0252,10.0252,0,0,1,22.83,27.3143Z"}),props.children);});var IbmSecurity24=/*#__PURE__*/React.forwardRef(function IbmSecurity24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,.0005,4,5.9784V20.0443a12,12,0,0,0,24,0V5.9784Zm6.83,27.3138L16,23.9119V26.14l5.0361,2.5088A10.0025,10.0025,0,0,1,6,20.0443V7.21L16,2.2284,26,7.21v3.75L16,5.9783V8.2062l10,4.9816v3.75L16,11.9562v2.2279l10,4.9815v.8787a9.9045,9.9045,0,0,1-.37,2.6871L16,17.934v2.2279l8.8952,4.4313A10.0252,10.0252,0,0,1,22.83,27.3143Z"}),props.children);});var IbmSecurity20=/*#__PURE__*/React.forwardRef(function IbmSecurity20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,.0005,4,5.9784V20.0443a12,12,0,0,0,24,0V5.9784Zm6.83,27.3138L16,23.9119V26.14l5.0361,2.5088A10.0025,10.0025,0,0,1,6,20.0443V7.21L16,2.2284,26,7.21v3.75L16,5.9783V8.2062l10,4.9816v3.75L16,11.9562v2.2279l10,4.9815v.8787a9.9045,9.9045,0,0,1-.37,2.6871L16,17.934v2.2279l8.8952,4.4313A10.0252,10.0252,0,0,1,22.83,27.3143Z"}),props.children);});var IbmSecurity16=/*#__PURE__*/React.forwardRef(function IbmSecurity16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,.0005,4,5.9784V20.0443a12,12,0,0,0,24,0V5.9784Zm6.83,27.3138L16,23.9119V26.14l5.0361,2.5088A10.0025,10.0025,0,0,1,6,20.0443V7.21L16,2.2284,26,7.21v3.75L16,5.9783V8.2062l10,4.9816v3.75L16,11.9562v2.2279l10,4.9815v.8787a9.9045,9.9045,0,0,1-.37,2.6871L16,17.934v2.2279l8.8952,4.4313A10.0252,10.0252,0,0,1,22.83,27.3143Z"}),props.children);});var Idea32=/*#__PURE__*/React.forwardRef(function Idea32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"28"}),React.createElement("path",{d:"M16,2A10,10,0,0,0,6,12a9.19,9.19,0,0,0,3.46,7.62c1,.93,1.54,1.46,1.54,2.38h2c0-1.84-1.11-2.87-2.19-3.86A7.2,7.2,0,0,1,8,12a8,8,0,0,1,16,0,7.2,7.2,0,0,1-2.82,6.14c-1.07,1-2.18,2-2.18,3.86h2c0-.92.53-1.45,1.54-2.39A9.18,9.18,0,0,0,26,12,10,10,0,0,0,16,2Z"}),props.children);});var Idea24=/*#__PURE__*/React.forwardRef(function Idea24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"28"}),React.createElement("path",{d:"M16,2A10,10,0,0,0,6,12a9.19,9.19,0,0,0,3.46,7.62c1,.93,1.54,1.46,1.54,2.38h2c0-1.84-1.11-2.87-2.19-3.86A7.2,7.2,0,0,1,8,12a8,8,0,0,1,16,0,7.2,7.2,0,0,1-2.82,6.14c-1.07,1-2.18,2-2.18,3.86h2c0-.92.53-1.45,1.54-2.39A9.18,9.18,0,0,0,26,12,10,10,0,0,0,16,2Z"}),props.children);});var Idea20=/*#__PURE__*/React.forwardRef(function Idea20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"28"}),React.createElement("path",{d:"M16,2A10,10,0,0,0,6,12a9.19,9.19,0,0,0,3.46,7.62c1,.93,1.54,1.46,1.54,2.38h2c0-1.84-1.11-2.87-2.19-3.86A7.2,7.2,0,0,1,8,12a8,8,0,0,1,16,0,7.2,7.2,0,0,1-2.82,6.14c-1.07,1-2.18,2-2.18,3.86h2c0-.92.53-1.45,1.54-2.39A9.18,9.18,0,0,0,26,12,10,10,0,0,0,16,2Z"}),props.children);});var Idea16=/*#__PURE__*/React.forwardRef(function Idea16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"28"}),React.createElement("path",{d:"M16,2A10,10,0,0,0,6,12a9.19,9.19,0,0,0,3.46,7.62c1,.93,1.54,1.46,1.54,2.38h2c0-1.84-1.11-2.87-2.19-3.86A7.2,7.2,0,0,1,8,12a8,8,0,0,1,16,0,7.2,7.2,0,0,1-2.82,6.14c-1.07,1-2.18,2-2.18,3.86h2c0-.92.53-1.45,1.54-2.39A9.18,9.18,0,0,0,26,12,10,10,0,0,0,16,2Z"}),props.children);});var Identification32=/*#__PURE__*/React.forwardRef(function Identification32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"7",height:"2",x:"6",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"6",y:"14"}),React.createElement("path",{d:"M23,18H17a3,3,0,0,0-3,3v2h2V21a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V21A3,3,0,0,0,23,18Z"}),React.createElement("path",{d:"M20,17a4,4,0,1,0-4-4A4,4,0,0,0,20,17Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,20,11Z"}),props.children);});var Identification24=/*#__PURE__*/React.forwardRef(function Identification24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"7",height:"2",x:"6",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"6",y:"14"}),React.createElement("path",{d:"M23,18H17a3,3,0,0,0-3,3v2h2V21a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V21A3,3,0,0,0,23,18Z"}),React.createElement("path",{d:"M20,17a4,4,0,1,0-4-4A4,4,0,0,0,20,17Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,20,11Z"}),props.children);});var Identification20=/*#__PURE__*/React.forwardRef(function Identification20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"7",height:"2",x:"6",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"6",y:"14"}),React.createElement("path",{d:"M23,18H17a3,3,0,0,0-3,3v2h2V21a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V21A3,3,0,0,0,23,18Z"}),React.createElement("path",{d:"M20,17a4,4,0,1,0-4-4A4,4,0,0,0,20,17Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,20,11Z"}),props.children);});var Identification16=/*#__PURE__*/React.forwardRef(function Identification16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"7",height:"2",x:"6",y:"10"}),React.createElement("rect",{width:"4",height:"2",x:"6",y:"14"}),React.createElement("path",{d:"M23,18H17a3,3,0,0,0-3,3v2h2V21a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V21A3,3,0,0,0,23,18Z"}),React.createElement("path",{d:"M20,17a4,4,0,1,0-4-4A4,4,0,0,0,20,17Zm0-6a2,2,0,1,1-2,2A2,2,0,0,1,20,11Z"}),props.children);});var ImageMedical32=/*#__PURE__*/React.forwardRef(function ImageMedical32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V26H6V6H26m0-2H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"22 16 22 14 17 14 17 12 20 12 20 10 17 10 17 8 15 8 15 10 12 10 12 12 15 12 15 14 10 14 10 16 15 16 15 18 10 18 10 20 15 20 15 22 12 22 12 24 20 24 20 22 17 22 17 20 22 20 22 18 17 18 17 16 22 16"}),props.children);});var ImageMedical24=/*#__PURE__*/React.forwardRef(function ImageMedical24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V26H6V6H26m0-2H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"22 16 22 14 17 14 17 12 20 12 20 10 17 10 17 8 15 8 15 10 12 10 12 12 15 12 15 14 10 14 10 16 15 16 15 18 10 18 10 20 15 20 15 22 12 22 12 24 20 24 20 22 17 22 17 20 22 20 22 18 17 18 17 16 22 16"}),props.children);});var ImageMedical20=/*#__PURE__*/React.forwardRef(function ImageMedical20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V26H6V6H26m0-2H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"22 16 22 14 17 14 17 12 20 12 20 10 17 10 17 8 15 8 15 10 12 10 12 12 15 12 15 14 10 14 10 16 15 16 15 18 10 18 10 20 15 20 15 22 12 22 12 24 20 24 20 22 17 22 17 20 22 20 22 18 17 18 17 16 22 16"}),props.children);});var ImageMedical16=/*#__PURE__*/React.forwardRef(function ImageMedical16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V26H6V6H26m0-2H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"22 16 22 14 17 14 17 12 20 12 20 10 17 10 17 8 15 8 15 10 12 10 12 12 15 12 15 14 10 14 10 16 15 16 15 18 10 18 10 20 15 20 15 22 12 22 12 24 20 24 20 22 17 22 17 20 22 20 22 18 17 18 17 16 22 16"}),props.children);});var Image32=/*#__PURE__*/React.forwardRef(function Image32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,14a3,3,0,1,0-3-3A3,3,0,0,0,19,14Zm0-4a1,1,0,1,1-1,1A1,1,0,0,1,19,10Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,22H6V20l5-5,5.59,5.59a2,2,0,0,0,2.82,0L21,19l5,5Zm0-4.83-3.59-3.59a2,2,0,0,0-2.82,0L18,19.17l-5.59-5.59a2,2,0,0,0-2.82,0L6,17.17V6H26Z"}),props.children);});var Image24=/*#__PURE__*/React.forwardRef(function Image24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,14a3,3,0,1,0-3-3A3,3,0,0,0,19,14Zm0-4a1,1,0,1,1-1,1A1,1,0,0,1,19,10Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,22H6V20l5-5,5.59,5.59a2,2,0,0,0,2.82,0L21,19l5,5Zm0-4.83-3.59-3.59a2,2,0,0,0-2.82,0L18,19.17l-5.59-5.59a2,2,0,0,0-2.82,0L6,17.17V6H26Z"}),props.children);});var Image20=/*#__PURE__*/React.forwardRef(function Image20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,14a3,3,0,1,0-3-3A3,3,0,0,0,19,14Zm0-4a1,1,0,1,1-1,1A1,1,0,0,1,19,10Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,22H6V20l5-5,5.59,5.59a2,2,0,0,0,2.82,0L21,19l5,5Zm0-4.83-3.59-3.59a2,2,0,0,0-2.82,0L18,19.17l-5.59-5.59a2,2,0,0,0-2.82,0L6,17.17V6H26Z"}),props.children);});var Image16=/*#__PURE__*/React.forwardRef(function Image16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,14a3,3,0,1,0-3-3A3,3,0,0,0,19,14Zm0-4a1,1,0,1,1-1,1A1,1,0,0,1,19,10Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,22H6V20l5-5,5.59,5.59a2,2,0,0,0,2.82,0L21,19l5,5Zm0-4.83-3.59-3.59a2,2,0,0,0-2.82,0L18,19.17l-5.59-5.59a2,2,0,0,0-2.82,0L6,17.17V6H26Z"}),props.children);});var ImproveRelevance32=/*#__PURE__*/React.forwardRef(function ImproveRelevance32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26.59 19.41 24 18 25.41 22 29.41 30 21.41 28.59 20 22 26.59"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,16,12Z"}),React.createElement("path",{d:"M28,16A12,12,0,1,0,16,28V26A10,10,0,1,1,26,16Z"}),props.children);});var ImproveRelevance24=/*#__PURE__*/React.forwardRef(function ImproveRelevance24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26.59 19.41 24 18 25.41 22 29.41 30 21.41 28.59 20 22 26.59"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,16,12Z"}),React.createElement("path",{d:"M28,16A12,12,0,1,0,16,28V26A10,10,0,1,1,26,16Z"}),props.children);});var ImproveRelevance20=/*#__PURE__*/React.forwardRef(function ImproveRelevance20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26.59 19.41 24 18 25.41 22 29.41 30 21.41 28.59 20 22 26.59"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,16,12Z"}),React.createElement("path",{d:"M28,16A12,12,0,1,0,16,28V26A10,10,0,1,1,26,16Z"}),props.children);});var ImproveRelevance16=/*#__PURE__*/React.forwardRef(function ImproveRelevance16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"22 26.59 19.41 24 18 25.41 22 29.41 30 21.41 28.59 20 22 26.59"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,16,12Z"}),React.createElement("path",{d:"M28,16A12,12,0,1,0,16,28V26A10,10,0,1,1,26,16Z"}),props.children);});var InProgress32=/*#__PURE__*/React.forwardRef(function InProgress32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm0,26A12,12,0,0,1,16,4V16l8.4812,8.4814A11.9625,11.9625,0,0,1,16,28Z"}),props.children);});var InProgress24=/*#__PURE__*/React.forwardRef(function InProgress24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm0,26A12,12,0,0,1,16,4V16l8.4812,8.4814A11.9625,11.9625,0,0,1,16,28Z"}),props.children);});var InProgress20=/*#__PURE__*/React.forwardRef(function InProgress20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm0,26A12,12,0,0,1,16,4V16l8.4812,8.4814A11.9625,11.9625,0,0,1,16,28Z"}),props.children);});var InProgress16=/*#__PURE__*/React.forwardRef(function InProgress16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14.0158,14.0158,0,0,0,16,2Zm0,26A12,12,0,0,1,16,4V16l8.4812,8.4814A11.9625,11.9625,0,0,1,16,28Z"}),props.children);});var IncreaseLevel32=/*#__PURE__*/React.forwardRef(function IncreaseLevel32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 4 18 7.75 18 14.25 15 12 10 15.75 10 22.25 7 20 2 23.75 2 30 4 30 4 24.75 7 22.5 10 24.75 10 30 12 30 12 16.75 15 14.5 18 16.75 18 30 20 30 20 8.75 23 6.5 26 8.75 26 30 28 30 28 7.75 23 4"}),props.children);});var IncreaseLevel24=/*#__PURE__*/React.forwardRef(function IncreaseLevel24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 4 18 7.75 18 14.25 15 12 10 15.75 10 22.25 7 20 2 23.75 2 30 4 30 4 24.75 7 22.5 10 24.75 10 30 12 30 12 16.75 15 14.5 18 16.75 18 30 20 30 20 8.75 23 6.5 26 8.75 26 30 28 30 28 7.75 23 4"}),props.children);});var IncreaseLevel20=/*#__PURE__*/React.forwardRef(function IncreaseLevel20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 4 18 7.75 18 14.25 15 12 10 15.75 10 22.25 7 20 2 23.75 2 30 4 30 4 24.75 7 22.5 10 24.75 10 30 12 30 12 16.75 15 14.5 18 16.75 18 30 20 30 20 8.75 23 6.5 26 8.75 26 30 28 30 28 7.75 23 4"}),props.children);});var IncreaseLevel16=/*#__PURE__*/React.forwardRef(function IncreaseLevel16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 4 18 7.75 18 14.25 15 12 10 15.75 10 22.25 7 20 2 23.75 2 30 4 30 4 24.75 7 22.5 10 24.75 10 30 12 30 12 16.75 15 14.5 18 16.75 18 30 20 30 20 8.75 23 6.5 26 8.75 26 30 28 30 28 7.75 23 4"}),props.children);});var Industry32=/*#__PURE__*/React.forwardRef(function Industry32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.53,6.15a1,1,0,0,0-1,0L20,10.38V7a1,1,0,0,0-1.45-.89L10,10.38V3A1,1,0,0,0,9,2H3A1,1,0,0,0,2,3V28H30V7A1,1,0,0,0,29.53,6.15ZM22,26H18V19h4Zm6,0H24V18a1,1,0,0,0-1-1H17a1,1,0,0,0-1,1v8H4V4H8v9.62l10-5v5l10-5Z"}),props.children);});var Industry24=/*#__PURE__*/React.forwardRef(function Industry24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.53,6.15a1,1,0,0,0-1,0L20,10.38V7a1,1,0,0,0-1.45-.89L10,10.38V3A1,1,0,0,0,9,2H3A1,1,0,0,0,2,3V28H30V7A1,1,0,0,0,29.53,6.15ZM22,26H18V19h4Zm6,0H24V18a1,1,0,0,0-1-1H17a1,1,0,0,0-1,1v8H4V4H8v9.62l10-5v5l10-5Z"}),props.children);});var Industry20=/*#__PURE__*/React.forwardRef(function Industry20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.53,6.15a1,1,0,0,0-1,0L20,10.38V7a1,1,0,0,0-1.45-.89L10,10.38V3A1,1,0,0,0,9,2H3A1,1,0,0,0,2,3V28H30V7A1,1,0,0,0,29.53,6.15ZM22,26H18V19h4Zm6,0H24V18a1,1,0,0,0-1-1H17a1,1,0,0,0-1,1v8H4V4H8v9.62l10-5v5l10-5Z"}),props.children);});var Industry16=/*#__PURE__*/React.forwardRef(function Industry16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.53,6.15a1,1,0,0,0-1,0L20,10.38V7a1,1,0,0,0-1.45-.89L10,10.38V3A1,1,0,0,0,9,2H3A1,1,0,0,0,2,3V28H30V7A1,1,0,0,0,29.53,6.15ZM22,26H18V19h4Zm6,0H24V18a1,1,0,0,0-1-1H17a1,1,0,0,0-1,1v8H4V4H8v9.62l10-5v5l10-5Z"}),props.children);});var InformationFilled32=/*#__PURE__*/React.forwardRef(function InformationFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,5a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,7Zm4,17.12H12V21.88h2.88V15.12H13V12.88h4.13v9H20Z"}),props.children);});var InformationFilled24=/*#__PURE__*/React.forwardRef(function InformationFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,5a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,7Zm4,17.12H12V21.88h2.88V15.12H13V12.88h4.13v9H20Z"}),props.children);});var InformationFilled20=/*#__PURE__*/React.forwardRef(function InformationFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,5a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,7Zm4,17.12H12V21.88h2.88V15.12H13V12.88h4.13v9H20Z"}),props.children);});var Information32=/*#__PURE__*/React.forwardRef(function Information32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 22 17 13 13 13 13 15 15 15 15 22 12 22 12 24 20 24 20 22 17 22"}),React.createElement("path",{d:"M16,7a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,7Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),props.children);});var Information24=/*#__PURE__*/React.forwardRef(function Information24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 22 17 13 13 13 13 15 15 15 15 22 12 22 12 24 20 24 20 22 17 22"}),React.createElement("path",{d:"M16,7a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,7Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),props.children);});var Information20=/*#__PURE__*/React.forwardRef(function Information20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 22 17 13 13 13 13 15 15 15 15 22 12 22 12 24 20 24 20 22 17 22"}),React.createElement("path",{d:"M16,7a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,7Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),props.children);});var Insert32=/*#__PURE__*/React.forwardRef(function Insert32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,9h9V2H2ZM4,4H9V7H4Z"}),React.createElement("path",{d:"M2,19h9V12H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M2,29h9V22H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M27,9H18l3.41-3.59L20,4l-6,6,6,6,1.41-1.41L18,11h9a1,1,0,0,1,1,1V24a1,1,0,0,1-1,1H15v2H27a3,3,0,0,0,3-3V12A3,3,0,0,0,27,9Z"}),props.children);});var Insert24=/*#__PURE__*/React.forwardRef(function Insert24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,9h9V2H2ZM4,4H9V7H4Z"}),React.createElement("path",{d:"M2,19h9V12H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M2,29h9V22H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M27,9H18l3.41-3.59L20,4l-6,6,6,6,1.41-1.41L18,11h9a1,1,0,0,1,1,1V24a1,1,0,0,1-1,1H15v2H27a3,3,0,0,0,3-3V12A3,3,0,0,0,27,9Z"}),props.children);});var Insert20=/*#__PURE__*/React.forwardRef(function Insert20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,9h9V2H2ZM4,4H9V7H4Z"}),React.createElement("path",{d:"M2,19h9V12H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M2,29h9V22H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M27,9H18l3.41-3.59L20,4l-6,6,6,6,1.41-1.41L18,11h9a1,1,0,0,1,1,1V24a1,1,0,0,1-1,1H15v2H27a3,3,0,0,0,3-3V12A3,3,0,0,0,27,9Z"}),props.children);});var Insert16=/*#__PURE__*/React.forwardRef(function Insert16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,9h9V2H2ZM4,4H9V7H4Z"}),React.createElement("path",{d:"M2,19h9V12H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M2,29h9V22H2Zm2-5H9v3H4Z"}),React.createElement("path",{d:"M27,9H18l3.41-3.59L20,4l-6,6,6,6,1.41-1.41L18,11h9a1,1,0,0,1,1,1V24a1,1,0,0,1-1,1H15v2H27a3,3,0,0,0,3-3V12A3,3,0,0,0,27,9Z"}),props.children);});var Integration32=/*#__PURE__*/React.forwardRef(function Integration32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.88,15.52l-6-11A1,1,0,0,0,23,4H9a1,1,0,0,0-.88.52l-6,11a1,1,0,0,0,0,1l6,11A1,1,0,0,0,9,28H23a1,1,0,0,0,.88-.52l6-11A1,1,0,0,0,29.88,15.52ZM22.93,7l4.39,8h-9.5ZM16,14.14,10.82,6H21.18ZM9.07,7l5.11,8H4.68ZM4.68,17h9.5L9.07,25ZM16,17.86,21.18,26H10.82ZM22.93,25l-5.11-8h9.5Z"}),props.children);});var Integration24=/*#__PURE__*/React.forwardRef(function Integration24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.88,15.52l-6-11A1,1,0,0,0,23,4H9a1,1,0,0,0-.88.52l-6,11a1,1,0,0,0,0,1l6,11A1,1,0,0,0,9,28H23a1,1,0,0,0,.88-.52l6-11A1,1,0,0,0,29.88,15.52ZM22.93,7l4.39,8h-9.5ZM16,14.14,10.82,6H21.18ZM9.07,7l5.11,8H4.68ZM4.68,17h9.5L9.07,25ZM16,17.86,21.18,26H10.82ZM22.93,25l-5.11-8h9.5Z"}),props.children);});var Integration20=/*#__PURE__*/React.forwardRef(function Integration20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.88,15.52l-6-11A1,1,0,0,0,23,4H9a1,1,0,0,0-.88.52l-6,11a1,1,0,0,0,0,1l6,11A1,1,0,0,0,9,28H23a1,1,0,0,0,.88-.52l6-11A1,1,0,0,0,29.88,15.52ZM22.93,7l4.39,8h-9.5ZM16,14.14,10.82,6H21.18ZM9.07,7l5.11,8H4.68ZM4.68,17h9.5L9.07,25ZM16,17.86,21.18,26H10.82ZM22.93,25l-5.11-8h9.5Z"}),props.children);});var Integration16=/*#__PURE__*/React.forwardRef(function Integration16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.88,15.52l-6-11A1,1,0,0,0,23,4H9a1,1,0,0,0-.88.52l-6,11a1,1,0,0,0,0,1l6,11A1,1,0,0,0,9,28H23a1,1,0,0,0,.88-.52l6-11A1,1,0,0,0,29.88,15.52ZM22.93,7l4.39,8h-9.5ZM16,14.14,10.82,6H21.18ZM9.07,7l5.11,8H4.68ZM4.68,17h9.5L9.07,25ZM16,17.86,21.18,26H10.82ZM22.93,25l-5.11-8h9.5Z"}),props.children);});var Interactions32=/*#__PURE__*/React.forwardRef(function Interactions32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18H22V14H20V28h6a2.0027,2.0027,0,0,0,2-2V20A2.0023,2.0023,0,0,0,26,18Zm-4,8V20h4v6Z"}),React.createElement("polygon",{points:"20 6.076 19.256 4.219 16 5.522 16 2 14 2 14 5.523 10.744 4.22 10 6.077 13.417 7.444 10.9 10.8 12.5 12 15 8.667 17.5 12 19.1 10.8 16.583 7.443 20 6.076"}),React.createElement("path",{d:"M10,18H5v2h5v2H6a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V20A2.0023,2.0023,0,0,0,10,18Zm0,8H6V24h4Z"}),props.children);});var Interactions24=/*#__PURE__*/React.forwardRef(function Interactions24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18H22V14H20V28h6a2.0027,2.0027,0,0,0,2-2V20A2.0023,2.0023,0,0,0,26,18Zm-4,8V20h4v6Z"}),React.createElement("polygon",{points:"20 6.076 19.256 4.219 16 5.522 16 2 14 2 14 5.523 10.744 4.22 10 6.077 13.417 7.444 10.9 10.8 12.5 12 15 8.667 17.5 12 19.1 10.8 16.583 7.443 20 6.076"}),React.createElement("path",{d:"M10,18H5v2h5v2H6a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V20A2.0023,2.0023,0,0,0,10,18Zm0,8H6V24h4Z"}),props.children);});var Interactions20=/*#__PURE__*/React.forwardRef(function Interactions20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18H22V14H20V28h6a2.0027,2.0027,0,0,0,2-2V20A2.0023,2.0023,0,0,0,26,18Zm-4,8V20h4v6Z"}),React.createElement("polygon",{points:"20 6.076 19.256 4.219 16 5.522 16 2 14 2 14 5.523 10.744 4.22 10 6.077 13.417 7.444 10.9 10.8 12.5 12 15 8.667 17.5 12 19.1 10.8 16.583 7.443 20 6.076"}),React.createElement("path",{d:"M10,18H5v2h5v2H6a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V20A2.0023,2.0023,0,0,0,10,18Zm0,8H6V24h4Z"}),props.children);});var InventoryManagement32=/*#__PURE__*/React.forwardRef(function InventoryManagement32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"19",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"19",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"17"}),React.createElement("path",{d:"M17,24H4V10H28v5h2V10a2.0023,2.0023,0,0,0-2-2H22V4a2.0023,2.0023,0,0,0-2-2H12a2.002,2.002,0,0,0-2,2V8H4a2.002,2.002,0,0,0-2,2V24a2.0023,2.0023,0,0,0,2,2H17ZM12,4h8V8H12Z"}),props.children);});var InventoryManagement24=/*#__PURE__*/React.forwardRef(function InventoryManagement24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"19",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"19",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"17"}),React.createElement("path",{d:"M17,24H4V10H28v5h2V10a2.0023,2.0023,0,0,0-2-2H22V4a2.0023,2.0023,0,0,0-2-2H12a2.002,2.002,0,0,0-2,2V8H4a2.002,2.002,0,0,0-2,2V24a2.0023,2.0023,0,0,0,2,2H17ZM12,4h8V8H12Z"}),props.children);});var InventoryManagement20=/*#__PURE__*/React.forwardRef(function InventoryManagement20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"19",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"19",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"17"}),React.createElement("path",{d:"M17,24H4V10H28v5h2V10a2.0023,2.0023,0,0,0-2-2H22V4a2.0023,2.0023,0,0,0-2-2H12a2.002,2.002,0,0,0-2,2V8H4a2.002,2.002,0,0,0-2,2V24a2.0023,2.0023,0,0,0,2,2H17ZM12,4h8V8H12Z"}),props.children);});var InventoryManagement16=/*#__PURE__*/React.forwardRef(function InventoryManagement16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"19",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"19",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"17"}),React.createElement("path",{d:"M17,24H4V10H28v5h2V10a2.0023,2.0023,0,0,0-2-2H22V4a2.0023,2.0023,0,0,0-2-2H12a2.002,2.002,0,0,0-2,2V8H4a2.002,2.002,0,0,0-2,2V24a2.0023,2.0023,0,0,0,2,2H17ZM12,4h8V8H12Z"}),props.children);});var IotConnect32=/*#__PURE__*/React.forwardRef(function IotConnect32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M26,2a4.0042,4.0042,0,0,0-4,4,3.9556,3.9556,0,0,0,.5668,2.0192L19.5859,11H11V21H21V12.4141l2.9808-2.9808A3.9553,3.9553,0,0,0,26,10a4,4,0,0,0,0-8ZM19,19H13V13h6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),props.children);});var IotConnect24=/*#__PURE__*/React.forwardRef(function IotConnect24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M26,2a4.0042,4.0042,0,0,0-4,4,3.9556,3.9556,0,0,0,.5668,2.0192L19.5859,11H11V21H21V12.4141l2.9808-2.9808A3.9553,3.9553,0,0,0,26,10a4,4,0,0,0,0-8ZM19,19H13V13h6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),props.children);});var IotConnect20=/*#__PURE__*/React.forwardRef(function IotConnect20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M26,2a4.0042,4.0042,0,0,0-4,4,3.9556,3.9556,0,0,0,.5668,2.0192L19.5859,11H11V21H21V12.4141l2.9808-2.9808A3.9553,3.9553,0,0,0,26,10a4,4,0,0,0,0-8ZM19,19H13V13h6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),props.children);});var IotConnect16=/*#__PURE__*/React.forwardRef(function IotConnect16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M26,2a4.0042,4.0042,0,0,0-4,4,3.9556,3.9556,0,0,0,.5668,2.0192L19.5859,11H11V21H21V12.4141l2.9808-2.9808A3.9553,3.9553,0,0,0,26,10a4,4,0,0,0,0-8ZM19,19H13V13h6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),props.children);});var IotPlatform32=/*#__PURE__*/React.forwardRef(function IotPlatform32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M21,21H11V11H21Zm-8-2h6V13H13Z"}),React.createElement("path",{d:"M31,13H29A10.0117,10.0117,0,0,0,19,3V1A12.0131,12.0131,0,0,1,31,13Z"}),React.createElement("path",{d:"M26,13H24a5.0059,5.0059,0,0,0-5-5V6A7.0085,7.0085,0,0,1,26,13Z"}),props.children);});var IotPlatform24=/*#__PURE__*/React.forwardRef(function IotPlatform24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M21,21H11V11H21Zm-8-2h6V13H13Z"}),React.createElement("path",{d:"M31,13H29A10.0117,10.0117,0,0,0,19,3V1A12.0131,12.0131,0,0,1,31,13Z"}),React.createElement("path",{d:"M26,13H24a5.0059,5.0059,0,0,0-5-5V6A7.0085,7.0085,0,0,1,26,13Z"}),props.children);});var IotPlatform20=/*#__PURE__*/React.forwardRef(function IotPlatform20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M21,21H11V11H21Zm-8-2h6V13H13Z"}),React.createElement("path",{d:"M31,13H29A10.0117,10.0117,0,0,0,19,3V1A12.0131,12.0131,0,0,1,31,13Z"}),React.createElement("path",{d:"M26,13H24a5.0059,5.0059,0,0,0-5-5V6A7.0085,7.0085,0,0,1,26,13Z"}),props.children);});var IotPlatform16=/*#__PURE__*/React.forwardRef(function IotPlatform16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19H26V15H24v9H8V8l9-.0009V6H13V2H11V6H8A2.002,2.002,0,0,0,6,8v3H2v2H6v6H2v2H6v3a2.0023,2.0023,0,0,0,2,2h3v4h2V26h6v4h2V26h3a2.0027,2.0027,0,0,0,2-2V21h4Z"}),React.createElement("path",{d:"M21,21H11V11H21Zm-8-2h6V13H13Z"}),React.createElement("path",{d:"M31,13H29A10.0117,10.0117,0,0,0,19,3V1A12.0131,12.0131,0,0,1,31,13Z"}),React.createElement("path",{d:"M26,13H24a5.0059,5.0059,0,0,0-5-5V6A7.0085,7.0085,0,0,1,26,13Z"}),props.children);});var JumpLink32=/*#__PURE__*/React.forwardRef(function JumpLink32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.4141,17.5859,18,22.1719V8H8V6H18a2.0024,2.0024,0,0,1,2,2V22.1719l4.5859-4.586L26,19l-7,7-7-7Z"}),props.children);});var JumpLink24=/*#__PURE__*/React.forwardRef(function JumpLink24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.4141,17.5859,18,22.1719V8H8V6H18a2.0024,2.0024,0,0,1,2,2V22.1719l4.5859-4.586L26,19l-7,7-7-7Z"}),props.children);});var JumpLink20=/*#__PURE__*/React.forwardRef(function JumpLink20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.4141,17.5859,18,22.1719V8H8V6H18a2.0024,2.0024,0,0,1,2,2V22.1719l4.5859-4.586L26,19l-7,7-7-7Z"}),props.children);});var JumpLink16=/*#__PURE__*/React.forwardRef(function JumpLink16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.4141,17.5859,18,22.1719V8H8V6H18a2.0024,2.0024,0,0,1,2,2V22.1719l4.5859-4.586L26,19l-7,7-7-7Z"}),props.children);});var Keyboard32=/*#__PURE__*/React.forwardRef(function Keyboard32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V10A2,2,0,0,1,4,8H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,10V24H28V10Z"}),React.createElement("rect",{width:"11",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"16"}),React.createElement("rect",{width:"3",height:"2",x:"23",y:"20"}),props.children);});var Keyboard24=/*#__PURE__*/React.forwardRef(function Keyboard24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V10A2,2,0,0,1,4,8H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,10V24H28V10Z"}),React.createElement("rect",{width:"11",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"16"}),React.createElement("rect",{width:"3",height:"2",x:"23",y:"20"}),props.children);});var Keyboard20=/*#__PURE__*/React.forwardRef(function Keyboard20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V10A2,2,0,0,1,4,8H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,10V24H28V10Z"}),React.createElement("rect",{width:"11",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"16"}),React.createElement("rect",{width:"3",height:"2",x:"23",y:"20"}),props.children);});var Keyboard16=/*#__PURE__*/React.forwardRef(function Keyboard16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H4a2,2,0,0,1-2-2V10A2,2,0,0,1,4,8H28a2,2,0,0,1,2,2V24A2,2,0,0,1,28,26ZM4,10V24H28V10Z"}),React.createElement("rect",{width:"11",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"16"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"12"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"16"}),React.createElement("rect",{width:"3",height:"2",x:"23",y:"20"}),props.children);});var Language32=/*#__PURE__*/React.forwardRef(function Language32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"18",y:"19"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"11"}),React.createElement("path",{d:"M14,21V19H9V17H7v2H2v2h8.2148a8.5914,8.5914,0,0,1-2.2159,3.9771A9.2731,9.2731,0,0,1,6.5521,23H4.3334a10.8553,10.8553,0,0,0,2.1451,3.2966A14.6584,14.6584,0,0,1,3,28.127L3.7021,30a16.42,16.42,0,0,0,4.2907-2.3362A16.4883,16.4883,0,0,0,12.2979,30L13,28.127A14.664,14.664,0,0,1,9.5228,26.3,10.3132,10.3132,0,0,0,12.2516,21Z"}),React.createElement("path",{d:"M11.1666,13H13.333L8.75,2H6.5832L2,13H4.1664L5,11h5.3335ZM5.8331,9,7.6665,4.6,9.5,9Z"}),props.children);});var Language24=/*#__PURE__*/React.forwardRef(function Language24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"18",y:"19"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"11"}),React.createElement("path",{d:"M14,21V19H9V17H7v2H2v2h8.2148a8.5914,8.5914,0,0,1-2.2159,3.9771A9.2731,9.2731,0,0,1,6.5521,23H4.3334a10.8553,10.8553,0,0,0,2.1451,3.2966A14.6584,14.6584,0,0,1,3,28.127L3.7021,30a16.42,16.42,0,0,0,4.2907-2.3362A16.4883,16.4883,0,0,0,12.2979,30L13,28.127A14.664,14.664,0,0,1,9.5228,26.3,10.3132,10.3132,0,0,0,12.2516,21Z"}),React.createElement("path",{d:"M11.1666,13H13.333L8.75,2H6.5832L2,13H4.1664L5,11h5.3335ZM5.8331,9,7.6665,4.6,9.5,9Z"}),props.children);});var Language20=/*#__PURE__*/React.forwardRef(function Language20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"18",y:"19"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"11"}),React.createElement("path",{d:"M14,21V19H9V17H7v2H2v2h8.2148a8.5914,8.5914,0,0,1-2.2159,3.9771A9.2731,9.2731,0,0,1,6.5521,23H4.3334a10.8553,10.8553,0,0,0,2.1451,3.2966A14.6584,14.6584,0,0,1,3,28.127L3.7021,30a16.42,16.42,0,0,0,4.2907-2.3362A16.4883,16.4883,0,0,0,12.2979,30L13,28.127A14.664,14.664,0,0,1,9.5228,26.3,10.3132,10.3132,0,0,0,12.2516,21Z"}),React.createElement("path",{d:"M11.1666,13H13.333L8.75,2H6.5832L2,13H4.1664L5,11h5.3335ZM5.8331,9,7.6665,4.6,9.5,9Z"}),props.children);});var Language16=/*#__PURE__*/React.forwardRef(function Language16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"18",y:"19"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"15"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"11"}),React.createElement("path",{d:"M14,21V19H9V17H7v2H2v2h8.2148a8.5914,8.5914,0,0,1-2.2159,3.9771A9.2731,9.2731,0,0,1,6.5521,23H4.3334a10.8553,10.8553,0,0,0,2.1451,3.2966A14.6584,14.6584,0,0,1,3,28.127L3.7021,30a16.42,16.42,0,0,0,4.2907-2.3362A16.4883,16.4883,0,0,0,12.2979,30L13,28.127A14.664,14.664,0,0,1,9.5228,26.3,10.3132,10.3132,0,0,0,12.2516,21Z"}),React.createElement("path",{d:"M11.1666,13H13.333L8.75,2H6.5832L2,13H4.1664L5,11h5.3335ZM5.8331,9,7.6665,4.6,9.5,9Z"}),props.children);});var Laptop32=/*#__PURE__*/React.forwardRef(function Laptop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,24H6a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,6,6H26a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,26,24ZM6,8V22H26V8Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26.005"}),props.children);});var Laptop24=/*#__PURE__*/React.forwardRef(function Laptop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,24H6a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,6,6H26a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,26,24ZM6,8V22H26V8Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26.005"}),props.children);});var Laptop20=/*#__PURE__*/React.forwardRef(function Laptop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,24H6a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,6,6H26a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,26,24ZM6,8V22H26V8Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26.005"}),props.children);});var Laptop16=/*#__PURE__*/React.forwardRef(function Laptop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,24H6a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,6,6H26a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,26,24ZM6,8V22H26V8Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26.005"}),props.children);});var Launch32=/*#__PURE__*/React.forwardRef(function Launch32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4h9V6H6V26H26V17h2v9A2,2,0,0,1,26,28Z"}),React.createElement("polygon",{points:"21 2 21 4 26.59 4 18 12.59 19.41 14 28 5.41 28 11 30 11 30 2 21 2"}),props.children);});var Launch24=/*#__PURE__*/React.forwardRef(function Launch24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4h9V6H6V26H26V17h2v9A2,2,0,0,1,26,28Z"}),React.createElement("polygon",{points:"21 2 21 4 26.59 4 18 12.59 19.41 14 28 5.41 28 11 30 11 30 2 21 2"}),props.children);});var Launch20=/*#__PURE__*/React.forwardRef(function Launch20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4h9V6H6V26H26V17h2v9A2,2,0,0,1,26,28Z"}),React.createElement("polygon",{points:"21 2 21 4 26.59 4 18 12.59 19.41 14 28 5.41 28 11 30 11 30 2 21 2"}),props.children);});var Legend32=/*#__PURE__*/React.forwardRef(function Legend32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"6",height:"6",x:"4",y:"20",rx:"1"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("path",{d:"M9.5,12h-5a.5.5,0,0,1-.4473-.7236l2.5-5.0224a.5206.5206,0,0,1,.8945,0l2.5,5.0225A.5.5,0,0,1,9.5,12Z"}),props.children);});var Legend24=/*#__PURE__*/React.forwardRef(function Legend24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"6",height:"6",x:"4",y:"20",rx:"1"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("path",{d:"M9.5,12h-5a.5.5,0,0,1-.4473-.7236l2.5-5.0224a.5206.5206,0,0,1,.8945,0l2.5,5.0225A.5.5,0,0,1,9.5,12Z"}),props.children);});var Legend20=/*#__PURE__*/React.forwardRef(function Legend20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"6",height:"6",x:"4",y:"20",rx:"1"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("path",{d:"M9.5,12h-5a.5.5,0,0,1-.4473-.7236l2.5-5.0224a.5206.5206,0,0,1,.8945,0l2.5,5.0225A.5.5,0,0,1,9.5,12Z"}),props.children);});var Legend16=/*#__PURE__*/React.forwardRef(function Legend16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"6",height:"6",x:"4",y:"20",rx:"1"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("path",{d:"M9.5,12h-5a.5.5,0,0,1-.4473-.7236l2.5-5.0224a.5206.5206,0,0,1,.8945,0l2.5,5.0225A.5.5,0,0,1,9.5,12Z"}),props.children);});var LetterAa32=/*#__PURE__*/React.forwardRef(function LetterAa32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H18v2h5v2H19a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V15A2,2,0,0,0,23,13Zm0,8H19V19h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V23H9V18h4v5h2V11A2,2,0,0,0,13,9ZM9,16V11h4v5Z"}),props.children);});var LetterAa24=/*#__PURE__*/React.forwardRef(function LetterAa24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H18v2h5v2H19a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V15A2,2,0,0,0,23,13Zm0,8H19V19h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V23H9V18h4v5h2V11A2,2,0,0,0,13,9ZM9,16V11h4v5Z"}),props.children);});var LetterAa20=/*#__PURE__*/React.forwardRef(function LetterAa20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H18v2h5v2H19a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V15A2,2,0,0,0,23,13Zm0,8H19V19h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V23H9V18h4v5h2V11A2,2,0,0,0,13,9ZM9,16V11h4v5Z"}),props.children);});var LetterAa16=/*#__PURE__*/React.forwardRef(function LetterAa16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H18v2h5v2H19a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V15A2,2,0,0,0,23,13Zm0,8H19V19h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V23H9V18h4v5h2V11A2,2,0,0,0,13,9ZM9,16V11h4v5Z"}),props.children);});var LetterBb32=/*#__PURE__*/React.forwardRef(function LetterBb32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H19V9H17V23h6a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M15,12a3,3,0,0,0-3-3H7V23h5a3,3,0,0,0,3-3V18a3,3,0,0,0-.78-2A3,3,0,0,0,15,14ZM9,11h3a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H9Zm4,9a1,1,0,0,1-1,1H9V17h3a1,1,0,0,1,1,1Z"}),props.children);});var LetterBb24=/*#__PURE__*/React.forwardRef(function LetterBb24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H19V9H17V23h6a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M15,12a3,3,0,0,0-3-3H7V23h5a3,3,0,0,0,3-3V18a3,3,0,0,0-.78-2A3,3,0,0,0,15,14ZM9,11h3a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H9Zm4,9a1,1,0,0,1-1,1H9V17h3a1,1,0,0,1,1,1Z"}),props.children);});var LetterBb20=/*#__PURE__*/React.forwardRef(function LetterBb20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H19V9H17V23h6a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M15,12a3,3,0,0,0-3-3H7V23h5a3,3,0,0,0,3-3V18a3,3,0,0,0-.78-2A3,3,0,0,0,15,14ZM9,11h3a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H9Zm4,9a1,1,0,0,1-1,1H9V17h3a1,1,0,0,1,1,1Z"}),props.children);});var LetterBb16=/*#__PURE__*/React.forwardRef(function LetterBb16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H19V9H17V23h6a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M15,12a3,3,0,0,0-3-3H7V23h5a3,3,0,0,0,3-3V18a3,3,0,0,0-.78-2A3,3,0,0,0,15,14ZM9,11h3a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H9Zm4,9a1,1,0,0,1-1,1H9V17h3a1,1,0,0,1,1,1Z"}),props.children);});var LetterCc32=/*#__PURE__*/React.forwardRef(function LetterCc32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v6h5Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var LetterCc24=/*#__PURE__*/React.forwardRef(function LetterCc24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v6h5Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var LetterCc20=/*#__PURE__*/React.forwardRef(function LetterCc20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v6h5Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var LetterCc16=/*#__PURE__*/React.forwardRef(function LetterCc16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v6h5Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h6Z"}),props.children);});var LetterDd32=/*#__PURE__*/React.forwardRef(function LetterDd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9v4H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6V9Zm-4,6h4v6H19Z"}),React.createElement("path",{d:"M11,23H7V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,11,23ZM9,21h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H9Z"}),props.children);});var LetterDd24=/*#__PURE__*/React.forwardRef(function LetterDd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9v4H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6V9Zm-4,6h4v6H19Z"}),React.createElement("path",{d:"M11,23H7V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,11,23ZM9,21h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H9Z"}),props.children);});var LetterDd20=/*#__PURE__*/React.forwardRef(function LetterDd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9v4H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6V9Zm-4,6h4v6H19Z"}),React.createElement("path",{d:"M11,23H7V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,11,23ZM9,21h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H9Z"}),props.children);});var LetterDd16=/*#__PURE__*/React.forwardRef(function LetterDd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9v4H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6V9Zm-4,6h4v6H19Z"}),React.createElement("path",{d:"M11,23H7V9h4a4,4,0,0,1,4,4v6A4,4,0,0,1,11,23ZM9,21h2a2,2,0,0,0,2-2V13a2,2,0,0,0-2-2H9Z"}),props.children);});var LetterEe32=/*#__PURE__*/React.forwardRef(function LetterEe32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 11 15 9.02 7 9.02 7 23 15 23 15 21 9 21 9 17 14 17 14 15 9 15 9 11 15 11"}),React.createElement("path",{d:"M25,19V15a2,2,0,0,0-2-2H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h5V21H19V19Zm-6-4h4v2H19Z"}),props.children);});var LetterEe24=/*#__PURE__*/React.forwardRef(function LetterEe24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 11 15 9.02 7 9.02 7 23 15 23 15 21 9 21 9 17 14 17 14 15 9 15 9 11 15 11"}),React.createElement("path",{d:"M25,19V15a2,2,0,0,0-2-2H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h5V21H19V19Zm-6-4h4v2H19Z"}),props.children);});var LetterEe20=/*#__PURE__*/React.forwardRef(function LetterEe20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 11 15 9.02 7 9.02 7 23 15 23 15 21 9 21 9 17 14 17 14 15 9 15 9 11 15 11"}),React.createElement("path",{d:"M25,19V15a2,2,0,0,0-2-2H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h5V21H19V19Zm-6-4h4v2H19Z"}),props.children);});var LetterEe16=/*#__PURE__*/React.forwardRef(function LetterEe16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 11 15 9.02 7 9.02 7 23 15 23 15 21 9 21 9 17 14 17 14 15 9 15 9 11 15 11"}),React.createElement("path",{d:"M25,19V15a2,2,0,0,0-2-2H19a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h5V21H19V19Zm-6-4h4v2H19Z"}),props.children);});var LetterFf32=/*#__PURE__*/React.forwardRef(function LetterFf32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 11 16 9 8 9 8 23 10 23 10 17 15 17 15 15 10 15 10 11 16 11"}),React.createElement("path",{d:"M24,11V9H21a2,2,0,0,0-2,2v2H17v2h2v8h2V15h3V13H21V11Z"}),props.children);});var LetterFf24=/*#__PURE__*/React.forwardRef(function LetterFf24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 11 16 9 8 9 8 23 10 23 10 17 15 17 15 15 10 15 10 11 16 11"}),React.createElement("path",{d:"M24,11V9H21a2,2,0,0,0-2,2v2H17v2h2v8h2V15h3V13H21V11Z"}),props.children);});var LetterFf20=/*#__PURE__*/React.forwardRef(function LetterFf20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 11 16 9 8 9 8 23 10 23 10 17 15 17 15 15 10 15 10 11 16 11"}),React.createElement("path",{d:"M24,11V9H21a2,2,0,0,0-2,2v2H17v2h2v8h2V15h3V13H21V11Z"}),props.children);});var LetterFf16=/*#__PURE__*/React.forwardRef(function LetterFf16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16 11 16 9 8 9 8 23 10 23 10 17 15 17 15 15 10 15 10 11 16 11"}),React.createElement("path",{d:"M24,11V9H21a2,2,0,0,0-2,2v2H17v2h2v8h2V15h3V13H21V11Z"}),props.children);});var LetterGg32=/*#__PURE__*/React.forwardRef(function LetterGg32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v2H18v2h5a2,2,0,0,0,2-2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h4V17H11V15h4Z"}),props.children);});var LetterGg24=/*#__PURE__*/React.forwardRef(function LetterGg24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v2H18v2h5a2,2,0,0,0,2-2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h4V17H11V15h4Z"}),props.children);});var LetterGg20=/*#__PURE__*/React.forwardRef(function LetterGg20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v2H18v2h5a2,2,0,0,0,2-2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h4V17H11V15h4Z"}),props.children);});var LetterGg16=/*#__PURE__*/React.forwardRef(function LetterGg16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v2H18v2h5a2,2,0,0,0,2-2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M15,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9V21h4V17H11V15h4Z"}),props.children);});var LetterHh32=/*#__PURE__*/React.forwardRef(function LetterHh32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 9 13 15 9 15 9 9 7 9 7 23 9 23 9 17 13 17 13 23 15 23 15 9 13 9"}),React.createElement("path",{d:"M23,13H19V9H17V23h2V15h4v8h2V15A2,2,0,0,0,23,13Z"}),props.children);});var LetterHh24=/*#__PURE__*/React.forwardRef(function LetterHh24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 9 13 15 9 15 9 9 7 9 7 23 9 23 9 17 13 17 13 23 15 23 15 9 13 9"}),React.createElement("path",{d:"M23,13H19V9H17V23h2V15h4v8h2V15A2,2,0,0,0,23,13Z"}),props.children);});var LetterHh20=/*#__PURE__*/React.forwardRef(function LetterHh20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 9 13 15 9 15 9 9 7 9 7 23 9 23 9 17 13 17 13 23 15 23 15 9 13 9"}),React.createElement("path",{d:"M23,13H19V9H17V23h2V15h4v8h2V15A2,2,0,0,0,23,13Z"}),props.children);});var LetterHh16=/*#__PURE__*/React.forwardRef(function LetterHh16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 9 13 15 9 15 9 9 7 9 7 23 9 23 9 17 13 17 13 23 15 23 15 9 13 9"}),React.createElement("path",{d:"M23,13H19V9H17V23h2V15h4v8h2V15A2,2,0,0,0,23,13Z"}),props.children);});var LetterIi32=/*#__PURE__*/React.forwardRef(function LetterIi32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 11 13 11 13 21 10 21 10 23 18 23 18 21 15 21 15 11 18 11 18 9 10 9 10 11"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),props.children);});var LetterIi24=/*#__PURE__*/React.forwardRef(function LetterIi24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 11 13 11 13 21 10 21 10 23 18 23 18 21 15 21 15 11 18 11 18 9 10 9 10 11"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),props.children);});var LetterIi20=/*#__PURE__*/React.forwardRef(function LetterIi20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 11 13 11 13 21 10 21 10 23 18 23 18 21 15 21 15 11 18 11 18 9 10 9 10 11"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),props.children);});var LetterIi16=/*#__PURE__*/React.forwardRef(function LetterIi16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"10 11 13 11 13 21 10 21 10 23 18 23 18 21 15 21 15 11 18 11 18 9 10 9 10 11"}),React.createElement("rect",{width:"2",height:"10",x:"20",y:"13"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),props.children);});var LetterJj32=/*#__PURE__*/React.forwardRef(function LetterJj32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),React.createElement("path",{d:"M20,25H17v2h3a2,2,0,0,0,2-2V13H20Z"}),React.createElement("path",{d:"M14,23H10a2,2,0,0,1-2-2V19h2v2h4V9h2V21A2,2,0,0,1,14,23Z"}),props.children);});var LetterJj24=/*#__PURE__*/React.forwardRef(function LetterJj24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),React.createElement("path",{d:"M20,25H17v2h3a2,2,0,0,0,2-2V13H20Z"}),React.createElement("path",{d:"M14,23H10a2,2,0,0,1-2-2V19h2v2h4V9h2V21A2,2,0,0,1,14,23Z"}),props.children);});var LetterJj20=/*#__PURE__*/React.forwardRef(function LetterJj20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),React.createElement("path",{d:"M20,25H17v2h3a2,2,0,0,0,2-2V13H20Z"}),React.createElement("path",{d:"M14,23H10a2,2,0,0,1-2-2V19h2v2h4V9h2V21A2,2,0,0,1,14,23Z"}),props.children);});var LetterJj16=/*#__PURE__*/React.forwardRef(function LetterJj16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"20",y:"9"}),React.createElement("path",{d:"M20,25H17v2h3a2,2,0,0,0,2-2V13H20Z"}),React.createElement("path",{d:"M14,23H10a2,2,0,0,1-2-2V19h2v2h4V9h2V21A2,2,0,0,1,14,23Z"}),props.children);});var LetterKk32=/*#__PURE__*/React.forwardRef(function LetterKk32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 12.89 9 9 15.55 9 9 7 9 7 23 9 23 9 18.71 9.93 17.22 12.89 23 15 23 11.11 15.43 15 9"}),React.createElement("polygon",{points:"22.78 23 25 23 21.22 17 25 13 22.76 13 19 17.17 19 9 17 9 17 23 19 23 19 19.25 19.96 18.21 22.78 23"}),props.children);});var LetterKk24=/*#__PURE__*/React.forwardRef(function LetterKk24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 12.89 9 9 15.55 9 9 7 9 7 23 9 23 9 18.71 9.93 17.22 12.89 23 15 23 11.11 15.43 15 9"}),React.createElement("polygon",{points:"22.78 23 25 23 21.22 17 25 13 22.76 13 19 17.17 19 9 17 9 17 23 19 23 19 19.25 19.96 18.21 22.78 23"}),props.children);});var LetterKk20=/*#__PURE__*/React.forwardRef(function LetterKk20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 12.89 9 9 15.55 9 9 7 9 7 23 9 23 9 18.71 9.93 17.22 12.89 23 15 23 11.11 15.43 15 9"}),React.createElement("polygon",{points:"22.78 23 25 23 21.22 17 25 13 22.76 13 19 17.17 19 9 17 9 17 23 19 23 19 19.25 19.96 18.21 22.78 23"}),props.children);});var LetterKk16=/*#__PURE__*/React.forwardRef(function LetterKk16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 12.89 9 9 15.55 9 9 7 9 7 23 9 23 9 18.71 9.93 17.22 12.89 23 15 23 11.11 15.43 15 9"}),React.createElement("polygon",{points:"22.78 23 25 23 21.22 17 25 13 22.76 13 19 17.17 19 9 17 9 17 23 19 23 19 19.25 19.96 18.21 22.78 23"}),props.children);});var LetterLl32=/*#__PURE__*/React.forwardRef(function LetterLl32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 21 11 9 9 9 9 23 17 23 17 21 11 21"}),React.createElement("path",{d:"M23,23H21a2,2,0,0,1-2-2V9h2V21h2Z"}),props.children);});var LetterLl24=/*#__PURE__*/React.forwardRef(function LetterLl24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 21 11 9 9 9 9 23 17 23 17 21 11 21"}),React.createElement("path",{d:"M23,23H21a2,2,0,0,1-2-2V9h2V21h2Z"}),props.children);});var LetterLl20=/*#__PURE__*/React.forwardRef(function LetterLl20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 21 11 9 9 9 9 23 17 23 17 21 11 21"}),React.createElement("path",{d:"M23,23H21a2,2,0,0,1-2-2V9h2V21h2Z"}),props.children);});var LetterLl16=/*#__PURE__*/React.forwardRef(function LetterLl16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 21 11 9 9 9 9 23 17 23 17 21 11 21"}),React.createElement("path",{d:"M23,23H21a2,2,0,0,1-2-2V9h2V21h2Z"}),props.children);});var LetterMm32=/*#__PURE__*/React.forwardRef(function LetterMm32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13H16V23h2V15h2v8h2V15h2v8h2V15A2,2,0,0,0,24,13Z"}),React.createElement("polygon",{points:"12 9 10.48 14 10 15.98 9.54 14 8 9 6 9 6 23 8 23 8 15 7.84 13 8.42 15 10 19.63 11.58 15 12.16 13 12 15 12 23 14 23 14 9 12 9"}),props.children);});var LetterMm24=/*#__PURE__*/React.forwardRef(function LetterMm24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13H16V23h2V15h2v8h2V15h2v8h2V15A2,2,0,0,0,24,13Z"}),React.createElement("polygon",{points:"12 9 10.48 14 10 15.98 9.54 14 8 9 6 9 6 23 8 23 8 15 7.84 13 8.42 15 10 19.63 11.58 15 12.16 13 12 15 12 23 14 23 14 9 12 9"}),props.children);});var LetterMm20=/*#__PURE__*/React.forwardRef(function LetterMm20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13H16V23h2V15h2v8h2V15h2v8h2V15A2,2,0,0,0,24,13Z"}),React.createElement("polygon",{points:"12 9 10.48 14 10 15.98 9.54 14 8 9 6 9 6 23 8 23 8 15 7.84 13 8.42 15 10 19.63 11.58 15 12.16 13 12 15 12 23 14 23 14 9 12 9"}),props.children);});var LetterMm16=/*#__PURE__*/React.forwardRef(function LetterMm16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13H16V23h2V15h2v8h2V15h2v8h2V15A2,2,0,0,0,24,13Z"}),React.createElement("polygon",{points:"12 9 10.48 14 10 15.98 9.54 14 8 9 6 9 6 23 8 23 8 15 7.84 13 8.42 15 10 19.63 11.58 15 12.16 13 12 15 12 23 14 23 14 9 12 9"}),props.children);});var LetterNn32=/*#__PURE__*/React.forwardRef(function LetterNn32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H23V15H19v8H17V13h6a2,2,0,0,1,2,2Z"}),React.createElement("polygon",{points:"13 19 9.32 9 7 9 7 23 9 23 9 13 12.68 23 15 23 15 9 13 9 13 19"}),props.children);});var LetterNn24=/*#__PURE__*/React.forwardRef(function LetterNn24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H23V15H19v8H17V13h6a2,2,0,0,1,2,2Z"}),React.createElement("polygon",{points:"13 19 9.32 9 7 9 7 23 9 23 9 13 12.68 23 15 23 15 9 13 9 13 19"}),props.children);});var LetterNn20=/*#__PURE__*/React.forwardRef(function LetterNn20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H23V15H19v8H17V13h6a2,2,0,0,1,2,2Z"}),React.createElement("polygon",{points:"13 19 9.32 9 7 9 7 23 9 23 9 13 12.68 23 15 23 15 9 13 9 13 19"}),props.children);});var LetterNn16=/*#__PURE__*/React.forwardRef(function LetterNn16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H23V15H19v8H17V13h6a2,2,0,0,1,2,2Z"}),React.createElement("polygon",{points:"13 19 9.32 9 7 9 7 23 9 23 9 13 12.68 23 15 23 15 9 13 9 13 19"}),props.children);});var LetterOo32=/*#__PURE__*/React.forwardRef(function LetterOo32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v6A2,2,0,0,1,23,23Zm-4-8v6h4V15Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h4a2,2,0,0,1,2,2V21A2,2,0,0,1,13,23ZM9,11V21h4V11Z"}),props.children);});var LetterOo24=/*#__PURE__*/React.forwardRef(function LetterOo24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v6A2,2,0,0,1,23,23Zm-4-8v6h4V15Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h4a2,2,0,0,1,2,2V21A2,2,0,0,1,13,23ZM9,11V21h4V11Z"}),props.children);});var LetterOo20=/*#__PURE__*/React.forwardRef(function LetterOo20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v6A2,2,0,0,1,23,23Zm-4-8v6h4V15Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h4a2,2,0,0,1,2,2V21A2,2,0,0,1,13,23ZM9,11V21h4V11Z"}),props.children);});var LetterOo16=/*#__PURE__*/React.forwardRef(function LetterOo16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v6A2,2,0,0,1,23,23Zm-4-8v6h4V15Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h4a2,2,0,0,1,2,2V21A2,2,0,0,1,13,23ZM9,11V21h4V11Z"}),props.children);});var LetterPp32=/*#__PURE__*/React.forwardRef(function LetterPp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H17V27h2V23h4a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M9,23H7V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H9Zm0-7h4V11H9Z"}),props.children);});var LetterPp24=/*#__PURE__*/React.forwardRef(function LetterPp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H17V27h2V23h4a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M9,23H7V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H9Zm0-7h4V11H9Z"}),props.children);});var LetterPp20=/*#__PURE__*/React.forwardRef(function LetterPp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H17V27h2V23h4a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M9,23H7V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H9Zm0-7h4V11H9Z"}),props.children);});var LetterPp16=/*#__PURE__*/React.forwardRef(function LetterPp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,13H17V27h2V23h4a2,2,0,0,0,2-2V15A2,2,0,0,0,23,13Zm-4,8V15h4v6Z"}),React.createElement("path",{d:"M9,23H7V9h6a2,2,0,0,1,2,2v5a2,2,0,0,1-2,2H9Zm0-7h4V11H9Z"}),props.children);});var LetterQq32=/*#__PURE__*/React.forwardRef(function LetterQq32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v4h2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H12V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,13,9ZM9,21V11h4V21Z"}),props.children);});var LetterQq24=/*#__PURE__*/React.forwardRef(function LetterQq24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v4h2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H12V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,13,9ZM9,21V11h4V21Z"}),props.children);});var LetterQq20=/*#__PURE__*/React.forwardRef(function LetterQq20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v4h2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H12V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,13,9ZM9,21V11h4V21Z"}),props.children);});var LetterQq16=/*#__PURE__*/React.forwardRef(function LetterQq16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,13a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h4v4h2V13Zm4,8H19V15h4Z"}),React.createElement("path",{d:"M13,9H9a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h1v2a2,2,0,0,0,2,2h2V25H12V23h1a2,2,0,0,0,2-2V11A2,2,0,0,0,13,9ZM9,21V11h4V21Z"}),props.children);});var LetterRr32=/*#__PURE__*/React.forwardRef(function LetterRr32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,15V11a2,2,0,0,0-2-2H8V23h2V17h1.48l2.34,6H16l-2.33-6H14A2,2,0,0,0,16,15Zm-6-4h4v4H10Z"}),React.createElement("polygon",{points:"24 13 18 13 18 23 20 23 20 15 24 15 24 13"}),props.children);});var LetterRr24=/*#__PURE__*/React.forwardRef(function LetterRr24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,15V11a2,2,0,0,0-2-2H8V23h2V17h1.48l2.34,6H16l-2.33-6H14A2,2,0,0,0,16,15Zm-6-4h4v4H10Z"}),React.createElement("polygon",{points:"24 13 18 13 18 23 20 23 20 15 24 15 24 13"}),props.children);});var LetterRr20=/*#__PURE__*/React.forwardRef(function LetterRr20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,15V11a2,2,0,0,0-2-2H8V23h2V17h1.48l2.34,6H16l-2.33-6H14A2,2,0,0,0,16,15Zm-6-4h4v4H10Z"}),React.createElement("polygon",{points:"24 13 18 13 18 23 20 23 20 15 24 15 24 13"}),props.children);});var LetterRr16=/*#__PURE__*/React.forwardRef(function LetterRr16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,15V11a2,2,0,0,0-2-2H8V23h2V17h1.48l2.34,6H16l-2.33-6H14A2,2,0,0,0,16,15Zm-6-4h4v4H10Z"}),React.createElement("polygon",{points:"24 13 18 13 18 23 20 23 20 15 24 15 24 13"}),props.children);});var LetterSs32=/*#__PURE__*/React.forwardRef(function LetterSs32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,23H17V21h5V19H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,22,23Z"}),React.createElement("path",{d:"M13,23H7V21h6V17H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,13,23Z"}),props.children);});var LetterSs24=/*#__PURE__*/React.forwardRef(function LetterSs24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,23H17V21h5V19H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,22,23Z"}),React.createElement("path",{d:"M13,23H7V21h6V17H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,13,23Z"}),props.children);});var LetterSs20=/*#__PURE__*/React.forwardRef(function LetterSs20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,23H17V21h5V19H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,22,23Z"}),React.createElement("path",{d:"M13,23H7V21h6V17H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,13,23Z"}),props.children);});var LetterSs16=/*#__PURE__*/React.forwardRef(function LetterSs16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,23H17V21h5V19H19a2,2,0,0,1-2-2V15a2,2,0,0,1,2-2h5v2H19v2h3a2,2,0,0,1,2,2v2A2,2,0,0,1,22,23Z"}),React.createElement("path",{d:"M13,23H7V21h6V17H9a2,2,0,0,1-2-2V11A2,2,0,0,1,9,9h6v2H9v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,13,23Z"}),props.children);});var LetterTt32=/*#__PURE__*/React.forwardRef(function LetterTt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("path",{d:"M23,15V13H20V11H18v2H16v2h2v6a2,2,0,0,0,2,2h3V21H20V15Z"}),props.children);});var LetterTt24=/*#__PURE__*/React.forwardRef(function LetterTt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("path",{d:"M23,15V13H20V11H18v2H16v2h2v6a2,2,0,0,0,2,2h3V21H20V15Z"}),props.children);});var LetterTt20=/*#__PURE__*/React.forwardRef(function LetterTt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("path",{d:"M23,15V13H20V11H18v2H16v2h2v6a2,2,0,0,0,2,2h3V21H20V15Z"}),props.children);});var LetterTt16=/*#__PURE__*/React.forwardRef(function LetterTt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8 11 11 11 11 23 13 23 13 11 16 11 16 9 8 9 8 11"}),React.createElement("path",{d:"M23,15V13H20V11H18v2H16v2h2v6a2,2,0,0,0,2,2h3V21H20V15Z"}),props.children);});var LetterUu32=/*#__PURE__*/React.forwardRef(function LetterUu32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V13h2v8h4V13h2v8A2,2,0,0,1,23,23Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),props.children);});var LetterUu24=/*#__PURE__*/React.forwardRef(function LetterUu24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V13h2v8h4V13h2v8A2,2,0,0,1,23,23Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),props.children);});var LetterUu20=/*#__PURE__*/React.forwardRef(function LetterUu20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V13h2v8h4V13h2v8A2,2,0,0,1,23,23Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),props.children);});var LetterUu16=/*#__PURE__*/React.forwardRef(function LetterUu16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,23H19a2,2,0,0,1-2-2V13h2v8h4V13h2v8A2,2,0,0,1,23,23Z"}),React.createElement("path",{d:"M13,23H9a2,2,0,0,1-2-2V9H9V21h4V9h2V21A2,2,0,0,1,13,23Z"}),props.children);});var LetterVv32=/*#__PURE__*/React.forwardRef(function LetterVv32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 23.25 13 21 22.03 18.79 13 17 13 19.5 23 22.5 23 25 13"}),React.createElement("polygon",{points:"13 9 11 22 9 9 7 9 9.52 23 12.48 23 15 9 13 9"}),props.children);});var LetterVv24=/*#__PURE__*/React.forwardRef(function LetterVv24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 23.25 13 21 22.03 18.79 13 17 13 19.5 23 22.5 23 25 13"}),React.createElement("polygon",{points:"13 9 11 22 9 9 7 9 9.52 23 12.48 23 15 9 13 9"}),props.children);});var LetterVv20=/*#__PURE__*/React.forwardRef(function LetterVv20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 23.25 13 21 22.03 18.79 13 17 13 19.5 23 22.5 23 25 13"}),React.createElement("polygon",{points:"13 9 11 22 9 9 7 9 9.52 23 12.48 23 15 9 13 9"}),props.children);});var LetterVv16=/*#__PURE__*/React.forwardRef(function LetterVv16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 13 23.25 13 21 22.03 18.79 13 17 13 19.5 23 22.5 23 25 13"}),React.createElement("polygon",{points:"13 9 11 22 9 9 7 9 9.52 23 12.48 23 15 9 13 9"}),props.children);});var LetterWw32=/*#__PURE__*/React.forwardRef(function LetterWw32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24.3 13 23.39 21.61 22 13 20 13 18.61 21.61 17.7 13 16 13 17.36 23 19.64 23 21 14.63 22.36 23 24.64 23 26 13 24.3 13"}),React.createElement("polygon",{points:"12.21 9 11.87 17 11.61 21.54 11.2 18 10.52 12.54 8.5 12.54 7.82 18 7.41 21.54 7.16 17 6.81 9 5.01 9 6.01 23 8.28 23 9.04 18.07 9.5 14 9.51 13.97 9.52 14 9.98 18.07 10.74 23 13.01 23 14.01 9 12.21 9"}),props.children);});var LetterWw24=/*#__PURE__*/React.forwardRef(function LetterWw24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24.3 13 23.39 21.61 22 13 20 13 18.61 21.61 17.7 13 16 13 17.36 23 19.64 23 21 14.63 22.36 23 24.64 23 26 13 24.3 13"}),React.createElement("polygon",{points:"12.21 9 11.87 17 11.61 21.54 11.2 18 10.52 12.54 8.5 12.54 7.82 18 7.41 21.54 7.16 17 6.81 9 5.01 9 6.01 23 8.28 23 9.04 18.07 9.5 14 9.51 13.97 9.52 14 9.98 18.07 10.74 23 13.01 23 14.01 9 12.21 9"}),props.children);});var LetterWw20=/*#__PURE__*/React.forwardRef(function LetterWw20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24.3 13 23.39 21.61 22 13 20 13 18.61 21.61 17.7 13 16 13 17.36 23 19.64 23 21 14.63 22.36 23 24.64 23 26 13 24.3 13"}),React.createElement("polygon",{points:"12.21 9 11.87 17 11.61 21.54 11.2 18 10.52 12.54 8.5 12.54 7.82 18 7.41 21.54 7.16 17 6.81 9 5.01 9 6.01 23 8.28 23 9.04 18.07 9.5 14 9.51 13.97 9.52 14 9.98 18.07 10.74 23 13.01 23 14.01 9 12.21 9"}),props.children);});var LetterWw16=/*#__PURE__*/React.forwardRef(function LetterWw16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24.3 13 23.39 21.61 22 13 20 13 18.61 21.61 17.7 13 16 13 17.36 23 19.64 23 21 14.63 22.36 23 24.64 23 26 13 24.3 13"}),React.createElement("polygon",{points:"12.21 9 11.87 17 11.61 21.54 11.2 18 10.52 12.54 8.5 12.54 7.82 18 7.41 21.54 7.16 17 6.81 9 5.01 9 6.01 23 8.28 23 9.04 18.07 9.5 14 9.51 13.97 9.52 14 9.98 18.07 10.74 23 13.01 23 14.01 9 12.21 9"}),props.children);});var LetterXx32=/*#__PURE__*/React.forwardRef(function LetterXx32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 15 9 9 7 9 9.75 16 7 23 9 23 11 17 13 23 15 23 12.24 16 15 9"}),React.createElement("polygon",{points:"25 13 23 13 21 16.9 19 13 17 13 19.91 18 17 23 19 23 21 19.2 23 23 25 23 22.1 18 25 13"}),props.children);});var LetterXx24=/*#__PURE__*/React.forwardRef(function LetterXx24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 15 9 9 7 9 9.75 16 7 23 9 23 11 17 13 23 15 23 12.24 16 15 9"}),React.createElement("polygon",{points:"25 13 23 13 21 16.9 19 13 17 13 19.91 18 17 23 19 23 21 19.2 23 23 25 23 22.1 18 25 13"}),props.children);});var LetterXx20=/*#__PURE__*/React.forwardRef(function LetterXx20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 15 9 9 7 9 9.75 16 7 23 9 23 11 17 13 23 15 23 12.24 16 15 9"}),React.createElement("polygon",{points:"25 13 23 13 21 16.9 19 13 17 13 19.91 18 17 23 19 23 21 19.2 23 23 25 23 22.1 18 25 13"}),props.children);});var LetterXx16=/*#__PURE__*/React.forwardRef(function LetterXx16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 15 9 9 7 9 9.75 16 7 23 9 23 11 17 13 23 15 23 12.24 16 15 9"}),React.createElement("polygon",{points:"25 13 23 13 21 16.9 19 13 17 13 19.91 18 17 23 19 23 21 19.2 23 23 25 23 22.1 18 25 13"}),props.children);});var LetterYy32=/*#__PURE__*/React.forwardRef(function LetterYy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 16 9 9 7 9 10 18 10 23 12 23 12 18 12 18 15 9"}),React.createElement("path",{d:"M23,13l-2,7.52L19.08,13H17l3.15,9.87L19.53,25H17v2h2.26a2,2,0,0,0,1.91-1.42L25,13Z"}),props.children);});var LetterYy24=/*#__PURE__*/React.forwardRef(function LetterYy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 16 9 9 7 9 10 18 10 23 12 23 12 18 12 18 15 9"}),React.createElement("path",{d:"M23,13l-2,7.52L19.08,13H17l3.15,9.87L19.53,25H17v2h2.26a2,2,0,0,0,1.91-1.42L25,13Z"}),props.children);});var LetterYy20=/*#__PURE__*/React.forwardRef(function LetterYy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 16 9 9 7 9 10 18 10 23 12 23 12 18 12 18 15 9"}),React.createElement("path",{d:"M23,13l-2,7.52L19.08,13H17l3.15,9.87L19.53,25H17v2h2.26a2,2,0,0,0,1.91-1.42L25,13Z"}),props.children);});var LetterYy16=/*#__PURE__*/React.forwardRef(function LetterYy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"15 9 13 9 11 16 9 9 7 9 10 18 10 23 12 23 12 18 12 18 15 9"}),React.createElement("path",{d:"M23,13l-2,7.52L19.08,13H17l3.15,9.87L19.53,25H17v2h2.26a2,2,0,0,0,1.91-1.42L25,13Z"}),props.children);});var LetterZz32=/*#__PURE__*/React.forwardRef(function LetterZz32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 15 25 13 17 13 17 15 22.5 15 17 21 17 23 25 23 25 21 19.51 21 25 15"}),React.createElement("polygon",{points:"15 9 7 9 7 11 13 11 7 21 7 23 15 23 15 21 9 21 15 11 15 9"}),props.children);});var LetterZz24=/*#__PURE__*/React.forwardRef(function LetterZz24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 15 25 13 17 13 17 15 22.5 15 17 21 17 23 25 23 25 21 19.51 21 25 15"}),React.createElement("polygon",{points:"15 9 7 9 7 11 13 11 7 21 7 23 15 23 15 21 9 21 15 11 15 9"}),props.children);});var LetterZz20=/*#__PURE__*/React.forwardRef(function LetterZz20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 15 25 13 17 13 17 15 22.5 15 17 21 17 23 25 23 25 21 19.51 21 25 15"}),React.createElement("polygon",{points:"15 9 7 9 7 11 13 11 7 21 7 23 15 23 15 21 9 21 15 11 15 9"}),props.children);});var LetterZz16=/*#__PURE__*/React.forwardRef(function LetterZz16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 15 25 13 17 13 17 15 22.5 15 17 21 17 23 25 23 25 21 19.51 21 25 15"}),React.createElement("polygon",{points:"15 9 7 9 7 11 13 11 7 21 7 23 15 23 15 21 9 21 15 11 15 9"}),props.children);});var LightFilled32=/*#__PURE__*/React.forwardRef(function LightFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var LightFilled24=/*#__PURE__*/React.forwardRef(function LightFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var LightFilled20=/*#__PURE__*/React.forwardRef(function LightFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var LightFilled16=/*#__PURE__*/React.forwardRef(function LightFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Light32=/*#__PURE__*/React.forwardRef(function Light32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Light24=/*#__PURE__*/React.forwardRef(function Light24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Light20=/*#__PURE__*/React.forwardRef(function Light20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"2"}),React.createElement("rect",{width:"4.96",height:"2",x:"21.67",y:"6.85",transform:"rotate(-45 24.142 7.85)"}),React.createElement("rect",{width:"4.96",height:"2",x:"25.04",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"23.15",y:"21.67",transform:"rotate(-45 24.152 24.146)"}),React.createElement("rect",{width:"2",height:"4.96",x:"15",y:"25.04"}),React.createElement("rect",{width:"4.96",height:"2",x:"5.37",y:"23.15",transform:"rotate(-45 7.86 24.144)"}),React.createElement("rect",{width:"4.96",height:"2",x:"2",y:"15"}),React.createElement("rect",{width:"2",height:"4.96",x:"6.85",y:"5.37",transform:"rotate(-45 7.85 7.848)"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Lightning32=/*#__PURE__*/React.forwardRef(function Lightning32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var Lightning24=/*#__PURE__*/React.forwardRef(function Lightning24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var Lightning20=/*#__PURE__*/React.forwardRef(function Lightning20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var Lightning16=/*#__PURE__*/React.forwardRef(function Lightning16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.61,29.92a1,1,0,0,1-.6-1.07L12.83,17H8a1,1,0,0,1-1-1.23l3-13A1,1,0,0,1,11,2H21a1,1,0,0,1,.78.37,1,1,0,0,1,.2.85L20.25,11H25a1,1,0,0,1,.9.56,1,1,0,0,1-.11,1l-13,17A1,1,0,0,1,12,30,1.09,1.09,0,0,1,11.61,29.92ZM17.75,13l2-9H11.8L9.26,15h5.91L13.58,25.28,23,13Z"}),props.children);});var Link32=/*#__PURE__*/React.forwardRef(function Link32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.25,6.76a6,6,0,0,0-8.5,0l1.42,1.42a4,4,0,1,1,5.67,5.67l-8,8a4,4,0,1,1-5.67-5.66l1.41-1.42-1.41-1.42-1.42,1.42a6,6,0,0,0,0,8.5A6,6,0,0,0,17,25a6,6,0,0,0,4.27-1.76l8-8A6,6,0,0,0,29.25,6.76Z"}),React.createElement("path",{d:"M4.19,24.82a4,4,0,0,1,0-5.67l8-8a4,4,0,0,1,5.67,0A3.94,3.94,0,0,1,19,14a4,4,0,0,1-1.17,2.85L15.71,19l1.42,1.42,2.12-2.12a6,6,0,0,0-8.51-8.51l-8,8a6,6,0,0,0,0,8.51A6,6,0,0,0,7,28a6.07,6.07,0,0,0,4.28-1.76L9.86,24.82A4,4,0,0,1,4.19,24.82Z"}),props.children);});var Link24=/*#__PURE__*/React.forwardRef(function Link24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.25,6.76a6,6,0,0,0-8.5,0l1.42,1.42a4,4,0,1,1,5.67,5.67l-8,8a4,4,0,1,1-5.67-5.66l1.41-1.42-1.41-1.42-1.42,1.42a6,6,0,0,0,0,8.5A6,6,0,0,0,17,25a6,6,0,0,0,4.27-1.76l8-8A6,6,0,0,0,29.25,6.76Z"}),React.createElement("path",{d:"M4.19,24.82a4,4,0,0,1,0-5.67l8-8a4,4,0,0,1,5.67,0A3.94,3.94,0,0,1,19,14a4,4,0,0,1-1.17,2.85L15.71,19l1.42,1.42,2.12-2.12a6,6,0,0,0-8.51-8.51l-8,8a6,6,0,0,0,0,8.51A6,6,0,0,0,7,28a6.07,6.07,0,0,0,4.28-1.76L9.86,24.82A4,4,0,0,1,4.19,24.82Z"}),props.children);});var Link20=/*#__PURE__*/React.forwardRef(function Link20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.25,6.76a6,6,0,0,0-8.5,0l1.42,1.42a4,4,0,1,1,5.67,5.67l-8,8a4,4,0,1,1-5.67-5.66l1.41-1.42-1.41-1.42-1.42,1.42a6,6,0,0,0,0,8.5A6,6,0,0,0,17,25a6,6,0,0,0,4.27-1.76l8-8A6,6,0,0,0,29.25,6.76Z"}),React.createElement("path",{d:"M4.19,24.82a4,4,0,0,1,0-5.67l8-8a4,4,0,0,1,5.67,0A3.94,3.94,0,0,1,19,14a4,4,0,0,1-1.17,2.85L15.71,19l1.42,1.42,2.12-2.12a6,6,0,0,0-8.51-8.51l-8,8a6,6,0,0,0,0,8.51A6,6,0,0,0,7,28a6.07,6.07,0,0,0,4.28-1.76L9.86,24.82A4,4,0,0,1,4.19,24.82Z"}),props.children);});var Link16=/*#__PURE__*/React.forwardRef(function Link16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.25,6.76a6,6,0,0,0-8.5,0l1.42,1.42a4,4,0,1,1,5.67,5.67l-8,8a4,4,0,1,1-5.67-5.66l1.41-1.42-1.41-1.42-1.42,1.42a6,6,0,0,0,0,8.5A6,6,0,0,0,17,25a6,6,0,0,0,4.27-1.76l8-8A6,6,0,0,0,29.25,6.76Z"}),React.createElement("path",{d:"M4.19,24.82a4,4,0,0,1,0-5.67l8-8a4,4,0,0,1,5.67,0A3.94,3.94,0,0,1,19,14a4,4,0,0,1-1.17,2.85L15.71,19l1.42,1.42,2.12-2.12a6,6,0,0,0-8.51-8.51l-8,8a6,6,0,0,0,0,8.51A6,6,0,0,0,7,28a6.07,6.07,0,0,0,4.28-1.76L9.86,24.82A4,4,0,0,1,4.19,24.82Z"}),props.children);});var ListBoxes32=/*#__PURE__*/React.forwardRef(function ListBoxes32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("path",{d:"M10,14H4a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,4,4h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,14ZM4,6v6h6.0012L10,6Z"}),React.createElement("path",{d:"M10,28H4a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,28ZM4,20v6h6.0012L10,20Z"}),props.children);});var ListBoxes24=/*#__PURE__*/React.forwardRef(function ListBoxes24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("path",{d:"M10,14H4a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,4,4h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,14ZM4,6v6h6.0012L10,6Z"}),React.createElement("path",{d:"M10,28H4a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,28ZM4,20v6h6.0012L10,20Z"}),props.children);});var ListBoxes20=/*#__PURE__*/React.forwardRef(function ListBoxes20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("path",{d:"M10,14H4a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,4,4h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,14ZM4,6v6h6.0012L10,6Z"}),React.createElement("path",{d:"M10,28H4a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,28ZM4,20v6h6.0012L10,20Z"}),props.children);});var ListBoxes16=/*#__PURE__*/React.forwardRef(function ListBoxes16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("path",{d:"M10,14H4a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,4,4h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,14ZM4,6v6h6.0012L10,6Z"}),React.createElement("path",{d:"M10,28H4a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,10,28ZM4,20v6h6.0012L10,20Z"}),props.children);});var ListBulleted32=/*#__PURE__*/React.forwardRef(function ListBulleted32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"7",cy:"9",r:"3"}),React.createElement("circle",{cx:"7",cy:"23",r:"3"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),props.children);});var ListBulleted24=/*#__PURE__*/React.forwardRef(function ListBulleted24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"7",cy:"9",r:"3"}),React.createElement("circle",{cx:"7",cy:"23",r:"3"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),props.children);});var ListBulleted20=/*#__PURE__*/React.forwardRef(function ListBulleted20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"7",cy:"9",r:"3"}),React.createElement("circle",{cx:"7",cy:"23",r:"3"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),props.children);});var ListChecked32=/*#__PURE__*/React.forwardRef(function ListChecked32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"6 10.59 3.41 8 2 9.41 6 13.41 14 5.41 12.59 4 6 10.59"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("polygon",{points:"6 24.59 3.41 22 2 23.41 6 27.41 14 19.41 12.59 18 6 24.59"}),props.children);});var ListChecked24=/*#__PURE__*/React.forwardRef(function ListChecked24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"6 10.59 3.41 8 2 9.41 6 13.41 14 5.41 12.59 4 6 10.59"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("polygon",{points:"6 24.59 3.41 22 2 23.41 6 27.41 14 19.41 12.59 18 6 24.59"}),props.children);});var ListChecked20=/*#__PURE__*/React.forwardRef(function ListChecked20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"6 10.59 3.41 8 2 9.41 6 13.41 14 5.41 12.59 4 6 10.59"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("polygon",{points:"6 24.59 3.41 22 2 23.41 6 27.41 14 19.41 12.59 18 6 24.59"}),props.children);});var ListChecked16=/*#__PURE__*/React.forwardRef(function ListChecked16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"6 10.59 3.41 8 2 9.41 6 13.41 14 5.41 12.59 4 6 10.59"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("polygon",{points:"6 24.59 3.41 22 2 23.41 6 27.41 14 19.41 12.59 18 6 24.59"}),props.children);});var ListDropdown32=/*#__PURE__*/React.forwardRef(function ListDropdown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V2H2V12h9V30H30V6ZM4,10V4H24V6H11v4ZM28,28H13V8H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"11"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"17"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"23"}),props.children);});var ListDropdown24=/*#__PURE__*/React.forwardRef(function ListDropdown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V2H2V12h9V30H30V6ZM4,10V4H24V6H11v4ZM28,28H13V8H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"11"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"17"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"23"}),props.children);});var ListDropdown20=/*#__PURE__*/React.forwardRef(function ListDropdown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V2H2V12h9V30H30V6ZM4,10V4H24V6H11v4ZM28,28H13V8H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"11"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"17"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"23"}),props.children);});var ListDropdown16=/*#__PURE__*/React.forwardRef(function ListDropdown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6V2H2V12h9V30H30V6ZM4,10V4H24V6H11v4ZM28,28H13V8H28Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"11"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"11"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"17"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"17"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"23"}),props.children);});var ListNumbered32=/*#__PURE__*/React.forwardRef(function ListNumbered32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"8 12 8 4 6 4 6 5 4 5 4 7 6 7 6 12 4 12 4 14 6 14 8 14 10 14 10 12 8 12"}),React.createElement("path",{d:"M10,28H4V24a2,2,0,0,1,2-2H8V20H4V18H8a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H6v2h4Z"}),props.children);});var ListNumbered24=/*#__PURE__*/React.forwardRef(function ListNumbered24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"8 12 8 4 6 4 6 5 4 5 4 7 6 7 6 12 4 12 4 14 6 14 8 14 10 14 10 12 8 12"}),React.createElement("path",{d:"M10,28H4V24a2,2,0,0,1,2-2H8V20H4V18H8a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H6v2h4Z"}),props.children);});var ListNumbered20=/*#__PURE__*/React.forwardRef(function ListNumbered20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"8 12 8 4 6 4 6 5 4 5 4 7 6 7 6 12 4 12 4 14 6 14 8 14 10 14 10 12 8 12"}),React.createElement("path",{d:"M10,28H4V24a2,2,0,0,1,2-2H8V20H4V18H8a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H6v2h4Z"}),props.children);});var ListNumbered16=/*#__PURE__*/React.forwardRef(function ListNumbered16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"16",y:"22"}),React.createElement("rect",{width:"14",height:"2",x:"16",y:"8"}),React.createElement("polygon",{points:"8 12 8 4 6 4 6 5 4 5 4 7 6 7 6 12 4 12 4 14 6 14 8 14 10 14 10 12 8 12"}),React.createElement("path",{d:"M10,28H4V24a2,2,0,0,1,2-2H8V20H4V18H8a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H6v2h4Z"}),props.children);});var List32=/*#__PURE__*/React.forwardRef(function List32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),props.children);});var List24=/*#__PURE__*/React.forwardRef(function List24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),props.children);});var List20=/*#__PURE__*/React.forwardRef(function List20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),props.children);});var List16=/*#__PURE__*/React.forwardRef(function List16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"24"}),props.children);});var Location32=/*#__PURE__*/React.forwardRef(function Location32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,8Z"}),React.createElement("path",{d:"M16,4a8.88,8.88,0,0,1,9,8.71,8.47,8.47,0,0,1-1.79,5.21l0,0,0,0L16,28.46,8.85,18l0,0,0,0A8.47,8.47,0,0,1,7,12.71,8.88,8.88,0,0,1,16,4m0-2A10.86,10.86,0,0,0,5,12.71a10.53,10.53,0,0,0,2.2,6.43L16,32l8.8-12.86A10.53,10.53,0,0,0,27,12.71,10.86,10.86,0,0,0,16,2Z"}),props.children);});var Location24=/*#__PURE__*/React.forwardRef(function Location24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,8Z"}),React.createElement("path",{d:"M16,4a8.88,8.88,0,0,1,9,8.71,8.47,8.47,0,0,1-1.79,5.21l0,0,0,0L16,28.46,8.85,18l0,0,0,0A8.47,8.47,0,0,1,7,12.71,8.88,8.88,0,0,1,16,4m0-2A10.86,10.86,0,0,0,5,12.71a10.53,10.53,0,0,0,2.2,6.43L16,32l8.8-12.86A10.53,10.53,0,0,0,27,12.71,10.86,10.86,0,0,0,16,2Z"}),props.children);});var Location20=/*#__PURE__*/React.forwardRef(function Location20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,8Z"}),React.createElement("path",{d:"M16,4a8.88,8.88,0,0,1,9,8.71,8.47,8.47,0,0,1-1.79,5.21l0,0,0,0L16,28.46,8.85,18l0,0,0,0A8.47,8.47,0,0,1,7,12.71,8.88,8.88,0,0,1,16,4m0-2A10.86,10.86,0,0,0,5,12.71a10.53,10.53,0,0,0,2.2,6.43L16,32l8.8-12.86A10.53,10.53,0,0,0,27,12.71,10.86,10.86,0,0,0,16,2Z"}),props.children);});var Location16=/*#__PURE__*/React.forwardRef(function Location16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,8Z"}),React.createElement("path",{d:"M16,4a8.88,8.88,0,0,1,9,8.71,8.47,8.47,0,0,1-1.79,5.21l0,0,0,0L16,28.46,8.85,18l0,0,0,0A8.47,8.47,0,0,1,7,12.71,8.88,8.88,0,0,1,16,4m0-2A10.86,10.86,0,0,0,5,12.71a10.53,10.53,0,0,0,2.2,6.43L16,32l8.8-12.86A10.53,10.53,0,0,0,27,12.71,10.86,10.86,0,0,0,16,2Z"}),props.children);});var Locked32=/*#__PURE__*/React.forwardRef(function Locked32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,14H22V8A6,6,0,0,0,10,8v6H8a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V16A2,2,0,0,0,24,14ZM12,8a4,4,0,0,1,8,0v6H12ZM24,28H8V16H24Z"}),props.children);});var Locked24=/*#__PURE__*/React.forwardRef(function Locked24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,14H22V8A6,6,0,0,0,10,8v6H8a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V16A2,2,0,0,0,24,14ZM12,8a4,4,0,0,1,8,0v6H12ZM24,28H8V16H24Z"}),props.children);});var Locked20=/*#__PURE__*/React.forwardRef(function Locked20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,14H22V8A6,6,0,0,0,10,8v6H8a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V16A2,2,0,0,0,24,14ZM12,8a4,4,0,0,1,8,0v6H12ZM24,28H8V16H24Z"}),props.children);});var Locked16=/*#__PURE__*/React.forwardRef(function Locked16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,14H22V8A6,6,0,0,0,10,8v6H8a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V16A2,2,0,0,0,24,14ZM12,8a4,4,0,0,1,8,0v6H12ZM24,28H8V16H24Z"}),props.children);});var Login32=/*#__PURE__*/React.forwardRef(function Login32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H14a2,2,0,0,1-2-2V25h2v3H26V4H14V7H12V4a2,2,0,0,1,2-2H26a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("polygon",{points:"14.59 20.59 18.17 17 4 17 4 15 18.17 15 14.59 11.41 16 10 22 16 16 22 14.59 20.59"}),props.children);});var Login24=/*#__PURE__*/React.forwardRef(function Login24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H14a2,2,0,0,1-2-2V25h2v3H26V4H14V7H12V4a2,2,0,0,1,2-2H26a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("polygon",{points:"14.59 20.59 18.17 17 4 17 4 15 18.17 15 14.59 11.41 16 10 22 16 16 22 14.59 20.59"}),props.children);});var Login20=/*#__PURE__*/React.forwardRef(function Login20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H14a2,2,0,0,1-2-2V25h2v3H26V4H14V7H12V4a2,2,0,0,1,2-2H26a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("polygon",{points:"14.59 20.59 18.17 17 4 17 4 15 18.17 15 14.59 11.41 16 10 22 16 16 22 14.59 20.59"}),props.children);});var Login16=/*#__PURE__*/React.forwardRef(function Login16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H14a2,2,0,0,1-2-2V25h2v3H26V4H14V7H12V4a2,2,0,0,1,2-2H26a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("polygon",{points:"14.59 20.59 18.17 17 4 17 4 15 18.17 15 14.59 11.41 16 10 22 16 16 22 14.59 20.59"}),props.children);});var LogoDigg32=/*#__PURE__*/React.forwardRef(function LogoDigg32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.48,7.6v3.92H2V21H9.28V7.6Zm0,11.2H4.8v-5H6.48Z"}),React.createElement("rect",{width:"2.8",height:"9.52",x:"10.4",y:"11.52"}),React.createElement("rect",{width:"2.8",height:"2.8",x:"10.4",y:"7.6"}),React.createElement("path",{d:"M14.32,11.52V21H18.8v1.12H14.32V24.4H21.6V11.52ZM18.8,18.8H17.12v-5H18.8Z"}),React.createElement("path",{d:"M22.72,11.52V21H27.2v1.12H22.72V24.4H30V11.52ZM27.2,18.8H25.52v-5H27.2Z"}),props.children);});var LogoDigg24=/*#__PURE__*/React.forwardRef(function LogoDigg24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.48,7.6v3.92H2V21H9.28V7.6Zm0,11.2H4.8v-5H6.48Z"}),React.createElement("rect",{width:"2.8",height:"9.52",x:"10.4",y:"11.52"}),React.createElement("rect",{width:"2.8",height:"2.8",x:"10.4",y:"7.6"}),React.createElement("path",{d:"M14.32,11.52V21H18.8v1.12H14.32V24.4H21.6V11.52ZM18.8,18.8H17.12v-5H18.8Z"}),React.createElement("path",{d:"M22.72,11.52V21H27.2v1.12H22.72V24.4H30V11.52ZM27.2,18.8H25.52v-5H27.2Z"}),props.children);});var LogoDigg20=/*#__PURE__*/React.forwardRef(function LogoDigg20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.48,7.6v3.92H2V21H9.28V7.6Zm0,11.2H4.8v-5H6.48Z"}),React.createElement("rect",{width:"2.8",height:"9.52",x:"10.4",y:"11.52"}),React.createElement("rect",{width:"2.8",height:"2.8",x:"10.4",y:"7.6"}),React.createElement("path",{d:"M14.32,11.52V21H18.8v1.12H14.32V24.4H21.6V11.52ZM18.8,18.8H17.12v-5H18.8Z"}),React.createElement("path",{d:"M22.72,11.52V21H27.2v1.12H22.72V24.4H30V11.52ZM27.2,18.8H25.52v-5H27.2Z"}),props.children);});var LogoDigg16=/*#__PURE__*/React.forwardRef(function LogoDigg16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6.48,7.6v3.92H2V21H9.28V7.6Zm0,11.2H4.8v-5H6.48Z"}),React.createElement("rect",{width:"2.8",height:"9.52",x:"10.4",y:"11.52"}),React.createElement("rect",{width:"2.8",height:"2.8",x:"10.4",y:"7.6"}),React.createElement("path",{d:"M14.32,11.52V21H18.8v1.12H14.32V24.4H21.6V11.52ZM18.8,18.8H17.12v-5H18.8Z"}),React.createElement("path",{d:"M22.72,11.52V21H27.2v1.12H22.72V24.4H30V11.52ZM27.2,18.8H25.52v-5H27.2Z"}),props.children);});var LogoFacebook32=/*#__PURE__*/React.forwardRef(function LogoFacebook32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.67,4H5.33A1.34,1.34,0,0,0,4,5.33V26.67A1.34,1.34,0,0,0,5.33,28H16.82V18.72H13.7V15.09h3.12V12.42c0-3.1,1.89-4.79,4.67-4.79.93,0,1.86,0,2.79.14V11H22.37c-1.51,0-1.8.72-1.8,1.77v2.31h3.6l-.47,3.63H20.57V28h6.1A1.34,1.34,0,0,0,28,26.67V5.33A1.34,1.34,0,0,0,26.67,4Z"}),props.children);});var LogoFacebook24=/*#__PURE__*/React.forwardRef(function LogoFacebook24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.67,4H5.33A1.34,1.34,0,0,0,4,5.33V26.67A1.34,1.34,0,0,0,5.33,28H16.82V18.72H13.7V15.09h3.12V12.42c0-3.1,1.89-4.79,4.67-4.79.93,0,1.86,0,2.79.14V11H22.37c-1.51,0-1.8.72-1.8,1.77v2.31h3.6l-.47,3.63H20.57V28h6.1A1.34,1.34,0,0,0,28,26.67V5.33A1.34,1.34,0,0,0,26.67,4Z"}),props.children);});var LogoFacebook20=/*#__PURE__*/React.forwardRef(function LogoFacebook20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.67,4H5.33A1.34,1.34,0,0,0,4,5.33V26.67A1.34,1.34,0,0,0,5.33,28H16.82V18.72H13.7V15.09h3.12V12.42c0-3.1,1.89-4.79,4.67-4.79.93,0,1.86,0,2.79.14V11H22.37c-1.51,0-1.8.72-1.8,1.77v2.31h3.6l-.47,3.63H20.57V28h6.1A1.34,1.34,0,0,0,28,26.67V5.33A1.34,1.34,0,0,0,26.67,4Z"}),props.children);});var LogoFacebook16=/*#__PURE__*/React.forwardRef(function LogoFacebook16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.67,4H5.33A1.34,1.34,0,0,0,4,5.33V26.67A1.34,1.34,0,0,0,5.33,28H16.82V18.72H13.7V15.09h3.12V12.42c0-3.1,1.89-4.79,4.67-4.79.93,0,1.86,0,2.79.14V11H22.37c-1.51,0-1.8.72-1.8,1.77v2.31h3.6l-.47,3.63H20.57V28h6.1A1.34,1.34,0,0,0,28,26.67V5.33A1.34,1.34,0,0,0,26.67,4Z"}),props.children);});var LogoFlickr32=/*#__PURE__*/React.forwardRef(function LogoFlickr32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"6"}),React.createElement("circle",{cx:"24",cy:"16",r:"6"}),props.children);});var LogoFlickr24=/*#__PURE__*/React.forwardRef(function LogoFlickr24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"6"}),React.createElement("circle",{cx:"24",cy:"16",r:"6"}),props.children);});var LogoFlickr20=/*#__PURE__*/React.forwardRef(function LogoFlickr20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"6"}),React.createElement("circle",{cx:"24",cy:"16",r:"6"}),props.children);});var LogoFlickr16=/*#__PURE__*/React.forwardRef(function LogoFlickr16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"6"}),React.createElement("circle",{cx:"24",cy:"16",r:"6"}),props.children);});var LogoGithub32=/*#__PURE__*/React.forwardRef(function LogoGithub32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M16,2a14,14,0,0,0-4.43,27.28c.7.13,1-.3,1-.67s0-1.21,0-2.38c-3.89.84-4.71-1.88-4.71-1.88A3.71,3.71,0,0,0,6.24,22.3c-1.27-.86.1-.85.1-.85A2.94,2.94,0,0,1,8.48,22.9a3,3,0,0,0,4.08,1.16,2.93,2.93,0,0,1,.88-1.87c-3.1-.36-6.37-1.56-6.37-6.92a5.4,5.4,0,0,1,1.44-3.76,5,5,0,0,1,.14-3.7s1.17-.38,3.85,1.43a13.3,13.3,0,0,1,7,0c2.67-1.81,3.84-1.43,3.84-1.43a5,5,0,0,1,.14,3.7,5.4,5.4,0,0,1,1.44,3.76c0,5.38-3.27,6.56-6.39,6.91a3.33,3.33,0,0,1,.95,2.59c0,1.87,0,3.38,0,3.84s.25.81,1,.67A14,14,0,0,0,16,2Z"}),props.children);});var LogoGithub24=/*#__PURE__*/React.forwardRef(function LogoGithub24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M16,2a14,14,0,0,0-4.43,27.28c.7.13,1-.3,1-.67s0-1.21,0-2.38c-3.89.84-4.71-1.88-4.71-1.88A3.71,3.71,0,0,0,6.24,22.3c-1.27-.86.1-.85.1-.85A2.94,2.94,0,0,1,8.48,22.9a3,3,0,0,0,4.08,1.16,2.93,2.93,0,0,1,.88-1.87c-3.1-.36-6.37-1.56-6.37-6.92a5.4,5.4,0,0,1,1.44-3.76,5,5,0,0,1,.14-3.7s1.17-.38,3.85,1.43a13.3,13.3,0,0,1,7,0c2.67-1.81,3.84-1.43,3.84-1.43a5,5,0,0,1,.14,3.7,5.4,5.4,0,0,1,1.44,3.76c0,5.38-3.27,6.56-6.39,6.91a3.33,3.33,0,0,1,.95,2.59c0,1.87,0,3.38,0,3.84s.25.81,1,.67A14,14,0,0,0,16,2Z"}),props.children);});var LogoGithub20=/*#__PURE__*/React.forwardRef(function LogoGithub20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M16,2a14,14,0,0,0-4.43,27.28c.7.13,1-.3,1-.67s0-1.21,0-2.38c-3.89.84-4.71-1.88-4.71-1.88A3.71,3.71,0,0,0,6.24,22.3c-1.27-.86.1-.85.1-.85A2.94,2.94,0,0,1,8.48,22.9a3,3,0,0,0,4.08,1.16,2.93,2.93,0,0,1,.88-1.87c-3.1-.36-6.37-1.56-6.37-6.92a5.4,5.4,0,0,1,1.44-3.76,5,5,0,0,1,.14-3.7s1.17-.38,3.85,1.43a13.3,13.3,0,0,1,7,0c2.67-1.81,3.84-1.43,3.84-1.43a5,5,0,0,1,.14,3.7,5.4,5.4,0,0,1,1.44,3.76c0,5.38-3.27,6.56-6.39,6.91a3.33,3.33,0,0,1,.95,2.59c0,1.87,0,3.38,0,3.84s.25.81,1,.67A14,14,0,0,0,16,2Z"}),props.children);});var LogoGithub16=/*#__PURE__*/React.forwardRef(function LogoGithub16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M16,2a14,14,0,0,0-4.43,27.28c.7.13,1-.3,1-.67s0-1.21,0-2.38c-3.89.84-4.71-1.88-4.71-1.88A3.71,3.71,0,0,0,6.24,22.3c-1.27-.86.1-.85.1-.85A2.94,2.94,0,0,1,8.48,22.9a3,3,0,0,0,4.08,1.16,2.93,2.93,0,0,1,.88-1.87c-3.1-.36-6.37-1.56-6.37-6.92a5.4,5.4,0,0,1,1.44-3.76,5,5,0,0,1,.14-3.7s1.17-.38,3.85,1.43a13.3,13.3,0,0,1,7,0c2.67-1.81,3.84-1.43,3.84-1.43a5,5,0,0,1,.14,3.7,5.4,5.4,0,0,1,1.44,3.76c0,5.38-3.27,6.56-6.39,6.91a3.33,3.33,0,0,1,.95,2.59c0,1.87,0,3.38,0,3.84s.25.81,1,.67A14,14,0,0,0,16,2Z"}),props.children);});var LogoGlassdoor32=/*#__PURE__*/React.forwardRef(function LogoGlassdoor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.8281,28H21.1719a3.43,3.43,0,0,0,3.43-3.43V10.3306h-3.43V24.57H7.3981A3.43,3.43,0,0,0,10.8281,28Z"}),React.createElement("path",{d:"M21.1719,4H10.8281a3.43,3.43,0,0,0-3.43,3.43v14.24h3.43V7.43H24.6019A3.43,3.43,0,0,0,21.1719,4Z"}),props.children);});var LogoGlassdoor24=/*#__PURE__*/React.forwardRef(function LogoGlassdoor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.8281,28H21.1719a3.43,3.43,0,0,0,3.43-3.43V10.3306h-3.43V24.57H7.3981A3.43,3.43,0,0,0,10.8281,28Z"}),React.createElement("path",{d:"M21.1719,4H10.8281a3.43,3.43,0,0,0-3.43,3.43v14.24h3.43V7.43H24.6019A3.43,3.43,0,0,0,21.1719,4Z"}),props.children);});var LogoGlassdoor20=/*#__PURE__*/React.forwardRef(function LogoGlassdoor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.8281,28H21.1719a3.43,3.43,0,0,0,3.43-3.43V10.3306h-3.43V24.57H7.3981A3.43,3.43,0,0,0,10.8281,28Z"}),React.createElement("path",{d:"M21.1719,4H10.8281a3.43,3.43,0,0,0-3.43,3.43v14.24h3.43V7.43H24.6019A3.43,3.43,0,0,0,21.1719,4Z"}),props.children);});var LogoGlassdoor16=/*#__PURE__*/React.forwardRef(function LogoGlassdoor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10.8281,28H21.1719a3.43,3.43,0,0,0,3.43-3.43V10.3306h-3.43V24.57H7.3981A3.43,3.43,0,0,0,10.8281,28Z"}),React.createElement("path",{d:"M21.1719,4H10.8281a3.43,3.43,0,0,0-3.43,3.43v14.24h3.43V7.43H24.6019A3.43,3.43,0,0,0,21.1719,4Z"}),props.children);});var LogoInstagram32=/*#__PURE__*/React.forwardRef(function LogoInstagram32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22.406",cy:"9.594",r:"1.44"}),React.createElement("path",{d:"M16,9.8378A6.1622,6.1622,0,1,0,22.1622,16,6.1622,6.1622,0,0,0,16,9.8378ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,6.1622c3.2041,0,3.5837.0122,4.849.07a6.6418,6.6418,0,0,1,2.2283.4132,3.9748,3.9748,0,0,1,2.2774,2.2774,6.6418,6.6418,0,0,1,.4132,2.2283c.0577,1.2653.07,1.6449.07,4.849s-.0122,3.5837-.07,4.849a6.6418,6.6418,0,0,1-.4132,2.2283,3.9748,3.9748,0,0,1-2.2774,2.2774,6.6418,6.6418,0,0,1-2.2283.4132c-1.2652.0577-1.6446.07-4.849.07s-3.5838-.0122-4.849-.07a6.6418,6.6418,0,0,1-2.2283-.4132,3.9748,3.9748,0,0,1-2.2774-2.2774,6.6418,6.6418,0,0,1-.4132-2.2283c-.0577-1.2653-.07-1.6449-.07-4.849s.0122-3.5837.07-4.849a6.6418,6.6418,0,0,1,.4132-2.2283A3.9748,3.9748,0,0,1,8.9227,6.6453a6.6418,6.6418,0,0,1,2.2283-.4132c1.2653-.0577,1.6449-.07,4.849-.07M16,4c-3.259,0-3.6677.0138-4.9476.0722A8.8068,8.8068,0,0,0,8.14,4.63,6.1363,6.1363,0,0,0,4.63,8.14a8.8068,8.8068,0,0,0-.5578,2.9129C4.0138,12.3323,4,12.741,4,16s.0138,3.6677.0722,4.9476A8.8074,8.8074,0,0,0,4.63,23.8605a6.1363,6.1363,0,0,0,3.51,3.51,8.8068,8.8068,0,0,0,2.9129.5578C12.3323,27.9862,12.741,28,16,28s3.6677-.0138,4.9476-.0722a8.8074,8.8074,0,0,0,2.9129-.5578,6.1363,6.1363,0,0,0,3.51-3.51,8.8074,8.8074,0,0,0,.5578-2.9129C27.9862,19.6677,28,19.259,28,16s-.0138-3.6677-.0722-4.9476A8.8068,8.8068,0,0,0,27.37,8.14a6.1363,6.1363,0,0,0-3.51-3.5095,8.8074,8.8074,0,0,0-2.9129-.5578C19.6677,4.0138,19.259,4,16,4Z"}),props.children);});var LogoInstagram24=/*#__PURE__*/React.forwardRef(function LogoInstagram24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22.406",cy:"9.594",r:"1.44"}),React.createElement("path",{d:"M16,9.8378A6.1622,6.1622,0,1,0,22.1622,16,6.1622,6.1622,0,0,0,16,9.8378ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,6.1622c3.2041,0,3.5837.0122,4.849.07a6.6418,6.6418,0,0,1,2.2283.4132,3.9748,3.9748,0,0,1,2.2774,2.2774,6.6418,6.6418,0,0,1,.4132,2.2283c.0577,1.2653.07,1.6449.07,4.849s-.0122,3.5837-.07,4.849a6.6418,6.6418,0,0,1-.4132,2.2283,3.9748,3.9748,0,0,1-2.2774,2.2774,6.6418,6.6418,0,0,1-2.2283.4132c-1.2652.0577-1.6446.07-4.849.07s-3.5838-.0122-4.849-.07a6.6418,6.6418,0,0,1-2.2283-.4132,3.9748,3.9748,0,0,1-2.2774-2.2774,6.6418,6.6418,0,0,1-.4132-2.2283c-.0577-1.2653-.07-1.6449-.07-4.849s.0122-3.5837.07-4.849a6.6418,6.6418,0,0,1,.4132-2.2283A3.9748,3.9748,0,0,1,8.9227,6.6453a6.6418,6.6418,0,0,1,2.2283-.4132c1.2653-.0577,1.6449-.07,4.849-.07M16,4c-3.259,0-3.6677.0138-4.9476.0722A8.8068,8.8068,0,0,0,8.14,4.63,6.1363,6.1363,0,0,0,4.63,8.14a8.8068,8.8068,0,0,0-.5578,2.9129C4.0138,12.3323,4,12.741,4,16s.0138,3.6677.0722,4.9476A8.8074,8.8074,0,0,0,4.63,23.8605a6.1363,6.1363,0,0,0,3.51,3.51,8.8068,8.8068,0,0,0,2.9129.5578C12.3323,27.9862,12.741,28,16,28s3.6677-.0138,4.9476-.0722a8.8074,8.8074,0,0,0,2.9129-.5578,6.1363,6.1363,0,0,0,3.51-3.51,8.8074,8.8074,0,0,0,.5578-2.9129C27.9862,19.6677,28,19.259,28,16s-.0138-3.6677-.0722-4.9476A8.8068,8.8068,0,0,0,27.37,8.14a6.1363,6.1363,0,0,0-3.51-3.5095,8.8074,8.8074,0,0,0-2.9129-.5578C19.6677,4.0138,19.259,4,16,4Z"}),props.children);});var LogoInstagram20=/*#__PURE__*/React.forwardRef(function LogoInstagram20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22.406",cy:"9.594",r:"1.44"}),React.createElement("path",{d:"M16,9.8378A6.1622,6.1622,0,1,0,22.1622,16,6.1622,6.1622,0,0,0,16,9.8378ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,6.1622c3.2041,0,3.5837.0122,4.849.07a6.6418,6.6418,0,0,1,2.2283.4132,3.9748,3.9748,0,0,1,2.2774,2.2774,6.6418,6.6418,0,0,1,.4132,2.2283c.0577,1.2653.07,1.6449.07,4.849s-.0122,3.5837-.07,4.849a6.6418,6.6418,0,0,1-.4132,2.2283,3.9748,3.9748,0,0,1-2.2774,2.2774,6.6418,6.6418,0,0,1-2.2283.4132c-1.2652.0577-1.6446.07-4.849.07s-3.5838-.0122-4.849-.07a6.6418,6.6418,0,0,1-2.2283-.4132,3.9748,3.9748,0,0,1-2.2774-2.2774,6.6418,6.6418,0,0,1-.4132-2.2283c-.0577-1.2653-.07-1.6449-.07-4.849s.0122-3.5837.07-4.849a6.6418,6.6418,0,0,1,.4132-2.2283A3.9748,3.9748,0,0,1,8.9227,6.6453a6.6418,6.6418,0,0,1,2.2283-.4132c1.2653-.0577,1.6449-.07,4.849-.07M16,4c-3.259,0-3.6677.0138-4.9476.0722A8.8068,8.8068,0,0,0,8.14,4.63,6.1363,6.1363,0,0,0,4.63,8.14a8.8068,8.8068,0,0,0-.5578,2.9129C4.0138,12.3323,4,12.741,4,16s.0138,3.6677.0722,4.9476A8.8074,8.8074,0,0,0,4.63,23.8605a6.1363,6.1363,0,0,0,3.51,3.51,8.8068,8.8068,0,0,0,2.9129.5578C12.3323,27.9862,12.741,28,16,28s3.6677-.0138,4.9476-.0722a8.8074,8.8074,0,0,0,2.9129-.5578,6.1363,6.1363,0,0,0,3.51-3.51,8.8074,8.8074,0,0,0,.5578-2.9129C27.9862,19.6677,28,19.259,28,16s-.0138-3.6677-.0722-4.9476A8.8068,8.8068,0,0,0,27.37,8.14a6.1363,6.1363,0,0,0-3.51-3.5095,8.8074,8.8074,0,0,0-2.9129-.5578C19.6677,4.0138,19.259,4,16,4Z"}),props.children);});var LogoInstagram16=/*#__PURE__*/React.forwardRef(function LogoInstagram16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22.406",cy:"9.594",r:"1.44"}),React.createElement("path",{d:"M16,9.8378A6.1622,6.1622,0,1,0,22.1622,16,6.1622,6.1622,0,0,0,16,9.8378ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),React.createElement("path",{d:"M16,6.1622c3.2041,0,3.5837.0122,4.849.07a6.6418,6.6418,0,0,1,2.2283.4132,3.9748,3.9748,0,0,1,2.2774,2.2774,6.6418,6.6418,0,0,1,.4132,2.2283c.0577,1.2653.07,1.6449.07,4.849s-.0122,3.5837-.07,4.849a6.6418,6.6418,0,0,1-.4132,2.2283,3.9748,3.9748,0,0,1-2.2774,2.2774,6.6418,6.6418,0,0,1-2.2283.4132c-1.2652.0577-1.6446.07-4.849.07s-3.5838-.0122-4.849-.07a6.6418,6.6418,0,0,1-2.2283-.4132,3.9748,3.9748,0,0,1-2.2774-2.2774,6.6418,6.6418,0,0,1-.4132-2.2283c-.0577-1.2653-.07-1.6449-.07-4.849s.0122-3.5837.07-4.849a6.6418,6.6418,0,0,1,.4132-2.2283A3.9748,3.9748,0,0,1,8.9227,6.6453a6.6418,6.6418,0,0,1,2.2283-.4132c1.2653-.0577,1.6449-.07,4.849-.07M16,4c-3.259,0-3.6677.0138-4.9476.0722A8.8068,8.8068,0,0,0,8.14,4.63,6.1363,6.1363,0,0,0,4.63,8.14a8.8068,8.8068,0,0,0-.5578,2.9129C4.0138,12.3323,4,12.741,4,16s.0138,3.6677.0722,4.9476A8.8074,8.8074,0,0,0,4.63,23.8605a6.1363,6.1363,0,0,0,3.51,3.51,8.8068,8.8068,0,0,0,2.9129.5578C12.3323,27.9862,12.741,28,16,28s3.6677-.0138,4.9476-.0722a8.8074,8.8074,0,0,0,2.9129-.5578,6.1363,6.1363,0,0,0,3.51-3.51,8.8074,8.8074,0,0,0,.5578-2.9129C27.9862,19.6677,28,19.259,28,16s-.0138-3.6677-.0722-4.9476A8.8068,8.8068,0,0,0,27.37,8.14a6.1363,6.1363,0,0,0-3.51-3.5095,8.8074,8.8074,0,0,0-2.9129-.5578C19.6677,4.0138,19.259,4,16,4Z"}),props.children);});var LogoJupyter32=/*#__PURE__*/React.forwardRef(function LogoJupyter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0766,3.5878a1.69,1.69,0,1,1-1.76-1.5853,1.67,1.67,0,0,1,1.76,1.5853Z"}),React.createElement("path",{d:"M16.2191,23.1113c-4.4866,0-8.43-1.61-10.4688-3.9882a11.1618,11.1618,0,0,0,20.9377,0C24.6541,21.5011,20.7257,23.1113,16.2191,23.1113Z"}),React.createElement("path",{d:"M16.2191,7.6483c4.4867,0,8.43,1.61,10.4689,3.9881a11.1618,11.1618,0,0,0-20.9377,0C7.7892,9.2535,11.7126,7.6483,16.2191,7.6483Z"}),React.createElement("path",{d:"M10.0427,27.7388a2.1085,2.1085,0,1,1-.2031-.7976,2.1278,2.1278,0,0,1,.2031.7976Z"}),React.createElement("path",{d:"M6.26,7.1064A1.2263,1.2263,0,1,1,7.4517,5.83,1.2415,1.2415,0,0,1,6.26,7.1064Z"}),props.children);});var LogoJupyter24=/*#__PURE__*/React.forwardRef(function LogoJupyter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0766,3.5878a1.69,1.69,0,1,1-1.76-1.5853,1.67,1.67,0,0,1,1.76,1.5853Z"}),React.createElement("path",{d:"M16.2191,23.1113c-4.4866,0-8.43-1.61-10.4688-3.9882a11.1618,11.1618,0,0,0,20.9377,0C24.6541,21.5011,20.7257,23.1113,16.2191,23.1113Z"}),React.createElement("path",{d:"M16.2191,7.6483c4.4867,0,8.43,1.61,10.4689,3.9881a11.1618,11.1618,0,0,0-20.9377,0C7.7892,9.2535,11.7126,7.6483,16.2191,7.6483Z"}),React.createElement("path",{d:"M10.0427,27.7388a2.1085,2.1085,0,1,1-.2031-.7976,2.1278,2.1278,0,0,1,.2031.7976Z"}),React.createElement("path",{d:"M6.26,7.1064A1.2263,1.2263,0,1,1,7.4517,5.83,1.2415,1.2415,0,0,1,6.26,7.1064Z"}),props.children);});var LogoJupyter20=/*#__PURE__*/React.forwardRef(function LogoJupyter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0766,3.5878a1.69,1.69,0,1,1-1.76-1.5853,1.67,1.67,0,0,1,1.76,1.5853Z"}),React.createElement("path",{d:"M16.2191,23.1113c-4.4866,0-8.43-1.61-10.4688-3.9882a11.1618,11.1618,0,0,0,20.9377,0C24.6541,21.5011,20.7257,23.1113,16.2191,23.1113Z"}),React.createElement("path",{d:"M16.2191,7.6483c4.4867,0,8.43,1.61,10.4689,3.9881a11.1618,11.1618,0,0,0-20.9377,0C7.7892,9.2535,11.7126,7.6483,16.2191,7.6483Z"}),React.createElement("path",{d:"M10.0427,27.7388a2.1085,2.1085,0,1,1-.2031-.7976,2.1278,2.1278,0,0,1,.2031.7976Z"}),React.createElement("path",{d:"M6.26,7.1064A1.2263,1.2263,0,1,1,7.4517,5.83,1.2415,1.2415,0,0,1,6.26,7.1064Z"}),props.children);});var LogoJupyter16=/*#__PURE__*/React.forwardRef(function LogoJupyter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0766,3.5878a1.69,1.69,0,1,1-1.76-1.5853,1.67,1.67,0,0,1,1.76,1.5853Z"}),React.createElement("path",{d:"M16.2191,23.1113c-4.4866,0-8.43-1.61-10.4688-3.9882a11.1618,11.1618,0,0,0,20.9377,0C24.6541,21.5011,20.7257,23.1113,16.2191,23.1113Z"}),React.createElement("path",{d:"M16.2191,7.6483c4.4867,0,8.43,1.61,10.4689,3.9881a11.1618,11.1618,0,0,0-20.9377,0C7.7892,9.2535,11.7126,7.6483,16.2191,7.6483Z"}),React.createElement("path",{d:"M10.0427,27.7388a2.1085,2.1085,0,1,1-.2031-.7976,2.1278,2.1278,0,0,1,.2031.7976Z"}),React.createElement("path",{d:"M6.26,7.1064A1.2263,1.2263,0,1,1,7.4517,5.83,1.2415,1.2415,0,0,1,6.26,7.1064Z"}),props.children);});var LogoLinkedin32=/*#__PURE__*/React.forwardRef(function LogoLinkedin32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.21,4H5.79A1.78,1.78,0,0,0,4,5.73V26.2a1.77,1.77,0,0,0,1.79,1.73H26.21A1.77,1.77,0,0,0,28,26.2V5.73A1.78,1.78,0,0,0,26.21,4ZM11.11,24.41H7.59V13h3.52Zm-1.72-13A2.07,2.07,0,0,1,7.32,9.39,2,2,0,0,1,9.39,7.32a2.07,2.07,0,0,1,0,4.13ZM24.48,24.34H21V18.76c0-1.33,0-3.06-1.86-3.06S17,17.16,17,18.63v5.65H13.44V13h3.32V14.5h.07a3.72,3.72,0,0,1,3.39-1.86c3.59,0,4.26,2.4,4.26,5.45Z"}),props.children);});var LogoLinkedin24=/*#__PURE__*/React.forwardRef(function LogoLinkedin24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.21,4H5.79A1.78,1.78,0,0,0,4,5.73V26.2a1.77,1.77,0,0,0,1.79,1.73H26.21A1.77,1.77,0,0,0,28,26.2V5.73A1.78,1.78,0,0,0,26.21,4ZM11.11,24.41H7.59V13h3.52Zm-1.72-13A2.07,2.07,0,0,1,7.32,9.39,2,2,0,0,1,9.39,7.32a2.07,2.07,0,0,1,0,4.13ZM24.48,24.34H21V18.76c0-1.33,0-3.06-1.86-3.06S17,17.16,17,18.63v5.65H13.44V13h3.32V14.5h.07a3.72,3.72,0,0,1,3.39-1.86c3.59,0,4.26,2.4,4.26,5.45Z"}),props.children);});var LogoLinkedin20=/*#__PURE__*/React.forwardRef(function LogoLinkedin20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.21,4H5.79A1.78,1.78,0,0,0,4,5.73V26.2a1.77,1.77,0,0,0,1.79,1.73H26.21A1.77,1.77,0,0,0,28,26.2V5.73A1.78,1.78,0,0,0,26.21,4ZM11.11,24.41H7.59V13h3.52Zm-1.72-13A2.07,2.07,0,0,1,7.32,9.39,2,2,0,0,1,9.39,7.32a2.07,2.07,0,0,1,0,4.13ZM24.48,24.34H21V18.76c0-1.33,0-3.06-1.86-3.06S17,17.16,17,18.63v5.65H13.44V13h3.32V14.5h.07a3.72,3.72,0,0,1,3.39-1.86c3.59,0,4.26,2.4,4.26,5.45Z"}),props.children);});var LogoLinkedin16=/*#__PURE__*/React.forwardRef(function LogoLinkedin16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.21,4H5.79A1.78,1.78,0,0,0,4,5.73V26.2a1.77,1.77,0,0,0,1.79,1.73H26.21A1.77,1.77,0,0,0,28,26.2V5.73A1.78,1.78,0,0,0,26.21,4ZM11.11,24.41H7.59V13h3.52Zm-1.72-13A2.07,2.07,0,0,1,7.32,9.39,2,2,0,0,1,9.39,7.32a2.07,2.07,0,0,1,0,4.13ZM24.48,24.34H21V18.76c0-1.33,0-3.06-1.86-3.06S17,17.16,17,18.63v5.65H13.44V13h3.32V14.5h.07a3.72,3.72,0,0,1,3.39-1.86c3.59,0,4.26,2.4,4.26,5.45Z"}),props.children);});var LogoLivestream32=/*#__PURE__*/React.forwardRef(function LogoLivestream32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.49,23.71h-.76c-2.26,0-4.52,0-6.78,0a3.12,3.12,0,0,1-2.41-1A14.91,14.91,0,0,1,10,18.88c-1.3-2.6-2.54-5.22-3.82-7.82-.39-.8-.82-1.56-1.28-2.32A7.84,7.84,0,0,0,2,5.6c1.24,0,2.41,0,3.57,0a45.63,45.63,0,0,1,7,.61,8.09,8.09,0,0,1,6.34,5.09,48.51,48.51,0,0,1,2.17,7.36A26,26,0,0,0,22.49,23.71Z"}),React.createElement("path",{d:"M28.1,26.38a2.93,2.93,0,0,1-2.74-2.64,42.08,42.08,0,0,1-.14-4.9,48,48,0,0,0-.61-7.58,3.75,3.75,0,0,0-.83-2h2.65c.54,0,.73.37.89.78A12.1,12.1,0,0,1,28,13.28c.29,2.72.31,5.45.33,8.18a10.94,10.94,0,0,0,0,1.15c.09.78.4,1.1,1.17,1.08.5,0,.5-.06.5-.06v2.69A8.62,8.62,0,0,1,28.1,26.38Z"}),props.children);});var LogoLivestream24=/*#__PURE__*/React.forwardRef(function LogoLivestream24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.49,23.71h-.76c-2.26,0-4.52,0-6.78,0a3.12,3.12,0,0,1-2.41-1A14.91,14.91,0,0,1,10,18.88c-1.3-2.6-2.54-5.22-3.82-7.82-.39-.8-.82-1.56-1.28-2.32A7.84,7.84,0,0,0,2,5.6c1.24,0,2.41,0,3.57,0a45.63,45.63,0,0,1,7,.61,8.09,8.09,0,0,1,6.34,5.09,48.51,48.51,0,0,1,2.17,7.36A26,26,0,0,0,22.49,23.71Z"}),React.createElement("path",{d:"M28.1,26.38a2.93,2.93,0,0,1-2.74-2.64,42.08,42.08,0,0,1-.14-4.9,48,48,0,0,0-.61-7.58,3.75,3.75,0,0,0-.83-2h2.65c.54,0,.73.37.89.78A12.1,12.1,0,0,1,28,13.28c.29,2.72.31,5.45.33,8.18a10.94,10.94,0,0,0,0,1.15c.09.78.4,1.1,1.17,1.08.5,0,.5-.06.5-.06v2.69A8.62,8.62,0,0,1,28.1,26.38Z"}),props.children);});var LogoLivestream20=/*#__PURE__*/React.forwardRef(function LogoLivestream20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.49,23.71h-.76c-2.26,0-4.52,0-6.78,0a3.12,3.12,0,0,1-2.41-1A14.91,14.91,0,0,1,10,18.88c-1.3-2.6-2.54-5.22-3.82-7.82-.39-.8-.82-1.56-1.28-2.32A7.84,7.84,0,0,0,2,5.6c1.24,0,2.41,0,3.57,0a45.63,45.63,0,0,1,7,.61,8.09,8.09,0,0,1,6.34,5.09,48.51,48.51,0,0,1,2.17,7.36A26,26,0,0,0,22.49,23.71Z"}),React.createElement("path",{d:"M28.1,26.38a2.93,2.93,0,0,1-2.74-2.64,42.08,42.08,0,0,1-.14-4.9,48,48,0,0,0-.61-7.58,3.75,3.75,0,0,0-.83-2h2.65c.54,0,.73.37.89.78A12.1,12.1,0,0,1,28,13.28c.29,2.72.31,5.45.33,8.18a10.94,10.94,0,0,0,0,1.15c.09.78.4,1.1,1.17,1.08.5,0,.5-.06.5-.06v2.69A8.62,8.62,0,0,1,28.1,26.38Z"}),props.children);});var LogoLivestream16=/*#__PURE__*/React.forwardRef(function LogoLivestream16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.49,23.71h-.76c-2.26,0-4.52,0-6.78,0a3.12,3.12,0,0,1-2.41-1A14.91,14.91,0,0,1,10,18.88c-1.3-2.6-2.54-5.22-3.82-7.82-.39-.8-.82-1.56-1.28-2.32A7.84,7.84,0,0,0,2,5.6c1.24,0,2.41,0,3.57,0a45.63,45.63,0,0,1,7,.61,8.09,8.09,0,0,1,6.34,5.09,48.51,48.51,0,0,1,2.17,7.36A26,26,0,0,0,22.49,23.71Z"}),React.createElement("path",{d:"M28.1,26.38a2.93,2.93,0,0,1-2.74-2.64,42.08,42.08,0,0,1-.14-4.9,48,48,0,0,0-.61-7.58,3.75,3.75,0,0,0-.83-2h2.65c.54,0,.73.37.89.78A12.1,12.1,0,0,1,28,13.28c.29,2.72.31,5.45.33,8.18a10.94,10.94,0,0,0,0,1.15c.09.78.4,1.1,1.17,1.08.5,0,.5-.06.5-.06v2.69A8.62,8.62,0,0,1,28.1,26.38Z"}),props.children);});var LogoMedium32=/*#__PURE__*/React.forwardRef(function LogoMedium32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V28H28V4ZM23.9385,9.6865,22.6514,10.92a.3766.3766,0,0,0-.1431.3613v9.0674a.3765.3765,0,0,0,.1431.3613l1.257,1.2339v.271h-6.323v-.271L18.8877,20.68c.1279-.128.1279-.1656.1279-.3609V12.99l-3.62,9.1958H14.906L10.6907,12.99v6.1631a.8505.8505,0,0,0,.2334.7071l1.6936,2.0547v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7071V12.0264A.6231.6231,0,0,0,9.5239,11.5L8.0186,9.6865v-.271h4.6743l3.613,7.9239,3.1765-7.9239h4.4561Z"}),React.createElement("path",{fill:"none",d:"M9.7273,12.0266A.6246.6246,0,0,0,9.524,11.5L8.0186,9.6863V9.4154H12.693l3.613,7.9238,3.1764-7.9238h4.4561v.2709L22.6513,10.92a.3763.3763,0,0,0-.143.3612v9.0676a.3763.3763,0,0,0,.143.3612l1.2571,1.2341v.2709H17.5856v-.2709L18.8878,20.68c.1279-.1279.1279-.1656.1279-.3612V12.99l-3.62,9.1955h-.4893L10.6907,12.99v6.1629a.8506.8506,0,0,0,.2334.7074l1.6936,2.0543v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7074Z","data-icon-path":"inner-path"}),props.children);});var LogoMedium24=/*#__PURE__*/React.forwardRef(function LogoMedium24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V28H28V4ZM23.9385,9.6865,22.6514,10.92a.3766.3766,0,0,0-.1431.3613v9.0674a.3765.3765,0,0,0,.1431.3613l1.257,1.2339v.271h-6.323v-.271L18.8877,20.68c.1279-.128.1279-.1656.1279-.3609V12.99l-3.62,9.1958H14.906L10.6907,12.99v6.1631a.8505.8505,0,0,0,.2334.7071l1.6936,2.0547v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7071V12.0264A.6231.6231,0,0,0,9.5239,11.5L8.0186,9.6865v-.271h4.6743l3.613,7.9239,3.1765-7.9239h4.4561Z"}),React.createElement("path",{fill:"none",d:"M9.7273,12.0266A.6246.6246,0,0,0,9.524,11.5L8.0186,9.6863V9.4154H12.693l3.613,7.9238,3.1764-7.9238h4.4561v.2709L22.6513,10.92a.3763.3763,0,0,0-.143.3612v9.0676a.3763.3763,0,0,0,.143.3612l1.2571,1.2341v.2709H17.5856v-.2709L18.8878,20.68c.1279-.1279.1279-.1656.1279-.3612V12.99l-3.62,9.1955h-.4893L10.6907,12.99v6.1629a.8506.8506,0,0,0,.2334.7074l1.6936,2.0543v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7074Z","data-icon-path":"inner-path"}),props.children);});var LogoMedium20=/*#__PURE__*/React.forwardRef(function LogoMedium20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V28H28V4ZM23.9385,9.6865,22.6514,10.92a.3766.3766,0,0,0-.1431.3613v9.0674a.3765.3765,0,0,0,.1431.3613l1.257,1.2339v.271h-6.323v-.271L18.8877,20.68c.1279-.128.1279-.1656.1279-.3609V12.99l-3.62,9.1958H14.906L10.6907,12.99v6.1631a.8505.8505,0,0,0,.2334.7071l1.6936,2.0547v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7071V12.0264A.6231.6231,0,0,0,9.5239,11.5L8.0186,9.6865v-.271h4.6743l3.613,7.9239,3.1765-7.9239h4.4561Z"}),React.createElement("path",{fill:"none",d:"M9.7273,12.0266A.6246.6246,0,0,0,9.524,11.5L8.0186,9.6863V9.4154H12.693l3.613,7.9238,3.1764-7.9238h4.4561v.2709L22.6513,10.92a.3763.3763,0,0,0-.143.3612v9.0676a.3763.3763,0,0,0,.143.3612l1.2571,1.2341v.2709H17.5856v-.2709L18.8878,20.68c.1279-.1279.1279-.1656.1279-.3612V12.99l-3.62,9.1955h-.4893L10.6907,12.99v6.1629a.8506.8506,0,0,0,.2334.7074l1.6936,2.0543v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7074Z","data-icon-path":"inner-path"}),props.children);});var LogoMedium16=/*#__PURE__*/React.forwardRef(function LogoMedium16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V28H28V4ZM23.9385,9.6865,22.6514,10.92a.3766.3766,0,0,0-.1431.3613v9.0674a.3765.3765,0,0,0,.1431.3613l1.257,1.2339v.271h-6.323v-.271L18.8877,20.68c.1279-.128.1279-.1656.1279-.3609V12.99l-3.62,9.1958H14.906L10.6907,12.99v6.1631a.8505.8505,0,0,0,.2334.7071l1.6936,2.0547v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7071V12.0264A.6231.6231,0,0,0,9.5239,11.5L8.0186,9.6865v-.271h4.6743l3.613,7.9239,3.1765-7.9239h4.4561Z"}),React.createElement("path",{fill:"none",d:"M9.7273,12.0266A.6246.6246,0,0,0,9.524,11.5L8.0186,9.6863V9.4154H12.693l3.613,7.9238,3.1764-7.9238h4.4561v.2709L22.6513,10.92a.3763.3763,0,0,0-.143.3612v9.0676a.3763.3763,0,0,0,.143.3612l1.2571,1.2341v.2709H17.5856v-.2709L18.8878,20.68c.1279-.1279.1279-.1656.1279-.3612V12.99l-3.62,9.1955h-.4893L10.6907,12.99v6.1629a.8506.8506,0,0,0,.2334.7074l1.6936,2.0543v.2709H7.8154v-.2709L9.509,19.86a.82.82,0,0,0,.2183-.7074Z","data-icon-path":"inner-path"}),props.children);});var LogoOpenshift32=/*#__PURE__*/React.forwardRef(function LogoOpenshift32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4612,15.7968A12.1352,12.1352,0,0,0,25.2821,11.48L29,10.13a11.9879,11.9879,0,0,0-1.0281-1.7382l-1.7431.635a11.9884,11.9884,0,0,0-21.71,7.9129l1.7477-.6412a12.19,12.19,0,0,0,.3309,1.9846L2.8838,19.6384A12.1451,12.1451,0,0,0,4.7565,23.7l1.9663-.7163.0026.0039a11.8856,11.8856,0,0,0,4.67,3.8909A12.013,12.013,0,0,0,27.34,21.0743a11.8725,11.8725,0,0,0,1.08-5.992Zm-2.92,3.4967a7.8,7.8,0,0,1-10.3533,3.7744,7.7207,7.7207,0,0,1-2.2714-1.6128l-1.9846.7235a7.84,7.84,0,0,1-2.0742-3.9895l.0009-.0008,3.7242-1.3566a7.8175,7.8175,0,0,1-.1232-2.0653l-1.7517.6362A7.7729,7.7729,0,0,1,19.7645,8.94h.0067a7.7442,7.7442,0,0,1,2.2646,1.615L23.78,9.921a7.8014,7.8014,0,0,1,1.229,1.6558l-3.71,1.3595a7.8245,7.8245,0,0,1,.9766,4.3882l1.9685-.7151A7.6714,7.6714,0,0,1,23.5411,19.2935Z"}),props.children);});var LogoOpenshift24=/*#__PURE__*/React.forwardRef(function LogoOpenshift24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4612,15.7968A12.1352,12.1352,0,0,0,25.2821,11.48L29,10.13a11.9879,11.9879,0,0,0-1.0281-1.7382l-1.7431.635a11.9884,11.9884,0,0,0-21.71,7.9129l1.7477-.6412a12.19,12.19,0,0,0,.3309,1.9846L2.8838,19.6384A12.1451,12.1451,0,0,0,4.7565,23.7l1.9663-.7163.0026.0039a11.8856,11.8856,0,0,0,4.67,3.8909A12.013,12.013,0,0,0,27.34,21.0743a11.8725,11.8725,0,0,0,1.08-5.992Zm-2.92,3.4967a7.8,7.8,0,0,1-10.3533,3.7744,7.7207,7.7207,0,0,1-2.2714-1.6128l-1.9846.7235a7.84,7.84,0,0,1-2.0742-3.9895l.0009-.0008,3.7242-1.3566a7.8175,7.8175,0,0,1-.1232-2.0653l-1.7517.6362A7.7729,7.7729,0,0,1,19.7645,8.94h.0067a7.7442,7.7442,0,0,1,2.2646,1.615L23.78,9.921a7.8014,7.8014,0,0,1,1.229,1.6558l-3.71,1.3595a7.8245,7.8245,0,0,1,.9766,4.3882l1.9685-.7151A7.6714,7.6714,0,0,1,23.5411,19.2935Z"}),props.children);});var LogoOpenshift20=/*#__PURE__*/React.forwardRef(function LogoOpenshift20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4612,15.7968A12.1352,12.1352,0,0,0,25.2821,11.48L29,10.13a11.9879,11.9879,0,0,0-1.0281-1.7382l-1.7431.635a11.9884,11.9884,0,0,0-21.71,7.9129l1.7477-.6412a12.19,12.19,0,0,0,.3309,1.9846L2.8838,19.6384A12.1451,12.1451,0,0,0,4.7565,23.7l1.9663-.7163.0026.0039a11.8856,11.8856,0,0,0,4.67,3.8909A12.013,12.013,0,0,0,27.34,21.0743a11.8725,11.8725,0,0,0,1.08-5.992Zm-2.92,3.4967a7.8,7.8,0,0,1-10.3533,3.7744,7.7207,7.7207,0,0,1-2.2714-1.6128l-1.9846.7235a7.84,7.84,0,0,1-2.0742-3.9895l.0009-.0008,3.7242-1.3566a7.8175,7.8175,0,0,1-.1232-2.0653l-1.7517.6362A7.7729,7.7729,0,0,1,19.7645,8.94h.0067a7.7442,7.7442,0,0,1,2.2646,1.615L23.78,9.921a7.8014,7.8014,0,0,1,1.229,1.6558l-3.71,1.3595a7.8245,7.8245,0,0,1,.9766,4.3882l1.9685-.7151A7.6714,7.6714,0,0,1,23.5411,19.2935Z"}),props.children);});var LogoOpenshift16=/*#__PURE__*/React.forwardRef(function LogoOpenshift16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4612,15.7968A12.1352,12.1352,0,0,0,25.2821,11.48L29,10.13a11.9879,11.9879,0,0,0-1.0281-1.7382l-1.7431.635a11.9884,11.9884,0,0,0-21.71,7.9129l1.7477-.6412a12.19,12.19,0,0,0,.3309,1.9846L2.8838,19.6384A12.1451,12.1451,0,0,0,4.7565,23.7l1.9663-.7163.0026.0039a11.8856,11.8856,0,0,0,4.67,3.8909A12.013,12.013,0,0,0,27.34,21.0743a11.8725,11.8725,0,0,0,1.08-5.992Zm-2.92,3.4967a7.8,7.8,0,0,1-10.3533,3.7744,7.7207,7.7207,0,0,1-2.2714-1.6128l-1.9846.7235a7.84,7.84,0,0,1-2.0742-3.9895l.0009-.0008,3.7242-1.3566a7.8175,7.8175,0,0,1-.1232-2.0653l-1.7517.6362A7.7729,7.7729,0,0,1,19.7645,8.94h.0067a7.7442,7.7442,0,0,1,2.2646,1.615L23.78,9.921a7.8014,7.8014,0,0,1,1.229,1.6558l-3.71,1.3595a7.8245,7.8245,0,0,1,.9766,4.3882l1.9685-.7151A7.6714,7.6714,0,0,1,23.5411,19.2935Z"}),props.children);});var LogoPinterest32=/*#__PURE__*/React.forwardRef(function LogoPinterest32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a14,14,0,0,0-5.1,27,13.24,13.24,0,0,1,0-4l1.65-7A5.05,5.05,0,0,1,12.17,16c0-1.94,1.13-3.4,2.53-3.4a1.76,1.76,0,0,1,1.77,2c0,1.2-.76,3-1.16,4.66a2,2,0,0,0,2.08,2.53c2.48,0,4.4-2.63,4.4-6.41a5.53,5.53,0,0,0-5.85-5.7,6.06,6.06,0,0,0-6.32,6.08,5.42,5.42,0,0,0,1,3.19.44.44,0,0,1,.1.4c-.11.44-.35,1.4-.39,1.59s-.21.31-.47.19c-1.75-.82-2.84-3.37-2.84-5.43,0-4.41,3.21-8.47,9.25-8.47,4.85,0,8.63,3.46,8.63,8.09,0,4.82-3,8.7-7.27,8.7a3.76,3.76,0,0,1-3.21-1.6l-.87,3.33a15.55,15.55,0,0,1-1.74,3.67A14.17,14.17,0,0,0,16,30,14,14,0,0,0,16,2"}),props.children);});var LogoPinterest24=/*#__PURE__*/React.forwardRef(function LogoPinterest24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a14,14,0,0,0-5.1,27,13.24,13.24,0,0,1,0-4l1.65-7A5.05,5.05,0,0,1,12.17,16c0-1.94,1.13-3.4,2.53-3.4a1.76,1.76,0,0,1,1.77,2c0,1.2-.76,3-1.16,4.66a2,2,0,0,0,2.08,2.53c2.48,0,4.4-2.63,4.4-6.41a5.53,5.53,0,0,0-5.85-5.7,6.06,6.06,0,0,0-6.32,6.08,5.42,5.42,0,0,0,1,3.19.44.44,0,0,1,.1.4c-.11.44-.35,1.4-.39,1.59s-.21.31-.47.19c-1.75-.82-2.84-3.37-2.84-5.43,0-4.41,3.21-8.47,9.25-8.47,4.85,0,8.63,3.46,8.63,8.09,0,4.82-3,8.7-7.27,8.7a3.76,3.76,0,0,1-3.21-1.6l-.87,3.33a15.55,15.55,0,0,1-1.74,3.67A14.17,14.17,0,0,0,16,30,14,14,0,0,0,16,2"}),props.children);});var LogoPinterest20=/*#__PURE__*/React.forwardRef(function LogoPinterest20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a14,14,0,0,0-5.1,27,13.24,13.24,0,0,1,0-4l1.65-7A5.05,5.05,0,0,1,12.17,16c0-1.94,1.13-3.4,2.53-3.4a1.76,1.76,0,0,1,1.77,2c0,1.2-.76,3-1.16,4.66a2,2,0,0,0,2.08,2.53c2.48,0,4.4-2.63,4.4-6.41a5.53,5.53,0,0,0-5.85-5.7,6.06,6.06,0,0,0-6.32,6.08,5.42,5.42,0,0,0,1,3.19.44.44,0,0,1,.1.4c-.11.44-.35,1.4-.39,1.59s-.21.31-.47.19c-1.75-.82-2.84-3.37-2.84-5.43,0-4.41,3.21-8.47,9.25-8.47,4.85,0,8.63,3.46,8.63,8.09,0,4.82-3,8.7-7.27,8.7a3.76,3.76,0,0,1-3.21-1.6l-.87,3.33a15.55,15.55,0,0,1-1.74,3.67A14.17,14.17,0,0,0,16,30,14,14,0,0,0,16,2"}),props.children);});var LogoPinterest16=/*#__PURE__*/React.forwardRef(function LogoPinterest16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a14,14,0,0,0-5.1,27,13.24,13.24,0,0,1,0-4l1.65-7A5.05,5.05,0,0,1,12.17,16c0-1.94,1.13-3.4,2.53-3.4a1.76,1.76,0,0,1,1.77,2c0,1.2-.76,3-1.16,4.66a2,2,0,0,0,2.08,2.53c2.48,0,4.4-2.63,4.4-6.41a5.53,5.53,0,0,0-5.85-5.7,6.06,6.06,0,0,0-6.32,6.08,5.42,5.42,0,0,0,1,3.19.44.44,0,0,1,.1.4c-.11.44-.35,1.4-.39,1.59s-.21.31-.47.19c-1.75-.82-2.84-3.37-2.84-5.43,0-4.41,3.21-8.47,9.25-8.47,4.85,0,8.63,3.46,8.63,8.09,0,4.82-3,8.7-7.27,8.7a3.76,3.76,0,0,1-3.21-1.6l-.87,3.33a15.55,15.55,0,0,1-1.74,3.67A14.17,14.17,0,0,0,16,30,14,14,0,0,0,16,2"}),props.children);});var LogoPython32=/*#__PURE__*/React.forwardRef(function LogoPython32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4882,9.14v2.9663a4.2843,4.2843,0,0,1-4.173,4.2352H12.6431a3.4077,3.4077,0,0,0-3.34,3.3945v6.3607c0,1.81,1.5742,2.8751,3.34,3.3945a11.1762,11.1762,0,0,0,6.6721,0c1.6817-.4869,3.34-1.4668,3.34-3.3945V23.55H15.983v-.8486H25.9951c1.9414,0,2.6648-1.3542,3.34-3.3867a11.4642,11.4642,0,0,0,0-6.7889c-.48-1.9327-1.3961-3.3867-3.34-3.3867ZM19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{fill:"none",d:"M19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{d:"M15.8351,2a19.0717,19.0717,0,0,0-3.192.2725c-2.8268.4994-3.34,1.5447-3.34,3.4723V8.2909h6.68V9.14H6.7962a4.1708,4.1708,0,0,0-4.173,3.3867,12.4855,12.4855,0,0,0,0,6.7889c.4748,1.9776,1.6088,3.3867,3.55,3.3867H8.47V19.65a4.2449,4.2449,0,0,1,4.173-4.15h6.6721a3.3654,3.3654,0,0,0,3.34-3.3944V5.745a3.729,3.729,0,0,0-3.34-3.4723A20.8377,20.8377,0,0,0,15.8351,2ZM12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),React.createElement("path",{fill:"none",d:"M12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),props.children);});var LogoPython24=/*#__PURE__*/React.forwardRef(function LogoPython24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4882,9.14v2.9663a4.2843,4.2843,0,0,1-4.173,4.2352H12.6431a3.4077,3.4077,0,0,0-3.34,3.3945v6.3607c0,1.81,1.5742,2.8751,3.34,3.3945a11.1762,11.1762,0,0,0,6.6721,0c1.6817-.4869,3.34-1.4668,3.34-3.3945V23.55H15.983v-.8486H25.9951c1.9414,0,2.6648-1.3542,3.34-3.3867a11.4642,11.4642,0,0,0,0-6.7889c-.48-1.9327-1.3961-3.3867-3.34-3.3867ZM19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{fill:"none",d:"M19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{d:"M15.8351,2a19.0717,19.0717,0,0,0-3.192.2725c-2.8268.4994-3.34,1.5447-3.34,3.4723V8.2909h6.68V9.14H6.7962a4.1708,4.1708,0,0,0-4.173,3.3867,12.4855,12.4855,0,0,0,0,6.7889c.4748,1.9776,1.6088,3.3867,3.55,3.3867H8.47V19.65a4.2449,4.2449,0,0,1,4.173-4.15h6.6721a3.3654,3.3654,0,0,0,3.34-3.3944V5.745a3.729,3.729,0,0,0-3.34-3.4723A20.8377,20.8377,0,0,0,15.8351,2ZM12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),React.createElement("path",{fill:"none",d:"M12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),props.children);});var LogoPython20=/*#__PURE__*/React.forwardRef(function LogoPython20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4882,9.14v2.9663a4.2843,4.2843,0,0,1-4.173,4.2352H12.6431a3.4077,3.4077,0,0,0-3.34,3.3945v6.3607c0,1.81,1.5742,2.8751,3.34,3.3945a11.1762,11.1762,0,0,0,6.6721,0c1.6817-.4869,3.34-1.4668,3.34-3.3945V23.55H15.983v-.8486H25.9951c1.9414,0,2.6648-1.3542,3.34-3.3867a11.4642,11.4642,0,0,0,0-6.7889c-.48-1.9327-1.3961-3.3867-3.34-3.3867ZM19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{fill:"none",d:"M19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{d:"M15.8351,2a19.0717,19.0717,0,0,0-3.192.2725c-2.8268.4994-3.34,1.5447-3.34,3.4723V8.2909h6.68V9.14H6.7962a4.1708,4.1708,0,0,0-4.173,3.3867,12.4855,12.4855,0,0,0,0,6.7889c.4748,1.9776,1.6088,3.3867,3.55,3.3867H8.47V19.65a4.2449,4.2449,0,0,1,4.173-4.15h6.6721a3.3654,3.3654,0,0,0,3.34-3.3944V5.745a3.729,3.729,0,0,0-3.34-3.4723A20.8377,20.8377,0,0,0,15.8351,2ZM12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),React.createElement("path",{fill:"none",d:"M12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),props.children);});var LogoPython16=/*#__PURE__*/React.forwardRef(function LogoPython16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4882,9.14v2.9663a4.2843,4.2843,0,0,1-4.173,4.2352H12.6431a3.4077,3.4077,0,0,0-3.34,3.3945v6.3607c0,1.81,1.5742,2.8751,3.34,3.3945a11.1762,11.1762,0,0,0,6.6721,0c1.6817-.4869,3.34-1.4668,3.34-3.3945V23.55H15.983v-.8486H25.9951c1.9414,0,2.6648-1.3542,3.34-3.3867a11.4642,11.4642,0,0,0,0-6.7889c-.48-1.9327-1.3961-3.3867-3.34-3.3867ZM19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{fill:"none",d:"M19.7356,25.2476a1.2731,1.2731,0,1,1-1.2534,1.269A1.2607,1.2607,0,0,1,19.7356,25.2476Z"}),React.createElement("path",{d:"M15.8351,2a19.0717,19.0717,0,0,0-3.192.2725c-2.8268.4994-3.34,1.5447-3.34,3.4723V8.2909h6.68V9.14H6.7962a4.1708,4.1708,0,0,0-4.173,3.3867,12.4855,12.4855,0,0,0,0,6.7889c.4748,1.9776,1.6088,3.3867,3.55,3.3867H8.47V19.65a4.2449,4.2449,0,0,1,4.173-4.15h6.6721a3.3654,3.3654,0,0,0,3.34-3.3944V5.745a3.729,3.729,0,0,0-3.34-3.4723A20.8377,20.8377,0,0,0,15.8351,2ZM12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),React.createElement("path",{fill:"none",d:"M12.2226,4.0478a1.2731,1.2731,0,1,1-1.2534,1.2768A1.2675,1.2675,0,0,1,12.2226,4.0478Z"}),props.children);});var LogoQuora32=/*#__PURE__*/React.forwardRef(function LogoQuora32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,23.86H27a1.72,1.72,0,0,1-1.73,1.72c-1.15,0-1.82-.86-2.58-2a11,11,0,0,0,4.79-9.1c.09-7.19-5.85-11.89-12.17-11.89S3,7.37,3,14.37,9,26.16,15.17,26.16a10.71,10.71,0,0,0,3.07-.48c1.15,2.11,2.59,3.74,5.46,3.74A5,5,0,0,0,29,23.86Zm-8.14-3.45a6.31,6.31,0,0,0-5.56-3.16,6,6,0,0,0-3.74,1.15L12.2,20a2.56,2.56,0,0,1,.86-.1c1.82,0,3,1.53,4.12,3.64a7.58,7.58,0,0,1-1.91.19C10.86,23.76,9,20.6,9,14.47s1.91-9.3,6.23-9.3,6.32,3.16,6.32,9.3A20.68,20.68,0,0,1,20.83,20.41Z"}),props.children);});var LogoQuora24=/*#__PURE__*/React.forwardRef(function LogoQuora24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,23.86H27a1.72,1.72,0,0,1-1.73,1.72c-1.15,0-1.82-.86-2.58-2a11,11,0,0,0,4.79-9.1c.09-7.19-5.85-11.89-12.17-11.89S3,7.37,3,14.37,9,26.16,15.17,26.16a10.71,10.71,0,0,0,3.07-.48c1.15,2.11,2.59,3.74,5.46,3.74A5,5,0,0,0,29,23.86Zm-8.14-3.45a6.31,6.31,0,0,0-5.56-3.16,6,6,0,0,0-3.74,1.15L12.2,20a2.56,2.56,0,0,1,.86-.1c1.82,0,3,1.53,4.12,3.64a7.58,7.58,0,0,1-1.91.19C10.86,23.76,9,20.6,9,14.47s1.91-9.3,6.23-9.3,6.32,3.16,6.32,9.3A20.68,20.68,0,0,1,20.83,20.41Z"}),props.children);});var LogoQuora20=/*#__PURE__*/React.forwardRef(function LogoQuora20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,23.86H27a1.72,1.72,0,0,1-1.73,1.72c-1.15,0-1.82-.86-2.58-2a11,11,0,0,0,4.79-9.1c.09-7.19-5.85-11.89-12.17-11.89S3,7.37,3,14.37,9,26.16,15.17,26.16a10.71,10.71,0,0,0,3.07-.48c1.15,2.11,2.59,3.74,5.46,3.74A5,5,0,0,0,29,23.86Zm-8.14-3.45a6.31,6.31,0,0,0-5.56-3.16,6,6,0,0,0-3.74,1.15L12.2,20a2.56,2.56,0,0,1,.86-.1c1.82,0,3,1.53,4.12,3.64a7.58,7.58,0,0,1-1.91.19C10.86,23.76,9,20.6,9,14.47s1.91-9.3,6.23-9.3,6.32,3.16,6.32,9.3A20.68,20.68,0,0,1,20.83,20.41Z"}),props.children);});var LogoQuora16=/*#__PURE__*/React.forwardRef(function LogoQuora16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,23.86H27a1.72,1.72,0,0,1-1.73,1.72c-1.15,0-1.82-.86-2.58-2a11,11,0,0,0,4.79-9.1c.09-7.19-5.85-11.89-12.17-11.89S3,7.37,3,14.37,9,26.16,15.17,26.16a10.71,10.71,0,0,0,3.07-.48c1.15,2.11,2.59,3.74,5.46,3.74A5,5,0,0,0,29,23.86Zm-8.14-3.45a6.31,6.31,0,0,0-5.56-3.16,6,6,0,0,0-3.74,1.15L12.2,20a2.56,2.56,0,0,1,.86-.1c1.82,0,3,1.53,4.12,3.64a7.58,7.58,0,0,1-1.91.19C10.86,23.76,9,20.6,9,14.47s1.91-9.3,6.23-9.3,6.32,3.16,6.32,9.3A20.68,20.68,0,0,1,20.83,20.41Z"}),props.children);});var LogoRScript32=/*#__PURE__*/React.forwardRef(function LogoRScript32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M30,14.7842c0-5.1782-6.2681-9.376-14-9.376S2,9.606,2,14.7842c0,4.6147,4.9814,8.4419,11.5361,9.2226v2.9917l4.7762-.0019,0-2.9741a19.3812,19.3812,0,0,0,3.3418-.6646L23.593,27l5.3975-.0024-3.253-5.4849C28.3625,19.8086,30,17.4263,30,14.7842Zm-22.4983.7c0-3.54,4.7644-6.41,10.6414-6.41s10.2138,1.9629,10.2138,6.41A5.4694,5.4694,0,0,1,24.9587,20.61a3.2252,3.2252,0,0,0-.2978-.1749,10.4735,10.4735,0,0,0-1.34-.5048s4.1743-.31,4.1743-4.4659-4.3684-4.2343-4.3684-4.2343H13.5361V21.2554C9.97,20.22,7.5017,18.0283,7.5017,15.4839Zm13.7422,1.8452-2.8928.001.0014-2.6812,2.8914.0015a1.2476,1.2476,0,0,1,1.34,1.3149A1.3232,1.3232,0,0,1,21.2439,17.3291Zm-2.9326,3.4946h1.2825a.8785.8785,0,0,1,.6406.291,3.2917,3.2917,0,0,1,.51.63,22.4033,22.4033,0,0,1-2.4326.1455Z"}),props.children);});var LogoRScript24=/*#__PURE__*/React.forwardRef(function LogoRScript24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M30,14.7842c0-5.1782-6.2681-9.376-14-9.376S2,9.606,2,14.7842c0,4.6147,4.9814,8.4419,11.5361,9.2226v2.9917l4.7762-.0019,0-2.9741a19.3812,19.3812,0,0,0,3.3418-.6646L23.593,27l5.3975-.0024-3.253-5.4849C28.3625,19.8086,30,17.4263,30,14.7842Zm-22.4983.7c0-3.54,4.7644-6.41,10.6414-6.41s10.2138,1.9629,10.2138,6.41A5.4694,5.4694,0,0,1,24.9587,20.61a3.2252,3.2252,0,0,0-.2978-.1749,10.4735,10.4735,0,0,0-1.34-.5048s4.1743-.31,4.1743-4.4659-4.3684-4.2343-4.3684-4.2343H13.5361V21.2554C9.97,20.22,7.5017,18.0283,7.5017,15.4839Zm13.7422,1.8452-2.8928.001.0014-2.6812,2.8914.0015a1.2476,1.2476,0,0,1,1.34,1.3149A1.3232,1.3232,0,0,1,21.2439,17.3291Zm-2.9326,3.4946h1.2825a.8785.8785,0,0,1,.6406.291,3.2917,3.2917,0,0,1,.51.63,22.4033,22.4033,0,0,1-2.4326.1455Z"}),props.children);});var LogoRScript20=/*#__PURE__*/React.forwardRef(function LogoRScript20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M30,14.7842c0-5.1782-6.2681-9.376-14-9.376S2,9.606,2,14.7842c0,4.6147,4.9814,8.4419,11.5361,9.2226v2.9917l4.7762-.0019,0-2.9741a19.3812,19.3812,0,0,0,3.3418-.6646L23.593,27l5.3975-.0024-3.253-5.4849C28.3625,19.8086,30,17.4263,30,14.7842Zm-22.4983.7c0-3.54,4.7644-6.41,10.6414-6.41s10.2138,1.9629,10.2138,6.41A5.4694,5.4694,0,0,1,24.9587,20.61a3.2252,3.2252,0,0,0-.2978-.1749,10.4735,10.4735,0,0,0-1.34-.5048s4.1743-.31,4.1743-4.4659-4.3684-4.2343-4.3684-4.2343H13.5361V21.2554C9.97,20.22,7.5017,18.0283,7.5017,15.4839Zm13.7422,1.8452-2.8928.001.0014-2.6812,2.8914.0015a1.2476,1.2476,0,0,1,1.34,1.3149A1.3232,1.3232,0,0,1,21.2439,17.3291Zm-2.9326,3.4946h1.2825a.8785.8785,0,0,1,.6406.291,3.2917,3.2917,0,0,1,.51.63,22.4033,22.4033,0,0,1-2.4326.1455Z"}),props.children);});var LogoRScript16=/*#__PURE__*/React.forwardRef(function LogoRScript16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M30,14.7842c0-5.1782-6.2681-9.376-14-9.376S2,9.606,2,14.7842c0,4.6147,4.9814,8.4419,11.5361,9.2226v2.9917l4.7762-.0019,0-2.9741a19.3812,19.3812,0,0,0,3.3418-.6646L23.593,27l5.3975-.0024-3.253-5.4849C28.3625,19.8086,30,17.4263,30,14.7842Zm-22.4983.7c0-3.54,4.7644-6.41,10.6414-6.41s10.2138,1.9629,10.2138,6.41A5.4694,5.4694,0,0,1,24.9587,20.61a3.2252,3.2252,0,0,0-.2978-.1749,10.4735,10.4735,0,0,0-1.34-.5048s4.1743-.31,4.1743-4.4659-4.3684-4.2343-4.3684-4.2343H13.5361V21.2554C9.97,20.22,7.5017,18.0283,7.5017,15.4839Zm13.7422,1.8452-2.8928.001.0014-2.6812,2.8914.0015a1.2476,1.2476,0,0,1,1.34,1.3149A1.3232,1.3232,0,0,1,21.2439,17.3291Zm-2.9326,3.4946h1.2825a.8785.8785,0,0,1,.6406.291,3.2917,3.2917,0,0,1,.51.63,22.4033,22.4033,0,0,1-2.4326.1455Z"}),props.children);});var LogoSkype32=/*#__PURE__*/React.forwardRef(function LogoSkype32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.91,17.88A11.63,11.63,0,0,0,28.06,16,12.06,12.06,0,0,0,16,3.94a11.63,11.63,0,0,0-1.88.15,7.29,7.29,0,0,0-10,10A11.63,11.63,0,0,0,3.94,16,12.06,12.06,0,0,0,16,28.06a11.63,11.63,0,0,0,1.88-.15,7.29,7.29,0,0,0,10-10Zm-6.18,3.6a5,5,0,0,1-2.24,1.73,9,9,0,0,1-3.48.62A8.41,8.41,0,0,1,12,23a5.2,5.2,0,0,1-1.82-1.63,3.59,3.59,0,0,1-.7-2,1.36,1.36,0,0,1,.43-1A1.56,1.56,0,0,1,11,18a1.38,1.38,0,0,1,.91.32,2.5,2.5,0,0,1,.63.94,5.83,5.83,0,0,0,.66,1.18,2.61,2.61,0,0,0,1,.78,3.87,3.87,0,0,0,1.69.31,4,4,0,0,0,2.34-.62,1.8,1.8,0,0,0,.89-1.53,1.54,1.54,0,0,0-.47-1.17,3.09,3.09,0,0,0-1.25-.7c-.52-.17-1.21-.34-2.08-.53A16,16,0,0,1,12.41,16a4.78,4.78,0,0,1-1.89-1.4,3.5,3.5,0,0,1-.7-2.21,3.65,3.65,0,0,1,.74-2.24,4.7,4.7,0,0,1,2.14-1.5A9.51,9.51,0,0,1,16,8.17a8.63,8.63,0,0,1,2.59.35,5.81,5.81,0,0,1,1.83.92,3.91,3.91,0,0,1,1.06,1.21,2.62,2.62,0,0,1,.34,1.25,1.4,1.4,0,0,1-.43,1,1.43,1.43,0,0,1-1.07.46,1.25,1.25,0,0,1-.89-.28,3.36,3.36,0,0,1-.65-.87,3.79,3.79,0,0,0-1.05-1.31,3.13,3.13,0,0,0-1.95-.46,3.64,3.64,0,0,0-2,.5,1.44,1.44,0,0,0-.76,1.2,1.15,1.15,0,0,0,.25.75,2.21,2.21,0,0,0,.72.55,4.74,4.74,0,0,0,.92.36c.32.09.84.22,1.57.39.92.2,1.74.42,2.49.66a7.61,7.61,0,0,1,1.9.88,3.59,3.59,0,0,1,1.23,1.31A4,4,0,0,1,22.5,19,4.24,4.24,0,0,1,21.73,21.48Z"}),props.children);});var LogoSkype24=/*#__PURE__*/React.forwardRef(function LogoSkype24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.91,17.88A11.63,11.63,0,0,0,28.06,16,12.06,12.06,0,0,0,16,3.94a11.63,11.63,0,0,0-1.88.15,7.29,7.29,0,0,0-10,10A11.63,11.63,0,0,0,3.94,16,12.06,12.06,0,0,0,16,28.06a11.63,11.63,0,0,0,1.88-.15,7.29,7.29,0,0,0,10-10Zm-6.18,3.6a5,5,0,0,1-2.24,1.73,9,9,0,0,1-3.48.62A8.41,8.41,0,0,1,12,23a5.2,5.2,0,0,1-1.82-1.63,3.59,3.59,0,0,1-.7-2,1.36,1.36,0,0,1,.43-1A1.56,1.56,0,0,1,11,18a1.38,1.38,0,0,1,.91.32,2.5,2.5,0,0,1,.63.94,5.83,5.83,0,0,0,.66,1.18,2.61,2.61,0,0,0,1,.78,3.87,3.87,0,0,0,1.69.31,4,4,0,0,0,2.34-.62,1.8,1.8,0,0,0,.89-1.53,1.54,1.54,0,0,0-.47-1.17,3.09,3.09,0,0,0-1.25-.7c-.52-.17-1.21-.34-2.08-.53A16,16,0,0,1,12.41,16a4.78,4.78,0,0,1-1.89-1.4,3.5,3.5,0,0,1-.7-2.21,3.65,3.65,0,0,1,.74-2.24,4.7,4.7,0,0,1,2.14-1.5A9.51,9.51,0,0,1,16,8.17a8.63,8.63,0,0,1,2.59.35,5.81,5.81,0,0,1,1.83.92,3.91,3.91,0,0,1,1.06,1.21,2.62,2.62,0,0,1,.34,1.25,1.4,1.4,0,0,1-.43,1,1.43,1.43,0,0,1-1.07.46,1.25,1.25,0,0,1-.89-.28,3.36,3.36,0,0,1-.65-.87,3.79,3.79,0,0,0-1.05-1.31,3.13,3.13,0,0,0-1.95-.46,3.64,3.64,0,0,0-2,.5,1.44,1.44,0,0,0-.76,1.2,1.15,1.15,0,0,0,.25.75,2.21,2.21,0,0,0,.72.55,4.74,4.74,0,0,0,.92.36c.32.09.84.22,1.57.39.92.2,1.74.42,2.49.66a7.61,7.61,0,0,1,1.9.88,3.59,3.59,0,0,1,1.23,1.31A4,4,0,0,1,22.5,19,4.24,4.24,0,0,1,21.73,21.48Z"}),props.children);});var LogoSkype20=/*#__PURE__*/React.forwardRef(function LogoSkype20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.91,17.88A11.63,11.63,0,0,0,28.06,16,12.06,12.06,0,0,0,16,3.94a11.63,11.63,0,0,0-1.88.15,7.29,7.29,0,0,0-10,10A11.63,11.63,0,0,0,3.94,16,12.06,12.06,0,0,0,16,28.06a11.63,11.63,0,0,0,1.88-.15,7.29,7.29,0,0,0,10-10Zm-6.18,3.6a5,5,0,0,1-2.24,1.73,9,9,0,0,1-3.48.62A8.41,8.41,0,0,1,12,23a5.2,5.2,0,0,1-1.82-1.63,3.59,3.59,0,0,1-.7-2,1.36,1.36,0,0,1,.43-1A1.56,1.56,0,0,1,11,18a1.38,1.38,0,0,1,.91.32,2.5,2.5,0,0,1,.63.94,5.83,5.83,0,0,0,.66,1.18,2.61,2.61,0,0,0,1,.78,3.87,3.87,0,0,0,1.69.31,4,4,0,0,0,2.34-.62,1.8,1.8,0,0,0,.89-1.53,1.54,1.54,0,0,0-.47-1.17,3.09,3.09,0,0,0-1.25-.7c-.52-.17-1.21-.34-2.08-.53A16,16,0,0,1,12.41,16a4.78,4.78,0,0,1-1.89-1.4,3.5,3.5,0,0,1-.7-2.21,3.65,3.65,0,0,1,.74-2.24,4.7,4.7,0,0,1,2.14-1.5A9.51,9.51,0,0,1,16,8.17a8.63,8.63,0,0,1,2.59.35,5.81,5.81,0,0,1,1.83.92,3.91,3.91,0,0,1,1.06,1.21,2.62,2.62,0,0,1,.34,1.25,1.4,1.4,0,0,1-.43,1,1.43,1.43,0,0,1-1.07.46,1.25,1.25,0,0,1-.89-.28,3.36,3.36,0,0,1-.65-.87,3.79,3.79,0,0,0-1.05-1.31,3.13,3.13,0,0,0-1.95-.46,3.64,3.64,0,0,0-2,.5,1.44,1.44,0,0,0-.76,1.2,1.15,1.15,0,0,0,.25.75,2.21,2.21,0,0,0,.72.55,4.74,4.74,0,0,0,.92.36c.32.09.84.22,1.57.39.92.2,1.74.42,2.49.66a7.61,7.61,0,0,1,1.9.88,3.59,3.59,0,0,1,1.23,1.31A4,4,0,0,1,22.5,19,4.24,4.24,0,0,1,21.73,21.48Z"}),props.children);});var LogoSkype16=/*#__PURE__*/React.forwardRef(function LogoSkype16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.91,17.88A11.63,11.63,0,0,0,28.06,16,12.06,12.06,0,0,0,16,3.94a11.63,11.63,0,0,0-1.88.15,7.29,7.29,0,0,0-10,10A11.63,11.63,0,0,0,3.94,16,12.06,12.06,0,0,0,16,28.06a11.63,11.63,0,0,0,1.88-.15,7.29,7.29,0,0,0,10-10Zm-6.18,3.6a5,5,0,0,1-2.24,1.73,9,9,0,0,1-3.48.62A8.41,8.41,0,0,1,12,23a5.2,5.2,0,0,1-1.82-1.63,3.59,3.59,0,0,1-.7-2,1.36,1.36,0,0,1,.43-1A1.56,1.56,0,0,1,11,18a1.38,1.38,0,0,1,.91.32,2.5,2.5,0,0,1,.63.94,5.83,5.83,0,0,0,.66,1.18,2.61,2.61,0,0,0,1,.78,3.87,3.87,0,0,0,1.69.31,4,4,0,0,0,2.34-.62,1.8,1.8,0,0,0,.89-1.53,1.54,1.54,0,0,0-.47-1.17,3.09,3.09,0,0,0-1.25-.7c-.52-.17-1.21-.34-2.08-.53A16,16,0,0,1,12.41,16a4.78,4.78,0,0,1-1.89-1.4,3.5,3.5,0,0,1-.7-2.21,3.65,3.65,0,0,1,.74-2.24,4.7,4.7,0,0,1,2.14-1.5A9.51,9.51,0,0,1,16,8.17a8.63,8.63,0,0,1,2.59.35,5.81,5.81,0,0,1,1.83.92,3.91,3.91,0,0,1,1.06,1.21,2.62,2.62,0,0,1,.34,1.25,1.4,1.4,0,0,1-.43,1,1.43,1.43,0,0,1-1.07.46,1.25,1.25,0,0,1-.89-.28,3.36,3.36,0,0,1-.65-.87,3.79,3.79,0,0,0-1.05-1.31,3.13,3.13,0,0,0-1.95-.46,3.64,3.64,0,0,0-2,.5,1.44,1.44,0,0,0-.76,1.2,1.15,1.15,0,0,0,.25.75,2.21,2.21,0,0,0,.72.55,4.74,4.74,0,0,0,.92.36c.32.09.84.22,1.57.39.92.2,1.74.42,2.49.66a7.61,7.61,0,0,1,1.9.88,3.59,3.59,0,0,1,1.23,1.31A4,4,0,0,1,22.5,19,4.24,4.24,0,0,1,21.73,21.48Z"}),props.children);});var LogoSlack32=/*#__PURE__*/React.forwardRef(function LogoSlack32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.0423,19.1661A2.5212,2.5212,0,1,1,6.5212,16.645H9.0423Z"}),React.createElement("path",{d:"M10.3127,19.1661a2.5212,2.5212,0,0,1,5.0423,0v6.3127a2.5212,2.5212,0,1,1-5.0423,0Z"}),React.createElement("path",{d:"M12.8339,9.0423A2.5212,2.5212,0,1,1,15.355,6.5212V9.0423Z"}),React.createElement("path",{d:"M12.8339,10.3127a2.5212,2.5212,0,0,1,0,5.0423H6.5212a2.5212,2.5212,0,1,1,0-5.0423Z"}),React.createElement("path",{d:"M22.9577,12.8339a2.5212,2.5212,0,1,1,2.5211,2.5211H22.9577Z"}),React.createElement("path",{d:"M21.6873,12.8339a2.5212,2.5212,0,0,1-5.0423,0V6.5212a2.5212,2.5212,0,1,1,5.0423,0Z"}),React.createElement("path",{d:"M19.1661,22.9577a2.5212,2.5212,0,1,1-2.5211,2.5211V22.9577Z"}),React.createElement("path",{d:"M19.1661,21.6873a2.5212,2.5212,0,0,1,0-5.0423h6.3127a2.5212,2.5212,0,1,1,0,5.0423Z"}),props.children);});var LogoSlack24=/*#__PURE__*/React.forwardRef(function LogoSlack24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.0423,19.1661A2.5212,2.5212,0,1,1,6.5212,16.645H9.0423Z"}),React.createElement("path",{d:"M10.3127,19.1661a2.5212,2.5212,0,0,1,5.0423,0v6.3127a2.5212,2.5212,0,1,1-5.0423,0Z"}),React.createElement("path",{d:"M12.8339,9.0423A2.5212,2.5212,0,1,1,15.355,6.5212V9.0423Z"}),React.createElement("path",{d:"M12.8339,10.3127a2.5212,2.5212,0,0,1,0,5.0423H6.5212a2.5212,2.5212,0,1,1,0-5.0423Z"}),React.createElement("path",{d:"M22.9577,12.8339a2.5212,2.5212,0,1,1,2.5211,2.5211H22.9577Z"}),React.createElement("path",{d:"M21.6873,12.8339a2.5212,2.5212,0,0,1-5.0423,0V6.5212a2.5212,2.5212,0,1,1,5.0423,0Z"}),React.createElement("path",{d:"M19.1661,22.9577a2.5212,2.5212,0,1,1-2.5211,2.5211V22.9577Z"}),React.createElement("path",{d:"M19.1661,21.6873a2.5212,2.5212,0,0,1,0-5.0423h6.3127a2.5212,2.5212,0,1,1,0,5.0423Z"}),props.children);});var LogoSlack20=/*#__PURE__*/React.forwardRef(function LogoSlack20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.0423,19.1661A2.5212,2.5212,0,1,1,6.5212,16.645H9.0423Z"}),React.createElement("path",{d:"M10.3127,19.1661a2.5212,2.5212,0,0,1,5.0423,0v6.3127a2.5212,2.5212,0,1,1-5.0423,0Z"}),React.createElement("path",{d:"M12.8339,9.0423A2.5212,2.5212,0,1,1,15.355,6.5212V9.0423Z"}),React.createElement("path",{d:"M12.8339,10.3127a2.5212,2.5212,0,0,1,0,5.0423H6.5212a2.5212,2.5212,0,1,1,0-5.0423Z"}),React.createElement("path",{d:"M22.9577,12.8339a2.5212,2.5212,0,1,1,2.5211,2.5211H22.9577Z"}),React.createElement("path",{d:"M21.6873,12.8339a2.5212,2.5212,0,0,1-5.0423,0V6.5212a2.5212,2.5212,0,1,1,5.0423,0Z"}),React.createElement("path",{d:"M19.1661,22.9577a2.5212,2.5212,0,1,1-2.5211,2.5211V22.9577Z"}),React.createElement("path",{d:"M19.1661,21.6873a2.5212,2.5212,0,0,1,0-5.0423h6.3127a2.5212,2.5212,0,1,1,0,5.0423Z"}),props.children);});var LogoSlack16=/*#__PURE__*/React.forwardRef(function LogoSlack16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.0423,19.1661A2.5212,2.5212,0,1,1,6.5212,16.645H9.0423Z"}),React.createElement("path",{d:"M10.3127,19.1661a2.5212,2.5212,0,0,1,5.0423,0v6.3127a2.5212,2.5212,0,1,1-5.0423,0Z"}),React.createElement("path",{d:"M12.8339,9.0423A2.5212,2.5212,0,1,1,15.355,6.5212V9.0423Z"}),React.createElement("path",{d:"M12.8339,10.3127a2.5212,2.5212,0,0,1,0,5.0423H6.5212a2.5212,2.5212,0,1,1,0-5.0423Z"}),React.createElement("path",{d:"M22.9577,12.8339a2.5212,2.5212,0,1,1,2.5211,2.5211H22.9577Z"}),React.createElement("path",{d:"M21.6873,12.8339a2.5212,2.5212,0,0,1-5.0423,0V6.5212a2.5212,2.5212,0,1,1,5.0423,0Z"}),React.createElement("path",{d:"M19.1661,22.9577a2.5212,2.5212,0,1,1-2.5211,2.5211V22.9577Z"}),React.createElement("path",{d:"M19.1661,21.6873a2.5212,2.5212,0,0,1,0-5.0423h6.3127a2.5212,2.5212,0,1,1,0,5.0423Z"}),props.children);});var LogoSnapchat32=/*#__PURE__*/React.forwardRef(function LogoSnapchat32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.9774,9.6279a7.33,7.33,0,0,0-.1186-1.2888,5.2458,5.2458,0,0,0-.4872-1.4948,5.1869,5.1869,0,0,0-.9988-1.3324,4.9557,4.9557,0,0,0-2.1805-1.2433,8.8444,8.8444,0,0,0-2.3059-.2458l-.0044-.0119H10.1143l-.0007.0119a12.578,12.578,0,0,0-1.3221.0591A6.2955,6.2955,0,0,0,7.3792,4.4,5.1155,5.1155,0,0,0,4.2538,7.8152a8.8,8.8,0,0,0-.2459,2.2855L4,21.9065a14.9206,14.9206,0,0,0,.1088,1.5992A5.53,5.53,0,0,0,4.6,25.1205a5.17,5.17,0,0,0,1.443,1.744,4.6907,4.6907,0,0,0,1.4442.7822,7.83,7.83,0,0,0,2.3741.3484c.5034.0032,1.0069.0158,1.5106.0137,3.659-.0154,7.3178.0264,10.9767-.0226a8.6316,8.6316,0,0,0,1.44-.1528A4.8765,4.8765,0,0,0,26.2,26.6613a4.9915,4.9915,0,0,0,1.5931-2.6546,9.6646,9.6646,0,0,0,.2074-2.1v-.1407C28,21.7112,27.9793,9.7855,27.9774,9.6279ZM24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z"}),React.createElement("path",{fill:"none",d:"M24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z","data-icon-path":"inner-path"}),props.children);});var LogoSnapchat24=/*#__PURE__*/React.forwardRef(function LogoSnapchat24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.9774,9.6279a7.33,7.33,0,0,0-.1186-1.2888,5.2458,5.2458,0,0,0-.4872-1.4948,5.1869,5.1869,0,0,0-.9988-1.3324,4.9557,4.9557,0,0,0-2.1805-1.2433,8.8444,8.8444,0,0,0-2.3059-.2458l-.0044-.0119H10.1143l-.0007.0119a12.578,12.578,0,0,0-1.3221.0591A6.2955,6.2955,0,0,0,7.3792,4.4,5.1155,5.1155,0,0,0,4.2538,7.8152a8.8,8.8,0,0,0-.2459,2.2855L4,21.9065a14.9206,14.9206,0,0,0,.1088,1.5992A5.53,5.53,0,0,0,4.6,25.1205a5.17,5.17,0,0,0,1.443,1.744,4.6907,4.6907,0,0,0,1.4442.7822,7.83,7.83,0,0,0,2.3741.3484c.5034.0032,1.0069.0158,1.5106.0137,3.659-.0154,7.3178.0264,10.9767-.0226a8.6316,8.6316,0,0,0,1.44-.1528A4.8765,4.8765,0,0,0,26.2,26.6613a4.9915,4.9915,0,0,0,1.5931-2.6546,9.6646,9.6646,0,0,0,.2074-2.1v-.1407C28,21.7112,27.9793,9.7855,27.9774,9.6279ZM24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z"}),React.createElement("path",{fill:"none",d:"M24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z","data-icon-path":"inner-path"}),props.children);});var LogoSnapchat20=/*#__PURE__*/React.forwardRef(function LogoSnapchat20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.9774,9.6279a7.33,7.33,0,0,0-.1186-1.2888,5.2458,5.2458,0,0,0-.4872-1.4948,5.1869,5.1869,0,0,0-.9988-1.3324,4.9557,4.9557,0,0,0-2.1805-1.2433,8.8444,8.8444,0,0,0-2.3059-.2458l-.0044-.0119H10.1143l-.0007.0119a12.578,12.578,0,0,0-1.3221.0591A6.2955,6.2955,0,0,0,7.3792,4.4,5.1155,5.1155,0,0,0,4.2538,7.8152a8.8,8.8,0,0,0-.2459,2.2855L4,21.9065a14.9206,14.9206,0,0,0,.1088,1.5992A5.53,5.53,0,0,0,4.6,25.1205a5.17,5.17,0,0,0,1.443,1.744,4.6907,4.6907,0,0,0,1.4442.7822,7.83,7.83,0,0,0,2.3741.3484c.5034.0032,1.0069.0158,1.5106.0137,3.659-.0154,7.3178.0264,10.9767-.0226a8.6316,8.6316,0,0,0,1.44-.1528A4.8765,4.8765,0,0,0,26.2,26.6613a4.9915,4.9915,0,0,0,1.5931-2.6546,9.6646,9.6646,0,0,0,.2074-2.1v-.1407C28,21.7112,27.9793,9.7855,27.9774,9.6279ZM24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z"}),React.createElement("path",{fill:"none",d:"M24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z","data-icon-path":"inner-path"}),props.children);});var LogoSnapchat16=/*#__PURE__*/React.forwardRef(function LogoSnapchat16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.9774,9.6279a7.33,7.33,0,0,0-.1186-1.2888,5.2458,5.2458,0,0,0-.4872-1.4948,5.1869,5.1869,0,0,0-.9988-1.3324,4.9557,4.9557,0,0,0-2.1805-1.2433,8.8444,8.8444,0,0,0-2.3059-.2458l-.0044-.0119H10.1143l-.0007.0119a12.578,12.578,0,0,0-1.3221.0591A6.2955,6.2955,0,0,0,7.3792,4.4,5.1155,5.1155,0,0,0,4.2538,7.8152a8.8,8.8,0,0,0-.2459,2.2855L4,21.9065a14.9206,14.9206,0,0,0,.1088,1.5992A5.53,5.53,0,0,0,4.6,25.1205a5.17,5.17,0,0,0,1.443,1.744,4.6907,4.6907,0,0,0,1.4442.7822,7.83,7.83,0,0,0,2.3741.3484c.5034.0032,1.0069.0158,1.5106.0137,3.659-.0154,7.3178.0264,10.9767-.0226a8.6316,8.6316,0,0,0,1.44-.1528A4.8765,4.8765,0,0,0,26.2,26.6613a4.9915,4.9915,0,0,0,1.5931-2.6546,9.6646,9.6646,0,0,0,.2074-2.1v-.1407C28,21.7112,27.9793,9.7855,27.9774,9.6279ZM24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z"}),React.createElement("path",{fill:"none",d:"M24.7635,20.7326c-.1536.36-.93.6577-2.2433.8606-.1232.019-.1751.2183-.2463.5445-.0293.1348-.0592.2669-.1.4057a.2451.2451,0,0,1-.26.1943h-.0205a2.1011,2.1011,0,0,1-.3738-.0472,4.921,4.921,0,0,0-.9852-.1044,4.37,4.37,0,0,0-.7106.06,3.4048,3.4048,0,0,0-1.3483.6888,3.912,3.912,0,0,1-2.3668.9328c-.05,0-.0973-.0018-.1335-.0035-.0287.0024-.0584.0035-.0881.0035a3.9062,3.9062,0,0,1-2.3651-.9322,3.4118,3.4118,0,0,0-1.35-.69,4.3612,4.3612,0,0,0-.71-.06,4.858,4.858,0,0,0-.9852.1115,2.1872,2.1872,0,0,1-.3737.0536.2574.2574,0,0,1-.2807-.2012c-.0414-.1407-.0711-.277-.1-.4082-.0716-.328-.1237-.5282-.2465-.5472-1.3133-.2026-2.0893-.5011-2.2439-.8626a.3349.3349,0,0,1-.0272-.114.2109.2109,0,0,1,.1764-.22,4.5854,4.5854,0,0,0,2.7564-1.6391,6.1681,6.1681,0,0,0,.94-1.4616l.0048-.01a.943.943,0,0,0,.09-.79c-.1693-.3991-.73-.5769-1.1007-.6946-.0921-.0291-.1794-.0567-.2488-.0844-.3288-.13-.8693-.4041-.7973-.7828a.7333.7333,0,0,1,.7127-.4683.5052.5052,0,0,1,.2158.043,2.1572,2.1572,0,0,0,.8916.2355.7465.7465,0,0,0,.5134-.1569q-.0145-.2629-.0318-.5256a8.8742,8.8742,0,0,1,.2122-3.5447A4.6074,4.6074,0,0,1,15.8173,7.76q.177-.0015.3539-.0033a4.6152,4.6152,0,0,1,4.2853,2.7606,8.884,8.884,0,0,1,.2118,3.5478l-.0036.0574c-.01.1629-.02.317-.0278.4665a.7215.7215,0,0,0,.4656.1558,2.2321,2.2321,0,0,0,.84-.234.6628.6628,0,0,1,.2751-.0545.832.832,0,0,1,.3133.06l.005.0019a.5825.5825,0,0,1,.4409.4781c.0034.1835-.133.4578-.8039.7226-.0687.0272-.1564.0551-.2489.0844-.3712.1178-.9312.2956-1.1005.6944a.9422.9422,0,0,0,.09.7893l.0048.01a5.4311,5.4311,0,0,0,3.6967,3.1005.211.211,0,0,1,.1764.22A.3408.3408,0,0,1,24.7635,20.7326Z","data-icon-path":"inner-path"}),props.children);});var LogoTumblr32=/*#__PURE__*/React.forwardRef(function LogoTumblr32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6,28h-4c-3.59,0-6.3-1.86-6.3-6.3V14.58H9V10.72A7.17,7.17,0,0,0,14.3,4h3.76v6.12h4.36v4.46H18.06v6.2c0,1.86.94,2.49,2.42,2.49H22.6Z"}),props.children);});var LogoTumblr24=/*#__PURE__*/React.forwardRef(function LogoTumblr24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6,28h-4c-3.59,0-6.3-1.86-6.3-6.3V14.58H9V10.72A7.17,7.17,0,0,0,14.3,4h3.76v6.12h4.36v4.46H18.06v6.2c0,1.86.94,2.49,2.42,2.49H22.6Z"}),props.children);});var LogoTumblr20=/*#__PURE__*/React.forwardRef(function LogoTumblr20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6,28h-4c-3.59,0-6.3-1.86-6.3-6.3V14.58H9V10.72A7.17,7.17,0,0,0,14.3,4h3.76v6.12h4.36v4.46H18.06v6.2c0,1.86.94,2.49,2.42,2.49H22.6Z"}),props.children);});var LogoTumblr16=/*#__PURE__*/React.forwardRef(function LogoTumblr16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.6,28h-4c-3.59,0-6.3-1.86-6.3-6.3V14.58H9V10.72A7.17,7.17,0,0,0,14.3,4h3.76v6.12h4.36v4.46H18.06v6.2c0,1.86.94,2.49,2.42,2.49H22.6Z"}),props.children);});var LogoTwitter32=/*#__PURE__*/React.forwardRef(function LogoTwitter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.92,24.94A12.76,12.76,0,0,0,24.76,12.1c0-.2,0-.39,0-.59A9.4,9.4,0,0,0,27,9.18a9.31,9.31,0,0,1-2.59.71,4.56,4.56,0,0,0,2-2.5,8.89,8.89,0,0,1-2.86,1.1,4.52,4.52,0,0,0-7.7,4.11,12.79,12.79,0,0,1-9.3-4.71,4.51,4.51,0,0,0,1.4,6,4.47,4.47,0,0,1-2-.56v.05A4.53,4.53,0,0,0,9.5,17.83a4.53,4.53,0,0,1-2,.08A4.51,4.51,0,0,0,11.68,21,9.05,9.05,0,0,1,6.07,23,9.77,9.77,0,0,1,5,22.91a12.77,12.77,0,0,0,6.92,2"}),props.children);});var LogoTwitter24=/*#__PURE__*/React.forwardRef(function LogoTwitter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.92,24.94A12.76,12.76,0,0,0,24.76,12.1c0-.2,0-.39,0-.59A9.4,9.4,0,0,0,27,9.18a9.31,9.31,0,0,1-2.59.71,4.56,4.56,0,0,0,2-2.5,8.89,8.89,0,0,1-2.86,1.1,4.52,4.52,0,0,0-7.7,4.11,12.79,12.79,0,0,1-9.3-4.71,4.51,4.51,0,0,0,1.4,6,4.47,4.47,0,0,1-2-.56v.05A4.53,4.53,0,0,0,9.5,17.83a4.53,4.53,0,0,1-2,.08A4.51,4.51,0,0,0,11.68,21,9.05,9.05,0,0,1,6.07,23,9.77,9.77,0,0,1,5,22.91a12.77,12.77,0,0,0,6.92,2"}),props.children);});var LogoTwitter20=/*#__PURE__*/React.forwardRef(function LogoTwitter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.92,24.94A12.76,12.76,0,0,0,24.76,12.1c0-.2,0-.39,0-.59A9.4,9.4,0,0,0,27,9.18a9.31,9.31,0,0,1-2.59.71,4.56,4.56,0,0,0,2-2.5,8.89,8.89,0,0,1-2.86,1.1,4.52,4.52,0,0,0-7.7,4.11,12.79,12.79,0,0,1-9.3-4.71,4.51,4.51,0,0,0,1.4,6,4.47,4.47,0,0,1-2-.56v.05A4.53,4.53,0,0,0,9.5,17.83a4.53,4.53,0,0,1-2,.08A4.51,4.51,0,0,0,11.68,21,9.05,9.05,0,0,1,6.07,23,9.77,9.77,0,0,1,5,22.91a12.77,12.77,0,0,0,6.92,2"}),props.children);});var LogoTwitter16=/*#__PURE__*/React.forwardRef(function LogoTwitter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.92,24.94A12.76,12.76,0,0,0,24.76,12.1c0-.2,0-.39,0-.59A9.4,9.4,0,0,0,27,9.18a9.31,9.31,0,0,1-2.59.71,4.56,4.56,0,0,0,2-2.5,8.89,8.89,0,0,1-2.86,1.1,4.52,4.52,0,0,0-7.7,4.11,12.79,12.79,0,0,1-9.3-4.71,4.51,4.51,0,0,0,1.4,6,4.47,4.47,0,0,1-2-.56v.05A4.53,4.53,0,0,0,9.5,17.83a4.53,4.53,0,0,1-2,.08A4.51,4.51,0,0,0,11.68,21,9.05,9.05,0,0,1,6.07,23,9.77,9.77,0,0,1,5,22.91a12.77,12.77,0,0,0,6.92,2"}),props.children);});var LogoVmware32=/*#__PURE__*/React.forwardRef(function LogoVmware32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16.67V14.1036c0-2.1716-2.1715-3.356-3.9482-3.356a5.9018,5.9018,0,0,0-3.356,1.3818,4.4329,4.4329,0,0,0-3.1586-1.3818,5.1967,5.1967,0,0,0-3.356,1.3818A3.34,3.34,0,0,0,13.22,10.7476a3.055,3.055,0,0,0-2.9233,1.5937L7.6925,18.2492,4.801,11.622a1.4616,1.4616,0,0,0-1.9148-.7574h0a1.4617,1.4617,0,0,0-.7518,1.9548l3.584,7.7987S6.3107,22,7.4951,22a1.67,1.67,0,0,0,1.7767-.9871c.2735-.41,2.3459-4.769,3.5944-7.41a.4969.4969,0,0,1,.9461.2132v6.551a1.6153,1.6153,0,0,0,1.4741,1.63,1.5794,1.5794,0,0,0,1.6845-1.5759V14.9919a1.678,1.678,0,1,1,3.356,0v5.4288a1.5793,1.5793,0,1,0,3.1585,0V14.9919a1.678,1.678,0,0,1,3.356,0v5.4288a1.5793,1.5793,0,0,0,3.1586,0Z"}),props.children);});var LogoVmware24=/*#__PURE__*/React.forwardRef(function LogoVmware24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16.67V14.1036c0-2.1716-2.1715-3.356-3.9482-3.356a5.9018,5.9018,0,0,0-3.356,1.3818,4.4329,4.4329,0,0,0-3.1586-1.3818,5.1967,5.1967,0,0,0-3.356,1.3818A3.34,3.34,0,0,0,13.22,10.7476a3.055,3.055,0,0,0-2.9233,1.5937L7.6925,18.2492,4.801,11.622a1.4616,1.4616,0,0,0-1.9148-.7574h0a1.4617,1.4617,0,0,0-.7518,1.9548l3.584,7.7987S6.3107,22,7.4951,22a1.67,1.67,0,0,0,1.7767-.9871c.2735-.41,2.3459-4.769,3.5944-7.41a.4969.4969,0,0,1,.9461.2132v6.551a1.6153,1.6153,0,0,0,1.4741,1.63,1.5794,1.5794,0,0,0,1.6845-1.5759V14.9919a1.678,1.678,0,1,1,3.356,0v5.4288a1.5793,1.5793,0,1,0,3.1585,0V14.9919a1.678,1.678,0,0,1,3.356,0v5.4288a1.5793,1.5793,0,0,0,3.1586,0Z"}),props.children);});var LogoVmware20=/*#__PURE__*/React.forwardRef(function LogoVmware20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16.67V14.1036c0-2.1716-2.1715-3.356-3.9482-3.356a5.9018,5.9018,0,0,0-3.356,1.3818,4.4329,4.4329,0,0,0-3.1586-1.3818,5.1967,5.1967,0,0,0-3.356,1.3818A3.34,3.34,0,0,0,13.22,10.7476a3.055,3.055,0,0,0-2.9233,1.5937L7.6925,18.2492,4.801,11.622a1.4616,1.4616,0,0,0-1.9148-.7574h0a1.4617,1.4617,0,0,0-.7518,1.9548l3.584,7.7987S6.3107,22,7.4951,22a1.67,1.67,0,0,0,1.7767-.9871c.2735-.41,2.3459-4.769,3.5944-7.41a.4969.4969,0,0,1,.9461.2132v6.551a1.6153,1.6153,0,0,0,1.4741,1.63,1.5794,1.5794,0,0,0,1.6845-1.5759V14.9919a1.678,1.678,0,1,1,3.356,0v5.4288a1.5793,1.5793,0,1,0,3.1585,0V14.9919a1.678,1.678,0,0,1,3.356,0v5.4288a1.5793,1.5793,0,0,0,3.1586,0Z"}),props.children);});var LogoVmware16=/*#__PURE__*/React.forwardRef(function LogoVmware16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,16.67V14.1036c0-2.1716-2.1715-3.356-3.9482-3.356a5.9018,5.9018,0,0,0-3.356,1.3818,4.4329,4.4329,0,0,0-3.1586-1.3818,5.1967,5.1967,0,0,0-3.356,1.3818A3.34,3.34,0,0,0,13.22,10.7476a3.055,3.055,0,0,0-2.9233,1.5937L7.6925,18.2492,4.801,11.622a1.4616,1.4616,0,0,0-1.9148-.7574h0a1.4617,1.4617,0,0,0-.7518,1.9548l3.584,7.7987S6.3107,22,7.4951,22a1.67,1.67,0,0,0,1.7767-.9871c.2735-.41,2.3459-4.769,3.5944-7.41a.4969.4969,0,0,1,.9461.2132v6.551a1.6153,1.6153,0,0,0,1.4741,1.63,1.5794,1.5794,0,0,0,1.6845-1.5759V14.9919a1.678,1.678,0,1,1,3.356,0v5.4288a1.5793,1.5793,0,1,0,3.1585,0V14.9919a1.678,1.678,0,0,1,3.356,0v5.4288a1.5793,1.5793,0,0,0,3.1586,0Z"}),props.children);});var LogoXing32=/*#__PURE__*/React.forwardRef(function LogoXing32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.42,8.29a1.25,1.25,0,0,0-1.13-.76h-4a.65.65,0,0,0-.55.25.63.63,0,0,0,0,.62l2.73,4.73v0L4.17,20.72a.6.6,0,0,0,0,.62.58.58,0,0,0,.52.28h4a1.22,1.22,0,0,0,1.1-.78l4.36-7.71S11.42,8.29,11.42,8.29Z"}),React.createElement("path",{d:"M27.83,2.88a.65.65,0,0,0,0-.62A.61.61,0,0,0,27.3,2H23.22a1.19,1.19,0,0,0-1.08.77s-8.7,15.43-9,15.93l5.74,10.53A1.26,1.26,0,0,0,20,30h4a.59.59,0,0,0,.54-.26.62.62,0,0,0,0-.62l-5.69-10.4a0,0,0,0,1,0,0Z"}),props.children);});var LogoXing24=/*#__PURE__*/React.forwardRef(function LogoXing24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.42,8.29a1.25,1.25,0,0,0-1.13-.76h-4a.65.65,0,0,0-.55.25.63.63,0,0,0,0,.62l2.73,4.73v0L4.17,20.72a.6.6,0,0,0,0,.62.58.58,0,0,0,.52.28h4a1.22,1.22,0,0,0,1.1-.78l4.36-7.71S11.42,8.29,11.42,8.29Z"}),React.createElement("path",{d:"M27.83,2.88a.65.65,0,0,0,0-.62A.61.61,0,0,0,27.3,2H23.22a1.19,1.19,0,0,0-1.08.77s-8.7,15.43-9,15.93l5.74,10.53A1.26,1.26,0,0,0,20,30h4a.59.59,0,0,0,.54-.26.62.62,0,0,0,0-.62l-5.69-10.4a0,0,0,0,1,0,0Z"}),props.children);});var LogoXing20=/*#__PURE__*/React.forwardRef(function LogoXing20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.42,8.29a1.25,1.25,0,0,0-1.13-.76h-4a.65.65,0,0,0-.55.25.63.63,0,0,0,0,.62l2.73,4.73v0L4.17,20.72a.6.6,0,0,0,0,.62.58.58,0,0,0,.52.28h4a1.22,1.22,0,0,0,1.1-.78l4.36-7.71S11.42,8.29,11.42,8.29Z"}),React.createElement("path",{d:"M27.83,2.88a.65.65,0,0,0,0-.62A.61.61,0,0,0,27.3,2H23.22a1.19,1.19,0,0,0-1.08.77s-8.7,15.43-9,15.93l5.74,10.53A1.26,1.26,0,0,0,20,30h4a.59.59,0,0,0,.54-.26.62.62,0,0,0,0-.62l-5.69-10.4a0,0,0,0,1,0,0Z"}),props.children);});var LogoXing16=/*#__PURE__*/React.forwardRef(function LogoXing16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.42,8.29a1.25,1.25,0,0,0-1.13-.76h-4a.65.65,0,0,0-.55.25.63.63,0,0,0,0,.62l2.73,4.73v0L4.17,20.72a.6.6,0,0,0,0,.62.58.58,0,0,0,.52.28h4a1.22,1.22,0,0,0,1.1-.78l4.36-7.71S11.42,8.29,11.42,8.29Z"}),React.createElement("path",{d:"M27.83,2.88a.65.65,0,0,0,0-.62A.61.61,0,0,0,27.3,2H23.22a1.19,1.19,0,0,0-1.08.77s-8.7,15.43-9,15.93l5.74,10.53A1.26,1.26,0,0,0,20,30h4a.59.59,0,0,0,.54-.26.62.62,0,0,0,0-.62l-5.69-10.4a0,0,0,0,1,0,0Z"}),props.children);});var LogoYelp32=/*#__PURE__*/React.forwardRef(function LogoYelp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M9.09,15.2458l4.6706,2.2777a1.0706,1.0706,0,0,1-.21,2.0011L8.5087,20.7818a1.0729,1.0729,0,0,1-1.3241-.921,9.2173,9.2173,0,0,1,.4213-3.9965A1.0706,1.0706,0,0,1,9.09,15.2458Z"}),React.createElement("path",{fillRule:"evenodd",d:"M10.96,24.8605l3.4763-3.8613a1.0707,1.0707,0,0,1,1.8657.7537l-.1814,5.1945a1.072,1.072,0,0,1-1.2491,1.0192A9.3014,9.3014,0,0,1,11.1488,26.46,1.0713,1.0713,0,0,1,10.96,24.8605Z"}),React.createElement("path",{fillRule:"evenodd",d:"M19.2025,19.7222l4.9412,1.6058a1.0713,1.0713,0,0,1,.6363,1.4794,9.3022,9.3022,0,0,1-2.4707,3.1663,1.072,1.072,0,0,1-1.5914-.2581l-2.7543-4.4078A1.0707,1.0707,0,0,1,19.2025,19.7222Z"}),React.createElement("path",{fillRule:"evenodd",d:"M24.2273,16.57l-4.9948,1.4321A1.0706,1.0706,0,0,1,18.05,16.3742l2.906-4.3078A1.0706,1.0706,0,0,1,22.55,11.86,9.2168,9.2168,0,0,1,24.9135,15.11,1.0729,1.0729,0,0,1,24.2273,16.57Z"}),React.createElement("path",{fillRule:"evenodd",d:"M12.5561,4.45a14.9542,14.9542,0,0,0-2.5676.9459,1.07,1.07,0,0,0-.4636,1.5013l4.8819,8.4557a1.0707,1.0707,0,0,0,1.9979-.5353V5.0534A1.07,1.07,0,0,0,15.2526,3.985,14.9577,14.9577,0,0,0,12.5561,4.45Z"}),props.children);});var LogoYelp24=/*#__PURE__*/React.forwardRef(function LogoYelp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M9.09,15.2458l4.6706,2.2777a1.0706,1.0706,0,0,1-.21,2.0011L8.5087,20.7818a1.0729,1.0729,0,0,1-1.3241-.921,9.2173,9.2173,0,0,1,.4213-3.9965A1.0706,1.0706,0,0,1,9.09,15.2458Z"}),React.createElement("path",{fillRule:"evenodd",d:"M10.96,24.8605l3.4763-3.8613a1.0707,1.0707,0,0,1,1.8657.7537l-.1814,5.1945a1.072,1.072,0,0,1-1.2491,1.0192A9.3014,9.3014,0,0,1,11.1488,26.46,1.0713,1.0713,0,0,1,10.96,24.8605Z"}),React.createElement("path",{fillRule:"evenodd",d:"M19.2025,19.7222l4.9412,1.6058a1.0713,1.0713,0,0,1,.6363,1.4794,9.3022,9.3022,0,0,1-2.4707,3.1663,1.072,1.072,0,0,1-1.5914-.2581l-2.7543-4.4078A1.0707,1.0707,0,0,1,19.2025,19.7222Z"}),React.createElement("path",{fillRule:"evenodd",d:"M24.2273,16.57l-4.9948,1.4321A1.0706,1.0706,0,0,1,18.05,16.3742l2.906-4.3078A1.0706,1.0706,0,0,1,22.55,11.86,9.2168,9.2168,0,0,1,24.9135,15.11,1.0729,1.0729,0,0,1,24.2273,16.57Z"}),React.createElement("path",{fillRule:"evenodd",d:"M12.5561,4.45a14.9542,14.9542,0,0,0-2.5676.9459,1.07,1.07,0,0,0-.4636,1.5013l4.8819,8.4557a1.0707,1.0707,0,0,0,1.9979-.5353V5.0534A1.07,1.07,0,0,0,15.2526,3.985,14.9577,14.9577,0,0,0,12.5561,4.45Z"}),props.children);});var LogoYelp20=/*#__PURE__*/React.forwardRef(function LogoYelp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M9.09,15.2458l4.6706,2.2777a1.0706,1.0706,0,0,1-.21,2.0011L8.5087,20.7818a1.0729,1.0729,0,0,1-1.3241-.921,9.2173,9.2173,0,0,1,.4213-3.9965A1.0706,1.0706,0,0,1,9.09,15.2458Z"}),React.createElement("path",{fillRule:"evenodd",d:"M10.96,24.8605l3.4763-3.8613a1.0707,1.0707,0,0,1,1.8657.7537l-.1814,5.1945a1.072,1.072,0,0,1-1.2491,1.0192A9.3014,9.3014,0,0,1,11.1488,26.46,1.0713,1.0713,0,0,1,10.96,24.8605Z"}),React.createElement("path",{fillRule:"evenodd",d:"M19.2025,19.7222l4.9412,1.6058a1.0713,1.0713,0,0,1,.6363,1.4794,9.3022,9.3022,0,0,1-2.4707,3.1663,1.072,1.072,0,0,1-1.5914-.2581l-2.7543-4.4078A1.0707,1.0707,0,0,1,19.2025,19.7222Z"}),React.createElement("path",{fillRule:"evenodd",d:"M24.2273,16.57l-4.9948,1.4321A1.0706,1.0706,0,0,1,18.05,16.3742l2.906-4.3078A1.0706,1.0706,0,0,1,22.55,11.86,9.2168,9.2168,0,0,1,24.9135,15.11,1.0729,1.0729,0,0,1,24.2273,16.57Z"}),React.createElement("path",{fillRule:"evenodd",d:"M12.5561,4.45a14.9542,14.9542,0,0,0-2.5676.9459,1.07,1.07,0,0,0-.4636,1.5013l4.8819,8.4557a1.0707,1.0707,0,0,0,1.9979-.5353V5.0534A1.07,1.07,0,0,0,15.2526,3.985,14.9577,14.9577,0,0,0,12.5561,4.45Z"}),props.children);});var LogoYelp16=/*#__PURE__*/React.forwardRef(function LogoYelp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{fillRule:"evenodd",d:"M9.09,15.2458l4.6706,2.2777a1.0706,1.0706,0,0,1-.21,2.0011L8.5087,20.7818a1.0729,1.0729,0,0,1-1.3241-.921,9.2173,9.2173,0,0,1,.4213-3.9965A1.0706,1.0706,0,0,1,9.09,15.2458Z"}),React.createElement("path",{fillRule:"evenodd",d:"M10.96,24.8605l3.4763-3.8613a1.0707,1.0707,0,0,1,1.8657.7537l-.1814,5.1945a1.072,1.072,0,0,1-1.2491,1.0192A9.3014,9.3014,0,0,1,11.1488,26.46,1.0713,1.0713,0,0,1,10.96,24.8605Z"}),React.createElement("path",{fillRule:"evenodd",d:"M19.2025,19.7222l4.9412,1.6058a1.0713,1.0713,0,0,1,.6363,1.4794,9.3022,9.3022,0,0,1-2.4707,3.1663,1.072,1.072,0,0,1-1.5914-.2581l-2.7543-4.4078A1.0707,1.0707,0,0,1,19.2025,19.7222Z"}),React.createElement("path",{fillRule:"evenodd",d:"M24.2273,16.57l-4.9948,1.4321A1.0706,1.0706,0,0,1,18.05,16.3742l2.906-4.3078A1.0706,1.0706,0,0,1,22.55,11.86,9.2168,9.2168,0,0,1,24.9135,15.11,1.0729,1.0729,0,0,1,24.2273,16.57Z"}),React.createElement("path",{fillRule:"evenodd",d:"M12.5561,4.45a14.9542,14.9542,0,0,0-2.5676.9459,1.07,1.07,0,0,0-.4636,1.5013l4.8819,8.4557a1.0707,1.0707,0,0,0,1.9979-.5353V5.0534A1.07,1.07,0,0,0,15.2526,3.985,14.9577,14.9577,0,0,0,12.5561,4.45Z"}),props.children);});var LogoYoutube32=/*#__PURE__*/React.forwardRef(function LogoYoutube32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,9.26a3.5,3.5,0,0,0-2.47-2.47C24.76,6.2,16,6.2,16,6.2s-8.76,0-10.94.59A3.5,3.5,0,0,0,2.59,9.26,36.13,36.13,0,0,0,2,16a36.13,36.13,0,0,0,.59,6.74,3.5,3.5,0,0,0,2.47,2.47C7.24,25.8,16,25.8,16,25.8s8.76,0,10.94-.59a3.5,3.5,0,0,0,2.47-2.47A36.13,36.13,0,0,0,30,16,36.13,36.13,0,0,0,29.41,9.26ZM13.2,20.2V11.8L20.47,16Z"}),props.children);});var LogoYoutube24=/*#__PURE__*/React.forwardRef(function LogoYoutube24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,9.26a3.5,3.5,0,0,0-2.47-2.47C24.76,6.2,16,6.2,16,6.2s-8.76,0-10.94.59A3.5,3.5,0,0,0,2.59,9.26,36.13,36.13,0,0,0,2,16a36.13,36.13,0,0,0,.59,6.74,3.5,3.5,0,0,0,2.47,2.47C7.24,25.8,16,25.8,16,25.8s8.76,0,10.94-.59a3.5,3.5,0,0,0,2.47-2.47A36.13,36.13,0,0,0,30,16,36.13,36.13,0,0,0,29.41,9.26ZM13.2,20.2V11.8L20.47,16Z"}),props.children);});var LogoYoutube20=/*#__PURE__*/React.forwardRef(function LogoYoutube20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,9.26a3.5,3.5,0,0,0-2.47-2.47C24.76,6.2,16,6.2,16,6.2s-8.76,0-10.94.59A3.5,3.5,0,0,0,2.59,9.26,36.13,36.13,0,0,0,2,16a36.13,36.13,0,0,0,.59,6.74,3.5,3.5,0,0,0,2.47,2.47C7.24,25.8,16,25.8,16,25.8s8.76,0,10.94-.59a3.5,3.5,0,0,0,2.47-2.47A36.13,36.13,0,0,0,30,16,36.13,36.13,0,0,0,29.41,9.26ZM13.2,20.2V11.8L20.47,16Z"}),props.children);});var LogoYoutube16=/*#__PURE__*/React.forwardRef(function LogoYoutube16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,9.26a3.5,3.5,0,0,0-2.47-2.47C24.76,6.2,16,6.2,16,6.2s-8.76,0-10.94.59A3.5,3.5,0,0,0,2.59,9.26,36.13,36.13,0,0,0,2,16a36.13,36.13,0,0,0,.59,6.74,3.5,3.5,0,0,0,2.47,2.47C7.24,25.8,16,25.8,16,25.8s8.76,0,10.94-.59a3.5,3.5,0,0,0,2.47-2.47A36.13,36.13,0,0,0,30,16,36.13,36.13,0,0,0,29.41,9.26ZM13.2,20.2V11.8L20.47,16Z"}),props.children);});var Logout32=/*#__PURE__*/React.forwardRef(function Logout32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H18a2.0023,2.0023,0,0,0,2-2V25H18v3H6V4H18V7h2V4a2.0023,2.0023,0,0,0-2-2H6A2.0023,2.0023,0,0,0,4,4V28A2.0023,2.0023,0,0,0,6,30Z"}),React.createElement("polygon",{points:"20.586 20.586 24.172 17 10 17 10 15 24.172 15 20.586 11.414 22 10 28 16 22 22 20.586 20.586"}),props.children);});var Logout24=/*#__PURE__*/React.forwardRef(function Logout24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H18a2.0023,2.0023,0,0,0,2-2V25H18v3H6V4H18V7h2V4a2.0023,2.0023,0,0,0-2-2H6A2.0023,2.0023,0,0,0,4,4V28A2.0023,2.0023,0,0,0,6,30Z"}),React.createElement("polygon",{points:"20.586 20.586 24.172 17 10 17 10 15 24.172 15 20.586 11.414 22 10 28 16 22 22 20.586 20.586"}),props.children);});var Logout20=/*#__PURE__*/React.forwardRef(function Logout20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H18a2.0023,2.0023,0,0,0,2-2V25H18v3H6V4H18V7h2V4a2.0023,2.0023,0,0,0-2-2H6A2.0023,2.0023,0,0,0,4,4V28A2.0023,2.0023,0,0,0,6,30Z"}),React.createElement("polygon",{points:"20.586 20.586 24.172 17 10 17 10 15 24.172 15 20.586 11.414 22 10 28 16 22 22 20.586 20.586"}),props.children);});var Logout16=/*#__PURE__*/React.forwardRef(function Logout16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H18a2.0023,2.0023,0,0,0,2-2V25H18v3H6V4H18V7h2V4a2.0023,2.0023,0,0,0-2-2H6A2.0023,2.0023,0,0,0,4,4V28A2.0023,2.0023,0,0,0,6,30Z"}),React.createElement("polygon",{points:"20.586 20.586 24.172 17 10 17 10 15 24.172 15 20.586 11.414 22 10 28 16 22 22 20.586 20.586"}),props.children);});var Loop32=/*#__PURE__*/React.forwardRef(function Loop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.59 19.41 26 22 21 22 21 24 26 24 23.59 26.59 25 28 30 23 25 18 23.59 19.41"}),React.createElement("path",{d:"M13,6A9,9,0,0,0,5.52,20l1.66-1.11A7,7,0,1,1,13,22H2v2H13A9,9,0,0,0,13,6Z"}),props.children);});var Loop24=/*#__PURE__*/React.forwardRef(function Loop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.59 19.41 26 22 21 22 21 24 26 24 23.59 26.59 25 28 30 23 25 18 23.59 19.41"}),React.createElement("path",{d:"M13,6A9,9,0,0,0,5.52,20l1.66-1.11A7,7,0,1,1,13,22H2v2H13A9,9,0,0,0,13,6Z"}),props.children);});var Loop20=/*#__PURE__*/React.forwardRef(function Loop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.59 19.41 26 22 21 22 21 24 26 24 23.59 26.59 25 28 30 23 25 18 23.59 19.41"}),React.createElement("path",{d:"M13,6A9,9,0,0,0,5.52,20l1.66-1.11A7,7,0,1,1,13,22H2v2H13A9,9,0,0,0,13,6Z"}),props.children);});var Loop16=/*#__PURE__*/React.forwardRef(function Loop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.59 19.41 26 22 21 22 21 24 26 24 23.59 26.59 25 28 30 23 25 18 23.59 19.41"}),React.createElement("path",{d:"M13,6A9,9,0,0,0,5.52,20l1.66-1.11A7,7,0,1,1,13,22H2v2H13A9,9,0,0,0,13,6Z"}),props.children);});var MacCommand32=/*#__PURE__*/React.forwardRef(function MacCommand32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13a4,4,0,0,0,4-4V8a4,4,0,0,0-4-4H23a4,4,0,0,0-4,4v3H13V8A4,4,0,0,0,9,4H8A4,4,0,0,0,4,8V9a4,4,0,0,0,4,4h3v6H8a4,4,0,0,0-4,4v1a4,4,0,0,0,4,4H9a4,4,0,0,0,4-4V21h6v3a4,4,0,0,0,4,4h1a4,4,0,0,0,4-4V23a4,4,0,0,0-4-4H21V13ZM21,8a2,2,0,0,1,2-2h1a2,2,0,0,1,2,2V9a2,2,0,0,1-2,2H21ZM8,11A2,2,0,0,1,6,9V8A2,2,0,0,1,8,6H9a2,2,0,0,1,2,2v3H8Zm3,13a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V23a2,2,0,0,1,2-2h3Zm8-5H13V13h6Zm2,2h3a2,2,0,0,1,2,2v1a2,2,0,0,1-2,2H23a2,2,0,0,1-2-2Z"}),props.children);});var MacCommand24=/*#__PURE__*/React.forwardRef(function MacCommand24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13a4,4,0,0,0,4-4V8a4,4,0,0,0-4-4H23a4,4,0,0,0-4,4v3H13V8A4,4,0,0,0,9,4H8A4,4,0,0,0,4,8V9a4,4,0,0,0,4,4h3v6H8a4,4,0,0,0-4,4v1a4,4,0,0,0,4,4H9a4,4,0,0,0,4-4V21h6v3a4,4,0,0,0,4,4h1a4,4,0,0,0,4-4V23a4,4,0,0,0-4-4H21V13ZM21,8a2,2,0,0,1,2-2h1a2,2,0,0,1,2,2V9a2,2,0,0,1-2,2H21ZM8,11A2,2,0,0,1,6,9V8A2,2,0,0,1,8,6H9a2,2,0,0,1,2,2v3H8Zm3,13a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V23a2,2,0,0,1,2-2h3Zm8-5H13V13h6Zm2,2h3a2,2,0,0,1,2,2v1a2,2,0,0,1-2,2H23a2,2,0,0,1-2-2Z"}),props.children);});var MacCommand20=/*#__PURE__*/React.forwardRef(function MacCommand20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13a4,4,0,0,0,4-4V8a4,4,0,0,0-4-4H23a4,4,0,0,0-4,4v3H13V8A4,4,0,0,0,9,4H8A4,4,0,0,0,4,8V9a4,4,0,0,0,4,4h3v6H8a4,4,0,0,0-4,4v1a4,4,0,0,0,4,4H9a4,4,0,0,0,4-4V21h6v3a4,4,0,0,0,4,4h1a4,4,0,0,0,4-4V23a4,4,0,0,0-4-4H21V13ZM21,8a2,2,0,0,1,2-2h1a2,2,0,0,1,2,2V9a2,2,0,0,1-2,2H21ZM8,11A2,2,0,0,1,6,9V8A2,2,0,0,1,8,6H9a2,2,0,0,1,2,2v3H8Zm3,13a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V23a2,2,0,0,1,2-2h3Zm8-5H13V13h6Zm2,2h3a2,2,0,0,1,2,2v1a2,2,0,0,1-2,2H23a2,2,0,0,1-2-2Z"}),props.children);});var MacCommand16=/*#__PURE__*/React.forwardRef(function MacCommand16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,13a4,4,0,0,0,4-4V8a4,4,0,0,0-4-4H23a4,4,0,0,0-4,4v3H13V8A4,4,0,0,0,9,4H8A4,4,0,0,0,4,8V9a4,4,0,0,0,4,4h3v6H8a4,4,0,0,0-4,4v1a4,4,0,0,0,4,4H9a4,4,0,0,0,4-4V21h6v3a4,4,0,0,0,4,4h1a4,4,0,0,0,4-4V23a4,4,0,0,0-4-4H21V13ZM21,8a2,2,0,0,1,2-2h1a2,2,0,0,1,2,2V9a2,2,0,0,1-2,2H21ZM8,11A2,2,0,0,1,6,9V8A2,2,0,0,1,8,6H9a2,2,0,0,1,2,2v3H8Zm3,13a2,2,0,0,1-2,2H8a2,2,0,0,1-2-2V23a2,2,0,0,1,2-2h3Zm8-5H13V13h6Zm2,2h3a2,2,0,0,1,2,2v1a2,2,0,0,1-2,2H23a2,2,0,0,1-2-2Z"}),props.children);});var MacOption32=/*#__PURE__*/React.forwardRef(function MacOption32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"18",y:"5"}),React.createElement("polygon",{points:"10.6,5 4,5 4,7 9.4,7 18.4,27 28,27 28,25 19.6,25"}),props.children);});var MacOption24=/*#__PURE__*/React.forwardRef(function MacOption24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"18",y:"5"}),React.createElement("polygon",{points:"10.6,5 4,5 4,7 9.4,7 18.4,27 28,27 28,25 19.6,25"}),props.children);});var MacOption20=/*#__PURE__*/React.forwardRef(function MacOption20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"18",y:"5"}),React.createElement("polygon",{points:"10.6,5 4,5 4,7 9.4,7 18.4,27 28,27 28,25 19.6,25"}),props.children);});var MacOption16=/*#__PURE__*/React.forwardRef(function MacOption16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"18",y:"5"}),React.createElement("polygon",{points:"10.6,5 4,5 4,7 9.4,7 18.4,27 28,27 28,25 19.6,25"}),props.children);});var MacShift32=/*#__PURE__*/React.forwardRef(function MacShift32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,28H11a2,2,0,0,1-2-2V16H4a1,1,0,0,1-.92-.62,1,1,0,0,1,.21-1.09l12-12a1,1,0,0,1,1.42,0l12,12a1,1,0,0,1,.21,1.09A1,1,0,0,1,28,16H23V26A2,2,0,0,1,21,28ZM6.41,14H10a1,1,0,0,1,1,1V26H21V15a1,1,0,0,1,1-1h3.59L16,4.41Z"}),props.children);});var MacShift24=/*#__PURE__*/React.forwardRef(function MacShift24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,28H11a2,2,0,0,1-2-2V16H4a1,1,0,0,1-.92-.62,1,1,0,0,1,.21-1.09l12-12a1,1,0,0,1,1.42,0l12,12a1,1,0,0,1,.21,1.09A1,1,0,0,1,28,16H23V26A2,2,0,0,1,21,28ZM6.41,14H10a1,1,0,0,1,1,1V26H21V15a1,1,0,0,1,1-1h3.59L16,4.41Z"}),props.children);});var MacShift20=/*#__PURE__*/React.forwardRef(function MacShift20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,28H11a2,2,0,0,1-2-2V16H4a1,1,0,0,1-.92-.62,1,1,0,0,1,.21-1.09l12-12a1,1,0,0,1,1.42,0l12,12a1,1,0,0,1,.21,1.09A1,1,0,0,1,28,16H23V26A2,2,0,0,1,21,28ZM6.41,14H10a1,1,0,0,1,1,1V26H21V15a1,1,0,0,1,1-1h3.59L16,4.41Z"}),props.children);});var MacShift16=/*#__PURE__*/React.forwardRef(function MacShift16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,28H11a2,2,0,0,1-2-2V16H4a1,1,0,0,1-.92-.62,1,1,0,0,1,.21-1.09l12-12a1,1,0,0,1,1.42,0l12,12a1,1,0,0,1,.21,1.09A1,1,0,0,1,28,16H23V26A2,2,0,0,1,21,28ZM6.41,14H10a1,1,0,0,1,1,1V26H21V15a1,1,0,0,1,1-1h3.59L16,4.41Z"}),props.children);});var MachineLearning32=/*#__PURE__*/React.forwardRef(function MachineLearning32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,25a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,25Z"}),React.createElement("path",{d:"M20,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,14Z"}),React.createElement("path",{d:"M12,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,14Z"}),React.createElement("path",{d:"M30,16V14H28V10a4.0045,4.0045,0,0,0-4-4H22V2H20V6H12V2H10V6H8a4.0045,4.0045,0,0,0-4,4v4H2v2H4v5H2v2H4v3a4.0045,4.0045,0,0,0,4,4H24a4.0045,4.0045,0,0,0,4-4V23h2V21H28V16ZM26,26a2.0023,2.0023,0,0,1-2,2H8a2.0023,2.0023,0,0,1-2-2V10A2.0023,2.0023,0,0,1,8,8H24a2.0023,2.0023,0,0,1,2,2Z"}),props.children);});var MachineLearning24=/*#__PURE__*/React.forwardRef(function MachineLearning24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,25a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,25Z"}),React.createElement("path",{d:"M20,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,14Z"}),React.createElement("path",{d:"M12,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,14Z"}),React.createElement("path",{d:"M30,16V14H28V10a4.0045,4.0045,0,0,0-4-4H22V2H20V6H12V2H10V6H8a4.0045,4.0045,0,0,0-4,4v4H2v2H4v5H2v2H4v3a4.0045,4.0045,0,0,0,4,4H24a4.0045,4.0045,0,0,0,4-4V23h2V21H28V16ZM26,26a2.0023,2.0023,0,0,1-2,2H8a2.0023,2.0023,0,0,1-2-2V10A2.0023,2.0023,0,0,1,8,8H24a2.0023,2.0023,0,0,1,2,2Z"}),props.children);});var MachineLearning20=/*#__PURE__*/React.forwardRef(function MachineLearning20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,25a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,25Z"}),React.createElement("path",{d:"M20,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,14Z"}),React.createElement("path",{d:"M12,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,14Z"}),React.createElement("path",{d:"M30,16V14H28V10a4.0045,4.0045,0,0,0-4-4H22V2H20V6H12V2H10V6H8a4.0045,4.0045,0,0,0-4,4v4H2v2H4v5H2v2H4v3a4.0045,4.0045,0,0,0,4,4H24a4.0045,4.0045,0,0,0,4-4V23h2V21H28V16ZM26,26a2.0023,2.0023,0,0,1-2,2H8a2.0023,2.0023,0,0,1-2-2V10A2.0023,2.0023,0,0,1,8,8H24a2.0023,2.0023,0,0,1,2,2Z"}),props.children);});var MachineLearning16=/*#__PURE__*/React.forwardRef(function MachineLearning16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,25a6.9908,6.9908,0,0,1-5.833-3.1287l1.666-1.1074a5.0007,5.0007,0,0,0,8.334,0l1.666,1.1074A6.9908,6.9908,0,0,1,16,25Z"}),React.createElement("path",{d:"M20,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,20,14Z"}),React.createElement("path",{d:"M12,14a2,2,0,1,0,2,2A1.9806,1.9806,0,0,0,12,14Z"}),React.createElement("path",{d:"M30,16V14H28V10a4.0045,4.0045,0,0,0-4-4H22V2H20V6H12V2H10V6H8a4.0045,4.0045,0,0,0-4,4v4H2v2H4v5H2v2H4v3a4.0045,4.0045,0,0,0,4,4H24a4.0045,4.0045,0,0,0,4-4V23h2V21H28V16ZM26,26a2.0023,2.0023,0,0,1-2,2H8a2.0023,2.0023,0,0,1-2-2V10A2.0023,2.0023,0,0,1,8,8H24a2.0023,2.0023,0,0,1,2,2Z"}),props.children);});var MagicWandFilled32=/*#__PURE__*/React.forwardRef(function MagicWandFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MagicWandFilled24=/*#__PURE__*/React.forwardRef(function MagicWandFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MagicWandFilled20=/*#__PURE__*/React.forwardRef(function MagicWandFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MagicWandFilled16=/*#__PURE__*/React.forwardRef(function MagicWandFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MagicWand32=/*#__PURE__*/React.forwardRef(function MagicWand32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5ZM25.4131,28l-11-10.999L17,14.4141l11,11Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MagicWand24=/*#__PURE__*/React.forwardRef(function MagicWand24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5ZM25.4131,28l-11-10.999L17,14.4141l11,11Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MagicWand20=/*#__PURE__*/React.forwardRef(function MagicWand20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5ZM25.4131,28l-11-10.999L17,14.4141l11,11Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MagicWand16=/*#__PURE__*/React.forwardRef(function MagicWand16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4141,24,12,6.5859a2.0476,2.0476,0,0,0-2.8281,0l-2.586,2.586a2.0021,2.0021,0,0,0,0,2.8281L23.999,29.4141a2.0024,2.0024,0,0,0,2.8281,0l2.587-2.5865a1.9993,1.9993,0,0,0,0-2.8281ZM8,10.5859,10.5859,8l5,5-2.5866,2.5869-5-5ZM25.4131,28l-11-10.999L17,14.4141l11,11Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"14.586",transform:"rotate(-45 4 16)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"14.586",y:"2.586",transform:"rotate(-45 16 4)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"2.586",y:"2.586",transform:"rotate(-45 4 4)"}),props.children);});var MailAll32=/*#__PURE__*/React.forwardRef(function MailAll32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.59 20.41 20.17 24 20.17 24 16.58 27.59 18 29 23 24 18 19 16.59 20.41"}),React.createElement("polygon",{points:"23.59 20.41 27.17 24 27.17 24 23.58 27.59 25 29 30 24 25 19 23.59 20.41"}),React.createElement("path",{d:"M14,23H4V7.91l11.43,7.91a1,1,0,0,0,1.14,0L28,7.91V17h2V7a2,2,0,0,0-2-2H4A2,2,0,0,0,2,7V23a2,2,0,0,0,2,2H14ZM25.8,7,16,13.78,6.2,7Z"}),props.children);});var MailAll24=/*#__PURE__*/React.forwardRef(function MailAll24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.59 20.41 20.17 24 20.17 24 16.58 27.59 18 29 23 24 18 19 16.59 20.41"}),React.createElement("polygon",{points:"23.59 20.41 27.17 24 27.17 24 23.58 27.59 25 29 30 24 25 19 23.59 20.41"}),React.createElement("path",{d:"M14,23H4V7.91l11.43,7.91a1,1,0,0,0,1.14,0L28,7.91V17h2V7a2,2,0,0,0-2-2H4A2,2,0,0,0,2,7V23a2,2,0,0,0,2,2H14ZM25.8,7,16,13.78,6.2,7Z"}),props.children);});var MailAll20=/*#__PURE__*/React.forwardRef(function MailAll20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.59 20.41 20.17 24 20.17 24 16.58 27.59 18 29 23 24 18 19 16.59 20.41"}),React.createElement("polygon",{points:"23.59 20.41 27.17 24 27.17 24 23.58 27.59 25 29 30 24 25 19 23.59 20.41"}),React.createElement("path",{d:"M14,23H4V7.91l11.43,7.91a1,1,0,0,0,1.14,0L28,7.91V17h2V7a2,2,0,0,0-2-2H4A2,2,0,0,0,2,7V23a2,2,0,0,0,2,2H14ZM25.8,7,16,13.78,6.2,7Z"}),props.children);});var MailAll16=/*#__PURE__*/React.forwardRef(function MailAll16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.59 20.41 20.17 24 20.17 24 16.58 27.59 18 29 23 24 18 19 16.59 20.41"}),React.createElement("polygon",{points:"23.59 20.41 27.17 24 27.17 24 23.58 27.59 25 29 30 24 25 19 23.59 20.41"}),React.createElement("path",{d:"M14,23H4V7.91l11.43,7.91a1,1,0,0,0,1.14,0L28,7.91V17h2V7a2,2,0,0,0-2-2H4A2,2,0,0,0,2,7V23a2,2,0,0,0,2,2H14ZM25.8,7,16,13.78,6.2,7Z"}),props.children);});var ManageProtection32=/*#__PURE__*/React.forwardRef(function ManageProtection32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),React.createElement("path",{d:"M16,25.277V6h8V16.8048a7,7,0,0,1-3.7,6.1731Z"}),props.children);});var ManageProtection24=/*#__PURE__*/React.forwardRef(function ManageProtection24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),React.createElement("path",{d:"M16,25.277V6h8V16.8048a7,7,0,0,1-3.7,6.1731Z"}),props.children);});var ManageProtection20=/*#__PURE__*/React.forwardRef(function ManageProtection20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),React.createElement("path",{d:"M16,25.277V6h8V16.8048a7,7,0,0,1-3.7,6.1731Z"}),props.children);});var ManageProtection16=/*#__PURE__*/React.forwardRef(function ManageProtection16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),React.createElement("path",{d:"M16,25.277V6h8V16.8048a7,7,0,0,1-3.7,6.1731Z"}),props.children);});var ManagedSolutions32=/*#__PURE__*/React.forwardRef(function ManagedSolutions32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 23 25 23 25 18 23 18 23 23 18 23 18 25 23 25 23 30 25 30 25 25 30 25 30 23"}),React.createElement("path",{d:"M24.1273,11.8394l1.1807.2136a5.7919,5.7919,0,0,1,2.6247,1.1445A5.4219,5.4219,0,0,1,29.9532,18h2.0293a7.5022,7.5022,0,0,0-6.15-7.8848,10.0067,10.0067,0,0,0-7.9387-7.9336,10.0025,10.0025,0,0,0-11.72,7.9336A7.5055,7.5055,0,0,0,.0576,18.4088,7.6841,7.6841,0,0,0,7.7725,25H14V23H7.6978a5.6323,5.6323,0,0,1-5.6024-4.4859,5.5064,5.5064,0,0,1,4.4338-6.4306l1.3488-.2441.2138-1.11a8.2061,8.2061,0,0,1,6.7427-6.6426,7.9714,7.9714,0,0,1,3.0138.13,8.1442,8.1442,0,0,1,6.0526,6.4464Z"}),props.children);});var ManagedSolutions24=/*#__PURE__*/React.forwardRef(function ManagedSolutions24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 23 25 23 25 18 23 18 23 23 18 23 18 25 23 25 23 30 25 30 25 25 30 25 30 23"}),React.createElement("path",{d:"M24.1273,11.8394l1.1807.2136a5.7919,5.7919,0,0,1,2.6247,1.1445A5.4219,5.4219,0,0,1,29.9532,18h2.0293a7.5022,7.5022,0,0,0-6.15-7.8848,10.0067,10.0067,0,0,0-7.9387-7.9336,10.0025,10.0025,0,0,0-11.72,7.9336A7.5055,7.5055,0,0,0,.0576,18.4088,7.6841,7.6841,0,0,0,7.7725,25H14V23H7.6978a5.6323,5.6323,0,0,1-5.6024-4.4859,5.5064,5.5064,0,0,1,4.4338-6.4306l1.3488-.2441.2138-1.11a8.2061,8.2061,0,0,1,6.7427-6.6426,7.9714,7.9714,0,0,1,3.0138.13,8.1442,8.1442,0,0,1,6.0526,6.4464Z"}),props.children);});var ManagedSolutions20=/*#__PURE__*/React.forwardRef(function ManagedSolutions20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 23 25 23 25 18 23 18 23 23 18 23 18 25 23 25 23 30 25 30 25 25 30 25 30 23"}),React.createElement("path",{d:"M24.1273,11.8394l1.1807.2136a5.7919,5.7919,0,0,1,2.6247,1.1445A5.4219,5.4219,0,0,1,29.9532,18h2.0293a7.5022,7.5022,0,0,0-6.15-7.8848,10.0067,10.0067,0,0,0-7.9387-7.9336,10.0025,10.0025,0,0,0-11.72,7.9336A7.5055,7.5055,0,0,0,.0576,18.4088,7.6841,7.6841,0,0,0,7.7725,25H14V23H7.6978a5.6323,5.6323,0,0,1-5.6024-4.4859,5.5064,5.5064,0,0,1,4.4338-6.4306l1.3488-.2441.2138-1.11a8.2061,8.2061,0,0,1,6.7427-6.6426,7.9714,7.9714,0,0,1,3.0138.13,8.1442,8.1442,0,0,1,6.0526,6.4464Z"}),props.children);});var ManagedSolutions16=/*#__PURE__*/React.forwardRef(function ManagedSolutions16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 23 25 23 25 18 23 18 23 23 18 23 18 25 23 25 23 30 25 30 25 25 30 25 30 23"}),React.createElement("path",{d:"M24.1273,11.8394l1.1807.2136a5.7919,5.7919,0,0,1,2.6247,1.1445A5.4219,5.4219,0,0,1,29.9532,18h2.0293a7.5022,7.5022,0,0,0-6.15-7.8848,10.0067,10.0067,0,0,0-7.9387-7.9336,10.0025,10.0025,0,0,0-11.72,7.9336A7.5055,7.5055,0,0,0,.0576,18.4088,7.6841,7.6841,0,0,0,7.7725,25H14V23H7.6978a5.6323,5.6323,0,0,1-5.6024-4.4859,5.5064,5.5064,0,0,1,4.4338-6.4306l1.3488-.2441.2138-1.11a8.2061,8.2061,0,0,1,6.7427-6.6426,7.9714,7.9714,0,0,1,3.0138.13,8.1442,8.1442,0,0,1,6.0526,6.4464Z"}),props.children);});var Map32=/*#__PURE__*/React.forwardRef(function Map32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24l-6.09-8.6A8.14,8.14,0,0,1,16,2a8.08,8.08,0,0,1,8,8.13,8.2,8.2,0,0,1-1.8,5.13ZM16,4a6.07,6.07,0,0,0-6,6.13,6.19,6.19,0,0,0,1.49,4L16,20.52,20.63,14A6.24,6.24,0,0,0,22,10.13,6.07,6.07,0,0,0,16,4Z"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M28,12H26v2h2V28H4V14H6V12H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V14A2,2,0,0,0,28,12Z"}),props.children);});var Map24=/*#__PURE__*/React.forwardRef(function Map24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24l-6.09-8.6A8.14,8.14,0,0,1,16,2a8.08,8.08,0,0,1,8,8.13,8.2,8.2,0,0,1-1.8,5.13ZM16,4a6.07,6.07,0,0,0-6,6.13,6.19,6.19,0,0,0,1.49,4L16,20.52,20.63,14A6.24,6.24,0,0,0,22,10.13,6.07,6.07,0,0,0,16,4Z"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M28,12H26v2h2V28H4V14H6V12H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V14A2,2,0,0,0,28,12Z"}),props.children);});var Map20=/*#__PURE__*/React.forwardRef(function Map20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24l-6.09-8.6A8.14,8.14,0,0,1,16,2a8.08,8.08,0,0,1,8,8.13,8.2,8.2,0,0,1-1.8,5.13ZM16,4a6.07,6.07,0,0,0-6,6.13,6.19,6.19,0,0,0,1.49,4L16,20.52,20.63,14A6.24,6.24,0,0,0,22,10.13,6.07,6.07,0,0,0,16,4Z"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M28,12H26v2h2V28H4V14H6V12H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V14A2,2,0,0,0,28,12Z"}),props.children);});var Map16=/*#__PURE__*/React.forwardRef(function Map16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24l-6.09-8.6A8.14,8.14,0,0,1,16,2a8.08,8.08,0,0,1,8,8.13,8.2,8.2,0,0,1-1.8,5.13ZM16,4a6.07,6.07,0,0,0-6,6.13,6.19,6.19,0,0,0,1.49,4L16,20.52,20.63,14A6.24,6.24,0,0,0,22,10.13,6.07,6.07,0,0,0,16,4Z"}),React.createElement("circle",{cx:"16",cy:"9",r:"2"}),React.createElement("path",{d:"M28,12H26v2h2V28H4V14H6V12H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V14A2,2,0,0,0,28,12Z"}),props.children);});var Maximize32=/*#__PURE__*/React.forwardRef(function Maximize32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 2 21 4 26.59 4 17 13.58 18.41 15 28 5.41 28 11 30 11 30 2 21 2"}),React.createElement("polygon",{points:"15 18.42 13.59 17 4 26.59 4 21 2 21 2 30 11 30 11 28 5.41 28 15 18.42"}),props.children);});var Maximize24=/*#__PURE__*/React.forwardRef(function Maximize24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 2 21 4 26.59 4 17 13.58 18.41 15 28 5.41 28 11 30 11 30 2 21 2"}),React.createElement("polygon",{points:"15 18.42 13.59 17 4 26.59 4 21 2 21 2 30 11 30 11 28 5.41 28 15 18.42"}),props.children);});var Maximize20=/*#__PURE__*/React.forwardRef(function Maximize20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 2 21 4 26.59 4 17 13.58 18.41 15 28 5.41 28 11 30 11 30 2 21 2"}),React.createElement("polygon",{points:"15 18.42 13.59 17 4 26.59 4 21 2 21 2 30 11 30 11 28 5.41 28 15 18.42"}),props.children);});var MedicationAlert32=/*#__PURE__*/React.forwardRef(function MedicationAlert32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"22",y:"19"}),React.createElement("path",{d:"M23,31a8,8,0,1,1,8-8A8,8,0,0,1,23,31Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,23,17Z"}),React.createElement("circle",{cx:"23",cy:"26",r:"1"}),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2h8V28H6V26h5V12H6V10H18v3h2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM9,14V24H6V14ZM4,8V4H20V8Z"}),props.children);});var MedicationAlert24=/*#__PURE__*/React.forwardRef(function MedicationAlert24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"22",y:"19"}),React.createElement("path",{d:"M23,31a8,8,0,1,1,8-8A8,8,0,0,1,23,31Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,23,17Z"}),React.createElement("circle",{cx:"23",cy:"26",r:"1"}),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2h8V28H6V26h5V12H6V10H18v3h2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM9,14V24H6V14ZM4,8V4H20V8Z"}),props.children);});var MedicationAlert20=/*#__PURE__*/React.forwardRef(function MedicationAlert20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"22",y:"19"}),React.createElement("path",{d:"M23,31a8,8,0,1,1,8-8A8,8,0,0,1,23,31Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,23,17Z"}),React.createElement("circle",{cx:"23",cy:"26",r:"1"}),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2h8V28H6V26h5V12H6V10H18v3h2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM9,14V24H6V14ZM4,8V4H20V8Z"}),props.children);});var MedicationAlert16=/*#__PURE__*/React.forwardRef(function MedicationAlert16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"5",x:"22",y:"19"}),React.createElement("path",{d:"M23,31a8,8,0,1,1,8-8A8,8,0,0,1,23,31Zm0-14a6,6,0,1,0,6,6A6,6,0,0,0,23,17Z"}),React.createElement("circle",{cx:"23",cy:"26",r:"1"}),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2h8V28H6V26h5V12H6V10H18v3h2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM9,14V24H6V14ZM4,8V4H20V8Z"}),props.children);});var MedicationReminder32=/*#__PURE__*/React.forwardRef(function MedicationReminder32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H18a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM6,14H9V24H6ZM18,28H6V26h5V12H6V10H18ZM4,8V4H20V8Z"}),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),props.children);});var MedicationReminder24=/*#__PURE__*/React.forwardRef(function MedicationReminder24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H18a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM6,14H9V24H6ZM18,28H6V26h5V12H6V10H18ZM4,8V4H20V8Z"}),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),props.children);});var MedicationReminder20=/*#__PURE__*/React.forwardRef(function MedicationReminder20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H18a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM6,14H9V24H6ZM18,28H6V26h5V12H6V10H18ZM4,8V4H20V8Z"}),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),props.children);});var MedicationReminder16=/*#__PURE__*/React.forwardRef(function MedicationReminder16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,2H4A2,2,0,0,0,2,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H18a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,20,2ZM6,14H9V24H6ZM18,28H6V26h5V12H6V10H18ZM4,8V4H20V8Z"}),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),props.children);});var Medication32=/*#__PURE__*/React.forwardRef(function Medication32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,2H8A2,2,0,0,0,6,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,24,2ZM10,14h3V24H10ZM22,28H10V26h5V12H10V10H22ZM8,8V4H24V8Z"}),props.children);});var Medication24=/*#__PURE__*/React.forwardRef(function Medication24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,2H8A2,2,0,0,0,6,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,24,2ZM10,14h3V24H10ZM22,28H10V26h5V12H10V10H22ZM8,8V4H24V8Z"}),props.children);});var Medication20=/*#__PURE__*/React.forwardRef(function Medication20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,2H8A2,2,0,0,0,6,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,24,2ZM10,14h3V24H10ZM22,28H10V26h5V12H10V10H22ZM8,8V4H24V8Z"}),props.children);});var Medication16=/*#__PURE__*/React.forwardRef(function Medication16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,2H8A2,2,0,0,0,6,4V8a2,2,0,0,0,2,2V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V10a2,2,0,0,0,2-2V4A2,2,0,0,0,24,2ZM10,14h3V24H10ZM22,28H10V26h5V12H10V10H22ZM8,8V4H24V8Z"}),props.children);});var Menu32=/*#__PURE__*/React.forwardRef(function Menu32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"6"}),props.children);});var Meter32=/*#__PURE__*/React.forwardRef(function Meter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a9.9283,9.9283,0,0,0-1.1392-4.6182l-1.4961,1.4961A7.9483,7.9483,0,0,1,24,16Z"}),React.createElement("path",{d:"M23.4141,10,22,8.5859l-4.7147,4.7147A2.9659,2.9659,0,0,0,16,13a3,3,0,1,0,3,3,2.9659,2.9659,0,0,0-.3006-1.2853ZM16,17a1,1,0,1,1,1-1A1.0013,1.0013,0,0,1,16,17Z"}),React.createElement("path",{d:"M16,8a7.9515,7.9515,0,0,1,3.1223.6353l1.4961-1.4961A9.9864,9.9864,0,0,0,6,16H8A8.0092,8.0092,0,0,1,16,8Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var Meter24=/*#__PURE__*/React.forwardRef(function Meter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a9.9283,9.9283,0,0,0-1.1392-4.6182l-1.4961,1.4961A7.9483,7.9483,0,0,1,24,16Z"}),React.createElement("path",{d:"M23.4141,10,22,8.5859l-4.7147,4.7147A2.9659,2.9659,0,0,0,16,13a3,3,0,1,0,3,3,2.9659,2.9659,0,0,0-.3006-1.2853ZM16,17a1,1,0,1,1,1-1A1.0013,1.0013,0,0,1,16,17Z"}),React.createElement("path",{d:"M16,8a7.9515,7.9515,0,0,1,3.1223.6353l1.4961-1.4961A9.9864,9.9864,0,0,0,6,16H8A8.0092,8.0092,0,0,1,16,8Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var Meter20=/*#__PURE__*/React.forwardRef(function Meter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a9.9283,9.9283,0,0,0-1.1392-4.6182l-1.4961,1.4961A7.9483,7.9483,0,0,1,24,16Z"}),React.createElement("path",{d:"M23.4141,10,22,8.5859l-4.7147,4.7147A2.9659,2.9659,0,0,0,16,13a3,3,0,1,0,3,3,2.9659,2.9659,0,0,0-.3006-1.2853ZM16,17a1,1,0,1,1,1-1A1.0013,1.0013,0,0,1,16,17Z"}),React.createElement("path",{d:"M16,8a7.9515,7.9515,0,0,1,3.1223.6353l1.4961-1.4961A9.9864,9.9864,0,0,0,6,16H8A8.0092,8.0092,0,0,1,16,8Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var Meter16=/*#__PURE__*/React.forwardRef(function Meter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16a9.9283,9.9283,0,0,0-1.1392-4.6182l-1.4961,1.4961A7.9483,7.9483,0,0,1,24,16Z"}),React.createElement("path",{d:"M23.4141,10,22,8.5859l-4.7147,4.7147A2.9659,2.9659,0,0,0,16,13a3,3,0,1,0,3,3,2.9659,2.9659,0,0,0-.3006-1.2853ZM16,17a1,1,0,1,1,1-1A1.0013,1.0013,0,0,1,16,17Z"}),React.createElement("path",{d:"M16,8a7.9515,7.9515,0,0,1,3.1223.6353l1.4961-1.4961A9.9864,9.9864,0,0,0,6,16H8A8.0092,8.0092,0,0,1,16,8Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),props.children);});var MicrophoneFilled32=/*#__PURE__*/React.forwardRef(function MicrophoneFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22Z"}),props.children);});var MicrophoneFilled24=/*#__PURE__*/React.forwardRef(function MicrophoneFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22Z"}),props.children);});var MicrophoneFilled20=/*#__PURE__*/React.forwardRef(function MicrophoneFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22Z"}),props.children);});var MicrophoneFilled16=/*#__PURE__*/React.forwardRef(function MicrophoneFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22Z"}),props.children);});var MicrophoneOffFilled32=/*#__PURE__*/React.forwardRef(function MicrophoneOffFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Z"}),React.createElement("path",{d:"M9,17.32c0-.11,0-.21,0-.32V14H7v3a9,9,0,0,0,.25,2.09Z"}),React.createElement("path",{d:"M20.76,5.58A5,5,0,0,0,11,7v8.34Z"}),props.children);});var MicrophoneOffFilled24=/*#__PURE__*/React.forwardRef(function MicrophoneOffFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Z"}),React.createElement("path",{d:"M9,17.32c0-.11,0-.21,0-.32V14H7v3a9,9,0,0,0,.25,2.09Z"}),React.createElement("path",{d:"M20.76,5.58A5,5,0,0,0,11,7v8.34Z"}),props.children);});var MicrophoneOffFilled20=/*#__PURE__*/React.forwardRef(function MicrophoneOffFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Z"}),React.createElement("path",{d:"M9,17.32c0-.11,0-.21,0-.32V14H7v3a9,9,0,0,0,.25,2.09Z"}),React.createElement("path",{d:"M20.76,5.58A5,5,0,0,0,11,7v8.34Z"}),props.children);});var MicrophoneOffFilled16=/*#__PURE__*/React.forwardRef(function MicrophoneOffFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Z"}),React.createElement("path",{d:"M9,17.32c0-.11,0-.21,0-.32V14H7v3a9,9,0,0,0,.25,2.09Z"}),React.createElement("path",{d:"M20.76,5.58A5,5,0,0,0,11,7v8.34Z"}),props.children);});var MicrophoneOff32=/*#__PURE__*/React.forwardRef(function MicrophoneOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.18,18.57A7.41,7.41,0,0,1,9,17V14H7v3a8.84,8.84,0,0,0,.58,3.18Z"}),React.createElement("path",{d:"M13,15V7a3,3,0,0,1,6,0V8.75l2-2A5,5,0,0,0,11,7v8Z"}),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Zm-4,0a3,3,0,0,1-4.9,2.31L19,14.42Z"}),props.children);});var MicrophoneOff24=/*#__PURE__*/React.forwardRef(function MicrophoneOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.18,18.57A7.41,7.41,0,0,1,9,17V14H7v3a8.84,8.84,0,0,0,.58,3.18Z"}),React.createElement("path",{d:"M13,15V7a3,3,0,0,1,6,0V8.75l2-2A5,5,0,0,0,11,7v8Z"}),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Zm-4,0a3,3,0,0,1-4.9,2.31L19,14.42Z"}),props.children);});var MicrophoneOff20=/*#__PURE__*/React.forwardRef(function MicrophoneOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.18,18.57A7.41,7.41,0,0,1,9,17V14H7v3a8.84,8.84,0,0,0,.58,3.18Z"}),React.createElement("path",{d:"M13,15V7a3,3,0,0,1,6,0V8.75l2-2A5,5,0,0,0,11,7v8Z"}),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Zm-4,0a3,3,0,0,1-4.9,2.31L19,14.42Z"}),props.children);});var MicrophoneOff16=/*#__PURE__*/React.forwardRef(function MicrophoneOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.18,18.57A7.41,7.41,0,0,1,9,17V14H7v3a8.84,8.84,0,0,0,.58,3.18Z"}),React.createElement("path",{d:"M13,15V7a3,3,0,0,1,6,0V8.75l2-2A5,5,0,0,0,11,7v8Z"}),React.createElement("path",{d:"M23,17a7,7,0,0,1-11.73,5.14l1.42-1.41A5,5,0,0,0,21,17V12.42l9-9L28.59,2,2,28.59,3.41,30l6.44-6.44A8.91,8.91,0,0,0,15,25.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14H23Zm-4,0a3,3,0,0,1-4.9,2.31L19,14.42Z"}),props.children);});var Microphone32=/*#__PURE__*/React.forwardRef(function Microphone32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22ZM13,7a3,3,0,0,1,6,0V17a3,3,0,0,1-6,0Z"}),props.children);});var Microphone24=/*#__PURE__*/React.forwardRef(function Microphone24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22ZM13,7a3,3,0,0,1,6,0V17a3,3,0,0,1-6,0Z"}),props.children);});var Microphone20=/*#__PURE__*/React.forwardRef(function Microphone20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22ZM13,7a3,3,0,0,1,6,0V17a3,3,0,0,1-6,0Z"}),props.children);});var Microphone16=/*#__PURE__*/React.forwardRef(function Microphone16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,14v3A7,7,0,0,1,9,17V14H7v3a9,9,0,0,0,8,8.94V28H11v2H21V28H17V25.94A9,9,0,0,0,25,17V14Z"}),React.createElement("path",{d:"M16,22a5,5,0,0,0,5-5V7A5,5,0,0,0,11,7V17A5,5,0,0,0,16,22ZM13,7a3,3,0,0,1,6,0V17a3,3,0,0,1-6,0Z"}),props.children);});var Microscope32=/*#__PURE__*/React.forwardRef(function Microscope32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.3943,24a7.8772,7.8772,0,0,0-1.6707-8.5684,3.918,3.918,0,0,0-1.0844-4.414l2.7759-2.7759a2.0025,2.0025,0,0,0,0-2.8286L22.5869,2.5849a2.0021,2.0021,0,0,0-2.8286,0L6.5859,15.7573a2.0027,2.0027,0,0,0,0,2.8286l2.8282,2.8282a2.0024,2.0024,0,0,0,2.8286,0l4.7749-4.7754a3.9329,3.9329,0,0,0,5.5139.4326A5.9442,5.9442,0,0,1,23.1775,24H16v4H4v2H28V24ZM10.8281,20,8,17.1714,9.8787,15.293l2.8283,2.8281ZM16,14a3.9811,3.9811,0,0,0,.0762.7524L14.1211,16.707l-2.8284-2.8281,9.88-9.88L24.001,6.8271l-3.2488,3.2491A3.9771,3.9771,0,0,0,16,14Zm4,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,20,16Zm6,12H18V26h8Z"}),props.children);});var Microscope24=/*#__PURE__*/React.forwardRef(function Microscope24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.3943,24a7.8772,7.8772,0,0,0-1.6707-8.5684,3.918,3.918,0,0,0-1.0844-4.414l2.7759-2.7759a2.0025,2.0025,0,0,0,0-2.8286L22.5869,2.5849a2.0021,2.0021,0,0,0-2.8286,0L6.5859,15.7573a2.0027,2.0027,0,0,0,0,2.8286l2.8282,2.8282a2.0024,2.0024,0,0,0,2.8286,0l4.7749-4.7754a3.9329,3.9329,0,0,0,5.5139.4326A5.9442,5.9442,0,0,1,23.1775,24H16v4H4v2H28V24ZM10.8281,20,8,17.1714,9.8787,15.293l2.8283,2.8281ZM16,14a3.9811,3.9811,0,0,0,.0762.7524L14.1211,16.707l-2.8284-2.8281,9.88-9.88L24.001,6.8271l-3.2488,3.2491A3.9771,3.9771,0,0,0,16,14Zm4,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,20,16Zm6,12H18V26h8Z"}),props.children);});var Microscope20=/*#__PURE__*/React.forwardRef(function Microscope20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.3943,24a7.8772,7.8772,0,0,0-1.6707-8.5684,3.918,3.918,0,0,0-1.0844-4.414l2.7759-2.7759a2.0025,2.0025,0,0,0,0-2.8286L22.5869,2.5849a2.0021,2.0021,0,0,0-2.8286,0L6.5859,15.7573a2.0027,2.0027,0,0,0,0,2.8286l2.8282,2.8282a2.0024,2.0024,0,0,0,2.8286,0l4.7749-4.7754a3.9329,3.9329,0,0,0,5.5139.4326A5.9442,5.9442,0,0,1,23.1775,24H16v4H4v2H28V24ZM10.8281,20,8,17.1714,9.8787,15.293l2.8283,2.8281ZM16,14a3.9811,3.9811,0,0,0,.0762.7524L14.1211,16.707l-2.8284-2.8281,9.88-9.88L24.001,6.8271l-3.2488,3.2491A3.9771,3.9771,0,0,0,16,14Zm4,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,20,16Zm6,12H18V26h8Z"}),props.children);});var Microscope16=/*#__PURE__*/React.forwardRef(function Microscope16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.3943,24a7.8772,7.8772,0,0,0-1.6707-8.5684,3.918,3.918,0,0,0-1.0844-4.414l2.7759-2.7759a2.0025,2.0025,0,0,0,0-2.8286L22.5869,2.5849a2.0021,2.0021,0,0,0-2.8286,0L6.5859,15.7573a2.0027,2.0027,0,0,0,0,2.8286l2.8282,2.8282a2.0024,2.0024,0,0,0,2.8286,0l4.7749-4.7754a3.9329,3.9329,0,0,0,5.5139.4326A5.9442,5.9442,0,0,1,23.1775,24H16v4H4v2H28V24ZM10.8281,20,8,17.1714,9.8787,15.293l2.8283,2.8281ZM16,14a3.9811,3.9811,0,0,0,.0762.7524L14.1211,16.707l-2.8284-2.8281,9.88-9.88L24.001,6.8271l-3.2488,3.2491A3.9771,3.9771,0,0,0,16,14Zm4,2a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,20,16Zm6,12H18V26h8Z"}),props.children);});var MigrateAlt32=/*#__PURE__*/React.forwardRef(function MigrateAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V20H10v6H4V17H20.1719l-3.586,3.5859L18,22l6-6-6-6-1.4141,1.4141L20.1719,15H4V6h6v6h2V6H28Z"}),props.children);});var MigrateAlt24=/*#__PURE__*/React.forwardRef(function MigrateAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V20H10v6H4V17H20.1719l-3.586,3.5859L18,22l6-6-6-6-1.4141,1.4141L20.1719,15H4V6h6v6h2V6H28Z"}),props.children);});var MigrateAlt20=/*#__PURE__*/React.forwardRef(function MigrateAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V20H10v6H4V17H20.1719l-3.586,3.5859L18,22l6-6-6-6-1.4141,1.4141L20.1719,15H4V6h6v6h2V6H28Z"}),props.children);});var MigrateAlt16=/*#__PURE__*/React.forwardRef(function MigrateAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V20H10v6H4V17H20.1719l-3.586,3.5859L18,22l6-6-6-6-1.4141,1.4141L20.1719,15H4V6h6v6h2V6H28Z"}),props.children);});var Migrate32=/*#__PURE__*/React.forwardRef(function Migrate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V8a2,2,0,0,0,2,2h9v6.17l-2.59-2.58L11,15l5,5,5-5-1.41-1.41L17,16.17V10h9a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2ZM6,4h4V8H6ZM26,8H12V4H26Z"}),React.createElement("path",{d:"M26,22H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V24A2,2,0,0,0,26,22ZM6,24H20v4H6Zm20,4H22V24h4Z"}),props.children);});var Migrate24=/*#__PURE__*/React.forwardRef(function Migrate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V8a2,2,0,0,0,2,2h9v6.17l-2.59-2.58L11,15l5,5,5-5-1.41-1.41L17,16.17V10h9a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2ZM6,4h4V8H6ZM26,8H12V4H26Z"}),React.createElement("path",{d:"M26,22H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V24A2,2,0,0,0,26,22ZM6,24H20v4H6Zm20,4H22V24h4Z"}),props.children);});var Migrate20=/*#__PURE__*/React.forwardRef(function Migrate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V8a2,2,0,0,0,2,2h9v6.17l-2.59-2.58L11,15l5,5,5-5-1.41-1.41L17,16.17V10h9a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2ZM6,4h4V8H6ZM26,8H12V4H26Z"}),React.createElement("path",{d:"M26,22H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V24A2,2,0,0,0,26,22ZM6,24H20v4H6Zm20,4H22V24h4Z"}),props.children);});var Migrate16=/*#__PURE__*/React.forwardRef(function Migrate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V8a2,2,0,0,0,2,2h9v6.17l-2.59-2.58L11,15l5,5,5-5-1.41-1.41L17,16.17V10h9a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2ZM6,4h4V8H6ZM26,8H12V4H26Z"}),React.createElement("path",{d:"M26,22H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V24A2,2,0,0,0,26,22ZM6,24H20v4H6Zm20,4H22V24h4Z"}),props.children);});var Minimize32=/*#__PURE__*/React.forwardRef(function Minimize32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 17 6 19 11.59 19 2 28.58 3.41 30 13 20.41 13 26 15 26 15 17 6 17"}),React.createElement("polygon",{points:"30 3.42 28.59 2 19 11.59 19 6 17 6 17 15 26 15 26 13 20.41 13 30 3.42"}),props.children);});var Minimize24=/*#__PURE__*/React.forwardRef(function Minimize24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 17 6 19 11.59 19 2 28.58 3.41 30 13 20.41 13 26 15 26 15 17 6 17"}),React.createElement("polygon",{points:"30 3.42 28.59 2 19 11.59 19 6 17 6 17 15 26 15 26 13 20.41 13 30 3.42"}),props.children);});var Minimize20=/*#__PURE__*/React.forwardRef(function Minimize20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 17 6 19 11.59 19 2 28.58 3.41 30 13 20.41 13 26 15 26 15 17 6 17"}),React.createElement("polygon",{points:"30 3.42 28.59 2 19 11.59 19 6 17 6 17 15 26 15 26 13 20.41 13 30 3.42"}),props.children);});var MisuseAlt32=/*#__PURE__*/React.forwardRef(function MisuseAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21.41 23 16 17.591 10.59 23 9 21.41 14.409 16 9 10.591 10.591 9 16 14.409 21.409 9 23 10.591 17.591 16 23 21.41 21.41 23"}),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12.0136,12.0136,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),props.children);});var MisuseAlt24=/*#__PURE__*/React.forwardRef(function MisuseAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21.41 23 16 17.591 10.59 23 9 21.41 14.409 16 9 10.591 10.591 9 16 14.409 21.409 9 23 10.591 17.591 16 23 21.41 21.41 23"}),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12.0136,12.0136,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),props.children);});var MisuseAlt20=/*#__PURE__*/React.forwardRef(function MisuseAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21.41 23 16 17.591 10.59 23 9 21.41 14.409 16 9 10.591 10.591 9 16 14.409 21.409 9 23 10.591 17.591 16 23 21.41 21.41 23"}),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12.0136,12.0136,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),props.children);});var MisuseAlt16=/*#__PURE__*/React.forwardRef(function MisuseAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21.41 23 16 17.591 10.59 23 9 21.41 14.409 16 9 10.591 10.591 9 16 14.409 21.409 9 23 10.591 17.591 16 23 21.41 21.41 23"}),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12.0136,12.0136,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),props.children);});var MisuseOutline32=/*#__PURE__*/React.forwardRef(function MisuseOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("polygon",{points:"21.4,23 16,17.6 10.6,23 9,21.4 14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4"}),props.children);});var MisuseOutline24=/*#__PURE__*/React.forwardRef(function MisuseOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("polygon",{points:"21.4,23 16,17.6 10.6,23 9,21.4 14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4"}),props.children);});var MisuseOutline20=/*#__PURE__*/React.forwardRef(function MisuseOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.2,2,2,8.2,2,16s6.2,14,14,14s14-6.2,14-14S23.8,2,16,2z M16,28C9.4,28,4,22.6,4,16S9.4,4,16,4s12,5.4,12,12\tS22.6,28,16,28z"}),React.createElement("polygon",{points:"21.4,23 16,17.6 10.6,23 9,21.4 14.4,16 9,10.6 10.6,9 16,14.4 21.4,9 23,10.6 17.6,16 23,21.4"}),props.children);});var Misuse32=/*#__PURE__*/React.forwardRef(function Misuse32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M21.4,23L16,17.6L10.6,23L9,21.4l5.4-5.4L9,10.6L10.6,9\tl5.4,5.4L21.4,9l1.6,1.6L17.6,16l5.4,5.4L21.4,23z"}),React.createElement("path",{fill:"none",d:"M21.4,23L16,17.6L10.6,23L9,21.4l5.4-5.4L9,10.6L10.6,9l5.4,5.4L21.4,9l1.6,1.6L17.6,16\tl5.4,5.4L21.4,23z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var MixedRainHail32=/*#__PURE__*/React.forwardRef(function MixedRainHail32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var MixedRainHail24=/*#__PURE__*/React.forwardRef(function MixedRainHail24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var MixedRainHail20=/*#__PURE__*/React.forwardRef(function MixedRainHail20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var MixedRainHail16=/*#__PURE__*/React.forwardRef(function MixedRainHail16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"25.5",r:"1.5"}),React.createElement("circle",{cx:"21.5",cy:"29.5",r:"1.5"}),React.createElement("polygon",{points:"15.868 30.496 14.132 29.504 17.276 24 11.277 24 16.132 15.504 17.868 16.496 14.723 22 20.724 22 15.868 30.496"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var MobileAdd32=/*#__PURE__*/React.forwardRef(function MobileAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 24 24 24 24 20 22 20 22 24 18 24 18 26 22 26 22 30 24 30 24 26 28 26 28 24"}),React.createElement("path",{d:"M10,28V10H22v7h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6l0-2ZM10,6H22l0,2H10Z"}),props.children);});var MobileAdd24=/*#__PURE__*/React.forwardRef(function MobileAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 24 24 24 24 20 22 20 22 24 18 24 18 26 22 26 22 30 24 30 24 26 28 26 28 24"}),React.createElement("path",{d:"M10,28V10H22v7h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6l0-2ZM10,6H22l0,2H10Z"}),props.children);});var MobileAdd20=/*#__PURE__*/React.forwardRef(function MobileAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 24 24 24 24 20 22 20 22 24 18 24 18 26 22 26 22 30 24 30 24 26 28 26 28 24"}),React.createElement("path",{d:"M10,28V10H22v7h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6l0-2ZM10,6H22l0,2H10Z"}),props.children);});var MobileAdd16=/*#__PURE__*/React.forwardRef(function MobileAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 24 24 24 24 20 22 20 22 24 18 24 18 26 22 26 22 30 24 30 24 26 28 26 28 24"}),React.createElement("path",{d:"M10,28V10H22v7h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6l0-2ZM10,6H22l0,2H10Z"}),props.children);});var MobileAudio32=/*#__PURE__*/React.forwardRef(function MobileAudio32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"28",y:"12"}),React.createElement("rect",{width:"2",height:"13",x:"24",y:"7"}),React.createElement("rect",{width:"2",height:"5",x:"20",y:"11"}),React.createElement("rect",{width:"2",height:"9",x:"16",y:"9"}),React.createElement("rect",{width:"2",height:"3",x:"12",y:"12"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var MobileAudio24=/*#__PURE__*/React.forwardRef(function MobileAudio24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"28",y:"12"}),React.createElement("rect",{width:"2",height:"13",x:"24",y:"7"}),React.createElement("rect",{width:"2",height:"5",x:"20",y:"11"}),React.createElement("rect",{width:"2",height:"9",x:"16",y:"9"}),React.createElement("rect",{width:"2",height:"3",x:"12",y:"12"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var MobileAudio20=/*#__PURE__*/React.forwardRef(function MobileAudio20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"28",y:"12"}),React.createElement("rect",{width:"2",height:"13",x:"24",y:"7"}),React.createElement("rect",{width:"2",height:"5",x:"20",y:"11"}),React.createElement("rect",{width:"2",height:"9",x:"16",y:"9"}),React.createElement("rect",{width:"2",height:"3",x:"12",y:"12"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var MobileAudio16=/*#__PURE__*/React.forwardRef(function MobileAudio16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"28",y:"12"}),React.createElement("rect",{width:"2",height:"13",x:"24",y:"7"}),React.createElement("rect",{width:"2",height:"5",x:"20",y:"11"}),React.createElement("rect",{width:"2",height:"9",x:"16",y:"9"}),React.createElement("rect",{width:"2",height:"3",x:"12",y:"12"}),React.createElement("circle",{cx:"13.5",cy:"24.5",r:"1.5"}),React.createElement("path",{d:"M20,30H7a2.0023,2.0023,0,0,1-2-2V4A2.0023,2.0023,0,0,1,7,2H20V4H7V28H20V24h2v4A2.0023,2.0023,0,0,1,20,30Z"}),props.children);});var MobileCheck32=/*#__PURE__*/React.forwardRef(function MobileCheck32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 27.18 17.41 24.59 16 26 20 30 28 22 26.59 20.59 20 27.18"}),React.createElement("path",{d:"M10,28V10H22v9h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h4V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileCheck24=/*#__PURE__*/React.forwardRef(function MobileCheck24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 27.18 17.41 24.59 16 26 20 30 28 22 26.59 20.59 20 27.18"}),React.createElement("path",{d:"M10,28V10H22v9h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h4V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileCheck20=/*#__PURE__*/React.forwardRef(function MobileCheck20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 27.18 17.41 24.59 16 26 20 30 28 22 26.59 20.59 20 27.18"}),React.createElement("path",{d:"M10,28V10H22v9h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h4V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileCheck16=/*#__PURE__*/React.forwardRef(function MobileCheck16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 27.18 17.41 24.59 16 26 20 30 28 22 26.59 20.59 20 27.18"}),React.createElement("path",{d:"M10,28V10H22v9h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h4V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileDownload32=/*#__PURE__*/React.forwardRef(function MobileDownload32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 25 26.586 23.586 24 26.172 24 18 22 18 22 26.172 19.414 23.586 18 25 23 30 28 25"}),React.createElement("path",{d:"M10,28V10H22v5h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileDownload24=/*#__PURE__*/React.forwardRef(function MobileDownload24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 25 26.586 23.586 24 26.172 24 18 22 18 22 26.172 19.414 23.586 18 25 23 30 28 25"}),React.createElement("path",{d:"M10,28V10H22v5h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileDownload20=/*#__PURE__*/React.forwardRef(function MobileDownload20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 25 26.586 23.586 24 26.172 24 18 22 18 22 26.172 19.414 23.586 18 25 23 30 28 25"}),React.createElement("path",{d:"M10,28V10H22v5h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileDownload16=/*#__PURE__*/React.forwardRef(function MobileDownload16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28 25 26.586 23.586 24 26.172 24 18 22 18 22 26.172 19.414 23.586 18 25 23 30 28 25"}),React.createElement("path",{d:"M10,28V10H22v5h2V6a2.0023,2.0023,0,0,0-2-2H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2h6V28ZM10,6H22l0,2H10Z"}),props.children);});var MobileLandscape32=/*#__PURE__*/React.forwardRef(function MobileLandscape32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M3,10V22a2.002,2.002,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V10a2.0027,2.0027,0,0,0-2-2H5A2.0023,2.0023,0,0,0,3,10Zm2,0,2,0V22H5ZM27,22H9V10H27Z"}),props.children);});var MobileLandscape24=/*#__PURE__*/React.forwardRef(function MobileLandscape24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M3,10V22a2.002,2.002,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V10a2.0027,2.0027,0,0,0-2-2H5A2.0023,2.0023,0,0,0,3,10Zm2,0,2,0V22H5ZM27,22H9V10H27Z"}),props.children);});var MobileLandscape20=/*#__PURE__*/React.forwardRef(function MobileLandscape20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M3,10V22a2.002,2.002,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V10a2.0027,2.0027,0,0,0-2-2H5A2.0023,2.0023,0,0,0,3,10Zm2,0,2,0V22H5ZM27,22H9V10H27Z"}),props.children);});var MobileLandscape16=/*#__PURE__*/React.forwardRef(function MobileLandscape16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M3,10V22a2.002,2.002,0,0,0,2,2H27a2.0023,2.0023,0,0,0,2-2V10a2.0027,2.0027,0,0,0-2-2H5A2.0023,2.0023,0,0,0,3,10Zm2,0,2,0V22H5ZM27,22H9V10H27Z"}),props.children);});var Mobile32=/*#__PURE__*/React.forwardRef(function Mobile32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2H22a2.0027,2.0027,0,0,0,2-2V6A2.0023,2.0023,0,0,0,22,4Zm0,2,0,2H10V6ZM10,28V10H22l0,18Z"}),props.children);});var Mobile24=/*#__PURE__*/React.forwardRef(function Mobile24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2H22a2.0027,2.0027,0,0,0,2-2V6A2.0023,2.0023,0,0,0,22,4Zm0,2,0,2H10V6ZM10,28V10H22l0,18Z"}),props.children);});var Mobile20=/*#__PURE__*/React.forwardRef(function Mobile20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2H22a2.0027,2.0027,0,0,0,2-2V6A2.0023,2.0023,0,0,0,22,4Zm0,2,0,2H10V6ZM10,28V10H22l0,18Z"}),props.children);});var Mobile16=/*#__PURE__*/React.forwardRef(function Mobile16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4H10A2.002,2.002,0,0,0,8,6V28a2.0023,2.0023,0,0,0,2,2H22a2.0027,2.0027,0,0,0,2-2V6A2.0023,2.0023,0,0,0,22,4Zm0,2,0,2H10V6ZM10,28V10H22l0,18Z"}),props.children);});var ModelReference32=/*#__PURE__*/React.forwardRef(function ModelReference32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 21 4 23 7.586 23 2 28.586 3.414 30 9 24.414 9 28 11 28 11 21 4 21"}),React.createElement("path",{d:"M23.5,4H8.5l-6,8-.7843,1.0454L6.8773,19l1.3233-1.5264L5.19,14h5.1119L16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5Zm-7.8044,0H12.8043L16,6.8867ZM5,12,9.5,6h4.6957l-3.75,6ZM15.999,23.7212,12.4318,14H19.568Zm1.9437.51L21.6978,14H26.81Z"}),props.children);});var ModelReference24=/*#__PURE__*/React.forwardRef(function ModelReference24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 21 4 23 7.586 23 2 28.586 3.414 30 9 24.414 9 28 11 28 11 21 4 21"}),React.createElement("path",{d:"M23.5,4H8.5l-6,8-.7843,1.0454L6.8773,19l1.3233-1.5264L5.19,14h5.1119L16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5Zm-7.8044,0H12.8043L16,6.8867ZM5,12,9.5,6h4.6957l-3.75,6ZM15.999,23.7212,12.4318,14H19.568Zm1.9437.51L21.6978,14H26.81Z"}),props.children);});var ModelReference20=/*#__PURE__*/React.forwardRef(function ModelReference20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 21 4 23 7.586 23 2 28.586 3.414 30 9 24.414 9 28 11 28 11 21 4 21"}),React.createElement("path",{d:"M23.5,4H8.5l-6,8-.7843,1.0454L6.8773,19l1.3233-1.5264L5.19,14h5.1119L16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5Zm-7.8044,0H12.8043L16,6.8867ZM5,12,9.5,6h4.6957l-3.75,6ZM15.999,23.7212,12.4318,14H19.568Zm1.9437.51L21.6978,14H26.81Z"}),props.children);});var ModelReference16=/*#__PURE__*/React.forwardRef(function ModelReference16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 21 4 23 7.586 23 2 28.586 3.414 30 9 24.414 9 28 11 28 11 21 4 21"}),React.createElement("path",{d:"M23.5,4H8.5l-6,8-.7843,1.0454L6.8773,19l1.3233-1.5264L5.19,14h5.1119L16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5Zm-7.8044,0H12.8043L16,6.8867ZM5,12,9.5,6h4.6957l-3.75,6ZM15.999,23.7212,12.4318,14H19.568Zm1.9437.51L21.6978,14H26.81Z"}),props.children);});var ModelBuilder32=/*#__PURE__*/React.forwardRef(function ModelBuilder32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4V7H10V4H2v8h8V9h7.0234A4.9468,4.9468,0,0,0,16,12v8a3.0033,3.0033,0,0,1-3,3H10V20H2v8h8V25H13a5.0057,5.0057,0,0,0,5-5V12a2.999,2.999,0,0,1,3-3h1v3h8V4ZM8,10H4V6H8ZM8,26H4V22H8ZM28,10H24V6h4Z"}),props.children);});var ModelBuilder24=/*#__PURE__*/React.forwardRef(function ModelBuilder24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4V7H10V4H2v8h8V9h7.0234A4.9468,4.9468,0,0,0,16,12v8a3.0033,3.0033,0,0,1-3,3H10V20H2v8h8V25H13a5.0057,5.0057,0,0,0,5-5V12a2.999,2.999,0,0,1,3-3h1v3h8V4ZM8,10H4V6H8ZM8,26H4V22H8ZM28,10H24V6h4Z"}),props.children);});var ModelBuilder20=/*#__PURE__*/React.forwardRef(function ModelBuilder20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4V7H10V4H2v8h8V9h7.0234A4.9468,4.9468,0,0,0,16,12v8a3.0033,3.0033,0,0,1-3,3H10V20H2v8h8V25H13a5.0057,5.0057,0,0,0,5-5V12a2.999,2.999,0,0,1,3-3h1v3h8V4ZM8,10H4V6H8ZM8,26H4V22H8ZM28,10H24V6h4Z"}),props.children);});var ModelBuilder16=/*#__PURE__*/React.forwardRef(function ModelBuilder16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,4V7H10V4H2v8h8V9h7.0234A4.9468,4.9468,0,0,0,16,12v8a3.0033,3.0033,0,0,1-3,3H10V20H2v8h8V25H13a5.0057,5.0057,0,0,0,5-5V12a2.999,2.999,0,0,1,3-3h1v3h8V4ZM8,10H4V6H8ZM8,26H4V22H8ZM28,10H24V6h4Z"}),props.children);});var Model32=/*#__PURE__*/React.forwardRef(function Model32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,4H8.5L1.7158,13.0454,16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5ZM10.3021,14l3.7536,10.23L5.19,14Zm2.13,0H19.568l-3.569,9.7212Zm.3725-2L16,6.8867,19.1957,12Zm8.8935,2H26.81L17.9427,24.2314ZM9.5,6h4.6957l-3.75,6H5Z"}),props.children);});var Model24=/*#__PURE__*/React.forwardRef(function Model24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,4H8.5L1.7158,13.0454,16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5ZM10.3021,14l3.7536,10.23L5.19,14Zm2.13,0H19.568l-3.569,9.7212Zm.3725-2L16,6.8867,19.1957,12Zm8.8935,2H26.81L17.9427,24.2314ZM9.5,6h4.6957l-3.75,6H5Z"}),props.children);});var Model20=/*#__PURE__*/React.forwardRef(function Model20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,4H8.5L1.7158,13.0454,16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5ZM10.3021,14l3.7536,10.23L5.19,14Zm2.13,0H19.568l-3.569,9.7212Zm.3725-2L16,6.8867,19.1957,12Zm8.8935,2H26.81L17.9427,24.2314ZM9.5,6h4.6957l-3.75,6H5Z"}),props.children);});var Model16=/*#__PURE__*/React.forwardRef(function Model16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,4H8.5L1.7158,13.0454,16,29.5269,30.2842,13.0454ZM27,12H21.5543l-3.75-6H22.5ZM10.3021,14l3.7536,10.23L5.19,14Zm2.13,0H19.568l-3.569,9.7212Zm.3725-2L16,6.8867,19.1957,12Zm8.8935,2H26.81L17.9427,24.2314ZM9.5,6h4.6957l-3.75,6H5Z"}),props.children);});var Money32=/*#__PURE__*/React.forwardRef(function Money32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"22"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,16a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,16Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,16,10Z"}),React.createElement("path",{d:"M8,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,20H4a2.0051,2.0051,0,0,1-2-2V6A2.0051,2.0051,0,0,1,4,4H28a2.0051,2.0051,0,0,1,2,2V18A2.0027,2.0027,0,0,1,28,20ZM28,6H4V18H28Z"}),props.children);});var Money24=/*#__PURE__*/React.forwardRef(function Money24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"22"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,16a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,16Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,16,10Z"}),React.createElement("path",{d:"M8,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,20H4a2.0051,2.0051,0,0,1-2-2V6A2.0051,2.0051,0,0,1,4,4H28a2.0051,2.0051,0,0,1,2,2V18A2.0027,2.0027,0,0,1,28,20ZM28,6H4V18H28Z"}),props.children);});var Money20=/*#__PURE__*/React.forwardRef(function Money20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"22"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,16a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,16Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,16,10Z"}),React.createElement("path",{d:"M8,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,20H4a2.0051,2.0051,0,0,1-2-2V6A2.0051,2.0051,0,0,1,4,4H28a2.0051,2.0051,0,0,1,2,2V18A2.0027,2.0027,0,0,1,28,20ZM28,6H4V18H28Z"}),props.children);});var Money16=/*#__PURE__*/React.forwardRef(function Money16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"28",height:"2",x:"2",y:"22"}),React.createElement("rect",{width:"28",height:"2",x:"2",y:"26"}),React.createElement("path",{d:"M24,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M16,16a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,16Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,16,10Z"}),React.createElement("path",{d:"M8,10a2,2,0,1,0,2,2,2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,20H4a2.0051,2.0051,0,0,1-2-2V6A2.0051,2.0051,0,0,1,4,4H28a2.0051,2.0051,0,0,1,2,2V18A2.0027,2.0027,0,0,1,28,20ZM28,6H4V18H28Z"}),props.children);});var Moon32=/*#__PURE__*/React.forwardRef(function Moon32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5025,5.4136A15.0755,15.0755,0,0,0,25.096,23.6082a11.1134,11.1134,0,0,1-7.9749,3.3893c-.1385,0-.2782.0051-.4178,0A11.0944,11.0944,0,0,1,13.5025,5.4136M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var Moon24=/*#__PURE__*/React.forwardRef(function Moon24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5025,5.4136A15.0755,15.0755,0,0,0,25.096,23.6082a11.1134,11.1134,0,0,1-7.9749,3.3893c-.1385,0-.2782.0051-.4178,0A11.0944,11.0944,0,0,1,13.5025,5.4136M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var Moon20=/*#__PURE__*/React.forwardRef(function Moon20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5025,5.4136A15.0755,15.0755,0,0,0,25.096,23.6082a11.1134,11.1134,0,0,1-7.9749,3.3893c-.1385,0-.2782.0051-.4178,0A11.0944,11.0944,0,0,1,13.5025,5.4136M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var Moon16=/*#__PURE__*/React.forwardRef(function Moon16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13.5025,5.4136A15.0755,15.0755,0,0,0,25.096,23.6082a11.1134,11.1134,0,0,1-7.9749,3.3893c-.1385,0-.2782.0051-.4178,0A11.0944,11.0944,0,0,1,13.5025,5.4136M14.98,3a1.0024,1.0024,0,0,0-.1746.0156A13.0959,13.0959,0,0,0,16.63,28.9973c.1641.006.3282,0,.4909,0a13.0724,13.0724,0,0,0,10.702-5.5556,1.0094,1.0094,0,0,0-.7833-1.5644A13.08,13.08,0,0,1,15.8892,4.38,1.0149,1.0149,0,0,0,14.98,3Z"}),props.children);});var MostlyCloudyNight32=/*#__PURE__*/React.forwardRef(function MostlyCloudyNight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8438,15.0347a1.5169,1.5169,0,0,0-1.23-.8658,5.3547,5.3547,0,0,1-3.4094-1.7158A6.4653,6.4653,0,0,1,23.918,6.0605a1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.927,7.927,0,0,0-6.22,7.4307A7.3638,7.3638,0,0,0,13.5,11a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,28H19a5.9771,5.9771,0,0,0,5.6147-8.0884,7.5054,7.5054,0,0,0,5.1324-3.3569A1.5372,1.5372,0,0,0,29.8438,15.0347ZM19,26H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,26Zm4.4653-8.001h-.0217a5.9581,5.9581,0,0,0-2.7942-1.7549,7.5068,7.5068,0,0,0-2.6008-3.6767c-.01-.1016-.0361-.1978-.041-.3008a6.078,6.078,0,0,1,3.7907-6.05,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,16.041,5.4286,5.4286,0,0,1,23.4653,17.999Z"}),props.children);});var MostlyCloudyNight24=/*#__PURE__*/React.forwardRef(function MostlyCloudyNight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8438,15.0347a1.5169,1.5169,0,0,0-1.23-.8658,5.3547,5.3547,0,0,1-3.4094-1.7158A6.4653,6.4653,0,0,1,23.918,6.0605a1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.927,7.927,0,0,0-6.22,7.4307A7.3638,7.3638,0,0,0,13.5,11a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,28H19a5.9771,5.9771,0,0,0,5.6147-8.0884,7.5054,7.5054,0,0,0,5.1324-3.3569A1.5372,1.5372,0,0,0,29.8438,15.0347ZM19,26H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,26Zm4.4653-8.001h-.0217a5.9581,5.9581,0,0,0-2.7942-1.7549,7.5068,7.5068,0,0,0-2.6008-3.6767c-.01-.1016-.0361-.1978-.041-.3008a6.078,6.078,0,0,1,3.7907-6.05,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,16.041,5.4286,5.4286,0,0,1,23.4653,17.999Z"}),props.children);});var MostlyCloudyNight20=/*#__PURE__*/React.forwardRef(function MostlyCloudyNight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8438,15.0347a1.5169,1.5169,0,0,0-1.23-.8658,5.3547,5.3547,0,0,1-3.4094-1.7158A6.4653,6.4653,0,0,1,23.918,6.0605a1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.927,7.927,0,0,0-6.22,7.4307A7.3638,7.3638,0,0,0,13.5,11a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,28H19a5.9771,5.9771,0,0,0,5.6147-8.0884,7.5054,7.5054,0,0,0,5.1324-3.3569A1.5372,1.5372,0,0,0,29.8438,15.0347ZM19,26H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,26Zm4.4653-8.001h-.0217a5.9581,5.9581,0,0,0-2.7942-1.7549,7.5068,7.5068,0,0,0-2.6008-3.6767c-.01-.1016-.0361-.1978-.041-.3008a6.078,6.078,0,0,1,3.7907-6.05,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,16.041,5.4286,5.4286,0,0,1,23.4653,17.999Z"}),props.children);});var MostlyCloudyNight16=/*#__PURE__*/React.forwardRef(function MostlyCloudyNight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8438,15.0347a1.5169,1.5169,0,0,0-1.23-.8658,5.3547,5.3547,0,0,1-3.4094-1.7158A6.4653,6.4653,0,0,1,23.918,6.0605a1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.927,7.927,0,0,0-6.22,7.4307A7.3638,7.3638,0,0,0,13.5,11a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,28H19a5.9771,5.9771,0,0,0,5.6147-8.0884,7.5054,7.5054,0,0,0,5.1324-3.3569A1.5372,1.5372,0,0,0,29.8438,15.0347ZM19,26H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,26Zm4.4653-8.001h-.0217a5.9581,5.9581,0,0,0-2.7942-1.7549,7.5068,7.5068,0,0,0-2.6008-3.6767c-.01-.1016-.0361-.1978-.041-.3008a6.078,6.078,0,0,1,3.7907-6.05,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,16.041,5.4286,5.4286,0,0,1,23.4653,17.999Z"}),props.children);});var MostlyCloudy32=/*#__PURE__*/React.forwardRef(function MostlyCloudy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.743,18.6872A6.05,6.05,0,0,0,22.8,17.6006a5.9977,5.9977,0,1,0-10.7334-4.4444,7.5568,7.5568,0,0,0-5.7158,5.0879A5.9926,5.9926,0,0,0,8,30H19a5.9854,5.9854,0,0,0,2.743-11.3128ZM18,10a4.0042,4.0042,0,0,1,4,4,3.9613,3.9613,0,0,1-.8,2.3994,4.0122,4.0122,0,0,1-.94.8917,7.5416,7.5416,0,0,0-6.1339-4.2395A3.9985,3.9985,0,0,1,18,10Zm1,18H8a3.9928,3.9928,0,0,1-.6729-7.93L7.99,19.958l.1456-.6562a5.4958,5.4958,0,0,1,10.729,0l.1464.6562.6622.1123A3.9928,3.9928,0,0,1,19,28Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13.005"}),React.createElement("rect",{width:"4",height:"2",x:"23.071",y:"5.929",transform:"rotate(-45 25.077 6.931)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2.005"}),React.createElement("rect",{width:"2",height:"4",x:"9.929",y:"4.929",transform:"rotate(-45 10.935 6.931)"}),props.children);});var MostlyCloudy24=/*#__PURE__*/React.forwardRef(function MostlyCloudy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.743,18.6872A6.05,6.05,0,0,0,22.8,17.6006a5.9977,5.9977,0,1,0-10.7334-4.4444,7.5568,7.5568,0,0,0-5.7158,5.0879A5.9926,5.9926,0,0,0,8,30H19a5.9854,5.9854,0,0,0,2.743-11.3128ZM18,10a4.0042,4.0042,0,0,1,4,4,3.9613,3.9613,0,0,1-.8,2.3994,4.0122,4.0122,0,0,1-.94.8917,7.5416,7.5416,0,0,0-6.1339-4.2395A3.9985,3.9985,0,0,1,18,10Zm1,18H8a3.9928,3.9928,0,0,1-.6729-7.93L7.99,19.958l.1456-.6562a5.4958,5.4958,0,0,1,10.729,0l.1464.6562.6622.1123A3.9928,3.9928,0,0,1,19,28Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13.005"}),React.createElement("rect",{width:"4",height:"2",x:"23.071",y:"5.929",transform:"rotate(-45 25.077 6.931)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2.005"}),React.createElement("rect",{width:"2",height:"4",x:"9.929",y:"4.929",transform:"rotate(-45 10.935 6.931)"}),props.children);});var MostlyCloudy20=/*#__PURE__*/React.forwardRef(function MostlyCloudy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.743,18.6872A6.05,6.05,0,0,0,22.8,17.6006a5.9977,5.9977,0,1,0-10.7334-4.4444,7.5568,7.5568,0,0,0-5.7158,5.0879A5.9926,5.9926,0,0,0,8,30H19a5.9854,5.9854,0,0,0,2.743-11.3128ZM18,10a4.0042,4.0042,0,0,1,4,4,3.9613,3.9613,0,0,1-.8,2.3994,4.0122,4.0122,0,0,1-.94.8917,7.5416,7.5416,0,0,0-6.1339-4.2395A3.9985,3.9985,0,0,1,18,10Zm1,18H8a3.9928,3.9928,0,0,1-.6729-7.93L7.99,19.958l.1456-.6562a5.4958,5.4958,0,0,1,10.729,0l.1464.6562.6622.1123A3.9928,3.9928,0,0,1,19,28Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13.005"}),React.createElement("rect",{width:"4",height:"2",x:"23.071",y:"5.929",transform:"rotate(-45 25.077 6.931)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2.005"}),React.createElement("rect",{width:"2",height:"4",x:"9.929",y:"4.929",transform:"rotate(-45 10.935 6.931)"}),props.children);});var MostlyCloudy16=/*#__PURE__*/React.forwardRef(function MostlyCloudy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.743,18.6872A6.05,6.05,0,0,0,22.8,17.6006a5.9977,5.9977,0,1,0-10.7334-4.4444,7.5568,7.5568,0,0,0-5.7158,5.0879A5.9926,5.9926,0,0,0,8,30H19a5.9854,5.9854,0,0,0,2.743-11.3128ZM18,10a4.0042,4.0042,0,0,1,4,4,3.9613,3.9613,0,0,1-.8,2.3994,4.0122,4.0122,0,0,1-.94.8917,7.5416,7.5416,0,0,0-6.1339-4.2395A3.9985,3.9985,0,0,1,18,10Zm1,18H8a3.9928,3.9928,0,0,1-.6729-7.93L7.99,19.958l.1456-.6562a5.4958,5.4958,0,0,1,10.729,0l.1464.6562.6622.1123A3.9928,3.9928,0,0,1,19,28Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13.005"}),React.createElement("rect",{width:"4",height:"2",x:"23.071",y:"5.929",transform:"rotate(-45 25.077 6.931)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2.005"}),React.createElement("rect",{width:"2",height:"4",x:"9.929",y:"4.929",transform:"rotate(-45 10.935 6.931)"}),props.children);});var Move32=/*#__PURE__*/React.forwardRef(function Move32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 17 15 17 5.83 19.59 8.41 21 7 16 2 11 7 12.41 8.41 15 5.83 15 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 15 17 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var Move24=/*#__PURE__*/React.forwardRef(function Move24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 17 15 17 5.83 19.59 8.41 21 7 16 2 11 7 12.41 8.41 15 5.83 15 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 15 17 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var Move20=/*#__PURE__*/React.forwardRef(function Move20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 17 15 17 5.83 19.59 8.41 21 7 16 2 11 7 12.41 8.41 15 5.83 15 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 15 17 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var Move16=/*#__PURE__*/React.forwardRef(function Move16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 23.59 12.41 26.17 15 17 15 17 5.83 19.59 8.41 21 7 16 2 11 7 12.41 8.41 15 5.83 15 15 5.83 15 8.41 12.41 7 11 2 16 7 21 8.41 19.59 5.83 17 15 17 15 26.17 12.41 23.59 11 25 16 30 21 25 19.59 23.59 17 26.17 17 17 26.17 17 23.59 19.59 25 21 30 16 25 11"}),props.children);});var Movement32=/*#__PURE__*/React.forwardRef(function Movement32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20l-1.41,1.41L26.17,25H10a4,4,0,0,1,0-8H22A6,6,0,0,0,22,5H5.83L9.41,1.41,8,0,2,6l6,6,1.41-1.41L5.83,7H22a4,4,0,0,1,0,8H10a6,6,0,0,0,0,12H26.17l-3.58,3.59L24,32l6-6Z"}),props.children);});var Movement24=/*#__PURE__*/React.forwardRef(function Movement24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20l-1.41,1.41L26.17,25H10a4,4,0,0,1,0-8H22A6,6,0,0,0,22,5H5.83L9.41,1.41,8,0,2,6l6,6,1.41-1.41L5.83,7H22a4,4,0,0,1,0,8H10a6,6,0,0,0,0,12H26.17l-3.58,3.59L24,32l6-6Z"}),props.children);});var Movement20=/*#__PURE__*/React.forwardRef(function Movement20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20l-1.41,1.41L26.17,25H10a4,4,0,0,1,0-8H22A6,6,0,0,0,22,5H5.83L9.41,1.41,8,0,2,6l6,6,1.41-1.41L5.83,7H22a4,4,0,0,1,0,8H10a6,6,0,0,0,0,12H26.17l-3.58,3.59L24,32l6-6Z"}),props.children);});var Movement16=/*#__PURE__*/React.forwardRef(function Movement16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,20l-1.41,1.41L26.17,25H10a4,4,0,0,1,0-8H22A6,6,0,0,0,22,5H5.83L9.41,1.41,8,0,2,6l6,6,1.41-1.41L5.83,7H22a4,4,0,0,1,0,8H10a6,6,0,0,0,0,12H26.17l-3.58,3.59L24,32l6-6Z"}),props.children);});var Music32=/*#__PURE__*/React.forwardRef(function Music32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,4H10A2.002,2.002,0,0,0,8,6V20.5563A3.9551,3.9551,0,0,0,6,20a4,4,0,1,0,4,4V12H25v8.5562A3.9545,3.9545,0,0,0,23,20a4,4,0,1,0,4,4V6A2.0023,2.0023,0,0,0,25,4ZM6,26a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,26Zm17,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,23,26ZM10,6H25v4H10Z"}),props.children);});var Music24=/*#__PURE__*/React.forwardRef(function Music24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,4H10A2.002,2.002,0,0,0,8,6V20.5563A3.9551,3.9551,0,0,0,6,20a4,4,0,1,0,4,4V12H25v8.5562A3.9545,3.9545,0,0,0,23,20a4,4,0,1,0,4,4V6A2.0023,2.0023,0,0,0,25,4ZM6,26a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,26Zm17,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,23,26ZM10,6H25v4H10Z"}),props.children);});var Music20=/*#__PURE__*/React.forwardRef(function Music20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,4H10A2.002,2.002,0,0,0,8,6V20.5563A3.9551,3.9551,0,0,0,6,20a4,4,0,1,0,4,4V12H25v8.5562A3.9545,3.9545,0,0,0,23,20a4,4,0,1,0,4,4V6A2.0023,2.0023,0,0,0,25,4ZM6,26a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,26Zm17,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,23,26ZM10,6H25v4H10Z"}),props.children);});var Music16=/*#__PURE__*/React.forwardRef(function Music16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,4H10A2.002,2.002,0,0,0,8,6V20.5563A3.9551,3.9551,0,0,0,6,20a4,4,0,1,0,4,4V12H25v8.5562A3.9545,3.9545,0,0,0,23,20a4,4,0,1,0,4,4V6A2.0023,2.0023,0,0,0,25,4ZM6,26a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,26Zm17,0a2,2,0,1,1,2-2A2.0027,2.0027,0,0,1,23,26ZM10,6H25v4H10Z"}),props.children);});var Network_132=/*#__PURE__*/React.forwardRef(function Network_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M5,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,5,20Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,5,14Z"}),React.createElement("path",{d:"M10,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,25Z"}),React.createElement("path",{d:"M22,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,25Z"}),React.createElement("path",{d:"M27,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,27,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,27,14Z"}),React.createElement("path",{d:"M22,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,3Z"}),React.createElement("path",{d:"M10,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,3Z"}),props.children);});var Network_124=/*#__PURE__*/React.forwardRef(function Network_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M5,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,5,20Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,5,14Z"}),React.createElement("path",{d:"M10,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,25Z"}),React.createElement("path",{d:"M22,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,25Z"}),React.createElement("path",{d:"M27,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,27,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,27,14Z"}),React.createElement("path",{d:"M22,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,3Z"}),React.createElement("path",{d:"M10,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,3Z"}),props.children);});var Network_120=/*#__PURE__*/React.forwardRef(function Network_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M5,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,5,20Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,5,14Z"}),React.createElement("path",{d:"M10,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,25Z"}),React.createElement("path",{d:"M22,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,25Z"}),React.createElement("path",{d:"M27,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,27,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,27,14Z"}),React.createElement("path",{d:"M22,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,3Z"}),React.createElement("path",{d:"M10,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,3Z"}),props.children);});var Network_116=/*#__PURE__*/React.forwardRef(function Network_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,16,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,16,14Z"}),React.createElement("path",{d:"M5,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,5,20Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,5,14Z"}),React.createElement("path",{d:"M10,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,25Z"}),React.createElement("path",{d:"M22,31a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,31Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,25Z"}),React.createElement("path",{d:"M27,20a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,27,20Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,27,14Z"}),React.createElement("path",{d:"M22,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,22,3Z"}),React.createElement("path",{d:"M10,9a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,9Zm0-6a2,2,0,1,0,2,2A2.0021,2.0021,0,0,0,10,3Z"}),props.children);});var Network_232=/*#__PURE__*/React.forwardRef(function Network_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,17h5.1421a4,4,0,1,0,0-2H17V7h5.1421a4,4,0,1,0,0-2H17a2.0023,2.0023,0,0,0-2,2v8H9.8579a4,4,0,1,0,0,2H15v8a2.0023,2.0023,0,0,0,2,2h5.1421a4,4,0,1,0,0-2H17Zm9-3a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,14ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM6,18a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,18Zm20,6a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,24Z"}),props.children);});var Network_224=/*#__PURE__*/React.forwardRef(function Network_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,17h5.1421a4,4,0,1,0,0-2H17V7h5.1421a4,4,0,1,0,0-2H17a2.0023,2.0023,0,0,0-2,2v8H9.8579a4,4,0,1,0,0,2H15v8a2.0023,2.0023,0,0,0,2,2h5.1421a4,4,0,1,0,0-2H17Zm9-3a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,14ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM6,18a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,18Zm20,6a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,24Z"}),props.children);});var Network_220=/*#__PURE__*/React.forwardRef(function Network_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,17h5.1421a4,4,0,1,0,0-2H17V7h5.1421a4,4,0,1,0,0-2H17a2.0023,2.0023,0,0,0-2,2v8H9.8579a4,4,0,1,0,0,2H15v8a2.0023,2.0023,0,0,0,2,2h5.1421a4,4,0,1,0,0-2H17Zm9-3a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,14ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM6,18a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,18Zm20,6a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,24Z"}),props.children);});var Network_216=/*#__PURE__*/React.forwardRef(function Network_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,17h5.1421a4,4,0,1,0,0-2H17V7h5.1421a4,4,0,1,0,0-2H17a2.0023,2.0023,0,0,0-2,2v8H9.8579a4,4,0,1,0,0,2H15v8a2.0023,2.0023,0,0,0,2,2h5.1421a4,4,0,1,0,0-2H17Zm9-3a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,14ZM26,4a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,4ZM6,18a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,18Zm20,6a2,2,0,1,1-2,2A2.0023,2.0023,0,0,1,26,24Z"}),props.children);});var Network_332=/*#__PURE__*/React.forwardRef(function Network_332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V22h8Zm-6-2h4V24H24Z"}),React.createElement("path",{d:"M20,27H8A6,6,0,0,1,8,15h2v2H8a4,4,0,0,0,0,8H20Z"}),React.createElement("path",{d:"M20,20H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M24,17H22V15h2a4,4,0,0,0,0-8H12V5H24a6,6,0,0,1,0,12Z"}),React.createElement("path",{d:"M10,10H2V2h8ZM4,8H8V4H4Z"}),props.children);});var Network_324=/*#__PURE__*/React.forwardRef(function Network_324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V22h8Zm-6-2h4V24H24Z"}),React.createElement("path",{d:"M20,27H8A6,6,0,0,1,8,15h2v2H8a4,4,0,0,0,0,8H20Z"}),React.createElement("path",{d:"M20,20H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M24,17H22V15h2a4,4,0,0,0,0-8H12V5H24a6,6,0,0,1,0,12Z"}),React.createElement("path",{d:"M10,10H2V2h8ZM4,8H8V4H4Z"}),props.children);});var Network_320=/*#__PURE__*/React.forwardRef(function Network_320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V22h8Zm-6-2h4V24H24Z"}),React.createElement("path",{d:"M20,27H8A6,6,0,0,1,8,15h2v2H8a4,4,0,0,0,0,8H20Z"}),React.createElement("path",{d:"M20,20H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M24,17H22V15h2a4,4,0,0,0,0-8H12V5H24a6,6,0,0,1,0,12Z"}),React.createElement("path",{d:"M10,10H2V2h8ZM4,8H8V4H4Z"}),props.children);});var Network_316=/*#__PURE__*/React.forwardRef(function Network_316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V22h8Zm-6-2h4V24H24Z"}),React.createElement("path",{d:"M20,27H8A6,6,0,0,1,8,15h2v2H8a4,4,0,0,0,0,8H20Z"}),React.createElement("path",{d:"M20,20H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M24,17H22V15h2a4,4,0,0,0,0-8H12V5H24a6,6,0,0,1,0,12Z"}),React.createElement("path",{d:"M10,10H2V2h8ZM4,8H8V4H4Z"}),props.children);});var Network_432=/*#__PURE__*/React.forwardRef(function Network_432(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21",cy:"26",r:"2"}),React.createElement("circle",{cx:"21",cy:"6",r:"2"}),React.createElement("circle",{cx:"4",cy:"16",r:"2"}),React.createElement("path",{d:"M28,12a3.9962,3.9962,0,0,0-3.8579,3H19.8579a3.9655,3.9655,0,0,0-5.4914-2.6426L11.19,8.3872A3.9626,3.9626,0,0,0,12,6a4,4,0,1,0-4,4,3.96,3.96,0,0,0,1.6338-.3574l3.176,3.97a3.9239,3.9239,0,0,0,0,4.7744l-3.1758,3.97A3.96,3.96,0,0,0,8,22a4,4,0,1,0,4,4,3.9624,3.9624,0,0,0-.81-2.3872l3.1758-3.97A3.9658,3.9658,0,0,0,19.8579,17h4.2842A3.9934,3.9934,0,1,0,28,12ZM6,6A2,2,0,1,1,8,8,2.0023,2.0023,0,0,1,6,6ZM8,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,8,28Zm8-10a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,16,18Zm12,0a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,28,18Z"}),props.children);});var Network_424=/*#__PURE__*/React.forwardRef(function Network_424(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21",cy:"26",r:"2"}),React.createElement("circle",{cx:"21",cy:"6",r:"2"}),React.createElement("circle",{cx:"4",cy:"16",r:"2"}),React.createElement("path",{d:"M28,12a3.9962,3.9962,0,0,0-3.8579,3H19.8579a3.9655,3.9655,0,0,0-5.4914-2.6426L11.19,8.3872A3.9626,3.9626,0,0,0,12,6a4,4,0,1,0-4,4,3.96,3.96,0,0,0,1.6338-.3574l3.176,3.97a3.9239,3.9239,0,0,0,0,4.7744l-3.1758,3.97A3.96,3.96,0,0,0,8,22a4,4,0,1,0,4,4,3.9624,3.9624,0,0,0-.81-2.3872l3.1758-3.97A3.9658,3.9658,0,0,0,19.8579,17h4.2842A3.9934,3.9934,0,1,0,28,12ZM6,6A2,2,0,1,1,8,8,2.0023,2.0023,0,0,1,6,6ZM8,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,8,28Zm8-10a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,16,18Zm12,0a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,28,18Z"}),props.children);});var Network_420=/*#__PURE__*/React.forwardRef(function Network_420(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21",cy:"26",r:"2"}),React.createElement("circle",{cx:"21",cy:"6",r:"2"}),React.createElement("circle",{cx:"4",cy:"16",r:"2"}),React.createElement("path",{d:"M28,12a3.9962,3.9962,0,0,0-3.8579,3H19.8579a3.9655,3.9655,0,0,0-5.4914-2.6426L11.19,8.3872A3.9626,3.9626,0,0,0,12,6a4,4,0,1,0-4,4,3.96,3.96,0,0,0,1.6338-.3574l3.176,3.97a3.9239,3.9239,0,0,0,0,4.7744l-3.1758,3.97A3.96,3.96,0,0,0,8,22a4,4,0,1,0,4,4,3.9624,3.9624,0,0,0-.81-2.3872l3.1758-3.97A3.9658,3.9658,0,0,0,19.8579,17h4.2842A3.9934,3.9934,0,1,0,28,12ZM6,6A2,2,0,1,1,8,8,2.0023,2.0023,0,0,1,6,6ZM8,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,8,28Zm8-10a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,16,18Zm12,0a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,28,18Z"}),props.children);});var Network_416=/*#__PURE__*/React.forwardRef(function Network_416(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"21",cy:"26",r:"2"}),React.createElement("circle",{cx:"21",cy:"6",r:"2"}),React.createElement("circle",{cx:"4",cy:"16",r:"2"}),React.createElement("path",{d:"M28,12a3.9962,3.9962,0,0,0-3.8579,3H19.8579a3.9655,3.9655,0,0,0-5.4914-2.6426L11.19,8.3872A3.9626,3.9626,0,0,0,12,6a4,4,0,1,0-4,4,3.96,3.96,0,0,0,1.6338-.3574l3.176,3.97a3.9239,3.9239,0,0,0,0,4.7744l-3.1758,3.97A3.96,3.96,0,0,0,8,22a4,4,0,1,0,4,4,3.9624,3.9624,0,0,0-.81-2.3872l3.1758-3.97A3.9658,3.9658,0,0,0,19.8579,17h4.2842A3.9934,3.9934,0,1,0,28,12ZM6,6A2,2,0,1,1,8,8,2.0023,2.0023,0,0,1,6,6ZM8,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,8,28Zm8-10a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,16,18Zm12,0a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,28,18Z"}),props.children);});var NewTab32=/*#__PURE__*/React.forwardRef(function NewTab32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26H6V6h9V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V17H26Z"}),React.createElement("polygon",{points:"26 6 26 2 24 2 24 6 20 6 20 8 24 8 24 12 26 12 26 8 30 8 30 6 26 6"}),props.children);});var NewTab24=/*#__PURE__*/React.forwardRef(function NewTab24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26H6V6h9V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V17H26Z"}),React.createElement("polygon",{points:"26 6 26 2 24 2 24 6 20 6 20 8 24 8 24 12 26 12 26 8 30 8 30 6 26 6"}),props.children);});var NewTab20=/*#__PURE__*/React.forwardRef(function NewTab20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26H6V6h9V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V17H26Z"}),React.createElement("polygon",{points:"26 6 26 2 24 2 24 6 20 6 20 8 24 8 24 12 26 12 26 8 30 8 30 6 26 6"}),props.children);});var NoImage32=/*#__PURE__*/React.forwardRef(function NoImage32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H26a2.0027,2.0027,0,0,0,2-2V5.4141ZM26,26H7.4141l7.7929-7.793,2.3788,2.3787a2,2,0,0,0,2.8284,0L22,19l4,3.9973Zm0-5.8318-2.5858-2.5859a2,2,0,0,0-2.8284,0L19,19.1682l-2.377-2.3771L26,7.4141Z"}),React.createElement("path",{d:"M6,22V19l5-4.9966,1.3733,1.3733,1.4159-1.416-1.375-1.375a2,2,0,0,0-2.8284,0L6,16.1716V6H22V4H6A2.002,2.002,0,0,0,4,6V22Z"}),props.children);});var NoImage24=/*#__PURE__*/React.forwardRef(function NoImage24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H26a2.0027,2.0027,0,0,0,2-2V5.4141ZM26,26H7.4141l7.7929-7.793,2.3788,2.3787a2,2,0,0,0,2.8284,0L22,19l4,3.9973Zm0-5.8318-2.5858-2.5859a2,2,0,0,0-2.8284,0L19,19.1682l-2.377-2.3771L26,7.4141Z"}),React.createElement("path",{d:"M6,22V19l5-4.9966,1.3733,1.3733,1.4159-1.416-1.375-1.375a2,2,0,0,0-2.8284,0L6,16.1716V6H22V4H6A2.002,2.002,0,0,0,4,6V22Z"}),props.children);});var NoImage20=/*#__PURE__*/React.forwardRef(function NoImage20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H26a2.0027,2.0027,0,0,0,2-2V5.4141ZM26,26H7.4141l7.7929-7.793,2.3788,2.3787a2,2,0,0,0,2.8284,0L22,19l4,3.9973Zm0-5.8318-2.5858-2.5859a2,2,0,0,0-2.8284,0L19,19.1682l-2.377-2.3771L26,7.4141Z"}),React.createElement("path",{d:"M6,22V19l5-4.9966,1.3733,1.3733,1.4159-1.416-1.375-1.375a2,2,0,0,0-2.8284,0L6,16.1716V6H22V4H6A2.002,2.002,0,0,0,4,6V22Z"}),props.children);});var NoImage16=/*#__PURE__*/React.forwardRef(function NoImage16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30l2-2H26a2.0027,2.0027,0,0,0,2-2V5.4141ZM26,26H7.4141l7.7929-7.793,2.3788,2.3787a2,2,0,0,0,2.8284,0L22,19l4,3.9973Zm0-5.8318-2.5858-2.5859a2,2,0,0,0-2.8284,0L19,19.1682l-2.377-2.3771L26,7.4141Z"}),React.createElement("path",{d:"M6,22V19l5-4.9966,1.3733,1.3733,1.4159-1.416-1.375-1.375a2,2,0,0,0-2.8284,0L6,16.1716V6H22V4H6A2.002,2.002,0,0,0,4,6V22Z"}),props.children);});var NoTicket32=/*#__PURE__*/React.forwardRef(function NoTicket32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6h-.5859L30,3.4141,28.5859,2,2,28.5859,3.4141,30l4-4H28a2.0027,2.0027,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4,1,1,0,0,0,1-1V8A2.0023,2.0023,0,0,0,28,6Zm0,6.1265a4,4,0,0,0,0,7.7465V24H21V21H19v3H9.4141L19,14.4141V19h2V12.4141L25.4141,8H28Z"}),React.createElement("path",{d:"M4,12.1265V8H19V6H4A2.0023,2.0023,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5H4V19.873a4,4,0,0,0,0-7.7465Z"}),props.children);});var NoTicket24=/*#__PURE__*/React.forwardRef(function NoTicket24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6h-.5859L30,3.4141,28.5859,2,2,28.5859,3.4141,30l4-4H28a2.0027,2.0027,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4,1,1,0,0,0,1-1V8A2.0023,2.0023,0,0,0,28,6Zm0,6.1265a4,4,0,0,0,0,7.7465V24H21V21H19v3H9.4141L19,14.4141V19h2V12.4141L25.4141,8H28Z"}),React.createElement("path",{d:"M4,12.1265V8H19V6H4A2.0023,2.0023,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5H4V19.873a4,4,0,0,0,0-7.7465Z"}),props.children);});var NoTicket20=/*#__PURE__*/React.forwardRef(function NoTicket20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6h-.5859L30,3.4141,28.5859,2,2,28.5859,3.4141,30l4-4H28a2.0027,2.0027,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4,1,1,0,0,0,1-1V8A2.0023,2.0023,0,0,0,28,6Zm0,6.1265a4,4,0,0,0,0,7.7465V24H21V21H19v3H9.4141L19,14.4141V19h2V12.4141L25.4141,8H28Z"}),React.createElement("path",{d:"M4,12.1265V8H19V6H4A2.0023,2.0023,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5H4V19.873a4,4,0,0,0,0-7.7465Z"}),props.children);});var NoTicket16=/*#__PURE__*/React.forwardRef(function NoTicket16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6h-.5859L30,3.4141,28.5859,2,2,28.5859,3.4141,30l4-4H28a2.0027,2.0027,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4,1,1,0,0,0,1-1V8A2.0023,2.0023,0,0,0,28,6Zm0,6.1265a4,4,0,0,0,0,7.7465V24H21V21H19v3H9.4141L19,14.4141V19h2V12.4141L25.4141,8H28Z"}),React.createElement("path",{d:"M4,12.1265V8H19V6H4A2.0023,2.0023,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5H4V19.873a4,4,0,0,0,0-7.7465Z"}),props.children);});var Nominal32=/*#__PURE__*/React.forwardRef(function Nominal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,28a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,24,28Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,24,18Z"}),React.createElement("path",{d:"M8,28a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,8,28ZM8,18a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,8,18Z"}),React.createElement("path",{d:"M16,14a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,16,14ZM16,4a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,16,4Z"}),props.children);});var Nominal24=/*#__PURE__*/React.forwardRef(function Nominal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,28a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,24,28Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,24,18Z"}),React.createElement("path",{d:"M8,28a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,8,28ZM8,18a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,8,18Z"}),React.createElement("path",{d:"M16,14a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,16,14ZM16,4a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,16,4Z"}),props.children);});var Nominal20=/*#__PURE__*/React.forwardRef(function Nominal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,28a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,24,28Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,24,18Z"}),React.createElement("path",{d:"M8,28a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,8,28ZM8,18a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,8,18Z"}),React.createElement("path",{d:"M16,14a6,6,0,1,1,6-6A6.0069,6.0069,0,0,1,16,14ZM16,4a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,16,4Z"}),props.children);});var NoodleBowl32=/*#__PURE__*/React.forwardRef(function NoodleBowl32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.4141,15l-8-8L2,8.4141,8.5859,15H2v1a14,14,0,0,0,28,0V15ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),React.createElement("path",{d:"M22,8a5.0049,5.0049,0,0,0-1.5708.2554A8.0242,8.0242,0,0,0,14,5,7.9364,7.9364,0,0,0,9.0938,6.68L4.4141,2,3,3.4141,9.05,9.4648l.707-.7075A5.96,5.96,0,0,1,14,7a6.02,6.02,0,0,1,4.6875,2.2642,5.06,5.06,0,0,0-.59.61A2.9892,2.9892,0,0,1,15.7544,11H12v2h3.7544a4.98,4.98,0,0,0,3.9033-1.8745A3,3,0,0,1,25,13h2A5.0059,5.0059,0,0,0,22,8Z"}),props.children);});var NoodleBowl24=/*#__PURE__*/React.forwardRef(function NoodleBowl24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.4141,15l-8-8L2,8.4141,8.5859,15H2v1a14,14,0,0,0,28,0V15ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),React.createElement("path",{d:"M22,8a5.0049,5.0049,0,0,0-1.5708.2554A8.0242,8.0242,0,0,0,14,5,7.9364,7.9364,0,0,0,9.0938,6.68L4.4141,2,3,3.4141,9.05,9.4648l.707-.7075A5.96,5.96,0,0,1,14,7a6.02,6.02,0,0,1,4.6875,2.2642,5.06,5.06,0,0,0-.59.61A2.9892,2.9892,0,0,1,15.7544,11H12v2h3.7544a4.98,4.98,0,0,0,3.9033-1.8745A3,3,0,0,1,25,13h2A5.0059,5.0059,0,0,0,22,8Z"}),props.children);});var NoodleBowl20=/*#__PURE__*/React.forwardRef(function NoodleBowl20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.4141,15l-8-8L2,8.4141,8.5859,15H2v1a14,14,0,0,0,28,0V15ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),React.createElement("path",{d:"M22,8a5.0049,5.0049,0,0,0-1.5708.2554A8.0242,8.0242,0,0,0,14,5,7.9364,7.9364,0,0,0,9.0938,6.68L4.4141,2,3,3.4141,9.05,9.4648l.707-.7075A5.96,5.96,0,0,1,14,7a6.02,6.02,0,0,1,4.6875,2.2642,5.06,5.06,0,0,0-.59.61A2.9892,2.9892,0,0,1,15.7544,11H12v2h3.7544a4.98,4.98,0,0,0,3.9033-1.8745A3,3,0,0,1,25,13h2A5.0059,5.0059,0,0,0,22,8Z"}),props.children);});var NoodleBowl16=/*#__PURE__*/React.forwardRef(function NoodleBowl16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.4141,15l-8-8L2,8.4141,8.5859,15H2v1a14,14,0,0,0,28,0V15ZM16,28A12.0166,12.0166,0,0,1,4.0415,17h23.917A12.0166,12.0166,0,0,1,16,28Z"}),React.createElement("path",{d:"M22,8a5.0049,5.0049,0,0,0-1.5708.2554A8.0242,8.0242,0,0,0,14,5,7.9364,7.9364,0,0,0,9.0938,6.68L4.4141,2,3,3.4141,9.05,9.4648l.707-.7075A5.96,5.96,0,0,1,14,7a6.02,6.02,0,0,1,4.6875,2.2642,5.06,5.06,0,0,0-.59.61A2.9892,2.9892,0,0,1,15.7544,11H12v2h3.7544a4.98,4.98,0,0,0,3.9033-1.8745A3,3,0,0,1,25,13h2A5.0059,5.0059,0,0,0,22,8Z"}),props.children);});var NotAvailable32=/*#__PURE__*/React.forwardRef(function NotAvailable32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"15"}),props.children);});var NotAvailable24=/*#__PURE__*/React.forwardRef(function NotAvailable24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"15"}),props.children);});var NotAvailable20=/*#__PURE__*/React.forwardRef(function NotAvailable20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"15"}),props.children);});var NotAvailable16=/*#__PURE__*/React.forwardRef(function NotAvailable16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"10",height:"2",x:"18",y:"15"}),props.children);});var NotSentFilled32=/*#__PURE__*/React.forwardRef(function NotSentFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l8.59,3.43L14.59,16,16,17.41l-3.37,3.37,3.44,8.59A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8Z"}),React.createElement("path",{d:"M22.49,16.83l3.45-9.49a1,1,0,0,0-1.28-1.28L15.17,9.51Z"}),props.children);});var NotSentFilled24=/*#__PURE__*/React.forwardRef(function NotSentFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l8.59,3.43L14.59,16,16,17.41l-3.37,3.37,3.44,8.59A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8Z"}),React.createElement("path",{d:"M22.49,16.83l3.45-9.49a1,1,0,0,0-1.28-1.28L15.17,9.51Z"}),props.children);});var NotSentFilled20=/*#__PURE__*/React.forwardRef(function NotSentFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l8.59,3.43L14.59,16,16,17.41l-3.37,3.37,3.44,8.59A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8Z"}),React.createElement("path",{d:"M22.49,16.83l3.45-9.49a1,1,0,0,0-1.28-1.28L15.17,9.51Z"}),props.children);});var NotSentFilled16=/*#__PURE__*/React.forwardRef(function NotSentFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l8.59,3.43L14.59,16,16,17.41l-3.37,3.37,3.44,8.59A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8Z"}),React.createElement("path",{d:"M22.49,16.83l3.45-9.49a1,1,0,0,0-1.28-1.28L15.17,9.51Z"}),props.children);});var NotSent32=/*#__PURE__*/React.forwardRef(function NotSent32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8ZM5.8,15,11.54,13l3.05,3-1.83,1.83ZM17,26.2l-2.79-7L16,17.41l3,3.05Z"}),React.createElement("path",{d:"M15.69,11.45l7.64-2.78-2.78,7.64,1.56,1.56L25.94,7.34a1,1,0,0,0-1.28-1.28L14.13,9.89Z"}),props.children);});var NotSent24=/*#__PURE__*/React.forwardRef(function NotSent24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8ZM5.8,15,11.54,13l3.05,3-1.83,1.83ZM17,26.2l-2.79-7L16,17.41l3,3.05Z"}),React.createElement("path",{d:"M15.69,11.45l7.64-2.78-2.78,7.64,1.56,1.56L25.94,7.34a1,1,0,0,0-1.28-1.28L14.13,9.89Z"}),props.children);});var NotSent20=/*#__PURE__*/React.forwardRef(function NotSent20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8ZM5.8,15,11.54,13l3.05,3-1.83,1.83ZM17,26.2l-2.79-7L16,17.41l3,3.05Z"}),React.createElement("path",{d:"M15.69,11.45l7.64-2.78-2.78,7.64,1.56,1.56L25.94,7.34a1,1,0,0,0-1.28-1.28L14.13,9.89Z"}),props.children);});var NotSent16=/*#__PURE__*/React.forwardRef(function NotSent16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,3.41,2,2,3.41l8,8L2.66,14.06a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,17,30h0a1,1,0,0,0,.92-.66L20.6,22l8,8ZM5.8,15,11.54,13l3.05,3-1.83,1.83ZM17,26.2l-2.79-7L16,17.41l3,3.05Z"}),React.createElement("path",{d:"M15.69,11.45l7.64-2.78-2.78,7.64,1.56,1.56L25.94,7.34a1,1,0,0,0-1.28-1.28L14.13,9.89Z"}),props.children);});var NotebookReference32=/*#__PURE__*/React.forwardRef(function NotebookReference32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 4 22 7.586 22 2 27.586 3.414 29 9 23.414 9 27 11 27 11 20 4 20"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V17H4V7H15V27H28a2.002,2.002,0,0,0,2-2V7A2.002,2.002,0,0,0,28,5ZM17,25V7H28l.0015,18Z"}),props.children);});var NotebookReference24=/*#__PURE__*/React.forwardRef(function NotebookReference24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 4 22 7.586 22 2 27.586 3.414 29 9 23.414 9 27 11 27 11 20 4 20"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V17H4V7H15V27H28a2.002,2.002,0,0,0,2-2V7A2.002,2.002,0,0,0,28,5ZM17,25V7H28l.0015,18Z"}),props.children);});var NotebookReference20=/*#__PURE__*/React.forwardRef(function NotebookReference20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 4 22 7.586 22 2 27.586 3.414 29 9 23.414 9 27 11 27 11 20 4 20"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V17H4V7H15V27H28a2.002,2.002,0,0,0,2-2V7A2.002,2.002,0,0,0,28,5ZM17,25V7H28l.0015,18Z"}),props.children);});var NotebookReference16=/*#__PURE__*/React.forwardRef(function NotebookReference16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"4 20 4 22 7.586 22 2 27.586 3.414 29 9 23.414 9 27 11 27 11 20 4 20"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V17H4V7H15V27H28a2.002,2.002,0,0,0,2-2V7A2.002,2.002,0,0,0,28,5ZM17,25V7H28l.0015,18Z"}),props.children);});var Notebook32=/*#__PURE__*/React.forwardRef(function Notebook32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V25a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,28,5ZM4,7H15V25H4ZM17,25V7H28l.002,18Z"}),props.children);});var Notebook24=/*#__PURE__*/React.forwardRef(function Notebook24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V25a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,28,5ZM4,7H15V25H4ZM17,25V7H28l.002,18Z"}),props.children);});var Notebook20=/*#__PURE__*/React.forwardRef(function Notebook20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V25a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,28,5ZM4,7H15V25H4ZM17,25V7H28l.002,18Z"}),props.children);});var Notebook16=/*#__PURE__*/React.forwardRef(function Notebook16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"15"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"20"}),React.createElement("path",{d:"M28,5H4A2.002,2.002,0,0,0,2,7V25a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,28,5ZM4,7H15V25H4ZM17,25V7H28l.002,18Z"}),props.children);});var NotificationFilled32=/*#__PURE__*/React.forwardRef(function NotificationFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7,20.3,26,17.6V13A10.07,10.07,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21A.91.91,0,0,0,28.7,20.3ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),props.children);});var NotificationFilled24=/*#__PURE__*/React.forwardRef(function NotificationFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7,20.3,26,17.6V13A10.07,10.07,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21A.91.91,0,0,0,28.7,20.3ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),props.children);});var NotificationFilled20=/*#__PURE__*/React.forwardRef(function NotificationFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7,20.3,26,17.6V13A10.07,10.07,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21A.91.91,0,0,0,28.7,20.3ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),props.children);});var NotificationFilled16=/*#__PURE__*/React.forwardRef(function NotificationFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7,20.3,26,17.6V13A10.07,10.07,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21A.91.91,0,0,0,28.7,20.3ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),props.children);});var NotificationNew32=/*#__PURE__*/React.forwardRef(function NotificationNew32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V15H24v3a.91.91,0,0,0,.3.7L27,21.4V23H5V21.4l2.7-2.7A.91.91,0,0,0,8,18V13a8,8,0,0,1,8-8,7.89,7.89,0,0,1,4,1.09V3.8A9.71,9.71,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("circle",{cx:"26",cy:"8",r:"4"}),props.children);});var NotificationNew24=/*#__PURE__*/React.forwardRef(function NotificationNew24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V15H24v3a.91.91,0,0,0,.3.7L27,21.4V23H5V21.4l2.7-2.7A.91.91,0,0,0,8,18V13a8,8,0,0,1,8-8,7.89,7.89,0,0,1,4,1.09V3.8A9.71,9.71,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("circle",{cx:"26",cy:"8",r:"4"}),props.children);});var NotificationNew20=/*#__PURE__*/React.forwardRef(function NotificationNew20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V15H24v3a.91.91,0,0,0,.3.7L27,21.4V23H5V21.4l2.7-2.7A.91.91,0,0,0,8,18V13a8,8,0,0,1,8-8,7.89,7.89,0,0,1,4,1.09V3.8A9.71,9.71,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("circle",{cx:"26",cy:"8",r:"4"}),props.children);});var NotificationNew16=/*#__PURE__*/React.forwardRef(function NotificationNew16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V15H24v3a.91.91,0,0,0,.3.7L27,21.4V23H5V21.4l2.7-2.7A.91.91,0,0,0,8,18V13a8,8,0,0,1,8-8,7.89,7.89,0,0,1,4,1.09V3.8A9.71,9.71,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("circle",{cx:"26",cy:"8",r:"4"}),props.children);});var NotificationOffFilled32=/*#__PURE__*/React.forwardRef(function NotificationOffFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V13a10,10,0,0,0-1.09-4.5L30,3.41,28.59,2,2,28.59,3.41,30l5-5H11a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("path",{d:"M21.63,4.72A9.78,9.78,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v2.34Z"}),props.children);});var NotificationOffFilled24=/*#__PURE__*/React.forwardRef(function NotificationOffFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V13a10,10,0,0,0-1.09-4.5L30,3.41,28.59,2,2,28.59,3.41,30l5-5H11a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("path",{d:"M21.63,4.72A9.78,9.78,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v2.34Z"}),props.children);});var NotificationOffFilled20=/*#__PURE__*/React.forwardRef(function NotificationOffFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V13a10,10,0,0,0-1.09-4.5L30,3.41,28.59,2,2,28.59,3.41,30l5-5H11a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("path",{d:"M21.63,4.72A9.78,9.78,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v2.34Z"}),props.children);});var NotificationOffFilled16=/*#__PURE__*/React.forwardRef(function NotificationOffFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,17.6V13a10,10,0,0,0-1.09-4.5L30,3.41,28.59,2,2,28.59,3.41,30l5-5H11a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Z"}),React.createElement("path",{d:"M21.63,4.72A9.78,9.78,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v2.34Z"}),props.children);});var NotificationOff32=/*#__PURE__*/React.forwardRef(function NotificationOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,23V21.4l2.7-2.7A.91.91,0,0,0,8,18V13A8,8,0,0,1,21,6.76l1.44-1.43A9.79,9.79,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v2Z"}),React.createElement("path",{d:"M26,17.6V13a10,10,0,0,0-1.09-4.5L30,3.41,28.59,2,2,28.59,3.41,30l5-5H11a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Zm11-5H10.42l13-13A8.06,8.06,0,0,1,24,13v5a.91.91,0,0,0,.3.7L27,21.4Z"}),props.children);});var NotificationOff24=/*#__PURE__*/React.forwardRef(function NotificationOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,23V21.4l2.7-2.7A.91.91,0,0,0,8,18V13A8,8,0,0,1,21,6.76l1.44-1.43A9.79,9.79,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v2Z"}),React.createElement("path",{d:"M26,17.6V13a10,10,0,0,0-1.09-4.5L30,3.41,28.59,2,2,28.59,3.41,30l5-5H11a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Zm11-5H10.42l13-13A8.06,8.06,0,0,1,24,13v5a.91.91,0,0,0,.3.7L27,21.4Z"}),props.children);});var NotificationOff20=/*#__PURE__*/React.forwardRef(function NotificationOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,23V21.4l2.7-2.7A.91.91,0,0,0,8,18V13A8,8,0,0,1,21,6.76l1.44-1.43A9.79,9.79,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v2Z"}),React.createElement("path",{d:"M26,17.6V13a10,10,0,0,0-1.09-4.5L30,3.41,28.59,2,2,28.59,3.41,30l5-5H11a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21a.91.91,0,0,0-.3-.7ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Zm11-5H10.42l13-13A8.06,8.06,0,0,1,24,13v5a.91.91,0,0,0,.3.7L27,21.4Z"}),props.children);});var Notification32=/*#__PURE__*/React.forwardRef(function Notification32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7,20.3,26,17.6V13A10.07,10.07,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21A.91.91,0,0,0,28.7,20.3ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Zm11-5H5V21.4l2.7-2.7A.91.91,0,0,0,8,18V13a8,8,0,0,1,16,0v5a.91.91,0,0,0,.3.7L27,21.4Z"}),props.children);});var Notification24=/*#__PURE__*/React.forwardRef(function Notification24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7,20.3,26,17.6V13A10.07,10.07,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21A.91.91,0,0,0,28.7,20.3ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Zm11-5H5V21.4l2.7-2.7A.91.91,0,0,0,8,18V13a8,8,0,0,1,16,0v5a.91.91,0,0,0,.3.7L27,21.4Z"}),props.children);});var Notification20=/*#__PURE__*/React.forwardRef(function Notification20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7,20.3,26,17.6V13A10.07,10.07,0,0,0,17,3V1H15V3A10.15,10.15,0,0,0,6,13v4.6L3.3,20.3A.91.91,0,0,0,3,21v3a.94.94,0,0,0,1,1h7a5,5,0,0,0,10,0h7a.94.94,0,0,0,1-1V21A.91.91,0,0,0,28.7,20.3ZM16,28a3,3,0,0,1-3-3h6A3,3,0,0,1,16,28Zm11-5H5V21.4l2.7-2.7A.91.91,0,0,0,8,18V13a8,8,0,0,1,16,0v5a.91.91,0,0,0,.3.7L27,21.4Z"}),props.children);});var Number_032=/*#__PURE__*/React.forwardRef(function Number_032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11h0V21h4V11Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"15"}),props.children);});var Number_024=/*#__PURE__*/React.forwardRef(function Number_024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11h0V21h4V11Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"15"}),props.children);});var Number_020=/*#__PURE__*/React.forwardRef(function Number_020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11h0V21h4V11Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"15"}),props.children);});var Number_016=/*#__PURE__*/React.forwardRef(function Number_016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H14a2,2,0,0,1-2-2V11a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V21A2,2,0,0,1,18,23ZM14,11h0V21h4V11Z"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"15"}),props.children);});var Number_132=/*#__PURE__*/React.forwardRef(function Number_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10V22h0V10m1-1H12v2h3V21H12v2h8V21H17V9Z"}),props.children);});var Number_124=/*#__PURE__*/React.forwardRef(function Number_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10V22h0V10m1-1H12v2h3V21H12v2h8V21H17V9Z"}),props.children);});var Number_120=/*#__PURE__*/React.forwardRef(function Number_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10V22h0V10m1-1H12v2h3V21H12v2h8V21H17V9Z"}),props.children);});var Number_116=/*#__PURE__*/React.forwardRef(function Number_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,10V22h0V10m1-1H12v2h3V21H12v2h8V21H17V9Z"}),props.children);});var Number_232=/*#__PURE__*/React.forwardRef(function Number_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H12V17a2,2,0,0,1,2-2h4V11H12V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H14v4h6Z"}),props.children);});var Number_224=/*#__PURE__*/React.forwardRef(function Number_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H12V17a2,2,0,0,1,2-2h4V11H12V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H14v4h6Z"}),props.children);});var Number_220=/*#__PURE__*/React.forwardRef(function Number_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H12V17a2,2,0,0,1,2-2h4V11H12V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H14v4h6Z"}),props.children);});var Number_216=/*#__PURE__*/React.forwardRef(function Number_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,23H12V17a2,2,0,0,1,2-2h4V11H12V9h6a2,2,0,0,1,2,2v4a2,2,0,0,1-2,2H14v4h6Z"}),props.children);});var Number_332=/*#__PURE__*/React.forwardRef(function Number_332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H12v2h6v4H14v2h4v4H12v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Z"}),props.children);});var Number_324=/*#__PURE__*/React.forwardRef(function Number_324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H12v2h6v4H14v2h4v4H12v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Z"}),props.children);});var Number_320=/*#__PURE__*/React.forwardRef(function Number_320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H12v2h6v4H14v2h4v4H12v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Z"}),props.children);});var Number_316=/*#__PURE__*/React.forwardRef(function Number_316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H12v2h6v4H14v2h4v4H12v2h6a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Z"}),props.children);});var Number_432=/*#__PURE__*/React.forwardRef(function Number_432(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,10v8h0V10m1-1H17v8H14V9H12V19h5v4h2V19h1V17H19V9Z"}),props.children);});var Number_424=/*#__PURE__*/React.forwardRef(function Number_424(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,10v8h0V10m1-1H17v8H14V9H12V19h5v4h2V19h1V17H19V9Z"}),props.children);});var Number_420=/*#__PURE__*/React.forwardRef(function Number_420(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,10v8h0V10m1-1H17v8H14V9H12V19h5v4h2V19h1V17H19V9Z"}),props.children);});var Number_416=/*#__PURE__*/React.forwardRef(function Number_416(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,10v8h0V10m1-1H17v8H14V9H12V19h5v4h2V19h1V17H19V9Z"}),props.children);});var Number_532=/*#__PURE__*/React.forwardRef(function Number_532(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H12V9h8v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var Number_524=/*#__PURE__*/React.forwardRef(function Number_524(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H12V9h8v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var Number_520=/*#__PURE__*/React.forwardRef(function Number_520(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H12V9h8v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var Number_516=/*#__PURE__*/React.forwardRef(function Number_516(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,23H12V21h6V17H12V9h8v2H14v4h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,23Z"}),props.children);});var Number_632=/*#__PURE__*/React.forwardRef(function Number_632(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,14H14V11h5V9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16A2,2,0,0,0,18,14Zm-4,7V16h4v5Z"}),props.children);});var Number_624=/*#__PURE__*/React.forwardRef(function Number_624(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,14H14V11h5V9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16A2,2,0,0,0,18,14Zm-4,7V16h4v5Z"}),props.children);});var Number_620=/*#__PURE__*/React.forwardRef(function Number_620(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,14H14V11h5V9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16A2,2,0,0,0,18,14Zm-4,7V16h4v5Z"}),props.children);});var Number_616=/*#__PURE__*/React.forwardRef(function Number_616(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,14H14V11h5V9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16A2,2,0,0,0,18,14Zm-4,7V16h4v5Z"}),props.children);});var Number_732=/*#__PURE__*/React.forwardRef(function Number_732(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 13 14 13 14 11 17.85 11 13 23 15.16 23 20 11 20 9"}),props.children);});var Number_724=/*#__PURE__*/React.forwardRef(function Number_724(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 13 14 13 14 11 17.85 11 13 23 15.16 23 20 11 20 9"}),props.children);});var Number_720=/*#__PURE__*/React.forwardRef(function Number_720(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 13 14 13 14 11 17.85 11 13 23 15.16 23 20 11 20 9"}),props.children);});var Number_716=/*#__PURE__*/React.forwardRef(function Number_716(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 9 12 9 12 13 14 13 14 11 17.85 11 13 23 15.16 23 20 11 20 9"}),props.children);});var Number_832=/*#__PURE__*/React.forwardRef(function Number_832(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,2v4H14V11ZM14,21V17h4v4Z"}),props.children);});var Number_824=/*#__PURE__*/React.forwardRef(function Number_824(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,2v4H14V11ZM14,21V17h4v4Z"}),props.children);});var Number_820=/*#__PURE__*/React.forwardRef(function Number_820(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,2v4H14V11ZM14,21V17h4v4Z"}),props.children);});var Number_816=/*#__PURE__*/React.forwardRef(function Number_816(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,2v4H14V11ZM14,21V17h4v4Z"}),props.children);});var Number_932=/*#__PURE__*/React.forwardRef(function Number_932(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h4v3H13v2h5a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,7H14V11h4Z"}),props.children);});var Number_924=/*#__PURE__*/React.forwardRef(function Number_924(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h4v3H13v2h5a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,7H14V11h4Z"}),props.children);});var Number_920=/*#__PURE__*/React.forwardRef(function Number_920(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h4v3H13v2h5a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,7H14V11h4Z"}),props.children);});var Number_916=/*#__PURE__*/React.forwardRef(function Number_916(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,9H14a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h4v3H13v2h5a2,2,0,0,0,2-2V11A2,2,0,0,0,18,9Zm0,7H14V11h4Z"}),props.children);});var NumberSmall_032=/*#__PURE__*/React.forwardRef(function NumberSmall_032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v6h2V13Z"}),props.children);});var NumberSmall_024=/*#__PURE__*/React.forwardRef(function NumberSmall_024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v6h2V13Z"}),props.children);});var NumberSmall_020=/*#__PURE__*/React.forwardRef(function NumberSmall_020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v6h2V13Z"}),props.children);});var NumberSmall_016=/*#__PURE__*/React.forwardRef(function NumberSmall_016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v6h2V13Z"}),props.children);});var NumberSmall_132=/*#__PURE__*/React.forwardRef(function NumberSmall_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var NumberSmall_124=/*#__PURE__*/React.forwardRef(function NumberSmall_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var NumberSmall_120=/*#__PURE__*/React.forwardRef(function NumberSmall_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var NumberSmall_116=/*#__PURE__*/React.forwardRef(function NumberSmall_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var NumberSmall_232=/*#__PURE__*/React.forwardRef(function NumberSmall_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,21H13V17a2,2,0,0,1,2-2h2V13H13V11h4a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H15v2h4Z"}),props.children);});var NumberSmall_224=/*#__PURE__*/React.forwardRef(function NumberSmall_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,21H13V17a2,2,0,0,1,2-2h2V13H13V11h4a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H15v2h4Z"}),props.children);});var NumberSmall_220=/*#__PURE__*/React.forwardRef(function NumberSmall_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,21H13V17a2,2,0,0,1,2-2h2V13H13V11h4a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H15v2h4Z"}),props.children);});var NumberSmall_216=/*#__PURE__*/React.forwardRef(function NumberSmall_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,21H13V17a2,2,0,0,1,2-2h2V13H13V11h4a2,2,0,0,1,2,2v2a2,2,0,0,1-2,2H15v2h4Z"}),props.children);});var NumberSmall_332=/*#__PURE__*/React.forwardRef(function NumberSmall_332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H13v2h4v2H14v2h3v2H13v2h4a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Z"}),props.children);});var NumberSmall_324=/*#__PURE__*/React.forwardRef(function NumberSmall_324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H13v2h4v2H14v2h3v2H13v2h4a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Z"}),props.children);});var NumberSmall_320=/*#__PURE__*/React.forwardRef(function NumberSmall_320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H13v2h4v2H14v2h3v2H13v2h4a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Z"}),props.children);});var NumberSmall_316=/*#__PURE__*/React.forwardRef(function NumberSmall_316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H13v2h4v2H14v2h3v2H13v2h4a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Z"}),props.children);});var NumberSmall_432=/*#__PURE__*/React.forwardRef(function NumberSmall_432(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 11 17 15 15 15 15 11 13 11 13 17 17 17 17 21 19 21 19 11 17 11"}),props.children);});var NumberSmall_424=/*#__PURE__*/React.forwardRef(function NumberSmall_424(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 11 17 15 15 15 15 11 13 11 13 17 17 17 17 21 19 21 19 11 17 11"}),props.children);});var NumberSmall_420=/*#__PURE__*/React.forwardRef(function NumberSmall_420(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 11 17 15 15 15 15 11 13 11 13 17 17 17 17 21 19 21 19 11 17 11"}),props.children);});var NumberSmall_416=/*#__PURE__*/React.forwardRef(function NumberSmall_416(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"17 11 17 15 15 15 15 11 13 11 13 17 17 17 17 21 19 21 19 11 17 11"}),props.children);});var NumberSmall_532=/*#__PURE__*/React.forwardRef(function NumberSmall_532(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H13V19h4V17H13V11h6v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Z"}),props.children);});var NumberSmall_524=/*#__PURE__*/React.forwardRef(function NumberSmall_524(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H13V19h4V17H13V11h6v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Z"}),props.children);});var NumberSmall_520=/*#__PURE__*/React.forwardRef(function NumberSmall_520(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H13V19h4V17H13V11h6v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Z"}),props.children);});var NumberSmall_516=/*#__PURE__*/React.forwardRef(function NumberSmall_516(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H13V19h4V17H13V11h6v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Z"}),props.children);});var NumberSmall_632=/*#__PURE__*/React.forwardRef(function NumberSmall_632(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Zm-2-4v2h2V17Z"}),props.children);});var NumberSmall_624=/*#__PURE__*/React.forwardRef(function NumberSmall_624(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Zm-2-4v2h2V17Z"}),props.children);});var NumberSmall_620=/*#__PURE__*/React.forwardRef(function NumberSmall_620(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Zm-2-4v2h2V17Z"}),props.children);});var NumberSmall_616=/*#__PURE__*/React.forwardRef(function NumberSmall_616(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h3v2H15v2h2a2,2,0,0,1,2,2v2A2,2,0,0,1,17,21Zm-2-4v2h2V17Z"}),props.children);});var NumberSmall_732=/*#__PURE__*/React.forwardRef(function NumberSmall_732(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.44 21 14.44 21 17 13 15 13 15 14 13 14 13 11 19 11 19 13 16.44 21"}),props.children);});var NumberSmall_724=/*#__PURE__*/React.forwardRef(function NumberSmall_724(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.44 21 14.44 21 17 13 15 13 15 14 13 14 13 11 19 11 19 13 16.44 21"}),props.children);});var NumberSmall_720=/*#__PURE__*/React.forwardRef(function NumberSmall_720(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.44 21 14.44 21 17 13 15 13 15 14 13 14 13 11 19 11 19 13 16.44 21"}),props.children);});var NumberSmall_716=/*#__PURE__*/React.forwardRef(function NumberSmall_716(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.44 21 14.44 21 17 13 15 13 15 14 13 14 13 11 19 11 19 13 16.44 21"}),props.children);});var NumberSmall_832=/*#__PURE__*/React.forwardRef(function NumberSmall_832(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H15a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Zm0,2v2H15V13Zm-2,6V17h2v2Z"}),props.children);});var NumberSmall_824=/*#__PURE__*/React.forwardRef(function NumberSmall_824(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H15a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Zm0,2v2H15V13Zm-2,6V17h2v2Z"}),props.children);});var NumberSmall_820=/*#__PURE__*/React.forwardRef(function NumberSmall_820(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H15a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Zm0,2v2H15V13Zm-2,6V17h2v2Z"}),props.children);});var NumberSmall_816=/*#__PURE__*/React.forwardRef(function NumberSmall_816(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11H15a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V13A2,2,0,0,0,17,11Zm0,2v2H15V13Zm-2,6V17h2v2Z"}),props.children);});var NumberSmall_932=/*#__PURE__*/React.forwardRef(function NumberSmall_932(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H14V19h3V17H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v2h2V13Z"}),props.children);});var NumberSmall_924=/*#__PURE__*/React.forwardRef(function NumberSmall_924(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H14V19h3V17H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v2h2V13Z"}),props.children);});var NumberSmall_920=/*#__PURE__*/React.forwardRef(function NumberSmall_920(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H14V19h3V17H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v2h2V13Z"}),props.children);});var NumberSmall_916=/*#__PURE__*/React.forwardRef(function NumberSmall_916(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,21H14V19h3V17H15a2,2,0,0,1-2-2V13a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,17,21Zm-2-8v2h2V13Z"}),props.children);});var Omega32=/*#__PURE__*/React.forwardRef(function Omega32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.7373,25A14.3093,14.3093,0,0,0,27,15C27,8.42,22.58,4,16,4S5,8.42,5,15A14.3093,14.3093,0,0,0,9.2627,25H4v2h9V25.4722l-.4355-.2979A12.646,12.646,0,0,1,7,15c0-5.4673,3.5327-9,9-9s9,3.5327,9,9a12.5671,12.5671,0,0,1-5,9.7615V27h8V25Z"}),props.children);});var Omega24=/*#__PURE__*/React.forwardRef(function Omega24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.7373,25A14.3093,14.3093,0,0,0,27,15C27,8.42,22.58,4,16,4S5,8.42,5,15A14.3093,14.3093,0,0,0,9.2627,25H4v2h9V25.4722l-.4355-.2979A12.646,12.646,0,0,1,7,15c0-5.4673,3.5327-9,9-9s9,3.5327,9,9a12.5671,12.5671,0,0,1-5,9.7615V27h8V25Z"}),props.children);});var Omega20=/*#__PURE__*/React.forwardRef(function Omega20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.7373,25A14.3093,14.3093,0,0,0,27,15C27,8.42,22.58,4,16,4S5,8.42,5,15A14.3093,14.3093,0,0,0,9.2627,25H4v2h9V25.4722l-.4355-.2979A12.646,12.646,0,0,1,7,15c0-5.4673,3.5327-9,9-9s9,3.5327,9,9a12.5671,12.5671,0,0,1-5,9.7615V27h8V25Z"}),props.children);});var Omega16=/*#__PURE__*/React.forwardRef(function Omega16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.7373,25A14.3093,14.3093,0,0,0,27,15C27,8.42,22.58,4,16,4S5,8.42,5,15A14.3093,14.3093,0,0,0,9.2627,25H4v2h9V25.4722l-.4355-.2979A12.646,12.646,0,0,1,7,15c0-5.4673,3.5327-9,9-9s9,3.5327,9,9a12.5671,12.5671,0,0,1-5,9.7615V27h8V25Z"}),props.children);});var Opacity32=/*#__PURE__*/React.forwardRef(function Opacity32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),props.children);});var Opacity24=/*#__PURE__*/React.forwardRef(function Opacity24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),props.children);});var Opacity20=/*#__PURE__*/React.forwardRef(function Opacity20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),props.children);});var Opacity16=/*#__PURE__*/React.forwardRef(function Opacity16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"22"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),props.children);});var OpenPanelBottom32=/*#__PURE__*/React.forwardRef(function OpenPanelBottom32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6ZM4,26V20H28v6Z"}),props.children);});var OpenPanelBottom24=/*#__PURE__*/React.forwardRef(function OpenPanelBottom24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6ZM4,26V20H28v6Z"}),props.children);});var OpenPanelBottom20=/*#__PURE__*/React.forwardRef(function OpenPanelBottom20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6ZM4,26V20H28v6Z"}),props.children);});var OpenPanelBottom16=/*#__PURE__*/React.forwardRef(function OpenPanelBottom16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6ZM4,26V20H28v6Z"}),props.children);});var OpenPanelFilledBottom32=/*#__PURE__*/React.forwardRef(function OpenPanelFilledBottom32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6Z"}),props.children);});var OpenPanelFilledBottom24=/*#__PURE__*/React.forwardRef(function OpenPanelFilledBottom24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6Z"}),props.children);});var OpenPanelFilledBottom20=/*#__PURE__*/React.forwardRef(function OpenPanelFilledBottom20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6Z"}),props.children);});var OpenPanelFilledBottom16=/*#__PURE__*/React.forwardRef(function OpenPanelFilledBottom16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2V18H4V6Z"}),props.children);});var OpenPanelFilledLeft32=/*#__PURE__*/React.forwardRef(function OpenPanelFilledLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V6H28Z"}),props.children);});var OpenPanelFilledLeft24=/*#__PURE__*/React.forwardRef(function OpenPanelFilledLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V6H28Z"}),props.children);});var OpenPanelFilledLeft20=/*#__PURE__*/React.forwardRef(function OpenPanelFilledLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V6H28Z"}),props.children);});var OpenPanelFilledLeft16=/*#__PURE__*/React.forwardRef(function OpenPanelFilledLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H12V6H28Z"}),props.children);});var OpenPanelFilledRight32=/*#__PURE__*/React.forwardRef(function OpenPanelFilledRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4Z"}),props.children);});var OpenPanelFilledRight24=/*#__PURE__*/React.forwardRef(function OpenPanelFilledRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4Z"}),props.children);});var OpenPanelFilledRight20=/*#__PURE__*/React.forwardRef(function OpenPanelFilledRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4Z"}),props.children);});var OpenPanelFilledRight16=/*#__PURE__*/React.forwardRef(function OpenPanelFilledRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4Z"}),props.children);});var OpenPanelFilledTop32=/*#__PURE__*/React.forwardRef(function OpenPanelFilledTop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,26V14H28V26Z"}),props.children);});var OpenPanelFilledTop24=/*#__PURE__*/React.forwardRef(function OpenPanelFilledTop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,26V14H28V26Z"}),props.children);});var OpenPanelFilledTop20=/*#__PURE__*/React.forwardRef(function OpenPanelFilledTop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,26V14H28V26Z"}),props.children);});var OpenPanelFilledTop16=/*#__PURE__*/React.forwardRef(function OpenPanelFilledTop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,26V14H28V26Z"}),props.children);});var OpenPanelLeft32=/*#__PURE__*/React.forwardRef(function OpenPanelLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6h6V26H4ZM28,26H12V6H28Z"}),props.children);});var OpenPanelLeft24=/*#__PURE__*/React.forwardRef(function OpenPanelLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6h6V26H4ZM28,26H12V6H28Z"}),props.children);});var OpenPanelLeft20=/*#__PURE__*/React.forwardRef(function OpenPanelLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6h6V26H4ZM28,26H12V6H28Z"}),props.children);});var OpenPanelLeft16=/*#__PURE__*/React.forwardRef(function OpenPanelLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6h6V26H4ZM28,26H12V6H28Z"}),props.children);});var OpenPanelRight32=/*#__PURE__*/React.forwardRef(function OpenPanelRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4ZM28,26H22V6h6Z"}),props.children);});var OpenPanelRight24=/*#__PURE__*/React.forwardRef(function OpenPanelRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4ZM28,26H22V6h6Z"}),props.children);});var OpenPanelRight20=/*#__PURE__*/React.forwardRef(function OpenPanelRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4ZM28,26H22V6h6Z"}),props.children);});var OpenPanelRight16=/*#__PURE__*/React.forwardRef(function OpenPanelRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM4,6H20V26H4ZM28,26H22V6h6Z"}),props.children);});var OpenPanelTop32=/*#__PURE__*/React.forwardRef(function OpenPanelTop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2v6H4V6ZM4,26V14H28V26Z"}),props.children);});var OpenPanelTop24=/*#__PURE__*/React.forwardRef(function OpenPanelTop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2v6H4V6ZM4,26V14H28V26Z"}),props.children);});var OpenPanelTop20=/*#__PURE__*/React.forwardRef(function OpenPanelTop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2v6H4V6ZM4,26V14H28V26Z"}),props.children);});var OpenPanelTop16=/*#__PURE__*/React.forwardRef(function OpenPanelTop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,2v6H4V6ZM4,26V14H28V26Z"}),props.children);});var OperationsField32=/*#__PURE__*/React.forwardRef(function OperationsField32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"16",y:"6",transform:"rotate(-90 21 7)"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6",transform:"rotate(-90 25 7)"}),React.createElement("rect",{width:"10",height:"2",x:"24",y:"6",transform:"rotate(-90 29 7)"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4V10a6,6,0,1,0,6,6H20A3.9123,3.9123,0,0,1,16,20Z"}),React.createElement("path",{d:"M28.8928,18.4536,26.0979,16,24.78,17.5044l2.7922,2.4517-2.36,4.0878-3.4273-1.1591a9.0315,9.0315,0,0,1-2.7143,1.5644L18.36,28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H16V2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H18.36a2,2,0,0,0,1.9611-1.6079l.5037-2.5186a10.9666,10.9666,0,0,0,1.3267-.7534l2.4194.8184a1.9977,1.9977,0,0,0,2.3728-.8946l2.3606-4.0878A2.0006,2.0006,0,0,0,28.8928,18.4536Z"}),props.children);});var OperationsField24=/*#__PURE__*/React.forwardRef(function OperationsField24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"16",y:"6",transform:"rotate(-90 21 7)"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6",transform:"rotate(-90 25 7)"}),React.createElement("rect",{width:"10",height:"2",x:"24",y:"6",transform:"rotate(-90 29 7)"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4V10a6,6,0,1,0,6,6H20A3.9123,3.9123,0,0,1,16,20Z"}),React.createElement("path",{d:"M28.8928,18.4536,26.0979,16,24.78,17.5044l2.7922,2.4517-2.36,4.0878-3.4273-1.1591a9.0315,9.0315,0,0,1-2.7143,1.5644L18.36,28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H16V2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H18.36a2,2,0,0,0,1.9611-1.6079l.5037-2.5186a10.9666,10.9666,0,0,0,1.3267-.7534l2.4194.8184a1.9977,1.9977,0,0,0,2.3728-.8946l2.3606-4.0878A2.0006,2.0006,0,0,0,28.8928,18.4536Z"}),props.children);});var OperationsField20=/*#__PURE__*/React.forwardRef(function OperationsField20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"16",y:"6",transform:"rotate(-90 21 7)"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6",transform:"rotate(-90 25 7)"}),React.createElement("rect",{width:"10",height:"2",x:"24",y:"6",transform:"rotate(-90 29 7)"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4V10a6,6,0,1,0,6,6H20A3.9123,3.9123,0,0,1,16,20Z"}),React.createElement("path",{d:"M28.8928,18.4536,26.0979,16,24.78,17.5044l2.7922,2.4517-2.36,4.0878-3.4273-1.1591a9.0315,9.0315,0,0,1-2.7143,1.5644L18.36,28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H16V2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H18.36a2,2,0,0,0,1.9611-1.6079l.5037-2.5186a10.9666,10.9666,0,0,0,1.3267-.7534l2.4194.8184a1.9977,1.9977,0,0,0,2.3728-.8946l2.3606-4.0878A2.0006,2.0006,0,0,0,28.8928,18.4536Z"}),props.children);});var OperationsField16=/*#__PURE__*/React.forwardRef(function OperationsField16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"16",y:"6",transform:"rotate(-90 21 7)"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6",transform:"rotate(-90 25 7)"}),React.createElement("rect",{width:"10",height:"2",x:"24",y:"6",transform:"rotate(-90 29 7)"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4V10a6,6,0,1,0,6,6H20A3.9123,3.9123,0,0,1,16,20Z"}),React.createElement("path",{d:"M28.8928,18.4536,26.0979,16,24.78,17.5044l2.7922,2.4517-2.36,4.0878-3.4273-1.1591a9.0315,9.0315,0,0,1-2.7143,1.5644L18.36,28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H16V2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H18.36a2,2,0,0,0,1.9611-1.6079l.5037-2.5186a10.9666,10.9666,0,0,0,1.3267-.7534l2.4194.8184a1.9977,1.9977,0,0,0,2.3728-.8946l2.3606-4.0878A2.0006,2.0006,0,0,0,28.8928,18.4536Z"}),props.children);});var OperationsRecord32=/*#__PURE__*/React.forwardRef(function OperationsRecord32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"28"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4,3.9123,3.9123,0,0,1,4,4h2a6,6,0,1,0-6,6Z"}),React.createElement("path",{d:"M29.3047,11.0439,26.9441,6.9561a1.9977,1.9977,0,0,0-2.3728-.8946l-2.4341.8233a11.0419,11.0419,0,0,0-1.312-.7583l-.5037-2.5186A2,2,0,0,0,18.36,2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H16V28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H18.36l.71,3.5508a9.0978,9.0978,0,0,1,2.6948,1.5713l3.4468-1.166,2.36,4.0878-2.7978,2.4522L26.0923,16l2.8-2.4536A2.0006,2.0006,0,0,0,29.3047,11.0439Z"}),props.children);});var OperationsRecord24=/*#__PURE__*/React.forwardRef(function OperationsRecord24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"28"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4,3.9123,3.9123,0,0,1,4,4h2a6,6,0,1,0-6,6Z"}),React.createElement("path",{d:"M29.3047,11.0439,26.9441,6.9561a1.9977,1.9977,0,0,0-2.3728-.8946l-2.4341.8233a11.0419,11.0419,0,0,0-1.312-.7583l-.5037-2.5186A2,2,0,0,0,18.36,2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H16V28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H18.36l.71,3.5508a9.0978,9.0978,0,0,1,2.6948,1.5713l3.4468-1.166,2.36,4.0878-2.7978,2.4522L26.0923,16l2.8-2.4536A2.0006,2.0006,0,0,0,29.3047,11.0439Z"}),props.children);});var OperationsRecord20=/*#__PURE__*/React.forwardRef(function OperationsRecord20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"28"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4,3.9123,3.9123,0,0,1,4,4h2a6,6,0,1,0-6,6Z"}),React.createElement("path",{d:"M29.3047,11.0439,26.9441,6.9561a1.9977,1.9977,0,0,0-2.3728-.8946l-2.4341.8233a11.0419,11.0419,0,0,0-1.312-.7583l-.5037-2.5186A2,2,0,0,0,18.36,2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H16V28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H18.36l.71,3.5508a9.0978,9.0978,0,0,1,2.6948,1.5713l3.4468-1.166,2.36,4.0878-2.7978,2.4522L26.0923,16l2.8-2.4536A2.0006,2.0006,0,0,0,29.3047,11.0439Z"}),props.children);});var OperationsRecord16=/*#__PURE__*/React.forwardRef(function OperationsRecord16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"28"}),React.createElement("path",{d:"M16,20a3.9123,3.9123,0,0,1-4-4,3.9123,3.9123,0,0,1,4-4,3.9123,3.9123,0,0,1,4,4h2a6,6,0,1,0-6,6Z"}),React.createElement("path",{d:"M29.3047,11.0439,26.9441,6.9561a1.9977,1.9977,0,0,0-2.3728-.8946l-2.4341.8233a11.0419,11.0419,0,0,0-1.312-.7583l-.5037-2.5186A2,2,0,0,0,18.36,2H13.64a2,2,0,0,0-1.9611,1.6079l-.5037,2.5186A10.9666,10.9666,0,0,0,9.8481,6.88L7.4287,6.0615a1.9977,1.9977,0,0,0-2.3728.8946L2.6953,11.0439a2.0006,2.0006,0,0,0,.4119,2.5025l1.9309,1.6968C5.021,15.4946,5,15.7446,5,16c0,.2578.01.5127.0278.7656l-1.9206,1.688a2.0006,2.0006,0,0,0-.4119,2.5025l2.3606,4.0878a1.9977,1.9977,0,0,0,2.3728.8946l2.4341-.8233a10.9736,10.9736,0,0,0,1.312.7583l.5037,2.5186A2,2,0,0,0,13.64,30H16V28H13.64l-.71-3.5508a9.0953,9.0953,0,0,1-2.6948-1.5713l-3.4468,1.166-2.36-4.0878L7.1528,17.561a8.9263,8.9263,0,0,1-.007-3.1279L4.4275,12.0439,6.7886,7.9561l3.4267,1.1591a9.0305,9.0305,0,0,1,2.7141-1.5644L13.64,4H18.36l.71,3.5508a9.0978,9.0978,0,0,1,2.6948,1.5713l3.4468-1.166,2.36,4.0878-2.7978,2.4522L26.0923,16l2.8-2.4536A2.0006,2.0006,0,0,0,29.3047,11.0439Z"}),props.children);});var Ordinal32=/*#__PURE__*/React.forwardRef(function Ordinal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26V4H18v6H12v6H6V26H2v2H30V26ZM8,26V18h4v8Zm6,0V12h4V26Zm6,0V6h4V26Z"}),props.children);});var Ordinal24=/*#__PURE__*/React.forwardRef(function Ordinal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26V4H18v6H12v6H6V26H2v2H30V26ZM8,26V18h4v8Zm6,0V12h4V26Zm6,0V6h4V26Z"}),props.children);});var Ordinal20=/*#__PURE__*/React.forwardRef(function Ordinal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,26V4H18v6H12v6H6V26H2v2H30V26ZM8,26V18h4v8Zm6,0V12h4V26Zm6,0V6h4V26Z"}),props.children);});var OverflowMenuHorizontal32=/*#__PURE__*/React.forwardRef(function OverflowMenuHorizontal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"24",cy:"16",r:"2"}),props.children);});var OverflowMenuHorizontal24=/*#__PURE__*/React.forwardRef(function OverflowMenuHorizontal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"24",cy:"16",r:"2"}),props.children);});var OverflowMenuHorizontal20=/*#__PURE__*/React.forwardRef(function OverflowMenuHorizontal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"24",cy:"16",r:"2"}),props.children);});var OverflowMenuHorizontal16=/*#__PURE__*/React.forwardRef(function OverflowMenuHorizontal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"8",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"24",cy:"16",r:"2"}),props.children);});var OverflowMenuVertical32=/*#__PURE__*/React.forwardRef(function OverflowMenuVertical32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"8",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"24",r:"2"}),props.children);});var OverflowMenuVertical24=/*#__PURE__*/React.forwardRef(function OverflowMenuVertical24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"8",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"24",r:"2"}),props.children);});var OverflowMenuVertical20=/*#__PURE__*/React.forwardRef(function OverflowMenuVertical20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"8",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"24",r:"2"}),props.children);});var OverflowMenuVertical16=/*#__PURE__*/React.forwardRef(function OverflowMenuVertical16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"8",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"24",r:"2"}),props.children);});var Package32=/*#__PURE__*/React.forwardRef(function Package32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H6a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2H9v2H6V28H26V16H23V14h3a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"20"}),React.createElement("polygon",{points:"20.59 8.59 17 12.17 17 2 15 2 15 12.17 11.41 8.59 10 10 16 16 22 10 20.59 8.59"}),props.children);});var Package24=/*#__PURE__*/React.forwardRef(function Package24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H6a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2H9v2H6V28H26V16H23V14h3a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"20"}),React.createElement("polygon",{points:"20.59 8.59 17 12.17 17 2 15 2 15 12.17 11.41 8.59 10 10 16 16 22 10 20.59 8.59"}),props.children);});var Package20=/*#__PURE__*/React.forwardRef(function Package20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H6a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2H9v2H6V28H26V16H23V14h3a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"20"}),React.createElement("polygon",{points:"20.59 8.59 17 12.17 17 2 15 2 15 12.17 11.41 8.59 10 10 16 16 22 10 20.59 8.59"}),props.children);});var Package16=/*#__PURE__*/React.forwardRef(function Package16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,30H6a2,2,0,0,1-2-2V16a2,2,0,0,1,2-2H9v2H6V28H26V16H23V14h3a2,2,0,0,1,2,2V28A2,2,0,0,1,26,30Z"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"20"}),React.createElement("polygon",{points:"20.59 8.59 17 12.17 17 2 15 2 15 12.17 11.41 8.59 10 10 16 16 22 10 20.59 8.59"}),props.children);});var PageFirst32=/*#__PURE__*/React.forwardRef(function PageFirst32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14,16 24,6 25.4,7.4 16.8,16 25.4,24.6 24,26"}),React.createElement("rect",{width:"2",height:"24",x:"8",y:"4"}),props.children);});var PageFirst24=/*#__PURE__*/React.forwardRef(function PageFirst24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14,16 24,6 25.4,7.4 16.8,16 25.4,24.6 24,26"}),React.createElement("rect",{width:"2",height:"24",x:"8",y:"4"}),props.children);});var PageFirst20=/*#__PURE__*/React.forwardRef(function PageFirst20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14,16 24,6 25.4,7.4 16.8,16 25.4,24.6 24,26"}),React.createElement("rect",{width:"2",height:"24",x:"8",y:"4"}),props.children);});var PageFirst16=/*#__PURE__*/React.forwardRef(function PageFirst16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14,16 24,6 25.4,7.4 16.8,16 25.4,24.6 24,26"}),React.createElement("rect",{width:"2",height:"24",x:"8",y:"4"}),props.children);});var PageLast32=/*#__PURE__*/React.forwardRef(function PageLast32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18,16 8,26 6.6,24.6 15.2,16 6.6,7.4 8,6"}),React.createElement("rect",{width:"2",height:"24",x:"22",y:"4"}),props.children);});var PageLast24=/*#__PURE__*/React.forwardRef(function PageLast24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18,16 8,26 6.6,24.6 15.2,16 6.6,7.4 8,6"}),React.createElement("rect",{width:"2",height:"24",x:"22",y:"4"}),props.children);});var PageLast20=/*#__PURE__*/React.forwardRef(function PageLast20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18,16 8,26 6.6,24.6 15.2,16 6.6,7.4 8,6"}),React.createElement("rect",{width:"2",height:"24",x:"22",y:"4"}),props.children);});var PageLast16=/*#__PURE__*/React.forwardRef(function PageLast16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18,16 8,26 6.6,24.6 15.2,16 6.6,7.4 8,6"}),React.createElement("rect",{width:"2",height:"24",x:"22",y:"4"}),props.children);});var PaintBrushAlt32=/*#__PURE__*/React.forwardRef(function PaintBrushAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,3.1719a4.0941,4.0941,0,0,0-5.6562,0L4.05,22.292A6.9537,6.9537,0,0,0,2,27.2412V30H4.7559a6.9523,6.9523,0,0,0,4.95-2.05L28.8281,8.8286a3.999,3.999,0,0,0,0-5.6567ZM10.91,18.26l2.8286,2.8286L11.6172,23.21,8.7886,20.3818ZM8.2915,26.5356A4.9665,4.9665,0,0,1,4.7559,28H4v-.7588a4.9671,4.9671,0,0,1,1.4644-3.5351l1.91-1.91,2.8286,2.8281ZM27.4141,7.4141,15.1528,19.6748l-2.8286-2.8286,12.2617-12.26a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),props.children);});var PaintBrushAlt24=/*#__PURE__*/React.forwardRef(function PaintBrushAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,3.1719a4.0941,4.0941,0,0,0-5.6562,0L4.05,22.292A6.9537,6.9537,0,0,0,2,27.2412V30H4.7559a6.9523,6.9523,0,0,0,4.95-2.05L28.8281,8.8286a3.999,3.999,0,0,0,0-5.6567ZM10.91,18.26l2.8286,2.8286L11.6172,23.21,8.7886,20.3818ZM8.2915,26.5356A4.9665,4.9665,0,0,1,4.7559,28H4v-.7588a4.9671,4.9671,0,0,1,1.4644-3.5351l1.91-1.91,2.8286,2.8281ZM27.4141,7.4141,15.1528,19.6748l-2.8286-2.8286,12.2617-12.26a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),props.children);});var PaintBrushAlt20=/*#__PURE__*/React.forwardRef(function PaintBrushAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,3.1719a4.0941,4.0941,0,0,0-5.6562,0L4.05,22.292A6.9537,6.9537,0,0,0,2,27.2412V30H4.7559a6.9523,6.9523,0,0,0,4.95-2.05L28.8281,8.8286a3.999,3.999,0,0,0,0-5.6567ZM10.91,18.26l2.8286,2.8286L11.6172,23.21,8.7886,20.3818ZM8.2915,26.5356A4.9665,4.9665,0,0,1,4.7559,28H4v-.7588a4.9671,4.9671,0,0,1,1.4644-3.5351l1.91-1.91,2.8286,2.8281ZM27.4141,7.4141,15.1528,19.6748l-2.8286-2.8286,12.2617-12.26a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),props.children);});var PaintBrushAlt16=/*#__PURE__*/React.forwardRef(function PaintBrushAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,3.1719a4.0941,4.0941,0,0,0-5.6562,0L4.05,22.292A6.9537,6.9537,0,0,0,2,27.2412V30H4.7559a6.9523,6.9523,0,0,0,4.95-2.05L28.8281,8.8286a3.999,3.999,0,0,0,0-5.6567ZM10.91,18.26l2.8286,2.8286L11.6172,23.21,8.7886,20.3818ZM8.2915,26.5356A4.9665,4.9665,0,0,1,4.7559,28H4v-.7588a4.9671,4.9671,0,0,1,1.4644-3.5351l1.91-1.91,2.8286,2.8281ZM27.4141,7.4141,15.1528,19.6748l-2.8286-2.8286,12.2617-12.26a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),props.children);});var PaintBrush32=/*#__PURE__*/React.forwardRef(function PaintBrush32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,23.17,23,17.33V13a1,1,0,0,0-.29-.71l-10-10a1,1,0,0,0-1.42,0l-9,9a1,1,0,0,0,0,1.42l10,10A1,1,0,0,0,13,23h4.34l5.83,5.84a4,4,0,0,0,5.66-5.66ZM6,10.41l2.29,2.3,1.42-1.42L7.41,9,9,7.41l4.29,4.3,1.42-1.42L10.41,6,12,4.41,18.59,11,11,18.59,4.41,12Zm21.41,17a2,2,0,0,1-2.82,0l-6.13-6.12a1.8,1.8,0,0,0-.71-.29H13.41l-1-1L20,12.41l1,1v4.34a1,1,0,0,0,.29.7l6.12,6.14a2,2,0,0,1,0,2.82Z"}),props.children);});var PaintBrush24=/*#__PURE__*/React.forwardRef(function PaintBrush24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,23.17,23,17.33V13a1,1,0,0,0-.29-.71l-10-10a1,1,0,0,0-1.42,0l-9,9a1,1,0,0,0,0,1.42l10,10A1,1,0,0,0,13,23h4.34l5.83,5.84a4,4,0,0,0,5.66-5.66ZM6,10.41l2.29,2.3,1.42-1.42L7.41,9,9,7.41l4.29,4.3,1.42-1.42L10.41,6,12,4.41,18.59,11,11,18.59,4.41,12Zm21.41,17a2,2,0,0,1-2.82,0l-6.13-6.12a1.8,1.8,0,0,0-.71-.29H13.41l-1-1L20,12.41l1,1v4.34a1,1,0,0,0,.29.7l6.12,6.14a2,2,0,0,1,0,2.82Z"}),props.children);});var PaintBrush20=/*#__PURE__*/React.forwardRef(function PaintBrush20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,23.17,23,17.33V13a1,1,0,0,0-.29-.71l-10-10a1,1,0,0,0-1.42,0l-9,9a1,1,0,0,0,0,1.42l10,10A1,1,0,0,0,13,23h4.34l5.83,5.84a4,4,0,0,0,5.66-5.66ZM6,10.41l2.29,2.3,1.42-1.42L7.41,9,9,7.41l4.29,4.3,1.42-1.42L10.41,6,12,4.41,18.59,11,11,18.59,4.41,12Zm21.41,17a2,2,0,0,1-2.82,0l-6.13-6.12a1.8,1.8,0,0,0-.71-.29H13.41l-1-1L20,12.41l1,1v4.34a1,1,0,0,0,.29.7l6.12,6.14a2,2,0,0,1,0,2.82Z"}),props.children);});var PaintBrush16=/*#__PURE__*/React.forwardRef(function PaintBrush16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,23.17,23,17.33V13a1,1,0,0,0-.29-.71l-10-10a1,1,0,0,0-1.42,0l-9,9a1,1,0,0,0,0,1.42l10,10A1,1,0,0,0,13,23h4.34l5.83,5.84a4,4,0,0,0,5.66-5.66ZM6,10.41l2.29,2.3,1.42-1.42L7.41,9,9,7.41l4.29,4.3,1.42-1.42L10.41,6,12,4.41,18.59,11,11,18.59,4.41,12Zm21.41,17a2,2,0,0,1-2.82,0l-6.13-6.12a1.8,1.8,0,0,0-.71-.29H13.41l-1-1L20,12.41l1,1v4.34a1,1,0,0,0,.29.7l6.12,6.14a2,2,0,0,1,0,2.82Z"}),props.children);});var PanelExpansion32=/*#__PURE__*/React.forwardRef(function PanelExpansion32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H6A2,2,0,0,0,4,8v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,12,6ZM6,14V8h6v6Z"}),React.createElement("path",{d:"M26,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,26,6ZM20,24V8h6V24Z"}),props.children);});var PanelExpansion24=/*#__PURE__*/React.forwardRef(function PanelExpansion24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H6A2,2,0,0,0,4,8v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,12,6ZM6,14V8h6v6Z"}),React.createElement("path",{d:"M26,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,26,6ZM20,24V8h6V24Z"}),props.children);});var PanelExpansion20=/*#__PURE__*/React.forwardRef(function PanelExpansion20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H6A2,2,0,0,0,4,8v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,12,6ZM6,14V8h6v6Z"}),React.createElement("path",{d:"M26,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,26,6ZM20,24V8h6V24Z"}),props.children);});var PanelExpansion16=/*#__PURE__*/React.forwardRef(function PanelExpansion16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H6A2,2,0,0,0,4,8v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,12,6ZM6,14V8h6v6Z"}),React.createElement("path",{d:"M26,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V8A2,2,0,0,0,26,6ZM20,24V8h6V24Z"}),props.children);});var Paragraph32=/*#__PURE__*/React.forwardRef(function Paragraph32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,4H13a7,7,0,0,0,0,14V28h2V6h5V28h2V6h5ZM13,16A5,5,0,0,1,13,6Z"}),props.children);});var Paragraph24=/*#__PURE__*/React.forwardRef(function Paragraph24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,4H13a7,7,0,0,0,0,14V28h2V6h5V28h2V6h5ZM13,16A5,5,0,0,1,13,6Z"}),props.children);});var Paragraph20=/*#__PURE__*/React.forwardRef(function Paragraph20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,4H13a7,7,0,0,0,0,14V28h2V6h5V28h2V6h5ZM13,16A5,5,0,0,1,13,6Z"}),props.children);});var Paragraph16=/*#__PURE__*/React.forwardRef(function Paragraph16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,4H13a7,7,0,0,0,0,14V28h2V6h5V28h2V6h5ZM13,16A5,5,0,0,1,13,6Z"}),props.children);});var ParentChild32=/*#__PURE__*/React.forwardRef(function ParentChild32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4v6a2,2,0,0,0,2,2H15v4H9a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H9V18H23v4H20a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H25V18a2,2,0,0,0-2-2H17V12ZM12,28H4V24h8Zm16,0H20V24h8ZM4,4H28v6H4Z"}),props.children);});var ParentChild24=/*#__PURE__*/React.forwardRef(function ParentChild24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4v6a2,2,0,0,0,2,2H15v4H9a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H9V18H23v4H20a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H25V18a2,2,0,0,0-2-2H17V12ZM12,28H4V24h8Zm16,0H20V24h8ZM4,4H28v6H4Z"}),props.children);});var ParentChild20=/*#__PURE__*/React.forwardRef(function ParentChild20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4v6a2,2,0,0,0,2,2H15v4H9a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H9V18H23v4H20a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H25V18a2,2,0,0,0-2-2H17V12ZM12,28H4V24h8Zm16,0H20V24h8ZM4,4H28v6H4Z"}),props.children);});var ParentChild16=/*#__PURE__*/React.forwardRef(function ParentChild16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4v6a2,2,0,0,0,2,2H15v4H9a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H9V18H23v4H20a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V24a2,2,0,0,0-2-2H25V18a2,2,0,0,0-2-2H17V12ZM12,28H4V24h8Zm16,0H20V24h8ZM4,4H28v6H4Z"}),props.children);});var PartlyCloudyNight32=/*#__PURE__*/React.forwardRef(function PartlyCloudyNight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19a4.974,4.974,0,0,0-3.2061-4.6582A6.9711,6.9711,0,0,0,13.7578,12.9a13.1418,13.1418,0,0,1,.1314-8.52A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0a13.0412,13.0412,0,0,0,10.29-5.0386A4.99,4.99,0,0,0,30,19ZM14.7034,26.9976a11.0945,11.0945,0,0,1-3.201-21.584,15.1817,15.1817,0,0,0,.8443,9.3676A4.9877,4.9877,0,0,0,15,24h7.6772a11.0991,11.0991,0,0,1-7.5561,2.9976C14.9827,26.9976,14.8428,27.0024,14.7034,26.9976ZM25,22H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878.0005l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,22Z"}),props.children);});var PartlyCloudyNight24=/*#__PURE__*/React.forwardRef(function PartlyCloudyNight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19a4.974,4.974,0,0,0-3.2061-4.6582A6.9711,6.9711,0,0,0,13.7578,12.9a13.1418,13.1418,0,0,1,.1314-8.52A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0a13.0412,13.0412,0,0,0,10.29-5.0386A4.99,4.99,0,0,0,30,19ZM14.7034,26.9976a11.0945,11.0945,0,0,1-3.201-21.584,15.1817,15.1817,0,0,0,.8443,9.3676A4.9877,4.9877,0,0,0,15,24h7.6772a11.0991,11.0991,0,0,1-7.5561,2.9976C14.9827,26.9976,14.8428,27.0024,14.7034,26.9976ZM25,22H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878.0005l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,22Z"}),props.children);});var PartlyCloudyNight20=/*#__PURE__*/React.forwardRef(function PartlyCloudyNight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19a4.974,4.974,0,0,0-3.2061-4.6582A6.9711,6.9711,0,0,0,13.7578,12.9a13.1418,13.1418,0,0,1,.1314-8.52A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0a13.0412,13.0412,0,0,0,10.29-5.0386A4.99,4.99,0,0,0,30,19ZM14.7034,26.9976a11.0945,11.0945,0,0,1-3.201-21.584,15.1817,15.1817,0,0,0,.8443,9.3676A4.9877,4.9877,0,0,0,15,24h7.6772a11.0991,11.0991,0,0,1-7.5561,2.9976C14.9827,26.9976,14.8428,27.0024,14.7034,26.9976ZM25,22H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878.0005l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,22Z"}),props.children);});var PartlyCloudyNight16=/*#__PURE__*/React.forwardRef(function PartlyCloudyNight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,19a4.974,4.974,0,0,0-3.2061-4.6582A6.9711,6.9711,0,0,0,13.7578,12.9a13.1418,13.1418,0,0,1,.1314-8.52A1.015,1.015,0,0,0,12.98,3a.9825.9825,0,0,0-.1746.0156A13.0958,13.0958,0,0,0,14.63,28.9971c.164.0063.3281,0,.4907,0a13.0412,13.0412,0,0,0,10.29-5.0386A4.99,4.99,0,0,0,30,19ZM14.7034,26.9976a11.0945,11.0945,0,0,1-3.201-21.584,15.1817,15.1817,0,0,0,.8443,9.3676A4.9877,4.9877,0,0,0,15,24h7.6772a11.0991,11.0991,0,0,1-7.5561,2.9976C14.9827,26.9976,14.8428,27.0024,14.7034,26.9976ZM25,22H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878.0005l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,22Z"}),props.children);});var PartlyCloudy32=/*#__PURE__*/React.forwardRef(function PartlyCloudy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"4.243",height:"2",x:"23.086",y:"5.794",transform:"rotate(-45 25.207 6.794)"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"1"}),React.createElement("rect",{width:"4.243",height:"2",x:"4.672",y:"24.208",transform:"rotate(-45 6.793 25.208)"}),React.createElement("rect",{width:"2",height:"4.243",x:"5.793",y:"4.672",transform:"rotate(-45 6.793 6.794)"}),React.createElement("rect",{width:"4",height:"2",x:"1",y:"15"}),React.createElement("path",{d:"M26.7939,20.3418a6.9617,6.9617,0,0,0-1.8681-3.2671A8.485,8.485,0,0,0,25,16a9,9,0,1,0-14.585,7.0332A4.9771,4.9771,0,0,0,15,30H25a4.9947,4.9947,0,0,0,1.7939-9.6582ZM9,16a6.9955,6.9955,0,0,1,13.9849-.2969A6.8883,6.8883,0,0,0,20,15a7.04,7.04,0,0,0-6.7944,5.3418A4.986,4.986,0,0,0,11.5618,21.39,6.9675,6.9675,0,0,1,9,16ZM25,28H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878,0l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,28Z"}),props.children);});var PartlyCloudy24=/*#__PURE__*/React.forwardRef(function PartlyCloudy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"4.243",height:"2",x:"23.086",y:"5.794",transform:"rotate(-45 25.207 6.794)"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"1"}),React.createElement("rect",{width:"4.243",height:"2",x:"4.672",y:"24.208",transform:"rotate(-45 6.793 25.208)"}),React.createElement("rect",{width:"2",height:"4.243",x:"5.793",y:"4.672",transform:"rotate(-45 6.793 6.794)"}),React.createElement("rect",{width:"4",height:"2",x:"1",y:"15"}),React.createElement("path",{d:"M26.7939,20.3418a6.9617,6.9617,0,0,0-1.8681-3.2671A8.485,8.485,0,0,0,25,16a9,9,0,1,0-14.585,7.0332A4.9771,4.9771,0,0,0,15,30H25a4.9947,4.9947,0,0,0,1.7939-9.6582ZM9,16a6.9955,6.9955,0,0,1,13.9849-.2969A6.8883,6.8883,0,0,0,20,15a7.04,7.04,0,0,0-6.7944,5.3418A4.986,4.986,0,0,0,11.5618,21.39,6.9675,6.9675,0,0,1,9,16ZM25,28H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878,0l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,28Z"}),props.children);});var PartlyCloudy20=/*#__PURE__*/React.forwardRef(function PartlyCloudy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"4.243",height:"2",x:"23.086",y:"5.794",transform:"rotate(-45 25.207 6.794)"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"1"}),React.createElement("rect",{width:"4.243",height:"2",x:"4.672",y:"24.208",transform:"rotate(-45 6.793 25.208)"}),React.createElement("rect",{width:"2",height:"4.243",x:"5.793",y:"4.672",transform:"rotate(-45 6.793 6.794)"}),React.createElement("rect",{width:"4",height:"2",x:"1",y:"15"}),React.createElement("path",{d:"M26.7939,20.3418a6.9617,6.9617,0,0,0-1.8681-3.2671A8.485,8.485,0,0,0,25,16a9,9,0,1,0-14.585,7.0332A4.9771,4.9771,0,0,0,15,30H25a4.9947,4.9947,0,0,0,1.7939-9.6582ZM9,16a6.9955,6.9955,0,0,1,13.9849-.2969A6.8883,6.8883,0,0,0,20,15a7.04,7.04,0,0,0-6.7944,5.3418A4.986,4.986,0,0,0,11.5618,21.39,6.9675,6.9675,0,0,1,9,16ZM25,28H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878,0l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,28Z"}),props.children);});var PartlyCloudy16=/*#__PURE__*/React.forwardRef(function PartlyCloudy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"27",y:"15"}),React.createElement("rect",{width:"4.243",height:"2",x:"23.086",y:"5.794",transform:"rotate(-45 25.207 6.794)"}),React.createElement("rect",{width:"2",height:"4",x:"15",y:"1"}),React.createElement("rect",{width:"4.243",height:"2",x:"4.672",y:"24.208",transform:"rotate(-45 6.793 25.208)"}),React.createElement("rect",{width:"2",height:"4.243",x:"5.793",y:"4.672",transform:"rotate(-45 6.793 6.794)"}),React.createElement("rect",{width:"4",height:"2",x:"1",y:"15"}),React.createElement("path",{d:"M26.7939,20.3418a6.9617,6.9617,0,0,0-1.8681-3.2671A8.485,8.485,0,0,0,25,16a9,9,0,1,0-14.585,7.0332A4.9771,4.9771,0,0,0,15,30H25a4.9947,4.9947,0,0,0,1.7939-9.6582ZM9,16a6.9955,6.9955,0,0,1,13.9849-.2969A6.8883,6.8883,0,0,0,20,15a7.04,7.04,0,0,0-6.7944,5.3418A4.986,4.986,0,0,0,11.5618,21.39,6.9675,6.9675,0,0,1,9,16ZM25,28H15a2.9945,2.9945,0,0,1-.6963-5.9082l.6587-.1572.0986-.67a4.9923,4.9923,0,0,1,9.878,0l.0986.6695.6587.1572A2.9945,2.9945,0,0,1,25,28Z"}),props.children);});var Partnership32=/*#__PURE__*/React.forwardRef(function Partnership32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4,4,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2,2,0,0,0,8,3Z"}),React.createElement("path",{d:"M24,9a4,4,0,1,1,4-4A4,4,0,0,1,24,9Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,24,3Z"}),React.createElement("path",{d:"M26,30H22a2,2,0,0,1-2-2V21h2v7h4V19h2V13a1,1,0,0,0-1-1H20.58L16,20l-4.58-8H5a1,1,0,0,0-1,1v6H6v9h4V21h2v7a2,2,0,0,1-2,2H6a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h7.58L16,16l3.42-6H27a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,26,30Z"}),props.children);});var Partnership24=/*#__PURE__*/React.forwardRef(function Partnership24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4,4,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2,2,0,0,0,8,3Z"}),React.createElement("path",{d:"M24,9a4,4,0,1,1,4-4A4,4,0,0,1,24,9Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,24,3Z"}),React.createElement("path",{d:"M26,30H22a2,2,0,0,1-2-2V21h2v7h4V19h2V13a1,1,0,0,0-1-1H20.58L16,20l-4.58-8H5a1,1,0,0,0-1,1v6H6v9h4V21h2v7a2,2,0,0,1-2,2H6a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h7.58L16,16l3.42-6H27a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,26,30Z"}),props.children);});var Partnership20=/*#__PURE__*/React.forwardRef(function Partnership20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4,4,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2,2,0,0,0,8,3Z"}),React.createElement("path",{d:"M24,9a4,4,0,1,1,4-4A4,4,0,0,1,24,9Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,24,3Z"}),React.createElement("path",{d:"M26,30H22a2,2,0,0,1-2-2V21h2v7h4V19h2V13a1,1,0,0,0-1-1H20.58L16,20l-4.58-8H5a1,1,0,0,0-1,1v6H6v9h4V21h2v7a2,2,0,0,1-2,2H6a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h7.58L16,16l3.42-6H27a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,26,30Z"}),props.children);});var Partnership16=/*#__PURE__*/React.forwardRef(function Partnership16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4,4,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2,2,0,0,0,8,3Z"}),React.createElement("path",{d:"M24,9a4,4,0,1,1,4-4A4,4,0,0,1,24,9Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,24,3Z"}),React.createElement("path",{d:"M26,30H22a2,2,0,0,1-2-2V21h2v7h4V19h2V13a1,1,0,0,0-1-1H20.58L16,20l-4.58-8H5a1,1,0,0,0-1,1v6H6v9h4V21h2v7a2,2,0,0,1-2,2H6a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h7.58L16,16l3.42-6H27a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,26,30Z"}),props.children);});var Password32=/*#__PURE__*/React.forwardRef(function Password32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,2a9,9,0,0,0-9,9,8.87,8.87,0,0,0,.39,2.61L2,24v6H8L18.39,19.61A9,9,0,0,0,30,11.74a8.77,8.77,0,0,0-1.65-6A9,9,0,0,0,21,2Zm0,16a7,7,0,0,1-2-.3l-1.15-.35L17,18.2l-3.18,3.18L12.41,20,11,21.41l1.38,1.38-1.59,1.59L9.41,23,8,24.41l1.38,1.38L7.17,28H4V24.83L13.8,15l.85-.85-.29-.95a7.14,7.14,0,0,1,3.4-8.44,7,7,0,0,1,10.24,6,6.69,6.69,0,0,1-1.09,4A7,7,0,0,1,21,18Z"}),React.createElement("circle",{cx:"22",cy:"10",r:"2"}),props.children);});var Password24=/*#__PURE__*/React.forwardRef(function Password24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,2a9,9,0,0,0-9,9,8.87,8.87,0,0,0,.39,2.61L2,24v6H8L18.39,19.61A9,9,0,0,0,30,11.74a8.77,8.77,0,0,0-1.65-6A9,9,0,0,0,21,2Zm0,16a7,7,0,0,1-2-.3l-1.15-.35L17,18.2l-3.18,3.18L12.41,20,11,21.41l1.38,1.38-1.59,1.59L9.41,23,8,24.41l1.38,1.38L7.17,28H4V24.83L13.8,15l.85-.85-.29-.95a7.14,7.14,0,0,1,3.4-8.44,7,7,0,0,1,10.24,6,6.69,6.69,0,0,1-1.09,4A7,7,0,0,1,21,18Z"}),React.createElement("circle",{cx:"22",cy:"10",r:"2"}),props.children);});var Password20=/*#__PURE__*/React.forwardRef(function Password20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,2a9,9,0,0,0-9,9,8.87,8.87,0,0,0,.39,2.61L2,24v6H8L18.39,19.61A9,9,0,0,0,30,11.74a8.77,8.77,0,0,0-1.65-6A9,9,0,0,0,21,2Zm0,16a7,7,0,0,1-2-.3l-1.15-.35L17,18.2l-3.18,3.18L12.41,20,11,21.41l1.38,1.38-1.59,1.59L9.41,23,8,24.41l1.38,1.38L7.17,28H4V24.83L13.8,15l.85-.85-.29-.95a7.14,7.14,0,0,1,3.4-8.44,7,7,0,0,1,10.24,6,6.69,6.69,0,0,1-1.09,4A7,7,0,0,1,21,18Z"}),React.createElement("circle",{cx:"22",cy:"10",r:"2"}),props.children);});var Password16=/*#__PURE__*/React.forwardRef(function Password16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,2a9,9,0,0,0-9,9,8.87,8.87,0,0,0,.39,2.61L2,24v6H8L18.39,19.61A9,9,0,0,0,30,11.74a8.77,8.77,0,0,0-1.65-6A9,9,0,0,0,21,2Zm0,16a7,7,0,0,1-2-.3l-1.15-.35L17,18.2l-3.18,3.18L12.41,20,11,21.41l1.38,1.38-1.59,1.59L9.41,23,8,24.41l1.38,1.38L7.17,28H4V24.83L13.8,15l.85-.85-.29-.95a7.14,7.14,0,0,1,3.4-8.44,7,7,0,0,1,10.24,6,6.69,6.69,0,0,1-1.09,4A7,7,0,0,1,21,18Z"}),React.createElement("circle",{cx:"22",cy:"10",r:"2"}),props.children);});var Paste32=/*#__PURE__*/React.forwardRef(function Paste32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20H17.83l2.58-2.59L19,16l-5,5,5,5,1.41-1.41L17.83,22H26v8h2V22A2,2,0,0,0,26,20Z"}),React.createElement("path",{d:"M23.71,9.29l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2h8V28H6V4h8v6a2,2,0,0,0,2,2h6v2h2V10A1,1,0,0,0,23.71,9.29ZM16,4.41,21.59,10H16Z"}),props.children);});var Paste24=/*#__PURE__*/React.forwardRef(function Paste24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20H17.83l2.58-2.59L19,16l-5,5,5,5,1.41-1.41L17.83,22H26v8h2V22A2,2,0,0,0,26,20Z"}),React.createElement("path",{d:"M23.71,9.29l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2h8V28H6V4h8v6a2,2,0,0,0,2,2h6v2h2V10A1,1,0,0,0,23.71,9.29ZM16,4.41,21.59,10H16Z"}),props.children);});var Paste20=/*#__PURE__*/React.forwardRef(function Paste20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20H17.83l2.58-2.59L19,16l-5,5,5,5,1.41-1.41L17.83,22H26v8h2V22A2,2,0,0,0,26,20Z"}),React.createElement("path",{d:"M23.71,9.29l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2h8V28H6V4h8v6a2,2,0,0,0,2,2h6v2h2V10A1,1,0,0,0,23.71,9.29ZM16,4.41,21.59,10H16Z"}),props.children);});var Paste16=/*#__PURE__*/React.forwardRef(function Paste16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20H17.83l2.58-2.59L19,16l-5,5,5,5,1.41-1.41L17.83,22H26v8h2V22A2,2,0,0,0,26,20Z"}),React.createElement("path",{d:"M23.71,9.29l-7-7A1,1,0,0,0,16,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2h8V28H6V4h8v6a2,2,0,0,0,2,2h6v2h2V10A1,1,0,0,0,23.71,9.29ZM16,4.41,21.59,10H16Z"}),props.children);});var PauseFilled32=/*#__PURE__*/React.forwardRef(function PauseFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H10A2,2,0,0,0,8,8V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M22,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var PauseFilled24=/*#__PURE__*/React.forwardRef(function PauseFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H10A2,2,0,0,0,8,8V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M22,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var PauseFilled20=/*#__PURE__*/React.forwardRef(function PauseFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H10A2,2,0,0,0,8,8V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M22,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var PauseFilled16=/*#__PURE__*/React.forwardRef(function PauseFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,6H10A2,2,0,0,0,8,8V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M22,6H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h2a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var PauseOutlineFilled32=/*#__PURE__*/React.forwardRef(function PauseOutlineFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM14,22H12V10h2Zm6,0H18V10h2Z"}),props.children);});var PauseOutlineFilled24=/*#__PURE__*/React.forwardRef(function PauseOutlineFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM14,22H12V10h2Zm6,0H18V10h2Z"}),props.children);});var PauseOutlineFilled20=/*#__PURE__*/React.forwardRef(function PauseOutlineFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM14,22H12V10h2Zm6,0H18V10h2Z"}),props.children);});var PauseOutline32=/*#__PURE__*/React.forwardRef(function PauseOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14 10 12 10 12 22 14 22 14 10 14 10"}),React.createElement("polygon",{points:"20 10 18 10 18 22 20 22 20 10 20 10"}),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),props.children);});var PauseOutline24=/*#__PURE__*/React.forwardRef(function PauseOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14 10 12 10 12 22 14 22 14 10 14 10"}),React.createElement("polygon",{points:"20 10 18 10 18 22 20 22 20 10 20 10"}),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),props.children);});var PauseOutline20=/*#__PURE__*/React.forwardRef(function PauseOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14 10 12 10 12 22 14 22 14 10 14 10"}),React.createElement("polygon",{points:"20 10 18 10 18 22 20 22 20 10 20 10"}),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),props.children);});var Pause32=/*#__PURE__*/React.forwardRef(function Pause32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,8V24H8V8h4m0-2H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M24,8V24H20V8h4m0-2H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var Pause24=/*#__PURE__*/React.forwardRef(function Pause24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,8V24H8V8h4m0-2H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M24,8V24H20V8h4m0-2H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var Pause20=/*#__PURE__*/React.forwardRef(function Pause20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,8V24H8V8h4m0-2H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M24,8V24H20V8h4m0-2H20a2,2,0,0,0-2,2V24a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var PedestrianChild32=/*#__PURE__*/React.forwardRef(function PedestrianChild32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16H17.4683l-5-6H5a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21H10v7H6V19H4V13a1.0009,1.0009,0,0,1,1-1h6.5317l5,6H26a1.0009,1.0009,0,0,1,1,1v3H25v6H22V22H20v6a2.0023,2.0023,0,0,0,2,2h3a2.0023,2.0023,0,0,0,2-2V24a2.0023,2.0023,0,0,0,2-2V19A3.0033,3.0033,0,0,0,26,16Z"}),React.createElement("path",{d:"M23.5,15A3.5,3.5,0,1,1,27,11.5,3.5042,3.5042,0,0,1,23.5,15Zm0-5A1.5,1.5,0,1,0,25,11.5,1.5017,1.5017,0,0,0,23.5,10Z"}),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,3Z"}),props.children);});var PedestrianChild24=/*#__PURE__*/React.forwardRef(function PedestrianChild24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16H17.4683l-5-6H5a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21H10v7H6V19H4V13a1.0009,1.0009,0,0,1,1-1h6.5317l5,6H26a1.0009,1.0009,0,0,1,1,1v3H25v6H22V22H20v6a2.0023,2.0023,0,0,0,2,2h3a2.0023,2.0023,0,0,0,2-2V24a2.0023,2.0023,0,0,0,2-2V19A3.0033,3.0033,0,0,0,26,16Z"}),React.createElement("path",{d:"M23.5,15A3.5,3.5,0,1,1,27,11.5,3.5042,3.5042,0,0,1,23.5,15Zm0-5A1.5,1.5,0,1,0,25,11.5,1.5017,1.5017,0,0,0,23.5,10Z"}),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,3Z"}),props.children);});var PedestrianChild20=/*#__PURE__*/React.forwardRef(function PedestrianChild20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16H17.4683l-5-6H5a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21H10v7H6V19H4V13a1.0009,1.0009,0,0,1,1-1h6.5317l5,6H26a1.0009,1.0009,0,0,1,1,1v3H25v6H22V22H20v6a2.0023,2.0023,0,0,0,2,2h3a2.0023,2.0023,0,0,0,2-2V24a2.0023,2.0023,0,0,0,2-2V19A3.0033,3.0033,0,0,0,26,16Z"}),React.createElement("path",{d:"M23.5,15A3.5,3.5,0,1,1,27,11.5,3.5042,3.5042,0,0,1,23.5,15Zm0-5A1.5,1.5,0,1,0,25,11.5,1.5017,1.5017,0,0,0,23.5,10Z"}),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,3Z"}),props.children);});var PedestrianChild16=/*#__PURE__*/React.forwardRef(function PedestrianChild16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,16H17.4683l-5-6H5a3.0033,3.0033,0,0,0-3,3v6a2.0023,2.0023,0,0,0,2,2v7a2.0023,2.0023,0,0,0,2,2h4a2.0023,2.0023,0,0,0,2-2V21H10v7H6V19H4V13a1.0009,1.0009,0,0,1,1-1h6.5317l5,6H26a1.0009,1.0009,0,0,1,1,1v3H25v6H22V22H20v6a2.0023,2.0023,0,0,0,2,2h3a2.0023,2.0023,0,0,0,2-2V24a2.0023,2.0023,0,0,0,2-2V19A3.0033,3.0033,0,0,0,26,16Z"}),React.createElement("path",{d:"M23.5,15A3.5,3.5,0,1,1,27,11.5,3.5042,3.5042,0,0,1,23.5,15Zm0-5A1.5,1.5,0,1,0,25,11.5,1.5017,1.5017,0,0,0,23.5,10Z"}),React.createElement("path",{d:"M8,9a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,8,9ZM8,3a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,8,3Z"}),props.children);});var Pedestrian32=/*#__PURE__*/React.forwardRef(function Pedestrian32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.6772,14l-1.2456-3.1143A2.9861,2.9861,0,0,0,17.646,9H13.5542a3.0018,3.0018,0,0,0-1.5439.4277L7,12.4336V18H9V13.5664l3-1.8V23.6973L8.5383,28.8906,10.2024,30,14,24.3027V11h3.646a.9949.9949,0,0,1,.9282.6289L20.3228,16H26V14Z"}),React.createElement("polygon",{points:"17.051 18.316 19 24.162 19 30 21 30 21 23.838 18.949 17.684 17.051 18.316"}),React.createElement("path",{d:"M16.5,8A3.5,3.5,0,1,1,20,4.5,3.5042,3.5042,0,0,1,16.5,8Zm0-5A1.5,1.5,0,1,0,18,4.5,1.5017,1.5017,0,0,0,16.5,3Z"}),props.children);});var Pedestrian24=/*#__PURE__*/React.forwardRef(function Pedestrian24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.6772,14l-1.2456-3.1143A2.9861,2.9861,0,0,0,17.646,9H13.5542a3.0018,3.0018,0,0,0-1.5439.4277L7,12.4336V18H9V13.5664l3-1.8V23.6973L8.5383,28.8906,10.2024,30,14,24.3027V11h3.646a.9949.9949,0,0,1,.9282.6289L20.3228,16H26V14Z"}),React.createElement("polygon",{points:"17.051 18.316 19 24.162 19 30 21 30 21 23.838 18.949 17.684 17.051 18.316"}),React.createElement("path",{d:"M16.5,8A3.5,3.5,0,1,1,20,4.5,3.5042,3.5042,0,0,1,16.5,8Zm0-5A1.5,1.5,0,1,0,18,4.5,1.5017,1.5017,0,0,0,16.5,3Z"}),props.children);});var Pedestrian20=/*#__PURE__*/React.forwardRef(function Pedestrian20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.6772,14l-1.2456-3.1143A2.9861,2.9861,0,0,0,17.646,9H13.5542a3.0018,3.0018,0,0,0-1.5439.4277L7,12.4336V18H9V13.5664l3-1.8V23.6973L8.5383,28.8906,10.2024,30,14,24.3027V11h3.646a.9949.9949,0,0,1,.9282.6289L20.3228,16H26V14Z"}),React.createElement("polygon",{points:"17.051 18.316 19 24.162 19 30 21 30 21 23.838 18.949 17.684 17.051 18.316"}),React.createElement("path",{d:"M16.5,8A3.5,3.5,0,1,1,20,4.5,3.5042,3.5042,0,0,1,16.5,8Zm0-5A1.5,1.5,0,1,0,18,4.5,1.5017,1.5017,0,0,0,16.5,3Z"}),props.children);});var Pedestrian16=/*#__PURE__*/React.forwardRef(function Pedestrian16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.6772,14l-1.2456-3.1143A2.9861,2.9861,0,0,0,17.646,9H13.5542a3.0018,3.0018,0,0,0-1.5439.4277L7,12.4336V18H9V13.5664l3-1.8V23.6973L8.5383,28.8906,10.2024,30,14,24.3027V11h3.646a.9949.9949,0,0,1,.9282.6289L20.3228,16H26V14Z"}),React.createElement("polygon",{points:"17.051 18.316 19 24.162 19 30 21 30 21 23.838 18.949 17.684 17.051 18.316"}),React.createElement("path",{d:"M16.5,8A3.5,3.5,0,1,1,20,4.5,3.5042,3.5042,0,0,1,16.5,8Zm0-5A1.5,1.5,0,1,0,18,4.5,1.5017,1.5017,0,0,0,16.5,3Z"}),props.children);});var PercentageFilled32=/*#__PURE__*/React.forwardRef(function PercentageFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Z"}),props.children);});var PercentageFilled24=/*#__PURE__*/React.forwardRef(function PercentageFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Z"}),props.children);});var PercentageFilled20=/*#__PURE__*/React.forwardRef(function PercentageFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Z"}),props.children);});var PercentageFilled16=/*#__PURE__*/React.forwardRef(function PercentageFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Z"}),props.children);});var Percentage32=/*#__PURE__*/React.forwardRef(function Percentage32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14ZM9,6a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,9,6Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,23,20Z"}),props.children);});var Percentage24=/*#__PURE__*/React.forwardRef(function Percentage24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14ZM9,6a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,9,6Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,23,20Z"}),props.children);});var Percentage20=/*#__PURE__*/React.forwardRef(function Percentage20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14ZM9,6a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,9,6Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,23,20Z"}),props.children);});var Percentage16=/*#__PURE__*/React.forwardRef(function Percentage16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,14a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,9,14ZM9,6a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,9,6Z"}),React.createElement("rect",{width:"31.941",height:"2",x:".029",y:"15",transform:"rotate(-45 16 16)"}),React.createElement("path",{d:"M23,28a5,5,0,1,1,5-5A5.0055,5.0055,0,0,1,23,28Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,23,20Z"}),props.children);});var PersonFavorite32=/*#__PURE__*/React.forwardRef(function PersonFavorite32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,31H6a2.0059,2.0059,0,0,1-2-2V22a2.0059,2.0059,0,0,1-2-2V14a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,10,31ZM5,13a.9448.9448,0,0,0-1,1v6H6v9h4V20h2V14a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),props.children);});var PersonFavorite24=/*#__PURE__*/React.forwardRef(function PersonFavorite24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,31H6a2.0059,2.0059,0,0,1-2-2V22a2.0059,2.0059,0,0,1-2-2V14a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,10,31ZM5,13a.9448.9448,0,0,0-1,1v6H6v9h4V20h2V14a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),props.children);});var PersonFavorite20=/*#__PURE__*/React.forwardRef(function PersonFavorite20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,31H6a2.0059,2.0059,0,0,1-2-2V22a2.0059,2.0059,0,0,1-2-2V14a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,10,31ZM5,13a.9448.9448,0,0,0-1,1v6H6v9h4V20h2V14a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),props.children);});var PersonFavorite16=/*#__PURE__*/React.forwardRef(function PersonFavorite16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M10,31H6a2.0059,2.0059,0,0,1-2-2V22a2.0059,2.0059,0,0,1-2-2V14a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,10,31ZM5,13a.9448.9448,0,0,0-1,1v6H6v9h4V20h2V14a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M8,10a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,8,10ZM8,4a2,2,0,1,0,2,2A2.002,2.002,0,0,0,8,4Z"}),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),props.children);});var Person32=/*#__PURE__*/React.forwardRef(function Person32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h6a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,18,30ZM13,12a.94.94,0,0,0-1,1v6h2v9h4V19h2V13a.94.94,0,0,0-1-1Z"}),React.createElement("path",{d:"M16,9a4,4,0,1,1,4-4h0A4,4,0,0,1,16,9Zm0-6a2,2,0,1,0,2,2h0a2,2,0,0,0-2-2Z"}),props.children);});var Person24=/*#__PURE__*/React.forwardRef(function Person24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h6a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,18,30ZM13,12a.94.94,0,0,0-1,1v6h2v9h4V19h2V13a.94.94,0,0,0-1-1Z"}),React.createElement("path",{d:"M16,9a4,4,0,1,1,4-4h0A4,4,0,0,1,16,9Zm0-6a2,2,0,1,0,2,2h0a2,2,0,0,0-2-2Z"}),props.children);});var Person20=/*#__PURE__*/React.forwardRef(function Person20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h6a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,18,30ZM13,12a.94.94,0,0,0-1,1v6h2v9h4V19h2V13a.94.94,0,0,0-1-1Z"}),React.createElement("path",{d:"M16,9a4,4,0,1,1,4-4h0A4,4,0,0,1,16,9Zm0-6a2,2,0,1,0,2,2h0a2,2,0,0,0-2-2Z"}),props.children);});var Person16=/*#__PURE__*/React.forwardRef(function Person16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V21a2,2,0,0,1-2-2V13a3,3,0,0,1,3-3h6a3,3,0,0,1,3,3v6a2,2,0,0,1-2,2v7A2,2,0,0,1,18,30ZM13,12a.94.94,0,0,0-1,1v6h2v9h4V19h2V13a.94.94,0,0,0-1-1Z"}),React.createElement("path",{d:"M16,9a4,4,0,1,1,4-4h0A4,4,0,0,1,16,9Zm0-6a2,2,0,1,0,2,2h0a2,2,0,0,0-2-2Z"}),props.children);});var PhoneFilled32=/*#__PURE__*/React.forwardRef(function PhoneFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.33,21.48l2.24-2.24a2.19,2.19,0,0,1,2.34-.48l2.73,1.09a2.18,2.18,0,0,1,1.36,2v5A2.17,2.17,0,0,1,26.72,29C7.59,27.81,3.73,11.61,3,5.41A2.17,2.17,0,0,1,5.17,3H10a2.16,2.16,0,0,1,2,1.36l1.09,2.73a2.16,2.16,0,0,1-.47,2.34l-2.24,2.24S11.67,20.4,20.33,21.48Z"}),props.children);});var PhoneFilled24=/*#__PURE__*/React.forwardRef(function PhoneFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.33,21.48l2.24-2.24a2.19,2.19,0,0,1,2.34-.48l2.73,1.09a2.18,2.18,0,0,1,1.36,2v5A2.17,2.17,0,0,1,26.72,29C7.59,27.81,3.73,11.61,3,5.41A2.17,2.17,0,0,1,5.17,3H10a2.16,2.16,0,0,1,2,1.36l1.09,2.73a2.16,2.16,0,0,1-.47,2.34l-2.24,2.24S11.67,20.4,20.33,21.48Z"}),props.children);});var PhoneFilled20=/*#__PURE__*/React.forwardRef(function PhoneFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.33,21.48l2.24-2.24a2.19,2.19,0,0,1,2.34-.48l2.73,1.09a2.18,2.18,0,0,1,1.36,2v5A2.17,2.17,0,0,1,26.72,29C7.59,27.81,3.73,11.61,3,5.41A2.17,2.17,0,0,1,5.17,3H10a2.16,2.16,0,0,1,2,1.36l1.09,2.73a2.16,2.16,0,0,1-.47,2.34l-2.24,2.24S11.67,20.4,20.33,21.48Z"}),props.children);});var PhoneFilled16=/*#__PURE__*/React.forwardRef(function PhoneFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.33,21.48l2.24-2.24a2.19,2.19,0,0,1,2.34-.48l2.73,1.09a2.18,2.18,0,0,1,1.36,2v5A2.17,2.17,0,0,1,26.72,29C7.59,27.81,3.73,11.61,3,5.41A2.17,2.17,0,0,1,5.17,3H10a2.16,2.16,0,0,1,2,1.36l1.09,2.73a2.16,2.16,0,0,1-.47,2.34l-2.24,2.24S11.67,20.4,20.33,21.48Z"}),props.children);});var PhoneOffFilled32=/*#__PURE__*/React.forwardRef(function PhoneOffFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.74,19.56l-2.52-1a2,2,0,0,0-2.15.44L20,21.06a9.93,9.93,0,0,1-5.35-2.29L30,3.41,28.59,2,2,28.59,3.41,30l7.93-7.92c3.24,3.12,7.89,5.5,14.55,5.92A2,2,0,0,0,28,26V21.41A2,2,0,0,0,26.74,19.56Z"}),React.createElement("path",{d:"M8.15,18.19l3.52-3.52A11.68,11.68,0,0,1,10.85,12l2.07-2.07a2,2,0,0,0,.44-2.15l-1-2.52A2,2,0,0,0,10.5,4H6A2,2,0,0,0,4,6.22,29,29,0,0,0,8.15,18.19Z"}),props.children);});var PhoneOffFilled24=/*#__PURE__*/React.forwardRef(function PhoneOffFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.74,19.56l-2.52-1a2,2,0,0,0-2.15.44L20,21.06a9.93,9.93,0,0,1-5.35-2.29L30,3.41,28.59,2,2,28.59,3.41,30l7.93-7.92c3.24,3.12,7.89,5.5,14.55,5.92A2,2,0,0,0,28,26V21.41A2,2,0,0,0,26.74,19.56Z"}),React.createElement("path",{d:"M8.15,18.19l3.52-3.52A11.68,11.68,0,0,1,10.85,12l2.07-2.07a2,2,0,0,0,.44-2.15l-1-2.52A2,2,0,0,0,10.5,4H6A2,2,0,0,0,4,6.22,29,29,0,0,0,8.15,18.19Z"}),props.children);});var PhoneOffFilled20=/*#__PURE__*/React.forwardRef(function PhoneOffFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.74,19.56l-2.52-1a2,2,0,0,0-2.15.44L20,21.06a9.93,9.93,0,0,1-5.35-2.29L30,3.41,28.59,2,2,28.59,3.41,30l7.93-7.92c3.24,3.12,7.89,5.5,14.55,5.92A2,2,0,0,0,28,26V21.41A2,2,0,0,0,26.74,19.56Z"}),React.createElement("path",{d:"M8.15,18.19l3.52-3.52A11.68,11.68,0,0,1,10.85,12l2.07-2.07a2,2,0,0,0,.44-2.15l-1-2.52A2,2,0,0,0,10.5,4H6A2,2,0,0,0,4,6.22,29,29,0,0,0,8.15,18.19Z"}),props.children);});var PhoneOffFilled16=/*#__PURE__*/React.forwardRef(function PhoneOffFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.74,19.56l-2.52-1a2,2,0,0,0-2.15.44L20,21.06a9.93,9.93,0,0,1-5.35-2.29L30,3.41,28.59,2,2,28.59,3.41,30l7.93-7.92c3.24,3.12,7.89,5.5,14.55,5.92A2,2,0,0,0,28,26V21.41A2,2,0,0,0,26.74,19.56Z"}),React.createElement("path",{d:"M8.15,18.19l3.52-3.52A11.68,11.68,0,0,1,10.85,12l2.07-2.07a2,2,0,0,0,.44-2.15l-1-2.52A2,2,0,0,0,10.5,4H6A2,2,0,0,0,4,6.22,29,29,0,0,0,8.15,18.19Z"}),props.children);});var PhoneOff32=/*#__PURE__*/React.forwardRef(function PhoneOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.19,18.56A25.66,25.66,0,0,1,5,6.08V6A1,1,0,0,1,6,5h5.28l1.5,3.77L9.94,11.64l.06.48a13,13,0,0,0,1.46,4.17l1.46-1.46a9.34,9.34,0,0,1-.84-2.52l2.13-2.15A2,2,0,0,0,14.65,8L13.13,4.26A2,2,0,0,0,11.27,3H5.76A3,3,0,0,0,3,6.23,28,28,0,0,0,7.79,20Z"}),React.createElement("path",{d:"M27.77,18.86,24,17.35a2,2,0,0,0-2.17.41l-2.17,2.15A9.17,9.17,0,0,1,15.45,18L30,3.41,28.59,2,2,28.59,3.41,30l7-7c3.38,3.18,8.28,5.62,15.39,6H26a3,3,0,0,0,3-3V20.72A2,2,0,0,0,27.77,18.86ZM27,26v.06a1,1,0,0,1-1.06.94c-6.51-.37-11-2.54-14.11-5.42L14,19.44A10.77,10.77,0,0,0,19.88,22l.48.06,2.87-2.85L27,20.72Z"}),props.children);});var PhoneOff24=/*#__PURE__*/React.forwardRef(function PhoneOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.19,18.56A25.66,25.66,0,0,1,5,6.08V6A1,1,0,0,1,6,5h5.28l1.5,3.77L9.94,11.64l.06.48a13,13,0,0,0,1.46,4.17l1.46-1.46a9.34,9.34,0,0,1-.84-2.52l2.13-2.15A2,2,0,0,0,14.65,8L13.13,4.26A2,2,0,0,0,11.27,3H5.76A3,3,0,0,0,3,6.23,28,28,0,0,0,7.79,20Z"}),React.createElement("path",{d:"M27.77,18.86,24,17.35a2,2,0,0,0-2.17.41l-2.17,2.15A9.17,9.17,0,0,1,15.45,18L30,3.41,28.59,2,2,28.59,3.41,30l7-7c3.38,3.18,8.28,5.62,15.39,6H26a3,3,0,0,0,3-3V20.72A2,2,0,0,0,27.77,18.86ZM27,26v.06a1,1,0,0,1-1.06.94c-6.51-.37-11-2.54-14.11-5.42L14,19.44A10.77,10.77,0,0,0,19.88,22l.48.06,2.87-2.85L27,20.72Z"}),props.children);});var PhoneOff20=/*#__PURE__*/React.forwardRef(function PhoneOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.19,18.56A25.66,25.66,0,0,1,5,6.08V6A1,1,0,0,1,6,5h5.28l1.5,3.77L9.94,11.64l.06.48a13,13,0,0,0,1.46,4.17l1.46-1.46a9.34,9.34,0,0,1-.84-2.52l2.13-2.15A2,2,0,0,0,14.65,8L13.13,4.26A2,2,0,0,0,11.27,3H5.76A3,3,0,0,0,3,6.23,28,28,0,0,0,7.79,20Z"}),React.createElement("path",{d:"M27.77,18.86,24,17.35a2,2,0,0,0-2.17.41l-2.17,2.15A9.17,9.17,0,0,1,15.45,18L30,3.41,28.59,2,2,28.59,3.41,30l7-7c3.38,3.18,8.28,5.62,15.39,6H26a3,3,0,0,0,3-3V20.72A2,2,0,0,0,27.77,18.86ZM27,26v.06a1,1,0,0,1-1.06.94c-6.51-.37-11-2.54-14.11-5.42L14,19.44A10.77,10.77,0,0,0,19.88,22l.48.06,2.87-2.85L27,20.72Z"}),props.children);});var PhoneOff16=/*#__PURE__*/React.forwardRef(function PhoneOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.19,18.56A25.66,25.66,0,0,1,5,6.08V6A1,1,0,0,1,6,5h5.28l1.5,3.77L9.94,11.64l.06.48a13,13,0,0,0,1.46,4.17l1.46-1.46a9.34,9.34,0,0,1-.84-2.52l2.13-2.15A2,2,0,0,0,14.65,8L13.13,4.26A2,2,0,0,0,11.27,3H5.76A3,3,0,0,0,3,6.23,28,28,0,0,0,7.79,20Z"}),React.createElement("path",{d:"M27.77,18.86,24,17.35a2,2,0,0,0-2.17.41l-2.17,2.15A9.17,9.17,0,0,1,15.45,18L30,3.41,28.59,2,2,28.59,3.41,30l7-7c3.38,3.18,8.28,5.62,15.39,6H26a3,3,0,0,0,3-3V20.72A2,2,0,0,0,27.77,18.86ZM27,26v.06a1,1,0,0,1-1.06.94c-6.51-.37-11-2.54-14.11-5.42L14,19.44A10.77,10.77,0,0,0,19.88,22l.48.06,2.87-2.85L27,20.72Z"}),props.children);});var Phone32=/*#__PURE__*/React.forwardRef(function Phone32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,29h-.17C6.18,27.87,3.39,11.29,3,6.23A3,3,0,0,1,5.76,3h5.51a2,2,0,0,1,1.86,1.26L14.65,8a2,2,0,0,1-.44,2.16l-2.13,2.15a9.37,9.37,0,0,0,7.58,7.6l2.17-2.15A2,2,0,0,1,24,17.35l3.77,1.51A2,2,0,0,1,29,20.72V26A3,3,0,0,1,26,29ZM6,5A1,1,0,0,0,5,6v.08C5.46,12,8.41,26,25.94,27A1,1,0,0,0,27,26.06V20.72l-3.77-1.51-2.87,2.85L19.88,22C11.18,20.91,10,12.21,10,12.12l-.06-.48,2.84-2.87L11.28,5Z"}),props.children);});var Phone24=/*#__PURE__*/React.forwardRef(function Phone24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,29h-.17C6.18,27.87,3.39,11.29,3,6.23A3,3,0,0,1,5.76,3h5.51a2,2,0,0,1,1.86,1.26L14.65,8a2,2,0,0,1-.44,2.16l-2.13,2.15a9.37,9.37,0,0,0,7.58,7.6l2.17-2.15A2,2,0,0,1,24,17.35l3.77,1.51A2,2,0,0,1,29,20.72V26A3,3,0,0,1,26,29ZM6,5A1,1,0,0,0,5,6v.08C5.46,12,8.41,26,25.94,27A1,1,0,0,0,27,26.06V20.72l-3.77-1.51-2.87,2.85L19.88,22C11.18,20.91,10,12.21,10,12.12l-.06-.48,2.84-2.87L11.28,5Z"}),props.children);});var Phone20=/*#__PURE__*/React.forwardRef(function Phone20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,29h-.17C6.18,27.87,3.39,11.29,3,6.23A3,3,0,0,1,5.76,3h5.51a2,2,0,0,1,1.86,1.26L14.65,8a2,2,0,0,1-.44,2.16l-2.13,2.15a9.37,9.37,0,0,0,7.58,7.6l2.17-2.15A2,2,0,0,1,24,17.35l3.77,1.51A2,2,0,0,1,29,20.72V26A3,3,0,0,1,26,29ZM6,5A1,1,0,0,0,5,6v.08C5.46,12,8.41,26,25.94,27A1,1,0,0,0,27,26.06V20.72l-3.77-1.51-2.87,2.85L19.88,22C11.18,20.91,10,12.21,10,12.12l-.06-.48,2.84-2.87L11.28,5Z"}),props.children);});var Phone16=/*#__PURE__*/React.forwardRef(function Phone16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,29h-.17C6.18,27.87,3.39,11.29,3,6.23A3,3,0,0,1,5.76,3h5.51a2,2,0,0,1,1.86,1.26L14.65,8a2,2,0,0,1-.44,2.16l-2.13,2.15a9.37,9.37,0,0,0,7.58,7.6l2.17-2.15A2,2,0,0,1,24,17.35l3.77,1.51A2,2,0,0,1,29,20.72V26A3,3,0,0,1,26,29ZM6,5A1,1,0,0,0,5,6v.08C5.46,12,8.41,26,25.94,27A1,1,0,0,0,27,26.06V20.72l-3.77-1.51-2.87,2.85L19.88,22C11.18,20.91,10,12.21,10,12.12l-.06-.48,2.84-2.87L11.28,5Z"}),props.children);});var PhraseSentiment32=/*#__PURE__*/React.forwardRef(function PhraseSentiment32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,10a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,19l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,10Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var PhraseSentiment24=/*#__PURE__*/React.forwardRef(function PhraseSentiment24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,10a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,19l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,10Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var PhraseSentiment20=/*#__PURE__*/React.forwardRef(function PhraseSentiment20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,10a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,19l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,10Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var PhraseSentiment16=/*#__PURE__*/React.forwardRef(function PhraseSentiment16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.303,10a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L16.0019,19l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,18.303,10Z"}),React.createElement("path",{d:"M17.7358,30,16,29l4-7h6a1.9966,1.9966,0,0,0,2-2V8a1.9966,1.9966,0,0,0-2-2H6A1.9966,1.9966,0,0,0,4,8V20a1.9966,1.9966,0,0,0,2,2h9v2H6a3.9993,3.9993,0,0,1-4-4V8A3.9988,3.9988,0,0,1,6,4H26a3.9988,3.9988,0,0,1,4,4V20a3.9993,3.9993,0,0,1-4,4H21.1646Z"}),props.children);});var PillsAdd32=/*#__PURE__*/React.forwardRef(function PillsAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("polygon",{points:"25 21 23 21 23 19 21 19 21 21 19 21 19 23 21 23 21 25 23 25 23 23 25 23 25 21"}),props.children);});var PillsAdd24=/*#__PURE__*/React.forwardRef(function PillsAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("polygon",{points:"25 21 23 21 23 19 21 19 21 21 19 21 19 23 21 23 21 25 23 25 23 23 25 23 25 21"}),props.children);});var PillsAdd20=/*#__PURE__*/React.forwardRef(function PillsAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("polygon",{points:"25 21 23 21 23 19 21 19 21 21 19 21 19 23 21 23 21 25 23 25 23 23 25 23 25 21"}),props.children);});var PillsAdd16=/*#__PURE__*/React.forwardRef(function PillsAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("polygon",{points:"25 21 23 21 23 19 21 19 21 21 19 21 19 23 21 23 21 25 23 25 23 23 25 23 25 21"}),props.children);});var PillsSubtract32=/*#__PURE__*/React.forwardRef(function PillsSubtract32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("rect",{width:"6",height:"2",x:"19",y:"21"}),props.children);});var PillsSubtract24=/*#__PURE__*/React.forwardRef(function PillsSubtract24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("rect",{width:"6",height:"2",x:"19",y:"21"}),props.children);});var PillsSubtract20=/*#__PURE__*/React.forwardRef(function PillsSubtract20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("rect",{width:"6",height:"2",x:"19",y:"21"}),props.children);});var PillsSubtract16=/*#__PURE__*/React.forwardRef(function PillsSubtract16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.9857,6.9857,0,0,0,12.2756,4.5768A7.9966,7.9966,0,1,0,22,14ZM11,4a5.0059,5.0059,0,0,1,5,5v6H6V9A5.0059,5.0059,0,0,1,11,4Zm0,24a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9564,7.9564,0,0,0-.7239,8.9319A5.0147,5.0147,0,0,1,11,28Zm11,0a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,22,28Z"}),React.createElement("rect",{width:"6",height:"2",x:"19",y:"21"}),props.children);});var Pills32=/*#__PURE__*/React.forwardRef(function Pills32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.999,6.999,0,0,0,12.2855,4.5878A7.9969,7.9969,0,1,0,22,14Zm0,2a6.0046,6.0046,0,0,1,5.91,5H16.09A6.0046,6.0046,0,0,1,22,16ZM6,9A5,5,0,0,1,16,9v6H6Zm5,19a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9566,7.9566,0,0,0-.7242,8.9315A4.9885,4.9885,0,0,1,11,28Zm11,0a6.0046,6.0046,0,0,1-5.91-5H27.91A6.0046,6.0046,0,0,1,22,28Z"}),props.children);});var Pills24=/*#__PURE__*/React.forwardRef(function Pills24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.999,6.999,0,0,0,12.2855,4.5878A7.9969,7.9969,0,1,0,22,14Zm0,2a6.0046,6.0046,0,0,1,5.91,5H16.09A6.0046,6.0046,0,0,1,22,16ZM6,9A5,5,0,0,1,16,9v6H6Zm5,19a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9566,7.9566,0,0,0-.7242,8.9315A4.9885,4.9885,0,0,1,11,28Zm11,0a6.0046,6.0046,0,0,1-5.91-5H27.91A6.0046,6.0046,0,0,1,22,28Z"}),props.children);});var Pills20=/*#__PURE__*/React.forwardRef(function Pills20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.999,6.999,0,0,0,12.2855,4.5878A7.9969,7.9969,0,1,0,22,14Zm0,2a6.0046,6.0046,0,0,1,5.91,5H16.09A6.0046,6.0046,0,0,1,22,16ZM6,9A5,5,0,0,1,16,9v6H6Zm5,19a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9566,7.9566,0,0,0-.7242,8.9315A4.9885,4.9885,0,0,1,11,28Zm11,0a6.0046,6.0046,0,0,1-5.91-5H27.91A6.0046,6.0046,0,0,1,22,28Z"}),props.children);});var Pills16=/*#__PURE__*/React.forwardRef(function Pills16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,14a7.94,7.94,0,0,0-4,1.0825V9A7,7,0,0,0,4,9V23a6.999,6.999,0,0,0,12.2855,4.5878A7.9969,7.9969,0,1,0,22,14Zm0,2a6.0046,6.0046,0,0,1,5.91,5H16.09A6.0046,6.0046,0,0,1,22,16ZM6,9A5,5,0,0,1,16,9v6H6Zm5,19a5.0059,5.0059,0,0,1-5-5V17h9.765a7.9566,7.9566,0,0,0-.7242,8.9315A4.9885,4.9885,0,0,1,11,28Zm11,0a6.0046,6.0046,0,0,1-5.91-5H27.91A6.0046,6.0046,0,0,1,22,28Z"}),props.children);});var Pin32=/*#__PURE__*/React.forwardRef(function Pin32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.59,13.31,30,11.9,20,2,18.69,3.42,19.87,4.6,8.38,14.32,6.66,12.61,5.25,14l5.66,5.68L2,28.58,3.41,30l8.91-8.91L18,26.75l1.39-1.42-1.71-1.71L27.4,12.13ZM16.26,22.2,9.8,15.74,21.29,6,26,10.71Z"}),props.children);});var Pin24=/*#__PURE__*/React.forwardRef(function Pin24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.59,13.31,30,11.9,20,2,18.69,3.42,19.87,4.6,8.38,14.32,6.66,12.61,5.25,14l5.66,5.68L2,28.58,3.41,30l8.91-8.91L18,26.75l1.39-1.42-1.71-1.71L27.4,12.13ZM16.26,22.2,9.8,15.74,21.29,6,26,10.71Z"}),props.children);});var Pin20=/*#__PURE__*/React.forwardRef(function Pin20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.59,13.31,30,11.9,20,2,18.69,3.42,19.87,4.6,8.38,14.32,6.66,12.61,5.25,14l5.66,5.68L2,28.58,3.41,30l8.91-8.91L18,26.75l1.39-1.42-1.71-1.71L27.4,12.13ZM16.26,22.2,9.8,15.74,21.29,6,26,10.71Z"}),props.children);});var Pin16=/*#__PURE__*/React.forwardRef(function Pin16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.59,13.31,30,11.9,20,2,18.69,3.42,19.87,4.6,8.38,14.32,6.66,12.61,5.25,14l5.66,5.68L2,28.58,3.41,30l8.91-8.91L18,26.75l1.39-1.42-1.71-1.71L27.4,12.13ZM16.26,22.2,9.8,15.74,21.29,6,26,10.71Z"}),props.children);});var Plane32=/*#__PURE__*/React.forwardRef(function Plane32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,14.75,20,10V6a4,4,0,0,0-8,0v4L2.63,14.75a1,1,0,0,0-.63.93v5a1,1,0,0,0,1,1,1,1,0,0,0,.29-.05L12,18v5L8.55,24.72a1,1,0,0,0-.55.9V29a1,1,0,0,0,1,1,.9.9,0,0,0,.28,0L16,28l6.72,2A.9.9,0,0,0,23,30a1,1,0,0,0,1-1V25.62a1,1,0,0,0-.55-.9L20,23V18l8.71,3.61a1,1,0,0,0,.29.05,1,1,0,0,0,1-1v-5A1,1,0,0,0,29.37,14.75ZM28,19.15,18,15v9.24l4,2v1.43l-6-1.75-6,1.75V26.24l4-2V15L4,19.15V16.3l10-5.07V6a2,2,0,0,1,4,0v5.23L28,16.3Z"}),props.children);});var Plane24=/*#__PURE__*/React.forwardRef(function Plane24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,14.75,20,10V6a4,4,0,0,0-8,0v4L2.63,14.75a1,1,0,0,0-.63.93v5a1,1,0,0,0,1,1,1,1,0,0,0,.29-.05L12,18v5L8.55,24.72a1,1,0,0,0-.55.9V29a1,1,0,0,0,1,1,.9.9,0,0,0,.28,0L16,28l6.72,2A.9.9,0,0,0,23,30a1,1,0,0,0,1-1V25.62a1,1,0,0,0-.55-.9L20,23V18l8.71,3.61a1,1,0,0,0,.29.05,1,1,0,0,0,1-1v-5A1,1,0,0,0,29.37,14.75ZM28,19.15,18,15v9.24l4,2v1.43l-6-1.75-6,1.75V26.24l4-2V15L4,19.15V16.3l10-5.07V6a2,2,0,0,1,4,0v5.23L28,16.3Z"}),props.children);});var Plane20=/*#__PURE__*/React.forwardRef(function Plane20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,14.75,20,10V6a4,4,0,0,0-8,0v4L2.63,14.75a1,1,0,0,0-.63.93v5a1,1,0,0,0,1,1,1,1,0,0,0,.29-.05L12,18v5L8.55,24.72a1,1,0,0,0-.55.9V29a1,1,0,0,0,1,1,.9.9,0,0,0,.28,0L16,28l6.72,2A.9.9,0,0,0,23,30a1,1,0,0,0,1-1V25.62a1,1,0,0,0-.55-.9L20,23V18l8.71,3.61a1,1,0,0,0,.29.05,1,1,0,0,0,1-1v-5A1,1,0,0,0,29.37,14.75ZM28,19.15,18,15v9.24l4,2v1.43l-6-1.75-6,1.75V26.24l4-2V15L4,19.15V16.3l10-5.07V6a2,2,0,0,1,4,0v5.23L28,16.3Z"}),props.children);});var Plane16=/*#__PURE__*/React.forwardRef(function Plane16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.37,14.75,20,10V6a4,4,0,0,0-8,0v4L2.63,14.75a1,1,0,0,0-.63.93v5a1,1,0,0,0,1,1,1,1,0,0,0,.29-.05L12,18v5L8.55,24.72a1,1,0,0,0-.55.9V29a1,1,0,0,0,1,1,.9.9,0,0,0,.28,0L16,28l6.72,2A.9.9,0,0,0,23,30a1,1,0,0,0,1-1V25.62a1,1,0,0,0-.55-.9L20,23V18l8.71,3.61a1,1,0,0,0,.29.05,1,1,0,0,0,1-1v-5A1,1,0,0,0,29.37,14.75ZM28,19.15,18,15v9.24l4,2v1.43l-6-1.75-6,1.75V26.24l4-2V15L4,19.15V16.3l10-5.07V6a2,2,0,0,1,4,0v5.23L28,16.3Z"}),props.children);});var PlayFilledAlt32=/*#__PURE__*/React.forwardRef(function PlayFilledAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,7,28Z"}),props.children);});var PlayFilledAlt24=/*#__PURE__*/React.forwardRef(function PlayFilledAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,7,28Z"}),props.children);});var PlayFilledAlt20=/*#__PURE__*/React.forwardRef(function PlayFilledAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,7,28Z"}),props.children);});var PlayFilledAlt16=/*#__PURE__*/React.forwardRef(function PlayFilledAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,7,28Z"}),props.children);});var PlayFilled32=/*#__PURE__*/React.forwardRef(function PlayFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm7.48,14.88-11,6a1,1,0,0,1-1,0A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76Z"}),props.children);});var PlayFilled24=/*#__PURE__*/React.forwardRef(function PlayFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm7.48,14.88-11,6a1,1,0,0,1-1,0A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76Z"}),props.children);});var PlayFilled20=/*#__PURE__*/React.forwardRef(function PlayFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm7.48,14.88-11,6a1,1,0,0,1-1,0A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76Z"}),props.children);});var PlayOutlineFilled32=/*#__PURE__*/React.forwardRef(function PlayOutlineFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm7.48,14.88-11,6a1,1,0,0,1-1,0A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76Z"}),React.createElement("polygon",{points:"13 20.32 20.91 16 13 11.69 13 20.32"}),props.children);});var PlayOutlineFilled24=/*#__PURE__*/React.forwardRef(function PlayOutlineFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm7.48,14.88-11,6a1,1,0,0,1-1,0A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76Z"}),React.createElement("polygon",{points:"13 20.32 20.91 16 13 11.69 13 20.32"}),props.children);});var PlayOutlineFilled20=/*#__PURE__*/React.forwardRef(function PlayOutlineFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm7.48,14.88-11,6a1,1,0,0,1-1,0A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76Z"}),React.createElement("polygon",{points:"13 20.32 20.91 16 13 11.69 13 20.32"}),props.children);});var PlayOutline32=/*#__PURE__*/React.forwardRef(function PlayOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M12,23a1,1,0,0,1-.51-.14A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76l-11,6A1,1,0,0,1,12,23Zm1-11.32v8.64L20.91,16Z"}),props.children);});var PlayOutline24=/*#__PURE__*/React.forwardRef(function PlayOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M12,23a1,1,0,0,1-.51-.14A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76l-11,6A1,1,0,0,1,12,23Zm1-11.32v8.64L20.91,16Z"}),props.children);});var PlayOutline20=/*#__PURE__*/React.forwardRef(function PlayOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M12,23a1,1,0,0,1-.51-.14A1,1,0,0,1,11,22V10a1,1,0,0,1,.49-.86,1,1,0,0,1,1,0l11,6a1,1,0,0,1,0,1.76l-11,6A1,1,0,0,1,12,23Zm1-11.32v8.64L20.91,16Z"}),props.children);});var Play32=/*#__PURE__*/React.forwardRef(function Play32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,28a1,1,0,0,1-1-1V5a1,1,0,0,1,.5-.87,1,1,0,0,1,1,0l19,11a1,1,0,0,1,0,1.74l-19,11A1,1,0,0,1,7,28ZM8,6.73V25.27L24,16Z"}),props.children);});var Play24=/*#__PURE__*/React.forwardRef(function Play24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,28a1,1,0,0,1-1-1V5a1,1,0,0,1,.5-.87,1,1,0,0,1,1,0l19,11a1,1,0,0,1,0,1.74l-19,11A1,1,0,0,1,7,28ZM8,6.73V25.27L24,16Z"}),props.children);});var Play20=/*#__PURE__*/React.forwardRef(function Play20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M7,28a1,1,0,0,1-1-1V5a1,1,0,0,1,.5-.87,1,1,0,0,1,1,0l19,11a1,1,0,0,1,0,1.74l-19,11A1,1,0,0,1,7,28ZM8,6.73V25.27L24,16Z"}),props.children);});var Playlist32=/*#__PURE__*/React.forwardRef(function Playlist32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"12",height:"2",x:"4",y:"18"}),React.createElement("polygon",{points:"21 18 28 23 21 28 21 18"}),props.children);});var Playlist24=/*#__PURE__*/React.forwardRef(function Playlist24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"12",height:"2",x:"4",y:"18"}),React.createElement("polygon",{points:"21 18 28 23 21 28 21 18"}),props.children);});var Playlist20=/*#__PURE__*/React.forwardRef(function Playlist20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"12",height:"2",x:"4",y:"18"}),React.createElement("polygon",{points:"21 18 28 23 21 28 21 18"}),props.children);});var Playlist16=/*#__PURE__*/React.forwardRef(function Playlist16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"12",height:"2",x:"4",y:"18"}),React.createElement("polygon",{points:"21 18 28 23 21 28 21 18"}),props.children);});var Policy32=/*#__PURE__*/React.forwardRef(function Policy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,18A6,6,0,1,0,20,22.46v7.54l4-1.8926,4,1.8926V22.46A5.98,5.98,0,0,0,30,18Zm-4,8.84-2-.9467L22,26.84V23.65a5.8877,5.8877,0,0,0,4,0ZM24,22a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,24,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"10",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M6,30a2.0021,2.0021,0,0,1-2-2V4A2.0021,2.0021,0,0,1,6,2H22a2.0021,2.0021,0,0,1,2,2V8H22V4H6V28H16v2Z"}),props.children);});var Policy24=/*#__PURE__*/React.forwardRef(function Policy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,18A6,6,0,1,0,20,22.46v7.54l4-1.8926,4,1.8926V22.46A5.98,5.98,0,0,0,30,18Zm-4,8.84-2-.9467L22,26.84V23.65a5.8877,5.8877,0,0,0,4,0ZM24,22a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,24,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"10",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M6,30a2.0021,2.0021,0,0,1-2-2V4A2.0021,2.0021,0,0,1,6,2H22a2.0021,2.0021,0,0,1,2,2V8H22V4H6V28H16v2Z"}),props.children);});var Policy20=/*#__PURE__*/React.forwardRef(function Policy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,18A6,6,0,1,0,20,22.46v7.54l4-1.8926,4,1.8926V22.46A5.98,5.98,0,0,0,30,18Zm-4,8.84-2-.9467L22,26.84V23.65a5.8877,5.8877,0,0,0,4,0ZM24,22a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,24,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"10",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M6,30a2.0021,2.0021,0,0,1-2-2V4A2.0021,2.0021,0,0,1,6,2H22a2.0021,2.0021,0,0,1,2,2V8H22V4H6V28H16v2Z"}),props.children);});var Policy16=/*#__PURE__*/React.forwardRef(function Policy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,18A6,6,0,1,0,20,22.46v7.54l4-1.8926,4,1.8926V22.46A5.98,5.98,0,0,0,30,18Zm-4,8.84-2-.9467L22,26.84V23.65a5.8877,5.8877,0,0,0,4,0ZM24,22a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,24,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"10",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M6,30a2.0021,2.0021,0,0,1-2-2V4A2.0021,2.0021,0,0,1,6,2H22a2.0021,2.0021,0,0,1,2,2V8H22V4H6V28H16v2Z"}),props.children);});var Popup32=/*#__PURE__*/React.forwardRef(function Popup32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H10A2.0059,2.0059,0,0,0,8,6V20a2.0059,2.0059,0,0,0,2,2H28a2.0059,2.0059,0,0,0,2-2V6A2.0059,2.0059,0,0,0,28,4Zm0,16H10V6H28Z"}),React.createElement("path",{d:"M18,26H4V16H6V14H4a2.0059,2.0059,0,0,0-2,2V26a2.0059,2.0059,0,0,0,2,2H18a2.0059,2.0059,0,0,0,2-2V24H18Z"}),props.children);});var Popup24=/*#__PURE__*/React.forwardRef(function Popup24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H10A2.0059,2.0059,0,0,0,8,6V20a2.0059,2.0059,0,0,0,2,2H28a2.0059,2.0059,0,0,0,2-2V6A2.0059,2.0059,0,0,0,28,4Zm0,16H10V6H28Z"}),React.createElement("path",{d:"M18,26H4V16H6V14H4a2.0059,2.0059,0,0,0-2,2V26a2.0059,2.0059,0,0,0,2,2H18a2.0059,2.0059,0,0,0,2-2V24H18Z"}),props.children);});var Popup20=/*#__PURE__*/React.forwardRef(function Popup20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H10A2.0059,2.0059,0,0,0,8,6V20a2.0059,2.0059,0,0,0,2,2H28a2.0059,2.0059,0,0,0,2-2V6A2.0059,2.0059,0,0,0,28,4Zm0,16H10V6H28Z"}),React.createElement("path",{d:"M18,26H4V16H6V14H4a2.0059,2.0059,0,0,0-2,2V26a2.0059,2.0059,0,0,0,2,2H18a2.0059,2.0059,0,0,0,2-2V24H18Z"}),props.children);});var Popup16=/*#__PURE__*/React.forwardRef(function Popup16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H10A2.0059,2.0059,0,0,0,8,6V20a2.0059,2.0059,0,0,0,2,2H28a2.0059,2.0059,0,0,0,2-2V6A2.0059,2.0059,0,0,0,28,4Zm0,16H10V6H28Z"}),React.createElement("path",{d:"M18,26H4V16H6V14H4a2.0059,2.0059,0,0,0-2,2V26a2.0059,2.0059,0,0,0,2,2H18a2.0059,2.0059,0,0,0,2-2V24H18Z"}),props.children);});var Portfolio32=/*#__PURE__*/React.forwardRef(function Portfolio32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V6a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM12,6h8v4H12ZM4,26V12H28V26Z"}),props.children);});var Portfolio24=/*#__PURE__*/React.forwardRef(function Portfolio24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V6a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM12,6h8v4H12ZM4,26V12H28V26Z"}),props.children);});var Portfolio20=/*#__PURE__*/React.forwardRef(function Portfolio20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V6a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM12,6h8v4H12ZM4,26V12H28V26Z"}),props.children);});var Portfolio16=/*#__PURE__*/React.forwardRef(function Portfolio16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H22V6a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2v4H4a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM12,6h8v4H12ZM4,26V12H28V26Z"}),props.children);});var Power32=/*#__PURE__*/React.forwardRef(function Power32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,5.74l-1,1.73a11,11,0,1,1-11,0l-1-1.73a13,13,0,1,0,13,0Z"}),React.createElement("rect",{width:"2",height:"14",x:"15",y:"2"}),props.children);});var Power24=/*#__PURE__*/React.forwardRef(function Power24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,5.74l-1,1.73a11,11,0,1,1-11,0l-1-1.73a13,13,0,1,0,13,0Z"}),React.createElement("rect",{width:"2",height:"14",x:"15",y:"2"}),props.children);});var Power20=/*#__PURE__*/React.forwardRef(function Power20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,5.74l-1,1.73a11,11,0,1,1-11,0l-1-1.73a13,13,0,1,0,13,0Z"}),React.createElement("rect",{width:"2",height:"14",x:"15",y:"2"}),props.children);});var PresentationFile32=/*#__PURE__*/React.forwardRef(function PresentationFile32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"15",y:"10"}),React.createElement("rect",{width:"2",height:"4",x:"20",y:"14"}),React.createElement("rect",{width:"2",height:"6",x:"10",y:"12"}),React.createElement("path",{d:"M25,4H17V2H15V4H7A2,2,0,0,0,5,6V20a2,2,0,0,0,2,2h8v6H11v2H21V28H17V22h8a2,2,0,0,0,2-2V6A2,2,0,0,0,25,4Zm0,16H7V6H25Z"}),props.children);});var PresentationFile24=/*#__PURE__*/React.forwardRef(function PresentationFile24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"15",y:"10"}),React.createElement("rect",{width:"2",height:"4",x:"20",y:"14"}),React.createElement("rect",{width:"2",height:"6",x:"10",y:"12"}),React.createElement("path",{d:"M25,4H17V2H15V4H7A2,2,0,0,0,5,6V20a2,2,0,0,0,2,2h8v6H11v2H21V28H17V22h8a2,2,0,0,0,2-2V6A2,2,0,0,0,25,4Zm0,16H7V6H25Z"}),props.children);});var PresentationFile20=/*#__PURE__*/React.forwardRef(function PresentationFile20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"15",y:"10"}),React.createElement("rect",{width:"2",height:"4",x:"20",y:"14"}),React.createElement("rect",{width:"2",height:"6",x:"10",y:"12"}),React.createElement("path",{d:"M25,4H17V2H15V4H7A2,2,0,0,0,5,6V20a2,2,0,0,0,2,2h8v6H11v2H21V28H17V22h8a2,2,0,0,0,2-2V6A2,2,0,0,0,25,4Zm0,16H7V6H25Z"}),props.children);});var PresentationFile16=/*#__PURE__*/React.forwardRef(function PresentationFile16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"15",y:"10"}),React.createElement("rect",{width:"2",height:"4",x:"20",y:"14"}),React.createElement("rect",{width:"2",height:"6",x:"10",y:"12"}),React.createElement("path",{d:"M25,4H17V2H15V4H7A2,2,0,0,0,5,6V20a2,2,0,0,0,2,2h8v6H11v2H21V28H17V22h8a2,2,0,0,0,2-2V6A2,2,0,0,0,25,4Zm0,16H7V6H25Z"}),props.children);});var Printer32=/*#__PURE__*/React.forwardRef(function Printer32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H25V3H7V9H4a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2H7v6H25V23h3a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9ZM9,5H23V9H9ZM23,27H9V17H23Zm5-6H25V15H7v6H4V11H28Z"}),props.children);});var Printer24=/*#__PURE__*/React.forwardRef(function Printer24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H25V3H7V9H4a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2H7v6H25V23h3a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9ZM9,5H23V9H9ZM23,27H9V17H23Zm5-6H25V15H7v6H4V11H28Z"}),props.children);});var Printer20=/*#__PURE__*/React.forwardRef(function Printer20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H25V3H7V9H4a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2H7v6H25V23h3a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9ZM9,5H23V9H9ZM23,27H9V17H23Zm5-6H25V15H7v6H4V11H28Z"}),props.children);});var Printer16=/*#__PURE__*/React.forwardRef(function Printer16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,9H25V3H7V9H4a2,2,0,0,0-2,2V21a2,2,0,0,0,2,2H7v6H25V23h3a2,2,0,0,0,2-2V11A2,2,0,0,0,28,9ZM9,5H23V9H9ZM23,27H9V17H23Zm5-6H25V15H7v6H4V11H28Z"}),props.children);});var Product32=/*#__PURE__*/React.forwardRef(function Product32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"22"}),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM18,6v4H14V6ZM6,26V6h6v6h8V6h6l.0012,20Z"}),props.children);});var Product24=/*#__PURE__*/React.forwardRef(function Product24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"22"}),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM18,6v4H14V6ZM6,26V6h6v6h8V6h6l.0012,20Z"}),props.children);});var Product20=/*#__PURE__*/React.forwardRef(function Product20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"22"}),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM18,6v4H14V6ZM6,26V6h6v6h8V6h6l.0012,20Z"}),props.children);});var Product16=/*#__PURE__*/React.forwardRef(function Product16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"6",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"22"}),React.createElement("path",{d:"M26,4H6A2.0025,2.0025,0,0,0,4,6V26a2.0025,2.0025,0,0,0,2,2H26a2.0025,2.0025,0,0,0,2-2V6A2.0025,2.0025,0,0,0,26,4ZM18,6v4H14V6ZM6,26V6h6v6h8V6h6l.0012,20Z"}),props.children);});var Purchase32=/*#__PURE__*/React.forwardRef(function Purchase32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6Zm0,2v3H4V8ZM4,24V13H28V24Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"20"}),props.children);});var Purchase24=/*#__PURE__*/React.forwardRef(function Purchase24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6Zm0,2v3H4V8ZM4,24V13H28V24Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"20"}),props.children);});var Purchase20=/*#__PURE__*/React.forwardRef(function Purchase20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6Zm0,2v3H4V8ZM4,24V13H28V24Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"20"}),props.children);});var Purchase16=/*#__PURE__*/React.forwardRef(function Purchase16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6H4A2,2,0,0,0,2,8V24a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V8A2,2,0,0,0,28,6Zm0,2v3H4V8ZM4,24V13H28V24Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"20"}),props.children);});var QrCode32=/*#__PURE__*/React.forwardRef(function QrCode32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26",transform:"rotate(-90 25 27)"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22",transform:"rotate(-90 19 23)"}),React.createElement("polygon",{points:"18 30 22 30 22 28 20 28 20 26 18 26 18 30"}),React.createElement("rect",{width:"4",height:"2",x:"25",y:"23",transform:"rotate(-90 27 24)"}),React.createElement("polygon",{points:"28 26 30 26 30 30 26 30 26 28 28 28 28 26"}),React.createElement("polygon",{points:"26 20 26 18 30 18 30 22 28 22 28 20 26 20"}),React.createElement("polygon",{points:"24 20 22 20 22 24 20 24 20 26 24 26 24 20"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"17",transform:"rotate(-90 20 19)"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("path",{d:"M14,30H2V18H14ZM4,28h8V20H4Z"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("path",{d:"M30,14H18V2H30ZM20,12h8V4H20Z"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("path",{d:"M14,14H2V2H14ZM4,12h8V4H4Z"}),props.children);});var QrCode24=/*#__PURE__*/React.forwardRef(function QrCode24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26",transform:"rotate(-90 25 27)"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22",transform:"rotate(-90 19 23)"}),React.createElement("polygon",{points:"18 30 22 30 22 28 20 28 20 26 18 26 18 30"}),React.createElement("rect",{width:"4",height:"2",x:"25",y:"23",transform:"rotate(-90 27 24)"}),React.createElement("polygon",{points:"28 26 30 26 30 30 26 30 26 28 28 28 28 26"}),React.createElement("polygon",{points:"26 20 26 18 30 18 30 22 28 22 28 20 26 20"}),React.createElement("polygon",{points:"24 20 22 20 22 24 20 24 20 26 24 26 24 20"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"17",transform:"rotate(-90 20 19)"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("path",{d:"M14,30H2V18H14ZM4,28h8V20H4Z"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("path",{d:"M30,14H18V2H30ZM20,12h8V4H20Z"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("path",{d:"M14,14H2V2H14ZM4,12h8V4H4Z"}),props.children);});var QrCode20=/*#__PURE__*/React.forwardRef(function QrCode20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26",transform:"rotate(-90 25 27)"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22",transform:"rotate(-90 19 23)"}),React.createElement("polygon",{points:"18 30 22 30 22 28 20 28 20 26 18 26 18 30"}),React.createElement("rect",{width:"4",height:"2",x:"25",y:"23",transform:"rotate(-90 27 24)"}),React.createElement("polygon",{points:"28 26 30 26 30 30 26 30 26 28 28 28 28 26"}),React.createElement("polygon",{points:"26 20 26 18 30 18 30 22 28 22 28 20 26 20"}),React.createElement("polygon",{points:"24 20 22 20 22 24 20 24 20 26 24 26 24 20"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"17",transform:"rotate(-90 20 19)"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("path",{d:"M14,30H2V18H14ZM4,28h8V20H4Z"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("path",{d:"M30,14H18V2H30ZM20,12h8V4H20Z"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("path",{d:"M14,14H2V2H14ZM4,12h8V4H4Z"}),props.children);});var QrCode16=/*#__PURE__*/React.forwardRef(function QrCode16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26",transform:"rotate(-90 25 27)"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22",transform:"rotate(-90 19 23)"}),React.createElement("polygon",{points:"18 30 22 30 22 28 20 28 20 26 18 26 18 30"}),React.createElement("rect",{width:"4",height:"2",x:"25",y:"23",transform:"rotate(-90 27 24)"}),React.createElement("polygon",{points:"28 26 30 26 30 30 26 30 26 28 28 28 28 26"}),React.createElement("polygon",{points:"26 20 26 18 30 18 30 22 28 22 28 20 26 20"}),React.createElement("polygon",{points:"24 20 22 20 22 24 20 24 20 26 24 26 24 20"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"17",transform:"rotate(-90 20 19)"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"22"}),React.createElement("path",{d:"M14,30H2V18H14ZM4,28h8V20H4Z"}),React.createElement("rect",{width:"4",height:"4",x:"22",y:"6"}),React.createElement("path",{d:"M30,14H18V2H30ZM20,12h8V4H20Z"}),React.createElement("rect",{width:"4",height:"4",x:"6",y:"6"}),React.createElement("path",{d:"M14,14H2V2H14ZM4,12h8V4H4Z"}),props.children);});var QueryQueue32=/*#__PURE__*/React.forwardRef(function QueryQueue32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("polygon",{points:"4 14 11 19 4 24 4 14"}),props.children);});var QueryQueue24=/*#__PURE__*/React.forwardRef(function QueryQueue24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("polygon",{points:"4 14 11 19 4 24 4 14"}),props.children);});var QueryQueue20=/*#__PURE__*/React.forwardRef(function QueryQueue20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("polygon",{points:"4 14 11 19 4 24 4 14"}),props.children);});var QueryQueue16=/*#__PURE__*/React.forwardRef(function QueryQueue16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"10",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"10",y:"24"}),React.createElement("polygon",{points:"4 14 11 19 4 24 4 14"}),props.children);});var Quotes32=/*#__PURE__*/React.forwardRef(function Quotes32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H6.11A9,9,0,0,1,10,8.86l1.79-1.2L10.69,6,8.9,7.2A11,11,0,0,0,4,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,12,15Z"}),React.createElement("path",{d:"M26,15H20.11A9,9,0,0,1,24,8.86l1.79-1.2L24.7,6,22.9,7.2A11,11,0,0,0,18,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,26,15Z"}),props.children);});var Quotes24=/*#__PURE__*/React.forwardRef(function Quotes24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H6.11A9,9,0,0,1,10,8.86l1.79-1.2L10.69,6,8.9,7.2A11,11,0,0,0,4,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,12,15Z"}),React.createElement("path",{d:"M26,15H20.11A9,9,0,0,1,24,8.86l1.79-1.2L24.7,6,22.9,7.2A11,11,0,0,0,18,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,26,15Z"}),props.children);});var Quotes20=/*#__PURE__*/React.forwardRef(function Quotes20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H6.11A9,9,0,0,1,10,8.86l1.79-1.2L10.69,6,8.9,7.2A11,11,0,0,0,4,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,12,15Z"}),React.createElement("path",{d:"M26,15H20.11A9,9,0,0,1,24,8.86l1.79-1.2L24.7,6,22.9,7.2A11,11,0,0,0,18,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,26,15Z"}),props.children);});var Quotes16=/*#__PURE__*/React.forwardRef(function Quotes16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H6.11A9,9,0,0,1,10,8.86l1.79-1.2L10.69,6,8.9,7.2A11,11,0,0,0,4,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,12,15Z"}),React.createElement("path",{d:"M26,15H20.11A9,9,0,0,1,24,8.86l1.79-1.2L24.7,6,22.9,7.2A11,11,0,0,0,18,16.35V23a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V17A2,2,0,0,0,26,15Z"}),props.children);});var RadioButtonChecked32=/*#__PURE__*/React.forwardRef(function RadioButtonChecked32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Z"}),props.children);});var RadioButtonChecked24=/*#__PURE__*/React.forwardRef(function RadioButtonChecked24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Z"}),props.children);});var RadioButtonChecked20=/*#__PURE__*/React.forwardRef(function RadioButtonChecked20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Z"}),props.children);});var RadioButtonChecked16=/*#__PURE__*/React.forwardRef(function RadioButtonChecked16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Z"}),props.children);});var RadioButton32=/*#__PURE__*/React.forwardRef(function RadioButton32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),props.children);});var RadioButton24=/*#__PURE__*/React.forwardRef(function RadioButton24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),props.children);});var RadioButton20=/*#__PURE__*/React.forwardRef(function RadioButton20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),props.children);});var RadioButton16=/*#__PURE__*/React.forwardRef(function RadioButton16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),props.children);});var Radio32=/*#__PURE__*/React.forwardRef(function Radio32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H24V2H22v8H13V8H11v2H8V8H6v2H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM4,28V12H28V28Z"}),React.createElement("path",{d:"M10,26a4,4,0,1,1,4-4A4,4,0,0,1,10,26Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"7",y:"14"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"24"}),props.children);});var Radio24=/*#__PURE__*/React.forwardRef(function Radio24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H24V2H22v8H13V8H11v2H8V8H6v2H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM4,28V12H28V28Z"}),React.createElement("path",{d:"M10,26a4,4,0,1,1,4-4A4,4,0,0,1,10,26Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"7",y:"14"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"24"}),props.children);});var Radio20=/*#__PURE__*/React.forwardRef(function Radio20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H24V2H22v8H13V8H11v2H8V8H6v2H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM4,28V12H28V28Z"}),React.createElement("path",{d:"M10,26a4,4,0,1,1,4-4A4,4,0,0,1,10,26Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"7",y:"14"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"24"}),props.children);});var Radio16=/*#__PURE__*/React.forwardRef(function Radio16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,10H24V2H22v8H13V8H11v2H8V8H6v2H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10ZM4,28V12H28V28Z"}),React.createElement("path",{d:"M10,26a4,4,0,1,1,4-4A4,4,0,0,1,10,26Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"7",y:"14"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"9",height:"2",x:"17",y:"24"}),props.children);});var RainDrizzle32=/*#__PURE__*/React.forwardRef(function RainDrizzle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,30a1,1,0,0,1-.8944-1.4474l2-4a1,1,0,1,1,1.7887.8946l-2,4A.9979.9979,0,0,1,11,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22H19.3813L18.105,24.5527a1,1,0,0,0,1.789.8946L21.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainDrizzle24=/*#__PURE__*/React.forwardRef(function RainDrizzle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,30a1,1,0,0,1-.8944-1.4474l2-4a1,1,0,1,1,1.7887.8946l-2,4A.9979.9979,0,0,1,11,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22H19.3813L18.105,24.5527a1,1,0,0,0,1.789.8946L21.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainDrizzle20=/*#__PURE__*/React.forwardRef(function RainDrizzle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,30a1,1,0,0,1-.8944-1.4474l2-4a1,1,0,1,1,1.7887.8946l-2,4A.9979.9979,0,0,1,11,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22H19.3813L18.105,24.5527a1,1,0,0,0,1.789.8946L21.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainDrizzle16=/*#__PURE__*/React.forwardRef(function RainDrizzle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11,30a1,1,0,0,1-.8944-1.4474l2-4a1,1,0,1,1,1.7887.8946l-2,4A.9979.9979,0,0,1,11,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22H19.3813L18.105,24.5527a1,1,0,0,0,1.789.8946L21.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainHeavy32=/*#__PURE__*/React.forwardRef(function RainHeavy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,17,30Z"}),React.createElement("path",{d:"M8,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,8,30Z"}),React.createElement("path",{d:"M30,15.5a6.5323,6.5323,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0A6.4905,6.4905,0,0,0,5.7026,21.3584L4.106,24.5527a1,1,0,1,0,1.7885.8946L7.6174,22l6.7644,0L13.106,24.5527a1,1,0,1,0,1.7885.8946L16.6177,22h6.7641L22.106,24.5527a1,1,0,1,0,1.7885.8946l1.9444-3.89A6.5058,6.5058,0,0,0,30,15.5ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainHeavy24=/*#__PURE__*/React.forwardRef(function RainHeavy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,17,30Z"}),React.createElement("path",{d:"M8,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,8,30Z"}),React.createElement("path",{d:"M30,15.5a6.5323,6.5323,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0A6.4905,6.4905,0,0,0,5.7026,21.3584L4.106,24.5527a1,1,0,1,0,1.7885.8946L7.6174,22l6.7644,0L13.106,24.5527a1,1,0,1,0,1.7885.8946L16.6177,22h6.7641L22.106,24.5527a1,1,0,1,0,1.7885.8946l1.9444-3.89A6.5058,6.5058,0,0,0,30,15.5ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainHeavy20=/*#__PURE__*/React.forwardRef(function RainHeavy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,17,30Z"}),React.createElement("path",{d:"M8,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,8,30Z"}),React.createElement("path",{d:"M30,15.5a6.5323,6.5323,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0A6.4905,6.4905,0,0,0,5.7026,21.3584L4.106,24.5527a1,1,0,1,0,1.7885.8946L7.6174,22l6.7644,0L13.106,24.5527a1,1,0,1,0,1.7885.8946L16.6177,22h6.7641L22.106,24.5527a1,1,0,1,0,1.7885.8946l1.9444-3.89A6.5058,6.5058,0,0,0,30,15.5ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainHeavy16=/*#__PURE__*/React.forwardRef(function RainHeavy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,17,30Z"}),React.createElement("path",{d:"M8,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,8,30Z"}),React.createElement("path",{d:"M30,15.5a6.5323,6.5323,0,0,0-5.1992-6.3638,8.9943,8.9943,0,0,0-17.6006,0A6.4905,6.4905,0,0,0,5.7026,21.3584L4.106,24.5527a1,1,0,1,0,1.7885.8946L7.6174,22l6.7644,0L13.106,24.5527a1,1,0,1,0,1.7885.8946L16.6177,22h6.7641L22.106,24.5527a1,1,0,1,0,1.7885.8946l1.9444-3.89A6.5058,6.5058,0,0,0,30,15.5ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var RainScatteredNight32=/*#__PURE__*/React.forwardRef(function RainScatteredNight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0115,1.0115,0,0,1-.4485-.1055.9986.9986,0,0,1-.4486-1.3418l1.4934-3a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0015,1.0015,0,0,1,8.5084,32Z"}),React.createElement("path",{d:"M29.8442,13.0347a1.5184,1.5184,0,0,0-1.2309-.8658,5.3587,5.3587,0,0,1-3.4094-1.7163,6.4648,6.4648,0,0,1-1.285-6.393,1.6031,1.6031,0,0,0-.3-1.5459,1.4535,1.4535,0,0,0-1.3594-.4922l-.0191.0029a7.8549,7.8549,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9549,5.9549,0,0,0,5.88-7.1455,7.5,7.5,0,0,0,4.8672-3.3A1.5381,1.5381,0,0,0,29.8442,13.0347ZM19,23H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm5.1509-7.0479a5.9639,5.9639,0,0,0-3.5015-2.708A7.5076,7.5076,0,0,0,18.0286,9.55a6.01,6.01,0,0,1,3.77-5.334,8.4581,8.4581,0,0,0,1.9395,7.5972A7.4007,7.4007,0,0,0,27.64,14.041,5.4392,5.4392,0,0,1,24.1509,15.9521Z"}),props.children);});var RainScatteredNight24=/*#__PURE__*/React.forwardRef(function RainScatteredNight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0115,1.0115,0,0,1-.4485-.1055.9986.9986,0,0,1-.4486-1.3418l1.4934-3a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0015,1.0015,0,0,1,8.5084,32Z"}),React.createElement("path",{d:"M29.8442,13.0347a1.5184,1.5184,0,0,0-1.2309-.8658,5.3587,5.3587,0,0,1-3.4094-1.7163,6.4648,6.4648,0,0,1-1.285-6.393,1.6031,1.6031,0,0,0-.3-1.5459,1.4535,1.4535,0,0,0-1.3594-.4922l-.0191.0029a7.8549,7.8549,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9549,5.9549,0,0,0,5.88-7.1455,7.5,7.5,0,0,0,4.8672-3.3A1.5381,1.5381,0,0,0,29.8442,13.0347ZM19,23H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm5.1509-7.0479a5.9639,5.9639,0,0,0-3.5015-2.708A7.5076,7.5076,0,0,0,18.0286,9.55a6.01,6.01,0,0,1,3.77-5.334,8.4581,8.4581,0,0,0,1.9395,7.5972A7.4007,7.4007,0,0,0,27.64,14.041,5.4392,5.4392,0,0,1,24.1509,15.9521Z"}),props.children);});var RainScatteredNight20=/*#__PURE__*/React.forwardRef(function RainScatteredNight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0115,1.0115,0,0,1-.4485-.1055.9986.9986,0,0,1-.4486-1.3418l1.4934-3a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0015,1.0015,0,0,1,8.5084,32Z"}),React.createElement("path",{d:"M29.8442,13.0347a1.5184,1.5184,0,0,0-1.2309-.8658,5.3587,5.3587,0,0,1-3.4094-1.7163,6.4648,6.4648,0,0,1-1.285-6.393,1.6031,1.6031,0,0,0-.3-1.5459,1.4535,1.4535,0,0,0-1.3594-.4922l-.0191.0029a7.8549,7.8549,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9549,5.9549,0,0,0,5.88-7.1455,7.5,7.5,0,0,0,4.8672-3.3A1.5381,1.5381,0,0,0,29.8442,13.0347ZM19,23H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm5.1509-7.0479a5.9639,5.9639,0,0,0-3.5015-2.708A7.5076,7.5076,0,0,0,18.0286,9.55a6.01,6.01,0,0,1,3.77-5.334,8.4581,8.4581,0,0,0,1.9395,7.5972A7.4007,7.4007,0,0,0,27.64,14.041,5.4392,5.4392,0,0,1,24.1509,15.9521Z"}),props.children);});var RainScatteredNight16=/*#__PURE__*/React.forwardRef(function RainScatteredNight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0115,1.0115,0,0,1-.4485-.1055.9986.9986,0,0,1-.4486-1.3418l1.4934-3a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0015,1.0015,0,0,1,8.5084,32Z"}),React.createElement("path",{d:"M29.8442,13.0347a1.5184,1.5184,0,0,0-1.2309-.8658,5.3587,5.3587,0,0,1-3.4094-1.7163,6.4648,6.4648,0,0,1-1.285-6.393,1.6031,1.6031,0,0,0-.3-1.5459,1.4535,1.4535,0,0,0-1.3594-.4922l-.0191.0029a7.8549,7.8549,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9549,5.9549,0,0,0,5.88-7.1455,7.5,7.5,0,0,0,4.8672-3.3A1.5381,1.5381,0,0,0,29.8442,13.0347ZM19,23H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm5.1509-7.0479a5.9639,5.9639,0,0,0-3.5015-2.708A7.5076,7.5076,0,0,0,18.0286,9.55a6.01,6.01,0,0,1,3.77-5.334,8.4581,8.4581,0,0,0,1.9395,7.5972A7.4007,7.4007,0,0,0,27.64,14.041,5.4392,5.4392,0,0,1,24.1509,15.9521Z"}),props.children);});var RainScattered32=/*#__PURE__*/React.forwardRef(function RainScattered32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0127,1.0127,0,0,1-.4485-.1054.9986.9986,0,0,1-.4486-1.3418l1.4934-3.0005a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0013,1.0013,0,0,1,8.5084,32Z"}),React.createElement("rect",{width:"2",height:"3",x:"27.232",y:"15.733",transform:"rotate(-45.009 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"2",height:"3",x:"12.768",y:"3.268",transform:"rotate(-45 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11ZM19,23H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm3.9268-8.5107a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),props.children);});var RainScattered24=/*#__PURE__*/React.forwardRef(function RainScattered24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0127,1.0127,0,0,1-.4485-.1054.9986.9986,0,0,1-.4486-1.3418l1.4934-3.0005a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0013,1.0013,0,0,1,8.5084,32Z"}),React.createElement("rect",{width:"2",height:"3",x:"27.232",y:"15.733",transform:"rotate(-45.009 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"2",height:"3",x:"12.768",y:"3.268",transform:"rotate(-45 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11ZM19,23H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm3.9268-8.5107a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),props.children);});var RainScattered20=/*#__PURE__*/React.forwardRef(function RainScattered20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0127,1.0127,0,0,1-.4485-.1054.9986.9986,0,0,1-.4486-1.3418l1.4934-3.0005a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0013,1.0013,0,0,1,8.5084,32Z"}),React.createElement("rect",{width:"2",height:"3",x:"27.232",y:"15.733",transform:"rotate(-45.009 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"2",height:"3",x:"12.768",y:"3.268",transform:"rotate(-45 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11ZM19,23H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm3.9268-8.5107a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),props.children);});var RainScattered16=/*#__PURE__*/React.forwardRef(function RainScattered16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8.5084,32a1.0127,1.0127,0,0,1-.4485-.1054.9986.9986,0,0,1-.4486-1.3418l1.4934-3.0005a1.0025,1.0025,0,0,1,1.7943.8945l-1.4934,3A1.0013,1.0013,0,0,1,8.5084,32Z"}),React.createElement("rect",{width:"2",height:"3",x:"27.232",y:"15.733",transform:"rotate(-45.009 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"2",height:"3",x:"12.768",y:"3.268",transform:"rotate(-45 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25h7.3818L14.106,27.5527a1,1,0,1,0,1.7885.8946L17.6177,25H19a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11ZM19,23H8a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23Zm3.9268-8.5107a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),props.children);});var RainDrop32=/*#__PURE__*/React.forwardRef(function RainDrop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24V22a3.0033,3.0033,0,0,0,3-3h2A5.0055,5.0055,0,0,1,16,24Z"}),React.createElement("path",{d:"M16,28a9.1378,9.1378,0,0,1-9-9.25c0-7.1218,8.001-14.2046,8.3416-14.5027a1,1,0,0,1,1.3168,0C16.999,4.5454,25,11.6282,25,18.75A9.1378,9.1378,0,0,1,16,28ZM16,6.37C14.1423,8.1748,9,13.634,9,18.75A7.1364,7.1364,0,0,0,16,26a7.1364,7.1364,0,0,0,7-7.25C23,13.634,17.8577,8.1748,16,6.37Z"}),props.children);});var RainDrop24=/*#__PURE__*/React.forwardRef(function RainDrop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24V22a3.0033,3.0033,0,0,0,3-3h2A5.0055,5.0055,0,0,1,16,24Z"}),React.createElement("path",{d:"M16,28a9.1378,9.1378,0,0,1-9-9.25c0-7.1218,8.001-14.2046,8.3416-14.5027a1,1,0,0,1,1.3168,0C16.999,4.5454,25,11.6282,25,18.75A9.1378,9.1378,0,0,1,16,28ZM16,6.37C14.1423,8.1748,9,13.634,9,18.75A7.1364,7.1364,0,0,0,16,26a7.1364,7.1364,0,0,0,7-7.25C23,13.634,17.8577,8.1748,16,6.37Z"}),props.children);});var RainDrop20=/*#__PURE__*/React.forwardRef(function RainDrop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24V22a3.0033,3.0033,0,0,0,3-3h2A5.0055,5.0055,0,0,1,16,24Z"}),React.createElement("path",{d:"M16,28a9.1378,9.1378,0,0,1-9-9.25c0-7.1218,8.001-14.2046,8.3416-14.5027a1,1,0,0,1,1.3168,0C16.999,4.5454,25,11.6282,25,18.75A9.1378,9.1378,0,0,1,16,28ZM16,6.37C14.1423,8.1748,9,13.634,9,18.75A7.1364,7.1364,0,0,0,16,26a7.1364,7.1364,0,0,0,7-7.25C23,13.634,17.8577,8.1748,16,6.37Z"}),props.children);});var RainDrop16=/*#__PURE__*/React.forwardRef(function RainDrop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,24V22a3.0033,3.0033,0,0,0,3-3h2A5.0055,5.0055,0,0,1,16,24Z"}),React.createElement("path",{d:"M16,28a9.1378,9.1378,0,0,1-9-9.25c0-7.1218,8.001-14.2046,8.3416-14.5027a1,1,0,0,1,1.3168,0C16.999,4.5454,25,11.6282,25,18.75A9.1378,9.1378,0,0,1,16,28ZM16,6.37C14.1423,8.1748,9,13.634,9,18.75A7.1364,7.1364,0,0,0,16,26a7.1364,7.1364,0,0,0,7-7.25C23,13.634,17.8577,8.1748,16,6.37Z"}),props.children);});var Rain32=/*#__PURE__*/React.forwardRef(function Rain32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var Rain24=/*#__PURE__*/React.forwardRef(function Rain24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var Rain20=/*#__PURE__*/React.forwardRef(function Rain20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var Rain16=/*#__PURE__*/React.forwardRef(function Rain16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("path",{d:"M14,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,14,30Z"}),React.createElement("path",{d:"M20,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,20,30Z"}),React.createElement("path",{d:"M8,30a.93.93,0,0,1-.45-.11,1,1,0,0,1-.44-1.34l2-4a1,1,0,1,1,1.78.9l-2,4A1,1,0,0,1,8,30Z"}),props.children);});var Receipt32=/*#__PURE__*/React.forwardRef(function Receipt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"21",y:"16"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M25,2H7A2.002,2.002,0,0,0,5,4V29a1,1,0,0,0,1,1H7a.9987.9987,0,0,0,.8-.4L10,26.667,12.2,29.6a1.0353,1.0353,0,0,0,1.6,0L16,26.667,18.2,29.6a1.0353,1.0353,0,0,0,1.6,0L22,26.667,24.2,29.6a.9993.9993,0,0,0,.8.4h1a1,1,0,0,0,1-1V4A2.0023,2.0023,0,0,0,25,2Zm0,25.333L22.8,24.4a1.0353,1.0353,0,0,0-1.6,0L19,27.333,16.8,24.4a1.0353,1.0353,0,0,0-1.6,0L13,27.333,10.8,24.4a1.0353,1.0353,0,0,0-1.6,0L7,27.333V4H25Z"}),props.children);});var Receipt24=/*#__PURE__*/React.forwardRef(function Receipt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"21",y:"16"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M25,2H7A2.002,2.002,0,0,0,5,4V29a1,1,0,0,0,1,1H7a.9987.9987,0,0,0,.8-.4L10,26.667,12.2,29.6a1.0353,1.0353,0,0,0,1.6,0L16,26.667,18.2,29.6a1.0353,1.0353,0,0,0,1.6,0L22,26.667,24.2,29.6a.9993.9993,0,0,0,.8.4h1a1,1,0,0,0,1-1V4A2.0023,2.0023,0,0,0,25,2Zm0,25.333L22.8,24.4a1.0353,1.0353,0,0,0-1.6,0L19,27.333,16.8,24.4a1.0353,1.0353,0,0,0-1.6,0L13,27.333,10.8,24.4a1.0353,1.0353,0,0,0-1.6,0L7,27.333V4H25Z"}),props.children);});var Receipt20=/*#__PURE__*/React.forwardRef(function Receipt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"21",y:"16"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M25,2H7A2.002,2.002,0,0,0,5,4V29a1,1,0,0,0,1,1H7a.9987.9987,0,0,0,.8-.4L10,26.667,12.2,29.6a1.0353,1.0353,0,0,0,1.6,0L16,26.667,18.2,29.6a1.0353,1.0353,0,0,0,1.6,0L22,26.667,24.2,29.6a.9993.9993,0,0,0,.8.4h1a1,1,0,0,0,1-1V4A2.0023,2.0023,0,0,0,25,2Zm0,25.333L22.8,24.4a1.0353,1.0353,0,0,0-1.6,0L19,27.333,16.8,24.4a1.0353,1.0353,0,0,0-1.6,0L13,27.333,10.8,24.4a1.0353,1.0353,0,0,0-1.6,0L7,27.333V4H25Z"}),props.children);});var Receipt16=/*#__PURE__*/React.forwardRef(function Receipt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"21",y:"16"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"21",y:"12"}),React.createElement("rect",{width:"8",height:"2",x:"9",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"9",y:"8"}),React.createElement("path",{d:"M25,2H7A2.002,2.002,0,0,0,5,4V29a1,1,0,0,0,1,1H7a.9987.9987,0,0,0,.8-.4L10,26.667,12.2,29.6a1.0353,1.0353,0,0,0,1.6,0L16,26.667,18.2,29.6a1.0353,1.0353,0,0,0,1.6,0L22,26.667,24.2,29.6a.9993.9993,0,0,0,.8.4h1a1,1,0,0,0,1-1V4A2.0023,2.0023,0,0,0,25,2Zm0,25.333L22.8,24.4a1.0353,1.0353,0,0,0-1.6,0L19,27.333,16.8,24.4a1.0353,1.0353,0,0,0-1.6,0L13,27.333,10.8,24.4a1.0353,1.0353,0,0,0-1.6,0L7,27.333V4H25Z"}),props.children);});var RecentlyViewed32=/*#__PURE__*/React.forwardRef(function RecentlyViewed32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20.59 22 15 16.41 15 7 17 7 17 15.58 22 20.59 20.59 22"}),React.createElement("path",{d:"M16,2A13.94,13.94,0,0,0,6,6.23V2H4v8h8V8H7.08A12,12,0,1,1,4,16H2A14,14,0,1,0,16,2Z"}),props.children);});var RecentlyViewed24=/*#__PURE__*/React.forwardRef(function RecentlyViewed24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20.59 22 15 16.41 15 7 17 7 17 15.58 22 20.59 20.59 22"}),React.createElement("path",{d:"M16,2A13.94,13.94,0,0,0,6,6.23V2H4v8h8V8H7.08A12,12,0,1,1,4,16H2A14,14,0,1,0,16,2Z"}),props.children);});var RecentlyViewed20=/*#__PURE__*/React.forwardRef(function RecentlyViewed20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20.59 22 15 16.41 15 7 17 7 17 15.58 22 20.59 20.59 22"}),React.createElement("path",{d:"M16,2A13.94,13.94,0,0,0,6,6.23V2H4v8h8V8H7.08A12,12,0,1,1,4,16H2A14,14,0,1,0,16,2Z"}),props.children);});var RecentlyViewed16=/*#__PURE__*/React.forwardRef(function RecentlyViewed16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20.59 22 15 16.41 15 7 17 7 17 15.58 22 20.59 20.59 22"}),React.createElement("path",{d:"M16,2A13.94,13.94,0,0,0,6,6.23V2H4v8h8V8H7.08A12,12,0,1,1,4,16H2A14,14,0,1,0,16,2Z"}),props.children);});var Recommend32=/*#__PURE__*/React.forwardRef(function Recommend32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a9,9,0,0,0-6,15.69V30l6-4,6,4V17.69A9,9,0,0,0,16,2Zm4,24.26-2.89-1.92L16,23.6l-1.11.74L12,26.26V19.05a8.88,8.88,0,0,0,8,0ZM20.89,16A7,7,0,1,1,23,11,7,7,0,0,1,20.89,16Z"}),props.children);});var Recommend24=/*#__PURE__*/React.forwardRef(function Recommend24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a9,9,0,0,0-6,15.69V30l6-4,6,4V17.69A9,9,0,0,0,16,2Zm4,24.26-2.89-1.92L16,23.6l-1.11.74L12,26.26V19.05a8.88,8.88,0,0,0,8,0ZM20.89,16A7,7,0,1,1,23,11,7,7,0,0,1,20.89,16Z"}),props.children);});var Recommend20=/*#__PURE__*/React.forwardRef(function Recommend20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a9,9,0,0,0-6,15.69V30l6-4,6,4V17.69A9,9,0,0,0,16,2Zm4,24.26-2.89-1.92L16,23.6l-1.11.74L12,26.26V19.05a8.88,8.88,0,0,0,8,0ZM20.89,16A7,7,0,1,1,23,11,7,7,0,0,1,20.89,16Z"}),props.children);});var Recommend16=/*#__PURE__*/React.forwardRef(function Recommend16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2a9,9,0,0,0-6,15.69V30l6-4,6,4V17.69A9,9,0,0,0,16,2Zm4,24.26-2.89-1.92L16,23.6l-1.11.74L12,26.26V19.05a8.88,8.88,0,0,0,8,0ZM20.89,16A7,7,0,1,1,23,11,7,7,0,0,1,20.89,16Z"}),props.children);});var RecordingFilledAlt32=/*#__PURE__*/React.forwardRef(function RecordingFilledAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S19.3,22,16,22\tz"}),React.createElement("path",{d:"M16,10c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6S19.3,10,16,10z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var RecordingFilledAlt24=/*#__PURE__*/React.forwardRef(function RecordingFilledAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S19.3,22,16,22\tz"}),React.createElement("path",{d:"M16,10c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6S19.3,10,16,10z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var RecordingFilledAlt20=/*#__PURE__*/React.forwardRef(function RecordingFilledAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S19.3,22,16,22\tz"}),React.createElement("path",{d:"M16,10c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6S19.3,10,16,10z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var RecordingFilledAlt16=/*#__PURE__*/React.forwardRef(function RecordingFilledAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6S19.3,22,16,22\tz"}),React.createElement("path",{d:"M16,10c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6S19.3,10,16,10z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var RecordingFilled32=/*#__PURE__*/React.forwardRef(function RecordingFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6 S19.3,22,16,22z"}),props.children);});var RecordingFilled24=/*#__PURE__*/React.forwardRef(function RecordingFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6 S19.3,22,16,22z"}),props.children);});var RecordingFilled20=/*#__PURE__*/React.forwardRef(function RecordingFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6 S19.3,22,16,22z"}),props.children);});var RecordingFilled16=/*#__PURE__*/React.forwardRef(function RecordingFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14S23.7,2,16,2z M16,22c-3.3,0-6-2.7-6-6s2.7-6,6-6s6,2.7,6,6 S19.3,22,16,22z"}),props.children);});var Recording32=/*#__PURE__*/React.forwardRef(function Recording32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Recording24=/*#__PURE__*/React.forwardRef(function Recording24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Recording20=/*#__PURE__*/React.forwardRef(function Recording20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Recording16=/*#__PURE__*/React.forwardRef(function Recording16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4,4,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z"}),props.children);});var Redo32=/*#__PURE__*/React.forwardRef(function Redo32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,15c-2.5,0-4,1.5-4,4c0,2.5,1.5,4,4,4h5v2H9c-3.5,0-6-2.5-6-6c0-3.5,2.5-6,6-6h16.2l-4-4l1.4-1.5L29,14\tl-6.4,6.4L21.2,19l4-4H9z"}),props.children);});var ReminderMedical32=/*#__PURE__*/React.forwardRef(function ReminderMedical32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,12v2h1v4a3,3,0,0,1-6,0V14h1V12H20v6a5.0083,5.0083,0,0,0,4,4.8989V24a4,4,0,0,1-8,0V21.8157a3,3,0,1,0-2,0V24a6,6,0,0,0,12,0V22.8989A5.0083,5.0083,0,0,0,30,18V12ZM15,18a1,1,0,1,1-1,1A1.0009,1.0009,0,0,1,15,18Z"}),React.createElement("path",{d:"M26,4H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2l4,0V26L6,26V6h4V8h2V6h8V8h2V6h4v4h2V6A2,2,0,0,0,26,4Z"}),props.children);});var ReminderMedical24=/*#__PURE__*/React.forwardRef(function ReminderMedical24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,12v2h1v4a3,3,0,0,1-6,0V14h1V12H20v6a5.0083,5.0083,0,0,0,4,4.8989V24a4,4,0,0,1-8,0V21.8157a3,3,0,1,0-2,0V24a6,6,0,0,0,12,0V22.8989A5.0083,5.0083,0,0,0,30,18V12ZM15,18a1,1,0,1,1-1,1A1.0009,1.0009,0,0,1,15,18Z"}),React.createElement("path",{d:"M26,4H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2l4,0V26L6,26V6h4V8h2V6h8V8h2V6h4v4h2V6A2,2,0,0,0,26,4Z"}),props.children);});var ReminderMedical20=/*#__PURE__*/React.forwardRef(function ReminderMedical20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,12v2h1v4a3,3,0,0,1-6,0V14h1V12H20v6a5.0083,5.0083,0,0,0,4,4.8989V24a4,4,0,0,1-8,0V21.8157a3,3,0,1,0-2,0V24a6,6,0,0,0,12,0V22.8989A5.0083,5.0083,0,0,0,30,18V12ZM15,18a1,1,0,1,1-1,1A1.0009,1.0009,0,0,1,15,18Z"}),React.createElement("path",{d:"M26,4H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2l4,0V26L6,26V6h4V8h2V6h8V8h2V6h4v4h2V6A2,2,0,0,0,26,4Z"}),props.children);});var ReminderMedical16=/*#__PURE__*/React.forwardRef(function ReminderMedical16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,12v2h1v4a3,3,0,0,1-6,0V14h1V12H20v6a5.0083,5.0083,0,0,0,4,4.8989V24a4,4,0,0,1-8,0V21.8157a3,3,0,1,0-2,0V24a6,6,0,0,0,12,0V22.8989A5.0083,5.0083,0,0,0,30,18V12ZM15,18a1,1,0,1,1-1,1A1.0009,1.0009,0,0,1,15,18Z"}),React.createElement("path",{d:"M26,4H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2l4,0V26L6,26V6h4V8h2V6h8V8h2V6h4v4h2V6A2,2,0,0,0,26,4Z"}),props.children);});var Reminder32=/*#__PURE__*/React.forwardRef(function Reminder32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23.3818l-2-1V20a6.0046,6.0046,0,0,0-5-5.91V12H21v2.09A6.0046,6.0046,0,0,0,16,20v2.3818l-2,1V28h6v2h4V28h6ZM28,26H16V24.6182l2-1V20a4,4,0,0,1,8,0v3.6182l2,1Z"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var Reminder24=/*#__PURE__*/React.forwardRef(function Reminder24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23.3818l-2-1V20a6.0046,6.0046,0,0,0-5-5.91V12H21v2.09A6.0046,6.0046,0,0,0,16,20v2.3818l-2,1V28h6v2h4V28h6ZM28,26H16V24.6182l2-1V20a4,4,0,0,1,8,0v3.6182l2,1Z"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var Reminder20=/*#__PURE__*/React.forwardRef(function Reminder20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23.3818l-2-1V20a6.0046,6.0046,0,0,0-5-5.91V12H21v2.09A6.0046,6.0046,0,0,0,16,20v2.3818l-2,1V28h6v2h4V28h6ZM28,26H16V24.6182l2-1V20a4,4,0,0,1,8,0v3.6182l2,1Z"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var Reminder16=/*#__PURE__*/React.forwardRef(function Reminder16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23.3818l-2-1V20a6.0046,6.0046,0,0,0-5-5.91V12H21v2.09A6.0046,6.0046,0,0,0,16,20v2.3818l-2,1V28h6v2h4V28h6ZM28,26H16V24.6182l2-1V20a4,4,0,0,1,8,0v3.6182l2,1Z"}),React.createElement("path",{d:"M28,6a2,2,0,0,0-2-2H22V2H20V4H12V2H10V4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V6h4V8h2V6h8V8h2V6h4v6h2Z"}),props.children);});var Renew32=/*#__PURE__*/React.forwardRef(function Renew32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H6.78A11,11,0,0,1,27,16h2A13,13,0,0,0,6,7.68V4H4v8h8Z"}),React.createElement("path",{d:"M20,22h5.22A11,11,0,0,1,5,16H3a13,13,0,0,0,23,8.32V28h2V20H20Z"}),props.children);});var Renew24=/*#__PURE__*/React.forwardRef(function Renew24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H6.78A11,11,0,0,1,27,16h2A13,13,0,0,0,6,7.68V4H4v8h8Z"}),React.createElement("path",{d:"M20,22h5.22A11,11,0,0,1,5,16H3a13,13,0,0,0,23,8.32V28h2V20H20Z"}),props.children);});var Renew20=/*#__PURE__*/React.forwardRef(function Renew20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H6.78A11,11,0,0,1,27,16h2A13,13,0,0,0,6,7.68V4H4v8h8Z"}),React.createElement("path",{d:"M20,22h5.22A11,11,0,0,1,5,16H3a13,13,0,0,0,23,8.32V28h2V20H20Z"}),props.children);});var Renew16=/*#__PURE__*/React.forwardRef(function Renew16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,10H6.78A11,11,0,0,1,27,16h2A13,13,0,0,0,6,7.68V4H4v8h8Z"}),React.createElement("path",{d:"M20,22h5.22A11,11,0,0,1,5,16H3a13,13,0,0,0,23,8.32V28h2V20H20Z"}),props.children);});var RepeatOne32=/*#__PURE__*/React.forwardRef(function RepeatOne32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var RepeatOne24=/*#__PURE__*/React.forwardRef(function RepeatOne24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var RepeatOne20=/*#__PURE__*/React.forwardRef(function RepeatOne20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var RepeatOne16=/*#__PURE__*/React.forwardRef(function RepeatOne16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),React.createElement("polygon",{points:"17 19 17 11 15 11 15 12 13 12 13 14 15 14 15 19 13 19 13 21 19 21 19 19 17 19"}),props.children);});var Repeat32=/*#__PURE__*/React.forwardRef(function Repeat32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),props.children);});var Repeat24=/*#__PURE__*/React.forwardRef(function Repeat24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),props.children);});var Repeat20=/*#__PURE__*/React.forwardRef(function Repeat20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),props.children);});var Repeat16=/*#__PURE__*/React.forwardRef(function Repeat16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H5.83L9.41,2.41,8,1,2,7l6,6,1.41-1.41L5.83,8H26v7h2V8A2,2,0,0,0,26,6Z"}),React.createElement("path",{d:"M22.59,20.41,26.17,24H6V17H4v7a2,2,0,0,0,2,2H26.17l-3.58,3.59L24,31l6-6-6-6Z"}),props.children);});var Reply32=/*#__PURE__*/React.forwardRef(function Reply32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.88,30a1,1,0,0,1-.88-.5A15.19,15.19,0,0,0,15,22v6a1,1,0,0,1-.62.92,1,1,0,0,1-1.09-.21l-12-12a1,1,0,0,1,0-1.42l12-12a1,1,0,0,1,1.09-.21A1,1,0,0,1,15,4v6.11a17.19,17.19,0,0,1,15,17,16.34,16.34,0,0,1-.13,2,1,1,0,0,1-.79.86ZM14.5,20A17.62,17.62,0,0,1,28,26,15.31,15.31,0,0,0,13.91,12,1,1,0,0,1,13,11V6.41L3.41,16,13,25.59V21a1,1,0,0,1,1-1h.54Z"}),props.children);});var Reply24=/*#__PURE__*/React.forwardRef(function Reply24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.88,30a1,1,0,0,1-.88-.5A15.19,15.19,0,0,0,15,22v6a1,1,0,0,1-.62.92,1,1,0,0,1-1.09-.21l-12-12a1,1,0,0,1,0-1.42l12-12a1,1,0,0,1,1.09-.21A1,1,0,0,1,15,4v6.11a17.19,17.19,0,0,1,15,17,16.34,16.34,0,0,1-.13,2,1,1,0,0,1-.79.86ZM14.5,20A17.62,17.62,0,0,1,28,26,15.31,15.31,0,0,0,13.91,12,1,1,0,0,1,13,11V6.41L3.41,16,13,25.59V21a1,1,0,0,1,1-1h.54Z"}),props.children);});var Reply20=/*#__PURE__*/React.forwardRef(function Reply20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.88,30a1,1,0,0,1-.88-.5A15.19,15.19,0,0,0,15,22v6a1,1,0,0,1-.62.92,1,1,0,0,1-1.09-.21l-12-12a1,1,0,0,1,0-1.42l12-12a1,1,0,0,1,1.09-.21A1,1,0,0,1,15,4v6.11a17.19,17.19,0,0,1,15,17,16.34,16.34,0,0,1-.13,2,1,1,0,0,1-.79.86ZM14.5,20A17.62,17.62,0,0,1,28,26,15.31,15.31,0,0,0,13.91,12,1,1,0,0,1,13,11V6.41L3.41,16,13,25.59V21a1,1,0,0,1,1-1h.54Z"}),props.children);});var Reply16=/*#__PURE__*/React.forwardRef(function Reply16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.88,30a1,1,0,0,1-.88-.5A15.19,15.19,0,0,0,15,22v6a1,1,0,0,1-.62.92,1,1,0,0,1-1.09-.21l-12-12a1,1,0,0,1,0-1.42l12-12a1,1,0,0,1,1.09-.21A1,1,0,0,1,15,4v6.11a17.19,17.19,0,0,1,15,17,16.34,16.34,0,0,1-.13,2,1,1,0,0,1-.79.86ZM14.5,20A17.62,17.62,0,0,1,28,26,15.31,15.31,0,0,0,13.91,12,1,1,0,0,1,13,11V6.41L3.41,16,13,25.59V21a1,1,0,0,1,1-1h.54Z"}),props.children);});var ReportData32=/*#__PURE__*/React.forwardRef(function ReportData32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"20"}),React.createElement("rect",{width:"2",height:"6",x:"20",y:"18"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"14"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var ReportData24=/*#__PURE__*/React.forwardRef(function ReportData24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"20"}),React.createElement("rect",{width:"2",height:"6",x:"20",y:"18"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"14"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var ReportData20=/*#__PURE__*/React.forwardRef(function ReportData20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"20"}),React.createElement("rect",{width:"2",height:"6",x:"20",y:"18"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"14"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var ReportData16=/*#__PURE__*/React.forwardRef(function ReportData16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"15",y:"20"}),React.createElement("rect",{width:"2",height:"6",x:"20",y:"18"}),React.createElement("rect",{width:"2",height:"10",x:"10",y:"14"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Report32=/*#__PURE__*/React.forwardRef(function Report32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"10",y:"23"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Report24=/*#__PURE__*/React.forwardRef(function Report24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"10",y:"23"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Report20=/*#__PURE__*/React.forwardRef(function Report20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"10",y:"23"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Report16=/*#__PURE__*/React.forwardRef(function Report16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"13"}),React.createElement("rect",{width:"5",height:"2",x:"10",y:"23"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var RequestQuote32=/*#__PURE__*/React.forwardRef(function RequestQuote32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,22v6H6V4H16V2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V22Z"}),React.createElement("path",{d:"M29.54,5.76l-3.3-3.3a1.6,1.6,0,0,0-2.24,0l-14,14V22h5.53l14-14a1.6,1.6,0,0,0,0-2.24ZM14.7,20H12V17.3l9.44-9.45,2.71,2.71ZM25.56,9.15,22.85,6.44l2.27-2.27,2.71,2.71Z"}),props.children);});var RequestQuote24=/*#__PURE__*/React.forwardRef(function RequestQuote24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,22v6H6V4H16V2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V22Z"}),React.createElement("path",{d:"M29.54,5.76l-3.3-3.3a1.6,1.6,0,0,0-2.24,0l-14,14V22h5.53l14-14a1.6,1.6,0,0,0,0-2.24ZM14.7,20H12V17.3l9.44-9.45,2.71,2.71ZM25.56,9.15,22.85,6.44l2.27-2.27,2.71,2.71Z"}),props.children);});var RequestQuote20=/*#__PURE__*/React.forwardRef(function RequestQuote20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,22v6H6V4H16V2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V22Z"}),React.createElement("path",{d:"M29.54,5.76l-3.3-3.3a1.6,1.6,0,0,0-2.24,0l-14,14V22h5.53l14-14a1.6,1.6,0,0,0,0-2.24ZM14.7,20H12V17.3l9.44-9.45,2.71,2.71ZM25.56,9.15,22.85,6.44l2.27-2.27,2.71,2.71Z"}),props.children);});var RequestQuote16=/*#__PURE__*/React.forwardRef(function RequestQuote16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,22v6H6V4H16V2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H22a2,2,0,0,0,2-2V22Z"}),React.createElement("path",{d:"M29.54,5.76l-3.3-3.3a1.6,1.6,0,0,0-2.24,0l-14,14V22h5.53l14-14a1.6,1.6,0,0,0,0-2.24ZM14.7,20H12V17.3l9.44-9.45,2.71,2.71ZM25.56,9.15,22.85,6.44l2.27-2.27,2.71,2.71Z"}),props.children);});var ResearchBlochSphere32=/*#__PURE__*/React.forwardRef(function ResearchBlochSphere32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var ResearchBlochSphere24=/*#__PURE__*/React.forwardRef(function ResearchBlochSphere24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var ResearchBlochSphere20=/*#__PURE__*/React.forwardRef(function ResearchBlochSphere20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var ResearchBlochSphere16=/*#__PURE__*/React.forwardRef(function ResearchBlochSphere16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.87,7.84l-1.74-1L16,14h0a2,2,0,1,0,2,2,2,2,0,0,0-.27-1Z"}),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,2a12,12,0,0,1,11.17,7.65,25.69,25.69,0,0,0-3.69-1.5l-1,1.77a22.7,22.7,0,0,1,5.41,2.39,11.05,11.05,0,0,1,0,3.38A22.92,22.92,0,0,1,16,21,22.92,22.92,0,0,1,4.13,17.69a11.05,11.05,0,0,1,0-3.38A22.8,22.8,0,0,1,15,11V9a25,25,0,0,0-10.17,2.6A12,12,0,0,1,16,4Zm0,24A12,12,0,0,1,4.83,20.35,24.88,24.88,0,0,0,16,23a24.88,24.88,0,0,0,11.17-2.65A12,12,0,0,1,16,28Z"}),props.children);});var ResearchHintonPlot32=/*#__PURE__*/React.forwardRef(function ResearchHintonPlot32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var ResearchHintonPlot24=/*#__PURE__*/React.forwardRef(function ResearchHintonPlot24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var ResearchHintonPlot20=/*#__PURE__*/React.forwardRef(function ResearchHintonPlot20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var ResearchHintonPlot16=/*#__PURE__*/React.forwardRef(function ResearchHintonPlot16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"2",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"2"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"10"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"18"}),React.createElement("rect",{width:"4",height:"4",x:"2",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"10",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"18",y:"26"}),React.createElement("rect",{width:"4",height:"4",x:"26",y:"26"}),props.children);});var ResearchMatrix32=/*#__PURE__*/React.forwardRef(function ResearchMatrix32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var ResearchMatrix24=/*#__PURE__*/React.forwardRef(function ResearchMatrix24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var ResearchMatrix20=/*#__PURE__*/React.forwardRef(function ResearchMatrix20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var ResearchMatrix16=/*#__PURE__*/React.forwardRef(function ResearchMatrix16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 13 18 4 16 4 16 6 13 6 13 8 16 8 16 13 13 13 13 15 21 15 21 13 18 13"}),React.createElement("path",{d:"M16.5,20A3.5,3.5,0,1,1,13,23.5,3.5,3.5,0,0,1,16.5,20m0-2A5.5,5.5,0,1,0,22,23.5,5.5,5.5,0,0,0,16.5,18Z"}),React.createElement("polygon",{points:"8 30 2 30 2 2 8 2 8 4 4 4 4 28 8 28 8 30"}),React.createElement("polygon",{points:"30 30 24 30 24 28 28 28 28 4 24 4 24 2 30 2 30 30"}),props.children);});var ResetAlt32=/*#__PURE__*/React.forwardRef(function ResetAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,8H6.83l3.58-3.59L9,3,3,9l6,6,1.41-1.41L6.83,10H27V26H7V19H5v7a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V10A2,2,0,0,0,27,8Z"}),props.children);});var ResetAlt24=/*#__PURE__*/React.forwardRef(function ResetAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,8H6.83l3.58-3.59L9,3,3,9l6,6,1.41-1.41L6.83,10H27V26H7V19H5v7a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V10A2,2,0,0,0,27,8Z"}),props.children);});var ResetAlt20=/*#__PURE__*/React.forwardRef(function ResetAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,8H6.83l3.58-3.59L9,3,3,9l6,6,1.41-1.41L6.83,10H27V26H7V19H5v7a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V10A2,2,0,0,0,27,8Z"}),props.children);});var ResetAlt16=/*#__PURE__*/React.forwardRef(function ResetAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,8H6.83l3.58-3.59L9,3,3,9l6,6,1.41-1.41L6.83,10H27V26H7V19H5v7a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V10A2,2,0,0,0,27,8Z"}),props.children);});var Reset32=/*#__PURE__*/React.forwardRef(function Reset32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28A12,12,0,1,0,6,16v6.2L2.4,18.6,1,20l6,6,6-6-1.4-1.4L8,22.2V16H8A10,10,0,1,1,18,26Z"}),props.children);});var Reset24=/*#__PURE__*/React.forwardRef(function Reset24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28A12,12,0,1,0,6,16v6.2L2.4,18.6,1,20l6,6,6-6-1.4-1.4L8,22.2V16H8A10,10,0,1,1,18,26Z"}),props.children);});var Reset20=/*#__PURE__*/React.forwardRef(function Reset20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28A12,12,0,1,0,6,16v6.2L2.4,18.6,1,20l6,6,6-6-1.4-1.4L8,22.2V16H8A10,10,0,1,1,18,26Z"}),props.children);});var Reset16=/*#__PURE__*/React.forwardRef(function Reset16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28A12,12,0,1,0,6,16v6.2L2.4,18.6,1,20l6,6,6-6-1.4-1.4L8,22.2V16H8A10,10,0,1,1,18,26Z"}),props.children);});var Restart32=/*#__PURE__*/React.forwardRef(function Restart32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,18A10,10,0,1,1,15,8h6.18L17.6,11.59,19,13l6-6L19,1,17.6,2.41,21.19,6H15A12,12,0,1,0,27,18Z"}),props.children);});var Restart24=/*#__PURE__*/React.forwardRef(function Restart24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,18A10,10,0,1,1,15,8h6.18L17.6,11.59,19,13l6-6L19,1,17.6,2.41,21.19,6H15A12,12,0,1,0,27,18Z"}),props.children);});var Restart20=/*#__PURE__*/React.forwardRef(function Restart20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,18A10,10,0,1,1,15,8h6.18L17.6,11.59,19,13l6-6L19,1,17.6,2.41,21.19,6H15A12,12,0,1,0,27,18Z"}),props.children);});var RestaurantFine32=/*#__PURE__*/React.forwardRef(function RestaurantFine32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11.0005v-8a1,1,0,0,0-1-1H19a1,1,0,0,0-1,1v8A6.0039,6.0039,0,0,0,23,16.91V28H19v2H29V28H25V16.91A6.0039,6.0039,0,0,0,30,11.0005Zm-10,0V4h8v7.0005a4,4,0,1,1-8,0Z"}),React.createElement("path",{d:"M12,2v9.02a3.9644,3.9644,0,0,1-3.96,3.96A4.0052,4.0052,0,0,1,4,11.02V2H2v9.02a5.9888,5.9888,0,0,0,5,5.8652V30H9V16.8953A5.9646,5.9646,0,0,0,14,11.02V2Z"}),React.createElement("rect",{width:"2",height:"9.98",x:"7",y:"2"}),props.children);});var RestaurantFine24=/*#__PURE__*/React.forwardRef(function RestaurantFine24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11.0005v-8a1,1,0,0,0-1-1H19a1,1,0,0,0-1,1v8A6.0039,6.0039,0,0,0,23,16.91V28H19v2H29V28H25V16.91A6.0039,6.0039,0,0,0,30,11.0005Zm-10,0V4h8v7.0005a4,4,0,1,1-8,0Z"}),React.createElement("path",{d:"M12,2v9.02a3.9644,3.9644,0,0,1-3.96,3.96A4.0052,4.0052,0,0,1,4,11.02V2H2v9.02a5.9888,5.9888,0,0,0,5,5.8652V30H9V16.8953A5.9646,5.9646,0,0,0,14,11.02V2Z"}),React.createElement("rect",{width:"2",height:"9.98",x:"7",y:"2"}),props.children);});var RestaurantFine20=/*#__PURE__*/React.forwardRef(function RestaurantFine20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11.0005v-8a1,1,0,0,0-1-1H19a1,1,0,0,0-1,1v8A6.0039,6.0039,0,0,0,23,16.91V28H19v2H29V28H25V16.91A6.0039,6.0039,0,0,0,30,11.0005Zm-10,0V4h8v7.0005a4,4,0,1,1-8,0Z"}),React.createElement("path",{d:"M12,2v9.02a3.9644,3.9644,0,0,1-3.96,3.96A4.0052,4.0052,0,0,1,4,11.02V2H2v9.02a5.9888,5.9888,0,0,0,5,5.8652V30H9V16.8953A5.9646,5.9646,0,0,0,14,11.02V2Z"}),React.createElement("rect",{width:"2",height:"9.98",x:"7",y:"2"}),props.children);});var RestaurantFine16=/*#__PURE__*/React.forwardRef(function RestaurantFine16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,11.0005v-8a1,1,0,0,0-1-1H19a1,1,0,0,0-1,1v8A6.0039,6.0039,0,0,0,23,16.91V28H19v2H29V28H25V16.91A6.0039,6.0039,0,0,0,30,11.0005Zm-10,0V4h8v7.0005a4,4,0,1,1-8,0Z"}),React.createElement("path",{d:"M12,2v9.02a3.9644,3.9644,0,0,1-3.96,3.96A4.0052,4.0052,0,0,1,4,11.02V2H2v9.02a5.9888,5.9888,0,0,0,5,5.8652V30H9V16.8953A5.9646,5.9646,0,0,0,14,11.02V2Z"}),React.createElement("rect",{width:"2",height:"9.98",x:"7",y:"2"}),props.children);});var Restaurant32=/*#__PURE__*/React.forwardRef(function Restaurant32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"9",y:"2"}),React.createElement("path",{d:"M14,11a4,4,0,0,1-8,0V2H4v9a6,6,0,0,0,5,5.91V30h2V16.91A6,6,0,0,0,16,11V2H14Z"}),React.createElement("path",{d:"M22,2H21V30h2V20h3a2,2,0,0,0,2-2V8A5.78,5.78,0,0,0,22,2Zm4,16H23V4.09c2.88.56,3,3.54,3,3.91Z"}),props.children);});var Restaurant24=/*#__PURE__*/React.forwardRef(function Restaurant24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"9",y:"2"}),React.createElement("path",{d:"M14,11a4,4,0,0,1-8,0V2H4v9a6,6,0,0,0,5,5.91V30h2V16.91A6,6,0,0,0,16,11V2H14Z"}),React.createElement("path",{d:"M22,2H21V30h2V20h3a2,2,0,0,0,2-2V8A5.78,5.78,0,0,0,22,2Zm4,16H23V4.09c2.88.56,3,3.54,3,3.91Z"}),props.children);});var Restaurant20=/*#__PURE__*/React.forwardRef(function Restaurant20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"9",y:"2"}),React.createElement("path",{d:"M14,11a4,4,0,0,1-8,0V2H4v9a6,6,0,0,0,5,5.91V30h2V16.91A6,6,0,0,0,16,11V2H14Z"}),React.createElement("path",{d:"M22,2H21V30h2V20h3a2,2,0,0,0,2-2V8A5.78,5.78,0,0,0,22,2Zm4,16H23V4.09c2.88.56,3,3.54,3,3.91Z"}),props.children);});var Restaurant16=/*#__PURE__*/React.forwardRef(function Restaurant16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"10",x:"9",y:"2"}),React.createElement("path",{d:"M14,11a4,4,0,0,1-8,0V2H4v9a6,6,0,0,0,5,5.91V30h2V16.91A6,6,0,0,0,16,11V2H14Z"}),React.createElement("path",{d:"M22,2H21V30h2V20h3a2,2,0,0,0,2-2V8A5.78,5.78,0,0,0,22,2Zm4,16H23V4.09c2.88.56,3,3.54,3,3.91Z"}),props.children);});var Rewind_1032=/*#__PURE__*/React.forwardRef(function Rewind_1032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Rewind_1024=/*#__PURE__*/React.forwardRef(function Rewind_1024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Rewind_1020=/*#__PURE__*/React.forwardRef(function Rewind_1020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Rewind_1016=/*#__PURE__*/React.forwardRef(function Rewind_1016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.63,22.13a2.84,2.84,0,0,1-1.28-.27,2.44,2.44,0,0,1-.89-.77,3.57,3.57,0,0,1-.52-1.25,7.69,7.69,0,0,1-.17-1.68,7.83,7.83,0,0,1,.17-1.68,3.65,3.65,0,0,1,.52-1.25,2.44,2.44,0,0,1,.89-.77,2.84,2.84,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.23,5.23,0,0,1,.7,2.93,5.23,5.23,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.63,22.13Zm0-1.22a1.07,1.07,0,0,0,1-.55A3.38,3.38,0,0,0,21,18.85V17.47a3.31,3.31,0,0,0-.29-1.5,1.23,1.23,0,0,0-2.06,0,3.31,3.31,0,0,0-.29,1.5v1.38a3.38,3.38,0,0,0,.29,1.51A1.06,1.06,0,0,0,19.63,20.91Z"}),React.createElement("path",{d:"M10.63,22V20.82h2V15.63l-1.86,1-.55-1.06,2.32-1.3H14v6.5h1.78V22Z"}),props.children);});var Rewind_3032=/*#__PURE__*/React.forwardRef(function Rewind_3032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Rewind_3024=/*#__PURE__*/React.forwardRef(function Rewind_3024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Rewind_3020=/*#__PURE__*/React.forwardRef(function Rewind_3020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Rewind_3016=/*#__PURE__*/React.forwardRef(function Rewind_3016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M19.64,22.13a2.81,2.81,0,0,1-1.28-.27,2.36,2.36,0,0,1-.89-.77A3.39,3.39,0,0,1,17,19.84a7.12,7.12,0,0,1-.17-1.68A7.24,7.24,0,0,1,17,16.48a3.46,3.46,0,0,1,.52-1.25,2.36,2.36,0,0,1,.89-.77,2.81,2.81,0,0,1,1.28-.27,2.44,2.44,0,0,1,2.16,1,5.31,5.31,0,0,1,.7,2.93,5.31,5.31,0,0,1-.7,2.93A2.44,2.44,0,0,1,19.64,22.13Zm0-1.22a1,1,0,0,0,1-.55,3.24,3.24,0,0,0,.3-1.51V17.47a3.17,3.17,0,0,0-.3-1.5,1.22,1.22,0,0,0-2.05,0,3.18,3.18,0,0,0-.29,1.5v1.38a3.25,3.25,0,0,0,.29,1.51A1,1,0,0,0,19.64,20.91Z"}),React.createElement("path",{d:"M12.62,17.42a1.46,1.46,0,0,0,1-.27.84.84,0,0,0,.31-.68v-.08a.94.94,0,0,0-.3-.74,1.2,1.2,0,0,0-.83-.27,1.65,1.65,0,0,0-.89.24,2.1,2.1,0,0,0-.68.68l-.93-.83a5.37,5.37,0,0,1,.44-.51,2.7,2.7,0,0,1,.54-.4,2.55,2.55,0,0,1,.7-.27,3.25,3.25,0,0,1,.87-.1,3.94,3.94,0,0,1,1.06.14,2.33,2.33,0,0,1,.82.4,1.91,1.91,0,0,1,.54.63,1.87,1.87,0,0,1,.18.83,2,2,0,0,1-.11.67,1.82,1.82,0,0,1-.32.52,1.79,1.79,0,0,1-.47.36,2.27,2.27,0,0,1-.57.2V18a2.34,2.34,0,0,1,.63.21,1.7,1.7,0,0,1,.51.38,1.89,1.89,0,0,1,.34.55,2.07,2.07,0,0,1,.12.73,2,2,0,0,1-.2.92,2,2,0,0,1-.58.72,2.66,2.66,0,0,1-.89.45,3.76,3.76,0,0,1-1.15.16,4.1,4.1,0,0,1-1-.11A3.1,3.1,0,0,1,11,21.7a2.76,2.76,0,0,1-.56-.45A4.22,4.22,0,0,1,10,20.7l1.07-.81a3.07,3.07,0,0,0,.28.42,1.94,1.94,0,0,0,.36.34,1.57,1.57,0,0,0,.45.22,2,2,0,0,0,.57.07,1.45,1.45,0,0,0,1-.3,1.12,1.12,0,0,0,.34-.85v-.08a1,1,0,0,0-.37-.8,1.78,1.78,0,0,0-1.06-.28h-.76V17.42Z"}),props.children);});var Rewind_532=/*#__PURE__*/React.forwardRef(function Rewind_532(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var Rewind_524=/*#__PURE__*/React.forwardRef(function Rewind_524(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var Rewind_520=/*#__PURE__*/React.forwardRef(function Rewind_520(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var Rewind_516=/*#__PURE__*/React.forwardRef(function Rewind_516(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,18A12,12,0,1,0,16,6H12V1L6,7l6,6V8h4A10,10,0,1,1,6,18Z"}),React.createElement("path",{d:"M18.58,15.58H15.13L15,18.15H15a4.83,4.83,0,0,1,.26-.45,1.59,1.59,0,0,1,.33-.35,1.53,1.53,0,0,1,.44-.23,2,2,0,0,1,.6-.08,2.54,2.54,0,0,1,.92.16,2.06,2.06,0,0,1,.74.48,2.28,2.28,0,0,1,.5.77,2.73,2.73,0,0,1,.18,1,2.87,2.87,0,0,1-.19,1.07,2.36,2.36,0,0,1-.55.84,2.44,2.44,0,0,1-.89.55,3.23,3.23,0,0,1-1.21.2,3.79,3.79,0,0,1-.94-.11,3,3,0,0,1-.74-.32,2.45,2.45,0,0,1-.55-.45,4.13,4.13,0,0,1-.41-.55l1.06-.81.27.41a1.82,1.82,0,0,0,.34.34,1.59,1.59,0,0,0,.43.22,1.52,1.52,0,0,0,.55.08,1.29,1.29,0,0,0,1-.36,1.41,1.41,0,0,0,.33-1V19.5a1.18,1.18,0,0,0-1.28-1.27,1.44,1.44,0,0,0-.77.18,1.94,1.94,0,0,0-.48.39l-1.19-.17.29-4.31h4.52Z"}),props.children);});var Rocket32=/*#__PURE__*/React.forwardRef(function Rocket32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11.31",height:"2",x:"6.34",y:"19",transform:"rotate(-45 11.995 20.002)"}),React.createElement("path",{d:"M17,30a1,1,0,0,1-.37-.07,1,1,0,0,1-.62-.79l-1-7,2-.28.75,5.27L21,24.52V17a1,1,0,0,1,.29-.71l4.07-4.07A8.94,8.94,0,0,0,28,5.86V4H26.14a8.94,8.94,0,0,0-6.36,2.64l-4.07,4.07A1,1,0,0,1,15,11H7.48L4.87,14.26l5.27.75-.28,2-7-1a1,1,0,0,1-.79-.62,1,1,0,0,1,.15-1l4-5A1,1,0,0,1,7,9h7.59l3.77-3.78A10.92,10.92,0,0,1,26.14,2H28a2,2,0,0,1,2,2V5.86a10.92,10.92,0,0,1-3.22,7.78L23,17.41V25a1,1,0,0,1-.38.78l-5,4A1,1,0,0,1,17,30Z"}),props.children);});var Rocket24=/*#__PURE__*/React.forwardRef(function Rocket24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11.31",height:"2",x:"6.34",y:"19",transform:"rotate(-45 11.995 20.002)"}),React.createElement("path",{d:"M17,30a1,1,0,0,1-.37-.07,1,1,0,0,1-.62-.79l-1-7,2-.28.75,5.27L21,24.52V17a1,1,0,0,1,.29-.71l4.07-4.07A8.94,8.94,0,0,0,28,5.86V4H26.14a8.94,8.94,0,0,0-6.36,2.64l-4.07,4.07A1,1,0,0,1,15,11H7.48L4.87,14.26l5.27.75-.28,2-7-1a1,1,0,0,1-.79-.62,1,1,0,0,1,.15-1l4-5A1,1,0,0,1,7,9h7.59l3.77-3.78A10.92,10.92,0,0,1,26.14,2H28a2,2,0,0,1,2,2V5.86a10.92,10.92,0,0,1-3.22,7.78L23,17.41V25a1,1,0,0,1-.38.78l-5,4A1,1,0,0,1,17,30Z"}),props.children);});var Rocket20=/*#__PURE__*/React.forwardRef(function Rocket20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11.31",height:"2",x:"6.34",y:"19",transform:"rotate(-45 11.995 20.002)"}),React.createElement("path",{d:"M17,30a1,1,0,0,1-.37-.07,1,1,0,0,1-.62-.79l-1-7,2-.28.75,5.27L21,24.52V17a1,1,0,0,1,.29-.71l4.07-4.07A8.94,8.94,0,0,0,28,5.86V4H26.14a8.94,8.94,0,0,0-6.36,2.64l-4.07,4.07A1,1,0,0,1,15,11H7.48L4.87,14.26l5.27.75-.28,2-7-1a1,1,0,0,1-.79-.62,1,1,0,0,1,.15-1l4-5A1,1,0,0,1,7,9h7.59l3.77-3.78A10.92,10.92,0,0,1,26.14,2H28a2,2,0,0,1,2,2V5.86a10.92,10.92,0,0,1-3.22,7.78L23,17.41V25a1,1,0,0,1-.38.78l-5,4A1,1,0,0,1,17,30Z"}),props.children);});var Rocket16=/*#__PURE__*/React.forwardRef(function Rocket16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"11.31",height:"2",x:"6.34",y:"19",transform:"rotate(-45 11.995 20.002)"}),React.createElement("path",{d:"M17,30a1,1,0,0,1-.37-.07,1,1,0,0,1-.62-.79l-1-7,2-.28.75,5.27L21,24.52V17a1,1,0,0,1,.29-.71l4.07-4.07A8.94,8.94,0,0,0,28,5.86V4H26.14a8.94,8.94,0,0,0-6.36,2.64l-4.07,4.07A1,1,0,0,1,15,11H7.48L4.87,14.26l5.27.75-.28,2-7-1a1,1,0,0,1-.79-.62,1,1,0,0,1,.15-1l4-5A1,1,0,0,1,7,9h7.59l3.77-3.78A10.92,10.92,0,0,1,26.14,2H28a2,2,0,0,1,2,2V5.86a10.92,10.92,0,0,1-3.22,7.78L23,17.41V25a1,1,0,0,1-.38.78l-5,4A1,1,0,0,1,17,30Z"}),props.children);});var RotateClockwiseAltFilled32=/*#__PURE__*/React.forwardRef(function RotateClockwiseAltFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseAltFilled24=/*#__PURE__*/React.forwardRef(function RotateClockwiseAltFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseAltFilled20=/*#__PURE__*/React.forwardRef(function RotateClockwiseAltFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseAltFilled16=/*#__PURE__*/React.forwardRef(function RotateClockwiseAltFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseAlt32=/*#__PURE__*/React.forwardRef(function RotateClockwiseAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30ZM4,16V28H16.0012L16,16Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseAlt24=/*#__PURE__*/React.forwardRef(function RotateClockwiseAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30ZM4,16V28H16.0012L16,16Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseAlt20=/*#__PURE__*/React.forwardRef(function RotateClockwiseAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30ZM4,16V28H16.0012L16,16Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseAlt16=/*#__PURE__*/React.forwardRef(function RotateClockwiseAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30H4a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,16,30ZM4,16V28H16.0012L16,16Z"}),React.createElement("path",{d:"M30,15l-1.41-1.41L26,16.17V11a7.0078,7.0078,0,0,0-7-7H14V6h5a5.0057,5.0057,0,0,1,5,5v5.17l-2.59-2.58L20,15l5,5Z"}),props.children);});var RotateClockwiseFilled32=/*#__PURE__*/React.forwardRef(function RotateClockwiseFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateClockwiseFilled24=/*#__PURE__*/React.forwardRef(function RotateClockwiseFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateClockwiseFilled20=/*#__PURE__*/React.forwardRef(function RotateClockwiseFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateClockwiseFilled16=/*#__PURE__*/React.forwardRef(function RotateClockwiseFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateClockwise32=/*#__PURE__*/React.forwardRef(function RotateClockwise32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM16,16V28H28.0012L28,16Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateClockwise24=/*#__PURE__*/React.forwardRef(function RotateClockwise24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM16,16V28H28.0012L28,16Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateClockwise20=/*#__PURE__*/React.forwardRef(function RotateClockwise20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM16,16V28H28.0012L28,16Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateClockwise16=/*#__PURE__*/React.forwardRef(function RotateClockwise16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,30H16a2.0023,2.0023,0,0,1-2-2V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM16,16V28H28.0012L28,16Z"}),React.createElement("path",{d:"M15,2,13.59,3.41,16.17,6H11a7.0078,7.0078,0,0,0-7,7v5H6V13a5.0057,5.0057,0,0,1,5-5h5.17l-2.58,2.59L15,12l5-5Z"}),props.children);});var RotateCounterclockwiseAltFilled32=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAltFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseAltFilled24=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAltFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseAltFilled20=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAltFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseAltFilled16=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAltFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseAlt32=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Zm2-12-.0012,12H28V16Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseAlt24=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Zm2-12-.0012,12H28V16Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseAlt20=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Zm2-12-.0012,12H28V16Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseAlt16=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,28V16a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H16A2.0023,2.0023,0,0,1,14,28Zm2-12-.0012,12H28V16Z"}),React.createElement("path",{d:"M2,15l1.41-1.41L6,16.17V11a7.0078,7.0078,0,0,1,7-7h5V6H13a5.0057,5.0057,0,0,0-5,5v5.17l2.59-2.58L12,15,7,20Z"}),props.children);});var RotateCounterclockwiseFilled32=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var RotateCounterclockwiseFilled24=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var RotateCounterclockwiseFilled20=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var RotateCounterclockwiseFilled16=/*#__PURE__*/React.forwardRef(function RotateCounterclockwiseFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var RotateCounterclockwise32=/*#__PURE__*/React.forwardRef(function RotateCounterclockwise32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28ZM4,16,3.9988,28H16V16Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var RotateCounterclockwise24=/*#__PURE__*/React.forwardRef(function RotateCounterclockwise24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28ZM4,16,3.9988,28H16V16Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var RotateCounterclockwise20=/*#__PURE__*/React.forwardRef(function RotateCounterclockwise20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28ZM4,16,3.9988,28H16V16Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var RotateCounterclockwise16=/*#__PURE__*/React.forwardRef(function RotateCounterclockwise16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M2,28V16a2.0023,2.0023,0,0,1,2-2H16a2.0023,2.0023,0,0,1,2,2V28a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,28ZM4,16,3.9988,28H16V16Z"}),React.createElement("path",{d:"M17,2l1.41,1.41L15.83,6H21a7.0078,7.0078,0,0,1,7,7v5H26V13a5.0057,5.0057,0,0,0-5-5H15.83l2.58,2.59L17,12,12,7Z"}),props.children);});var Rotate32=/*#__PURE__*/React.forwardRef(function Rotate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.91,26.82l.35,2a12.9,12.9,0,0,0,4.24-1.54l-1-1.73A10.88,10.88,0,0,1,17.91,26.82Z"}),React.createElement("path",{d:"M24.42,23.07,26,24.35a13,13,0,0,0,2.24-3.91l-1.87-.68A11,11,0,0,1,24.42,23.07Z"}),React.createElement("path",{d:"M9.5,27.25a12.9,12.9,0,0,0,4.24,1.54l.35-2a10.88,10.88,0,0,1-3.59-1.3Z"}),React.createElement("path",{d:"M5.67,19.76l-1.87.68A13,13,0,0,0,6,24.35l.32-.26,1.22-1h0a11,11,0,0,1-1.91-3.31Z"}),React.createElement("path",{d:"M29,16a12.85,12.85,0,0,0-.8-4.44l-1.87.68A11.18,11.18,0,0,1,27,16Z"}),React.createElement("path",{d:"M26,7.65a13,13,0,0,0-20,0V4H4v8h8V10H6.81A11,11,0,0,1,24.42,8.93Z"}),props.children);});var Rotate24=/*#__PURE__*/React.forwardRef(function Rotate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.91,26.82l.35,2a12.9,12.9,0,0,0,4.24-1.54l-1-1.73A10.88,10.88,0,0,1,17.91,26.82Z"}),React.createElement("path",{d:"M24.42,23.07,26,24.35a13,13,0,0,0,2.24-3.91l-1.87-.68A11,11,0,0,1,24.42,23.07Z"}),React.createElement("path",{d:"M9.5,27.25a12.9,12.9,0,0,0,4.24,1.54l.35-2a10.88,10.88,0,0,1-3.59-1.3Z"}),React.createElement("path",{d:"M5.67,19.76l-1.87.68A13,13,0,0,0,6,24.35l.32-.26,1.22-1h0a11,11,0,0,1-1.91-3.31Z"}),React.createElement("path",{d:"M29,16a12.85,12.85,0,0,0-.8-4.44l-1.87.68A11.18,11.18,0,0,1,27,16Z"}),React.createElement("path",{d:"M26,7.65a13,13,0,0,0-20,0V4H4v8h8V10H6.81A11,11,0,0,1,24.42,8.93Z"}),props.children);});var Rotate20=/*#__PURE__*/React.forwardRef(function Rotate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.91,26.82l.35,2a12.9,12.9,0,0,0,4.24-1.54l-1-1.73A10.88,10.88,0,0,1,17.91,26.82Z"}),React.createElement("path",{d:"M24.42,23.07,26,24.35a13,13,0,0,0,2.24-3.91l-1.87-.68A11,11,0,0,1,24.42,23.07Z"}),React.createElement("path",{d:"M9.5,27.25a12.9,12.9,0,0,0,4.24,1.54l.35-2a10.88,10.88,0,0,1-3.59-1.3Z"}),React.createElement("path",{d:"M5.67,19.76l-1.87.68A13,13,0,0,0,6,24.35l.32-.26,1.22-1h0a11,11,0,0,1-1.91-3.31Z"}),React.createElement("path",{d:"M29,16a12.85,12.85,0,0,0-.8-4.44l-1.87.68A11.18,11.18,0,0,1,27,16Z"}),React.createElement("path",{d:"M26,7.65a13,13,0,0,0-20,0V4H4v8h8V10H6.81A11,11,0,0,1,24.42,8.93Z"}),props.children);});var Rotate16=/*#__PURE__*/React.forwardRef(function Rotate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17.91,26.82l.35,2a12.9,12.9,0,0,0,4.24-1.54l-1-1.73A10.88,10.88,0,0,1,17.91,26.82Z"}),React.createElement("path",{d:"M24.42,23.07,26,24.35a13,13,0,0,0,2.24-3.91l-1.87-.68A11,11,0,0,1,24.42,23.07Z"}),React.createElement("path",{d:"M9.5,27.25a12.9,12.9,0,0,0,4.24,1.54l.35-2a10.88,10.88,0,0,1-3.59-1.3Z"}),React.createElement("path",{d:"M5.67,19.76l-1.87.68A13,13,0,0,0,6,24.35l.32-.26,1.22-1h0a11,11,0,0,1-1.91-3.31Z"}),React.createElement("path",{d:"M29,16a12.85,12.85,0,0,0-.8-4.44l-1.87.68A11.18,11.18,0,0,1,27,16Z"}),React.createElement("path",{d:"M26,7.65a13,13,0,0,0-20,0V4H4v8h8V10H6.81A11,11,0,0,1,24.42,8.93Z"}),props.children);});var Row32=/*#__PURE__*/React.forwardRef(function Row32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"24"}),React.createElement("path",{d:"M26,18H6V14H26v4m2,0V14a2,2,0,0,0-2-2H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"6"}),props.children);});var Row24=/*#__PURE__*/React.forwardRef(function Row24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"24"}),React.createElement("path",{d:"M26,18H6V14H26v4m2,0V14a2,2,0,0,0-2-2H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"6"}),props.children);});var Row20=/*#__PURE__*/React.forwardRef(function Row20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"24"}),React.createElement("path",{d:"M26,18H6V14H26v4m2,0V14a2,2,0,0,0-2-2H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"6"}),props.children);});var Row16=/*#__PURE__*/React.forwardRef(function Row16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"24"}),React.createElement("path",{d:"M26,18H6V14H26v4m2,0V14a2,2,0,0,0-2-2H6a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"6"}),props.children);});var Rss32=/*#__PURE__*/React.forwardRef(function Rss32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,18c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6C14,20.7,11.3,18,8,18z M8,28c-2.2,0-4-1.8-4-4s1.8-4,4-4s4,1.8,4,4\tC12,26.2,10.2,28,8,28z"}),React.createElement("path",{d:"M30,24h-2C28,13,19,4,8,4V2C20.1,2,30,11.9,30,24z"}),React.createElement("path",{d:"M22,24h-2c0-6.6-5.4-12-12-12v-2C15.7,10,22,16.3,22,24z"}),props.children);});var Rss24=/*#__PURE__*/React.forwardRef(function Rss24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,18c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6C14,20.7,11.3,18,8,18z M8,28c-2.2,0-4-1.8-4-4s1.8-4,4-4s4,1.8,4,4\tC12,26.2,10.2,28,8,28z"}),React.createElement("path",{d:"M30,24h-2C28,13,19,4,8,4V2C20.1,2,30,11.9,30,24z"}),React.createElement("path",{d:"M22,24h-2c0-6.6-5.4-12-12-12v-2C15.7,10,22,16.3,22,24z"}),props.children);});var Rss20=/*#__PURE__*/React.forwardRef(function Rss20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,18c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6C14,20.7,11.3,18,8,18z M8,28c-2.2,0-4-1.8-4-4s1.8-4,4-4s4,1.8,4,4\tC12,26.2,10.2,28,8,28z"}),React.createElement("path",{d:"M30,24h-2C28,13,19,4,8,4V2C20.1,2,30,11.9,30,24z"}),React.createElement("path",{d:"M22,24h-2c0-6.6-5.4-12-12-12v-2C15.7,10,22,16.3,22,24z"}),props.children);});var Rss16=/*#__PURE__*/React.forwardRef(function Rss16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,18c-3.3,0-6,2.7-6,6s2.7,6,6,6s6-2.7,6-6C14,20.7,11.3,18,8,18z M8,28c-2.2,0-4-1.8-4-4s1.8-4,4-4s4,1.8,4,4\tC12,26.2,10.2,28,8,28z"}),React.createElement("path",{d:"M30,24h-2C28,13,19,4,8,4V2C20.1,2,30,11.9,30,24z"}),React.createElement("path",{d:"M22,24h-2c0-6.6-5.4-12-12-12v-2C15.7,10,22,16.3,22,24z"}),props.children);});var Rule32=/*#__PURE__*/React.forwardRef(function Rule32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"10"}),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),props.children);});var Rule24=/*#__PURE__*/React.forwardRef(function Rule24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"10"}),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),props.children);});var Rule20=/*#__PURE__*/React.forwardRef(function Rule20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"10"}),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),props.children);});var Rule16=/*#__PURE__*/React.forwardRef(function Rule16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"12",height:"2",x:"10",y:"16"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"10"}),React.createElement("path",{d:"M16,30,9.8242,26.7071A10.9815,10.9815,0,0,1,4,17V4A2.0022,2.0022,0,0,1,6,2H26a2.0022,2.0022,0,0,1,2,2V17a10.9815,10.9815,0,0,1-5.8242,9.7069ZM6,4V17a8.9852,8.9852,0,0,0,4.7656,7.9423L16,27.7333l5.2344-2.791A8.9852,8.9852,0,0,0,26,17V4Z"}),props.children);});var RulerAlt32=/*#__PURE__*/React.forwardRef(function RulerAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,21.67,10.34,2.58a2,2,0,0,0-2.83,0L2.59,7.51a2,2,0,0,0,0,2.82L21.66,29.42a2,2,0,0,0,1.42.58,2,2,0,0,0,1.41-.58l4.92-4.93A2,2,0,0,0,29.41,21.67ZM23.08,28,4,8.92,8.92,4l3.79,3.79L10.46,10l1.41,1.41L14.12,9.2l4.13,4.13L16,15.58,17.42,17l2.25-2.25,4.13,4.13-2.25,2.25L23,22.54l2.25-2.25L28,23.08Z"}),props.children);});var RulerAlt24=/*#__PURE__*/React.forwardRef(function RulerAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,21.67,10.34,2.58a2,2,0,0,0-2.83,0L2.59,7.51a2,2,0,0,0,0,2.82L21.66,29.42a2,2,0,0,0,1.42.58,2,2,0,0,0,1.41-.58l4.92-4.93A2,2,0,0,0,29.41,21.67ZM23.08,28,4,8.92,8.92,4l3.79,3.79L10.46,10l1.41,1.41L14.12,9.2l4.13,4.13L16,15.58,17.42,17l2.25-2.25,4.13,4.13-2.25,2.25L23,22.54l2.25-2.25L28,23.08Z"}),props.children);});var RulerAlt20=/*#__PURE__*/React.forwardRef(function RulerAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,21.67,10.34,2.58a2,2,0,0,0-2.83,0L2.59,7.51a2,2,0,0,0,0,2.82L21.66,29.42a2,2,0,0,0,1.42.58,2,2,0,0,0,1.41-.58l4.92-4.93A2,2,0,0,0,29.41,21.67ZM23.08,28,4,8.92,8.92,4l3.79,3.79L10.46,10l1.41,1.41L14.12,9.2l4.13,4.13L16,15.58,17.42,17l2.25-2.25,4.13,4.13-2.25,2.25L23,22.54l2.25-2.25L28,23.08Z"}),props.children);});var RulerAlt16=/*#__PURE__*/React.forwardRef(function RulerAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.41,21.67,10.34,2.58a2,2,0,0,0-2.83,0L2.59,7.51a2,2,0,0,0,0,2.82L21.66,29.42a2,2,0,0,0,1.42.58,2,2,0,0,0,1.41-.58l4.92-4.93A2,2,0,0,0,29.41,21.67ZM23.08,28,4,8.92,8.92,4l3.79,3.79L10.46,10l1.41,1.41L14.12,9.2l4.13,4.13L16,15.58,17.42,17l2.25-2.25,4.13,4.13-2.25,2.25L23,22.54l2.25-2.25L28,23.08Z"}),props.children);});var Ruler32=/*#__PURE__*/React.forwardRef(function Ruler32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H3a1,1,0,0,0-1,1V21a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V11A1,1,0,0,0,29,10ZM28,20H4V12H8v4h2V12h5v4h2V12h5v4h2V12h4Z"}),props.children);});var Ruler24=/*#__PURE__*/React.forwardRef(function Ruler24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H3a1,1,0,0,0-1,1V21a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V11A1,1,0,0,0,29,10ZM28,20H4V12H8v4h2V12h5v4h2V12h5v4h2V12h4Z"}),props.children);});var Ruler20=/*#__PURE__*/React.forwardRef(function Ruler20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H3a1,1,0,0,0-1,1V21a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V11A1,1,0,0,0,29,10ZM28,20H4V12H8v4h2V12h5v4h2V12h5v4h2V12h4Z"}),props.children);});var Ruler16=/*#__PURE__*/React.forwardRef(function Ruler16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,10H3a1,1,0,0,0-1,1V21a1,1,0,0,0,1,1H29a1,1,0,0,0,1-1V11A1,1,0,0,0,29,10ZM28,20H4V12H8v4h2V12h5v4h2V12h5v4h2V12h4Z"}),props.children);});var Run32=/*#__PURE__*/React.forwardRef(function Run32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,16a6,6,0,1,1-6,6,6,6,0,0,1,6-6m0-2a8,8,0,1,0,8,8,8,8,0,0,0-8-8Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V12H28V6A2,2,0,0,0,26,4ZM6,10V6H26v4Z"}),React.createElement("polygon",{points:"19 19 19 25 24 22 19 19"}),props.children);});var Run24=/*#__PURE__*/React.forwardRef(function Run24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,16a6,6,0,1,1-6,6,6,6,0,0,1,6-6m0-2a8,8,0,1,0,8,8,8,8,0,0,0-8-8Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V12H28V6A2,2,0,0,0,26,4ZM6,10V6H26v4Z"}),React.createElement("polygon",{points:"19 19 19 25 24 22 19 19"}),props.children);});var Run20=/*#__PURE__*/React.forwardRef(function Run20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,16a6,6,0,1,1-6,6,6,6,0,0,1,6-6m0-2a8,8,0,1,0,8,8,8,8,0,0,0-8-8Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V12H28V6A2,2,0,0,0,26,4ZM6,10V6H26v4Z"}),React.createElement("polygon",{points:"19 19 19 25 24 22 19 19"}),props.children);});var Run16=/*#__PURE__*/React.forwardRef(function Run16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,16a6,6,0,1,1-6,6,6,6,0,0,1,6-6m0-2a8,8,0,1,0,8,8,8,8,0,0,0-8-8Z"}),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2h4V26H6V12H28V6A2,2,0,0,0,26,4ZM6,10V6H26v4Z"}),React.createElement("polygon",{points:"19 19 19 25 24 22 19 19"}),props.children);});var SaveModel32=/*#__PURE__*/React.forwardRef(function SaveModel32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20l1.4272,1.9028L23,26.9629l-4.4272-5.06L20,20h6m1-2H19l-3,4,7,8,7-8-3-4Z"}),React.createElement("path",{d:"M16,26H12V18h2V16H12a2,2,0,0,0-2,2v8H6V6h4v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V6.41l4,4V16h2V10a1,1,0,0,0-.29-.71l-5-5A.9989.9989,0,0,0,22,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H16ZM12,6h8v4H12Z"}),props.children);});var SaveModel24=/*#__PURE__*/React.forwardRef(function SaveModel24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20l1.4272,1.9028L23,26.9629l-4.4272-5.06L20,20h6m1-2H19l-3,4,7,8,7-8-3-4Z"}),React.createElement("path",{d:"M16,26H12V18h2V16H12a2,2,0,0,0-2,2v8H6V6h4v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V6.41l4,4V16h2V10a1,1,0,0,0-.29-.71l-5-5A.9989.9989,0,0,0,22,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H16ZM12,6h8v4H12Z"}),props.children);});var SaveModel20=/*#__PURE__*/React.forwardRef(function SaveModel20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20l1.4272,1.9028L23,26.9629l-4.4272-5.06L20,20h6m1-2H19l-3,4,7,8,7-8-3-4Z"}),React.createElement("path",{d:"M16,26H12V18h2V16H12a2,2,0,0,0-2,2v8H6V6h4v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V6.41l4,4V16h2V10a1,1,0,0,0-.29-.71l-5-5A.9989.9989,0,0,0,22,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H16ZM12,6h8v4H12Z"}),props.children);});var SaveModel16=/*#__PURE__*/React.forwardRef(function SaveModel16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,20l1.4272,1.9028L23,26.9629l-4.4272-5.06L20,20h6m1-2H19l-3,4,7,8,7-8-3-4Z"}),React.createElement("path",{d:"M16,26H12V18h2V16H12a2,2,0,0,0-2,2v8H6V6h4v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V6.41l4,4V16h2V10a1,1,0,0,0-.29-.71l-5-5A.9989.9989,0,0,0,22,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H16ZM12,6h8v4H12Z"}),props.children);});var Save32=/*#__PURE__*/React.forwardRef(function Save32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,9.29l-5-5A1,1,0,0,0,22,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V10A1,1,0,0,0,27.71,9.29ZM12,6h8v4H12Zm8,20H12V18h8Zm2,0V18a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2v8H6V6h4v4a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V6.41l4,4V26Z"}),props.children);});var Scale32=/*#__PURE__*/React.forwardRef(function Scale32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17H7a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V19A2,2,0,0,0,13,17ZM7,25V19h6v6Z"}),React.createElement("path",{d:"M19,21v2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2H11A2,2,0,0,0,9,7v6h2V7H25V21"}),props.children);});var Scale24=/*#__PURE__*/React.forwardRef(function Scale24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17H7a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V19A2,2,0,0,0,13,17ZM7,25V19h6v6Z"}),React.createElement("path",{d:"M19,21v2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2H11A2,2,0,0,0,9,7v6h2V7H25V21"}),props.children);});var Scale20=/*#__PURE__*/React.forwardRef(function Scale20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17H7a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V19A2,2,0,0,0,13,17ZM7,25V19h6v6Z"}),React.createElement("path",{d:"M19,21v2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2H11A2,2,0,0,0,9,7v6h2V7H25V21"}),props.children);});var Scale16=/*#__PURE__*/React.forwardRef(function Scale16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17H7a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V19A2,2,0,0,0,13,17ZM7,25V19h6v6Z"}),React.createElement("path",{d:"M19,21v2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2H11A2,2,0,0,0,9,7v6h2V7H25V21"}),props.children);});var Scalpel32=/*#__PURE__*/React.forwardRef(function Scalpel32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,5.17a4.1,4.1,0,0,0-5.66,0L.34,28H9.59a5,5,0,0,0,3.53-1.46L28.83,10.83a4,4,0,0,0,0-5.66ZM12.29,18.88l2.09-2.09,2.83,2.83-2.09,2.09Zm-.58,6.24A3,3,0,0,1,9.59,26H5.17l5.71-5.71,2.83,2.83ZM27.41,9.41l-8.79,8.8-2.83-2.83,8.8-8.79a2,2,0,0,1,2.82,0,2,2,0,0,1,0,2.82Z"}),props.children);});var Scalpel24=/*#__PURE__*/React.forwardRef(function Scalpel24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,5.17a4.1,4.1,0,0,0-5.66,0L.34,28H9.59a5,5,0,0,0,3.53-1.46L28.83,10.83a4,4,0,0,0,0-5.66ZM12.29,18.88l2.09-2.09,2.83,2.83-2.09,2.09Zm-.58,6.24A3,3,0,0,1,9.59,26H5.17l5.71-5.71,2.83,2.83ZM27.41,9.41l-8.79,8.8-2.83-2.83,8.8-8.79a2,2,0,0,1,2.82,0,2,2,0,0,1,0,2.82Z"}),props.children);});var Scalpel20=/*#__PURE__*/React.forwardRef(function Scalpel20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,5.17a4.1,4.1,0,0,0-5.66,0L.34,28H9.59a5,5,0,0,0,3.53-1.46L28.83,10.83a4,4,0,0,0,0-5.66ZM12.29,18.88l2.09-2.09,2.83,2.83-2.09,2.09Zm-.58,6.24A3,3,0,0,1,9.59,26H5.17l5.71-5.71,2.83,2.83ZM27.41,9.41l-8.79,8.8-2.83-2.83,8.8-8.79a2,2,0,0,1,2.82,0,2,2,0,0,1,0,2.82Z"}),props.children);});var Scalpel16=/*#__PURE__*/React.forwardRef(function Scalpel16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.83,5.17a4.1,4.1,0,0,0-5.66,0L.34,28H9.59a5,5,0,0,0,3.53-1.46L28.83,10.83a4,4,0,0,0,0-5.66ZM12.29,18.88l2.09-2.09,2.83,2.83-2.09,2.09Zm-.58,6.24A3,3,0,0,1,9.59,26H5.17l5.71-5.71,2.83,2.83ZM27.41,9.41l-8.79,8.8-2.83-2.83,8.8-8.79a2,2,0,0,1,2.82,0,2,2,0,0,1,0,2.82Z"}),props.children);});var Scan32=/*#__PURE__*/React.forwardRef(function Scan32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,29H5a2,2,0,0,1-2-2V5A2,2,0,0,1,5,3H21V5H5V27H21Z"}),React.createElement("rect",{width:"2",height:"14",x:"15",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"27",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"21",y:"9"}),props.children);});var Scan24=/*#__PURE__*/React.forwardRef(function Scan24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,29H5a2,2,0,0,1-2-2V5A2,2,0,0,1,5,3H21V5H5V27H21Z"}),React.createElement("rect",{width:"2",height:"14",x:"15",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"27",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"21",y:"9"}),props.children);});var Scan20=/*#__PURE__*/React.forwardRef(function Scan20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,29H5a2,2,0,0,1-2-2V5A2,2,0,0,1,5,3H21V5H5V27H21Z"}),React.createElement("rect",{width:"2",height:"14",x:"15",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"27",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"21",y:"9"}),props.children);});var Scan16=/*#__PURE__*/React.forwardRef(function Scan16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,29H5a2,2,0,0,1-2-2V5A2,2,0,0,1,5,3H21V5H5V27H21Z"}),React.createElement("rect",{width:"2",height:"14",x:"15",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"27",y:"9"}),React.createElement("rect",{width:"2",height:"14",x:"21",y:"9"}),props.children);});var Schematics32=/*#__PURE__*/React.forwardRef(function Schematics32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,19.001A4.0056,4.0056,0,0,0,22.9991,15H9.0011A2.0031,2.0031,0,0,1,7,12.9991V9.858A3.9949,3.9949,0,0,0,9.8581,7h12.284a4,4,0,1,0,0-2H9.8581A3.9916,3.9916,0,1,0,5,9.858v3.1411A4.0057,4.0057,0,0,0,9.0011,17h13.998A2.003,2.003,0,0,1,25,19.001V22H22v3H9.8581a4,4,0,1,0,0,2H22v3h8V22H27ZM26,4a2,2,0,1,1-2,2A2.0019,2.0019,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2.0019,2.0019,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,28Zm22-4v4H24V24Z"}),props.children);});var Schematics24=/*#__PURE__*/React.forwardRef(function Schematics24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,19.001A4.0056,4.0056,0,0,0,22.9991,15H9.0011A2.0031,2.0031,0,0,1,7,12.9991V9.858A3.9949,3.9949,0,0,0,9.8581,7h12.284a4,4,0,1,0,0-2H9.8581A3.9916,3.9916,0,1,0,5,9.858v3.1411A4.0057,4.0057,0,0,0,9.0011,17h13.998A2.003,2.003,0,0,1,25,19.001V22H22v3H9.8581a4,4,0,1,0,0,2H22v3h8V22H27ZM26,4a2,2,0,1,1-2,2A2.0019,2.0019,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2.0019,2.0019,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,28Zm22-4v4H24V24Z"}),props.children);});var Schematics20=/*#__PURE__*/React.forwardRef(function Schematics20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,19.001A4.0056,4.0056,0,0,0,22.9991,15H9.0011A2.0031,2.0031,0,0,1,7,12.9991V9.858A3.9949,3.9949,0,0,0,9.8581,7h12.284a4,4,0,1,0,0-2H9.8581A3.9916,3.9916,0,1,0,5,9.858v3.1411A4.0057,4.0057,0,0,0,9.0011,17h13.998A2.003,2.003,0,0,1,25,19.001V22H22v3H9.8581a4,4,0,1,0,0,2H22v3h8V22H27ZM26,4a2,2,0,1,1-2,2A2.0019,2.0019,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2.0019,2.0019,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,28Zm22-4v4H24V24Z"}),props.children);});var Schematics16=/*#__PURE__*/React.forwardRef(function Schematics16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,19.001A4.0056,4.0056,0,0,0,22.9991,15H9.0011A2.0031,2.0031,0,0,1,7,12.9991V9.858A3.9949,3.9949,0,0,0,9.8581,7h12.284a4,4,0,1,0,0-2H9.8581A3.9916,3.9916,0,1,0,5,9.858v3.1411A4.0057,4.0057,0,0,0,9.0011,17h13.998A2.003,2.003,0,0,1,25,19.001V22H22v3H9.8581a4,4,0,1,0,0,2H22v3h8V22H27ZM26,4a2,2,0,1,1-2,2A2.0019,2.0019,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2.0019,2.0019,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2.002,2.002,0,0,1,6,28Zm22-4v4H24V24Z"}),props.children);});var ScooterFront32=/*#__PURE__*/React.forwardRef(function ScooterFront32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"19"}),React.createElement("path",{d:"M23,10V8H20a2.0025,2.0025,0,0,0-2-2H14a2.0025,2.0025,0,0,0-2,2H9v2h3v4.1841A2.9957,2.9957,0,0,0,10,17v7h2V17a1.0008,1.0008,0,0,1,1-1h6a1.0008,1.0008,0,0,1,1,1v7h2V17a2.9957,2.9957,0,0,0-2-2.8159V10ZM18,8v6H14V8Z"}),props.children);});var ScooterFront24=/*#__PURE__*/React.forwardRef(function ScooterFront24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"19"}),React.createElement("path",{d:"M23,10V8H20a2.0025,2.0025,0,0,0-2-2H14a2.0025,2.0025,0,0,0-2,2H9v2h3v4.1841A2.9957,2.9957,0,0,0,10,17v7h2V17a1.0008,1.0008,0,0,1,1-1h6a1.0008,1.0008,0,0,1,1,1v7h2V17a2.9957,2.9957,0,0,0-2-2.8159V10ZM18,8v6H14V8Z"}),props.children);});var ScooterFront20=/*#__PURE__*/React.forwardRef(function ScooterFront20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"19"}),React.createElement("path",{d:"M23,10V8H20a2.0025,2.0025,0,0,0-2-2H14a2.0025,2.0025,0,0,0-2,2H9v2h3v4.1841A2.9957,2.9957,0,0,0,10,17v7h2V17a1.0008,1.0008,0,0,1,1-1h6a1.0008,1.0008,0,0,1,1,1v7h2V17a2.9957,2.9957,0,0,0-2-2.8159V10ZM18,8v6H14V8Z"}),props.children);});var ScooterFront16=/*#__PURE__*/React.forwardRef(function ScooterFront16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"19"}),React.createElement("path",{d:"M23,10V8H20a2.0025,2.0025,0,0,0-2-2H14a2.0025,2.0025,0,0,0-2,2H9v2h3v4.1841A2.9957,2.9957,0,0,0,10,17v7h2V17a1.0008,1.0008,0,0,1,1-1h6a1.0008,1.0008,0,0,1,1,1v7h2V17a2.9957,2.9957,0,0,0-2-2.8159V10ZM18,8v6H14V8Z"}),props.children);});var Scooter32=/*#__PURE__*/React.forwardRef(function Scooter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,26,28Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,26,22Z"}),React.createElement("path",{d:"M24,8H18v2h6a1,1,0,0,1,0,2H21a1,1,0,0,0-.98,1.1963l.9241,4.6211L18.4338,22h-2.69l-2.5723-8.5752A1.988,1.988,0,0,0,11.2559,12H6v2h5.2561l.6,2H7a5.0057,5.0057,0,0,0-5,5v2a1,1,0,0,0,1,1H4a4,4,0,0,0,8,0h7a1,1,0,0,0,.8574-.4854l3-5a1,1,0,0,0,.1231-.7109L22.22,14H24a3,3,0,0,0,0-6ZM8,26a2.0025,2.0025,0,0,1-2-2h4A2.0025,2.0025,0,0,1,8,26ZM4,22V21a3.0033,3.0033,0,0,1,3-3h5.4561l1.2,4Z"}),props.children);});var Scooter24=/*#__PURE__*/React.forwardRef(function Scooter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,26,28Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,26,22Z"}),React.createElement("path",{d:"M24,8H18v2h6a1,1,0,0,1,0,2H21a1,1,0,0,0-.98,1.1963l.9241,4.6211L18.4338,22h-2.69l-2.5723-8.5752A1.988,1.988,0,0,0,11.2559,12H6v2h5.2561l.6,2H7a5.0057,5.0057,0,0,0-5,5v2a1,1,0,0,0,1,1H4a4,4,0,0,0,8,0h7a1,1,0,0,0,.8574-.4854l3-5a1,1,0,0,0,.1231-.7109L22.22,14H24a3,3,0,0,0,0-6ZM8,26a2.0025,2.0025,0,0,1-2-2h4A2.0025,2.0025,0,0,1,8,26ZM4,22V21a3.0033,3.0033,0,0,1,3-3h5.4561l1.2,4Z"}),props.children);});var Scooter20=/*#__PURE__*/React.forwardRef(function Scooter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,26,28Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,26,22Z"}),React.createElement("path",{d:"M24,8H18v2h6a1,1,0,0,1,0,2H21a1,1,0,0,0-.98,1.1963l.9241,4.6211L18.4338,22h-2.69l-2.5723-8.5752A1.988,1.988,0,0,0,11.2559,12H6v2h5.2561l.6,2H7a5.0057,5.0057,0,0,0-5,5v2a1,1,0,0,0,1,1H4a4,4,0,0,0,8,0h7a1,1,0,0,0,.8574-.4854l3-5a1,1,0,0,0,.1231-.7109L22.22,14H24a3,3,0,0,0,0-6ZM8,26a2.0025,2.0025,0,0,1-2-2h4A2.0025,2.0025,0,0,1,8,26ZM4,22V21a3.0033,3.0033,0,0,1,3-3h5.4561l1.2,4Z"}),props.children);});var Scooter16=/*#__PURE__*/React.forwardRef(function Scooter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,26,28Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,26,22Z"}),React.createElement("path",{d:"M24,8H18v2h6a1,1,0,0,1,0,2H21a1,1,0,0,0-.98,1.1963l.9241,4.6211L18.4338,22h-2.69l-2.5723-8.5752A1.988,1.988,0,0,0,11.2559,12H6v2h5.2561l.6,2H7a5.0057,5.0057,0,0,0-5,5v2a1,1,0,0,0,1,1H4a4,4,0,0,0,8,0h7a1,1,0,0,0,.8574-.4854l3-5a1,1,0,0,0,.1231-.7109L22.22,14H24a3,3,0,0,0,0-6ZM8,26a2.0025,2.0025,0,0,1-2-2h4A2.0025,2.0025,0,0,1,8,26ZM4,22V21a3.0033,3.0033,0,0,1,3-3h5.4561l1.2,4Z"}),props.children);});var ScreenOff32=/*#__PURE__*/React.forwardRef(function ScreenOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H11.41L30,3.41,28.59,2l-2,2H4A2,2,0,0,0,2,6V22H4V6H24.59L2,28.59,3.41,30l6-6H12v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V9H28ZM18,28H14V24h4Z"}),props.children);});var ScreenOff24=/*#__PURE__*/React.forwardRef(function ScreenOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H11.41L30,3.41,28.59,2l-2,2H4A2,2,0,0,0,2,6V22H4V6H24.59L2,28.59,3.41,30l6-6H12v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V9H28ZM18,28H14V24h4Z"}),props.children);});var ScreenOff20=/*#__PURE__*/React.forwardRef(function ScreenOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H11.41L30,3.41,28.59,2l-2,2H4A2,2,0,0,0,2,6V22H4V6H24.59L2,28.59,3.41,30l6-6H12v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V9H28ZM18,28H14V24h4Z"}),props.children);});var ScreenOff16=/*#__PURE__*/React.forwardRef(function ScreenOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,22H11.41L30,3.41,28.59,2l-2,2H4A2,2,0,0,0,2,6V22H4V6H24.59L2,28.59,3.41,30l6-6H12v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V9H28ZM18,28H14V24h4Z"}),props.children);});var Screen32=/*#__PURE__*/React.forwardRef(function Screen32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V22a2,2,0,0,0,2,2h8v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM18,28H14V24h4Zm10-6H4V6H28Z"}),props.children);});var Screen24=/*#__PURE__*/React.forwardRef(function Screen24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V22a2,2,0,0,0,2,2h8v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM18,28H14V24h4Zm10-6H4V6H28Z"}),props.children);});var Screen20=/*#__PURE__*/React.forwardRef(function Screen20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V22a2,2,0,0,0,2,2h8v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM18,28H14V24h4Zm10-6H4V6H28Z"}),props.children);});var Screen16=/*#__PURE__*/React.forwardRef(function Screen16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V22a2,2,0,0,0,2,2h8v4H8v2H24V28H20V24h8a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4ZM18,28H14V24h4Zm10-6H4V6H28Z"}),props.children);});var Script32=/*#__PURE__*/React.forwardRef(function Script32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18.83 26 21.41 23.42 20 22 16 26 20 30 21.42 28.59 18.83 26"}),React.createElement("polygon",{points:"27.17 26 24.59 28.58 26 30 30 26 26 22 24.58 23.41 27.17 26"}),React.createElement("path",{d:"M14,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v6h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h6ZM18,4.4,23.6,10H18Z"}),props.children);});var Script24=/*#__PURE__*/React.forwardRef(function Script24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18.83 26 21.41 23.42 20 22 16 26 20 30 21.42 28.59 18.83 26"}),React.createElement("polygon",{points:"27.17 26 24.59 28.58 26 30 30 26 26 22 24.58 23.41 27.17 26"}),React.createElement("path",{d:"M14,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v6h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h6ZM18,4.4,23.6,10H18Z"}),props.children);});var Script20=/*#__PURE__*/React.forwardRef(function Script20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18.83 26 21.41 23.42 20 22 16 26 20 30 21.42 28.59 18.83 26"}),React.createElement("polygon",{points:"27.17 26 24.59 28.58 26 30 30 26 26 22 24.58 23.41 27.17 26"}),React.createElement("path",{d:"M14,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v6h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h6ZM18,4.4,23.6,10H18Z"}),props.children);});var Script16=/*#__PURE__*/React.forwardRef(function Script16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18.83 26 21.41 23.42 20 22 16 26 20 30 21.42 28.59 18.83 26"}),React.createElement("polygon",{points:"27.17 26 24.59 28.58 26 30 30 26 26 22 24.58 23.41 27.17 26"}),React.createElement("path",{d:"M14,28H8V4h8v6a2.0058,2.0058,0,0,0,2,2h6v6h2V10a.9092.9092,0,0,0-.3-.7l-7-7A.9087.9087,0,0,0,18,2H8A2.0058,2.0058,0,0,0,6,4V28a2.0058,2.0058,0,0,0,2,2h6ZM18,4.4,23.6,10H18Z"}),props.children);});var Search32=/*#__PURE__*/React.forwardRef(function Search32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,22.45,21A11,11,0,1,0,21,22.45L28.59,30ZM5,14a9,9,0,1,1,9,9A9,9,0,0,1,5,14Z"}),props.children);});var Search24=/*#__PURE__*/React.forwardRef(function Search24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,22.45,21A11,11,0,1,0,21,22.45L28.59,30ZM5,14a9,9,0,1,1,9,9A9,9,0,0,1,5,14Z"}),props.children);});var Search20=/*#__PURE__*/React.forwardRef(function Search20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,28.59,22.45,21A11,11,0,1,0,21,22.45L28.59,30ZM5,14a9,9,0,1,1,9,9A9,9,0,0,1,5,14Z"}),props.children);});var SendAltFilled32=/*#__PURE__*/React.forwardRef(function SendAltFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l8.59,3.43L19.59,11,21,12.41l-6.37,6.37,3.44,8.59A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29Z"}),props.children);});var SendAltFilled24=/*#__PURE__*/React.forwardRef(function SendAltFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l8.59,3.43L19.59,11,21,12.41l-6.37,6.37,3.44,8.59A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29Z"}),props.children);});var SendAltFilled20=/*#__PURE__*/React.forwardRef(function SendAltFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l8.59,3.43L19.59,11,21,12.41l-6.37,6.37,3.44,8.59A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29Z"}),props.children);});var SendAltFilled16=/*#__PURE__*/React.forwardRef(function SendAltFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l8.59,3.43L19.59,11,21,12.41l-6.37,6.37,3.44,8.59A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29Z"}),props.children);});var SendAlt32=/*#__PURE__*/React.forwardRef(function SendAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29ZM19,24.2l-2.79-7L21,12.41,19.59,11l-4.83,4.83L7.8,13,25.33,6.67Z"}),props.children);});var SendAlt24=/*#__PURE__*/React.forwardRef(function SendAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29ZM19,24.2l-2.79-7L21,12.41,19.59,11l-4.83,4.83L7.8,13,25.33,6.67Z"}),props.children);});var SendAlt20=/*#__PURE__*/React.forwardRef(function SendAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29ZM19,24.2l-2.79-7L21,12.41,19.59,11l-4.83,4.83L7.8,13,25.33,6.67Z"}),props.children);});var SendAlt16=/*#__PURE__*/React.forwardRef(function SendAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.71,4.29a1,1,0,0,0-1.05-.23l-22,8a1,1,0,0,0,0,1.87l9.6,3.84,3.84,9.6A1,1,0,0,0,19,28h0a1,1,0,0,0,.92-.66l8-22A1,1,0,0,0,27.71,4.29ZM19,24.2l-2.79-7L21,12.41,19.59,11l-4.83,4.83L7.8,13,25.33,6.67Z"}),props.children);});var SendFilled32=/*#__PURE__*/React.forwardRef(function SendFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L6.69,15H18v2H6.69L4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Z"}),props.children);});var SendFilled24=/*#__PURE__*/React.forwardRef(function SendFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L6.69,15H18v2H6.69L4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Z"}),props.children);});var SendFilled20=/*#__PURE__*/React.forwardRef(function SendFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L6.69,15H18v2H6.69L4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Z"}),props.children);});var SendFilled16=/*#__PURE__*/React.forwardRef(function SendFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L6.69,15H18v2H6.69L4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Z"}),props.children);});var Send32=/*#__PURE__*/React.forwardRef(function Send32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L7,16,4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Zm-20.9,10L8.76,17H18V15H8.76L6.55,6.89,24.76,16Z"}),props.children);});var Send24=/*#__PURE__*/React.forwardRef(function Send24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L7,16,4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Zm-20.9,10L8.76,17H18V15H8.76L6.55,6.89,24.76,16Z"}),props.children);});var Send20=/*#__PURE__*/React.forwardRef(function Send20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L7,16,4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Zm-20.9,10L8.76,17H18V15H8.76L6.55,6.89,24.76,16Z"}),props.children);});var Send16=/*#__PURE__*/React.forwardRef(function Send16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.45,15.11l-22-11a1,1,0,0,0-1.08.12,1,1,0,0,0-.33,1L7,16,4,26.74A1,1,0,0,0,5,28a1,1,0,0,0,.45-.11l22-11a1,1,0,0,0,0-1.78Zm-20.9,10L8.76,17H18V15H8.76L6.55,6.89,24.76,16Z"}),props.children);});var ServiceDesk32=/*#__PURE__*/React.forwardRef(function ServiceDesk32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,24V22A12.01,12.01,0,0,0,17,10.0507V8h3V6H12V8h3v2.0507A12.01,12.01,0,0,0,4,22v2H2v2H30V24ZM16,12a10.0167,10.0167,0,0,1,9.7984,8H6.2015A10.0165,10.0165,0,0,1,16,12ZM6,22H26v2H6Z",transform:"translate(0 .005)"}),props.children);});var ServiceDesk24=/*#__PURE__*/React.forwardRef(function ServiceDesk24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,24V22A12.01,12.01,0,0,0,17,10.0507V8h3V6H12V8h3v2.0507A12.01,12.01,0,0,0,4,22v2H2v2H30V24ZM16,12a10.0167,10.0167,0,0,1,9.7984,8H6.2015A10.0165,10.0165,0,0,1,16,12ZM6,22H26v2H6Z",transform:"translate(0 .005)"}),props.children);});var ServiceDesk20=/*#__PURE__*/React.forwardRef(function ServiceDesk20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,24V22A12.01,12.01,0,0,0,17,10.0507V8h3V6H12V8h3v2.0507A12.01,12.01,0,0,0,4,22v2H2v2H30V24ZM16,12a10.0167,10.0167,0,0,1,9.7984,8H6.2015A10.0165,10.0165,0,0,1,16,12ZM6,22H26v2H6Z",transform:"translate(0 .005)"}),props.children);});var ServiceDesk16=/*#__PURE__*/React.forwardRef(function ServiceDesk16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,24V22A12.01,12.01,0,0,0,17,10.0507V8h3V6H12V8h3v2.0507A12.01,12.01,0,0,0,4,22v2H2v2H30V24ZM16,12a10.0167,10.0167,0,0,1,9.7984,8H6.2015A10.0165,10.0165,0,0,1,16,12ZM6,22H26v2H6Z",transform:"translate(0 .005)"}),props.children);});var SettingsAdjust32=/*#__PURE__*/React.forwardRef(function SettingsAdjust32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,8h-4.1c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2v2h14.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30V8z M21,12c-1.7,0-3-1.3-3-3\ts1.3-3,3-3s3,1.3,3,3S22.7,12,21,12z"}),React.createElement("path",{d:"M2,24h4.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30v-2H15.9c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2V24z M11,20c1.7,0,3,1.3,3,3\ts-1.3,3-3,3s-3-1.3-3-3S9.3,20,11,20z"}),props.children);});var SettingsAdjust24=/*#__PURE__*/React.forwardRef(function SettingsAdjust24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,8h-4.1c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2v2h14.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30V8z M21,12c-1.7,0-3-1.3-3-3\ts1.3-3,3-3s3,1.3,3,3S22.7,12,21,12z"}),React.createElement("path",{d:"M2,24h4.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30v-2H15.9c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2V24z M11,20c1.7,0,3,1.3,3,3\ts-1.3,3-3,3s-3-1.3-3-3S9.3,20,11,20z"}),props.children);});var SettingsAdjust20=/*#__PURE__*/React.forwardRef(function SettingsAdjust20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,8h-4.1c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2v2h14.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30V8z M21,12c-1.7,0-3-1.3-3-3\ts1.3-3,3-3s3,1.3,3,3S22.7,12,21,12z"}),React.createElement("path",{d:"M2,24h4.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30v-2H15.9c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2V24z M11,20c1.7,0,3,1.3,3,3\ts-1.3,3-3,3s-3-1.3-3-3S9.3,20,11,20z"}),props.children);});var SettingsAdjust16=/*#__PURE__*/React.forwardRef(function SettingsAdjust16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,8h-4.1c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2v2h14.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30V8z M21,12c-1.7,0-3-1.3-3-3\ts1.3-3,3-3s3,1.3,3,3S22.7,12,21,12z"}),React.createElement("path",{d:"M2,24h4.1c0.5,2.3,2.5,4,4.9,4s4.4-1.7,4.9-4H30v-2H15.9c-0.5-2.3-2.5-4-4.9-4s-4.4,1.7-4.9,4H2V24z M11,20c1.7,0,3,1.3,3,3\ts-1.3,3-3,3s-3-1.3-3-3S9.3,20,11,20z"}),props.children);});var Settings32=/*#__PURE__*/React.forwardRef(function Settings32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,16.76c0-.25,0-.5,0-.76s0-.51,0-.77l1.92-1.68A2,2,0,0,0,29.3,11L26.94,7a2,2,0,0,0-1.73-1,2,2,0,0,0-.64.1l-2.43.82a11.35,11.35,0,0,0-1.31-.75l-.51-2.52a2,2,0,0,0-2-1.61H13.64a2,2,0,0,0-2,1.61l-.51,2.52a11.48,11.48,0,0,0-1.32.75L7.43,6.06A2,2,0,0,0,6.79,6,2,2,0,0,0,5.06,7L2.7,11a2,2,0,0,0,.41,2.51L5,15.24c0,.25,0,.5,0,.76s0,.51,0,.77L3.11,18.45A2,2,0,0,0,2.7,21L5.06,25a2,2,0,0,0,1.73,1,2,2,0,0,0,.64-.1l2.43-.82a11.35,11.35,0,0,0,1.31.75l.51,2.52a2,2,0,0,0,2,1.61h4.72a2,2,0,0,0,2-1.61l.51-2.52a11.48,11.48,0,0,0,1.32-.75l2.42.82a2,2,0,0,0,.64.1,2,2,0,0,0,1.73-1L29.3,21a2,2,0,0,0-.41-2.51ZM25.21,24l-3.43-1.16a8.86,8.86,0,0,1-2.71,1.57L18.36,28H13.64l-.71-3.55a9.36,9.36,0,0,1-2.7-1.57L6.79,24,4.43,20l2.72-2.4a8.9,8.9,0,0,1,0-3.13L4.43,12,6.79,8l3.43,1.16a8.86,8.86,0,0,1,2.71-1.57L13.64,4h4.72l.71,3.55a9.36,9.36,0,0,1,2.7,1.57L25.21,8,27.57,12l-2.72,2.4a8.9,8.9,0,0,1,0,3.13L27.57,20Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A5.94,5.94,0,0,1,16,22Zm0-10a3.91,3.91,0,0,0-4,4,3.91,3.91,0,0,0,4,4,3.91,3.91,0,0,0,4-4A3.91,3.91,0,0,0,16,12Z"}),props.children);});var Settings24=/*#__PURE__*/React.forwardRef(function Settings24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,16.76c0-.25,0-.5,0-.76s0-.51,0-.77l1.92-1.68A2,2,0,0,0,29.3,11L26.94,7a2,2,0,0,0-1.73-1,2,2,0,0,0-.64.1l-2.43.82a11.35,11.35,0,0,0-1.31-.75l-.51-2.52a2,2,0,0,0-2-1.61H13.64a2,2,0,0,0-2,1.61l-.51,2.52a11.48,11.48,0,0,0-1.32.75L7.43,6.06A2,2,0,0,0,6.79,6,2,2,0,0,0,5.06,7L2.7,11a2,2,0,0,0,.41,2.51L5,15.24c0,.25,0,.5,0,.76s0,.51,0,.77L3.11,18.45A2,2,0,0,0,2.7,21L5.06,25a2,2,0,0,0,1.73,1,2,2,0,0,0,.64-.1l2.43-.82a11.35,11.35,0,0,0,1.31.75l.51,2.52a2,2,0,0,0,2,1.61h4.72a2,2,0,0,0,2-1.61l.51-2.52a11.48,11.48,0,0,0,1.32-.75l2.42.82a2,2,0,0,0,.64.1,2,2,0,0,0,1.73-1L29.3,21a2,2,0,0,0-.41-2.51ZM25.21,24l-3.43-1.16a8.86,8.86,0,0,1-2.71,1.57L18.36,28H13.64l-.71-3.55a9.36,9.36,0,0,1-2.7-1.57L6.79,24,4.43,20l2.72-2.4a8.9,8.9,0,0,1,0-3.13L4.43,12,6.79,8l3.43,1.16a8.86,8.86,0,0,1,2.71-1.57L13.64,4h4.72l.71,3.55a9.36,9.36,0,0,1,2.7,1.57L25.21,8,27.57,12l-2.72,2.4a8.9,8.9,0,0,1,0,3.13L27.57,20Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A5.94,5.94,0,0,1,16,22Zm0-10a3.91,3.91,0,0,0-4,4,3.91,3.91,0,0,0,4,4,3.91,3.91,0,0,0,4-4A3.91,3.91,0,0,0,16,12Z"}),props.children);});var Settings20=/*#__PURE__*/React.forwardRef(function Settings20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,16.76c0-.25,0-.5,0-.76s0-.51,0-.77l1.92-1.68A2,2,0,0,0,29.3,11L26.94,7a2,2,0,0,0-1.73-1,2,2,0,0,0-.64.1l-2.43.82a11.35,11.35,0,0,0-1.31-.75l-.51-2.52a2,2,0,0,0-2-1.61H13.64a2,2,0,0,0-2,1.61l-.51,2.52a11.48,11.48,0,0,0-1.32.75L7.43,6.06A2,2,0,0,0,6.79,6,2,2,0,0,0,5.06,7L2.7,11a2,2,0,0,0,.41,2.51L5,15.24c0,.25,0,.5,0,.76s0,.51,0,.77L3.11,18.45A2,2,0,0,0,2.7,21L5.06,25a2,2,0,0,0,1.73,1,2,2,0,0,0,.64-.1l2.43-.82a11.35,11.35,0,0,0,1.31.75l.51,2.52a2,2,0,0,0,2,1.61h4.72a2,2,0,0,0,2-1.61l.51-2.52a11.48,11.48,0,0,0,1.32-.75l2.42.82a2,2,0,0,0,.64.1,2,2,0,0,0,1.73-1L29.3,21a2,2,0,0,0-.41-2.51ZM25.21,24l-3.43-1.16a8.86,8.86,0,0,1-2.71,1.57L18.36,28H13.64l-.71-3.55a9.36,9.36,0,0,1-2.7-1.57L6.79,24,4.43,20l2.72-2.4a8.9,8.9,0,0,1,0-3.13L4.43,12,6.79,8l3.43,1.16a8.86,8.86,0,0,1,2.71-1.57L13.64,4h4.72l.71,3.55a9.36,9.36,0,0,1,2.7,1.57L25.21,8,27.57,12l-2.72,2.4a8.9,8.9,0,0,1,0,3.13L27.57,20Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A5.94,5.94,0,0,1,16,22Zm0-10a3.91,3.91,0,0,0-4,4,3.91,3.91,0,0,0,4,4,3.91,3.91,0,0,0,4-4A3.91,3.91,0,0,0,16,12Z"}),props.children);});var ShareKnowledge32=/*#__PURE__*/React.forwardRef(function ShareKnowledge32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"2"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),props.children);});var ShareKnowledge24=/*#__PURE__*/React.forwardRef(function ShareKnowledge24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"2"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),props.children);});var ShareKnowledge20=/*#__PURE__*/React.forwardRef(function ShareKnowledge20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"2"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),props.children);});var ShareKnowledge16=/*#__PURE__*/React.forwardRef(function ShareKnowledge16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,25H21a3,3,0,0,0-3,3v2h2V28a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V28A3,3,0,0,0,27,25Z"}),React.createElement("path",{d:"M20,20a4,4,0,1,0,4-4A4,4,0,0,0,20,20Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,26,20Z"}),React.createElement("path",{d:"M6,21V20H4v1a7,7,0,0,0,7,7h3V26H11A5,5,0,0,1,6,21Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"19",y:"2"}),React.createElement("path",{d:"M11,11H5a3,3,0,0,0-3,3v2H4V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,11,11Z"}),React.createElement("path",{d:"M8,10A4,4,0,1,0,4,6,4,4,0,0,0,8,10ZM8,4A2,2,0,1,1,6,6,2,2,0,0,1,8,4Z"}),props.children);});var Share32=/*#__PURE__*/React.forwardRef(function Share32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20a5,5,0,0,0-3.89,1.89L11.8,17.32a4.46,4.46,0,0,0,0-2.64l7.31-4.57A5,5,0,1,0,18,7a4.79,4.79,0,0,0,.2,1.32l-7.31,4.57a5,5,0,1,0,0,6.22l7.31,4.57A4.79,4.79,0,0,0,18,25a5,5,0,1,0,5-5ZM23,4a3,3,0,1,1-3,3A3,3,0,0,1,23,4ZM7,19a3,3,0,1,1,3-3A3,3,0,0,1,7,19Zm16,9a3,3,0,1,1,3-3A3,3,0,0,1,23,28Z"}),props.children);});var Share24=/*#__PURE__*/React.forwardRef(function Share24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20a5,5,0,0,0-3.89,1.89L11.8,17.32a4.46,4.46,0,0,0,0-2.64l7.31-4.57A5,5,0,1,0,18,7a4.79,4.79,0,0,0,.2,1.32l-7.31,4.57a5,5,0,1,0,0,6.22l7.31,4.57A4.79,4.79,0,0,0,18,25a5,5,0,1,0,5-5ZM23,4a3,3,0,1,1-3,3A3,3,0,0,1,23,4ZM7,19a3,3,0,1,1,3-3A3,3,0,0,1,7,19Zm16,9a3,3,0,1,1,3-3A3,3,0,0,1,23,28Z"}),props.children);});var Share20=/*#__PURE__*/React.forwardRef(function Share20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20a5,5,0,0,0-3.89,1.89L11.8,17.32a4.46,4.46,0,0,0,0-2.64l7.31-4.57A5,5,0,1,0,18,7a4.79,4.79,0,0,0,.2,1.32l-7.31,4.57a5,5,0,1,0,0,6.22l7.31,4.57A4.79,4.79,0,0,0,18,25a5,5,0,1,0,5-5ZM23,4a3,3,0,1,1-3,3A3,3,0,0,1,23,4ZM7,19a3,3,0,1,1,3-3A3,3,0,0,1,7,19Zm16,9a3,3,0,1,1,3-3A3,3,0,0,1,23,28Z"}),props.children);});var Share16=/*#__PURE__*/React.forwardRef(function Share16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20a5,5,0,0,0-3.89,1.89L11.8,17.32a4.46,4.46,0,0,0,0-2.64l7.31-4.57A5,5,0,1,0,18,7a4.79,4.79,0,0,0,.2,1.32l-7.31,4.57a5,5,0,1,0,0,6.22l7.31,4.57A4.79,4.79,0,0,0,18,25a5,5,0,1,0,5-5ZM23,4a3,3,0,1,1-3,3A3,3,0,0,1,23,4ZM7,19a3,3,0,1,1,3-3A3,3,0,0,1,7,19Zm16,9a3,3,0,1,1,3-3A3,3,0,0,1,23,28Z"}),props.children);});var ShoppingBag32=/*#__PURE__*/React.forwardRef(function ShoppingBag32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.76,11.35A1,1,0,0,0,28,11H22V7a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v4H4a1,1,0,0,0-1,1.15L4.88,24.3a2,2,0,0,0,2,1.7H25.14a2,2,0,0,0,2-1.7L29,12.15A1,1,0,0,0,28.76,11.35ZM12,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H12ZM25.14,24H6.86L5.17,13H26.83Z"}),props.children);});var ShoppingBag24=/*#__PURE__*/React.forwardRef(function ShoppingBag24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.76,11.35A1,1,0,0,0,28,11H22V7a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v4H4a1,1,0,0,0-1,1.15L4.88,24.3a2,2,0,0,0,2,1.7H25.14a2,2,0,0,0,2-1.7L29,12.15A1,1,0,0,0,28.76,11.35ZM12,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H12ZM25.14,24H6.86L5.17,13H26.83Z"}),props.children);});var ShoppingBag20=/*#__PURE__*/React.forwardRef(function ShoppingBag20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.76,11.35A1,1,0,0,0,28,11H22V7a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v4H4a1,1,0,0,0-1,1.15L4.88,24.3a2,2,0,0,0,2,1.7H25.14a2,2,0,0,0,2-1.7L29,12.15A1,1,0,0,0,28.76,11.35ZM12,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H12ZM25.14,24H6.86L5.17,13H26.83Z"}),props.children);});var ShoppingBag16=/*#__PURE__*/React.forwardRef(function ShoppingBag16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.76,11.35A1,1,0,0,0,28,11H22V7a3,3,0,0,0-3-3H13a3,3,0,0,0-3,3v4H4a1,1,0,0,0-1,1.15L4.88,24.3a2,2,0,0,0,2,1.7H25.14a2,2,0,0,0,2-1.7L29,12.15A1,1,0,0,0,28.76,11.35ZM12,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H12ZM25.14,24H6.86L5.17,13H26.83Z"}),props.children);});var ShoppingCart32=/*#__PURE__*/React.forwardRef(function ShoppingCart32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"28",r:"2"}),React.createElement("circle",{cx:"24",cy:"28",r:"2"}),React.createElement("path",{d:"M28,7H5.82L5,2.8A1,1,0,0,0,4,2H0V4H3.18L7,23.2A1,1,0,0,0,8,24H26V22H8.82L8,18H26a1,1,0,0,0,1-.78l2-9A1,1,0,0,0,28,7Zm-2.8,9H7.62L6.22,9H26.75Z"}),props.children);});var ShoppingCart24=/*#__PURE__*/React.forwardRef(function ShoppingCart24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"28",r:"2"}),React.createElement("circle",{cx:"24",cy:"28",r:"2"}),React.createElement("path",{d:"M28,7H5.82L5,2.8A1,1,0,0,0,4,2H0V4H3.18L7,23.2A1,1,0,0,0,8,24H26V22H8.82L8,18H26a1,1,0,0,0,1-.78l2-9A1,1,0,0,0,28,7Zm-2.8,9H7.62L6.22,9H26.75Z"}),props.children);});var ShoppingCart20=/*#__PURE__*/React.forwardRef(function ShoppingCart20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"28",r:"2"}),React.createElement("circle",{cx:"24",cy:"28",r:"2"}),React.createElement("path",{d:"M28,7H5.82L5,2.8A1,1,0,0,0,4,2H0V4H3.18L7,23.2A1,1,0,0,0,8,24H26V22H8.82L8,18H26a1,1,0,0,0,1-.78l2-9A1,1,0,0,0,28,7Zm-2.8,9H7.62L6.22,9H26.75Z"}),props.children);});var ShoppingCart16=/*#__PURE__*/React.forwardRef(function ShoppingCart16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"28",r:"2"}),React.createElement("circle",{cx:"24",cy:"28",r:"2"}),React.createElement("path",{d:"M28,7H5.82L5,2.8A1,1,0,0,0,4,2H0V4H3.18L7,23.2A1,1,0,0,0,8,24H26V22H8.82L8,18H26a1,1,0,0,0,1-.78l2-9A1,1,0,0,0,28,7Zm-2.8,9H7.62L6.22,9H26.75Z"}),props.children);});var ShoppingCatalog32=/*#__PURE__*/React.forwardRef(function ShoppingCatalog32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"17",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"17",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"17"}),React.createElement("path",{d:"M28,11h-6V7c0-1.7-1.3-3-3-3h-6c-1.7,0-3,1.3-3,3v4H4c-0.6,0-1,0.4-1,1c0,0.1,0,0.1,0,0.2l1.9,12.1c0.1,1,1,1.7,2,1.7H15v-2\tH6.9L5.2,13H28V11z M12,7c0-0.6,0.4-1,1-1h6c0.6,0,1,0.4,1,1v4h-8V7z"}),props.children);});var ShoppingCatalog24=/*#__PURE__*/React.forwardRef(function ShoppingCatalog24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"17",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"17",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"17"}),React.createElement("path",{d:"M28,11h-6V7c0-1.7-1.3-3-3-3h-6c-1.7,0-3,1.3-3,3v4H4c-0.6,0-1,0.4-1,1c0,0.1,0,0.1,0,0.2l1.9,12.1c0.1,1,1,1.7,2,1.7H15v-2\tH6.9L5.2,13H28V11z M12,7c0-0.6,0.4-1,1-1h6c0.6,0,1,0.4,1,1v4h-8V7z"}),props.children);});var ShoppingCatalog20=/*#__PURE__*/React.forwardRef(function ShoppingCatalog20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"17",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"17",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"17"}),React.createElement("path",{d:"M28,11h-6V7c0-1.7-1.3-3-3-3h-6c-1.7,0-3,1.3-3,3v4H4c-0.6,0-1,0.4-1,1c0,0.1,0,0.1,0,0.2l1.9,12.1c0.1,1,1,1.7,2,1.7H15v-2\tH6.9L5.2,13H28V11z M12,7c0-0.6,0.4-1,1-1h6c0.6,0,1,0.4,1,1v4h-8V7z"}),props.children);});var ShoppingCatalog16=/*#__PURE__*/React.forwardRef(function ShoppingCatalog16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"17",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"17",y:"17"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"17"}),React.createElement("path",{d:"M28,11h-6V7c0-1.7-1.3-3-3-3h-6c-1.7,0-3,1.3-3,3v4H4c-0.6,0-1,0.4-1,1c0,0.1,0,0.1,0,0.2l1.9,12.1c0.1,1,1,1.7,2,1.7H15v-2\tH6.9L5.2,13H28V11z M12,7c0-0.6,0.4-1,1-1h6c0.6,0,1,0.4,1,1v4h-8V7z"}),props.children);});var ShrinkScreenFilled32=/*#__PURE__*/React.forwardRef(function ShrinkScreenFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"15",height:"10",x:"15",y:"18",rx:"2"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var ShrinkScreenFilled24=/*#__PURE__*/React.forwardRef(function ShrinkScreenFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"15",height:"10",x:"15",y:"18",rx:"2"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var ShrinkScreenFilled20=/*#__PURE__*/React.forwardRef(function ShrinkScreenFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"15",height:"10",x:"15",y:"18",rx:"2"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var ShrinkScreenFilled16=/*#__PURE__*/React.forwardRef(function ShrinkScreenFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"15",height:"10",x:"15",y:"18",rx:"2"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var ShrinkScreen32=/*#__PURE__*/React.forwardRef(function ShrinkScreen32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,28H17a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H28a2.0027,2.0027,0,0,1,2,2v6A2.0027,2.0027,0,0,1,28,28ZM17,20v6H28.002L28,20Z"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var ShrinkScreen24=/*#__PURE__*/React.forwardRef(function ShrinkScreen24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,28H17a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H28a2.0027,2.0027,0,0,1,2,2v6A2.0027,2.0027,0,0,1,28,28ZM17,20v6H28.002L28,20Z"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var ShrinkScreen20=/*#__PURE__*/React.forwardRef(function ShrinkScreen20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,28H17a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H28a2.0027,2.0027,0,0,1,2,2v6A2.0027,2.0027,0,0,1,28,28ZM17,20v6H28.002L28,20Z"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var ShrinkScreen16=/*#__PURE__*/React.forwardRef(function ShrinkScreen16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,28H17a2.0023,2.0023,0,0,1-2-2V20a2.0023,2.0023,0,0,1,2-2H28a2.0027,2.0027,0,0,1,2,2v6A2.0027,2.0027,0,0,1,28,28ZM17,20v6H28.002L28,20Z"}),React.createElement("polygon",{points:"12 10 12 13.586 7.707 9.293 6.293 10.707 10.586 15 7 15 7 17 14 17 14 10 12 10"}),React.createElement("path",{d:"M13,22H4a2.0023,2.0023,0,0,1-2-2V7A2.002,2.002,0,0,1,4,5H26a2.0023,2.0023,0,0,1,2,2v9H26V7H4V20h9Z"}),props.children);});var Shuffle32=/*#__PURE__*/React.forwardRef(function Shuffle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.59,19.41,26.17,23H19.55l-4.37-7,4.37-7h6.62l-3.58,3.59L24,14l6-6L24,2,22.59,3.41,26.17,7H19.55a2,2,0,0,0-1.69.94L14,14.11,10.14,7.94A2,2,0,0,0,8.45,7H2V9H8.45l4.37,7L8.45,23H2v2H8.45a2,2,0,0,0,1.69-.94L14,17.89l3.86,6.17a2,2,0,0,0,1.69.94h6.62l-3.58,3.59L24,30l6-6-6-6Z"}),props.children);});var Shuffle24=/*#__PURE__*/React.forwardRef(function Shuffle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.59,19.41,26.17,23H19.55l-4.37-7,4.37-7h6.62l-3.58,3.59L24,14l6-6L24,2,22.59,3.41,26.17,7H19.55a2,2,0,0,0-1.69.94L14,14.11,10.14,7.94A2,2,0,0,0,8.45,7H2V9H8.45l4.37,7L8.45,23H2v2H8.45a2,2,0,0,0,1.69-.94L14,17.89l3.86,6.17a2,2,0,0,0,1.69.94h6.62l-3.58,3.59L24,30l6-6-6-6Z"}),props.children);});var Shuffle20=/*#__PURE__*/React.forwardRef(function Shuffle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.59,19.41,26.17,23H19.55l-4.37-7,4.37-7h6.62l-3.58,3.59L24,14l6-6L24,2,22.59,3.41,26.17,7H19.55a2,2,0,0,0-1.69.94L14,14.11,10.14,7.94A2,2,0,0,0,8.45,7H2V9H8.45l4.37,7L8.45,23H2v2H8.45a2,2,0,0,0,1.69-.94L14,17.89l3.86,6.17a2,2,0,0,0,1.69.94h6.62l-3.58,3.59L24,30l6-6-6-6Z"}),props.children);});var Shuffle16=/*#__PURE__*/React.forwardRef(function Shuffle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.59,19.41,26.17,23H19.55l-4.37-7,4.37-7h6.62l-3.58,3.59L24,14l6-6L24,2,22.59,3.41,26.17,7H19.55a2,2,0,0,0-1.69.94L14,14.11,10.14,7.94A2,2,0,0,0,8.45,7H2V9H8.45l4.37,7L8.45,23H2v2H8.45a2,2,0,0,0,1.69-.94L14,17.89l3.86,6.17a2,2,0,0,0,1.69.94h6.62l-3.58,3.59L24,30l6-6-6-6Z"}),props.children);});var Shuttle32=/*#__PURE__*/React.forwardRef(function Shuttle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM4,8H18v7H4ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V17H28Z"}),props.children);});var Shuttle24=/*#__PURE__*/React.forwardRef(function Shuttle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM4,8H18v7H4ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V17H28Z"}),props.children);});var Shuttle20=/*#__PURE__*/React.forwardRef(function Shuttle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM4,8H18v7H4ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V17H28Z"}),props.children);});var Shuttle16=/*#__PURE__*/React.forwardRef(function Shuttle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM4,8H18v7H4ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V17H28Z"}),props.children);});var Sigma32=/*#__PURE__*/React.forwardRef(function Sigma32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 5 7 5 7 7.414 15.586 16 7 24.586 7 27 24 27 24 25 9.414 25 18.414 16 9.414 7 24 7 24 5"}),props.children);});var Sigma24=/*#__PURE__*/React.forwardRef(function Sigma24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 5 7 5 7 7.414 15.586 16 7 24.586 7 27 24 27 24 25 9.414 25 18.414 16 9.414 7 24 7 24 5"}),props.children);});var Sigma20=/*#__PURE__*/React.forwardRef(function Sigma20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 5 7 5 7 7.414 15.586 16 7 24.586 7 27 24 27 24 25 9.414 25 18.414 16 9.414 7 24 7 24 5"}),props.children);});var Sigma16=/*#__PURE__*/React.forwardRef(function Sigma16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"24 5 7 5 7 7.414 15.586 16 7 24.586 7 27 24 27 24 25 9.414 25 18.414 16 9.414 7 24 7 24 5"}),props.children);});var SkillLevel32=/*#__PURE__*/React.forwardRef(function SkillLevel32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V4h8Zm-6-2h4V6H24Z"}),React.createElement("path",{d:"M20,30H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M10,30H2V18h8ZM4,28H8V20H4Z"}),props.children);});var SkillLevel24=/*#__PURE__*/React.forwardRef(function SkillLevel24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V4h8Zm-6-2h4V6H24Z"}),React.createElement("path",{d:"M20,30H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M10,30H2V18h8ZM4,28H8V20H4Z"}),props.children);});var SkillLevel20=/*#__PURE__*/React.forwardRef(function SkillLevel20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V4h8Zm-6-2h4V6H24Z"}),React.createElement("path",{d:"M20,30H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M10,30H2V18h8ZM4,28H8V20H4Z"}),props.children);});var SkillLevel16=/*#__PURE__*/React.forwardRef(function SkillLevel16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,30H22V4h8Zm-6-2h4V6H24Z"}),React.createElement("path",{d:"M20,30H12V12h8Zm-6-2h4V14H14Z"}),React.createElement("path",{d:"M10,30H2V18h8ZM4,28H8V20H4Z"}),props.children);});var SkipBackFilled32=/*#__PURE__*/React.forwardRef(function SkipBackFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a.9975.9975,0,0,1-.501-.1348l-19-11a1,1,0,0,1,0-1.73l19-11A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipBackFilled24=/*#__PURE__*/React.forwardRef(function SkipBackFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a.9975.9975,0,0,1-.501-.1348l-19-11a1,1,0,0,1,0-1.73l19-11A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipBackFilled20=/*#__PURE__*/React.forwardRef(function SkipBackFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a.9975.9975,0,0,1-.501-.1348l-19-11a1,1,0,0,1,0-1.73l19-11A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipBackFilled16=/*#__PURE__*/React.forwardRef(function SkipBackFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a.9975.9975,0,0,1-.501-.1348l-19-11a1,1,0,0,1,0-1.73l19-11A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipBack32=/*#__PURE__*/React.forwardRef(function SkipBack32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a1,1,0,0,1-.5-.13l-19-11a1,1,0,0,1,0-1.74l19-11a1,1,0,0,1,1,0A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1ZM10,16l16,9.27V6.73Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipBack24=/*#__PURE__*/React.forwardRef(function SkipBack24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a1,1,0,0,1-.5-.13l-19-11a1,1,0,0,1,0-1.74l19-11a1,1,0,0,1,1,0A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1ZM10,16l16,9.27V6.73Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipBack20=/*#__PURE__*/React.forwardRef(function SkipBack20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a1,1,0,0,1-.5-.13l-19-11a1,1,0,0,1,0-1.74l19-11a1,1,0,0,1,1,0A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1ZM10,16l16,9.27V6.73Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipBack16=/*#__PURE__*/React.forwardRef(function SkipBack16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,28a1,1,0,0,1-.5-.13l-19-11a1,1,0,0,1,0-1.74l19-11a1,1,0,0,1,1,0A1,1,0,0,1,28,5V27a1,1,0,0,1-1,1ZM10,16l16,9.27V6.73Z"}),React.createElement("rect",{width:"2",height:"24",x:"2",y:"4"}),props.children);});var SkipForwardFilled32=/*#__PURE__*/React.forwardRef(function SkipForwardFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,5,28Z"}),props.children);});var SkipForwardFilled24=/*#__PURE__*/React.forwardRef(function SkipForwardFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,5,28Z"}),props.children);});var SkipForwardFilled20=/*#__PURE__*/React.forwardRef(function SkipForwardFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,5,28Z"}),props.children);});var SkipForwardFilled16=/*#__PURE__*/React.forwardRef(function SkipForwardFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,1.501-.8652l19,11a1,1,0,0,1,0,1.73l-19,11A.9975.9975,0,0,1,5,28Z"}),props.children);});var SkipForward32=/*#__PURE__*/React.forwardRef(function SkipForward32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,.5-.87,1,1,0,0,1,1,0l19,11a1,1,0,0,1,0,1.74l-19,11A1,1,0,0,1,5,28ZM6,6.73V25.27L22,16Z"}),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),props.children);});var SkipForward24=/*#__PURE__*/React.forwardRef(function SkipForward24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,.5-.87,1,1,0,0,1,1,0l19,11a1,1,0,0,1,0,1.74l-19,11A1,1,0,0,1,5,28ZM6,6.73V25.27L22,16Z"}),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),props.children);});var SkipForward20=/*#__PURE__*/React.forwardRef(function SkipForward20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,.5-.87,1,1,0,0,1,1,0l19,11a1,1,0,0,1,0,1.74l-19,11A1,1,0,0,1,5,28ZM6,6.73V25.27L22,16Z"}),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),props.children);});var SkipForward16=/*#__PURE__*/React.forwardRef(function SkipForward16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5,28a1,1,0,0,1-1-1V5a1,1,0,0,1,.5-.87,1,1,0,0,1,1,0l19,11a1,1,0,0,1,0,1.74l-19,11A1,1,0,0,1,5,28ZM6,6.73V25.27L22,16Z"}),React.createElement("rect",{width:"2",height:"24",x:"28",y:"4"}),props.children);});var Sleet32=/*#__PURE__*/React.forwardRef(function Sleet32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"6",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22h8.8818L16.106,24.5527a1,1,0,1,0,1.7885.8946L19.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var Sleet24=/*#__PURE__*/React.forwardRef(function Sleet24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"6",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22h8.8818L16.106,24.5527a1,1,0,1,0,1.7885.8946L19.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var Sleet20=/*#__PURE__*/React.forwardRef(function Sleet20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"6",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22h8.8818L16.106,24.5527a1,1,0,1,0,1.7885.8946L19.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var Sleet16=/*#__PURE__*/React.forwardRef(function Sleet16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"6",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4973,6.4973,0,0,0,8.5,22h8.8818L16.106,24.5527a1,1,0,1,0,1.7885.8946L19.6177,22H23.5A6.4974,6.4974,0,0,0,24.8008,9.1362ZM23.5,20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20Z"}),props.children);});var Smell32=/*#__PURE__*/React.forwardRef(function Smell32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,15V10H20v7h2a3,3,0,0,1,0,6H21V21H19v2a3,3,0,0,1-6,0V21H11v2H10a3,3,0,0,1,0-6h2V9a3,3,0,0,1,3-3h1V4H15a5,5,0,0,0-5,5v6a5,5,0,0,0,0,10h1.42a5,5,0,0,0,9.16,0H22a5,5,0,0,0,0-10Z"}),props.children);});var Smell24=/*#__PURE__*/React.forwardRef(function Smell24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,15V10H20v7h2a3,3,0,0,1,0,6H21V21H19v2a3,3,0,0,1-6,0V21H11v2H10a3,3,0,0,1,0-6h2V9a3,3,0,0,1,3-3h1V4H15a5,5,0,0,0-5,5v6a5,5,0,0,0,0,10h1.42a5,5,0,0,0,9.16,0H22a5,5,0,0,0,0-10Z"}),props.children);});var Smell20=/*#__PURE__*/React.forwardRef(function Smell20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,15V10H20v7h2a3,3,0,0,1,0,6H21V21H19v2a3,3,0,0,1-6,0V21H11v2H10a3,3,0,0,1,0-6h2V9a3,3,0,0,1,3-3h1V4H15a5,5,0,0,0-5,5v6a5,5,0,0,0,0,10h1.42a5,5,0,0,0,9.16,0H22a5,5,0,0,0,0-10Z"}),props.children);});var Smell16=/*#__PURE__*/React.forwardRef(function Smell16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,15V10H20v7h2a3,3,0,0,1,0,6H21V21H19v2a3,3,0,0,1-6,0V21H11v2H10a3,3,0,0,1,0-6h2V9a3,3,0,0,1,3-3h1V4H15a5,5,0,0,0-5,5v6a5,5,0,0,0,0,10h1.42a5,5,0,0,0,9.16,0H22a5,5,0,0,0,0-10Z"}),props.children);});var Smoke32=/*#__PURE__*/React.forwardRef(function Smoke32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L23.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L27.8,26.4A1,1,0,0,1,27.001,28Z"}),React.createElement("path",{d:"M22.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L18.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L22.8,26.4A1,1,0,0,1,22.001,28Z"}),React.createElement("path",{d:"M17.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L13.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L17.8,26.4A1,1,0,0,1,17.001,28Z"}),React.createElement("path",{d:"M12.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,9.0142,6.6855L8.2,5.6A1,1,0,1,1,9.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L12.8,26.4A1,1,0,0,1,12.001,28Z"}),React.createElement("path",{d:"M7.001,28A.998.998,0,0,1,6.2,27.6l-.8145-1.086a8.9976,8.9976,0,0,1-1.6-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,4.0142,6.6855L3.2,5.6A1,1,0,1,1,4.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856L5.7412,19.6474a6.9956,6.9956,0,0,0,1.2446,5.6668L7.8,26.4A1,1,0,0,1,7.001,28Z"}),props.children);});var Smoke24=/*#__PURE__*/React.forwardRef(function Smoke24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L23.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L27.8,26.4A1,1,0,0,1,27.001,28Z"}),React.createElement("path",{d:"M22.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L18.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L22.8,26.4A1,1,0,0,1,22.001,28Z"}),React.createElement("path",{d:"M17.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L13.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L17.8,26.4A1,1,0,0,1,17.001,28Z"}),React.createElement("path",{d:"M12.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,9.0142,6.6855L8.2,5.6A1,1,0,1,1,9.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L12.8,26.4A1,1,0,0,1,12.001,28Z"}),React.createElement("path",{d:"M7.001,28A.998.998,0,0,1,6.2,27.6l-.8145-1.086a8.9976,8.9976,0,0,1-1.6-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,4.0142,6.6855L3.2,5.6A1,1,0,1,1,4.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856L5.7412,19.6474a6.9956,6.9956,0,0,0,1.2446,5.6668L7.8,26.4A1,1,0,0,1,7.001,28Z"}),props.children);});var Smoke20=/*#__PURE__*/React.forwardRef(function Smoke20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L23.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L27.8,26.4A1,1,0,0,1,27.001,28Z"}),React.createElement("path",{d:"M22.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L18.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L22.8,26.4A1,1,0,0,1,22.001,28Z"}),React.createElement("path",{d:"M17.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L13.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L17.8,26.4A1,1,0,0,1,17.001,28Z"}),React.createElement("path",{d:"M12.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,9.0142,6.6855L8.2,5.6A1,1,0,1,1,9.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L12.8,26.4A1,1,0,0,1,12.001,28Z"}),React.createElement("path",{d:"M7.001,28A.998.998,0,0,1,6.2,27.6l-.8145-1.086a8.9976,8.9976,0,0,1-1.6-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,4.0142,6.6855L3.2,5.6A1,1,0,1,1,4.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856L5.7412,19.6474a6.9956,6.9956,0,0,0,1.2446,5.6668L7.8,26.4A1,1,0,0,1,7.001,28Z"}),props.children);});var Smoke16=/*#__PURE__*/React.forwardRef(function Smoke16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L23.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L27.8,26.4A1,1,0,0,1,27.001,28Z"}),React.createElement("path",{d:"M22.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L18.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L22.8,26.4A1,1,0,0,1,22.001,28Z"}),React.createElement("path",{d:"M17.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762a6.9956,6.9956,0,0,0-1.2446-5.6668L13.2,5.6a1,1,0,1,1,1.6-1.2l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L17.8,26.4A1,1,0,0,1,17.001,28Z"}),React.createElement("path",{d:"M12.001,28a.998.998,0,0,1-.8008-.4l-.8145-1.086a8.9976,8.9976,0,0,1-1.6005-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,9.0142,6.6855L8.2,5.6A1,1,0,1,1,9.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856l-1.4736,6.8762a6.9956,6.9956,0,0,0,1.2446,5.6668L12.8,26.4A1,1,0,0,1,12.001,28Z"}),React.createElement("path",{d:"M7.001,28A.998.998,0,0,1,6.2,27.6l-.8145-1.086a8.9976,8.9976,0,0,1-1.6-7.2856l1.4736-6.8762A6.9956,6.9956,0,0,0,4.0142,6.6855L3.2,5.6A1,1,0,1,1,4.8,4.4l.8145,1.0857a8.9976,8.9976,0,0,1,1.6005,7.2856L5.7412,19.6474a6.9956,6.9956,0,0,0,1.2446,5.6668L7.8,26.4A1,1,0,0,1,7.001,28Z"}),props.children);});var Snooze32=/*#__PURE__*/React.forwardRef(function Snooze32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 14 20 12 12 12 12 14 17.5 14 12 20 12 22 20 22 20 20 14.507 20 20 14"}),React.createElement("rect",{width:"1.999",height:"5.072",x:"24.5",y:"3.965",transform:"rotate(-44.945 25.5 6.5)"}),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11.0125,11.0125,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9.01,9.01,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.072",height:"1.999",x:"3.965",y:"5.501",transform:"rotate(-45.055 6.5 6.5)"}),props.children);});var Snooze24=/*#__PURE__*/React.forwardRef(function Snooze24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 14 20 12 12 12 12 14 17.5 14 12 20 12 22 20 22 20 20 14.507 20 20 14"}),React.createElement("rect",{width:"1.999",height:"5.072",x:"24.5",y:"3.965",transform:"rotate(-44.945 25.5 6.5)"}),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11.0125,11.0125,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9.01,9.01,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.072",height:"1.999",x:"3.965",y:"5.501",transform:"rotate(-45.055 6.5 6.5)"}),props.children);});var Snooze20=/*#__PURE__*/React.forwardRef(function Snooze20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 14 20 12 12 12 12 14 17.5 14 12 20 12 22 20 22 20 20 14.507 20 20 14"}),React.createElement("rect",{width:"1.999",height:"5.072",x:"24.5",y:"3.965",transform:"rotate(-44.945 25.5 6.5)"}),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11.0125,11.0125,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9.01,9.01,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.072",height:"1.999",x:"3.965",y:"5.501",transform:"rotate(-45.055 6.5 6.5)"}),props.children);});var Snooze16=/*#__PURE__*/React.forwardRef(function Snooze16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"20 14 20 12 12 12 12 14 17.5 14 12 20 12 22 20 22 20 20 14.507 20 20 14"}),React.createElement("rect",{width:"1.999",height:"5.072",x:"24.5",y:"3.965",transform:"rotate(-44.945 25.5 6.5)"}),React.createElement("path",{d:"M16,28A11,11,0,1,1,27,17,11.0125,11.0125,0,0,1,16,28ZM16,8a9,9,0,1,0,9,9A9.01,9.01,0,0,0,16,8Z"}),React.createElement("rect",{width:"5.072",height:"1.999",x:"3.965",y:"5.501",transform:"rotate(-45.055 6.5 6.5)"}),props.children);});var SnowBlizzard32=/*#__PURE__*/React.forwardRef(function SnowBlizzard32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"13",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"5",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"25",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowBlizzard24=/*#__PURE__*/React.forwardRef(function SnowBlizzard24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"13",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"5",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"25",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowBlizzard20=/*#__PURE__*/React.forwardRef(function SnowBlizzard20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"13",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"5",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"25",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowBlizzard16=/*#__PURE__*/React.forwardRef(function SnowBlizzard16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"13",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"5",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"3",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"25",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"27",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowHeavy32=/*#__PURE__*/React.forwardRef(function SnowHeavy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"16",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowHeavy24=/*#__PURE__*/React.forwardRef(function SnowHeavy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"16",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowHeavy20=/*#__PURE__*/React.forwardRef(function SnowHeavy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"16",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowHeavy16=/*#__PURE__*/React.forwardRef(function SnowHeavy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"22"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"16",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"18",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"30"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.4957,6.4957,0,0,0,6,21.4985v-2.26A4.4943,4.4943,0,0,1,8.144,11.019l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4944,4.4944,0,0,1,26,19.2383v2.26A6.4958,6.4958,0,0,0,24.8008,9.1362Z"}),props.children);});var SnowScatteredNight32=/*#__PURE__*/React.forwardRef(function SnowScatteredNight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("path",{d:"M29.8439,13.0347a1.517,1.517,0,0,0-1.23-.8658,5.3552,5.3552,0,0,1-3.4095-1.7158,6.4655,6.4655,0,0,1-1.286-6.3926,1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.7685,7.7685,0,0,0-5.8847,5.5737A7.3706,7.3706,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a6.0066,6.0066,0,0,0,6-6c0-.0571-.0123-.1113-.0139-.1685a7.5076,7.5076,0,0,0,4.7611-3.2768A1.5369,1.5369,0,0,0,29.8439,13.0347ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm5.5974-6.1289a5.9661,5.9661,0,0,0-3.948-3.627,7.49,7.49,0,0,0-2.489-3.58,5.9018,5.9018,0,0,1,3.6381-4.4473,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,14.041,5.4487,5.4487,0,0,1,24.5974,15.8711Z"}),props.children);});var SnowScatteredNight24=/*#__PURE__*/React.forwardRef(function SnowScatteredNight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("path",{d:"M29.8439,13.0347a1.517,1.517,0,0,0-1.23-.8658,5.3552,5.3552,0,0,1-3.4095-1.7158,6.4655,6.4655,0,0,1-1.286-6.3926,1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.7685,7.7685,0,0,0-5.8847,5.5737A7.3706,7.3706,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a6.0066,6.0066,0,0,0,6-6c0-.0571-.0123-.1113-.0139-.1685a7.5076,7.5076,0,0,0,4.7611-3.2768A1.5369,1.5369,0,0,0,29.8439,13.0347ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm5.5974-6.1289a5.9661,5.9661,0,0,0-3.948-3.627,7.49,7.49,0,0,0-2.489-3.58,5.9018,5.9018,0,0,1,3.6381-4.4473,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,14.041,5.4487,5.4487,0,0,1,24.5974,15.8711Z"}),props.children);});var SnowScatteredNight20=/*#__PURE__*/React.forwardRef(function SnowScatteredNight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("path",{d:"M29.8439,13.0347a1.517,1.517,0,0,0-1.23-.8658,5.3552,5.3552,0,0,1-3.4095-1.7158,6.4655,6.4655,0,0,1-1.286-6.3926,1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.7685,7.7685,0,0,0-5.8847,5.5737A7.3706,7.3706,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a6.0066,6.0066,0,0,0,6-6c0-.0571-.0123-.1113-.0139-.1685a7.5076,7.5076,0,0,0,4.7611-3.2768A1.5369,1.5369,0,0,0,29.8439,13.0347ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm5.5974-6.1289a5.9661,5.9661,0,0,0-3.948-3.627,7.49,7.49,0,0,0-2.489-3.58,5.9018,5.9018,0,0,1,3.6381-4.4473,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,14.041,5.4487,5.4487,0,0,1,24.5974,15.8711Z"}),props.children);});var SnowScatteredNight16=/*#__PURE__*/React.forwardRef(function SnowScatteredNight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("path",{d:"M29.8439,13.0347a1.517,1.517,0,0,0-1.23-.8658,5.3552,5.3552,0,0,1-3.4095-1.7158,6.4655,6.4655,0,0,1-1.286-6.3926,1.6025,1.6025,0,0,0-.2989-1.5459,1.4543,1.4543,0,0,0-1.36-.4931l-.0191.0039a7.7685,7.7685,0,0,0-5.8847,5.5737A7.3706,7.3706,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a6.0066,6.0066,0,0,0,6-6c0-.0571-.0123-.1113-.0139-.1685a7.5076,7.5076,0,0,0,4.7611-3.2768A1.5369,1.5369,0,0,0,29.8439,13.0347ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm5.5974-6.1289a5.9661,5.9661,0,0,0-3.948-3.627,7.49,7.49,0,0,0-2.489-3.58,5.9018,5.9018,0,0,1,3.6381-4.4473,8.4577,8.4577,0,0,0,1.94,7.5967A7.4007,7.4007,0,0,0,27.64,14.041,5.4487,5.4487,0,0,1,24.5974,15.8711Z"}),props.children);});var SnowScattered32=/*#__PURE__*/React.forwardRef(function SnowScattered32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10.001"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9852,5.9852,0,0,0,16.1431,7.5083,7.3737,7.3737,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a5.9672,5.9672,0,0,0,5.5667-8.2A5.9722,5.9722,0,0,0,27,11ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm4.5222-7.9131a5.9592,5.9592,0,0,0-2.8728-1.8428,7.5212,7.5212,0,0,0-2.7224-3.78,3.9869,3.9869,0,1,1,5.5952,5.6225Z"}),props.children);});var SnowScattered24=/*#__PURE__*/React.forwardRef(function SnowScattered24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10.001"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9852,5.9852,0,0,0,16.1431,7.5083,7.3737,7.3737,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a5.9672,5.9672,0,0,0,5.5667-8.2A5.9722,5.9722,0,0,0,27,11ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm4.5222-7.9131a5.9592,5.9592,0,0,0-2.8728-1.8428,7.5212,7.5212,0,0,0-2.7224-3.78,3.9869,3.9869,0,1,1,5.5952,5.6225Z"}),props.children);});var SnowScattered20=/*#__PURE__*/React.forwardRef(function SnowScattered20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10.001"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9852,5.9852,0,0,0,16.1431,7.5083,7.3737,7.3737,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a5.9672,5.9672,0,0,0,5.5667-8.2A5.9722,5.9722,0,0,0,27,11ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm4.5222-7.9131a5.9592,5.9592,0,0,0-2.8728-1.8428,7.5212,7.5212,0,0,0-2.7224-3.78,3.9869,3.9869,0,1,1,5.5952,5.6225Z"}),props.children);});var SnowScattered16=/*#__PURE__*/React.forwardRef(function SnowScattered16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"22",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"20",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"30"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10.001"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),React.createElement("path",{d:"M27,11A5.9852,5.9852,0,0,0,16.1431,7.5083,7.3737,7.3737,0,0,0,13.5,7a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,24H19a5.9672,5.9672,0,0,0,5.5667-8.2A5.9722,5.9722,0,0,0,27,11ZM19,22H8a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,22Zm4.5222-7.9131a5.9592,5.9592,0,0,0-2.8728-1.8428,7.5212,7.5212,0,0,0-2.7224-3.78,3.9869,3.9869,0,1,1,5.5952,5.6225Z"}),props.children);});var Snow32=/*#__PURE__*/React.forwardRef(function Snow32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var Snow24=/*#__PURE__*/React.forwardRef(function Snow24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var Snow20=/*#__PURE__*/React.forwardRef(function Snow20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var Snow16=/*#__PURE__*/React.forwardRef(function Snow16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22ZM16,4a7,7,0,0,0-6.94,6.14L9,11,8.14,11a4.5,4.5,0,0,0,.36,9h15a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82A7,7,0,0,0,16,4Z"}),React.createElement("polygon",{points:"12 25.05 10.95 24 9.5 25.45 8.05 24 7 25.05 8.45 26.5 7 27.95 8.05 29 9.5 27.55 10.95 29 12 27.95 10.55 26.5 12 25.05"}),React.createElement("polygon",{points:"26 25.05 24.95 24 23.5 25.45 22.05 24 21 25.05 22.45 26.5 21 27.95 22.05 29 23.5 27.55 24.95 29 26 27.95 24.55 26.5 26 25.05"}),React.createElement("polygon",{points:"19 27.05 17.95 26 16.5 27.45 15.05 26 14 27.05 15.45 28.5 14 29.95 15.05 31 16.5 29.55 17.95 31 19 29.95 17.55 28.5 19 27.05"}),props.children);});var Snowflake32=/*#__PURE__*/React.forwardRef(function Snowflake32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.4148,12H28V10H23.4148l4.5857-4.5854L26.5864,4,22,8.5869V4H20v6.5869L18.5867,12H17V8H15v4H13.4133L12,10.5869V4H10V8.5869L5.4136,4,4,5.4146,8.5852,10H4v2h6.5852L12,13.415V15H8v2h4v1.5869L10.5867,20H4v2H8.5867L4,26.5864l1.4141,1.4141L10,23.415V28h2V21.415L13.4148,20H15v4h2V20h1.5852L20,21.415V28h2V23.415l4.5854,4.5855L28,26.5864,23.4133,22H28V20H21.4133L20,18.5869V17h4V15H20V13.415ZM18,18H14V14h4Z"}),props.children);});var Snowflake24=/*#__PURE__*/React.forwardRef(function Snowflake24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.4148,12H28V10H23.4148l4.5857-4.5854L26.5864,4,22,8.5869V4H20v6.5869L18.5867,12H17V8H15v4H13.4133L12,10.5869V4H10V8.5869L5.4136,4,4,5.4146,8.5852,10H4v2h6.5852L12,13.415V15H8v2h4v1.5869L10.5867,20H4v2H8.5867L4,26.5864l1.4141,1.4141L10,23.415V28h2V21.415L13.4148,20H15v4h2V20h1.5852L20,21.415V28h2V23.415l4.5854,4.5855L28,26.5864,23.4133,22H28V20H21.4133L20,18.5869V17h4V15H20V13.415ZM18,18H14V14h4Z"}),props.children);});var Snowflake20=/*#__PURE__*/React.forwardRef(function Snowflake20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.4148,12H28V10H23.4148l4.5857-4.5854L26.5864,4,22,8.5869V4H20v6.5869L18.5867,12H17V8H15v4H13.4133L12,10.5869V4H10V8.5869L5.4136,4,4,5.4146,8.5852,10H4v2h6.5852L12,13.415V15H8v2h4v1.5869L10.5867,20H4v2H8.5867L4,26.5864l1.4141,1.4141L10,23.415V28h2V21.415L13.4148,20H15v4h2V20h1.5852L20,21.415V28h2V23.415l4.5854,4.5855L28,26.5864,23.4133,22H28V20H21.4133L20,18.5869V17h4V15H20V13.415ZM18,18H14V14h4Z"}),props.children);});var Snowflake16=/*#__PURE__*/React.forwardRef(function Snowflake16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.4148,12H28V10H23.4148l4.5857-4.5854L26.5864,4,22,8.5869V4H20v6.5869L18.5867,12H17V8H15v4H13.4133L12,10.5869V4H10V8.5869L5.4136,4,4,5.4146,8.5852,10H4v2h6.5852L12,13.415V15H8v2h4v1.5869L10.5867,20H4v2H8.5867L4,26.5864l1.4141,1.4141L10,23.415V28h2V21.415L13.4148,20H15v4h2V20h1.5852L20,21.415V28h2V23.415l4.5854,4.5855L28,26.5864,23.4133,22H28V20H21.4133L20,18.5869V17h4V15H20V13.415ZM18,18H14V14h4Z"}),props.children);});var Soccer32=/*#__PURE__*/React.forwardRef(function Soccer32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"17",cy:"28",r:"2"}),React.createElement("rect",{width:"7.9",height:"2",x:"7.55",y:"17.5",transform:"rotate(-45 11.5 18.5)"}),React.createElement("path",{d:"M28,16.584,19.4143,8H6v2H18.5857l3,3L6,28.5859,7.4141,30,23,14.415,26.584,18,23,21.5859,24.4141,23,28,19.416A2.0044,2.0044,0,0,0,28,16.584Z"}),React.createElement("path",{d:"M24.5,9A3.5,3.5,0,1,1,28,5.5,3.504,3.504,0,0,1,24.5,9Zm0-5A1.5,1.5,0,1,0,26,5.5,1.5017,1.5017,0,0,0,24.5,4Z"}),props.children);});var Soccer24=/*#__PURE__*/React.forwardRef(function Soccer24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"17",cy:"28",r:"2"}),React.createElement("rect",{width:"7.9",height:"2",x:"7.55",y:"17.5",transform:"rotate(-45 11.5 18.5)"}),React.createElement("path",{d:"M28,16.584,19.4143,8H6v2H18.5857l3,3L6,28.5859,7.4141,30,23,14.415,26.584,18,23,21.5859,24.4141,23,28,19.416A2.0044,2.0044,0,0,0,28,16.584Z"}),React.createElement("path",{d:"M24.5,9A3.5,3.5,0,1,1,28,5.5,3.504,3.504,0,0,1,24.5,9Zm0-5A1.5,1.5,0,1,0,26,5.5,1.5017,1.5017,0,0,0,24.5,4Z"}),props.children);});var Soccer20=/*#__PURE__*/React.forwardRef(function Soccer20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"17",cy:"28",r:"2"}),React.createElement("rect",{width:"7.9",height:"2",x:"7.55",y:"17.5",transform:"rotate(-45 11.5 18.5)"}),React.createElement("path",{d:"M28,16.584,19.4143,8H6v2H18.5857l3,3L6,28.5859,7.4141,30,23,14.415,26.584,18,23,21.5859,24.4141,23,28,19.416A2.0044,2.0044,0,0,0,28,16.584Z"}),React.createElement("path",{d:"M24.5,9A3.5,3.5,0,1,1,28,5.5,3.504,3.504,0,0,1,24.5,9Zm0-5A1.5,1.5,0,1,0,26,5.5,1.5017,1.5017,0,0,0,24.5,4Z"}),props.children);});var Soccer16=/*#__PURE__*/React.forwardRef(function Soccer16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"17",cy:"28",r:"2"}),React.createElement("rect",{width:"7.9",height:"2",x:"7.55",y:"17.5",transform:"rotate(-45 11.5 18.5)"}),React.createElement("path",{d:"M28,16.584,19.4143,8H6v2H18.5857l3,3L6,28.5859,7.4141,30,23,14.415,26.584,18,23,21.5859,24.4141,23,28,19.416A2.0044,2.0044,0,0,0,28,16.584Z"}),React.createElement("path",{d:"M24.5,9A3.5,3.5,0,1,1,28,5.5,3.504,3.504,0,0,1,24.5,9Zm0-5A1.5,1.5,0,1,0,26,5.5,1.5017,1.5017,0,0,0,24.5,4Z"}),props.children);});var SpellCheck32=/*#__PURE__*/React.forwardRef(function SpellCheck32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,22h2L17,10H15L10,22h2l1.24-3h5.53Zm-5.93-5,1.82-4.42h.25L18,17Z"}),React.createElement("path",{d:"M12,28H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V17H26V6H6V26h6Z"}),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),props.children);});var SpellCheck24=/*#__PURE__*/React.forwardRef(function SpellCheck24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,22h2L17,10H15L10,22h2l1.24-3h5.53Zm-5.93-5,1.82-4.42h.25L18,17Z"}),React.createElement("path",{d:"M12,28H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V17H26V6H6V26h6Z"}),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),props.children);});var SpellCheck20=/*#__PURE__*/React.forwardRef(function SpellCheck20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,22h2L17,10H15L10,22h2l1.24-3h5.53Zm-5.93-5,1.82-4.42h.25L18,17Z"}),React.createElement("path",{d:"M12,28H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V17H26V6H6V26h6Z"}),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),props.children);});var SpellCheck16=/*#__PURE__*/React.forwardRef(function SpellCheck16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,22h2L17,10H15L10,22h2l1.24-3h5.53Zm-5.93-5,1.82-4.42h.25L18,17Z"}),React.createElement("path",{d:"M12,28H6a2,2,0,0,1-2-2V6A2,2,0,0,1,6,4H26a2,2,0,0,1,2,2V17H26V6H6V26h6Z"}),React.createElement("polygon",{points:"23 27.18 20.41 24.59 19 26 23 30 30 23 28.59 21.59 23 27.18"}),props.children);});var SplitScreen32=/*#__PURE__*/React.forwardRef(function SplitScreen32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("path",{d:"M10,7V25H4V7h6m0-2H4A2,2,0,0,0,2,7V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,7V25H22V7h6m0-2H22a2,2,0,0,0-2,2V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),props.children);});var SplitScreen24=/*#__PURE__*/React.forwardRef(function SplitScreen24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("path",{d:"M10,7V25H4V7h6m0-2H4A2,2,0,0,0,2,7V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,7V25H22V7h6m0-2H22a2,2,0,0,0-2,2V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),props.children);});var SplitScreen20=/*#__PURE__*/React.forwardRef(function SplitScreen20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("path",{d:"M10,7V25H4V7h6m0-2H4A2,2,0,0,0,2,7V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,7V25H22V7h6m0-2H22a2,2,0,0,0-2,2V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),props.children);});var SplitScreen16=/*#__PURE__*/React.forwardRef(function SplitScreen16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"24",x:"15",y:"4"}),React.createElement("path",{d:"M10,7V25H4V7h6m0-2H4A2,2,0,0,0,2,7V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M28,7V25H22V7h6m0-2H22a2,2,0,0,0-2,2V25a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V7a2,2,0,0,0-2-2Z"}),props.children);});var SprayPaint32=/*#__PURE__*/React.forwardRef(function SprayPaint32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,23A4.5,4.5,0,1,1,27,18.5,4.505,4.505,0,0,1,22.5,23Zm0-7A2.5,2.5,0,1,0,25,18.5,2.5026,2.5026,0,0,0,22.5,16Z"}),React.createElement("path",{d:"M28,8H26V3H19V8H17a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V10A2.0023,2.0023,0,0,0,28,8ZM21,5h3V8H21ZM17,28V10H28l.002,18Z"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"14"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"12",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"4"}),props.children);});var SprayPaint24=/*#__PURE__*/React.forwardRef(function SprayPaint24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,23A4.5,4.5,0,1,1,27,18.5,4.505,4.505,0,0,1,22.5,23Zm0-7A2.5,2.5,0,1,0,25,18.5,2.5026,2.5026,0,0,0,22.5,16Z"}),React.createElement("path",{d:"M28,8H26V3H19V8H17a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V10A2.0023,2.0023,0,0,0,28,8ZM21,5h3V8H21ZM17,28V10H28l.002,18Z"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"14"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"12",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"4"}),props.children);});var SprayPaint20=/*#__PURE__*/React.forwardRef(function SprayPaint20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,23A4.5,4.5,0,1,1,27,18.5,4.505,4.505,0,0,1,22.5,23Zm0-7A2.5,2.5,0,1,0,25,18.5,2.5026,2.5026,0,0,0,22.5,16Z"}),React.createElement("path",{d:"M28,8H26V3H19V8H17a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V10A2.0023,2.0023,0,0,0,28,8ZM21,5h3V8H21ZM17,28V10H28l.002,18Z"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"14"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"12",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"4"}),props.children);});var SprayPaint16=/*#__PURE__*/React.forwardRef(function SprayPaint16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.5,23A4.5,4.5,0,1,1,27,18.5,4.505,4.505,0,0,1,22.5,23Zm0-7A2.5,2.5,0,1,0,25,18.5,2.5026,2.5026,0,0,0,22.5,16Z"}),React.createElement("path",{d:"M28,8H26V3H19V8H17a2.002,2.002,0,0,0-2,2V28a2.0023,2.0023,0,0,0,2,2H28a2.0027,2.0027,0,0,0,2-2V10A2.0023,2.0023,0,0,0,28,8ZM21,5h3V8H21ZM17,28V10H28l.002,18Z"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"14"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"9"}),React.createElement("rect",{width:"3",height:"3",x:"12",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"7",y:"4"}),React.createElement("rect",{width:"3",height:"3",x:"2",y:"4"}),props.children);});var Sprout32=/*#__PURE__*/React.forwardRef(function Sprout32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,2A11.01,11.01,0,0,0,14.7549,9.0244,6.9939,6.9939,0,0,0,9,6H6V9a7.0078,7.0078,0,0,0,7,7h1v9.0493a9.9229,9.9229,0,0,0-6.071,2.8794l1.414,1.4141a8,8,0,0,1,12.3086,1.2134l1.6616-1.1128A9.98,9.98,0,0,0,16,25.062V16h1A11.0125,11.0125,0,0,0,28,5V2ZM13,14A5.0057,5.0057,0,0,1,8,9V8H9a5.0054,5.0054,0,0,1,5,5v1ZM26,5a9.01,9.01,0,0,1-9,9H16V13a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Sprout24=/*#__PURE__*/React.forwardRef(function Sprout24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,2A11.01,11.01,0,0,0,14.7549,9.0244,6.9939,6.9939,0,0,0,9,6H6V9a7.0078,7.0078,0,0,0,7,7h1v9.0493a9.9229,9.9229,0,0,0-6.071,2.8794l1.414,1.4141a8,8,0,0,1,12.3086,1.2134l1.6616-1.1128A9.98,9.98,0,0,0,16,25.062V16h1A11.0125,11.0125,0,0,0,28,5V2ZM13,14A5.0057,5.0057,0,0,1,8,9V8H9a5.0054,5.0054,0,0,1,5,5v1ZM26,5a9.01,9.01,0,0,1-9,9H16V13a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Sprout20=/*#__PURE__*/React.forwardRef(function Sprout20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,2A11.01,11.01,0,0,0,14.7549,9.0244,6.9939,6.9939,0,0,0,9,6H6V9a7.0078,7.0078,0,0,0,7,7h1v9.0493a9.9229,9.9229,0,0,0-6.071,2.8794l1.414,1.4141a8,8,0,0,1,12.3086,1.2134l1.6616-1.1128A9.98,9.98,0,0,0,16,25.062V16h1A11.0125,11.0125,0,0,0,28,5V2ZM13,14A5.0057,5.0057,0,0,1,8,9V8H9a5.0054,5.0054,0,0,1,5,5v1ZM26,5a9.01,9.01,0,0,1-9,9H16V13a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Sprout16=/*#__PURE__*/React.forwardRef(function Sprout16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,2A11.01,11.01,0,0,0,14.7549,9.0244,6.9939,6.9939,0,0,0,9,6H6V9a7.0078,7.0078,0,0,0,7,7h1v9.0493a9.9229,9.9229,0,0,0-6.071,2.8794l1.414,1.4141a8,8,0,0,1,12.3086,1.2134l1.6616-1.1128A9.98,9.98,0,0,0,16,25.062V16h1A11.0125,11.0125,0,0,0,28,5V2ZM13,14A5.0057,5.0057,0,0,1,8,9V8H9a5.0054,5.0054,0,0,1,5,5v1ZM26,5a9.01,9.01,0,0,1-9,9H16V13a9.01,9.01,0,0,1,9-9h1Z"}),props.children);});var Stamp32=/*#__PURE__*/React.forwardRef(function Stamp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18H20V14.8982a7.4938,7.4938,0,0,1,1.1587-3.8542,5.9751,5.9751,0,0,0-1.3735-7.7006,5.9968,5.9968,0,0,0-9.6829,3.54,5.91,5.91,0,0,0,.7478,4.175A7.2573,7.2573,0,0,1,12,14.7942V18H6a2.002,2.002,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2v2a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V26a2.0025,2.0025,0,0,0,2-2V20A2.002,2.002,0,0,0,26,18ZM12.07,7.244a3.9994,3.9994,0,1,1,7.3728,2.7731A9.76,9.76,0,0,0,18.0664,14H13.94a9.5433,9.5433,0,0,0-1.376-3.9736A3.9366,3.9366,0,0,1,12.07,7.244ZM18,16v2H14V16Zm6,12H8V26H24ZM6,24V20H26v4Z"}),props.children);});var Stamp24=/*#__PURE__*/React.forwardRef(function Stamp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18H20V14.8982a7.4938,7.4938,0,0,1,1.1587-3.8542,5.9751,5.9751,0,0,0-1.3735-7.7006,5.9968,5.9968,0,0,0-9.6829,3.54,5.91,5.91,0,0,0,.7478,4.175A7.2573,7.2573,0,0,1,12,14.7942V18H6a2.002,2.002,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2v2a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V26a2.0025,2.0025,0,0,0,2-2V20A2.002,2.002,0,0,0,26,18ZM12.07,7.244a3.9994,3.9994,0,1,1,7.3728,2.7731A9.76,9.76,0,0,0,18.0664,14H13.94a9.5433,9.5433,0,0,0-1.376-3.9736A3.9366,3.9366,0,0,1,12.07,7.244ZM18,16v2H14V16Zm6,12H8V26H24ZM6,24V20H26v4Z"}),props.children);});var Stamp20=/*#__PURE__*/React.forwardRef(function Stamp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18H20V14.8982a7.4938,7.4938,0,0,1,1.1587-3.8542,5.9751,5.9751,0,0,0-1.3735-7.7006,5.9968,5.9968,0,0,0-9.6829,3.54,5.91,5.91,0,0,0,.7478,4.175A7.2573,7.2573,0,0,1,12,14.7942V18H6a2.002,2.002,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2v2a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V26a2.0025,2.0025,0,0,0,2-2V20A2.002,2.002,0,0,0,26,18ZM12.07,7.244a3.9994,3.9994,0,1,1,7.3728,2.7731A9.76,9.76,0,0,0,18.0664,14H13.94a9.5433,9.5433,0,0,0-1.376-3.9736A3.9366,3.9366,0,0,1,12.07,7.244ZM18,16v2H14V16Zm6,12H8V26H24ZM6,24V20H26v4Z"}),props.children);});var Stamp16=/*#__PURE__*/React.forwardRef(function Stamp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,18H20V14.8982a7.4938,7.4938,0,0,1,1.1587-3.8542,5.9751,5.9751,0,0,0-1.3735-7.7006,5.9968,5.9968,0,0,0-9.6829,3.54,5.91,5.91,0,0,0,.7478,4.175A7.2573,7.2573,0,0,1,12,14.7942V18H6a2.002,2.002,0,0,0-2,2v4a2.0025,2.0025,0,0,0,2,2v2a2.0025,2.0025,0,0,0,2,2H24a2.0025,2.0025,0,0,0,2-2V26a2.0025,2.0025,0,0,0,2-2V20A2.002,2.002,0,0,0,26,18ZM12.07,7.244a3.9994,3.9994,0,1,1,7.3728,2.7731A9.76,9.76,0,0,0,18.0664,14H13.94a9.5433,9.5433,0,0,0-1.376-3.9736A3.9366,3.9366,0,0,1,12.07,7.244ZM18,16v2H14V16Zm6,12H8V26H24ZM6,24V20H26v4Z"}),props.children);});var StarFilled32=/*#__PURE__*/React.forwardRef(function StarFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2l-4.55,9.22L1.28,12.69l7.36,7.18L6.9,30,16,25.22,25.1,30,23.36,19.87l7.36-7.17L20.55,11.22Z"}),props.children);});var StarFilled24=/*#__PURE__*/React.forwardRef(function StarFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2l-4.55,9.22L1.28,12.69l7.36,7.18L6.9,30,16,25.22,25.1,30,23.36,19.87l7.36-7.17L20.55,11.22Z"}),props.children);});var StarFilled20=/*#__PURE__*/React.forwardRef(function StarFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2l-4.55,9.22L1.28,12.69l7.36,7.18L6.9,30,16,25.22,25.1,30,23.36,19.87l7.36-7.17L20.55,11.22Z"}),props.children);});var StarHalf32=/*#__PURE__*/React.forwardRef(function StarHalf32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.45 11.22 1.28 12.7 8.64 19.87 6.9 30 16 25.22 16 2 11.45 11.22"}),props.children);});var StarHalf24=/*#__PURE__*/React.forwardRef(function StarHalf24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.45 11.22 1.28 12.7 8.64 19.87 6.9 30 16 25.22 16 2 11.45 11.22"}),props.children);});var StarHalf20=/*#__PURE__*/React.forwardRef(function StarHalf20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11.45 11.22 1.28 12.7 8.64 19.87 6.9 30 16 25.22 16 2 11.45 11.22"}),props.children);});var Star32=/*#__PURE__*/React.forwardRef(function Star32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,6.52l2.76,5.58.46,1,1,.15,6.16.89L22,18.44l-.75.73.18,1,1.05,6.13-5.51-2.89L16,23l-.93.49L9.56,26.34l1-6.13.18-1L10,18.44,5.58,14.09l6.16-.89,1-.15.46-1L16,6.52M16,2l-4.55,9.22L1.28,12.69l7.36,7.18L6.9,30,16,25.22,25.1,30,23.36,19.87l7.36-7.17L20.55,11.22Z"}),props.children);});var Star24=/*#__PURE__*/React.forwardRef(function Star24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,6.52l2.76,5.58.46,1,1,.15,6.16.89L22,18.44l-.75.73.18,1,1.05,6.13-5.51-2.89L16,23l-.93.49L9.56,26.34l1-6.13.18-1L10,18.44,5.58,14.09l6.16-.89,1-.15.46-1L16,6.52M16,2l-4.55,9.22L1.28,12.69l7.36,7.18L6.9,30,16,25.22,25.1,30,23.36,19.87l7.36-7.17L20.55,11.22Z"}),props.children);});var Star20=/*#__PURE__*/React.forwardRef(function Star20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,6.52l2.76,5.58.46,1,1,.15,6.16.89L22,18.44l-.75.73.18,1,1.05,6.13-5.51-2.89L16,23l-.93.49L9.56,26.34l1-6.13.18-1L10,18.44,5.58,14.09l6.16-.89,1-.15.46-1L16,6.52M16,2l-4.55,9.22L1.28,12.69l7.36,7.18L6.9,30,16,25.22,25.1,30,23.36,19.87l7.36-7.17L20.55,11.22Z"}),props.children);});var StopFilledAlt32=/*#__PURE__*/React.forwardRef(function StopFilledAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,6H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var StopFilledAlt24=/*#__PURE__*/React.forwardRef(function StopFilledAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,6H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var StopFilledAlt20=/*#__PURE__*/React.forwardRef(function StopFilledAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,6H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var StopFilledAlt16=/*#__PURE__*/React.forwardRef(function StopFilledAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,6H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var StopFilled32=/*#__PURE__*/React.forwardRef(function StopFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm6,18a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V12a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2Z"}),props.children);});var StopFilled24=/*#__PURE__*/React.forwardRef(function StopFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm6,18a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V12a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2Z"}),props.children);});var StopFilled20=/*#__PURE__*/React.forwardRef(function StopFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm6,18a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V12a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2Z"}),props.children);});var StopOutlineFilled32=/*#__PURE__*/React.forwardRef(function StopOutlineFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm6,18a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V12a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2Z"}),React.createElement("rect",{width:"8",height:"8",x:"12",y:"12"}),props.children);});var StopOutlineFilled24=/*#__PURE__*/React.forwardRef(function StopOutlineFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm6,18a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V12a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2Z"}),React.createElement("rect",{width:"8",height:"8",x:"12",y:"12"}),props.children);});var StopOutlineFilled20=/*#__PURE__*/React.forwardRef(function StopOutlineFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm6,18a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V12a2,2,0,0,1,2-2h8a2,2,0,0,1,2,2Z"}),React.createElement("rect",{width:"8",height:"8",x:"12",y:"12"}),props.children);});var StopOutline32=/*#__PURE__*/React.forwardRef(function StopOutline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M20,12v8H12V12h8m0-2H12a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V12a2,2,0,0,0-2-2Z"}),props.children);});var StopOutline24=/*#__PURE__*/React.forwardRef(function StopOutline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M20,12v8H12V12h8m0-2H12a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V12a2,2,0,0,0-2-2Z"}),props.children);});var StopOutline20=/*#__PURE__*/React.forwardRef(function StopOutline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4A12,12,0,1,1,4,16,12,12,0,0,1,16,4m0-2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Z"}),React.createElement("path",{d:"M20,12v8H12V12h8m0-2H12a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2h8a2,2,0,0,0,2-2V12a2,2,0,0,0-2-2Z"}),props.children);});var Stop32=/*#__PURE__*/React.forwardRef(function Stop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,8V24H8V8H24m0-2H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var Stop24=/*#__PURE__*/React.forwardRef(function Stop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,8V24H8V8H24m0-2H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var Stop20=/*#__PURE__*/React.forwardRef(function Stop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,8V24H8V8H24m0-2H8A2,2,0,0,0,6,8V24a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8a2,2,0,0,0-2-2Z"}),props.children);});var Store32=/*#__PURE__*/React.forwardRef(function Store32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10.68l-2-6A1,1,0,0,0,27,4H5a1,1,0,0,0-1,.68l-2,6A1.19,1.19,0,0,0,2,11v6a1,1,0,0,0,1,1H4V28H6V18h6V28H28V18h1a1,1,0,0,0,1-1V11A1.19,1.19,0,0,0,30,10.68ZM26,26H14V18H26Zm2-10H24V12H22v4H17V12H15v4H10V12H8v4H4V11.16L5.72,6H26.28L28,11.16Z"}),props.children);});var Store24=/*#__PURE__*/React.forwardRef(function Store24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10.68l-2-6A1,1,0,0,0,27,4H5a1,1,0,0,0-1,.68l-2,6A1.19,1.19,0,0,0,2,11v6a1,1,0,0,0,1,1H4V28H6V18h6V28H28V18h1a1,1,0,0,0,1-1V11A1.19,1.19,0,0,0,30,10.68ZM26,26H14V18H26Zm2-10H24V12H22v4H17V12H15v4H10V12H8v4H4V11.16L5.72,6H26.28L28,11.16Z"}),props.children);});var Store20=/*#__PURE__*/React.forwardRef(function Store20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10.68l-2-6A1,1,0,0,0,27,4H5a1,1,0,0,0-1,.68l-2,6A1.19,1.19,0,0,0,2,11v6a1,1,0,0,0,1,1H4V28H6V18h6V28H28V18h1a1,1,0,0,0,1-1V11A1.19,1.19,0,0,0,30,10.68ZM26,26H14V18H26Zm2-10H24V12H22v4H17V12H15v4H10V12H8v4H4V11.16L5.72,6H26.28L28,11.16Z"}),props.children);});var Store16=/*#__PURE__*/React.forwardRef(function Store16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,10.68l-2-6A1,1,0,0,0,27,4H5a1,1,0,0,0-1,.68l-2,6A1.19,1.19,0,0,0,2,11v6a1,1,0,0,0,1,1H4V28H6V18h6V28H28V18h1a1,1,0,0,0,1-1V11A1.19,1.19,0,0,0,30,10.68ZM26,26H14V18H26Zm2-10H24V12H22v4H17V12H15v4H10V12H8v4H4V11.16L5.72,6H26.28L28,11.16Z"}),props.children);});var Strawberry32=/*#__PURE__*/React.forwardRef(function Strawberry32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"9",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"12"}),React.createElement("path",{d:"M9,28a5.169,5.169,0,0,1-.7441-.054A5.0935,5.0935,0,0,1,4,22.8669V11.1985a7.1615,7.1615,0,0,1,6.31-7.1653,6.9607,6.9607,0,0,1,4.4643,1.0706l7.9688,4.9807a6.98,6.98,0,0,1-.6885,12.19l-10.88,5.2285A4.9765,4.9765,0,0,1,9,28ZM11.002,6q-.2484,0-.5005.0241A5.1463,5.1463,0,0,0,6,11.1985V22.8669a3.0839,3.0839,0,0,0,2.5435,3.1,3.0266,3.0266,0,0,0,1.7622-.2649l10.8828-5.23a4.9807,4.9807,0,0,0,.4887-8.6958L13.7046,6.7935A4.9687,4.9687,0,0,0,11.002,6Z"}),React.createElement("path",{d:"M26,7H22a4.0045,4.0045,0,0,1-4-4V2h2V3a2.0021,2.0021,0,0,0,2,2h4Z"}),props.children);});var Strawberry24=/*#__PURE__*/React.forwardRef(function Strawberry24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"9",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"12"}),React.createElement("path",{d:"M9,28a5.169,5.169,0,0,1-.7441-.054A5.0935,5.0935,0,0,1,4,22.8669V11.1985a7.1615,7.1615,0,0,1,6.31-7.1653,6.9607,6.9607,0,0,1,4.4643,1.0706l7.9688,4.9807a6.98,6.98,0,0,1-.6885,12.19l-10.88,5.2285A4.9765,4.9765,0,0,1,9,28ZM11.002,6q-.2484,0-.5005.0241A5.1463,5.1463,0,0,0,6,11.1985V22.8669a3.0839,3.0839,0,0,0,2.5435,3.1,3.0266,3.0266,0,0,0,1.7622-.2649l10.8828-5.23a4.9807,4.9807,0,0,0,.4887-8.6958L13.7046,6.7935A4.9687,4.9687,0,0,0,11.002,6Z"}),React.createElement("path",{d:"M26,7H22a4.0045,4.0045,0,0,1-4-4V2h2V3a2.0021,2.0021,0,0,0,2,2h4Z"}),props.children);});var Strawberry20=/*#__PURE__*/React.forwardRef(function Strawberry20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"9",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"12"}),React.createElement("path",{d:"M9,28a5.169,5.169,0,0,1-.7441-.054A5.0935,5.0935,0,0,1,4,22.8669V11.1985a7.1615,7.1615,0,0,1,6.31-7.1653,6.9607,6.9607,0,0,1,4.4643,1.0706l7.9688,4.9807a6.98,6.98,0,0,1-.6885,12.19l-10.88,5.2285A4.9765,4.9765,0,0,1,9,28ZM11.002,6q-.2484,0-.5005.0241A5.1463,5.1463,0,0,0,6,11.1985V22.8669a3.0839,3.0839,0,0,0,2.5435,3.1,3.0266,3.0266,0,0,0,1.7622-.2649l10.8828-5.23a4.9807,4.9807,0,0,0,.4887-8.6958L13.7046,6.7935A4.9687,4.9687,0,0,0,11.002,6Z"}),React.createElement("path",{d:"M26,7H22a4.0045,4.0045,0,0,1-4-4V2h2V3a2.0021,2.0021,0,0,0,2,2h4Z"}),props.children);});var Strawberry16=/*#__PURE__*/React.forwardRef(function Strawberry16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"9",y:"10"}),React.createElement("rect",{width:"2",height:"2",x:"9",y:"14"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"12"}),React.createElement("path",{d:"M9,28a5.169,5.169,0,0,1-.7441-.054A5.0935,5.0935,0,0,1,4,22.8669V11.1985a7.1615,7.1615,0,0,1,6.31-7.1653,6.9607,6.9607,0,0,1,4.4643,1.0706l7.9688,4.9807a6.98,6.98,0,0,1-.6885,12.19l-10.88,5.2285A4.9765,4.9765,0,0,1,9,28ZM11.002,6q-.2484,0-.5005.0241A5.1463,5.1463,0,0,0,6,11.1985V22.8669a3.0839,3.0839,0,0,0,2.5435,3.1,3.0266,3.0266,0,0,0,1.7622-.2649l10.8828-5.23a4.9807,4.9807,0,0,0,.4887-8.6958L13.7046,6.7935A4.9687,4.9687,0,0,0,11.002,6Z"}),React.createElement("path",{d:"M26,7H22a4.0045,4.0045,0,0,1-4-4V2h2V3a2.0021,2.0021,0,0,0,2,2h4Z"}),props.children);});var StringInteger32=/*#__PURE__*/React.forwardRef(function StringInteger32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,12H22v2h4v2H23v2h3v2H22v2h4a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,26,12Z"}),React.createElement("path",{d:"M19,22H13V18a2.002,2.002,0,0,1,2-2h2V14H13V12h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H15v2h4Z"}),React.createElement("polygon",{points:"8 20 8 12 6 12 6 13 4 13 4 15 6 15 6 20 4 20 4 22 10 22 10 20 8 20"}),props.children);});var StringInteger24=/*#__PURE__*/React.forwardRef(function StringInteger24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,12H22v2h4v2H23v2h3v2H22v2h4a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,26,12Z"}),React.createElement("path",{d:"M19,22H13V18a2.002,2.002,0,0,1,2-2h2V14H13V12h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H15v2h4Z"}),React.createElement("polygon",{points:"8 20 8 12 6 12 6 13 4 13 4 15 6 15 6 20 4 20 4 22 10 22 10 20 8 20"}),props.children);});var StringInteger20=/*#__PURE__*/React.forwardRef(function StringInteger20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,12H22v2h4v2H23v2h3v2H22v2h4a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,26,12Z"}),React.createElement("path",{d:"M19,22H13V18a2.002,2.002,0,0,1,2-2h2V14H13V12h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H15v2h4Z"}),React.createElement("polygon",{points:"8 20 8 12 6 12 6 13 4 13 4 15 6 15 6 20 4 20 4 22 10 22 10 20 8 20"}),props.children);});var StringInteger16=/*#__PURE__*/React.forwardRef(function StringInteger16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,12H22v2h4v2H23v2h3v2H22v2h4a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,26,12Z"}),React.createElement("path",{d:"M19,22H13V18a2.002,2.002,0,0,1,2-2h2V14H13V12h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H15v2h4Z"}),React.createElement("polygon",{points:"8 20 8 12 6 12 6 13 4 13 4 15 6 15 6 20 4 20 4 22 10 22 10 20 8 20"}),props.children);});var StringText32=/*#__PURE__*/React.forwardRef(function StringText32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H24a2.0027,2.0027,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h5v2H24v6h5Z"}),React.createElement("path",{d:"M18,12H14V8H12V22h6a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,18,12Zm-4,8V14h4v6Z"}),React.createElement("path",{d:"M8,12H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V14A2.0023,2.0023,0,0,0,8,12Zm0,8H4V18H8Z"}),props.children);});var StringText24=/*#__PURE__*/React.forwardRef(function StringText24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H24a2.0027,2.0027,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h5v2H24v6h5Z"}),React.createElement("path",{d:"M18,12H14V8H12V22h6a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,18,12Zm-4,8V14h4v6Z"}),React.createElement("path",{d:"M8,12H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V14A2.0023,2.0023,0,0,0,8,12Zm0,8H4V18H8Z"}),props.children);});var StringText20=/*#__PURE__*/React.forwardRef(function StringText20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H24a2.0027,2.0027,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h5v2H24v6h5Z"}),React.createElement("path",{d:"M18,12H14V8H12V22h6a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,18,12Zm-4,8V14h4v6Z"}),React.createElement("path",{d:"M8,12H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V14A2.0023,2.0023,0,0,0,8,12Zm0,8H4V18H8Z"}),props.children);});var StringText16=/*#__PURE__*/React.forwardRef(function StringText16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,22H24a2.0027,2.0027,0,0,1-2-2V14a2.0023,2.0023,0,0,1,2-2h5v2H24v6h5Z"}),React.createElement("path",{d:"M18,12H14V8H12V22h6a2.0027,2.0027,0,0,0,2-2V14A2.0023,2.0023,0,0,0,18,12Zm-4,8V14h4v6Z"}),React.createElement("path",{d:"M8,12H3v2H8v2H4a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V14A2.0023,2.0023,0,0,0,8,12Zm0,8H4V18H8Z"}),props.children);});var SubtractAlt32=/*#__PURE__*/React.forwardRef(function SubtractAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var SubtractAlt24=/*#__PURE__*/React.forwardRef(function SubtractAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var SubtractAlt20=/*#__PURE__*/React.forwardRef(function SubtractAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var SubtractAlt16=/*#__PURE__*/React.forwardRef(function SubtractAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4c6.6,0,12,5.4,12,12s-5.4,12-12,12S4,22.6,4,16S9.4,4,16,4 M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14\tS23.7,2,16,2z"}),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var Subtract32=/*#__PURE__*/React.forwardRef(function Subtract32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var Subtract24=/*#__PURE__*/React.forwardRef(function Subtract24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var Subtract20=/*#__PURE__*/React.forwardRef(function Subtract20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var Subtract16=/*#__PURE__*/React.forwardRef(function Subtract16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"8",y:"15"}),props.children);});var Sun32=/*#__PURE__*/React.forwardRef(function Sun32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sun24=/*#__PURE__*/React.forwardRef(function Sun24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sun20=/*#__PURE__*/React.forwardRef(function Sun20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sun16=/*#__PURE__*/React.forwardRef(function Sun16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sunny32=/*#__PURE__*/React.forwardRef(function Sunny32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sunny24=/*#__PURE__*/React.forwardRef(function Sunny24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sunny20=/*#__PURE__*/React.forwardRef(function Sunny20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sunny16=/*#__PURE__*/React.forwardRef(function Sunny16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,12a4,4,0,1,1-4,4,4.0045,4.0045,0,0,1,4-4m0-2a6,6,0,1,0,6,6,6,6,0,0,0-6-6Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"5.375",transform:"rotate(-45 7.86 7.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"5.375",y:"23.147",transform:"rotate(-45 7.86 24.149)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"25.005"}),React.createElement("rect",{width:"2",height:"4.958",x:"23.147",y:"21.668",transform:"rotate(-45 24.152 24.149)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"15.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"6.854",transform:"rotate(-45 24.152 7.856)"}),React.createElement("rect",{width:"2",height:"5",x:"15",y:"2.005"}),props.children);});var Sunrise32=/*#__PURE__*/React.forwardRef(function Sunrise32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.146 15.854)"}),React.createElement("polygon",{points:"16 4 11 9 12.41 10.41 15 7.83 15 8 15 15 17 15 17 8 17 7.83 19.59 10.41 21 9 16 4"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.854 15.854)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22"}),props.children);});var Sunrise24=/*#__PURE__*/React.forwardRef(function Sunrise24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.146 15.854)"}),React.createElement("polygon",{points:"16 4 11 9 12.41 10.41 15 7.83 15 8 15 15 17 15 17 8 17 7.83 19.59 10.41 21 9 16 4"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.854 15.854)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22"}),props.children);});var Sunrise20=/*#__PURE__*/React.forwardRef(function Sunrise20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.146 15.854)"}),React.createElement("polygon",{points:"16 4 11 9 12.41 10.41 15 7.83 15 8 15 15 17 15 17 8 17 7.83 19.59 10.41 21 9 16 4"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.854 15.854)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22"}),props.children);});var Sunrise16=/*#__PURE__*/React.forwardRef(function Sunrise16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.146 15.854)"}),React.createElement("polygon",{points:"16 4 11 9 12.41 10.41 15 7.83 15 8 15 15 17 15 17 8 17 7.83 19.59 10.41 21 9 16 4"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.854 15.854)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22"}),props.children);});var Sunset32=/*#__PURE__*/React.forwardRef(function Sunset32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27.005"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.152 15.856)"}),React.createElement("polygon",{points:"19.59 9.595 17 12.175 17 4.005 15 4.005 15 12.175 12.41 9.595 11 11.005 16 16.005 21 11.005 19.59 9.595"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.86 15.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22.005"}),props.children);});var Sunset24=/*#__PURE__*/React.forwardRef(function Sunset24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27.005"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.152 15.856)"}),React.createElement("polygon",{points:"19.59 9.595 17 12.175 17 4.005 15 4.005 15 12.175 12.41 9.595 11 11.005 16 16.005 21 11.005 19.59 9.595"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.86 15.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22.005"}),props.children);});var Sunset20=/*#__PURE__*/React.forwardRef(function Sunset20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27.005"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.152 15.856)"}),React.createElement("polygon",{points:"19.59 9.595 17 12.175 17 4.005 15 4.005 15 12.175 12.41 9.595 11 11.005 16 16.005 21 11.005 19.59 9.595"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.86 15.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22.005"}),props.children);});var Sunset16=/*#__PURE__*/React.forwardRef(function Sunset16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"27.998",height:"2",x:"2",y:"27.005"}),React.createElement("path",{d:"M16,20a4.0045,4.0045,0,0,1,4,4h2a6,6,0,0,0-12,0h2A4.0045,4.0045,0,0,1,16,20Z",transform:"translate(0 .005)"}),React.createElement("rect",{width:"5",height:"2",x:"25",y:"22.005"}),React.createElement("rect",{width:"4.958",height:"2",x:"21.668",y:"14.854",transform:"rotate(-45 24.152 15.856)"}),React.createElement("polygon",{points:"19.59 9.595 17 12.175 17 4.005 15 4.005 15 12.175 12.41 9.595 11 11.005 16 16.005 21 11.005 19.59 9.595"}),React.createElement("rect",{width:"2",height:"4.958",x:"6.854",y:"13.374",transform:"rotate(-45 7.86 15.856)"}),React.createElement("rect",{width:"5",height:"2",x:"2",y:"22.005"}),props.children);});var Switcher32=/*#__PURE__*/React.forwardRef(function Switcher32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var Switcher24=/*#__PURE__*/React.forwardRef(function Switcher24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var Switcher20=/*#__PURE__*/React.forwardRef(function Switcher20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var Switcher16=/*#__PURE__*/React.forwardRef(function Switcher16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"14",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"4"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"14"}),React.createElement("rect",{width:"4",height:"4",x:"14",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"4",y:"24"}),React.createElement("rect",{width:"4",height:"4",x:"24",y:"24"}),props.children);});var SysProvision32=/*#__PURE__*/React.forwardRef(function SysProvision32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 20 21 30 30 25 21 20"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,14,10Z"}),React.createElement("path",{d:"M25.9512,12.91l-.0064,0A12.05,12.05,0,1,0,17,25.605V23.5386a9.9813,9.9813,0,1,1,6.6235-6.81l1.9248.544A12.0341,12.0341,0,0,0,26,14Q26,13.4492,25.9512,12.91Z"}),props.children);});var SysProvision24=/*#__PURE__*/React.forwardRef(function SysProvision24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 20 21 30 30 25 21 20"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,14,10Z"}),React.createElement("path",{d:"M25.9512,12.91l-.0064,0A12.05,12.05,0,1,0,17,25.605V23.5386a9.9813,9.9813,0,1,1,6.6235-6.81l1.9248.544A12.0341,12.0341,0,0,0,26,14Q26,13.4492,25.9512,12.91Z"}),props.children);});var SysProvision20=/*#__PURE__*/React.forwardRef(function SysProvision20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 20 21 30 30 25 21 20"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,14,10Z"}),React.createElement("path",{d:"M25.9512,12.91l-.0064,0A12.05,12.05,0,1,0,17,25.605V23.5386a9.9813,9.9813,0,1,1,6.6235-6.81l1.9248.544A12.0341,12.0341,0,0,0,26,14Q26,13.4492,25.9512,12.91Z"}),props.children);});var SysProvision16=/*#__PURE__*/React.forwardRef(function SysProvision16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"21 20 21 30 30 25 21 20"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6.0066,6.0066,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4.0045,4.0045,0,0,0,14,10Z"}),React.createElement("path",{d:"M25.9512,12.91l-.0064,0A12.05,12.05,0,1,0,17,25.605V23.5386a9.9813,9.9813,0,1,1,6.6235-6.81l1.9248.544A12.0341,12.0341,0,0,0,26,14Q26,13.4492,25.9512,12.91Z"}),props.children);});var TableSplit32=/*#__PURE__*/React.forwardRef(function TableSplit32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V5A2,2,0,0,0,27,3Zm0,2V9H5V5ZM17,11H27v7H17Zm-2,7H5V11H15ZM5,20H15v7H5Zm12,7V20H27v7Z"}),props.children);});var TableSplit24=/*#__PURE__*/React.forwardRef(function TableSplit24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V5A2,2,0,0,0,27,3Zm0,2V9H5V5ZM17,11H27v7H17Zm-2,7H5V11H15ZM5,20H15v7H5Zm12,7V20H27v7Z"}),props.children);});var TableSplit20=/*#__PURE__*/React.forwardRef(function TableSplit20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V5A2,2,0,0,0,27,3Zm0,2V9H5V5ZM17,11H27v7H17Zm-2,7H5V11H15ZM5,20H15v7H5Zm12,7V20H27v7Z"}),props.children);});var TableSplit16=/*#__PURE__*/React.forwardRef(function TableSplit16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,3H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V5A2,2,0,0,0,27,3Zm0,2V9H5V5ZM17,11H27v7H17Zm-2,7H5V11H15ZM5,20H15v7H5Zm12,7V20H27v7Z"}),props.children);});var TableOfContents32=/*#__PURE__*/React.forwardRef(function TableOfContents32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"24"}),props.children);});var TableOfContents24=/*#__PURE__*/React.forwardRef(function TableOfContents24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"24"}),props.children);});var TableOfContents20=/*#__PURE__*/React.forwardRef(function TableOfContents20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"24"}),props.children);});var TableOfContents16=/*#__PURE__*/React.forwardRef(function TableOfContents16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"18",height:"2",x:"4",y:"6"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"12"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"18"}),React.createElement("rect",{width:"18",height:"2",x:"4",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"12"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"26",y:"24"}),props.children);});var Table32=/*#__PURE__*/React.forwardRef(function Table32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,5a2,2,0,0,0-2-2H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2ZM27,5V9H5V5Zm0,22H5V23H27Zm0-6H5V17H27Zm0-6H5V11H27Z"}),props.children);});var Table24=/*#__PURE__*/React.forwardRef(function Table24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,5a2,2,0,0,0-2-2H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2ZM27,5V9H5V5Zm0,22H5V23H27Zm0-6H5V17H27Zm0-6H5V11H27Z"}),props.children);});var Table20=/*#__PURE__*/React.forwardRef(function Table20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,5a2,2,0,0,0-2-2H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2ZM27,5V9H5V5Zm0,22H5V23H27Zm0-6H5V17H27Zm0-6H5V11H27Z"}),props.children);});var Table16=/*#__PURE__*/React.forwardRef(function Table16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,5a2,2,0,0,0-2-2H5A2,2,0,0,0,3,5V27a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2ZM27,5V9H5V5Zm0,22H5V23H27Zm0-6H5V17H27Zm0-6H5V11H27Z"}),props.children);});var TabletLandscape32=/*#__PURE__*/React.forwardRef(function TabletLandscape32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"24",y:"13"}),React.createElement("path",{d:"M30,7V25a2.0023,2.0023,0,0,1-2,2H4a2.002,2.002,0,0,1-2-2V7A2.0023,2.0023,0,0,1,4,5H28A2.0027,2.0027,0,0,1,30,7ZM4,25H28V7H4Z"}),props.children);});var TabletLandscape24=/*#__PURE__*/React.forwardRef(function TabletLandscape24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"24",y:"13"}),React.createElement("path",{d:"M30,7V25a2.0023,2.0023,0,0,1-2,2H4a2.002,2.002,0,0,1-2-2V7A2.0023,2.0023,0,0,1,4,5H28A2.0027,2.0027,0,0,1,30,7ZM4,25H28V7H4Z"}),props.children);});var TabletLandscape20=/*#__PURE__*/React.forwardRef(function TabletLandscape20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"24",y:"13"}),React.createElement("path",{d:"M30,7V25a2.0023,2.0023,0,0,1-2,2H4a2.002,2.002,0,0,1-2-2V7A2.0023,2.0023,0,0,1,4,5H28A2.0027,2.0027,0,0,1,30,7ZM4,25H28V7H4Z"}),props.children);});var TabletLandscape16=/*#__PURE__*/React.forwardRef(function TabletLandscape16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"24",y:"13"}),React.createElement("path",{d:"M30,7V25a2.0023,2.0023,0,0,1-2,2H4a2.002,2.002,0,0,1-2-2V7A2.0023,2.0023,0,0,1,4,5H28A2.0027,2.0027,0,0,1,30,7ZM4,25H28V7H4Z"}),props.children);});var Tablet32=/*#__PURE__*/React.forwardRef(function Tablet32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"15",y:"22",transform:"rotate(90 16 25)"}),React.createElement("path",{d:"M25,30H7a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,7,2H25a2.0023,2.0023,0,0,1,2,2V28A2.0027,2.0027,0,0,1,25,30ZM7,4V28H25V4Z"}),props.children);});var Tablet24=/*#__PURE__*/React.forwardRef(function Tablet24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"15",y:"22",transform:"rotate(90 16 25)"}),React.createElement("path",{d:"M25,30H7a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,7,2H25a2.0023,2.0023,0,0,1,2,2V28A2.0027,2.0027,0,0,1,25,30ZM7,4V28H25V4Z"}),props.children);});var Tablet20=/*#__PURE__*/React.forwardRef(function Tablet20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"15",y:"22",transform:"rotate(90 16 25)"}),React.createElement("path",{d:"M25,30H7a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,7,2H25a2.0023,2.0023,0,0,1,2,2V28A2.0027,2.0027,0,0,1,25,30ZM7,4V28H25V4Z"}),props.children);});var Tablet16=/*#__PURE__*/React.forwardRef(function Tablet16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"6",x:"15",y:"22",transform:"rotate(90 16 25)"}),React.createElement("path",{d:"M25,30H7a2.0023,2.0023,0,0,1-2-2V4A2.002,2.002,0,0,1,7,2H25a2.0023,2.0023,0,0,1,2,2V28A2.0027,2.0027,0,0,1,25,30ZM7,4V28H25V4Z"}),props.children);});var TagEdit32=/*#__PURE__*/React.forwardRef(function TagEdit32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.707,7.293l-3-3a.9994.9994,0,0,0-1.414,0L16,13.5859V18h4.4141L29.707,8.707A.9994.9994,0,0,0,29.707,7.293ZM19.5859,16H18V14.4141l5-5L24.5859,11ZM26,9.5859,24.4141,8,26,6.4141,27.5859,8Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,10,8Z"}),React.createElement("path",{d:"M29.4155,16.5859,27.0364,14.207l-1.4141,1.4141L28,18,18,28,4,14V4H14l4.3774,4.376,1.4141-1.4141L15.4138,2.584A2.0023,2.0023,0,0,0,14,2H4A2.0034,2.0034,0,0,0,2,4V14a2.0025,2.0025,0,0,0,.5842,1.4136l14,14a2.0019,2.0019,0,0,0,2.831,0l10-9.9995A2,2,0,0,0,29.4155,16.5859Z"}),props.children);});var TagEdit24=/*#__PURE__*/React.forwardRef(function TagEdit24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.707,7.293l-3-3a.9994.9994,0,0,0-1.414,0L16,13.5859V18h4.4141L29.707,8.707A.9994.9994,0,0,0,29.707,7.293ZM19.5859,16H18V14.4141l5-5L24.5859,11ZM26,9.5859,24.4141,8,26,6.4141,27.5859,8Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,10,8Z"}),React.createElement("path",{d:"M29.4155,16.5859,27.0364,14.207l-1.4141,1.4141L28,18,18,28,4,14V4H14l4.3774,4.376,1.4141-1.4141L15.4138,2.584A2.0023,2.0023,0,0,0,14,2H4A2.0034,2.0034,0,0,0,2,4V14a2.0025,2.0025,0,0,0,.5842,1.4136l14,14a2.0019,2.0019,0,0,0,2.831,0l10-9.9995A2,2,0,0,0,29.4155,16.5859Z"}),props.children);});var TagEdit20=/*#__PURE__*/React.forwardRef(function TagEdit20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.707,7.293l-3-3a.9994.9994,0,0,0-1.414,0L16,13.5859V18h4.4141L29.707,8.707A.9994.9994,0,0,0,29.707,7.293ZM19.5859,16H18V14.4141l5-5L24.5859,11ZM26,9.5859,24.4141,8,26,6.4141,27.5859,8Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,10,8Z"}),React.createElement("path",{d:"M29.4155,16.5859,27.0364,14.207l-1.4141,1.4141L28,18,18,28,4,14V4H14l4.3774,4.376,1.4141-1.4141L15.4138,2.584A2.0023,2.0023,0,0,0,14,2H4A2.0034,2.0034,0,0,0,2,4V14a2.0025,2.0025,0,0,0,.5842,1.4136l14,14a2.0019,2.0019,0,0,0,2.831,0l10-9.9995A2,2,0,0,0,29.4155,16.5859Z"}),props.children);});var TagEdit16=/*#__PURE__*/React.forwardRef(function TagEdit16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.707,7.293l-3-3a.9994.9994,0,0,0-1.414,0L16,13.5859V18h4.4141L29.707,8.707A.9994.9994,0,0,0,29.707,7.293ZM19.5859,16H18V14.4141l5-5L24.5859,11ZM26,9.5859,24.4141,8,26,6.4141,27.5859,8Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2.002,2.002,0,0,0,10,8Z"}),React.createElement("path",{d:"M29.4155,16.5859,27.0364,14.207l-1.4141,1.4141L28,18,18,28,4,14V4H14l4.3774,4.376,1.4141-1.4141L15.4138,2.584A2.0023,2.0023,0,0,0,14,2H4A2.0034,2.0034,0,0,0,2,4V14a2.0025,2.0025,0,0,0,.5842,1.4136l14,14a2.0019,2.0019,0,0,0,2.831,0l10-9.9995A2,2,0,0,0,29.4155,16.5859Z"}),props.children);});var TagGroup32=/*#__PURE__*/React.forwardRef(function TagGroup32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"14",r:"2"}),React.createElement("path",{d:"M16,30a1,1,0,0,1-.71-.29L4.59,19A2,2,0,0,1,4,17.59V10A2,2,0,0,1,6,8h7.59A2,2,0,0,1,15,8.59l10.71,10.7a1,1,0,0,1,0,1.42l-9,9A1,1,0,0,1,16,30ZM6,10v7.59l10,10L23.59,20l-10-10Z"}),React.createElement("path",{d:"M27.71,13.29,17,2.59A2,2,0,0,0,15.59,2H8A2,2,0,0,0,6,4V6H8V4h7.59l10,10-1.3,1.29,1.42,1.42,2-2A1,1,0,0,0,27.71,13.29Z"}),props.children);});var TagGroup24=/*#__PURE__*/React.forwardRef(function TagGroup24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"14",r:"2"}),React.createElement("path",{d:"M16,30a1,1,0,0,1-.71-.29L4.59,19A2,2,0,0,1,4,17.59V10A2,2,0,0,1,6,8h7.59A2,2,0,0,1,15,8.59l10.71,10.7a1,1,0,0,1,0,1.42l-9,9A1,1,0,0,1,16,30ZM6,10v7.59l10,10L23.59,20l-10-10Z"}),React.createElement("path",{d:"M27.71,13.29,17,2.59A2,2,0,0,0,15.59,2H8A2,2,0,0,0,6,4V6H8V4h7.59l10,10-1.3,1.29,1.42,1.42,2-2A1,1,0,0,0,27.71,13.29Z"}),props.children);});var TagGroup20=/*#__PURE__*/React.forwardRef(function TagGroup20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"14",r:"2"}),React.createElement("path",{d:"M16,30a1,1,0,0,1-.71-.29L4.59,19A2,2,0,0,1,4,17.59V10A2,2,0,0,1,6,8h7.59A2,2,0,0,1,15,8.59l10.71,10.7a1,1,0,0,1,0,1.42l-9,9A1,1,0,0,1,16,30ZM6,10v7.59l10,10L23.59,20l-10-10Z"}),React.createElement("path",{d:"M27.71,13.29,17,2.59A2,2,0,0,0,15.59,2H8A2,2,0,0,0,6,4V6H8V4h7.59l10,10-1.3,1.29,1.42,1.42,2-2A1,1,0,0,0,27.71,13.29Z"}),props.children);});var TagGroup16=/*#__PURE__*/React.forwardRef(function TagGroup16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10",cy:"14",r:"2"}),React.createElement("path",{d:"M16,30a1,1,0,0,1-.71-.29L4.59,19A2,2,0,0,1,4,17.59V10A2,2,0,0,1,6,8h7.59A2,2,0,0,1,15,8.59l10.71,10.7a1,1,0,0,1,0,1.42l-9,9A1,1,0,0,1,16,30ZM6,10v7.59l10,10L23.59,20l-10-10Z"}),React.createElement("path",{d:"M27.71,13.29,17,2.59A2,2,0,0,0,15.59,2H8A2,2,0,0,0,6,4V6H8V4h7.59l10,10-1.3,1.29,1.42,1.42,2-2A1,1,0,0,0,27.71,13.29Z"}),props.children);});var Tag32=/*#__PURE__*/React.forwardRef(function Tag32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.52,30a3,3,0,0,1-2.12-.88L2.88,15.61A3,3,0,0,1,2,13.49V5A3,3,0,0,1,5,2h8.49a3,3,0,0,1,2.12.88L29.12,16.39a3,3,0,0,1,0,4.25l-8.48,8.48A3,3,0,0,1,18.52,30ZM5,4A1,1,0,0,0,4,5v8.49a1,1,0,0,0,.3.71L17.81,27.71a1,1,0,0,0,1.41,0l8.49-8.49a1,1,0,0,0,0-1.41L14.2,4.3a1,1,0,0,0-.71-.3H5Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4,4,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,8Z"}),props.children);});var Tag24=/*#__PURE__*/React.forwardRef(function Tag24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.52,30a3,3,0,0,1-2.12-.88L2.88,15.61A3,3,0,0,1,2,13.49V5A3,3,0,0,1,5,2h8.49a3,3,0,0,1,2.12.88L29.12,16.39a3,3,0,0,1,0,4.25l-8.48,8.48A3,3,0,0,1,18.52,30ZM5,4A1,1,0,0,0,4,5v8.49a1,1,0,0,0,.3.71L17.81,27.71a1,1,0,0,0,1.41,0l8.49-8.49a1,1,0,0,0,0-1.41L14.2,4.3a1,1,0,0,0-.71-.3H5Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4,4,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,8Z"}),props.children);});var Tag20=/*#__PURE__*/React.forwardRef(function Tag20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.52,30a3,3,0,0,1-2.12-.88L2.88,15.61A3,3,0,0,1,2,13.49V5A3,3,0,0,1,5,2h8.49a3,3,0,0,1,2.12.88L29.12,16.39a3,3,0,0,1,0,4.25l-8.48,8.48A3,3,0,0,1,18.52,30ZM5,4A1,1,0,0,0,4,5v8.49a1,1,0,0,0,.3.71L17.81,27.71a1,1,0,0,0,1.41,0l8.49-8.49a1,1,0,0,0,0-1.41L14.2,4.3a1,1,0,0,0-.71-.3H5Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4,4,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,8Z"}),props.children);});var Tag16=/*#__PURE__*/React.forwardRef(function Tag16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.52,30a3,3,0,0,1-2.12-.88L2.88,15.61A3,3,0,0,1,2,13.49V5A3,3,0,0,1,5,2h8.49a3,3,0,0,1,2.12.88L29.12,16.39a3,3,0,0,1,0,4.25l-8.48,8.48A3,3,0,0,1,18.52,30ZM5,4A1,1,0,0,0,4,5v8.49a1,1,0,0,0,.3.71L17.81,27.71a1,1,0,0,0,1.41,0l8.49-8.49a1,1,0,0,0,0-1.41L14.2,4.3a1,1,0,0,0-.71-.3H5Z"}),React.createElement("path",{d:"M10,14a4,4,0,1,1,4-4A4,4,0,0,1,10,14Zm0-6a2,2,0,1,0,2,2A2,2,0,0,0,10,8Z"}),props.children);});var TaskView32=/*#__PURE__*/React.forwardRef(function TaskView32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H7V7h3v3H22V7h3v9h2V7a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2h5ZM12,4h8V8H12Z"}),props.children);});var TaskView24=/*#__PURE__*/React.forwardRef(function TaskView24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H7V7h3v3H22V7h3v9h2V7a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2h5ZM12,4h8V8H12Z"}),props.children);});var TaskView20=/*#__PURE__*/React.forwardRef(function TaskView20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H7V7h3v3H22V7h3v9h2V7a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2h5ZM12,4h8V8H12Z"}),props.children);});var TaskView16=/*#__PURE__*/React.forwardRef(function TaskView16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"22",cy:"24",r:"2"}),React.createElement("path",{fill:"none",d:"M22,28a4,4,0,1,1,4-4A4.0039,4.0039,0,0,1,22,28Zm0-6a2,2,0,1,0,2,2A2.0027,2.0027,0,0,0,22,22Z"}),React.createElement("path",{d:"M29.7769,23.4785A8.64,8.64,0,0,0,22,18a8.64,8.64,0,0,0-7.7769,5.4785L14,24l.2231.5215A8.64,8.64,0,0,0,22,30a8.64,8.64,0,0,0,7.7769-5.4785L30,24ZM22,28a4,4,0,1,1,4-4A4.0045,4.0045,0,0,1,22,28Z"}),React.createElement("path",{d:"M12,28H7V7h3v3H22V7h3v9h2V7a2,2,0,0,0-2-2H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2h5ZM12,4h8V8H12Z"}),props.children);});var Task32=/*#__PURE__*/React.forwardRef(function Task32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14 20.18 10.41 16.59 9 18 14 23 23 14 21.59 12.58 14 20.18"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Task24=/*#__PURE__*/React.forwardRef(function Task24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14 20.18 10.41 16.59 9 18 14 23 23 14 21.59 12.58 14 20.18"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Task20=/*#__PURE__*/React.forwardRef(function Task20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14 20.18 10.41 16.59 9 18 14 23 23 14 21.59 12.58 14 20.18"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Task16=/*#__PURE__*/React.forwardRef(function Task16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"14 20.18 10.41 16.59 9 18 14 23 23 14 21.59 12.58 14 20.18"}),React.createElement("path",{d:"M25,5H22V4a2,2,0,0,0-2-2H12a2,2,0,0,0-2,2V5H7A2,2,0,0,0,5,7V28a2,2,0,0,0,2,2H25a2,2,0,0,0,2-2V7A2,2,0,0,0,25,5ZM12,4h8V8H12ZM25,28H7V7h3v3H22V7h3Z"}),props.children);});var Taste32=/*#__PURE__*/React.forwardRef(function Taste32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V6H8v8a8,8,0,0,0,16,0V6h4V4ZM22,14a6,6,0,0,1-12,0V6h5v8h2V6h5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"24"}),props.children);});var Taste24=/*#__PURE__*/React.forwardRef(function Taste24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V6H8v8a8,8,0,0,0,16,0V6h4V4ZM22,14a6,6,0,0,1-12,0V6h5v8h2V6h5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"24"}),props.children);});var Taste20=/*#__PURE__*/React.forwardRef(function Taste20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V6H8v8a8,8,0,0,0,16,0V6h4V4ZM22,14a6,6,0,0,1-12,0V6h5v8h2V6h5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"24"}),props.children);});var Taste16=/*#__PURE__*/React.forwardRef(function Taste16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M4,4V6H8v8a8,8,0,0,0,16,0V6h4V4ZM22,14a6,6,0,0,1-12,0V6h5v8h2V6h5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"7",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"24"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"23",y:"24"}),props.children);});var Taxi32=/*#__PURE__*/React.forwardRef(function Taxi32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.39,16.08,22.7,13.21,20.16,8.87l-.08-.12A2,2,0,0,0,18.52,8h-8a2,2,0,0,0-1.67.89L5.46,14H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.39,16.08ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16H6a1,1,0,0,0,.83-.45L10.54,10h8l2.63,4.5a1,1,0,0,0,.47.42L28,17.66Z"}),props.children);});var Taxi24=/*#__PURE__*/React.forwardRef(function Taxi24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.39,16.08,22.7,13.21,20.16,8.87l-.08-.12A2,2,0,0,0,18.52,8h-8a2,2,0,0,0-1.67.89L5.46,14H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.39,16.08ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16H6a1,1,0,0,0,.83-.45L10.54,10h8l2.63,4.5a1,1,0,0,0,.47.42L28,17.66Z"}),props.children);});var Taxi20=/*#__PURE__*/React.forwardRef(function Taxi20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.39,16.08,22.7,13.21,20.16,8.87l-.08-.12A2,2,0,0,0,18.52,8h-8a2,2,0,0,0-1.67.89L5.46,14H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.39,16.08ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16H6a1,1,0,0,0,.83-.45L10.54,10h8l2.63,4.5a1,1,0,0,0,.47.42L28,17.66Z"}),props.children);});var Taxi16=/*#__PURE__*/React.forwardRef(function Taxi16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.39,16.08,22.7,13.21,20.16,8.87l-.08-.12A2,2,0,0,0,18.52,8h-8a2,2,0,0,0-1.67.89L5.46,14H3a1,1,0,0,0-1,1v9a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V17A1,1,0,0,0,29.39,16.08ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V16H6a1,1,0,0,0,.83-.45L10.54,10h8l2.63,4.5a1,1,0,0,0,.47.42L28,17.66Z"}),props.children);});var TemperatureFrigid32=/*#__PURE__*/React.forwardRef(function TemperatureFrigid32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.167 16.89 21.72 13 27.167 9.109 29.684 9.948 30.316 8.051 28 7.279 28 5 26 5 26 7.485 21 11.057 21 5.367 23.555 3.664 22.445 2 20 3.63 17.555 2 16.445 3.664 19 5.367 19 11.057 16 8.914 16 11.372 18.28 13 16 14.628 16 17.086 19 14.943 19 21.703 22.445 24 23.555 22.336 21 20.633 21 14.943 26 18.515 26 21 28 21 28 18.721 30.316 17.948 29.684 16.051 27.167 16.89"}),React.createElement("path",{d:"M12,23a3,3,0,0,1-6,0Z"}),React.createElement("path",{d:"M13,17.2617V6A4,4,0,0,0,5,6V17.2617a7,7,0,1,0,8,0ZM9,28a4.9965,4.9965,0,0,1-2.499-9.3252L7,18.3857V6a2,2,0,0,1,4,0V18.3857l.499.2891A4.9965,4.9965,0,0,1,9,28Z"}),props.children);});var TemperatureFrigid24=/*#__PURE__*/React.forwardRef(function TemperatureFrigid24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.167 16.89 21.72 13 27.167 9.109 29.684 9.948 30.316 8.051 28 7.279 28 5 26 5 26 7.485 21 11.057 21 5.367 23.555 3.664 22.445 2 20 3.63 17.555 2 16.445 3.664 19 5.367 19 11.057 16 8.914 16 11.372 18.28 13 16 14.628 16 17.086 19 14.943 19 21.703 22.445 24 23.555 22.336 21 20.633 21 14.943 26 18.515 26 21 28 21 28 18.721 30.316 17.948 29.684 16.051 27.167 16.89"}),React.createElement("path",{d:"M12,23a3,3,0,0,1-6,0Z"}),React.createElement("path",{d:"M13,17.2617V6A4,4,0,0,0,5,6V17.2617a7,7,0,1,0,8,0ZM9,28a4.9965,4.9965,0,0,1-2.499-9.3252L7,18.3857V6a2,2,0,0,1,4,0V18.3857l.499.2891A4.9965,4.9965,0,0,1,9,28Z"}),props.children);});var TemperatureFrigid20=/*#__PURE__*/React.forwardRef(function TemperatureFrigid20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.167 16.89 21.72 13 27.167 9.109 29.684 9.948 30.316 8.051 28 7.279 28 5 26 5 26 7.485 21 11.057 21 5.367 23.555 3.664 22.445 2 20 3.63 17.555 2 16.445 3.664 19 5.367 19 11.057 16 8.914 16 11.372 18.28 13 16 14.628 16 17.086 19 14.943 19 21.703 22.445 24 23.555 22.336 21 20.633 21 14.943 26 18.515 26 21 28 21 28 18.721 30.316 17.948 29.684 16.051 27.167 16.89"}),React.createElement("path",{d:"M12,23a3,3,0,0,1-6,0Z"}),React.createElement("path",{d:"M13,17.2617V6A4,4,0,0,0,5,6V17.2617a7,7,0,1,0,8,0ZM9,28a4.9965,4.9965,0,0,1-2.499-9.3252L7,18.3857V6a2,2,0,0,1,4,0V18.3857l.499.2891A4.9965,4.9965,0,0,1,9,28Z"}),props.children);});var TemperatureFrigid16=/*#__PURE__*/React.forwardRef(function TemperatureFrigid16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.167 16.89 21.72 13 27.167 9.109 29.684 9.948 30.316 8.051 28 7.279 28 5 26 5 26 7.485 21 11.057 21 5.367 23.555 3.664 22.445 2 20 3.63 17.555 2 16.445 3.664 19 5.367 19 11.057 16 8.914 16 11.372 18.28 13 16 14.628 16 17.086 19 14.943 19 21.703 22.445 24 23.555 22.336 21 20.633 21 14.943 26 18.515 26 21 28 21 28 18.721 30.316 17.948 29.684 16.051 27.167 16.89"}),React.createElement("path",{d:"M12,23a3,3,0,0,1-6,0Z"}),React.createElement("path",{d:"M13,17.2617V6A4,4,0,0,0,5,6V17.2617a7,7,0,1,0,8,0ZM9,28a4.9965,4.9965,0,0,1-2.499-9.3252L7,18.3857V6a2,2,0,0,1,4,0V18.3857l.499.2891A4.9965,4.9965,0,0,1,9,28Z"}),props.children);});var TemperatureHot32=/*#__PURE__*/React.forwardRef(function TemperatureHot32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"24.121",y:"19.121",transform:"rotate(-45 25.121 21.121)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"23.121",y:"5.879",transform:"rotate(-45 25.121 6.879)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("path",{d:"M18,8a6.0365,6.0365,0,0,0-1,.09v2.0518A3.9567,3.9567,0,0,1,18,10a4,4,0,0,1,0,8v2A6,6,0,0,0,18,8Z"}),React.createElement("path",{d:"M10,20.1839V7H8V20.1839a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M14,18.1377V7A5,5,0,0,0,4,7V18.1377A6.9894,6.9894,0,1,0,16,23,6.9411,6.9411,0,0,0,14,18.1377ZM9,28a5.0057,5.0057,0,0,1-5-5,4.9164,4.9164,0,0,1,1.0747-3.06c.094-.12.1953-.2329.2993-.3437.0518-.0547.1009-.1113.1548-.1636.11-.1064.2271-.2051.3462-.3013.0425-.0346.0815-.0727.125-.1059V7a3,3,0,0,1,6,0V19.0254c.0437.0332.0828.0718.1255.1064.1189.0962.2361.1944.3454.3008.0542.0523.1038.1094.1556.1641.1037.11.205.2236.2988.3432A4.9146,4.9146,0,0,1,14,23,5.0057,5.0057,0,0,1,9,28Z"}),props.children);});var TemperatureHot24=/*#__PURE__*/React.forwardRef(function TemperatureHot24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"24.121",y:"19.121",transform:"rotate(-45 25.121 21.121)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"23.121",y:"5.879",transform:"rotate(-45 25.121 6.879)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("path",{d:"M18,8a6.0365,6.0365,0,0,0-1,.09v2.0518A3.9567,3.9567,0,0,1,18,10a4,4,0,0,1,0,8v2A6,6,0,0,0,18,8Z"}),React.createElement("path",{d:"M10,20.1839V7H8V20.1839a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M14,18.1377V7A5,5,0,0,0,4,7V18.1377A6.9894,6.9894,0,1,0,16,23,6.9411,6.9411,0,0,0,14,18.1377ZM9,28a5.0057,5.0057,0,0,1-5-5,4.9164,4.9164,0,0,1,1.0747-3.06c.094-.12.1953-.2329.2993-.3437.0518-.0547.1009-.1113.1548-.1636.11-.1064.2271-.2051.3462-.3013.0425-.0346.0815-.0727.125-.1059V7a3,3,0,0,1,6,0V19.0254c.0437.0332.0828.0718.1255.1064.1189.0962.2361.1944.3454.3008.0542.0523.1038.1094.1556.1641.1037.11.205.2236.2988.3432A4.9146,4.9146,0,0,1,14,23,5.0057,5.0057,0,0,1,9,28Z"}),props.children);});var TemperatureHot20=/*#__PURE__*/React.forwardRef(function TemperatureHot20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"24.121",y:"19.121",transform:"rotate(-45 25.121 21.121)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"23.121",y:"5.879",transform:"rotate(-45 25.121 6.879)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("path",{d:"M18,8a6.0365,6.0365,0,0,0-1,.09v2.0518A3.9567,3.9567,0,0,1,18,10a4,4,0,0,1,0,8v2A6,6,0,0,0,18,8Z"}),React.createElement("path",{d:"M10,20.1839V7H8V20.1839a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M14,18.1377V7A5,5,0,0,0,4,7V18.1377A6.9894,6.9894,0,1,0,16,23,6.9411,6.9411,0,0,0,14,18.1377ZM9,28a5.0057,5.0057,0,0,1-5-5,4.9164,4.9164,0,0,1,1.0747-3.06c.094-.12.1953-.2329.2993-.3437.0518-.0547.1009-.1113.1548-.1636.11-.1064.2271-.2051.3462-.3013.0425-.0346.0815-.0727.125-.1059V7a3,3,0,0,1,6,0V19.0254c.0437.0332.0828.0718.1255.1064.1189.0962.2361.1944.3454.3008.0542.0523.1038.1094.1556.1641.1037.11.205.2236.2988.3432A4.9146,4.9146,0,0,1,14,23,5.0057,5.0057,0,0,1,9,28Z"}),props.children);});var TemperatureHot16=/*#__PURE__*/React.forwardRef(function TemperatureHot16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4",x:"24.121",y:"19.121",transform:"rotate(-45 25.121 21.121)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"23.121",y:"5.879",transform:"rotate(-45 25.121 6.879)"}),React.createElement("rect",{width:"2",height:"4",x:"17",y:"2"}),React.createElement("path",{d:"M18,8a6.0365,6.0365,0,0,0-1,.09v2.0518A3.9567,3.9567,0,0,1,18,10a4,4,0,0,1,0,8v2A6,6,0,0,0,18,8Z"}),React.createElement("path",{d:"M10,20.1839V7H8V20.1839a3,3,0,1,0,2,0Z"}),React.createElement("path",{d:"M14,18.1377V7A5,5,0,0,0,4,7V18.1377A6.9894,6.9894,0,1,0,16,23,6.9411,6.9411,0,0,0,14,18.1377ZM9,28a5.0057,5.0057,0,0,1-5-5,4.9164,4.9164,0,0,1,1.0747-3.06c.094-.12.1953-.2329.2993-.3437.0518-.0547.1009-.1113.1548-.1636.11-.1064.2271-.2051.3462-.3013.0425-.0346.0815-.0727.125-.1059V7a3,3,0,0,1,6,0V19.0254c.0437.0332.0828.0718.1255.1064.1189.0962.2361.1944.3454.3008.0542.0523.1038.1094.1556.1641.1037.11.205.2236.2988.3432A4.9146,4.9146,0,0,1,14,23,5.0057,5.0057,0,0,1,9,28Z"}),props.children);});var Temperature32=/*#__PURE__*/React.forwardRef(function Temperature32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17.26V6A4,4,0,0,0,5,6V17.26a7,7,0,1,0,8,0ZM9,4a2,2,0,0,1,2,2v7H7V6A2,2,0,0,1,9,4ZM9,28a5,5,0,0,1-2.5-9.33l.5-.28V15h4v3.39l.5.28A5,5,0,0,1,9,28Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"16"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"22"}),props.children);});var Temperature24=/*#__PURE__*/React.forwardRef(function Temperature24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17.26V6A4,4,0,0,0,5,6V17.26a7,7,0,1,0,8,0ZM9,4a2,2,0,0,1,2,2v7H7V6A2,2,0,0,1,9,4ZM9,28a5,5,0,0,1-2.5-9.33l.5-.28V15h4v3.39l.5.28A5,5,0,0,1,9,28Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"16"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"22"}),props.children);});var Temperature20=/*#__PURE__*/React.forwardRef(function Temperature20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17.26V6A4,4,0,0,0,5,6V17.26a7,7,0,1,0,8,0ZM9,4a2,2,0,0,1,2,2v7H7V6A2,2,0,0,1,9,4ZM9,28a5,5,0,0,1-2.5-9.33l.5-.28V15h4v3.39l.5.28A5,5,0,0,1,9,28Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"16"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"22"}),props.children);});var Temperature16=/*#__PURE__*/React.forwardRef(function Temperature16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,17.26V6A4,4,0,0,0,5,6V17.26a7,7,0,1,0,8,0ZM9,4a2,2,0,0,1,2,2v7H7V6A2,2,0,0,1,9,4ZM9,28a5,5,0,0,1-2.5-9.33l.5-.28V15h4v3.39l.5.28A5,5,0,0,1,9,28Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"10"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"16"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"22"}),props.children);});var Template32=/*#__PURE__*/React.forwardRef(function Template32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6v4H6V6H26m0-2H6A2,2,0,0,0,4,6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M10,16V26H6V16h4m0-2H6a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,16V26H16V16H26m0-2H16a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),props.children);});var Template24=/*#__PURE__*/React.forwardRef(function Template24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6v4H6V6H26m0-2H6A2,2,0,0,0,4,6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M10,16V26H6V16h4m0-2H6a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,16V26H16V16H26m0-2H16a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),props.children);});var Template20=/*#__PURE__*/React.forwardRef(function Template20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6v4H6V6H26m0-2H6A2,2,0,0,0,4,6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M10,16V26H6V16h4m0-2H6a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,16V26H16V16H26m0-2H16a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),props.children);});var Template16=/*#__PURE__*/React.forwardRef(function Template16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6v4H6V6H26m0-2H6A2,2,0,0,0,4,6v4a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M10,16V26H6V16h4m0-2H6a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,16V26H16V16H26m0-2H16a2,2,0,0,0-2,2V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V16a2,2,0,0,0-2-2Z"}),props.children);});var TennisBall32=/*#__PURE__*/React.forwardRef(function TennisBall32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,4a8.9812,8.9812,0,0,0-8.1687,12.7549L2,25.5859,3.4141,27l8.4873-8.4873a9.0408,9.0408,0,0,0,1.5859,1.5859L10,23.5859,11.4141,25l3.8313-3.8311A8.9959,8.9959,0,1,0,19,4Zm6.9058,7.9058a7.005,7.005,0,0,1-5.8116-5.8116A7.005,7.005,0,0,1,25.9058,11.9058ZM12.0942,14.0942a7.005,7.005,0,0,1,5.8116,5.8116A7.005,7.005,0,0,1,12.0942,14.0942ZM19.93,19.9307a9.01,9.01,0,0,0-7.8611-7.8614,7.004,7.004,0,0,1,6-6,9.01,9.01,0,0,0,7.8611,7.8614A7.004,7.004,0,0,1,19.93,19.9307Z"}),props.children);});var TennisBall24=/*#__PURE__*/React.forwardRef(function TennisBall24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,4a8.9812,8.9812,0,0,0-8.1687,12.7549L2,25.5859,3.4141,27l8.4873-8.4873a9.0408,9.0408,0,0,0,1.5859,1.5859L10,23.5859,11.4141,25l3.8313-3.8311A8.9959,8.9959,0,1,0,19,4Zm6.9058,7.9058a7.005,7.005,0,0,1-5.8116-5.8116A7.005,7.005,0,0,1,25.9058,11.9058ZM12.0942,14.0942a7.005,7.005,0,0,1,5.8116,5.8116A7.005,7.005,0,0,1,12.0942,14.0942ZM19.93,19.9307a9.01,9.01,0,0,0-7.8611-7.8614,7.004,7.004,0,0,1,6-6,9.01,9.01,0,0,0,7.8611,7.8614A7.004,7.004,0,0,1,19.93,19.9307Z"}),props.children);});var TennisBall20=/*#__PURE__*/React.forwardRef(function TennisBall20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,4a8.9812,8.9812,0,0,0-8.1687,12.7549L2,25.5859,3.4141,27l8.4873-8.4873a9.0408,9.0408,0,0,0,1.5859,1.5859L10,23.5859,11.4141,25l3.8313-3.8311A8.9959,8.9959,0,1,0,19,4Zm6.9058,7.9058a7.005,7.005,0,0,1-5.8116-5.8116A7.005,7.005,0,0,1,25.9058,11.9058ZM12.0942,14.0942a7.005,7.005,0,0,1,5.8116,5.8116A7.005,7.005,0,0,1,12.0942,14.0942ZM19.93,19.9307a9.01,9.01,0,0,0-7.8611-7.8614,7.004,7.004,0,0,1,6-6,9.01,9.01,0,0,0,7.8611,7.8614A7.004,7.004,0,0,1,19.93,19.9307Z"}),props.children);});var TennisBall16=/*#__PURE__*/React.forwardRef(function TennisBall16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M19,4a8.9812,8.9812,0,0,0-8.1687,12.7549L2,25.5859,3.4141,27l8.4873-8.4873a9.0408,9.0408,0,0,0,1.5859,1.5859L10,23.5859,11.4141,25l3.8313-3.8311A8.9959,8.9959,0,1,0,19,4Zm6.9058,7.9058a7.005,7.005,0,0,1-5.8116-5.8116A7.005,7.005,0,0,1,25.9058,11.9058ZM12.0942,14.0942a7.005,7.005,0,0,1,5.8116,5.8116A7.005,7.005,0,0,1,12.0942,14.0942ZM19.93,19.9307a9.01,9.01,0,0,0-7.8611-7.8614,7.004,7.004,0,0,1,6-6,9.01,9.01,0,0,0,7.8611,7.8614A7.004,7.004,0,0,1,19.93,19.9307Z"}),props.children);});var Tennis32=/*#__PURE__*/React.forwardRef(function Tennis32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"20",y:"2",rx:"2"}),React.createElement("path",{d:"M11,16a1,1,0,0,1-.707-1.707l7-7a1,1,0,1,1,1.414,1.414l-7,7A.9962.9962,0,0,1,11,16Z"}),React.createElement("path",{d:"M23.707,24.293a8.3948,8.3948,0,0,0-4.72-2.209c.1992-.1641.3931-.3364.5777-.521a9.2447,9.2447,0,0,0,1.7334-9.9141l-1.8768.6973c1.11,2.9805.6346,5.8975-1.2722,7.8022a6.6964,6.6964,0,0,1-5.561,1.8047,9.7746,9.7746,0,0,1-5.771-2.7856c-2.9727-2.97-4.0759-8.2276-.9805-11.32,1.9068-1.9053,4.8267-2.38,7.8094-1.271l.6987-1.875C10.6616,3.333,6.8591,3.9961,4.4207,6.4331c-3.9427,3.9385-2.6761,10.4956.98,14.1489a11.8136,11.8136,0,0,0,6.9766,3.36c.21.022.4153.0234.6223.0332V24h4.9968a6.8463,6.8463,0,0,1,4.2962,1.707L26.5859,30,28,28.5859Z"}),props.children);});var Tennis24=/*#__PURE__*/React.forwardRef(function Tennis24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"20",y:"2",rx:"2"}),React.createElement("path",{d:"M11,16a1,1,0,0,1-.707-1.707l7-7a1,1,0,1,1,1.414,1.414l-7,7A.9962.9962,0,0,1,11,16Z"}),React.createElement("path",{d:"M23.707,24.293a8.3948,8.3948,0,0,0-4.72-2.209c.1992-.1641.3931-.3364.5777-.521a9.2447,9.2447,0,0,0,1.7334-9.9141l-1.8768.6973c1.11,2.9805.6346,5.8975-1.2722,7.8022a6.6964,6.6964,0,0,1-5.561,1.8047,9.7746,9.7746,0,0,1-5.771-2.7856c-2.9727-2.97-4.0759-8.2276-.9805-11.32,1.9068-1.9053,4.8267-2.38,7.8094-1.271l.6987-1.875C10.6616,3.333,6.8591,3.9961,4.4207,6.4331c-3.9427,3.9385-2.6761,10.4956.98,14.1489a11.8136,11.8136,0,0,0,6.9766,3.36c.21.022.4153.0234.6223.0332V24h4.9968a6.8463,6.8463,0,0,1,4.2962,1.707L26.5859,30,28,28.5859Z"}),props.children);});var Tennis20=/*#__PURE__*/React.forwardRef(function Tennis20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"20",y:"2",rx:"2"}),React.createElement("path",{d:"M11,16a1,1,0,0,1-.707-1.707l7-7a1,1,0,1,1,1.414,1.414l-7,7A.9962.9962,0,0,1,11,16Z"}),React.createElement("path",{d:"M23.707,24.293a8.3948,8.3948,0,0,0-4.72-2.209c.1992-.1641.3931-.3364.5777-.521a9.2447,9.2447,0,0,0,1.7334-9.9141l-1.8768.6973c1.11,2.9805.6346,5.8975-1.2722,7.8022a6.6964,6.6964,0,0,1-5.561,1.8047,9.7746,9.7746,0,0,1-5.771-2.7856c-2.9727-2.97-4.0759-8.2276-.9805-11.32,1.9068-1.9053,4.8267-2.38,7.8094-1.271l.6987-1.875C10.6616,3.333,6.8591,3.9961,4.4207,6.4331c-3.9427,3.9385-2.6761,10.4956.98,14.1489a11.8136,11.8136,0,0,0,6.9766,3.36c.21.022.4153.0234.6223.0332V24h4.9968a6.8463,6.8463,0,0,1,4.2962,1.707L26.5859,30,28,28.5859Z"}),props.children);});var Tennis16=/*#__PURE__*/React.forwardRef(function Tennis16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"4",x:"20",y:"2",rx:"2"}),React.createElement("path",{d:"M11,16a1,1,0,0,1-.707-1.707l7-7a1,1,0,1,1,1.414,1.414l-7,7A.9962.9962,0,0,1,11,16Z"}),React.createElement("path",{d:"M23.707,24.293a8.3948,8.3948,0,0,0-4.72-2.209c.1992-.1641.3931-.3364.5777-.521a9.2447,9.2447,0,0,0,1.7334-9.9141l-1.8768.6973c1.11,2.9805.6346,5.8975-1.2722,7.8022a6.6964,6.6964,0,0,1-5.561,1.8047,9.7746,9.7746,0,0,1-5.771-2.7856c-2.9727-2.97-4.0759-8.2276-.9805-11.32,1.9068-1.9053,4.8267-2.38,7.8094-1.271l.6987-1.875C10.6616,3.333,6.8591,3.9961,4.4207,6.4331c-3.9427,3.9385-2.6761,10.4956.98,14.1489a11.8136,11.8136,0,0,0,6.9766,3.36c.21.022.4153.0234.6223.0332V24h4.9968a6.8463,6.8463,0,0,1,4.2962,1.707L26.5859,30,28,28.5859Z"}),props.children);});var Term32=/*#__PURE__*/React.forwardRef(function Term32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H25V24h3V8H25V6h3a2.0023,2.0023,0,0,1,2,2V24A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("circle",{cx:"23",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"9",cy:"16",r:"2"}),React.createElement("path",{d:"M7,26H4a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,4,6H7V8H4V24H7Z"}),props.children);});var Term24=/*#__PURE__*/React.forwardRef(function Term24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H25V24h3V8H25V6h3a2.0023,2.0023,0,0,1,2,2V24A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("circle",{cx:"23",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"9",cy:"16",r:"2"}),React.createElement("path",{d:"M7,26H4a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,4,6H7V8H4V24H7Z"}),props.children);});var Term20=/*#__PURE__*/React.forwardRef(function Term20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H25V24h3V8H25V6h3a2.0023,2.0023,0,0,1,2,2V24A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("circle",{cx:"23",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"9",cy:"16",r:"2"}),React.createElement("path",{d:"M7,26H4a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,4,6H7V8H4V24H7Z"}),props.children);});var Term16=/*#__PURE__*/React.forwardRef(function Term16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,26H25V24h3V8H25V6h3a2.0023,2.0023,0,0,1,2,2V24A2.0027,2.0027,0,0,1,28,26Z"}),React.createElement("circle",{cx:"23",cy:"16",r:"2"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),React.createElement("circle",{cx:"9",cy:"16",r:"2"}),React.createElement("path",{d:"M7,26H4a2.0023,2.0023,0,0,1-2-2V8A2.002,2.002,0,0,1,4,6H7V8H4V24H7Z"}),props.children);});var Terminal32=/*#__PURE__*/React.forwardRef(function Terminal32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,2v4H6V6ZM6,26V12H26V26Z",transform:"translate(0 .01)"}),React.createElement("polygon",{points:"10.76 16.18 13.58 19.01 10.76 21.84 12.17 23.25 16.41 19.01 12.17 14.77 10.76 16.18"}),props.children);});var Terminal24=/*#__PURE__*/React.forwardRef(function Terminal24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,2v4H6V6ZM6,26V12H26V26Z",transform:"translate(0 .01)"}),React.createElement("polygon",{points:"10.76 16.18 13.58 19.01 10.76 21.84 12.17 23.25 16.41 19.01 12.17 14.77 10.76 16.18"}),props.children);});var Terminal20=/*#__PURE__*/React.forwardRef(function Terminal20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,2v4H6V6ZM6,26V12H26V26Z",transform:"translate(0 .01)"}),React.createElement("polygon",{points:"10.76 16.18 13.58 19.01 10.76 21.84 12.17 23.25 16.41 19.01 12.17 14.77 10.76 16.18"}),props.children);});var Terminal16=/*#__PURE__*/React.forwardRef(function Terminal16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,4H6A2,2,0,0,0,4,6V26a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6A2,2,0,0,0,26,4Zm0,2v4H6V6ZM6,26V12H26V26Z",transform:"translate(0 .01)"}),React.createElement("polygon",{points:"10.76 16.18 13.58 19.01 10.76 21.84 12.17 23.25 16.41 19.01 12.17 14.77 10.76 16.18"}),props.children);});var TextAlignCenter32=/*#__PURE__*/React.forwardRef(function TextAlignCenter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"24"}),props.children);});var TextAlignCenter24=/*#__PURE__*/React.forwardRef(function TextAlignCenter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"24"}),props.children);});var TextAlignCenter20=/*#__PURE__*/React.forwardRef(function TextAlignCenter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"24"}),props.children);});var TextAlignCenter16=/*#__PURE__*/React.forwardRef(function TextAlignCenter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"10",y:"24"}),props.children);});var TextAlignJustify32=/*#__PURE__*/React.forwardRef(function TextAlignJustify32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"24"}),props.children);});var TextAlignJustify24=/*#__PURE__*/React.forwardRef(function TextAlignJustify24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"24"}),props.children);});var TextAlignJustify20=/*#__PURE__*/React.forwardRef(function TextAlignJustify20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"24"}),props.children);});var TextAlignJustify16=/*#__PURE__*/React.forwardRef(function TextAlignJustify16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"20",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"20",height:"2",x:"6",y:"24"}),props.children);});var TextAlignLeft32=/*#__PURE__*/React.forwardRef(function TextAlignLeft32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"12",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var TextAlignLeft24=/*#__PURE__*/React.forwardRef(function TextAlignLeft24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"12",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var TextAlignLeft20=/*#__PURE__*/React.forwardRef(function TextAlignLeft20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"12",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var TextAlignLeft16=/*#__PURE__*/React.forwardRef(function TextAlignLeft16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"12",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"12",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"12",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"6",y:"4"}),props.children);});var TextAlignRight32=/*#__PURE__*/React.forwardRef(function TextAlignRight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),props.children);});var TextAlignRight24=/*#__PURE__*/React.forwardRef(function TextAlignRight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),props.children);});var TextAlignRight20=/*#__PURE__*/React.forwardRef(function TextAlignRight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),props.children);});var TextAlignRight16=/*#__PURE__*/React.forwardRef(function TextAlignRight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"6",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"12"}),React.createElement("rect",{width:"14",height:"2",x:"6",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"10",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"24",y:"4"}),props.children);});var TextAllCaps32=/*#__PURE__*/React.forwardRef(function TextAllCaps32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"1 8 1 10 7 10 7 24 9 24 9 10 15 10 15 8 1 8"}),React.createElement("polygon",{points:"17 8 17 10 23 10 23 24 25 24 25 10 31 10 31 8 17 8"}),props.children);});var TextAllCaps24=/*#__PURE__*/React.forwardRef(function TextAllCaps24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"1 8 1 10 7 10 7 24 9 24 9 10 15 10 15 8 1 8"}),React.createElement("polygon",{points:"17 8 17 10 23 10 23 24 25 24 25 10 31 10 31 8 17 8"}),props.children);});var TextAllCaps20=/*#__PURE__*/React.forwardRef(function TextAllCaps20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"1 8 1 10 7 10 7 24 9 24 9 10 15 10 15 8 1 8"}),React.createElement("polygon",{points:"17 8 17 10 23 10 23 24 25 24 25 10 31 10 31 8 17 8"}),props.children);});var TextAllCaps16=/*#__PURE__*/React.forwardRef(function TextAllCaps16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"1 8 1 10 7 10 7 24 9 24 9 10 15 10 15 8 1 8"}),React.createElement("polygon",{points:"17 8 17 10 23 10 23 24 25 24 25 10 31 10 31 8 17 8"}),props.children);});var TextBold32=/*#__PURE__*/React.forwardRef(function TextBold32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.25,25H9V7h8.5a5.25,5.25,0,0,1,4,8.65A5.25,5.25,0,0,1,18.25,25ZM12,22h6.23a2.25,2.25,0,1,0,0-4.5H12Zm0-7.5h5.5a2.25,2.25,0,1,0,0-4.5H12Z"}),props.children);});var TextBold24=/*#__PURE__*/React.forwardRef(function TextBold24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.25,25H9V7h8.5a5.25,5.25,0,0,1,4,8.65A5.25,5.25,0,0,1,18.25,25ZM12,22h6.23a2.25,2.25,0,1,0,0-4.5H12Zm0-7.5h5.5a2.25,2.25,0,1,0,0-4.5H12Z"}),props.children);});var TextBold20=/*#__PURE__*/React.forwardRef(function TextBold20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.25,25H9V7h8.5a5.25,5.25,0,0,1,4,8.65A5.25,5.25,0,0,1,18.25,25ZM12,22h6.23a2.25,2.25,0,1,0,0-4.5H12Zm0-7.5h5.5a2.25,2.25,0,1,0,0-4.5H12Z"}),props.children);});var TextBold16=/*#__PURE__*/React.forwardRef(function TextBold16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.25,25H9V7h8.5a5.25,5.25,0,0,1,4,8.65A5.25,5.25,0,0,1,18.25,25ZM12,22h6.23a2.25,2.25,0,1,0,0-4.5H12Zm0-7.5h5.5a2.25,2.25,0,1,0,0-4.5H12Z"}),props.children);});var TextColor32=/*#__PURE__*/React.forwardRef(function TextColor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,21h2L17,4H15L8,21h2l1.61-4h8.74Zm-9.57-6,3.44-8.37h.26L19.54,15Z"}),React.createElement("rect",{width:"20",height:"4",x:"6",y:"24"}),props.children);});var TextColor24=/*#__PURE__*/React.forwardRef(function TextColor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,21h2L17,4H15L8,21h2l1.61-4h8.74Zm-9.57-6,3.44-8.37h.26L19.54,15Z"}),React.createElement("rect",{width:"20",height:"4",x:"6",y:"24"}),props.children);});var TextColor20=/*#__PURE__*/React.forwardRef(function TextColor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,21h2L17,4H15L8,21h2l1.61-4h8.74Zm-9.57-6,3.44-8.37h.26L19.54,15Z"}),React.createElement("rect",{width:"20",height:"4",x:"6",y:"24"}),props.children);});var TextColor16=/*#__PURE__*/React.forwardRef(function TextColor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,21h2L17,4H15L8,21h2l1.61-4h8.74Zm-9.57-6,3.44-8.37h.26L19.54,15Z"}),React.createElement("rect",{width:"20",height:"4",x:"6",y:"24"}),props.children);});var TextCreation32=/*#__PURE__*/React.forwardRef(function TextCreation32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V9.86A4,4,0,1,0,22.14,5H9.86A4,4,0,1,0,5,9.86V22.14A4,4,0,1,0,9.86,27H22.14A4,4,0,1,0,27,22.14ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm16.14-3H9.86A4,4,0,0,0,7,22.14V9.86A4,4,0,0,0,9.86,7H22.14A4,4,0,0,0,25,9.86V22.14A4,4,0,0,0,22.14,25ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),React.createElement("polygon",{points:"21 11 11 11 11 13 15 13 15 22 17 22 17 13 21 13 21 11"}),props.children);});var TextCreation24=/*#__PURE__*/React.forwardRef(function TextCreation24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V9.86A4,4,0,1,0,22.14,5H9.86A4,4,0,1,0,5,9.86V22.14A4,4,0,1,0,9.86,27H22.14A4,4,0,1,0,27,22.14ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm16.14-3H9.86A4,4,0,0,0,7,22.14V9.86A4,4,0,0,0,9.86,7H22.14A4,4,0,0,0,25,9.86V22.14A4,4,0,0,0,22.14,25ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),React.createElement("polygon",{points:"21 11 11 11 11 13 15 13 15 22 17 22 17 13 21 13 21 11"}),props.children);});var TextCreation20=/*#__PURE__*/React.forwardRef(function TextCreation20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V9.86A4,4,0,1,0,22.14,5H9.86A4,4,0,1,0,5,9.86V22.14A4,4,0,1,0,9.86,27H22.14A4,4,0,1,0,27,22.14ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm16.14-3H9.86A4,4,0,0,0,7,22.14V9.86A4,4,0,0,0,9.86,7H22.14A4,4,0,0,0,25,9.86V22.14A4,4,0,0,0,22.14,25ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),React.createElement("polygon",{points:"21 11 11 11 11 13 15 13 15 22 17 22 17 13 21 13 21 11"}),props.children);});var TextCreation16=/*#__PURE__*/React.forwardRef(function TextCreation16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,22.14V9.86A4,4,0,1,0,22.14,5H9.86A4,4,0,1,0,5,9.86V22.14A4,4,0,1,0,9.86,27H22.14A4,4,0,1,0,27,22.14ZM26,4a2,2,0,1,1-2,2A2,2,0,0,1,26,4ZM4,6A2,2,0,1,1,6,8,2,2,0,0,1,4,6ZM6,28a2,2,0,1,1,2-2A2,2,0,0,1,6,28Zm16.14-3H9.86A4,4,0,0,0,7,22.14V9.86A4,4,0,0,0,9.86,7H22.14A4,4,0,0,0,25,9.86V22.14A4,4,0,0,0,22.14,25ZM26,28a2,2,0,1,1,2-2A2,2,0,0,1,26,28Z"}),React.createElement("polygon",{points:"21 11 11 11 11 13 15 13 15 22 17 22 17 13 21 13 21 11"}),props.children);});var TextFill32=/*#__PURE__*/React.forwardRef(function TextFill32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"4",x:"4",y:"26"}),React.createElement("path",{d:"M26,14.54a1,1,0,0,0-.25-.69L17.17,4.33A1.09,1.09,0,0,0,17,4.2V2H15V5L4.32,14.74a1,1,0,0,0-.06,1.41l8.57,9.52a1,1,0,0,0,.69.33h.05a1,1,0,0,0,.68-.26L24,16.8V21a1,1,0,0,0,2,0V14.57S26,14.55,26,14.54Zm-12.35,9-7.23-8L15,7.67V12h2V7.13l6.59,7.33Z"}),props.children);});var TextFill24=/*#__PURE__*/React.forwardRef(function TextFill24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"4",x:"4",y:"26"}),React.createElement("path",{d:"M26,14.54a1,1,0,0,0-.25-.69L17.17,4.33A1.09,1.09,0,0,0,17,4.2V2H15V5L4.32,14.74a1,1,0,0,0-.06,1.41l8.57,9.52a1,1,0,0,0,.69.33h.05a1,1,0,0,0,.68-.26L24,16.8V21a1,1,0,0,0,2,0V14.57S26,14.55,26,14.54Zm-12.35,9-7.23-8L15,7.67V12h2V7.13l6.59,7.33Z"}),props.children);});var TextFill20=/*#__PURE__*/React.forwardRef(function TextFill20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"4",x:"4",y:"26"}),React.createElement("path",{d:"M26,14.54a1,1,0,0,0-.25-.69L17.17,4.33A1.09,1.09,0,0,0,17,4.2V2H15V5L4.32,14.74a1,1,0,0,0-.06,1.41l8.57,9.52a1,1,0,0,0,.69.33h.05a1,1,0,0,0,.68-.26L24,16.8V21a1,1,0,0,0,2,0V14.57S26,14.55,26,14.54Zm-12.35,9-7.23-8L15,7.67V12h2V7.13l6.59,7.33Z"}),props.children);});var TextFill16=/*#__PURE__*/React.forwardRef(function TextFill16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"4",x:"4",y:"26"}),React.createElement("path",{d:"M26,14.54a1,1,0,0,0-.25-.69L17.17,4.33A1.09,1.09,0,0,0,17,4.2V2H15V5L4.32,14.74a1,1,0,0,0-.06,1.41l8.57,9.52a1,1,0,0,0,.69.33h.05a1,1,0,0,0,.68-.26L24,16.8V21a1,1,0,0,0,2,0V14.57S26,14.55,26,14.54Zm-12.35,9-7.23-8L15,7.67V12h2V7.13l6.59,7.33Z"}),props.children);});var TextHighlight32=/*#__PURE__*/React.forwardRef(function TextHighlight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H5a3,3,0,0,1-3-3V10A3,3,0,0,1,5,7h5V5A1,1,0,0,0,9,4H3V2H9a3,3,0,0,1,3,3ZM5,9a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V9Z"}),React.createElement("path",{d:"M20,23v2a1,1,0,0,0,1,1h5V22H21A1,1,0,0,0,20,23Z"}),React.createElement("path",{d:"M2,30H30V2Zm26-2H21a3,3,0,0,1-3-3V23a3,3,0,0,1,3-3h5V18a1,1,0,0,0-1-1H19V15h6a3,3,0,0,1,3,3Z"}),props.children);});var TextHighlight24=/*#__PURE__*/React.forwardRef(function TextHighlight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H5a3,3,0,0,1-3-3V10A3,3,0,0,1,5,7h5V5A1,1,0,0,0,9,4H3V2H9a3,3,0,0,1,3,3ZM5,9a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V9Z"}),React.createElement("path",{d:"M20,23v2a1,1,0,0,0,1,1h5V22H21A1,1,0,0,0,20,23Z"}),React.createElement("path",{d:"M2,30H30V2Zm26-2H21a3,3,0,0,1-3-3V23a3,3,0,0,1,3-3h5V18a1,1,0,0,0-1-1H19V15h6a3,3,0,0,1,3,3Z"}),props.children);});var TextHighlight20=/*#__PURE__*/React.forwardRef(function TextHighlight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H5a3,3,0,0,1-3-3V10A3,3,0,0,1,5,7h5V5A1,1,0,0,0,9,4H3V2H9a3,3,0,0,1,3,3ZM5,9a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V9Z"}),React.createElement("path",{d:"M20,23v2a1,1,0,0,0,1,1h5V22H21A1,1,0,0,0,20,23Z"}),React.createElement("path",{d:"M2,30H30V2Zm26-2H21a3,3,0,0,1-3-3V23a3,3,0,0,1,3-3h5V18a1,1,0,0,0-1-1H19V15h6a3,3,0,0,1,3,3Z"}),props.children);});var TextHighlight16=/*#__PURE__*/React.forwardRef(function TextHighlight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,15H5a3,3,0,0,1-3-3V10A3,3,0,0,1,5,7h5V5A1,1,0,0,0,9,4H3V2H9a3,3,0,0,1,3,3ZM5,9a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V9Z"}),React.createElement("path",{d:"M20,23v2a1,1,0,0,0,1,1h5V22H21A1,1,0,0,0,20,23Z"}),React.createElement("path",{d:"M2,30H30V2Zm26-2H21a3,3,0,0,1-3-3V23a3,3,0,0,1,3-3h5V18a1,1,0,0,0-1-1H19V15h6a3,3,0,0,1,3,3Z"}),props.children);});var TextIndentLess32=/*#__PURE__*/React.forwardRef(function TextIndentLess32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"2",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"16",y:"4"}),React.createElement("polygon",{points:"28.15 23.5 29.56 22.12 23.27 16 29.56 9.88 28.15 8.5 20.44 16 28.15 23.5"}),props.children);});var TextIndentLess24=/*#__PURE__*/React.forwardRef(function TextIndentLess24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"2",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"16",y:"4"}),React.createElement("polygon",{points:"28.15 23.5 29.56 22.12 23.27 16 29.56 9.88 28.15 8.5 20.44 16 28.15 23.5"}),props.children);});var TextIndentLess20=/*#__PURE__*/React.forwardRef(function TextIndentLess20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"2",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"16",y:"4"}),React.createElement("polygon",{points:"28.15 23.5 29.56 22.12 23.27 16 29.56 9.88 28.15 8.5 20.44 16 28.15 23.5"}),props.children);});var TextIndentLess16=/*#__PURE__*/React.forwardRef(function TextIndentLess16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"2",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"16",y:"4"}),React.createElement("polygon",{points:"28.15 23.5 29.56 22.12 23.27 16 29.56 9.88 28.15 8.5 20.44 16 28.15 23.5"}),props.children);});var TextIndentMore32=/*#__PURE__*/React.forwardRef(function TextIndentMore32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"14",y:"4"}),React.createElement("polygon",{points:"3.85 22.5 2.44 21.12 8.73 15 2.44 8.88 3.85 7.5 11.56 15 3.85 22.5"}),props.children);});var TextIndentMore24=/*#__PURE__*/React.forwardRef(function TextIndentMore24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"14",y:"4"}),React.createElement("polygon",{points:"3.85 22.5 2.44 21.12 8.73 15 2.44 8.88 3.85 7.5 11.56 15 3.85 22.5"}),props.children);});var TextIndentMore20=/*#__PURE__*/React.forwardRef(function TextIndentMore20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"14",y:"4"}),React.createElement("polygon",{points:"3.85 22.5 2.44 21.12 8.73 15 2.44 8.88 3.85 7.5 11.56 15 3.85 22.5"}),props.children);});var TextIndentMore16=/*#__PURE__*/React.forwardRef(function TextIndentMore16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"12"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"20",y:"24"}),React.createElement("rect",{width:"2",height:"24",x:"14",y:"4"}),React.createElement("polygon",{points:"3.85 22.5 2.44 21.12 8.73 15 2.44 8.88 3.85 7.5 11.56 15 3.85 22.5"}),props.children);});var TextIndent32=/*#__PURE__*/React.forwardRef(function TextIndent32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"6"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"18"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"24"}),React.createElement("polygon",{points:"4 13.59 7.29 10 4 6.41 5.42 5 10.04 10 5.42 15 4 13.59"}),props.children);});var TextIndent24=/*#__PURE__*/React.forwardRef(function TextIndent24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"6"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"18"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"24"}),React.createElement("polygon",{points:"4 13.59 7.29 10 4 6.41 5.42 5 10.04 10 5.42 15 4 13.59"}),props.children);});var TextIndent20=/*#__PURE__*/React.forwardRef(function TextIndent20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"6"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"18"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"24"}),React.createElement("polygon",{points:"4 13.59 7.29 10 4 6.41 5.42 5 10.04 10 5.42 15 4 13.59"}),props.children);});var TextIndent16=/*#__PURE__*/React.forwardRef(function TextIndent16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"14",height:"2",x:"14",y:"6"}),React.createElement("rect",{width:"14",height:"2",x:"14",y:"12"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"18"}),React.createElement("rect",{width:"21",height:"2",x:"7",y:"24"}),React.createElement("polygon",{points:"4 13.59 7.29 10 4 6.41 5.42 5 10.04 10 5.42 15 4 13.59"}),props.children);});var TextItalic32=/*#__PURE__*/React.forwardRef(function TextItalic32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 9 25 7 12 7 12 9 17.14 9 12.77 23 7 23 7 25 20 25 20 23 14.86 23 19.23 9 25 9"}),props.children);});var TextItalic24=/*#__PURE__*/React.forwardRef(function TextItalic24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 9 25 7 12 7 12 9 17.14 9 12.77 23 7 23 7 25 20 25 20 23 14.86 23 19.23 9 25 9"}),props.children);});var TextItalic20=/*#__PURE__*/React.forwardRef(function TextItalic20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 9 25 7 12 7 12 9 17.14 9 12.77 23 7 23 7 25 20 25 20 23 14.86 23 19.23 9 25 9"}),props.children);});var TextItalic16=/*#__PURE__*/React.forwardRef(function TextItalic16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 9 25 7 12 7 12 9 17.14 9 12.77 23 7 23 7 25 20 25 20 23 14.86 23 19.23 9 25 9"}),props.children);});var TextKerning32=/*#__PURE__*/React.forwardRef(function TextKerning32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 24 18.83 24 21.12 21.71 19.71 20.29 15 25 19.71 29.71 21.12 28.29 18.83 26 30 26 30 24"}),React.createElement("polygon",{points:"14 21 20 4 18 4 12 21 14 21"}),React.createElement("polygon",{points:"13 4 9 16 5 4 3 4 8 18 10 18 15 4 13 4"}),React.createElement("path",{d:"M28,18h2L25,4H23L18,18h2l1-3h6Zm-6.33-5L24,6l2.33,7Z"}),props.children);});var TextKerning24=/*#__PURE__*/React.forwardRef(function TextKerning24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 24 18.83 24 21.12 21.71 19.71 20.29 15 25 19.71 29.71 21.12 28.29 18.83 26 30 26 30 24"}),React.createElement("polygon",{points:"14 21 20 4 18 4 12 21 14 21"}),React.createElement("polygon",{points:"13 4 9 16 5 4 3 4 8 18 10 18 15 4 13 4"}),React.createElement("path",{d:"M28,18h2L25,4H23L18,18h2l1-3h6Zm-6.33-5L24,6l2.33,7Z"}),props.children);});var TextKerning20=/*#__PURE__*/React.forwardRef(function TextKerning20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 24 18.83 24 21.12 21.71 19.71 20.29 15 25 19.71 29.71 21.12 28.29 18.83 26 30 26 30 24"}),React.createElement("polygon",{points:"14 21 20 4 18 4 12 21 14 21"}),React.createElement("polygon",{points:"13 4 9 16 5 4 3 4 8 18 10 18 15 4 13 4"}),React.createElement("path",{d:"M28,18h2L25,4H23L18,18h2l1-3h6Zm-6.33-5L24,6l2.33,7Z"}),props.children);});var TextKerning16=/*#__PURE__*/React.forwardRef(function TextKerning16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 24 18.83 24 21.12 21.71 19.71 20.29 15 25 19.71 29.71 21.12 28.29 18.83 26 30 26 30 24"}),React.createElement("polygon",{points:"14 21 20 4 18 4 12 21 14 21"}),React.createElement("polygon",{points:"13 4 9 16 5 4 3 4 8 18 10 18 15 4 13 4"}),React.createElement("path",{d:"M28,18h2L25,4H23L18,18h2l1-3h6Zm-6.33-5L24,6l2.33,7Z"}),props.children);});var TextLeading32=/*#__PURE__*/React.forwardRef(function TextLeading32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"15",height:"2",x:"15",y:"28"}),React.createElement("path",{d:"M25.85,27H28L23.64,17H21.36L17,27h2.15l.8-2h5.1Zm-5.1-4,1.75-4.37L24.25,23Z"}),React.createElement("path",{d:"M25.85,12H28L23.64,2H21.36L17,12h2.15l.8-2h5.1Zm-5.1-4L22.5,3.63,24.25,8Z"}),React.createElement("polygon",{points:"6 15.83 8.58 18.41 10 17 6 13 2 17 3.41 18.42 6 15.83"}),React.createElement("polygon",{points:"6 27.17 3.42 24.59 2 26 6 30 10 26 8.59 24.58 6 27.17"}),props.children);});var TextLeading24=/*#__PURE__*/React.forwardRef(function TextLeading24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"15",height:"2",x:"15",y:"28"}),React.createElement("path",{d:"M25.85,27H28L23.64,17H21.36L17,27h2.15l.8-2h5.1Zm-5.1-4,1.75-4.37L24.25,23Z"}),React.createElement("path",{d:"M25.85,12H28L23.64,2H21.36L17,12h2.15l.8-2h5.1Zm-5.1-4L22.5,3.63,24.25,8Z"}),React.createElement("polygon",{points:"6 15.83 8.58 18.41 10 17 6 13 2 17 3.41 18.42 6 15.83"}),React.createElement("polygon",{points:"6 27.17 3.42 24.59 2 26 6 30 10 26 8.59 24.58 6 27.17"}),props.children);});var TextLeading20=/*#__PURE__*/React.forwardRef(function TextLeading20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"15",height:"2",x:"15",y:"28"}),React.createElement("path",{d:"M25.85,27H28L23.64,17H21.36L17,27h2.15l.8-2h5.1Zm-5.1-4,1.75-4.37L24.25,23Z"}),React.createElement("path",{d:"M25.85,12H28L23.64,2H21.36L17,12h2.15l.8-2h5.1Zm-5.1-4L22.5,3.63,24.25,8Z"}),React.createElement("polygon",{points:"6 15.83 8.58 18.41 10 17 6 13 2 17 3.41 18.42 6 15.83"}),React.createElement("polygon",{points:"6 27.17 3.42 24.59 2 26 6 30 10 26 8.59 24.58 6 27.17"}),props.children);});var TextLeading16=/*#__PURE__*/React.forwardRef(function TextLeading16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"16",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"15",height:"2",x:"15",y:"28"}),React.createElement("path",{d:"M25.85,27H28L23.64,17H21.36L17,27h2.15l.8-2h5.1Zm-5.1-4,1.75-4.37L24.25,23Z"}),React.createElement("path",{d:"M25.85,12H28L23.64,2H21.36L17,12h2.15l.8-2h5.1Zm-5.1-4L22.5,3.63,24.25,8Z"}),React.createElement("polygon",{points:"6 15.83 8.58 18.41 10 17 6 13 2 17 3.41 18.42 6 15.83"}),React.createElement("polygon",{points:"6 27.17 3.42 24.59 2 26 6 30 10 26 8.59 24.58 6 27.17"}),props.children);});var TextLineSpacing32=/*#__PURE__*/React.forwardRef(function TextLineSpacing32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"17",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"24"}),React.createElement("polygon",{points:"11.59 13.41 8 9.83 8 9.83 4.41 13.42 3 12 8 7 13 12 11.59 13.41"}),React.createElement("polygon",{points:"11.59 18.59 8 22.17 8 22.17 4.41 18.58 3 20 8 25 13 20 11.59 18.59"}),props.children);});var TextLineSpacing24=/*#__PURE__*/React.forwardRef(function TextLineSpacing24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"17",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"24"}),React.createElement("polygon",{points:"11.59 13.41 8 9.83 8 9.83 4.41 13.42 3 12 8 7 13 12 11.59 13.41"}),React.createElement("polygon",{points:"11.59 18.59 8 22.17 8 22.17 4.41 18.58 3 20 8 25 13 20 11.59 18.59"}),props.children);});var TextLineSpacing20=/*#__PURE__*/React.forwardRef(function TextLineSpacing20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"17",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"24"}),React.createElement("polygon",{points:"11.59 13.41 8 9.83 8 9.83 4.41 13.42 3 12 8 7 13 12 11.59 13.41"}),React.createElement("polygon",{points:"11.59 18.59 8 22.17 8 22.17 4.41 18.58 3 20 8 25 13 20 11.59 18.59"}),props.children);});var TextLineSpacing16=/*#__PURE__*/React.forwardRef(function TextLineSpacing16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"13",height:"2",x:"17",y:"6"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"12"}),React.createElement("rect",{width:"13",height:"2",x:"17",y:"18"}),React.createElement("rect",{width:"10",height:"2",x:"17",y:"24"}),React.createElement("polygon",{points:"11.59 13.41 8 9.83 8 9.83 4.41 13.42 3 12 8 7 13 12 11.59 13.41"}),React.createElement("polygon",{points:"11.59 18.59 8 22.17 8 22.17 4.41 18.58 3 20 8 25 13 20 11.59 18.59"}),props.children);});var TextNewLine32=/*#__PURE__*/React.forwardRef(function TextNewLine32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.5859,14.4141,24.1719,18H6V8H4V18a2.0024,2.0024,0,0,0,2,2H24.1719L20.586,23.5859,22,25l6-6-6-6Z"}),props.children);});var TextNewLine24=/*#__PURE__*/React.forwardRef(function TextNewLine24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.5859,14.4141,24.1719,18H6V8H4V18a2.0024,2.0024,0,0,0,2,2H24.1719L20.586,23.5859,22,25l6-6-6-6Z"}),props.children);});var TextNewLine20=/*#__PURE__*/React.forwardRef(function TextNewLine20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.5859,14.4141,24.1719,18H6V8H4V18a2.0024,2.0024,0,0,0,2,2H24.1719L20.586,23.5859,22,25l6-6-6-6Z"}),props.children);});var TextNewLine16=/*#__PURE__*/React.forwardRef(function TextNewLine16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.5859,14.4141,24.1719,18H6V8H4V18a2.0024,2.0024,0,0,0,2,2H24.1719L20.586,23.5859,22,25l6-6-6-6Z"}),props.children);});var TextScale32=/*#__PURE__*/React.forwardRef(function TextScale32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 5 30 8 22 8 22 26 19 26 19 8 11 8 11 5 30 5"}),React.createElement("polygon",{points:"7 26 7 14 2 14 2 12 14 12 14 14 9 14 9 26 7 26"}),props.children);});var TextScale24=/*#__PURE__*/React.forwardRef(function TextScale24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 5 30 8 22 8 22 26 19 26 19 8 11 8 11 5 30 5"}),React.createElement("polygon",{points:"7 26 7 14 2 14 2 12 14 12 14 14 9 14 9 26 7 26"}),props.children);});var TextScale20=/*#__PURE__*/React.forwardRef(function TextScale20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 5 30 8 22 8 22 26 19 26 19 8 11 8 11 5 30 5"}),React.createElement("polygon",{points:"7 26 7 14 2 14 2 12 14 12 14 14 9 14 9 26 7 26"}),props.children);});var TextScale16=/*#__PURE__*/React.forwardRef(function TextScale16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 5 30 8 22 8 22 26 19 26 19 8 11 8 11 5 30 5"}),React.createElement("polygon",{points:"7 26 7 14 2 14 2 12 14 12 14 14 9 14 9 26 7 26"}),props.children);});var TextSelection32=/*#__PURE__*/React.forwardRef(function TextSelection32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,27H21a3,3,0,0,1-3-3V22a3,3,0,0,1,3-3h5V17a1,1,0,0,0-1-1H19V14h6a3,3,0,0,1,3,3Zm-7-6a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V21Z"}),React.createElement("path",{d:"M13,7h3V5H13a4,4,0,0,0-3,1.38A4,4,0,0,0,7,5H4V7H7A2,2,0,0,1,9,9v5H5v2H9v7a2,2,0,0,1-2,2H4v2H7a4,4,0,0,0,3-1.38A4,4,0,0,0,13,27h3V25H13a2,2,0,0,1-2-2V16h4V14H11V9A2,2,0,0,1,13,7Z"}),props.children);});var TextSelection24=/*#__PURE__*/React.forwardRef(function TextSelection24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,27H21a3,3,0,0,1-3-3V22a3,3,0,0,1,3-3h5V17a1,1,0,0,0-1-1H19V14h6a3,3,0,0,1,3,3Zm-7-6a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V21Z"}),React.createElement("path",{d:"M13,7h3V5H13a4,4,0,0,0-3,1.38A4,4,0,0,0,7,5H4V7H7A2,2,0,0,1,9,9v5H5v2H9v7a2,2,0,0,1-2,2H4v2H7a4,4,0,0,0,3-1.38A4,4,0,0,0,13,27h3V25H13a2,2,0,0,1-2-2V16h4V14H11V9A2,2,0,0,1,13,7Z"}),props.children);});var TextSelection20=/*#__PURE__*/React.forwardRef(function TextSelection20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,27H21a3,3,0,0,1-3-3V22a3,3,0,0,1,3-3h5V17a1,1,0,0,0-1-1H19V14h6a3,3,0,0,1,3,3Zm-7-6a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V21Z"}),React.createElement("path",{d:"M13,7h3V5H13a4,4,0,0,0-3,1.38A4,4,0,0,0,7,5H4V7H7A2,2,0,0,1,9,9v5H5v2H9v7a2,2,0,0,1-2,2H4v2H7a4,4,0,0,0,3-1.38A4,4,0,0,0,13,27h3V25H13a2,2,0,0,1-2-2V16h4V14H11V9A2,2,0,0,1,13,7Z"}),props.children);});var TextSelection16=/*#__PURE__*/React.forwardRef(function TextSelection16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,27H21a3,3,0,0,1-3-3V22a3,3,0,0,1,3-3h5V17a1,1,0,0,0-1-1H19V14h6a3,3,0,0,1,3,3Zm-7-6a1,1,0,0,0-1,1v2a1,1,0,0,0,1,1h5V21Z"}),React.createElement("path",{d:"M13,7h3V5H13a4,4,0,0,0-3,1.38A4,4,0,0,0,7,5H4V7H7A2,2,0,0,1,9,9v5H5v2H9v7a2,2,0,0,1-2,2H4v2H7a4,4,0,0,0,3-1.38A4,4,0,0,0,13,27h3V25H13a2,2,0,0,1-2-2V16h4V14H11V9A2,2,0,0,1,13,7Z"}),props.children);});var TextSmallCaps32=/*#__PURE__*/React.forwardRef(function TextSmallCaps32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27 23 15 18 15 18 13 30 13 30 15 25 15 25 27 23 27"}),React.createElement("polygon",{points:"11 27 11 8 2 8 2 6 22 6 22 8 13 8 13 27 11 27"}),props.children);});var TextSmallCaps24=/*#__PURE__*/React.forwardRef(function TextSmallCaps24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27 23 15 18 15 18 13 30 13 30 15 25 15 25 27 23 27"}),React.createElement("polygon",{points:"11 27 11 8 2 8 2 6 22 6 22 8 13 8 13 27 11 27"}),props.children);});var TextSmallCaps20=/*#__PURE__*/React.forwardRef(function TextSmallCaps20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27 23 15 18 15 18 13 30 13 30 15 25 15 25 27 23 27"}),React.createElement("polygon",{points:"11 27 11 8 2 8 2 6 22 6 22 8 13 8 13 27 11 27"}),props.children);});var TextSmallCaps16=/*#__PURE__*/React.forwardRef(function TextSmallCaps16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23 27 23 15 18 15 18 13 30 13 30 15 25 15 25 27 23 27"}),React.createElement("polygon",{points:"11 27 11 8 2 8 2 6 22 6 22 8 13 8 13 27 11 27"}),props.children);});var TextStrikethrough32=/*#__PURE__*/React.forwardRef(function TextStrikethrough32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,15H17.9563c-.4522-.1237-.9037-.2324-1.3381-.3352-2.8077-.6641-4.396-1.1506-4.396-3.4231a2.8684,2.8684,0,0,1,.7866-2.145,4.7888,4.7888,0,0,1,3.0137-1.09c2.8291-.07,4.1347.8894,5.2011,2.35l1.6153-1.1792a7.4727,7.4727,0,0,0-6.83-3.1706,6.7726,6.7726,0,0,0-4.4,1.6611,4.8274,4.8274,0,0,0-1.3862,3.5735A4.3723,4.3723,0,0,0,11.9573,15H4v2H17.6519c1.9668.57,3.1432,1.3123,3.1733,3.3579a3.119,3.119,0,0,1-.8623,2.3931A5.8241,5.8241,0,0,1,16.2432,24a6.6344,6.6344,0,0,1-5.1451-2.6912L9.5649,22.593A8.5262,8.5262,0,0,0,16.2119,26c.0088-.0012.042,0,.1,0A7.67,7.67,0,0,0,21.36,24.1812a5.0779,5.0779,0,0,0,1.4648-3.8531A4.952,4.952,0,0,0,21.6753,17H28Z"}),props.children);});var TextStrikethrough24=/*#__PURE__*/React.forwardRef(function TextStrikethrough24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,15H17.9563c-.4522-.1237-.9037-.2324-1.3381-.3352-2.8077-.6641-4.396-1.1506-4.396-3.4231a2.8684,2.8684,0,0,1,.7866-2.145,4.7888,4.7888,0,0,1,3.0137-1.09c2.8291-.07,4.1347.8894,5.2011,2.35l1.6153-1.1792a7.4727,7.4727,0,0,0-6.83-3.1706,6.7726,6.7726,0,0,0-4.4,1.6611,4.8274,4.8274,0,0,0-1.3862,3.5735A4.3723,4.3723,0,0,0,11.9573,15H4v2H17.6519c1.9668.57,3.1432,1.3123,3.1733,3.3579a3.119,3.119,0,0,1-.8623,2.3931A5.8241,5.8241,0,0,1,16.2432,24a6.6344,6.6344,0,0,1-5.1451-2.6912L9.5649,22.593A8.5262,8.5262,0,0,0,16.2119,26c.0088-.0012.042,0,.1,0A7.67,7.67,0,0,0,21.36,24.1812a5.0779,5.0779,0,0,0,1.4648-3.8531A4.952,4.952,0,0,0,21.6753,17H28Z"}),props.children);});var TextStrikethrough20=/*#__PURE__*/React.forwardRef(function TextStrikethrough20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,15H17.9563c-.4522-.1237-.9037-.2324-1.3381-.3352-2.8077-.6641-4.396-1.1506-4.396-3.4231a2.8684,2.8684,0,0,1,.7866-2.145,4.7888,4.7888,0,0,1,3.0137-1.09c2.8291-.07,4.1347.8894,5.2011,2.35l1.6153-1.1792a7.4727,7.4727,0,0,0-6.83-3.1706,6.7726,6.7726,0,0,0-4.4,1.6611,4.8274,4.8274,0,0,0-1.3862,3.5735A4.3723,4.3723,0,0,0,11.9573,15H4v2H17.6519c1.9668.57,3.1432,1.3123,3.1733,3.3579a3.119,3.119,0,0,1-.8623,2.3931A5.8241,5.8241,0,0,1,16.2432,24a6.6344,6.6344,0,0,1-5.1451-2.6912L9.5649,22.593A8.5262,8.5262,0,0,0,16.2119,26c.0088-.0012.042,0,.1,0A7.67,7.67,0,0,0,21.36,24.1812a5.0779,5.0779,0,0,0,1.4648-3.8531A4.952,4.952,0,0,0,21.6753,17H28Z"}),props.children);});var TextStrikethrough16=/*#__PURE__*/React.forwardRef(function TextStrikethrough16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,15H17.9563c-.4522-.1237-.9037-.2324-1.3381-.3352-2.8077-.6641-4.396-1.1506-4.396-3.4231a2.8684,2.8684,0,0,1,.7866-2.145,4.7888,4.7888,0,0,1,3.0137-1.09c2.8291-.07,4.1347.8894,5.2011,2.35l1.6153-1.1792a7.4727,7.4727,0,0,0-6.83-3.1706,6.7726,6.7726,0,0,0-4.4,1.6611,4.8274,4.8274,0,0,0-1.3862,3.5735A4.3723,4.3723,0,0,0,11.9573,15H4v2H17.6519c1.9668.57,3.1432,1.3123,3.1733,3.3579a3.119,3.119,0,0,1-.8623,2.3931A5.8241,5.8241,0,0,1,16.2432,24a6.6344,6.6344,0,0,1-5.1451-2.6912L9.5649,22.593A8.5262,8.5262,0,0,0,16.2119,26c.0088-.0012.042,0,.1,0A7.67,7.67,0,0,0,21.36,24.1812a5.0779,5.0779,0,0,0,1.4648-3.8531A4.952,4.952,0,0,0,21.6753,17H28Z"}),props.children);});var TextSubscript32=/*#__PURE__*/React.forwardRef(function TextSubscript32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 25 20 25 20 19 24 19 24 17 20 17 20 15 26 15 26 21 22 21 22 23 26 23 26 25"}),React.createElement("polygon",{points:"5 7 5 9 12 9 12 25 14 25 14 9 21 9 21 7 5 7"}),props.children);});var TextSubscript24=/*#__PURE__*/React.forwardRef(function TextSubscript24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 25 20 25 20 19 24 19 24 17 20 17 20 15 26 15 26 21 22 21 22 23 26 23 26 25"}),React.createElement("polygon",{points:"5 7 5 9 12 9 12 25 14 25 14 9 21 9 21 7 5 7"}),props.children);});var TextSubscript20=/*#__PURE__*/React.forwardRef(function TextSubscript20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 25 20 25 20 19 24 19 24 17 20 17 20 15 26 15 26 21 22 21 22 23 26 23 26 25"}),React.createElement("polygon",{points:"5 7 5 9 12 9 12 25 14 25 14 9 21 9 21 7 5 7"}),props.children);});var TextSubscript16=/*#__PURE__*/React.forwardRef(function TextSubscript16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 25 20 25 20 19 24 19 24 17 20 17 20 15 26 15 26 21 22 21 22 23 26 23 26 25"}),React.createElement("polygon",{points:"5 7 5 9 12 9 12 25 14 25 14 9 21 9 21 7 5 7"}),props.children);});var TextSuperscript32=/*#__PURE__*/React.forwardRef(function TextSuperscript32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 17 23 17 23 11 27 11 27 9 23 9 23 7 29 7 29 13 25 13 25 15 29 15 29 17"}),React.createElement("polygon",{points:"4 7 4 9 11 9 11 25 13 25 13 9 20 9 20 7 4 7"}),props.children);});var TextSuperscript24=/*#__PURE__*/React.forwardRef(function TextSuperscript24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 17 23 17 23 11 27 11 27 9 23 9 23 7 29 7 29 13 25 13 25 15 29 15 29 17"}),React.createElement("polygon",{points:"4 7 4 9 11 9 11 25 13 25 13 9 20 9 20 7 4 7"}),props.children);});var TextSuperscript20=/*#__PURE__*/React.forwardRef(function TextSuperscript20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 17 23 17 23 11 27 11 27 9 23 9 23 7 29 7 29 13 25 13 25 15 29 15 29 17"}),React.createElement("polygon",{points:"4 7 4 9 11 9 11 25 13 25 13 9 20 9 20 7 4 7"}),props.children);});var TextSuperscript16=/*#__PURE__*/React.forwardRef(function TextSuperscript16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"29 17 23 17 23 11 27 11 27 9 23 9 23 7 29 7 29 13 25 13 25 15 29 15 29 17"}),React.createElement("polygon",{points:"4 7 4 9 11 9 11 25 13 25 13 9 20 9 20 7 4 7"}),props.children);});var TextTracking32=/*#__PURE__*/React.forwardRef(function TextTracking32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25.29 19.29 23.88 20.71 26.17 23 5.83 23 8.12 20.71 6.71 19.29 2 24 6.71 28.71 8.12 27.29 5.83 25 26.17 25 23.88 27.29 25.29 28.71 30 24 25.29 19.29"}),React.createElement("path",{d:"M26,17h2L23,3H21L16,17h2l1-3h6Zm-6.33-5L22,5l2.33,7Z"}),React.createElement("polygon",{points:"14 3 10 15 6 3 4 3 9 17 11 17 16 3 14 3"}),props.children);});var TextTracking24=/*#__PURE__*/React.forwardRef(function TextTracking24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25.29 19.29 23.88 20.71 26.17 23 5.83 23 8.12 20.71 6.71 19.29 2 24 6.71 28.71 8.12 27.29 5.83 25 26.17 25 23.88 27.29 25.29 28.71 30 24 25.29 19.29"}),React.createElement("path",{d:"M26,17h2L23,3H21L16,17h2l1-3h6Zm-6.33-5L22,5l2.33,7Z"}),React.createElement("polygon",{points:"14 3 10 15 6 3 4 3 9 17 11 17 16 3 14 3"}),props.children);});var TextTracking20=/*#__PURE__*/React.forwardRef(function TextTracking20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25.29 19.29 23.88 20.71 26.17 23 5.83 23 8.12 20.71 6.71 19.29 2 24 6.71 28.71 8.12 27.29 5.83 25 26.17 25 23.88 27.29 25.29 28.71 30 24 25.29 19.29"}),React.createElement("path",{d:"M26,17h2L23,3H21L16,17h2l1-3h6Zm-6.33-5L22,5l2.33,7Z"}),React.createElement("polygon",{points:"14 3 10 15 6 3 4 3 9 17 11 17 16 3 14 3"}),props.children);});var TextTracking16=/*#__PURE__*/React.forwardRef(function TextTracking16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25.29 19.29 23.88 20.71 26.17 23 5.83 23 8.12 20.71 6.71 19.29 2 24 6.71 28.71 8.12 27.29 5.83 25 26.17 25 23.88 27.29 25.29 28.71 30 24 25.29 19.29"}),React.createElement("path",{d:"M26,17h2L23,3H21L16,17h2l1-3h6Zm-6.33-5L22,5l2.33,7Z"}),React.createElement("polygon",{points:"14 3 10 15 6 3 4 3 9 17 11 17 16 3 14 3"}),props.children);});var TextUnderline32=/*#__PURE__*/React.forwardRef(function TextUnderline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("path",{d:"M16,23a7,7,0,0,1-7-7V5h2V16a5,5,0,0,0,10,0V5h2V16A7,7,0,0,1,16,23Z"}),props.children);});var TextUnderline24=/*#__PURE__*/React.forwardRef(function TextUnderline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("path",{d:"M16,23a7,7,0,0,1-7-7V5h2V16a5,5,0,0,0,10,0V5h2V16A7,7,0,0,1,16,23Z"}),props.children);});var TextUnderline20=/*#__PURE__*/React.forwardRef(function TextUnderline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("path",{d:"M16,23a7,7,0,0,1-7-7V5h2V16a5,5,0,0,0,10,0V5h2V16A7,7,0,0,1,16,23Z"}),props.children);});var TextUnderline16=/*#__PURE__*/React.forwardRef(function TextUnderline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("path",{d:"M16,23a7,7,0,0,1-7-7V5h2V16a5,5,0,0,0,10,0V5h2V16A7,7,0,0,1,16,23Z"}),props.children);});var TextWrap32=/*#__PURE__*/React.forwardRef(function TextWrap32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"4",y:"23"}),React.createElement("path",{d:"M24.5232,14H4v2H24.5a3.5,3.5,0,0,1,0,7H18.8281l2.586-2.5859L20,19l-5,5,5,5,1.4141-1.4141L18.8281,25H24.533a5.5,5.5,0,0,0-.01-11Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"5"}),props.children);});var TextWrap24=/*#__PURE__*/React.forwardRef(function TextWrap24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"4",y:"23"}),React.createElement("path",{d:"M24.5232,14H4v2H24.5a3.5,3.5,0,0,1,0,7H18.8281l2.586-2.5859L20,19l-5,5,5,5,1.4141-1.4141L18.8281,25H24.533a5.5,5.5,0,0,0-.01-11Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"5"}),props.children);});var TextWrap20=/*#__PURE__*/React.forwardRef(function TextWrap20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"4",y:"23"}),React.createElement("path",{d:"M24.5232,14H4v2H24.5a3.5,3.5,0,0,1,0,7H18.8281l2.586-2.5859L20,19l-5,5,5,5,1.4141-1.4141L18.8281,25H24.533a5.5,5.5,0,0,0-.01-11Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"5"}),props.children);});var TextWrap16=/*#__PURE__*/React.forwardRef(function TextWrap16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"4",y:"23"}),React.createElement("path",{d:"M24.5232,14H4v2H24.5a3.5,3.5,0,0,1,0,7H18.8281l2.586-2.5859L20,19l-5,5,5,5,1.4141-1.4141L18.8281,25H24.533a5.5,5.5,0,0,0-.01-11Z"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"5"}),props.children);});var TextLinkAnalysis32=/*#__PURE__*/React.forwardRef(function TextLinkAnalysis32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"2"}),React.createElement("path",{d:"M4.7111,28l5.6312-9.9961,7.4341,6.49A2,2,0,0,0,20.86,23.96l6.9707-10.4034-1.6622-1.1132-7,10.4472-.07.1035-7.4345-6.4907a2.0032,2.0032,0,0,0-3.0806.5308L4,25.1826V2H2V28a2.0023,2.0023,0,0,0,2,2H30V28Z"}),props.children);});var TextLinkAnalysis24=/*#__PURE__*/React.forwardRef(function TextLinkAnalysis24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"2"}),React.createElement("path",{d:"M4.7111,28l5.6312-9.9961,7.4341,6.49A2,2,0,0,0,20.86,23.96l6.9707-10.4034-1.6622-1.1132-7,10.4472-.07.1035-7.4345-6.4907a2.0032,2.0032,0,0,0-3.0806.5308L4,25.1826V2H2V28a2.0023,2.0023,0,0,0,2,2H30V28Z"}),props.children);});var TextLinkAnalysis20=/*#__PURE__*/React.forwardRef(function TextLinkAnalysis20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"2"}),React.createElement("path",{d:"M4.7111,28l5.6312-9.9961,7.4341,6.49A2,2,0,0,0,20.86,23.96l6.9707-10.4034-1.6622-1.1132-7,10.4472-.07.1035-7.4345-6.4907a2.0032,2.0032,0,0,0-3.0806.5308L4,25.1826V2H2V28a2.0023,2.0023,0,0,0,2,2H30V28Z"}),props.children);});var TextLinkAnalysis16=/*#__PURE__*/React.forwardRef(function TextLinkAnalysis16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"8",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"2"}),React.createElement("path",{d:"M4.7111,28l5.6312-9.9961,7.4341,6.49A2,2,0,0,0,20.86,23.96l6.9707-10.4034-1.6622-1.1132-7,10.4472-.07.1035-7.4345-6.4907a2.0032,2.0032,0,0,0-3.0806.5308L4,25.1826V2H2V28a2.0023,2.0023,0,0,0,2,2H30V28Z"}),props.children);});var TextLink32=/*#__PURE__*/React.forwardRef(function TextLink32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.7061,27.585a5.2615,5.2615,0,0,1-3.7227-8.9834l1.415,1.414a3.2638,3.2638,0,1,0,4.6153,4.6162l6.03-6.03a3.264,3.264,0,0,0-4.6162-4.6158l-1.414-1.414a5.2637,5.2637,0,0,1,7.4443,7.4438l-6.03,6.03A5.2461,5.2461,0,0,1,18.7061,27.585Z"}),React.createElement("path",{d:"M10.2642,29.9971A5.2619,5.2619,0,0,1,6.542,21.0137l6.03-6.03a5.2636,5.2636,0,1,1,7.4438,7.4438l-1.414-1.414a3.2639,3.2639,0,1,0-4.6158-4.6158l-6.03,6.03a3.264,3.264,0,0,0,4.6157,4.6162l1.414,1.4141A5.2452,5.2452,0,0,1,10.2642,29.9971Z"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"2"}),props.children);});var TextLink24=/*#__PURE__*/React.forwardRef(function TextLink24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.7061,27.585a5.2615,5.2615,0,0,1-3.7227-8.9834l1.415,1.414a3.2638,3.2638,0,1,0,4.6153,4.6162l6.03-6.03a3.264,3.264,0,0,0-4.6162-4.6158l-1.414-1.414a5.2637,5.2637,0,0,1,7.4443,7.4438l-6.03,6.03A5.2461,5.2461,0,0,1,18.7061,27.585Z"}),React.createElement("path",{d:"M10.2642,29.9971A5.2619,5.2619,0,0,1,6.542,21.0137l6.03-6.03a5.2636,5.2636,0,1,1,7.4438,7.4438l-1.414-1.414a3.2639,3.2639,0,1,0-4.6158-4.6158l-6.03,6.03a3.264,3.264,0,0,0,4.6157,4.6162l1.414,1.4141A5.2452,5.2452,0,0,1,10.2642,29.9971Z"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"2"}),props.children);});var TextLink20=/*#__PURE__*/React.forwardRef(function TextLink20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.7061,27.585a5.2615,5.2615,0,0,1-3.7227-8.9834l1.415,1.414a3.2638,3.2638,0,1,0,4.6153,4.6162l6.03-6.03a3.264,3.264,0,0,0-4.6162-4.6158l-1.414-1.414a5.2637,5.2637,0,0,1,7.4443,7.4438l-6.03,6.03A5.2461,5.2461,0,0,1,18.7061,27.585Z"}),React.createElement("path",{d:"M10.2642,29.9971A5.2619,5.2619,0,0,1,6.542,21.0137l6.03-6.03a5.2636,5.2636,0,1,1,7.4438,7.4438l-1.414-1.414a3.2639,3.2639,0,1,0-4.6158-4.6158l-6.03,6.03a3.264,3.264,0,0,0,4.6157,4.6162l1.414,1.4141A5.2452,5.2452,0,0,1,10.2642,29.9971Z"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"2"}),props.children);});var TextLink16=/*#__PURE__*/React.forwardRef(function TextLink16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18.7061,27.585a5.2615,5.2615,0,0,1-3.7227-8.9834l1.415,1.414a3.2638,3.2638,0,1,0,4.6153,4.6162l6.03-6.03a3.264,3.264,0,0,0-4.6162-4.6158l-1.414-1.414a5.2637,5.2637,0,0,1,7.4443,7.4438l-6.03,6.03A5.2461,5.2461,0,0,1,18.7061,27.585Z"}),React.createElement("path",{d:"M10.2642,29.9971A5.2619,5.2619,0,0,1,6.542,21.0137l6.03-6.03a5.2636,5.2636,0,1,1,7.4438,7.4438l-1.414-1.414a3.2639,3.2639,0,1,0-4.6158-4.6158l-6.03,6.03a3.264,3.264,0,0,0,4.6157,4.6162l1.414,1.4141A5.2452,5.2452,0,0,1,10.2642,29.9971Z"}),React.createElement("rect",{width:"8",height:"2",x:"2",y:"10"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"6"}),React.createElement("rect",{width:"12",height:"2",x:"2",y:"2"}),props.children);});var TextMiningApplier32=/*#__PURE__*/React.forwardRef(function TextMiningApplier32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),React.createElement("polygon",{points:"20 19 27 24 20 29 20 19"}),props.children);});var TextMiningApplier24=/*#__PURE__*/React.forwardRef(function TextMiningApplier24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),React.createElement("polygon",{points:"20 19 27 24 20 29 20 19"}),props.children);});var TextMiningApplier20=/*#__PURE__*/React.forwardRef(function TextMiningApplier20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),React.createElement("polygon",{points:"20 19 27 24 20 29 20 19"}),props.children);});var TextMiningApplier16=/*#__PURE__*/React.forwardRef(function TextMiningApplier16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),React.createElement("polygon",{points:"20 19 27 24 20 29 20 19"}),props.children);});var TextMining32=/*#__PURE__*/React.forwardRef(function TextMining32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"18",y:"28"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"24"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"20"}),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),props.children);});var TextMining24=/*#__PURE__*/React.forwardRef(function TextMining24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"18",y:"28"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"24"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"20"}),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),props.children);});var TextMining20=/*#__PURE__*/React.forwardRef(function TextMining20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"18",y:"28"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"24"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"20"}),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),props.children);});var TextMining16=/*#__PURE__*/React.forwardRef(function TextMining16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"8",height:"2",x:"18",y:"28"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"24"}),React.createElement("rect",{width:"12",height:"2",x:"18",y:"20"}),React.createElement("polygon",{points:"16.001 26.473 16 26.473 4.284 12.955 9.5 6 22.5 6 27.716 12.955 24.476 16.692 25.989 18.002 30.284 13.045 23.5 4 8.5 4 1.716 13.045 14.488 27.782 16.001 26.473"}),props.children);});var Thumbnail_132=/*#__PURE__*/React.forwardRef(function Thumbnail_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,20H4a2,2,0,0,1-2-2V4A2,2,0,0,1,4,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20ZM4,4V18H28V4Z"}),props.children);});var Thumbnail_124=/*#__PURE__*/React.forwardRef(function Thumbnail_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,20H4a2,2,0,0,1-2-2V4A2,2,0,0,1,4,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20ZM4,4V18H28V4Z"}),props.children);});var Thumbnail_120=/*#__PURE__*/React.forwardRef(function Thumbnail_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,20H4a2,2,0,0,1-2-2V4A2,2,0,0,1,4,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20ZM4,4V18H28V4Z"}),props.children);});var Thumbnail_116=/*#__PURE__*/React.forwardRef(function Thumbnail_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,20H4a2,2,0,0,1-2-2V4A2,2,0,0,1,4,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20ZM4,4V18H28V4Z"}),props.children);});var Thumbnail_232=/*#__PURE__*/React.forwardRef(function Thumbnail_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M8,20H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,20ZM4,14v4H8V14Z"}),React.createElement("path",{d:"M18,20H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M28,20H24a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),React.createElement("path",{d:"M18,10H14a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,18,10ZM14,4V8h4V4Z"}),React.createElement("path",{d:"M28,10H24a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,28,10ZM24,4V8h4V4Z"}),props.children);});var Thumbnail_224=/*#__PURE__*/React.forwardRef(function Thumbnail_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M8,20H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,20ZM4,14v4H8V14Z"}),React.createElement("path",{d:"M18,20H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M28,20H24a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),React.createElement("path",{d:"M18,10H14a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,18,10ZM14,4V8h4V4Z"}),React.createElement("path",{d:"M28,10H24a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,28,10ZM24,4V8h4V4Z"}),props.children);});var Thumbnail_220=/*#__PURE__*/React.forwardRef(function Thumbnail_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M8,20H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,20ZM4,14v4H8V14Z"}),React.createElement("path",{d:"M18,20H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M28,20H24a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),React.createElement("path",{d:"M18,10H14a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,18,10ZM14,4V8h4V4Z"}),React.createElement("path",{d:"M28,10H24a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,28,10ZM24,4V8h4V4Z"}),props.children);});var Thumbnail_216=/*#__PURE__*/React.forwardRef(function Thumbnail_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H4a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,30ZM4,24v4H8V24Z"}),React.createElement("path",{d:"M18,30H14a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M28,30H24a2,2,0,0,1-2-2V24a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,30Zm-4-6v4h4V24Z"}),React.createElement("path",{d:"M8,20H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2v4A2,2,0,0,1,8,20ZM4,14v4H8V14Z"}),React.createElement("path",{d:"M18,20H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,18,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M28,20H24a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2v4A2,2,0,0,1,28,20Zm-4-6v4h4V14Z"}),React.createElement("path",{d:"M8,10H4A2,2,0,0,1,2,8V4A2,2,0,0,1,4,2H8a2,2,0,0,1,2,2V8A2,2,0,0,1,8,10ZM4,4V8H8V4Z"}),React.createElement("path",{d:"M18,10H14a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,18,10ZM14,4V8h4V4Z"}),React.createElement("path",{d:"M28,10H24a2,2,0,0,1-2-2V4a2,2,0,0,1,2-2h4a2,2,0,0,1,2,2V8A2,2,0,0,1,28,10ZM24,4V8h4V4Z"}),props.children);});var ThumbsDown32=/*#__PURE__*/React.forwardRef(function ThumbsDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.76,21A3.64,3.64,0,0,0,30,17V11c0-3.65-1.56-8-9-8H2V17H8.46L12,22.37,13,28.71v.12A1.51,1.51,0,0,0,14.43,30H16a3.22,3.22,0,0,0,.76,0A3.64,3.64,0,0,0,20,26V21h6A3.22,3.22,0,0,0,26.76,21ZM8,15H4V5H8Zm20,2c0,1.44-.56,2-2,2H18v7c0,1.44-.56,2-2,2H14.87l-.14-1L14,21.63,10,15.7V5H21c4.78,0,7,1.91,7,6Z"}),props.children);});var ThumbsDown24=/*#__PURE__*/React.forwardRef(function ThumbsDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.76,21A3.64,3.64,0,0,0,30,17V11c0-3.65-1.56-8-9-8H2V17H8.46L12,22.37,13,28.71v.12A1.51,1.51,0,0,0,14.43,30H16a3.22,3.22,0,0,0,.76,0A3.64,3.64,0,0,0,20,26V21h6A3.22,3.22,0,0,0,26.76,21ZM8,15H4V5H8Zm20,2c0,1.44-.56,2-2,2H18v7c0,1.44-.56,2-2,2H14.87l-.14-1L14,21.63,10,15.7V5H21c4.78,0,7,1.91,7,6Z"}),props.children);});var ThumbsDown20=/*#__PURE__*/React.forwardRef(function ThumbsDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.76,21A3.64,3.64,0,0,0,30,17V11c0-3.65-1.56-8-9-8H2V17H8.46L12,22.37,13,28.71v.12A1.51,1.51,0,0,0,14.43,30H16a3.22,3.22,0,0,0,.76,0A3.64,3.64,0,0,0,20,26V21h6A3.22,3.22,0,0,0,26.76,21ZM8,15H4V5H8Zm20,2c0,1.44-.56,2-2,2H18v7c0,1.44-.56,2-2,2H14.87l-.14-1L14,21.63,10,15.7V5H21c4.78,0,7,1.91,7,6Z"}),props.children);});var ThumbsDown16=/*#__PURE__*/React.forwardRef(function ThumbsDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.76,21A3.64,3.64,0,0,0,30,17V11c0-3.65-1.56-8-9-8H2V17H8.46L12,22.37,13,28.71v.12A1.51,1.51,0,0,0,14.43,30H16a3.22,3.22,0,0,0,.76,0A3.64,3.64,0,0,0,20,26V21h6A3.22,3.22,0,0,0,26.76,21ZM8,15H4V5H8Zm20,2c0,1.44-.56,2-2,2H18v7c0,1.44-.56,2-2,2H14.87l-.14-1L14,21.63,10,15.7V5H21c4.78,0,7,1.91,7,6Z"}),props.children);});var ThumbsUp32=/*#__PURE__*/React.forwardRef(function ThumbsUp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,11H20V6a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,16,2H14.43A1.51,1.51,0,0,0,13,3.17v.12L12,9.63,8.46,15H2V29H21c7.44,0,9-4.35,9-8V15a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,26,11ZM8,27H4V17H8Zm20-6c0,4.09-2.22,6-7,6H10V16.3l4-5.93L14.73,5l.14-1H16c1.44,0,2,.56,2,2v7h8c1.44,0,2,.56,2,2Z"}),props.children);});var ThumbsUp24=/*#__PURE__*/React.forwardRef(function ThumbsUp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,11H20V6a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,16,2H14.43A1.51,1.51,0,0,0,13,3.17v.12L12,9.63,8.46,15H2V29H21c7.44,0,9-4.35,9-8V15a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,26,11ZM8,27H4V17H8Zm20-6c0,4.09-2.22,6-7,6H10V16.3l4-5.93L14.73,5l.14-1H16c1.44,0,2,.56,2,2v7h8c1.44,0,2,.56,2,2Z"}),props.children);});var ThumbsUp20=/*#__PURE__*/React.forwardRef(function ThumbsUp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,11H20V6a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,16,2H14.43A1.51,1.51,0,0,0,13,3.17v.12L12,9.63,8.46,15H2V29H21c7.44,0,9-4.35,9-8V15a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,26,11ZM8,27H4V17H8Zm20-6c0,4.09-2.22,6-7,6H10V16.3l4-5.93L14.73,5l.14-1H16c1.44,0,2,.56,2,2v7h8c1.44,0,2,.56,2,2Z"}),props.children);});var ThumbsUp16=/*#__PURE__*/React.forwardRef(function ThumbsUp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,11H20V6a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,16,2H14.43A1.51,1.51,0,0,0,13,3.17v.12L12,9.63,8.46,15H2V29H21c7.44,0,9-4.35,9-8V15a3.64,3.64,0,0,0-3.24-4A3.22,3.22,0,0,0,26,11ZM8,27H4V17H8Zm20-6c0,4.09-2.22,6-7,6H10V16.3l4-5.93L14.73,5l.14-1H16c1.44,0,2,.56,2,2v7h8c1.44,0,2,.56,2,2Z"}),props.children);});var ThunderstormScatteredNight32=/*#__PURE__*/React.forwardRef(function ThunderstormScatteredNight32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M29.844,13.0347a1.52,1.52,0,0,0-1.231-.8658,5.3562,5.3562,0,0,1-3.4094-1.7158A6.4652,6.4652,0,0,1,23.9187,4.06a1.6039,1.6039,0,0,0-.3-1.5459,1.4547,1.4547,0,0,0-1.3591-.4922l-.0191.0039a7.8544,7.8544,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9549,5.9549,0,0,0,5.88-7.1455,7.502,7.502,0,0,0,4.8669-3.3A1.537,1.537,0,0,0,29.844,13.0347Zm-5.6926,2.9179a5.9658,5.9658,0,0,0-3.502-2.7085A7.5084,7.5084,0,0,0,18.0288,9.55a6.0085,6.0085,0,0,1,3.77-5.3335,8.4582,8.4582,0,0,0,1.9392,7.5967A7.4037,7.4037,0,0,0,27.64,14.041,5.4419,5.4419,0,0,1,24.1514,15.9526Z"}),props.children);});var ThunderstormScatteredNight24=/*#__PURE__*/React.forwardRef(function ThunderstormScatteredNight24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M29.844,13.0347a1.52,1.52,0,0,0-1.231-.8658,5.3562,5.3562,0,0,1-3.4094-1.7158A6.4652,6.4652,0,0,1,23.9187,4.06a1.6039,1.6039,0,0,0-.3-1.5459,1.4547,1.4547,0,0,0-1.3591-.4922l-.0191.0039a7.8544,7.8544,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9549,5.9549,0,0,0,5.88-7.1455,7.502,7.502,0,0,0,4.8669-3.3A1.537,1.537,0,0,0,29.844,13.0347Zm-5.6926,2.9179a5.9658,5.9658,0,0,0-3.502-2.7085A7.5084,7.5084,0,0,0,18.0288,9.55a6.0085,6.0085,0,0,1,3.77-5.3335,8.4582,8.4582,0,0,0,1.9392,7.5967A7.4037,7.4037,0,0,0,27.64,14.041,5.4419,5.4419,0,0,1,24.1514,15.9526Z"}),props.children);});var ThunderstormScatteredNight20=/*#__PURE__*/React.forwardRef(function ThunderstormScatteredNight20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M29.844,13.0347a1.52,1.52,0,0,0-1.231-.8658,5.3562,5.3562,0,0,1-3.4094-1.7158A6.4652,6.4652,0,0,1,23.9187,4.06a1.6039,1.6039,0,0,0-.3-1.5459,1.4547,1.4547,0,0,0-1.3591-.4922l-.0191.0039a7.8544,7.8544,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9549,5.9549,0,0,0,5.88-7.1455,7.502,7.502,0,0,0,4.8669-3.3A1.537,1.537,0,0,0,29.844,13.0347Zm-5.6926,2.9179a5.9658,5.9658,0,0,0-3.502-2.7085A7.5084,7.5084,0,0,0,18.0288,9.55a6.0085,6.0085,0,0,1,3.77-5.3335,8.4582,8.4582,0,0,0,1.9392,7.5967A7.4037,7.4037,0,0,0,27.64,14.041,5.4419,5.4419,0,0,1,24.1514,15.9526Z"}),props.children);});var ThunderstormScatteredNight16=/*#__PURE__*/React.forwardRef(function ThunderstormScatteredNight16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M29.844,13.0347a1.52,1.52,0,0,0-1.231-.8658,5.3562,5.3562,0,0,1-3.4094-1.7158A6.4652,6.4652,0,0,1,23.9187,4.06a1.6039,1.6039,0,0,0-.3-1.5459,1.4547,1.4547,0,0,0-1.3591-.4922l-.0191.0039a7.8544,7.8544,0,0,0-6.1054,6.48A7.3725,7.3725,0,0,0,13.5,8a7.5511,7.5511,0,0,0-7.1494,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9926,3.9926,0,0,1-.6733-7.9292l.663-.1128.1456-.6562a5.496,5.496,0,0,1,10.7294,0l.1456.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9549,5.9549,0,0,0,5.88-7.1455,7.502,7.502,0,0,0,4.8669-3.3A1.537,1.537,0,0,0,29.844,13.0347Zm-5.6926,2.9179a5.9658,5.9658,0,0,0-3.502-2.7085A7.5084,7.5084,0,0,0,18.0288,9.55a6.0085,6.0085,0,0,1,3.77-5.3335,8.4582,8.4582,0,0,0,1.9392,7.5967A7.4037,7.4037,0,0,0,27.64,14.041,5.4419,5.4419,0,0,1,24.1514,15.9526Z"}),props.children);});var ThunderstormScattered32=/*#__PURE__*/React.forwardRef(function ThunderstormScattered32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11Zm-4.0732,3.4893a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),props.children);});var ThunderstormScattered24=/*#__PURE__*/React.forwardRef(function ThunderstormScattered24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11Zm-4.0732,3.4893a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),props.children);});var ThunderstormScattered20=/*#__PURE__*/React.forwardRef(function ThunderstormScattered20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11Zm-4.0732,3.4893a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),props.children);});var ThunderstormScattered16=/*#__PURE__*/React.forwardRef(function ThunderstormScattered16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.338 30 11.602 29 13.889 25 10 25 13.993 18 15.73 19 13.446 23 17.337 23 13.338 30"}),React.createElement("path",{d:"M27,11A5.9955,5.9955,0,0,0,15.6335,8.3311,7.3494,7.3494,0,0,0,13.5,8a7.5509,7.5509,0,0,0-7.1492,5.2441A5.9926,5.9926,0,0,0,8,25V23a3.9925,3.9925,0,0,1-.6731-7.9292L7.99,14.958l.1458-.6562a5.496,5.496,0,0,1,10.7294,0l.1458.6562.6626.1128A3.9925,3.9925,0,0,1,19,23v2a5.9853,5.9853,0,0,0,5.2163-8.9463A5.9941,5.9941,0,0,0,27,11Zm-4.0732,3.4893a5.96,5.96,0,0,0-2.2776-1.2452,7.5157,7.5157,0,0,0-3.1853-4.0688,3.9869,3.9869,0,1,1,5.4629,5.314Z"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"16.233",transform:"rotate(-135 28.232 17.233)"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"10"}),React.createElement("rect",{width:"3",height:"2",x:"26.732",y:"3.768",transform:"rotate(-45 28.232 4.768)"}),React.createElement("rect",{width:"2",height:"3",x:"20"}),React.createElement("rect",{width:"3",height:"2",x:"12.268",y:"3.768",transform:"rotate(-135 13.768 4.768)"}),props.children);});var ThunderstormSevere32=/*#__PURE__*/React.forwardRef(function ThunderstormSevere32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.309 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M27.9516,15A4.399,4.399,0,0,1,28,15.5,4.5049,4.5049,0,0,1,23.5,20H23v2h.5A6.5075,6.5075,0,0,0,30,15.5c0-.17-.0312-.333-.0444-.5Z"}),React.createElement("path",{fill:"none",d:"M25.75,8h-1.5V4h1.5ZM25,9a1,1,0,1,0,1,1A1,1,0,0,0,25,9Z"}),React.createElement("path",{d:"M31.9115,11.9355,25.6283.3706a.7181.7181,0,0,0-1.2568,0L18.0883,11.9355A.72.72,0,0,0,18.72,13H31.28A.72.72,0,0,0,31.9115,11.9355ZM24.25,4h1.5V8h-1.5ZM25,11a1,1,0,1,1,1-1A1,1,0,0,1,25,11Z"}),React.createElement("path",{d:"M8.144,11.019l.8154-.0639.0991-.812a6.9863,6.9863,0,0,1,9.97-5.45L20,2.9468A8.9777,8.9777,0,0,0,7.2,9.1362,6.4929,6.4929,0,0,0,7.43,21.9043L6.1059,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.4471-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.3559-8.981Z"}),props.children);});var ThunderstormSevere24=/*#__PURE__*/React.forwardRef(function ThunderstormSevere24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.309 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M27.9516,15A4.399,4.399,0,0,1,28,15.5,4.5049,4.5049,0,0,1,23.5,20H23v2h.5A6.5075,6.5075,0,0,0,30,15.5c0-.17-.0312-.333-.0444-.5Z"}),React.createElement("path",{fill:"none",d:"M25.75,8h-1.5V4h1.5ZM25,9a1,1,0,1,0,1,1A1,1,0,0,0,25,9Z"}),React.createElement("path",{d:"M31.9115,11.9355,25.6283.3706a.7181.7181,0,0,0-1.2568,0L18.0883,11.9355A.72.72,0,0,0,18.72,13H31.28A.72.72,0,0,0,31.9115,11.9355ZM24.25,4h1.5V8h-1.5ZM25,11a1,1,0,1,1,1-1A1,1,0,0,1,25,11Z"}),React.createElement("path",{d:"M8.144,11.019l.8154-.0639.0991-.812a6.9863,6.9863,0,0,1,9.97-5.45L20,2.9468A8.9777,8.9777,0,0,0,7.2,9.1362,6.4929,6.4929,0,0,0,7.43,21.9043L6.1059,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.4471-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.3559-8.981Z"}),props.children);});var ThunderstormSevere20=/*#__PURE__*/React.forwardRef(function ThunderstormSevere20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.309 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M27.9516,15A4.399,4.399,0,0,1,28,15.5,4.5049,4.5049,0,0,1,23.5,20H23v2h.5A6.5075,6.5075,0,0,0,30,15.5c0-.17-.0312-.333-.0444-.5Z"}),React.createElement("path",{fill:"none",d:"M25.75,8h-1.5V4h1.5ZM25,9a1,1,0,1,0,1,1A1,1,0,0,0,25,9Z"}),React.createElement("path",{d:"M31.9115,11.9355,25.6283.3706a.7181.7181,0,0,0-1.2568,0L18.0883,11.9355A.72.72,0,0,0,18.72,13H31.28A.72.72,0,0,0,31.9115,11.9355ZM24.25,4h1.5V8h-1.5ZM25,11a1,1,0,1,1,1-1A1,1,0,0,1,25,11Z"}),React.createElement("path",{d:"M8.144,11.019l.8154-.0639.0991-.812a6.9863,6.9863,0,0,1,9.97-5.45L20,2.9468A8.9777,8.9777,0,0,0,7.2,9.1362,6.4929,6.4929,0,0,0,7.43,21.9043L6.1059,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.4471-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.3559-8.981Z"}),props.children);});var ThunderstormSevere16=/*#__PURE__*/React.forwardRef(function ThunderstormSevere16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7887.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.309 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M27.9516,15A4.399,4.399,0,0,1,28,15.5,4.5049,4.5049,0,0,1,23.5,20H23v2h.5A6.5075,6.5075,0,0,0,30,15.5c0-.17-.0312-.333-.0444-.5Z"}),React.createElement("path",{fill:"none",d:"M25.75,8h-1.5V4h1.5ZM25,9a1,1,0,1,0,1,1A1,1,0,0,0,25,9Z"}),React.createElement("path",{d:"M31.9115,11.9355,25.6283.3706a.7181.7181,0,0,0-1.2568,0L18.0883,11.9355A.72.72,0,0,0,18.72,13H31.28A.72.72,0,0,0,31.9115,11.9355ZM24.25,4h1.5V8h-1.5ZM25,11a1,1,0,1,1,1-1A1,1,0,0,1,25,11Z"}),React.createElement("path",{d:"M8.144,11.019l.8154-.0639.0991-.812a6.9863,6.9863,0,0,1,9.97-5.45L20,2.9468A8.9777,8.9777,0,0,0,7.2,9.1362,6.4929,6.4929,0,0,0,7.43,21.9043L6.1059,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.4471-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.3559-8.981Z"}),props.children);});var ThunderstormStrong32=/*#__PURE__*/React.forwardRef(function ThunderstormStrong32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.31 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var ThunderstormStrong24=/*#__PURE__*/React.forwardRef(function ThunderstormStrong24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.31 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var ThunderstormStrong20=/*#__PURE__*/React.forwardRef(function ThunderstormStrong20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.31 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var ThunderstormStrong16=/*#__PURE__*/React.forwardRef(function ThunderstormStrong16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,21,30Z"}),React.createElement("path",{d:"M9,32a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,9,32Z"}),React.createElement("polygon",{points:"15.901 30.496 14.165 29.504 17.31 24 11.31 24 16.165 15.504 17.901 16.496 14.756 22 20.757 22 15.901 30.496"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0,6.4929,6.4929,0,0,0,.23,12.7681L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418A.9786.9786,0,0,0,9,20.01V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20H23v2h.5A6.4974,6.4974,0,0,0,24.8008,9.1362Z"}),props.children);});var Thunderstorm32=/*#__PURE__*/React.forwardRef(function Thunderstorm32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"15.87 30.5 14.13 29.5 17.28 24 11.28 24 16.13 15.5 17.87 16.5 14.72 22 20.72 22 15.87 30.5"}),props.children);});var Thunderstorm24=/*#__PURE__*/React.forwardRef(function Thunderstorm24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"15.87 30.5 14.13 29.5 17.28 24 11.28 24 16.13 15.5 17.87 16.5 14.72 22 20.72 22 15.87 30.5"}),props.children);});var Thunderstorm20=/*#__PURE__*/React.forwardRef(function Thunderstorm20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"15.87 30.5 14.13 29.5 17.28 24 11.28 24 16.13 15.5 17.87 16.5 14.72 22 20.72 22 15.87 30.5"}),props.children);});var Thunderstorm16=/*#__PURE__*/React.forwardRef(function Thunderstorm16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.5,22H23V20h.5a4.5,4.5,0,0,0,.36-9L23,11l-.1-.82a7,7,0,0,0-13.88,0L9,11,8.14,11a4.5,4.5,0,0,0,.36,9H9v2H8.5A6.5,6.5,0,0,1,7.2,9.14a9,9,0,0,1,17.6,0A6.5,6.5,0,0,1,23.5,22Z"}),React.createElement("polygon",{points:"15.87 30.5 14.13 29.5 17.28 24 11.28 24 16.13 15.5 17.87 16.5 14.72 22 20.72 22 15.87 30.5"}),props.children);});var Ticket32=/*#__PURE__*/React.forwardRef(function Ticket32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,14a1,1,0,0,0,1-1V8a2,2,0,0,0-2-2H4A2,2,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4Zm-1,5.87V24H21V21H19v3H4V19.87a4,4,0,0,0,0-7.74V8H19v3h2V8h7v4.13a4,4,0,0,0,0,7.74Z"}),React.createElement("rect",{width:"2",height:"6",x:"19",y:"13"}),props.children);});var Ticket24=/*#__PURE__*/React.forwardRef(function Ticket24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,14a1,1,0,0,0,1-1V8a2,2,0,0,0-2-2H4A2,2,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4Zm-1,5.87V24H21V21H19v3H4V19.87a4,4,0,0,0,0-7.74V8H19v3h2V8h7v4.13a4,4,0,0,0,0,7.74Z"}),React.createElement("rect",{width:"2",height:"6",x:"19",y:"13"}),props.children);});var Ticket20=/*#__PURE__*/React.forwardRef(function Ticket20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,14a1,1,0,0,0,1-1V8a2,2,0,0,0-2-2H4A2,2,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4Zm-1,5.87V24H21V21H19v3H4V19.87a4,4,0,0,0,0-7.74V8H19v3h2V8h7v4.13a4,4,0,0,0,0,7.74Z"}),React.createElement("rect",{width:"2",height:"6",x:"19",y:"13"}),props.children);});var Ticket16=/*#__PURE__*/React.forwardRef(function Ticket16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,14a1,1,0,0,0,1-1V8a2,2,0,0,0-2-2H4A2,2,0,0,0,2,8v5a1,1,0,0,0,1,1,2,2,0,0,1,0,4,1,1,0,0,0-1,1v5a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V19a1,1,0,0,0-1-1,2,2,0,0,1,0-4Zm-1,5.87V24H21V21H19v3H4V19.87a4,4,0,0,0,0-7.74V8H19v3h2V8h7v4.13a4,4,0,0,0,0,7.74Z"}),React.createElement("rect",{width:"2",height:"6",x:"19",y:"13"}),props.children);});var Time32=/*#__PURE__*/React.forwardRef(function Time32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),React.createElement("polygon",{points:"20.59 22 15 16.41 15 7 17 7 17 15.58 22 20.59 20.59 22"}),props.children);});var Time24=/*#__PURE__*/React.forwardRef(function Time24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),React.createElement("polygon",{points:"20.59 22 15 16.41 15 7 17 7 17 15.58 22 20.59 20.59 22"}),props.children);});var Time16=/*#__PURE__*/React.forwardRef(function Time16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),React.createElement("polygon",{points:"20.59 22 15 16.41 15 7 17 7 17 15.58 22 20.59 20.59 22"}),props.children);});var Timer32=/*#__PURE__*/React.forwardRef(function Timer32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"11"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"2"}),React.createElement("path",{d:"M28,9,26.58,7.59,24.33,9.84a10.94,10.94,0,1,0,1.18,1.65ZM16,26a9,9,0,1,1,9-9A9,9,0,0,1,16,26Z"}),props.children);});var Timer24=/*#__PURE__*/React.forwardRef(function Timer24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"11"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"2"}),React.createElement("path",{d:"M28,9,26.58,7.59,24.33,9.84a10.94,10.94,0,1,0,1.18,1.65ZM16,26a9,9,0,1,1,9-9A9,9,0,0,1,16,26Z"}),props.children);});var Timer20=/*#__PURE__*/React.forwardRef(function Timer20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"11"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"2"}),React.createElement("path",{d:"M28,9,26.58,7.59,24.33,9.84a10.94,10.94,0,1,0,1.18,1.65ZM16,26a9,9,0,1,1,9-9A9,9,0,0,1,16,26Z"}),props.children);});var Timer16=/*#__PURE__*/React.forwardRef(function Timer16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"9",x:"15",y:"11"}),React.createElement("rect",{width:"6",height:"2",x:"13",y:"2"}),React.createElement("path",{d:"M28,9,26.58,7.59,24.33,9.84a10.94,10.94,0,1,0,1.18,1.65ZM16,26a9,9,0,1,1,9-9A9,9,0,0,1,16,26Z"}),props.children);});var ToolBox32=/*#__PURE__*/React.forwardRef(function ToolBox32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,9H24V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6V9H5a3,3,0,0,0-3,3V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A3,3,0,0,0,27,9ZM10,6H22V9H10ZM28,26H4V17h8v5h8V17h8ZM14,17h4v3H14ZM4,15V12a1,1,0,0,1,1-1H27a1,1,0,0,1,1,1v3Z"}),props.children);});var ToolBox24=/*#__PURE__*/React.forwardRef(function ToolBox24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,9H24V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6V9H5a3,3,0,0,0-3,3V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A3,3,0,0,0,27,9ZM10,6H22V9H10ZM28,26H4V17h8v5h8V17h8ZM14,17h4v3H14ZM4,15V12a1,1,0,0,1,1-1H27a1,1,0,0,1,1,1v3Z"}),props.children);});var ToolBox20=/*#__PURE__*/React.forwardRef(function ToolBox20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,9H24V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6V9H5a3,3,0,0,0-3,3V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A3,3,0,0,0,27,9ZM10,6H22V9H10ZM28,26H4V17h8v5h8V17h8ZM14,17h4v3H14ZM4,15V12a1,1,0,0,1,1-1H27a1,1,0,0,1,1,1v3Z"}),props.children);});var ToolBox16=/*#__PURE__*/React.forwardRef(function ToolBox16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27,9H24V6a2,2,0,0,0-2-2H10A2,2,0,0,0,8,6V9H5a3,3,0,0,0-3,3V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A3,3,0,0,0,27,9ZM10,6H22V9H10ZM28,26H4V17h8v5h8V17h8ZM14,17h4v3H14ZM4,15V12a1,1,0,0,1,1-1H27a1,1,0,0,1,1,1v3Z"}),props.children);});var Tools32=/*#__PURE__*/React.forwardRef(function Tools32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.1,2A9.8,9.8,0,0,0,6.7,3.6L13.1,10a2.1,2.1,0,0,1,.2,3,2.1,2.1,0,0,1-3-.2L3.7,6.4A9.84,9.84,0,0,0,2,12.1,10.14,10.14,0,0,0,12.1,22.2a10.9,10.9,0,0,0,2.6-.3l6.7,6.7a5,5,0,0,0,7.1-7.1l-6.7-6.7a10.9,10.9,0,0,0,.3-2.6A10,10,0,0,0,12.1,2Zm8,10.1a7.61,7.61,0,0,1-.3,2.1l-.3,1.1.8.8L27,22.8a2.88,2.88,0,0,1,.9,2.1A2.72,2.72,0,0,1,27,27a2.9,2.9,0,0,1-4.2,0l-6.7-6.7-.8-.8-1.1.3a7.61,7.61,0,0,1-2.1.3,8.27,8.27,0,0,1-5.7-2.3A7.63,7.63,0,0,1,4,12.1a8.33,8.33,0,0,1,.3-2.2l4.4,4.4a4.14,4.14,0,0,0,5.9.2,4.14,4.14,0,0,0-.2-5.9L10,4.2a6.45,6.45,0,0,1,2-.3,8.27,8.27,0,0,1,5.7,2.3A8.49,8.49,0,0,1,20.1,12.1Z"}),props.children);});var Tools24=/*#__PURE__*/React.forwardRef(function Tools24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.1,2A9.8,9.8,0,0,0,6.7,3.6L13.1,10a2.1,2.1,0,0,1,.2,3,2.1,2.1,0,0,1-3-.2L3.7,6.4A9.84,9.84,0,0,0,2,12.1,10.14,10.14,0,0,0,12.1,22.2a10.9,10.9,0,0,0,2.6-.3l6.7,6.7a5,5,0,0,0,7.1-7.1l-6.7-6.7a10.9,10.9,0,0,0,.3-2.6A10,10,0,0,0,12.1,2Zm8,10.1a7.61,7.61,0,0,1-.3,2.1l-.3,1.1.8.8L27,22.8a2.88,2.88,0,0,1,.9,2.1A2.72,2.72,0,0,1,27,27a2.9,2.9,0,0,1-4.2,0l-6.7-6.7-.8-.8-1.1.3a7.61,7.61,0,0,1-2.1.3,8.27,8.27,0,0,1-5.7-2.3A7.63,7.63,0,0,1,4,12.1a8.33,8.33,0,0,1,.3-2.2l4.4,4.4a4.14,4.14,0,0,0,5.9.2,4.14,4.14,0,0,0-.2-5.9L10,4.2a6.45,6.45,0,0,1,2-.3,8.27,8.27,0,0,1,5.7,2.3A8.49,8.49,0,0,1,20.1,12.1Z"}),props.children);});var Tools20=/*#__PURE__*/React.forwardRef(function Tools20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.1,2A9.8,9.8,0,0,0,6.7,3.6L13.1,10a2.1,2.1,0,0,1,.2,3,2.1,2.1,0,0,1-3-.2L3.7,6.4A9.84,9.84,0,0,0,2,12.1,10.14,10.14,0,0,0,12.1,22.2a10.9,10.9,0,0,0,2.6-.3l6.7,6.7a5,5,0,0,0,7.1-7.1l-6.7-6.7a10.9,10.9,0,0,0,.3-2.6A10,10,0,0,0,12.1,2Zm8,10.1a7.61,7.61,0,0,1-.3,2.1l-.3,1.1.8.8L27,22.8a2.88,2.88,0,0,1,.9,2.1A2.72,2.72,0,0,1,27,27a2.9,2.9,0,0,1-4.2,0l-6.7-6.7-.8-.8-1.1.3a7.61,7.61,0,0,1-2.1.3,8.27,8.27,0,0,1-5.7-2.3A7.63,7.63,0,0,1,4,12.1a8.33,8.33,0,0,1,.3-2.2l4.4,4.4a4.14,4.14,0,0,0,5.9.2,4.14,4.14,0,0,0-.2-5.9L10,4.2a6.45,6.45,0,0,1,2-.3,8.27,8.27,0,0,1,5.7,2.3A8.49,8.49,0,0,1,20.1,12.1Z"}),props.children);});var Tools16=/*#__PURE__*/React.forwardRef(function Tools16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12.1,2A9.8,9.8,0,0,0,6.7,3.6L13.1,10a2.1,2.1,0,0,1,.2,3,2.1,2.1,0,0,1-3-.2L3.7,6.4A9.84,9.84,0,0,0,2,12.1,10.14,10.14,0,0,0,12.1,22.2a10.9,10.9,0,0,0,2.6-.3l6.7,6.7a5,5,0,0,0,7.1-7.1l-6.7-6.7a10.9,10.9,0,0,0,.3-2.6A10,10,0,0,0,12.1,2Zm8,10.1a7.61,7.61,0,0,1-.3,2.1l-.3,1.1.8.8L27,22.8a2.88,2.88,0,0,1,.9,2.1A2.72,2.72,0,0,1,27,27a2.9,2.9,0,0,1-4.2,0l-6.7-6.7-.8-.8-1.1.3a7.61,7.61,0,0,1-2.1.3,8.27,8.27,0,0,1-5.7-2.3A7.63,7.63,0,0,1,4,12.1a8.33,8.33,0,0,1,.3-2.2l4.4,4.4a4.14,4.14,0,0,0,5.9.2,4.14,4.14,0,0,0-.2-5.9L10,4.2a6.45,6.45,0,0,1,2-.3,8.27,8.27,0,0,1,5.7,2.3A8.49,8.49,0,0,1,20.1,12.1Z"}),props.children);});var Tornado32=/*#__PURE__*/React.forwardRef(function Tornado32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"16",y:"26"}),React.createElement("rect",{width:"6",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"14",height:"2",x:"10",y:"10"}),React.createElement("rect",{width:"18",height:"2",x:"8",y:"6"}),props.children);});var Tornado24=/*#__PURE__*/React.forwardRef(function Tornado24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"16",y:"26"}),React.createElement("rect",{width:"6",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"14",height:"2",x:"10",y:"10"}),React.createElement("rect",{width:"18",height:"2",x:"8",y:"6"}),props.children);});var Tornado20=/*#__PURE__*/React.forwardRef(function Tornado20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"16",y:"26"}),React.createElement("rect",{width:"6",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"14",height:"2",x:"10",y:"10"}),React.createElement("rect",{width:"18",height:"2",x:"8",y:"6"}),props.children);});var Tornado16=/*#__PURE__*/React.forwardRef(function Tornado16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"16",y:"26"}),React.createElement("rect",{width:"6",height:"2",x:"12",y:"22"}),React.createElement("rect",{width:"10",height:"2",x:"8",y:"18"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"14"}),React.createElement("rect",{width:"14",height:"2",x:"10",y:"10"}),React.createElement("rect",{width:"18",height:"2",x:"8",y:"6"}),props.children);});var Touch_132=/*#__PURE__*/React.forwardRef(function Touch_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,8H18A5,5,0,0,0,8,8H6A7,7,0,0,1,20,8Z"}),React.createElement("path",{d:"M25,15a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,21,14a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,16,13.18V8h0a3,3,0,0,0-6,0V19.1L7.77,17.58h0A2.93,2.93,0,0,0,6,17a3,3,0,0,0-2.12,5.13l8,7.3A6.16,6.16,0,0,0,16,31h5a7,7,0,0,0,7-7V18A3,3,0,0,0,25,15Zm1,9a5,5,0,0,1-5,5H16a4.17,4.17,0,0,1-2.76-1L5.29,20.7A1,1,0,0,1,5,20a1,1,0,0,1,1.6-.8L12,22.9V8a1,1,0,0,1,2,0h0V19h2V16a1,1,0,0,1,2,0v3h2V17a1,1,0,0,1,2,0v2h2V18a1,1,0,0,1,2,0Z"}),props.children);});var Touch_124=/*#__PURE__*/React.forwardRef(function Touch_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,8H18A5,5,0,0,0,8,8H6A7,7,0,0,1,20,8Z"}),React.createElement("path",{d:"M25,15a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,21,14a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,16,13.18V8h0a3,3,0,0,0-6,0V19.1L7.77,17.58h0A2.93,2.93,0,0,0,6,17a3,3,0,0,0-2.12,5.13l8,7.3A6.16,6.16,0,0,0,16,31h5a7,7,0,0,0,7-7V18A3,3,0,0,0,25,15Zm1,9a5,5,0,0,1-5,5H16a4.17,4.17,0,0,1-2.76-1L5.29,20.7A1,1,0,0,1,5,20a1,1,0,0,1,1.6-.8L12,22.9V8a1,1,0,0,1,2,0h0V19h2V16a1,1,0,0,1,2,0v3h2V17a1,1,0,0,1,2,0v2h2V18a1,1,0,0,1,2,0Z"}),props.children);});var Touch_120=/*#__PURE__*/React.forwardRef(function Touch_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,8H18A5,5,0,0,0,8,8H6A7,7,0,0,1,20,8Z"}),React.createElement("path",{d:"M25,15a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,21,14a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,16,13.18V8h0a3,3,0,0,0-6,0V19.1L7.77,17.58h0A2.93,2.93,0,0,0,6,17a3,3,0,0,0-2.12,5.13l8,7.3A6.16,6.16,0,0,0,16,31h5a7,7,0,0,0,7-7V18A3,3,0,0,0,25,15Zm1,9a5,5,0,0,1-5,5H16a4.17,4.17,0,0,1-2.76-1L5.29,20.7A1,1,0,0,1,5,20a1,1,0,0,1,1.6-.8L12,22.9V8a1,1,0,0,1,2,0h0V19h2V16a1,1,0,0,1,2,0v3h2V17a1,1,0,0,1,2,0v2h2V18a1,1,0,0,1,2,0Z"}),props.children);});var Touch_116=/*#__PURE__*/React.forwardRef(function Touch_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,8H18A5,5,0,0,0,8,8H6A7,7,0,0,1,20,8Z"}),React.createElement("path",{d:"M25,15a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,21,14a2.94,2.94,0,0,0-1.47.4A3,3,0,0,0,16,13.18V8h0a3,3,0,0,0-6,0V19.1L7.77,17.58h0A2.93,2.93,0,0,0,6,17a3,3,0,0,0-2.12,5.13l8,7.3A6.16,6.16,0,0,0,16,31h5a7,7,0,0,0,7-7V18A3,3,0,0,0,25,15Zm1,9a5,5,0,0,1-5,5H16a4.17,4.17,0,0,1-2.76-1L5.29,20.7A1,1,0,0,1,5,20a1,1,0,0,1,1.6-.8L12,22.9V8a1,1,0,0,1,2,0h0V19h2V16a1,1,0,0,1,2,0v3h2V17a1,1,0,0,1,2,0v2h2V18a1,1,0,0,1,2,0Z"}),props.children);});var Touch_232=/*#__PURE__*/React.forwardRef(function Touch_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,15H27A11,11,0,0,0,5,15H3a13,13,0,0,1,26,0Z"}),React.createElement("path",{d:"M25,28H23V15A7,7,0,1,0,9,15V28H7V15a9,9,0,0,1,18,0Z"}),React.createElement("path",{d:"M21,20H11V15a5,5,0,0,1,10,0Zm-8-2h6V15a3,3,0,0,0-6,0Z"}),props.children);});var Touch_224=/*#__PURE__*/React.forwardRef(function Touch_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,15H27A11,11,0,0,0,5,15H3a13,13,0,0,1,26,0Z"}),React.createElement("path",{d:"M25,28H23V15A7,7,0,1,0,9,15V28H7V15a9,9,0,0,1,18,0Z"}),React.createElement("path",{d:"M21,20H11V15a5,5,0,0,1,10,0Zm-8-2h6V15a3,3,0,0,0-6,0Z"}),props.children);});var Touch_220=/*#__PURE__*/React.forwardRef(function Touch_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,15H27A11,11,0,0,0,5,15H3a13,13,0,0,1,26,0Z"}),React.createElement("path",{d:"M25,28H23V15A7,7,0,1,0,9,15V28H7V15a9,9,0,0,1,18,0Z"}),React.createElement("path",{d:"M21,20H11V15a5,5,0,0,1,10,0Zm-8-2h6V15a3,3,0,0,0-6,0Z"}),props.children);});var Touch_216=/*#__PURE__*/React.forwardRef(function Touch_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29,15H27A11,11,0,0,0,5,15H3a13,13,0,0,1,26,0Z"}),React.createElement("path",{d:"M25,28H23V15A7,7,0,1,0,9,15V28H7V15a9,9,0,0,1,18,0Z"}),React.createElement("path",{d:"M21,20H11V15a5,5,0,0,1,10,0Zm-8-2h6V15a3,3,0,0,0-6,0Z"}),props.children);});var Train32=/*#__PURE__*/React.forwardRef(function Train32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3H11A5.0057,5.0057,0,0,0,6,8V20a4.99,4.99,0,0,0,3.582,4.77L7.7693,29H9.9451l1.7143-4h8.6812l1.7143,4h2.1758L22.418,24.77A4.99,4.99,0,0,0,26,20V8A5.0057,5.0057,0,0,0,21,3ZM11,5H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,5ZM24,19H21v2h2.8157A2.9948,2.9948,0,0,1,21,23H11a2.9948,2.9948,0,0,1-2.8157-2H11V19H8V17H24Zm0-4H8V9H24Z"}),props.children);});var Train24=/*#__PURE__*/React.forwardRef(function Train24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3H11A5.0057,5.0057,0,0,0,6,8V20a4.99,4.99,0,0,0,3.582,4.77L7.7693,29H9.9451l1.7143-4h8.6812l1.7143,4h2.1758L22.418,24.77A4.99,4.99,0,0,0,26,20V8A5.0057,5.0057,0,0,0,21,3ZM11,5H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,5ZM24,19H21v2h2.8157A2.9948,2.9948,0,0,1,21,23H11a2.9948,2.9948,0,0,1-2.8157-2H11V19H8V17H24Zm0-4H8V9H24Z"}),props.children);});var Train20=/*#__PURE__*/React.forwardRef(function Train20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3H11A5.0057,5.0057,0,0,0,6,8V20a4.99,4.99,0,0,0,3.582,4.77L7.7693,29H9.9451l1.7143-4h8.6812l1.7143,4h2.1758L22.418,24.77A4.99,4.99,0,0,0,26,20V8A5.0057,5.0057,0,0,0,21,3ZM11,5H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,5ZM24,19H21v2h2.8157A2.9948,2.9948,0,0,1,21,23H11a2.9948,2.9948,0,0,1-2.8157-2H11V19H8V17H24Zm0-4H8V9H24Z"}),props.children);});var Train16=/*#__PURE__*/React.forwardRef(function Train16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3H11A5.0057,5.0057,0,0,0,6,8V20a4.99,4.99,0,0,0,3.582,4.77L7.7693,29H9.9451l1.7143-4h8.6812l1.7143,4h2.1758L22.418,24.77A4.99,4.99,0,0,0,26,20V8A5.0057,5.0057,0,0,0,21,3ZM11,5H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,5ZM24,19H21v2h2.8157A2.9948,2.9948,0,0,1,21,23H11a2.9948,2.9948,0,0,1-2.8157-2H11V19H8V17H24Zm0-4H8V9H24Z"}),props.children);});var Tram32=/*#__PURE__*/React.forwardRef(function Tram32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,6H17V4h6V2H9V4h6V6H11a5.0057,5.0057,0,0,0-5,5V22a4.99,4.99,0,0,0,3.582,4.77L8.1978,30h2.1757l1.2859-3h8.6812l1.2859,3h2.1757L22.418,26.77A4.99,4.99,0,0,0,26,22V11A5.0057,5.0057,0,0,0,21,6ZM11,8H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,8ZM24,21H21v2h2.8157A2.9948,2.9948,0,0,1,21,25H11a2.9948,2.9948,0,0,1-2.8157-2H11V21H8V19H24Zm0-4H8V12H24Z"}),props.children);});var Tram24=/*#__PURE__*/React.forwardRef(function Tram24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,6H17V4h6V2H9V4h6V6H11a5.0057,5.0057,0,0,0-5,5V22a4.99,4.99,0,0,0,3.582,4.77L8.1978,30h2.1757l1.2859-3h8.6812l1.2859,3h2.1757L22.418,26.77A4.99,4.99,0,0,0,26,22V11A5.0057,5.0057,0,0,0,21,6ZM11,8H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,8ZM24,21H21v2h2.8157A2.9948,2.9948,0,0,1,21,25H11a2.9948,2.9948,0,0,1-2.8157-2H11V21H8V19H24Zm0-4H8V12H24Z"}),props.children);});var Tram20=/*#__PURE__*/React.forwardRef(function Tram20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,6H17V4h6V2H9V4h6V6H11a5.0057,5.0057,0,0,0-5,5V22a4.99,4.99,0,0,0,3.582,4.77L8.1978,30h2.1757l1.2859-3h8.6812l1.2859,3h2.1757L22.418,26.77A4.99,4.99,0,0,0,26,22V11A5.0057,5.0057,0,0,0,21,6ZM11,8H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,8ZM24,21H21v2h2.8157A2.9948,2.9948,0,0,1,21,25H11a2.9948,2.9948,0,0,1-2.8157-2H11V21H8V19H24Zm0-4H8V12H24Z"}),props.children);});var Tram16=/*#__PURE__*/React.forwardRef(function Tram16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,6H17V4h6V2H9V4h6V6H11a5.0057,5.0057,0,0,0-5,5V22a4.99,4.99,0,0,0,3.582,4.77L8.1978,30h2.1757l1.2859-3h8.6812l1.2859,3h2.1757L22.418,26.77A4.99,4.99,0,0,0,26,22V11A5.0057,5.0057,0,0,0,21,6ZM11,8H21a2.9948,2.9948,0,0,1,2.8157,2H8.1843A2.9948,2.9948,0,0,1,11,8ZM24,21H21v2h2.8157A2.9948,2.9948,0,0,1,21,25H11a2.9948,2.9948,0,0,1-2.8157-2H11V21H8V19H24Zm0-4H8V12H24Z"}),props.children);});var Translate32=/*#__PURE__*/React.forwardRef(function Translate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.85,29H30L24,14H21.65l-6,15H17.8l1.6-4h6.85ZM20.2,23l2.62-6.56L25.45,23Z"}),React.createElement("path",{d:"M18,7V5H11V2H9V5H2V7H12.74a14.71,14.71,0,0,1-3.19,6.18A13.5,13.5,0,0,1,7.26,9H5.16a16.47,16.47,0,0,0,3,5.58A16.84,16.84,0,0,1,3,18l.75,1.86A18.47,18.47,0,0,0,9.53,16a16.92,16.92,0,0,0,5.76,3.84L16,18a14.48,14.48,0,0,1-5.12-3.37A17.64,17.64,0,0,0,14.8,7Z"}),props.children);});var Translate24=/*#__PURE__*/React.forwardRef(function Translate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.85,29H30L24,14H21.65l-6,15H17.8l1.6-4h6.85ZM20.2,23l2.62-6.56L25.45,23Z"}),React.createElement("path",{d:"M18,7V5H11V2H9V5H2V7H12.74a14.71,14.71,0,0,1-3.19,6.18A13.5,13.5,0,0,1,7.26,9H5.16a16.47,16.47,0,0,0,3,5.58A16.84,16.84,0,0,1,3,18l.75,1.86A18.47,18.47,0,0,0,9.53,16a16.92,16.92,0,0,0,5.76,3.84L16,18a14.48,14.48,0,0,1-5.12-3.37A17.64,17.64,0,0,0,14.8,7Z"}),props.children);});var Translate20=/*#__PURE__*/React.forwardRef(function Translate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.85,29H30L24,14H21.65l-6,15H17.8l1.6-4h6.85ZM20.2,23l2.62-6.56L25.45,23Z"}),React.createElement("path",{d:"M18,7V5H11V2H9V5H2V7H12.74a14.71,14.71,0,0,1-3.19,6.18A13.5,13.5,0,0,1,7.26,9H5.16a16.47,16.47,0,0,0,3,5.58A16.84,16.84,0,0,1,3,18l.75,1.86A18.47,18.47,0,0,0,9.53,16a16.92,16.92,0,0,0,5.76,3.84L16,18a14.48,14.48,0,0,1-5.12-3.37A17.64,17.64,0,0,0,14.8,7Z"}),props.children);});var Translate16=/*#__PURE__*/React.forwardRef(function Translate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.85,29H30L24,14H21.65l-6,15H17.8l1.6-4h6.85ZM20.2,23l2.62-6.56L25.45,23Z"}),React.createElement("path",{d:"M18,7V5H11V2H9V5H2V7H12.74a14.71,14.71,0,0,1-3.19,6.18A13.5,13.5,0,0,1,7.26,9H5.16a16.47,16.47,0,0,0,3,5.58A16.84,16.84,0,0,1,3,18l.75,1.86A18.47,18.47,0,0,0,9.53,16a16.92,16.92,0,0,0,5.76,3.84L16,18a14.48,14.48,0,0,1-5.12-3.37A17.64,17.64,0,0,0,14.8,7Z"}),props.children);});var TrashCan32=/*#__PURE__*/React.forwardRef(function TrashCan32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var TrashCan24=/*#__PURE__*/React.forwardRef(function TrashCan24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var TrashCan20=/*#__PURE__*/React.forwardRef(function TrashCan20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var TrashCan16=/*#__PURE__*/React.forwardRef(function TrashCan16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"12",x:"12",y:"12"}),React.createElement("rect",{width:"2",height:"12",x:"18",y:"12"}),React.createElement("path",{d:"M4,6V8H6V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V8h2V6ZM8,28V8H24V28Z"}),React.createElement("rect",{width:"8",height:"2",x:"12",y:"2"}),props.children);});var TreeViewAlt32=/*#__PURE__*/React.forwardRef(function TreeViewAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9h6a2,2,0,0,0,2-2V3a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2V4H11V3A2,2,0,0,0,9,1H3A2,2,0,0,0,1,3V7A2,2,0,0,0,3,9H9a2,2,0,0,0,2-2V6h4V26a2.0023,2.0023,0,0,0,2,2h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V25a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V17h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V14a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V6h4V7A2,2,0,0,0,23,9Zm0-6h6V7H23ZM9,7H3V3H9ZM23,25h6v4H23Zm0-11h6v4H23Z",transform:"translate(0 .005)"}),props.children);});var TreeViewAlt24=/*#__PURE__*/React.forwardRef(function TreeViewAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9h6a2,2,0,0,0,2-2V3a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2V4H11V3A2,2,0,0,0,9,1H3A2,2,0,0,0,1,3V7A2,2,0,0,0,3,9H9a2,2,0,0,0,2-2V6h4V26a2.0023,2.0023,0,0,0,2,2h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V25a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V17h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V14a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V6h4V7A2,2,0,0,0,23,9Zm0-6h6V7H23ZM9,7H3V3H9ZM23,25h6v4H23Zm0-11h6v4H23Z",transform:"translate(0 .005)"}),props.children);});var TreeViewAlt20=/*#__PURE__*/React.forwardRef(function TreeViewAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9h6a2,2,0,0,0,2-2V3a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2V4H11V3A2,2,0,0,0,9,1H3A2,2,0,0,0,1,3V7A2,2,0,0,0,3,9H9a2,2,0,0,0,2-2V6h4V26a2.0023,2.0023,0,0,0,2,2h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V25a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V17h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V14a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V6h4V7A2,2,0,0,0,23,9Zm0-6h6V7H23ZM9,7H3V3H9ZM23,25h6v4H23Zm0-11h6v4H23Z",transform:"translate(0 .005)"}),props.children);});var TreeViewAlt16=/*#__PURE__*/React.forwardRef(function TreeViewAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,9h6a2,2,0,0,0,2-2V3a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2V4H11V3A2,2,0,0,0,9,1H3A2,2,0,0,0,1,3V7A2,2,0,0,0,3,9H9a2,2,0,0,0,2-2V6h4V26a2.0023,2.0023,0,0,0,2,2h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V25a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V17h4v1a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V14a2,2,0,0,0-2-2H23a2,2,0,0,0-2,2v1H17V6h4V7A2,2,0,0,0,23,9Zm0-6h6V7H23ZM9,7H3V3H9ZM23,25h6v4H23Zm0-11h6v4H23Z",transform:"translate(0 .005)"}),props.children);});var TreeView32=/*#__PURE__*/React.forwardRef(function TreeView32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20V12H22v3H17V7a2,2,0,0,0-2-2H10V2H2v8h8V7h5V25a2,2,0,0,0,2,2h5v3h8V22H22v3H17V17h5v3ZM8,8H4V4H8ZM24,24h4v4H24Zm0-10h4v4H24Z"}),props.children);});var TreeView24=/*#__PURE__*/React.forwardRef(function TreeView24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20V12H22v3H17V7a2,2,0,0,0-2-2H10V2H2v8h8V7h5V25a2,2,0,0,0,2,2h5v3h8V22H22v3H17V17h5v3ZM8,8H4V4H8ZM24,24h4v4H24Zm0-10h4v4H24Z"}),props.children);});var TreeView20=/*#__PURE__*/React.forwardRef(function TreeView20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20V12H22v3H17V7a2,2,0,0,0-2-2H10V2H2v8h8V7h5V25a2,2,0,0,0,2,2h5v3h8V22H22v3H17V17h5v3ZM8,8H4V4H8ZM24,24h4v4H24Zm0-10h4v4H24Z"}),props.children);});var TreeView16=/*#__PURE__*/React.forwardRef(function TreeView16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,20V12H22v3H17V7a2,2,0,0,0-2-2H10V2H2v8h8V7h5V25a2,2,0,0,0,2,2h5v3h8V22H22v3H17V17h5v3ZM8,8H4V4H8ZM24,24h4v4H24Zm0-10h4v4H24Z"}),props.children);});var Tree32=/*#__PURE__*/React.forwardRef(function Tree32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,30H9V28h3V15.5664L8.4854,13.4575l1.0292-1.7148,3.5147,2.1084A2.0115,2.0115,0,0,1,14,15.5664V28A2.0023,2.0023,0,0,1,12,30Z"}),React.createElement("path",{d:"M22,30H19a2.0024,2.0024,0,0,1-2-2V17h6a4.0008,4.0008,0,0,0,3.981-4.396A4.1489,4.1489,0,0,0,22.7853,9H21.2016L21.025,8.221C20.452,5.6961,18.0308,4,15,4A6.02,6.02,0,0,0,9.5585,7.4859L9.25,8.1531l-.863-.1143A2.771,2.771,0,0,0,8,8a4,4,0,1,0,0,8v2A6,6,0,1,1,8,6c.0264,0,.0525,0,.0786.001A8.0271,8.0271,0,0,1,15,2c3.6788,0,6.6923,1.9776,7.7516,5h.0337a6.1641,6.1641,0,0,1,6.1872,5.4141A6.0011,6.0011,0,0,1,23,19l-4,0v9h3Z"}),props.children);});var Tree24=/*#__PURE__*/React.forwardRef(function Tree24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,30H9V28h3V15.5664L8.4854,13.4575l1.0292-1.7148,3.5147,2.1084A2.0115,2.0115,0,0,1,14,15.5664V28A2.0023,2.0023,0,0,1,12,30Z"}),React.createElement("path",{d:"M22,30H19a2.0024,2.0024,0,0,1-2-2V17h6a4.0008,4.0008,0,0,0,3.981-4.396A4.1489,4.1489,0,0,0,22.7853,9H21.2016L21.025,8.221C20.452,5.6961,18.0308,4,15,4A6.02,6.02,0,0,0,9.5585,7.4859L9.25,8.1531l-.863-.1143A2.771,2.771,0,0,0,8,8a4,4,0,1,0,0,8v2A6,6,0,1,1,8,6c.0264,0,.0525,0,.0786.001A8.0271,8.0271,0,0,1,15,2c3.6788,0,6.6923,1.9776,7.7516,5h.0337a6.1641,6.1641,0,0,1,6.1872,5.4141A6.0011,6.0011,0,0,1,23,19l-4,0v9h3Z"}),props.children);});var Tree20=/*#__PURE__*/React.forwardRef(function Tree20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,30H9V28h3V15.5664L8.4854,13.4575l1.0292-1.7148,3.5147,2.1084A2.0115,2.0115,0,0,1,14,15.5664V28A2.0023,2.0023,0,0,1,12,30Z"}),React.createElement("path",{d:"M22,30H19a2.0024,2.0024,0,0,1-2-2V17h6a4.0008,4.0008,0,0,0,3.981-4.396A4.1489,4.1489,0,0,0,22.7853,9H21.2016L21.025,8.221C20.452,5.6961,18.0308,4,15,4A6.02,6.02,0,0,0,9.5585,7.4859L9.25,8.1531l-.863-.1143A2.771,2.771,0,0,0,8,8a4,4,0,1,0,0,8v2A6,6,0,1,1,8,6c.0264,0,.0525,0,.0786.001A8.0271,8.0271,0,0,1,15,2c3.6788,0,6.6923,1.9776,7.7516,5h.0337a6.1641,6.1641,0,0,1,6.1872,5.4141A6.0011,6.0011,0,0,1,23,19l-4,0v9h3Z"}),props.children);});var Tree16=/*#__PURE__*/React.forwardRef(function Tree16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,30H9V28h3V15.5664L8.4854,13.4575l1.0292-1.7148,3.5147,2.1084A2.0115,2.0115,0,0,1,14,15.5664V28A2.0023,2.0023,0,0,1,12,30Z"}),React.createElement("path",{d:"M22,30H19a2.0024,2.0024,0,0,1-2-2V17h6a4.0008,4.0008,0,0,0,3.981-4.396A4.1489,4.1489,0,0,0,22.7853,9H21.2016L21.025,8.221C20.452,5.6961,18.0308,4,15,4A6.02,6.02,0,0,0,9.5585,7.4859L9.25,8.1531l-.863-.1143A2.771,2.771,0,0,0,8,8a4,4,0,1,0,0,8v2A6,6,0,1,1,8,6c.0264,0,.0525,0,.0786.001A8.0271,8.0271,0,0,1,15,2c3.6788,0,6.6923,1.9776,7.7516,5h.0337a6.1641,6.1641,0,0,1,6.1872,5.4141A6.0011,6.0011,0,0,1,23,19l-4,0v9h3Z"}),props.children);});var TrophyFilled32=/*#__PURE__*/React.forwardRef(function TrophyFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm18-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var TrophyFilled24=/*#__PURE__*/React.forwardRef(function TrophyFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm18-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var TrophyFilled20=/*#__PURE__*/React.forwardRef(function TrophyFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm18-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var TrophyFilled16=/*#__PURE__*/React.forwardRef(function TrophyFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm18-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var Trophy32=/*#__PURE__*/React.forwardRef(function Trophy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm14,0a6,6,0,0,1-6.1855,5.9971A6.1991,6.1991,0,0,1,10,13.7065V6H22Zm4-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var Trophy24=/*#__PURE__*/React.forwardRef(function Trophy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm14,0a6,6,0,0,1-6.1855,5.9971A6.1991,6.1991,0,0,1,10,13.7065V6H22Zm4-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var Trophy20=/*#__PURE__*/React.forwardRef(function Trophy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm14,0a6,6,0,0,1-6.1855,5.9971A6.1991,6.1991,0,0,1,10,13.7065V6H22Zm4-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var Trophy16=/*#__PURE__*/React.forwardRef(function Trophy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,7H24V6a2.0023,2.0023,0,0,0-2-2H10A2.0023,2.0023,0,0,0,8,6V7H6A2.0023,2.0023,0,0,0,4,9v3a4.0045,4.0045,0,0,0,4,4h.322A8.1689,8.1689,0,0,0,15,21.9341V26H10v2H22V26H17V21.9311A7.9661,7.9661,0,0,0,23.74,16H24a4.0045,4.0045,0,0,0,4-4V9A2.0023,2.0023,0,0,0,26,7ZM8,14a2.0023,2.0023,0,0,1-2-2V9H8Zm14,0a6,6,0,0,1-6.1855,5.9971A6.1991,6.1991,0,0,1,10,13.7065V6H22Zm4-2a2.0023,2.0023,0,0,1-2,2V9h2Z"}),props.children);});var TropicalStorm32=/*#__PURE__*/React.forwardRef(function TropicalStorm32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,21a5,5,0,1,1,5-5A5.0057,5.0057,0,0,1,16,21Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,16,13Z"}),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var TropicalStorm24=/*#__PURE__*/React.forwardRef(function TropicalStorm24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,21a5,5,0,1,1,5-5A5.0057,5.0057,0,0,1,16,21Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,16,13Z"}),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var TropicalStorm20=/*#__PURE__*/React.forwardRef(function TropicalStorm20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,21a5,5,0,1,1,5-5A5.0057,5.0057,0,0,1,16,21Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,16,13Z"}),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var TropicalStorm16=/*#__PURE__*/React.forwardRef(function TropicalStorm16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,21a5,5,0,1,1,5-5A5.0057,5.0057,0,0,1,16,21Zm0-8a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,16,13Z"}),React.createElement("path",{d:"M22.6521,4.1821l-2.177,2.5142L19.0713,8.3174,20.7864,9.605A7.9361,7.9361,0,0,1,23.9963,16l.0008.0576.0017.0415c.018.4317.2412,10.1113-14.6538,11.7222l2.18-2.5176,1.4039-1.6211L11.2139,22.395A7.9361,7.9361,0,0,1,8.0037,16l-.0008-.0576-.0017-.0415C7.9832,15.47,7.7605,5.8071,22.6521,4.1821M24.9978,2c-.0164,0-.0327,0-.0493.001C5.2532,2.9146,6.0037,16,6.0037,16a9.975,9.975,0,0,0,4.0095,7.9946L6.2368,28.3555A1.0044,1.0044,0,0,0,7.0022,30c.0164,0,.0327,0,.0493-.001C26.7468,29.0854,25.9963,16,25.9963,16a9.9756,9.9756,0,0,0-4.0092-7.9946l3.7761-4.3609A1.0044,1.0044,0,0,0,24.9978,2Z"}),props.children);});var TypePattern32=/*#__PURE__*/React.forwardRef(function TypePattern32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 15 17 15 17 2 15 2 15 15 2 15 2 17 15 17 15 30 17 30 17 17 30 17 30 15"}),React.createElement("polygon",{points:"25.586 20 27 21.414 23.414 25 27 28.586 25.586 30 20.586 25 25.586 20"}),React.createElement("path",{d:"M11,30H3a1,1,0,0,1-.8945-1.4473l4-8a1.0412,1.0412,0,0,1,1.789,0l4,8A1,1,0,0,1,11,30ZM4.6182,28H9.3818L7,23.2363Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6.001L28,4Z"}),React.createElement("path",{d:"M7,12a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,12ZM7,4a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,4Z"}),props.children);});var TypePattern24=/*#__PURE__*/React.forwardRef(function TypePattern24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 15 17 15 17 2 15 2 15 15 2 15 2 17 15 17 15 30 17 30 17 17 30 17 30 15"}),React.createElement("polygon",{points:"25.586 20 27 21.414 23.414 25 27 28.586 25.586 30 20.586 25 25.586 20"}),React.createElement("path",{d:"M11,30H3a1,1,0,0,1-.8945-1.4473l4-8a1.0412,1.0412,0,0,1,1.789,0l4,8A1,1,0,0,1,11,30ZM4.6182,28H9.3818L7,23.2363Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6.001L28,4Z"}),React.createElement("path",{d:"M7,12a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,12ZM7,4a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,4Z"}),props.children);});var TypePattern20=/*#__PURE__*/React.forwardRef(function TypePattern20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 15 17 15 17 2 15 2 15 15 2 15 2 17 15 17 15 30 17 30 17 17 30 17 30 15"}),React.createElement("polygon",{points:"25.586 20 27 21.414 23.414 25 27 28.586 25.586 30 20.586 25 25.586 20"}),React.createElement("path",{d:"M11,30H3a1,1,0,0,1-.8945-1.4473l4-8a1.0412,1.0412,0,0,1,1.789,0l4,8A1,1,0,0,1,11,30ZM4.6182,28H9.3818L7,23.2363Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6.001L28,4Z"}),React.createElement("path",{d:"M7,12a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,12ZM7,4a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,4Z"}),props.children);});var TypePattern16=/*#__PURE__*/React.forwardRef(function TypePattern16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 15 17 15 17 2 15 2 15 15 2 15 2 17 15 17 15 30 17 30 17 17 30 17 30 15"}),React.createElement("polygon",{points:"25.586 20 27 21.414 23.414 25 27 28.586 25.586 30 20.586 25 25.586 20"}),React.createElement("path",{d:"M11,30H3a1,1,0,0,1-.8945-1.4473l4-8a1.0412,1.0412,0,0,1,1.789,0l4,8A1,1,0,0,1,11,30ZM4.6182,28H9.3818L7,23.2363Z"}),React.createElement("path",{d:"M28,12H22a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h6a2.0023,2.0023,0,0,1,2,2v6A2.0023,2.0023,0,0,1,28,12ZM22,4v6h6.001L28,4Z"}),React.createElement("path",{d:"M7,12a5,5,0,1,1,5-5A5.0059,5.0059,0,0,1,7,12ZM7,4a3,3,0,1,0,3,3A3.0033,3.0033,0,0,0,7,4Z"}),props.children);});var Types32=/*#__PURE__*/React.forwardRef(function Types32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 16 22 24 20.586 22.586 27.172 16 20.586 9.414 22 8 30 16"}),React.createElement("path",{d:"M16,22a.9967.9967,0,0,1-.707-.293l-5-5a.9994.9994,0,0,1,0-1.414l5-5a.9994.9994,0,0,1,1.414,0l5,5a.9994.9994,0,0,1,0,1.414l-5,5A.9967.9967,0,0,1,16,22Zm-3.5859-6L16,19.5859,19.5859,16,16,12.4141Z"}),React.createElement("polygon",{points:"2 16 10 8 11.414 9.414 4.828 16 11.414 22.586 10 24 2 16"}),props.children);});var Types24=/*#__PURE__*/React.forwardRef(function Types24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 16 22 24 20.586 22.586 27.172 16 20.586 9.414 22 8 30 16"}),React.createElement("path",{d:"M16,22a.9967.9967,0,0,1-.707-.293l-5-5a.9994.9994,0,0,1,0-1.414l5-5a.9994.9994,0,0,1,1.414,0l5,5a.9994.9994,0,0,1,0,1.414l-5,5A.9967.9967,0,0,1,16,22Zm-3.5859-6L16,19.5859,19.5859,16,16,12.4141Z"}),React.createElement("polygon",{points:"2 16 10 8 11.414 9.414 4.828 16 11.414 22.586 10 24 2 16"}),props.children);});var Types20=/*#__PURE__*/React.forwardRef(function Types20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 16 22 24 20.586 22.586 27.172 16 20.586 9.414 22 8 30 16"}),React.createElement("path",{d:"M16,22a.9967.9967,0,0,1-.707-.293l-5-5a.9994.9994,0,0,1,0-1.414l5-5a.9994.9994,0,0,1,1.414,0l5,5a.9994.9994,0,0,1,0,1.414l-5,5A.9967.9967,0,0,1,16,22Zm-3.5859-6L16,19.5859,19.5859,16,16,12.4141Z"}),React.createElement("polygon",{points:"2 16 10 8 11.414 9.414 4.828 16 11.414 22.586 10 24 2 16"}),props.children);});var Types16=/*#__PURE__*/React.forwardRef(function Types16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 16 22 24 20.586 22.586 27.172 16 20.586 9.414 22 8 30 16"}),React.createElement("path",{d:"M16,22a.9967.9967,0,0,1-.707-.293l-5-5a.9994.9994,0,0,1,0-1.414l5-5a.9994.9994,0,0,1,1.414,0l5,5a.9994.9994,0,0,1,0,1.414l-5,5A.9967.9967,0,0,1,16,22Zm-3.5859-6L16,19.5859,19.5859,16,16,12.4141Z"}),React.createElement("polygon",{points:"2 16 10 8 11.414 9.414 4.828 16 11.414 22.586 10 24 2 16"}),props.children);});var UndefinedFilled32=/*#__PURE__*/React.forwardRef(function UndefinedFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4162,14.5905,17.41,2.5838a1.9937,1.9937,0,0,0-2.8192,0L2.5838,14.5905a1.9934,1.9934,0,0,0,0,2.819L14.5905,29.4162a1.9937,1.9937,0,0,0,2.8192,0L29.4162,17.41A1.9934,1.9934,0,0,0,29.4162,14.5905ZM21,18H11V14H21Z"}),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14",fill:"none","data-icon-path":"inner-path"}),props.children);});var UndefinedFilled24=/*#__PURE__*/React.forwardRef(function UndefinedFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4162,14.5905,17.41,2.5838a1.9937,1.9937,0,0,0-2.8192,0L2.5838,14.5905a1.9934,1.9934,0,0,0,0,2.819L14.5905,29.4162a1.9937,1.9937,0,0,0,2.8192,0L29.4162,17.41A1.9934,1.9934,0,0,0,29.4162,14.5905ZM21,18H11V14H21Z"}),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14",fill:"none","data-icon-path":"inner-path"}),props.children);});var UndefinedFilled20=/*#__PURE__*/React.forwardRef(function UndefinedFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4162,14.5905,17.41,2.5838a1.9937,1.9937,0,0,0-2.8192,0L2.5838,14.5905a1.9934,1.9934,0,0,0,0,2.819L14.5905,29.4162a1.9937,1.9937,0,0,0,2.8192,0L29.4162,17.41A1.9934,1.9934,0,0,0,29.4162,14.5905ZM21,18H11V14H21Z"}),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14",fill:"none","data-icon-path":"inner-path"}),props.children);});var UndefinedFilled16=/*#__PURE__*/React.forwardRef(function UndefinedFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4162,14.5905,17.41,2.5838a1.9937,1.9937,0,0,0-2.8192,0L2.5838,14.5905a1.9934,1.9934,0,0,0,0,2.819L14.5905,29.4162a1.9937,1.9937,0,0,0,2.8192,0L29.4162,17.41A1.9934,1.9934,0,0,0,29.4162,14.5905ZM21,18H11V14H21Z"}),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14",fill:"none","data-icon-path":"inner-path"}),props.children);});var Undefined32=/*#__PURE__*/React.forwardRef(function Undefined32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Undefined24=/*#__PURE__*/React.forwardRef(function Undefined24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Undefined20=/*#__PURE__*/React.forwardRef(function Undefined20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Undefined16=/*#__PURE__*/React.forwardRef(function Undefined16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"4",x:"11",y:"14"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Undo32=/*#__PURE__*/React.forwardRef(function Undo32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,15c2.5,0,4,1.5,4,4c0,2.5-1.5,4-4,4h-5v2h5c3.5,0,6-2.5,6-6c0-3.5-2.5-6-6-6H6.8l4-4L9.4,7.6L3,14\tl6.4,6.4l1.4-1.4l-4-4H23z"}),props.children);});var UnknownFilled32=/*#__PURE__*/React.forwardRef(function UnknownFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4163,14.5906,17.41,2.5842a1.9937,1.9937,0,0,0-2.8191,0L2.5837,14.5906a1.994,1.994,0,0,0,0,2.8193L14.5906,29.4163a1.9937,1.9937,0,0,0,2.8191,0L29.4163,17.41A1.994,1.994,0,0,0,29.4163,14.5906ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Zm1.125-6.7519v1.8769h-2.25V15H17a1.875,1.875,0,0,0,0-3.75H15a1.8771,1.8771,0,0,0-1.875,1.875v.5h-2.25v-.5A4.13,4.13,0,0,1,15,9h2a4.125,4.125,0,0,1,.125,8.2481Z"}),React.createElement("path",{fill:"none",d:"M16,21a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,21Zm1.125-3.752A4.1249,4.1249,0,0,0,17,9H15a4.13,4.13,0,0,0-4.125,4.125v.5h2.25v-.5A1.8772,1.8772,0,0,1,15,11.25h2A1.875,1.875,0,0,1,17,15H14.875v4.125h2.25Z","data-icon-path":"inner-path"}),props.children);});var UnknownFilled24=/*#__PURE__*/React.forwardRef(function UnknownFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4163,14.5906,17.41,2.5842a1.9937,1.9937,0,0,0-2.8191,0L2.5837,14.5906a1.994,1.994,0,0,0,0,2.8193L14.5906,29.4163a1.9937,1.9937,0,0,0,2.8191,0L29.4163,17.41A1.994,1.994,0,0,0,29.4163,14.5906ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Zm1.125-6.7519v1.8769h-2.25V15H17a1.875,1.875,0,0,0,0-3.75H15a1.8771,1.8771,0,0,0-1.875,1.875v.5h-2.25v-.5A4.13,4.13,0,0,1,15,9h2a4.125,4.125,0,0,1,.125,8.2481Z"}),React.createElement("path",{fill:"none",d:"M16,21a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,21Zm1.125-3.752A4.1249,4.1249,0,0,0,17,9H15a4.13,4.13,0,0,0-4.125,4.125v.5h2.25v-.5A1.8772,1.8772,0,0,1,15,11.25h2A1.875,1.875,0,0,1,17,15H14.875v4.125h2.25Z","data-icon-path":"inner-path"}),props.children);});var UnknownFilled20=/*#__PURE__*/React.forwardRef(function UnknownFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4163,14.5906,17.41,2.5842a1.9937,1.9937,0,0,0-2.8191,0L2.5837,14.5906a1.994,1.994,0,0,0,0,2.8193L14.5906,29.4163a1.9937,1.9937,0,0,0,2.8191,0L29.4163,17.41A1.994,1.994,0,0,0,29.4163,14.5906ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Zm1.125-6.7519v1.8769h-2.25V15H17a1.875,1.875,0,0,0,0-3.75H15a1.8771,1.8771,0,0,0-1.875,1.875v.5h-2.25v-.5A4.13,4.13,0,0,1,15,9h2a4.125,4.125,0,0,1,.125,8.2481Z"}),React.createElement("path",{fill:"none",d:"M16,21a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,21Zm1.125-3.752A4.1249,4.1249,0,0,0,17,9H15a4.13,4.13,0,0,0-4.125,4.125v.5h2.25v-.5A1.8772,1.8772,0,0,1,15,11.25h2A1.875,1.875,0,0,1,17,15H14.875v4.125h2.25Z","data-icon-path":"inner-path"}),props.children);});var UnknownFilled16=/*#__PURE__*/React.forwardRef(function UnknownFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4163,14.5906,17.41,2.5842a1.9937,1.9937,0,0,0-2.8191,0L2.5837,14.5906a1.994,1.994,0,0,0,0,2.8193L14.5906,29.4163a1.9937,1.9937,0,0,0,2.8191,0L29.4163,17.41A1.994,1.994,0,0,0,29.4163,14.5906ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Zm1.125-6.7519v1.8769h-2.25V15H17a1.875,1.875,0,0,0,0-3.75H15a1.8771,1.8771,0,0,0-1.875,1.875v.5h-2.25v-.5A4.13,4.13,0,0,1,15,9h2a4.125,4.125,0,0,1,.125,8.2481Z"}),React.createElement("path",{fill:"none",d:"M16,21a1.5,1.5,0,1,1-1.5,1.5A1.5,1.5,0,0,1,16,21Zm1.125-3.752A4.1249,4.1249,0,0,0,17,9H15a4.13,4.13,0,0,0-4.125,4.125v.5h2.25v-.5A1.8772,1.8772,0,0,1,15,11.25h2A1.875,1.875,0,0,1,17,15H14.875v4.125h2.25Z","data-icon-path":"inner-path"}),props.children);});var Unknown32=/*#__PURE__*/React.forwardRef(function Unknown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"22.5",r:"1.5"}),React.createElement("path",{d:"M17,19H15V15h2a2,2,0,0,0,0-4H15a2.0023,2.0023,0,0,0-2,2v.5H11V13a4.0045,4.0045,0,0,1,4-4h2a4,4,0,0,1,0,8Z"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Unknown24=/*#__PURE__*/React.forwardRef(function Unknown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"22.5",r:"1.5"}),React.createElement("path",{d:"M17,19H15V15h2a2,2,0,0,0,0-4H15a2.0023,2.0023,0,0,0-2,2v.5H11V13a4.0045,4.0045,0,0,1,4-4h2a4,4,0,0,1,0,8Z"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Unknown20=/*#__PURE__*/React.forwardRef(function Unknown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"22.5",r:"1.5"}),React.createElement("path",{d:"M17,19H15V15h2a2,2,0,0,0,0-4H15a2.0023,2.0023,0,0,0-2,2v.5H11V13a4.0045,4.0045,0,0,1,4-4h2a4,4,0,0,1,0,8Z"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Unknown16=/*#__PURE__*/React.forwardRef(function Unknown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"22.5",r:"1.5"}),React.createElement("path",{d:"M17,19H15V15h2a2,2,0,0,0,0-4H15a2.0023,2.0023,0,0,0-2,2v.5H11V13a4.0045,4.0045,0,0,1,4-4h2a4,4,0,0,1,0,8Z"}),React.createElement("path",{d:"M16,30a2.0763,2.0763,0,0,1-1.4732-.6094L2.6094,17.4732a2.0855,2.0855,0,0,1,0-2.9464L14.5268,2.6094a2.0855,2.0855,0,0,1,2.9464,0L29.3906,14.5268a2.0855,2.0855,0,0,1,0,2.9464L17.4732,29.3906A2.0763,2.0763,0,0,1,16,30ZM16,3.9992a.0841.0841,0,0,0-.0591.0244L4.0236,15.9409a.0838.0838,0,0,0,0,.1182L15.9409,27.9764a.0842.0842,0,0,0,.1182,0L27.9764,16.0591a.0838.0838,0,0,0,0-.1182L16.0591,4.0236A.0841.0841,0,0,0,16,3.9992Z"}),props.children);});var Unlink32=/*#__PURE__*/React.forwardRef(function Unlink32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.83",x:"5",y:"3.59",transform:"rotate(-45.01 5.996 6.005)"}),React.createElement("rect",{width:"2",height:"4.83",x:"25",y:"23.58",transform:"rotate(-44.99 25.995 25.999)"}),React.createElement("rect",{width:"2",height:"4",x:"11",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"11"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"19"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"26"}),React.createElement("path",{d:"M16.58,21.07l-3.71,3.72a4,4,0,1,1-5.66-5.66l3.72-3.72L9.51,14,5.8,17.72a6,6,0,0,0-.06,8.54A6,6,0,0,0,10,28a6.07,6.07,0,0,0,4.32-1.8L18,22.49Z"}),React.createElement("path",{d:"M15.41,10.93l3.72-3.72a4,4,0,1,1,5.66,5.66l-3.72,3.72L22.49,18l3.71-3.72a6,6,0,0,0,.06-8.54A6,6,0,0,0,22,4a6.07,6.07,0,0,0-4.32,1.8L14,9.51Z"}),props.children);});var Unlink24=/*#__PURE__*/React.forwardRef(function Unlink24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.83",x:"5",y:"3.59",transform:"rotate(-45.01 5.996 6.005)"}),React.createElement("rect",{width:"2",height:"4.83",x:"25",y:"23.58",transform:"rotate(-44.99 25.995 25.999)"}),React.createElement("rect",{width:"2",height:"4",x:"11",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"11"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"19"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"26"}),React.createElement("path",{d:"M16.58,21.07l-3.71,3.72a4,4,0,1,1-5.66-5.66l3.72-3.72L9.51,14,5.8,17.72a6,6,0,0,0-.06,8.54A6,6,0,0,0,10,28a6.07,6.07,0,0,0,4.32-1.8L18,22.49Z"}),React.createElement("path",{d:"M15.41,10.93l3.72-3.72a4,4,0,1,1,5.66,5.66l-3.72,3.72L22.49,18l3.71-3.72a6,6,0,0,0,.06-8.54A6,6,0,0,0,22,4a6.07,6.07,0,0,0-4.32,1.8L14,9.51Z"}),props.children);});var Unlink20=/*#__PURE__*/React.forwardRef(function Unlink20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.83",x:"5",y:"3.59",transform:"rotate(-45.01 5.996 6.005)"}),React.createElement("rect",{width:"2",height:"4.83",x:"25",y:"23.58",transform:"rotate(-44.99 25.995 25.999)"}),React.createElement("rect",{width:"2",height:"4",x:"11",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"11"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"19"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"26"}),React.createElement("path",{d:"M16.58,21.07l-3.71,3.72a4,4,0,1,1-5.66-5.66l3.72-3.72L9.51,14,5.8,17.72a6,6,0,0,0-.06,8.54A6,6,0,0,0,10,28a6.07,6.07,0,0,0,4.32-1.8L18,22.49Z"}),React.createElement("path",{d:"M15.41,10.93l3.72-3.72a4,4,0,1,1,5.66,5.66l-3.72,3.72L22.49,18l3.71-3.72a6,6,0,0,0,.06-8.54A6,6,0,0,0,22,4a6.07,6.07,0,0,0-4.32,1.8L14,9.51Z"}),props.children);});var Unlink16=/*#__PURE__*/React.forwardRef(function Unlink16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"4.83",x:"5",y:"3.59",transform:"rotate(-45.01 5.996 6.005)"}),React.createElement("rect",{width:"2",height:"4.83",x:"25",y:"23.58",transform:"rotate(-44.99 25.995 25.999)"}),React.createElement("rect",{width:"2",height:"4",x:"11",y:"2"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"11"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"19"}),React.createElement("rect",{width:"2",height:"4",x:"19",y:"26"}),React.createElement("path",{d:"M16.58,21.07l-3.71,3.72a4,4,0,1,1-5.66-5.66l3.72-3.72L9.51,14,5.8,17.72a6,6,0,0,0-.06,8.54A6,6,0,0,0,10,28a6.07,6.07,0,0,0,4.32-1.8L18,22.49Z"}),React.createElement("path",{d:"M15.41,10.93l3.72-3.72a4,4,0,1,1,5.66,5.66l-3.72,3.72L22.49,18l3.71-3.72a6,6,0,0,0,.06-8.54A6,6,0,0,0,22,4a6.07,6.07,0,0,0-4.32,1.8L14,9.51Z"}),props.children);});var Unlocked32=/*#__PURE__*/React.forwardRef(function Unlocked32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,14H12V8a4,4,0,0,1,8,0h2A6,6,0,0,0,10,8v6H8a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V16A2,2,0,0,0,24,14Zm0,14H8V16H24Z"}),props.children);});var Unlocked24=/*#__PURE__*/React.forwardRef(function Unlocked24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,14H12V8a4,4,0,0,1,8,0h2A6,6,0,0,0,10,8v6H8a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V16A2,2,0,0,0,24,14Zm0,14H8V16H24Z"}),props.children);});var Unlocked20=/*#__PURE__*/React.forwardRef(function Unlocked20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,14H12V8a4,4,0,0,1,8,0h2A6,6,0,0,0,10,8v6H8a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H24a2,2,0,0,0,2-2V16A2,2,0,0,0,24,14Zm0,14H8V16H24Z"}),props.children);});var UpToTop32=/*#__PURE__*/React.forwardRef(function UpToTop32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var UpToTop24=/*#__PURE__*/React.forwardRef(function UpToTop24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var UpToTop20=/*#__PURE__*/React.forwardRef(function UpToTop20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var UpToTop16=/*#__PURE__*/React.forwardRef(function UpToTop16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"16,14 6,24 7.4,25.4 16,16.8 24.6,25.4 26,24"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"8"}),props.children);});var Upload32=/*#__PURE__*/React.forwardRef(function Upload32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 17 7.41 18.41 15 10.83 15 30 17 30 17 10.83 24.59 18.41 26 17 16 7 6 17"}),React.createElement("path",{d:"M6,8V4H26V8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8Z"}),props.children);});var Upload24=/*#__PURE__*/React.forwardRef(function Upload24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 17 7.41 18.41 15 10.83 15 30 17 30 17 10.83 24.59 18.41 26 17 16 7 6 17"}),React.createElement("path",{d:"M6,8V4H26V8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8Z"}),props.children);});var Upload20=/*#__PURE__*/React.forwardRef(function Upload20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"6 17 7.41 18.41 15 10.83 15 30 17 30 17 10.83 24.59 18.41 26 17 16 7 6 17"}),React.createElement("path",{d:"M6,8V4H26V8h2V4a2,2,0,0,0-2-2H6A2,2,0,0,0,4,4V8Z"}),props.children);});var UserActivity32=/*#__PURE__*/React.forwardRef(function UserActivity32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23h-.0215a1.0016,1.0016,0,0,1-.94-.7256L20.8711,11.19l-1.9346,5.1607A1.0005,1.0005,0,0,1,18,17H14V15h3.3066l2.7569-7.3511a1.0005,1.0005,0,0,1,1.8984.0762l3.1113,10.8921,1.9786-5.9336A.9988.9988,0,0,1,28,12h4v2H28.7207l-2.7725,8.3164A.9984.9984,0,0,1,25,23Z"}),React.createElement("path",{d:"M15,30H13V23a3.0033,3.0033,0,0,0-3-3H6a3.0033,3.0033,0,0,0-3,3v7H1V23a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,8a3,3,0,1,1-3,3A3,3,0,0,1,8,8M8,6a5,5,0,1,0,5,5A5,5,0,0,0,8,6Z"}),props.children);});var UserActivity24=/*#__PURE__*/React.forwardRef(function UserActivity24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23h-.0215a1.0016,1.0016,0,0,1-.94-.7256L20.8711,11.19l-1.9346,5.1607A1.0005,1.0005,0,0,1,18,17H14V15h3.3066l2.7569-7.3511a1.0005,1.0005,0,0,1,1.8984.0762l3.1113,10.8921,1.9786-5.9336A.9988.9988,0,0,1,28,12h4v2H28.7207l-2.7725,8.3164A.9984.9984,0,0,1,25,23Z"}),React.createElement("path",{d:"M15,30H13V23a3.0033,3.0033,0,0,0-3-3H6a3.0033,3.0033,0,0,0-3,3v7H1V23a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,8a3,3,0,1,1-3,3A3,3,0,0,1,8,8M8,6a5,5,0,1,0,5,5A5,5,0,0,0,8,6Z"}),props.children);});var UserActivity20=/*#__PURE__*/React.forwardRef(function UserActivity20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23h-.0215a1.0016,1.0016,0,0,1-.94-.7256L20.8711,11.19l-1.9346,5.1607A1.0005,1.0005,0,0,1,18,17H14V15h3.3066l2.7569-7.3511a1.0005,1.0005,0,0,1,1.8984.0762l3.1113,10.8921,1.9786-5.9336A.9988.9988,0,0,1,28,12h4v2H28.7207l-2.7725,8.3164A.9984.9984,0,0,1,25,23Z"}),React.createElement("path",{d:"M15,30H13V23a3.0033,3.0033,0,0,0-3-3H6a3.0033,3.0033,0,0,0-3,3v7H1V23a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,8a3,3,0,1,1-3,3A3,3,0,0,1,8,8M8,6a5,5,0,1,0,5,5A5,5,0,0,0,8,6Z"}),props.children);});var UserActivity16=/*#__PURE__*/React.forwardRef(function UserActivity16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23h-.0215a1.0016,1.0016,0,0,1-.94-.7256L20.8711,11.19l-1.9346,5.1607A1.0005,1.0005,0,0,1,18,17H14V15h3.3066l2.7569-7.3511a1.0005,1.0005,0,0,1,1.8984.0762l3.1113,10.8921,1.9786-5.9336A.9988.9988,0,0,1,28,12h4v2H28.7207l-2.7725,8.3164A.9984.9984,0,0,1,25,23Z"}),React.createElement("path",{d:"M15,30H13V23a3.0033,3.0033,0,0,0-3-3H6a3.0033,3.0033,0,0,0-3,3v7H1V23a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,8a3,3,0,1,1-3,3A3,3,0,0,1,8,8M8,6a5,5,0,1,0,5,5A5,5,0,0,0,8,6Z"}),props.children);});var UserAdmin32=/*#__PURE__*/React.forwardRef(function UserAdmin32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("polygon",{points:"25 16.18 22.41 13.59 21 15 25 19 32 12 30.59 10.59 25 16.18"}),props.children);});var UserAdmin24=/*#__PURE__*/React.forwardRef(function UserAdmin24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("polygon",{points:"25 16.18 22.41 13.59 21 15 25 19 32 12 30.59 10.59 25 16.18"}),props.children);});var UserAdmin20=/*#__PURE__*/React.forwardRef(function UserAdmin20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("polygon",{points:"25 16.18 22.41 13.59 21 15 25 19 32 12 30.59 10.59 25 16.18"}),props.children);});var UserAdmin16=/*#__PURE__*/React.forwardRef(function UserAdmin16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("polygon",{points:"25 16.18 22.41 13.59 21 15 25 19 32 12 30.59 10.59 25 16.18"}),props.children);});var UserAvatarFilledAlt32=/*#__PURE__*/React.forwardRef(function UserAvatarFilledAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm8,22.9188v-.576l0-.0323A5.2086,5.2086,0,0,0,19,19H13a5.2,5.2,0,0,0-4.9893,5.3105c0,.0108-.0107.0215-.0107.0323v.5854a12.0053,12.0053,0,1,1,16-.0094Z"}),React.createElement("path",{d:"M16,7a5,5,0,1,0,5,5A5,5,0,0,0,16,7Z"}),props.children);});var UserAvatarFilledAlt24=/*#__PURE__*/React.forwardRef(function UserAvatarFilledAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm8,22.9188v-.576l0-.0323A5.2086,5.2086,0,0,0,19,19H13a5.2,5.2,0,0,0-4.9893,5.3105c0,.0108-.0107.0215-.0107.0323v.5854a12.0053,12.0053,0,1,1,16-.0094Z"}),React.createElement("path",{d:"M16,7a5,5,0,1,0,5,5A5,5,0,0,0,16,7Z"}),props.children);});var UserAvatarFilledAlt20=/*#__PURE__*/React.forwardRef(function UserAvatarFilledAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm8,22.9188v-.576l0-.0323A5.2086,5.2086,0,0,0,19,19H13a5.2,5.2,0,0,0-4.9893,5.3105c0,.0108-.0107.0215-.0107.0323v.5854a12.0053,12.0053,0,1,1,16-.0094Z"}),React.createElement("path",{d:"M16,7a5,5,0,1,0,5,5A5,5,0,0,0,16,7Z"}),props.children);});var UserAvatarFilledAlt16=/*#__PURE__*/React.forwardRef(function UserAvatarFilledAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm8,22.9188v-.576l0-.0323A5.2086,5.2086,0,0,0,19,19H13a5.2,5.2,0,0,0-4.9893,5.3105c0,.0108-.0107.0215-.0107.0323v.5854a12.0053,12.0053,0,1,1,16-.0094Z"}),React.createElement("path",{d:"M16,7a5,5,0,1,0,5,5A5,5,0,0,0,16,7Z"}),props.children);});var UserAvatarFilled32=/*#__PURE__*/React.forwardRef(function UserAvatarFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,5a4.5,4.5,0,1,1-4.5,4.5A4.49,4.49,0,0,1,16,7Zm8,17.92a11.93,11.93,0,0,1-16,0v-.58s0,0,0,0A5.2,5.2,0,0,1,13,19h6a5.21,5.21,0,0,1,5,5.31v.61Z"}),props.children);});var UserAvatarFilled24=/*#__PURE__*/React.forwardRef(function UserAvatarFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,5a4.5,4.5,0,1,1-4.5,4.5A4.49,4.49,0,0,1,16,7Zm8,17.92a11.93,11.93,0,0,1-16,0v-.58s0,0,0,0A5.2,5.2,0,0,1,13,19h6a5.21,5.21,0,0,1,5,5.31v.61Z"}),props.children);});var UserAvatarFilled20=/*#__PURE__*/React.forwardRef(function UserAvatarFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,5a4.5,4.5,0,1,1-4.5,4.5A4.49,4.49,0,0,1,16,7Zm8,17.92a11.93,11.93,0,0,1-16,0v-.58s0,0,0,0A5.2,5.2,0,0,1,13,19h6a5.21,5.21,0,0,1,5,5.31v.61Z"}),props.children);});var UserAvatarFilled16=/*#__PURE__*/React.forwardRef(function UserAvatarFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,5a4.5,4.5,0,1,1-4.5,4.5A4.49,4.49,0,0,1,16,7Zm8,17.92a11.93,11.93,0,0,1-16,0v-.58s0,0,0,0A5.2,5.2,0,0,1,13,19h6a5.21,5.21,0,0,1,5,5.31v.61Z"}),props.children);});var UserAvatar32=/*#__PURE__*/React.forwardRef(function UserAvatar32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM10,26.38v-2A3.22,3.22,0,0,1,13,21h6a3.22,3.22,0,0,1,3,3.39v2a11.92,11.92,0,0,1-12,0Zm14-1.46v-.61A5.21,5.21,0,0,0,19,19H13a5.2,5.2,0,0,0-5,5.31s0,0,0,0v.59a12,12,0,1,1,16,0Z"}),React.createElement("path",{d:"M16,7a5,5,0,1,0,5,5A5,5,0,0,0,16,7Zm0,8a3,3,0,1,1,3-3A3,3,0,0,1,16,15Z"}),props.children);});var UserAvatar24=/*#__PURE__*/React.forwardRef(function UserAvatar24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM10,26.38v-2A3.22,3.22,0,0,1,13,21h6a3.22,3.22,0,0,1,3,3.39v2a11.92,11.92,0,0,1-12,0Zm14-1.46v-.61A5.21,5.21,0,0,0,19,19H13a5.2,5.2,0,0,0-5,5.31s0,0,0,0v.59a12,12,0,1,1,16,0Z"}),React.createElement("path",{d:"M16,7a5,5,0,1,0,5,5A5,5,0,0,0,16,7Zm0,8a3,3,0,1,1,3-3A3,3,0,0,1,16,15Z"}),props.children);});var UserAvatar20=/*#__PURE__*/React.forwardRef(function UserAvatar20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM10,26.38v-2A3.22,3.22,0,0,1,13,21h6a3.22,3.22,0,0,1,3,3.39v2a11.92,11.92,0,0,1-12,0Zm14-1.46v-.61A5.21,5.21,0,0,0,19,19H13a5.2,5.2,0,0,0-5,5.31s0,0,0,0v.59a12,12,0,1,1,16,0Z"}),React.createElement("path",{d:"M16,7a5,5,0,1,0,5,5A5,5,0,0,0,16,7Zm0,8a3,3,0,1,1,3-3A3,3,0,0,1,16,15Z"}),props.children);});var UserCertification32=/*#__PURE__*/React.forwardRef(function UserCertification32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 10 26.593 13 30 13.414 27.5 15.667 28 19 25 17.125 22 19 22.5 15.667 20 13.414 23.5 13 25 10"}),React.createElement("path",{d:"M22,30H20V25a5.0059,5.0059,0,0,0-5-5H9a5.0059,5.0059,0,0,0-5,5v5H2V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserCertification24=/*#__PURE__*/React.forwardRef(function UserCertification24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 10 26.593 13 30 13.414 27.5 15.667 28 19 25 17.125 22 19 22.5 15.667 20 13.414 23.5 13 25 10"}),React.createElement("path",{d:"M22,30H20V25a5.0059,5.0059,0,0,0-5-5H9a5.0059,5.0059,0,0,0-5,5v5H2V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserCertification20=/*#__PURE__*/React.forwardRef(function UserCertification20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 10 26.593 13 30 13.414 27.5 15.667 28 19 25 17.125 22 19 22.5 15.667 20 13.414 23.5 13 25 10"}),React.createElement("path",{d:"M22,30H20V25a5.0059,5.0059,0,0,0-5-5H9a5.0059,5.0059,0,0,0-5,5v5H2V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserCertification16=/*#__PURE__*/React.forwardRef(function UserCertification16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 10 26.593 13 30 13.414 27.5 15.667 28 19 25 17.125 22 19 22.5 15.667 20 13.414 23.5 13 25 10"}),React.createElement("path",{d:"M22,30H20V25a5.0059,5.0059,0,0,0-5-5H9a5.0059,5.0059,0,0,0-5,5v5H2V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserData32=/*#__PURE__*/React.forwardRef(function UserData32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"28",y:"8"}),React.createElement("rect",{width:"2",height:"11",x:"23",y:"5"}),React.createElement("rect",{width:"2",height:"6",x:"18",y:"10"}),React.createElement("path",{d:"M16,30H14V24a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v6H2V24a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,9a3,3,0,1,1-3,3A3,3,0,0,1,9,9M9,7a5,5,0,1,0,5,5A5,5,0,0,0,9,7Z"}),props.children);});var UserData24=/*#__PURE__*/React.forwardRef(function UserData24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"28",y:"8"}),React.createElement("rect",{width:"2",height:"11",x:"23",y:"5"}),React.createElement("rect",{width:"2",height:"6",x:"18",y:"10"}),React.createElement("path",{d:"M16,30H14V24a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v6H2V24a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,9a3,3,0,1,1-3,3A3,3,0,0,1,9,9M9,7a5,5,0,1,0,5,5A5,5,0,0,0,9,7Z"}),props.children);});var UserData20=/*#__PURE__*/React.forwardRef(function UserData20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"28",y:"8"}),React.createElement("rect",{width:"2",height:"11",x:"23",y:"5"}),React.createElement("rect",{width:"2",height:"6",x:"18",y:"10"}),React.createElement("path",{d:"M16,30H14V24a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v6H2V24a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,9a3,3,0,1,1-3,3A3,3,0,0,1,9,9M9,7a5,5,0,1,0,5,5A5,5,0,0,0,9,7Z"}),props.children);});var UserData16=/*#__PURE__*/React.forwardRef(function UserData16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"8",x:"28",y:"8"}),React.createElement("rect",{width:"2",height:"11",x:"23",y:"5"}),React.createElement("rect",{width:"2",height:"6",x:"18",y:"10"}),React.createElement("path",{d:"M16,30H14V24a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v6H2V24a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,9a3,3,0,1,1-3,3A3,3,0,0,1,9,9M9,7a5,5,0,1,0,5,5A5,5,0,0,0,9,7Z"}),props.children);});var UserFavoriteAltFilled32=/*#__PURE__*/React.forwardRef(function UserFavoriteAltFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4938,3a3.4735,3.4735,0,0,0-2.48,1.0393l-.5111.5228-.5161-.5228a3.4792,3.4792,0,0,0-4.96,0,3.59,3.59,0,0,0,0,5.0251l5.4766,5.5427,5.4716-5.5427a3.59,3.59,0,0,0,0-5.0251A3.4738,3.4738,0,0,0,26.4938,3Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavoriteAltFilled24=/*#__PURE__*/React.forwardRef(function UserFavoriteAltFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4938,3a3.4735,3.4735,0,0,0-2.48,1.0393l-.5111.5228-.5161-.5228a3.4792,3.4792,0,0,0-4.96,0,3.59,3.59,0,0,0,0,5.0251l5.4766,5.5427,5.4716-5.5427a3.59,3.59,0,0,0,0-5.0251A3.4738,3.4738,0,0,0,26.4938,3Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavoriteAltFilled20=/*#__PURE__*/React.forwardRef(function UserFavoriteAltFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4938,3a3.4735,3.4735,0,0,0-2.48,1.0393l-.5111.5228-.5161-.5228a3.4792,3.4792,0,0,0-4.96,0,3.59,3.59,0,0,0,0,5.0251l5.4766,5.5427,5.4716-5.5427a3.59,3.59,0,0,0,0-5.0251A3.4738,3.4738,0,0,0,26.4938,3Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavoriteAltFilled16=/*#__PURE__*/React.forwardRef(function UserFavoriteAltFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.4938,3a3.4735,3.4735,0,0,0-2.48,1.0393l-.5111.5228-.5161-.5228a3.4792,3.4792,0,0,0-4.96,0,3.59,3.59,0,0,0,0,5.0251l5.4766,5.5427,5.4716-5.5427a3.59,3.59,0,0,0,0-5.0251A3.4738,3.4738,0,0,0,26.4938,3Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavoriteAlt32=/*#__PURE__*/React.forwardRef(function UserFavoriteAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavoriteAlt24=/*#__PURE__*/React.forwardRef(function UserFavoriteAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavoriteAlt20=/*#__PURE__*/React.forwardRef(function UserFavoriteAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavoriteAlt16=/*#__PURE__*/React.forwardRef(function UserFavoriteAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.7663,4.2558A4.2121,4.2121,0,0,0,23,4.0321a4.2121,4.2121,0,0,0-5.7663.2237,4.319,4.319,0,0,0,0,6.0447L22.998,16.14,23,16.1376l.002.0019,5.7643-5.839A4.319,4.319,0,0,0,28.7663,4.2558ZM27.342,8.8948l-4.34,4.3973L23,13.29l-.002.002-4.34-4.3973a2.3085,2.3085,0,0,1,0-3.2338,2.2639,2.2639,0,0,1,3.1561,0l1.181,1.2074L23,6.8634l.0049.005,1.181-1.2074a2.2639,2.2639,0,0,1,3.1561,0A2.3085,2.3085,0,0,1,27.342,8.8948Z"}),React.createElement("path",{d:"M16,30H14V25a3.0033,3.0033,0,0,0-3-3H7a3.0033,3.0033,0,0,0-3,3v5H2V25a5.0059,5.0059,0,0,1,5-5h4a5.0059,5.0059,0,0,1,5,5Z"}),React.createElement("path",{d:"M9,10a3,3,0,1,1-3,3,3,3,0,0,1,3-3M9,8a5,5,0,1,0,5,5A5,5,0,0,0,9,8Z"}),props.children);});var UserFavorite32=/*#__PURE__*/React.forwardRef(function UserFavorite32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.303,12a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L25.0019,21l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,27.303,12Z"}),React.createElement("path",{d:"M2,30H4V25a5.0059,5.0059,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v5h2V25a7.0082,7.0082,0,0,0-7-7H9a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserFavorite24=/*#__PURE__*/React.forwardRef(function UserFavorite24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.303,12a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L25.0019,21l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,27.303,12Z"}),React.createElement("path",{d:"M2,30H4V25a5.0059,5.0059,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v5h2V25a7.0082,7.0082,0,0,0-7-7H9a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserFavorite20=/*#__PURE__*/React.forwardRef(function UserFavorite20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.303,12a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L25.0019,21l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,27.303,12Z"}),React.createElement("path",{d:"M2,30H4V25a5.0059,5.0059,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v5h2V25a7.0082,7.0082,0,0,0-7-7H9a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserFavorite16=/*#__PURE__*/React.forwardRef(function UserFavorite16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.303,12a2.6616,2.6616,0,0,0-1.9079.8058l-.3932.4054-.397-.4054a2.6615,2.6615,0,0,0-3.8157,0,2.7992,2.7992,0,0,0,0,3.8964L25.0019,21l4.2089-4.2978a2.7992,2.7992,0,0,0,0-3.8964A2.6616,2.6616,0,0,0,27.303,12Z"}),React.createElement("path",{d:"M2,30H4V25a5.0059,5.0059,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v5h2V25a7.0082,7.0082,0,0,0-7-7H9a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserFilled32=/*#__PURE__*/React.forwardRef(function UserFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H26V25a7.0082,7.0082,0,0,0-7-7H13a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M9,9a7,7,0,1,0,7-7A7,7,0,0,0,9,9Z"}),props.children);});var UserFilled24=/*#__PURE__*/React.forwardRef(function UserFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H26V25a7.0082,7.0082,0,0,0-7-7H13a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M9,9a7,7,0,1,0,7-7A7,7,0,0,0,9,9Z"}),props.children);});var UserFilled20=/*#__PURE__*/React.forwardRef(function UserFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H26V25a7.0082,7.0082,0,0,0-7-7H13a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M9,9a7,7,0,1,0,7-7A7,7,0,0,0,9,9Z"}),props.children);});var UserFilled16=/*#__PURE__*/React.forwardRef(function UserFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M6,30H26V25a7.0082,7.0082,0,0,0-7-7H13a7.0082,7.0082,0,0,0-7,7Z"}),React.createElement("path",{d:"M9,9a7,7,0,1,0,7-7A7,7,0,0,0,9,9Z"}),props.children);});var UserFollow32=/*#__PURE__*/React.forwardRef(function UserFollow32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"32 14 28 14 28 10 26 10 26 14 22 14 22 16 26 16 26 20 28 20 28 16 32 16 32 14"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var UserFollow24=/*#__PURE__*/React.forwardRef(function UserFollow24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"32 14 28 14 28 10 26 10 26 14 22 14 22 16 26 16 26 20 28 20 28 16 32 16 32 14"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var UserFollow20=/*#__PURE__*/React.forwardRef(function UserFollow20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"32 14 28 14 28 10 26 10 26 14 22 14 22 16 26 16 26 20 28 20 28 16 32 16 32 14"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var UserFollow16=/*#__PURE__*/React.forwardRef(function UserFollow16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"32 14 28 14 28 10 26 10 26 14 22 14 22 16 26 16 26 20 28 20 28 16 32 16 32 14"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var UserIdentification32=/*#__PURE__*/React.forwardRef(function UserIdentification32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,11h4a1,1,0,0,1,1,1v2a0,0,0,0,1,0,0H21a0,0,0,0,1,0,0V12A1,1,0,0,1,22,11Z"}),React.createElement("circle",{cx:"24",cy:"8",r:"2"}),React.createElement("path",{d:"M30,18H18a2.0023,2.0023,0,0,1-2-2V4a2.002,2.002,0,0,1,2-2H30a2.0023,2.0023,0,0,1,2,2V16A2.0027,2.0027,0,0,1,30,18ZM18,4V16H30.001L30,4Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserIdentification24=/*#__PURE__*/React.forwardRef(function UserIdentification24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,11h4a1,1,0,0,1,1,1v2a0,0,0,0,1,0,0H21a0,0,0,0,1,0,0V12A1,1,0,0,1,22,11Z"}),React.createElement("circle",{cx:"24",cy:"8",r:"2"}),React.createElement("path",{d:"M30,18H18a2.0023,2.0023,0,0,1-2-2V4a2.002,2.002,0,0,1,2-2H30a2.0023,2.0023,0,0,1,2,2V16A2.0027,2.0027,0,0,1,30,18ZM18,4V16H30.001L30,4Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserIdentification20=/*#__PURE__*/React.forwardRef(function UserIdentification20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,11h4a1,1,0,0,1,1,1v2a0,0,0,0,1,0,0H21a0,0,0,0,1,0,0V12A1,1,0,0,1,22,11Z"}),React.createElement("circle",{cx:"24",cy:"8",r:"2"}),React.createElement("path",{d:"M30,18H18a2.0023,2.0023,0,0,1-2-2V4a2.002,2.002,0,0,1,2-2H30a2.0023,2.0023,0,0,1,2,2V16A2.0027,2.0027,0,0,1,30,18ZM18,4V16H30.001L30,4Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserIdentification16=/*#__PURE__*/React.forwardRef(function UserIdentification16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,11h4a1,1,0,0,1,1,1v2a0,0,0,0,1,0,0H21a0,0,0,0,1,0,0V12A1,1,0,0,1,22,11Z"}),React.createElement("circle",{cx:"24",cy:"8",r:"2"}),React.createElement("path",{d:"M30,18H18a2.0023,2.0023,0,0,1-2-2V4a2.002,2.002,0,0,1,2-2H30a2.0023,2.0023,0,0,1,2,2V16A2.0027,2.0027,0,0,1,30,18ZM18,4V16H30.001L30,4Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserOnline32=/*#__PURE__*/React.forwardRef(function UserOnline32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserOnline24=/*#__PURE__*/React.forwardRef(function UserOnline24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserOnline20=/*#__PURE__*/React.forwardRef(function UserOnline20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserOnline16=/*#__PURE__*/React.forwardRef(function UserOnline16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"26",cy:"16",r:"4"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserProfile32=/*#__PURE__*/React.forwardRef(function UserProfile32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"9"}),React.createElement("rect",{width:"7",height:"2",x:"22",y:"14"}),props.children);});var UserProfile24=/*#__PURE__*/React.forwardRef(function UserProfile24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"9"}),React.createElement("rect",{width:"7",height:"2",x:"22",y:"14"}),props.children);});var UserProfile20=/*#__PURE__*/React.forwardRef(function UserProfile20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"9"}),React.createElement("rect",{width:"7",height:"2",x:"22",y:"14"}),props.children);});var UserProfile16=/*#__PURE__*/React.forwardRef(function UserProfile16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"22",y:"9"}),React.createElement("rect",{width:"7",height:"2",x:"22",y:"14"}),props.children);});var UserRole32=/*#__PURE__*/React.forwardRef(function UserRole32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28.07 21 22 15 28.07 9 29.5 10.41 24.86 15 29.5 19.59 28.07 21"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserRole24=/*#__PURE__*/React.forwardRef(function UserRole24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28.07 21 22 15 28.07 9 29.5 10.41 24.86 15 29.5 19.59 28.07 21"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserRole20=/*#__PURE__*/React.forwardRef(function UserRole20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28.07 21 22 15 28.07 9 29.5 10.41 24.86 15 29.5 19.59 28.07 21"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserRole16=/*#__PURE__*/React.forwardRef(function UserRole16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"28.07 21 22 15 28.07 9 29.5 10.41 24.86 15 29.5 19.59 28.07 21"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserSimulation32=/*#__PURE__*/React.forwardRef(function UserSimulation32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"12.866",transform:"rotate(30 27.232 13.866)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"12.866",transform:"rotate(150 4.768 13.866)"}),React.createElement("path",{d:"M26,30H24V25a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v5H6V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M16,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,16,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"3.134",transform:"rotate(-30 27.232 4.134)"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"3.134",transform:"rotate(-150 4.768 4.134)"}),props.children);});var UserSimulation24=/*#__PURE__*/React.forwardRef(function UserSimulation24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"12.866",transform:"rotate(30 27.232 13.866)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"12.866",transform:"rotate(150 4.768 13.866)"}),React.createElement("path",{d:"M26,30H24V25a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v5H6V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M16,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,16,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"3.134",transform:"rotate(-30 27.232 4.134)"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"3.134",transform:"rotate(-150 4.768 4.134)"}),props.children);});var UserSimulation20=/*#__PURE__*/React.forwardRef(function UserSimulation20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"12.866",transform:"rotate(30 27.232 13.866)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"12.866",transform:"rotate(150 4.768 13.866)"}),React.createElement("path",{d:"M26,30H24V25a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v5H6V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M16,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,16,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"3.134",transform:"rotate(-30 27.232 4.134)"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"3.134",transform:"rotate(-150 4.768 4.134)"}),props.children);});var UserSimulation16=/*#__PURE__*/React.forwardRef(function UserSimulation16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"12.866",transform:"rotate(30 27.232 13.866)"}),React.createElement("rect",{width:"4",height:"2",x:"26",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"12.866",transform:"rotate(150 4.768 13.866)"}),React.createElement("path",{d:"M26,30H24V25a5.0059,5.0059,0,0,0-5-5H13a5.0059,5.0059,0,0,0-5,5v5H6V25a7.0082,7.0082,0,0,1,7-7h6a7.0082,7.0082,0,0,1,7,7Z"}),React.createElement("path",{d:"M16,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,16,2Z"}),React.createElement("rect",{width:"4",height:"2",x:"25.232",y:"3.134",transform:"rotate(-30 27.232 4.134)"}),React.createElement("rect",{width:"4",height:"2",x:"2",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"2.768",y:"3.134",transform:"rotate(-150 4.768 4.134)"}),props.children);});var UserSpeaker32=/*#__PURE__*/React.forwardRef(function UserSpeaker32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4146,19,27.7,17.2852A2.97,2.97,0,0,0,28,16a3,3,0,1,0-3,3,2.97,2.97,0,0,0,1.2864-.3L28,20.4141V28H22V25a7.0078,7.0078,0,0,0-7-7H9a7.008,7.008,0,0,0-7,7v5H30V20.4141A1.988,1.988,0,0,0,29.4146,19ZM4,25a5.006,5.006,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v3H4Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserSpeaker24=/*#__PURE__*/React.forwardRef(function UserSpeaker24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4146,19,27.7,17.2852A2.97,2.97,0,0,0,28,16a3,3,0,1,0-3,3,2.97,2.97,0,0,0,1.2864-.3L28,20.4141V28H22V25a7.0078,7.0078,0,0,0-7-7H9a7.008,7.008,0,0,0-7,7v5H30V20.4141A1.988,1.988,0,0,0,29.4146,19ZM4,25a5.006,5.006,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v3H4Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserSpeaker20=/*#__PURE__*/React.forwardRef(function UserSpeaker20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4146,19,27.7,17.2852A2.97,2.97,0,0,0,28,16a3,3,0,1,0-3,3,2.97,2.97,0,0,0,1.2864-.3L28,20.4141V28H22V25a7.0078,7.0078,0,0,0-7-7H9a7.008,7.008,0,0,0-7,7v5H30V20.4141A1.988,1.988,0,0,0,29.4146,19ZM4,25a5.006,5.006,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v3H4Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserSpeaker16=/*#__PURE__*/React.forwardRef(function UserSpeaker16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4146,19,27.7,17.2852A2.97,2.97,0,0,0,28,16a3,3,0,1,0-3,3,2.97,2.97,0,0,0,1.2864-.3L28,20.4141V28H22V25a7.0078,7.0078,0,0,0-7-7H9a7.008,7.008,0,0,0-7,7v5H30V20.4141A1.988,1.988,0,0,0,29.4146,19ZM4,25a5.006,5.006,0,0,1,5-5h6a5.0059,5.0059,0,0,1,5,5v3H4Z"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),props.children);});var UserXRay32=/*#__PURE__*/React.forwardRef(function UserXRay32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{fill:"none",points:"28 9 28 7 25 7 25 5 23 5 23 7 20 7 20 9 23 9 23 12 20 12 20 14 23 14 23 16 25 16 25 14 28 14 28 12 25 12 25 9 28 9"}),React.createElement("path",{d:"M31,3H17a1,1,0,0,0-1,1V17a1,1,0,0,0,1,1H31a1,1,0,0,0,1-1V4A1,1,0,0,0,31,3ZM28,9H25v3h3v2H25v2H23V14H20V12h3V9H20V7h3V5h2V7h3Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserXRay24=/*#__PURE__*/React.forwardRef(function UserXRay24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{fill:"none",points:"28 9 28 7 25 7 25 5 23 5 23 7 20 7 20 9 23 9 23 12 20 12 20 14 23 14 23 16 25 16 25 14 28 14 28 12 25 12 25 9 28 9"}),React.createElement("path",{d:"M31,3H17a1,1,0,0,0-1,1V17a1,1,0,0,0,1,1H31a1,1,0,0,0,1-1V4A1,1,0,0,0,31,3ZM28,9H25v3h3v2H25v2H23V14H20V12h3V9H20V7h3V5h2V7h3Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserXRay20=/*#__PURE__*/React.forwardRef(function UserXRay20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{fill:"none",points:"28 9 28 7 25 7 25 5 23 5 23 7 20 7 20 9 23 9 23 12 20 12 20 14 23 14 23 16 25 16 25 14 28 14 28 12 25 12 25 9 28 9"}),React.createElement("path",{d:"M31,3H17a1,1,0,0,0-1,1V17a1,1,0,0,0,1,1H31a1,1,0,0,0,1-1V4A1,1,0,0,0,31,3ZM28,9H25v3h3v2H25v2H23V14H20V12h3V9H20V7h3V5h2V7h3Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserXRay16=/*#__PURE__*/React.forwardRef(function UserXRay16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{fill:"none",points:"28 9 28 7 25 7 25 5 23 5 23 7 20 7 20 9 23 9 23 12 20 12 20 14 23 14 23 16 25 16 25 14 28 14 28 12 25 12 25 9 28 9"}),React.createElement("path",{d:"M31,3H17a1,1,0,0,0-1,1V17a1,1,0,0,0,1,1H31a1,1,0,0,0,1-1V4A1,1,0,0,0,31,3ZM28,9H25v3h3v2H25v2H23V14H20V12h3V9H20V7h3V5h2V7h3Z"}),React.createElement("path",{d:"M15,30H13V26a2.9465,2.9465,0,0,0-3-3H6a2.9465,2.9465,0,0,0-3,3v4H1V26a4.9514,4.9514,0,0,1,5-5h4a4.9514,4.9514,0,0,1,5,5Z"}),React.createElement("path",{d:"M8,11a3,3,0,0,1,0,6,3,3,0,0,1,0-6M8,9A5,5,0,0,0,8,19,5,5,0,0,0,8,9Z"}),props.children);});var UserProfileAlt32=/*#__PURE__*/React.forwardRef(function UserProfileAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"13"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"3"}),React.createElement("path",{d:"M11,30H7a2.0059,2.0059,0,0,1-2-2V21a2.0059,2.0059,0,0,1-2-2V13a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,11,30ZM6,12a.9448.9448,0,0,0-1,1v6H7v9h4V19h2V13a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M9,9a4,4,0,1,1,4-4h0A4.0118,4.0118,0,0,1,9,9ZM9,3a2,2,0,1,0,2,2h0A2.0059,2.0059,0,0,0,9,3Z"}),props.children);});var UserProfileAlt24=/*#__PURE__*/React.forwardRef(function UserProfileAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"13"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"3"}),React.createElement("path",{d:"M11,30H7a2.0059,2.0059,0,0,1-2-2V21a2.0059,2.0059,0,0,1-2-2V13a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,11,30ZM6,12a.9448.9448,0,0,0-1,1v6H7v9h4V19h2V13a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M9,9a4,4,0,1,1,4-4h0A4.0118,4.0118,0,0,1,9,9ZM9,3a2,2,0,1,0,2,2h0A2.0059,2.0059,0,0,0,9,3Z"}),props.children);});var UserProfileAlt20=/*#__PURE__*/React.forwardRef(function UserProfileAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"13"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"3"}),React.createElement("path",{d:"M11,30H7a2.0059,2.0059,0,0,1-2-2V21a2.0059,2.0059,0,0,1-2-2V13a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,11,30ZM6,12a.9448.9448,0,0,0-1,1v6H7v9h4V19h2V13a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M9,9a4,4,0,1,1,4-4h0A4.0118,4.0118,0,0,1,9,9ZM9,3a2,2,0,1,0,2,2h0A2.0059,2.0059,0,0,0,9,3Z"}),props.children);});var UserProfileAlt16=/*#__PURE__*/React.forwardRef(function UserProfileAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"7",height:"2",x:"19",y:"13"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"11",height:"2",x:"19",y:"3"}),React.createElement("path",{d:"M11,30H7a2.0059,2.0059,0,0,1-2-2V21a2.0059,2.0059,0,0,1-2-2V13a2.9465,2.9465,0,0,1,3-3h6a2.9465,2.9465,0,0,1,3,3v6a2.0059,2.0059,0,0,1-2,2v7A2.0059,2.0059,0,0,1,11,30ZM6,12a.9448.9448,0,0,0-1,1v6H7v9h4V19h2V13a.9448.9448,0,0,0-1-1Z"}),React.createElement("path",{d:"M9,9a4,4,0,1,1,4-4h0A4.0118,4.0118,0,0,1,9,9ZM9,3a2,2,0,1,0,2,2h0A2.0059,2.0059,0,0,0,9,3Z"}),props.children);});var User32=/*#__PURE__*/React.forwardRef(function User32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,16,2Z"}),React.createElement("path",{d:"M26,30H24V25a5,5,0,0,0-5-5H13a5,5,0,0,0-5,5v5H6V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var User24=/*#__PURE__*/React.forwardRef(function User24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,16,2Z"}),React.createElement("path",{d:"M26,30H24V25a5,5,0,0,0-5-5H13a5,5,0,0,0-5,5v5H6V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var User20=/*#__PURE__*/React.forwardRef(function User20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,16,2Z"}),React.createElement("path",{d:"M26,30H24V25a5,5,0,0,0-5-5H13a5,5,0,0,0-5,5v5H6V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var Van32=/*#__PURE__*/React.forwardRef(function Van32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V8H18v9H28Z"}),props.children);});var Van24=/*#__PURE__*/React.forwardRef(function Van24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V8H18v9H28Z"}),props.children);});var Van20=/*#__PURE__*/React.forwardRef(function Van20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V8H18v9H28Z"}),props.children);});var Van16=/*#__PURE__*/React.forwardRef(function Van16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.81,16l-7-9.56A1,1,0,0,0,22,6H3A1,1,0,0,0,2,7V24a1,1,0,0,0,1,1H5.14a4,4,0,0,0,7.72,0h6.28a4,4,0,0,0,7.72,0H29a1,1,0,0,0,1-1V16.56A1,1,0,0,0,29.81,16ZM20,8h1.49l5.13,7H20ZM9,26a2,2,0,1,1,2-2A2,2,0,0,1,9,26Zm14,0a2,2,0,1,1,2-2A2,2,0,0,1,23,26Zm5-3H26.86a4,4,0,0,0-7.72,0H12.86a4,4,0,0,0-7.72,0H4V8H18v9H28Z"}),props.children);});var VideoAdd32=/*#__PURE__*/React.forwardRef(function VideoAdd32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 15 14 15 14 11 12 11 12 15 8 15 8 17 12 17 12 21 14 21 14 17 18 17 18 15"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoAdd24=/*#__PURE__*/React.forwardRef(function VideoAdd24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 15 14 15 14 11 12 11 12 15 8 15 8 17 12 17 12 21 14 21 14 17 18 17 18 15"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoAdd20=/*#__PURE__*/React.forwardRef(function VideoAdd20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 15 14 15 14 11 12 11 12 15 8 15 8 17 12 17 12 21 14 21 14 17 18 17 18 15"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoAdd16=/*#__PURE__*/React.forwardRef(function VideoAdd16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"18 15 14 15 14 11 12 11 12 15 8 15 8 17 12 17 12 21 14 21 14 17 18 17 18 15"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoChat32=/*#__PURE__*/React.forwardRef(function VideoChat32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"9",height:"2",x:"8",y:"12"}),React.createElement("rect",{width:"5",height:"2",x:"8",y:"17"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoChat24=/*#__PURE__*/React.forwardRef(function VideoChat24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"9",height:"2",x:"8",y:"12"}),React.createElement("rect",{width:"5",height:"2",x:"8",y:"17"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoChat20=/*#__PURE__*/React.forwardRef(function VideoChat20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"9",height:"2",x:"8",y:"12"}),React.createElement("rect",{width:"5",height:"2",x:"8",y:"17"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoChat16=/*#__PURE__*/React.forwardRef(function VideoChat16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"9",height:"2",x:"8",y:"12"}),React.createElement("rect",{width:"5",height:"2",x:"8",y:"17"}),React.createElement("path",{d:"M21,26H4a2.0023,2.0023,0,0,1-2-2V8A2.0023,2.0023,0,0,1,4,6H21a2.0023,2.0023,0,0,1,2,2v4.0566l5.4189-3.87A.9995.9995,0,0,1,30,9V23a.9995.9995,0,0,1-1.5811.8135L23,19.9434V24A2.0023,2.0023,0,0,1,21,26ZM4,8V24.001L21,24V18a.9995.9995,0,0,1,1.5811-.8135L28,21.0566V10.9434l-5.4189,3.87A.9995.9995,0,0,1,21,14V8Z"}),props.children);});var VideoFilled32=/*#__PURE__*/React.forwardRef(function VideoFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26Z"}),props.children);});var VideoFilled24=/*#__PURE__*/React.forwardRef(function VideoFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26Z"}),props.children);});var VideoFilled20=/*#__PURE__*/React.forwardRef(function VideoFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26Z"}),props.children);});var VideoFilled16=/*#__PURE__*/React.forwardRef(function VideoFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26Z"}),props.children);});var VideoOffFilled32=/*#__PURE__*/React.forwardRef(function VideoOffFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.31,6H4A2,2,0,0,0,2,8V24a2.85,2.85,0,0,0,0,.29Z"}),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11Z"}),props.children);});var VideoOffFilled24=/*#__PURE__*/React.forwardRef(function VideoOffFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.31,6H4A2,2,0,0,0,2,8V24a2.85,2.85,0,0,0,0,.29Z"}),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11Z"}),props.children);});var VideoOffFilled20=/*#__PURE__*/React.forwardRef(function VideoOffFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.31,6H4A2,2,0,0,0,2,8V24a2.85,2.85,0,0,0,0,.29Z"}),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11Z"}),props.children);});var VideoOffFilled16=/*#__PURE__*/React.forwardRef(function VideoOffFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20.31,6H4A2,2,0,0,0,2,8V24a2.85,2.85,0,0,0,0,.29Z"}),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11Z"}),props.children);});var VideoOff32=/*#__PURE__*/React.forwardRef(function VideoOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11ZM28,21.06l-5.42-3.87A1,1,0,0,0,21,18v6H9.44L21,12.44V14a1,1,0,0,0,1.58.81L28,10.94Z"}),React.createElement("path",{d:"M4,24V8H20V6H4A2,2,0,0,0,2,8V24Z"}),props.children);});var VideoOff24=/*#__PURE__*/React.forwardRef(function VideoOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11ZM28,21.06l-5.42-3.87A1,1,0,0,0,21,18v6H9.44L21,12.44V14a1,1,0,0,0,1.58.81L28,10.94Z"}),React.createElement("path",{d:"M4,24V8H20V6H4A2,2,0,0,0,2,8V24Z"}),props.children);});var VideoOff20=/*#__PURE__*/React.forwardRef(function VideoOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11ZM28,21.06l-5.42-3.87A1,1,0,0,0,21,18v6H9.44L21,12.44V14a1,1,0,0,0,1.58.81L28,10.94Z"}),React.createElement("path",{d:"M4,24V8H20V6H4A2,2,0,0,0,2,8V24Z"}),props.children);});var VideoOff16=/*#__PURE__*/React.forwardRef(function VideoOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.46,8.11a1,1,0,0,0-1,.08L23,12.06V10.44l7-7L28.56,2,2,28.56,3.44,30l4-4H21a2,2,0,0,0,2-2V19.94l5.42,3.87A1,1,0,0,0,30,23V9A1,1,0,0,0,29.46,8.11ZM28,21.06l-5.42-3.87A1,1,0,0,0,21,18v6H9.44L21,12.44V14a1,1,0,0,0,1.58.81L28,10.94Z"}),React.createElement("path",{d:"M4,24V8H20V6H4A2,2,0,0,0,2,8V24Z"}),props.children);});var Video32=/*#__PURE__*/React.forwardRef(function Video32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26ZM4,8V24H21V18a1,1,0,0,1,1.58-.81L28,21.06V10.94l-5.42,3.87A1,1,0,0,1,21,14V8Z"}),props.children);});var Video24=/*#__PURE__*/React.forwardRef(function Video24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26ZM4,8V24H21V18a1,1,0,0,1,1.58-.81L28,21.06V10.94l-5.42,3.87A1,1,0,0,1,21,14V8Z"}),props.children);});var Video20=/*#__PURE__*/React.forwardRef(function Video20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26ZM4,8V24H21V18a1,1,0,0,1,1.58-.81L28,21.06V10.94l-5.42,3.87A1,1,0,0,1,21,14V8Z"}),props.children);});var Video16=/*#__PURE__*/React.forwardRef(function Video16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,26H4a2,2,0,0,1-2-2V8A2,2,0,0,1,4,6H21a2,2,0,0,1,2,2v4.06l5.42-3.87A1,1,0,0,1,30,9V23a1,1,0,0,1-1.58.81L23,19.94V24A2,2,0,0,1,21,26ZM4,8V24H21V18a1,1,0,0,1,1.58-.81L28,21.06V10.94l-5.42,3.87A1,1,0,0,1,21,14V8Z"}),props.children);});var ViewFilled32=/*#__PURE__*/React.forwardRef(function ViewFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M30.94,15.66A16.69,16.69,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16.69,16.69,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5A6.5,6.5,0,1,1,22.5,16,6.51,6.51,0,0,1,16,22.5Z"}),props.children);});var ViewFilled24=/*#__PURE__*/React.forwardRef(function ViewFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M30.94,15.66A16.69,16.69,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16.69,16.69,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5A6.5,6.5,0,1,1,22.5,16,6.51,6.51,0,0,1,16,22.5Z"}),props.children);});var ViewFilled20=/*#__PURE__*/React.forwardRef(function ViewFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M30.94,15.66A16.69,16.69,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16.69,16.69,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5A6.5,6.5,0,1,1,22.5,16,6.51,6.51,0,0,1,16,22.5Z"}),props.children);});var ViewFilled16=/*#__PURE__*/React.forwardRef(function ViewFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"4"}),React.createElement("path",{d:"M30.94,15.66A16.69,16.69,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16.69,16.69,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5A6.5,6.5,0,1,1,22.5,16,6.51,6.51,0,0,1,16,22.5Z"}),props.children);});var ViewMode_132=/*#__PURE__*/React.forwardRef(function ViewMode_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M26,6v6H6V6H26m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewMode_124=/*#__PURE__*/React.forwardRef(function ViewMode_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M26,6v6H6V6H26m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewMode_120=/*#__PURE__*/React.forwardRef(function ViewMode_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M26,6v6H6V6H26m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewMode_116=/*#__PURE__*/React.forwardRef(function ViewMode_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M26,6v6H6V6H26m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewMode_232=/*#__PURE__*/React.forwardRef(function ViewMode_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M12,6v6H6V6h6m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,6v6H20V6h6m0-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewMode_224=/*#__PURE__*/React.forwardRef(function ViewMode_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M12,6v6H6V6h6m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,6v6H20V6h6m0-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewMode_220=/*#__PURE__*/React.forwardRef(function ViewMode_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M12,6v6H6V6h6m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,6v6H20V6h6m0-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewMode_216=/*#__PURE__*/React.forwardRef(function ViewMode_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"24",height:"2",x:"4",y:"26"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"19"}),React.createElement("path",{d:"M12,6v6H6V6h6m0-2H6A2,2,0,0,0,4,6v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M26,6v6H20V6h6m0-2H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var ViewOffFilled32=/*#__PURE__*/React.forwardRef(function ViewOffFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.94,15.66a16.4,16.4,0,0,0-5.73-7.45L30,3.41,28.59,2,2,28.59,3.41,30l5.1-5.09A15.38,15.38,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5a6.46,6.46,0,0,1-3.83-1.26L14,19.43A4,4,0,0,0,19.43,14l1.81-1.81A6.49,6.49,0,0,1,16,22.5Z"}),React.createElement("path",{d:"M4.53,21.81l5-5A6.84,6.84,0,0,1,9.5,16,6.51,6.51,0,0,1,16,9.5a6.84,6.84,0,0,1,.79.05l3.78-3.77A14.39,14.39,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A15.86,15.86,0,0,0,4.53,21.81Z"}),props.children);});var ViewOffFilled24=/*#__PURE__*/React.forwardRef(function ViewOffFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.94,15.66a16.4,16.4,0,0,0-5.73-7.45L30,3.41,28.59,2,2,28.59,3.41,30l5.1-5.09A15.38,15.38,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5a6.46,6.46,0,0,1-3.83-1.26L14,19.43A4,4,0,0,0,19.43,14l1.81-1.81A6.49,6.49,0,0,1,16,22.5Z"}),React.createElement("path",{d:"M4.53,21.81l5-5A6.84,6.84,0,0,1,9.5,16,6.51,6.51,0,0,1,16,9.5a6.84,6.84,0,0,1,.79.05l3.78-3.77A14.39,14.39,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A15.86,15.86,0,0,0,4.53,21.81Z"}),props.children);});var ViewOffFilled20=/*#__PURE__*/React.forwardRef(function ViewOffFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.94,15.66a16.4,16.4,0,0,0-5.73-7.45L30,3.41,28.59,2,2,28.59,3.41,30l5.1-5.09A15.38,15.38,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5a6.46,6.46,0,0,1-3.83-1.26L14,19.43A4,4,0,0,0,19.43,14l1.81-1.81A6.49,6.49,0,0,1,16,22.5Z"}),React.createElement("path",{d:"M4.53,21.81l5-5A6.84,6.84,0,0,1,9.5,16,6.51,6.51,0,0,1,16,9.5a6.84,6.84,0,0,1,.79.05l3.78-3.77A14.39,14.39,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A15.86,15.86,0,0,0,4.53,21.81Z"}),props.children);});var ViewOffFilled16=/*#__PURE__*/React.forwardRef(function ViewOffFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.94,15.66a16.4,16.4,0,0,0-5.73-7.45L30,3.41,28.59,2,2,28.59,3.41,30l5.1-5.09A15.38,15.38,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,22.5a6.46,6.46,0,0,1-3.83-1.26L14,19.43A4,4,0,0,0,19.43,14l1.81-1.81A6.49,6.49,0,0,1,16,22.5Z"}),React.createElement("path",{d:"M4.53,21.81l5-5A6.84,6.84,0,0,1,9.5,16,6.51,6.51,0,0,1,16,9.5a6.84,6.84,0,0,1,.79.05l3.78-3.77A14.39,14.39,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A15.86,15.86,0,0,0,4.53,21.81Z"}),props.children);});var ViewOff32=/*#__PURE__*/React.forwardRef(function ViewOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5.24,22.51l1.43-1.42A14.06,14.06,0,0,1,3.07,16C5.1,10.93,10.7,7,16,7a12.38,12.38,0,0,1,4,.72l1.55-1.56A14.72,14.72,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16,16,0,0,0,5.24,22.51Z"}),React.createElement("path",{d:"M12,15.73a4,4,0,0,1,3.7-3.7l1.81-1.82a6,6,0,0,0-7.33,7.33Z"}),React.createElement("path",{d:"M30.94,15.66A16.4,16.4,0,0,0,25.2,8.22L30,3.41,28.59,2,2,28.59,3.41,30l5.1-5.1A15.29,15.29,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM20,16a4,4,0,0,1-6,3.44L19.44,14A4,4,0,0,1,20,16Zm-4,9a13.05,13.05,0,0,1-6-1.58l2.54-2.54a6,6,0,0,0,8.35-8.35l2.87-2.87A14.54,14.54,0,0,1,28.93,16C26.9,21.07,21.3,25,16,25Z"}),props.children);});var ViewOff24=/*#__PURE__*/React.forwardRef(function ViewOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5.24,22.51l1.43-1.42A14.06,14.06,0,0,1,3.07,16C5.1,10.93,10.7,7,16,7a12.38,12.38,0,0,1,4,.72l1.55-1.56A14.72,14.72,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16,16,0,0,0,5.24,22.51Z"}),React.createElement("path",{d:"M12,15.73a4,4,0,0,1,3.7-3.7l1.81-1.82a6,6,0,0,0-7.33,7.33Z"}),React.createElement("path",{d:"M30.94,15.66A16.4,16.4,0,0,0,25.2,8.22L30,3.41,28.59,2,2,28.59,3.41,30l5.1-5.1A15.29,15.29,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM20,16a4,4,0,0,1-6,3.44L19.44,14A4,4,0,0,1,20,16Zm-4,9a13.05,13.05,0,0,1-6-1.58l2.54-2.54a6,6,0,0,0,8.35-8.35l2.87-2.87A14.54,14.54,0,0,1,28.93,16C26.9,21.07,21.3,25,16,25Z"}),props.children);});var ViewOff20=/*#__PURE__*/React.forwardRef(function ViewOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M5.24,22.51l1.43-1.42A14.06,14.06,0,0,1,3.07,16C5.1,10.93,10.7,7,16,7a12.38,12.38,0,0,1,4,.72l1.55-1.56A14.72,14.72,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16,16,0,0,0,5.24,22.51Z"}),React.createElement("path",{d:"M12,15.73a4,4,0,0,1,3.7-3.7l1.81-1.82a6,6,0,0,0-7.33,7.33Z"}),React.createElement("path",{d:"M30.94,15.66A16.4,16.4,0,0,0,25.2,8.22L30,3.41,28.59,2,2,28.59,3.41,30l5.1-5.1A15.29,15.29,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM20,16a4,4,0,0,1-6,3.44L19.44,14A4,4,0,0,1,20,16Zm-4,9a13.05,13.05,0,0,1-6-1.58l2.54-2.54a6,6,0,0,0,8.35-8.35l2.87-2.87A14.54,14.54,0,0,1,28.93,16C26.9,21.07,21.3,25,16,25Z"}),props.children);});var View32=/*#__PURE__*/React.forwardRef(function View32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.94,15.66A16.69,16.69,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16.69,16.69,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,25c-5.3,0-10.9-3.93-12.93-9C5.1,10.93,10.7,7,16,7s10.9,3.93,12.93,9C26.9,21.07,21.3,25,16,25Z"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Zm0,10a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var View24=/*#__PURE__*/React.forwardRef(function View24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.94,15.66A16.69,16.69,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16.69,16.69,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,25c-5.3,0-10.9-3.93-12.93-9C5.1,10.93,10.7,7,16,7s10.9,3.93,12.93,9C26.9,21.07,21.3,25,16,25Z"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Zm0,10a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var View20=/*#__PURE__*/React.forwardRef(function View20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.94,15.66A16.69,16.69,0,0,0,16,5,16.69,16.69,0,0,0,1.06,15.66a1,1,0,0,0,0,.68A16.69,16.69,0,0,0,16,27,16.69,16.69,0,0,0,30.94,16.34,1,1,0,0,0,30.94,15.66ZM16,25c-5.3,0-10.9-3.93-12.93-9C5.1,10.93,10.7,7,16,7s10.9,3.93,12.93,9C26.9,21.07,21.3,25,16,25Z"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Zm0,10a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var VirtualColumnKey32=/*#__PURE__*/React.forwardRef(function VirtualColumnKey32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"9.5",r:"1.5"}),React.createElement("path",{d:"M17.4143,22H12V16.5857l6.03-6.03A5.3518,5.3518,0,0,1,18,10a6,6,0,1,1,6,6,5.3583,5.3583,0,0,1-.5559-.03ZM14,20h2.5857l6.1706-6.1709.5174.0957A3.935,3.935,0,0,0,24,14a4.0507,4.0507,0,1,0-3.925-3.2729l.0952.5166L14,17.4143Z"}),React.createElement("path",{d:"M28,18v8H10V6h4V4H4A2.0025,2.0025,0,0,0,2,6V26a2.0025,2.0025,0,0,0,2,2H28a2.0025,2.0025,0,0,0,2-2V18ZM4,6H8V26H4Z"}),props.children);});var VirtualColumnKey24=/*#__PURE__*/React.forwardRef(function VirtualColumnKey24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"9.5",r:"1.5"}),React.createElement("path",{d:"M17.4143,22H12V16.5857l6.03-6.03A5.3518,5.3518,0,0,1,18,10a6,6,0,1,1,6,6,5.3583,5.3583,0,0,1-.5559-.03ZM14,20h2.5857l6.1706-6.1709.5174.0957A3.935,3.935,0,0,0,24,14a4.0507,4.0507,0,1,0-3.925-3.2729l.0952.5166L14,17.4143Z"}),React.createElement("path",{d:"M28,18v8H10V6h4V4H4A2.0025,2.0025,0,0,0,2,6V26a2.0025,2.0025,0,0,0,2,2H28a2.0025,2.0025,0,0,0,2-2V18ZM4,6H8V26H4Z"}),props.children);});var VirtualColumnKey20=/*#__PURE__*/React.forwardRef(function VirtualColumnKey20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"9.5",r:"1.5"}),React.createElement("path",{d:"M17.4143,22H12V16.5857l6.03-6.03A5.3518,5.3518,0,0,1,18,10a6,6,0,1,1,6,6,5.3583,5.3583,0,0,1-.5559-.03ZM14,20h2.5857l6.1706-6.1709.5174.0957A3.935,3.935,0,0,0,24,14a4.0507,4.0507,0,1,0-3.925-3.2729l.0952.5166L14,17.4143Z"}),React.createElement("path",{d:"M28,18v8H10V6h4V4H4A2.0025,2.0025,0,0,0,2,6V26a2.0025,2.0025,0,0,0,2,2H28a2.0025,2.0025,0,0,0,2-2V18ZM4,6H8V26H4Z"}),props.children);});var VirtualColumnKey16=/*#__PURE__*/React.forwardRef(function VirtualColumnKey16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"24.5",cy:"9.5",r:"1.5"}),React.createElement("path",{d:"M17.4143,22H12V16.5857l6.03-6.03A5.3518,5.3518,0,0,1,18,10a6,6,0,1,1,6,6,5.3583,5.3583,0,0,1-.5559-.03ZM14,20h2.5857l6.1706-6.1709.5174.0957A3.935,3.935,0,0,0,24,14a4.0507,4.0507,0,1,0-3.925-3.2729l.0952.5166L14,17.4143Z"}),React.createElement("path",{d:"M28,18v8H10V6h4V4H4A2.0025,2.0025,0,0,0,2,6V26a2.0025,2.0025,0,0,0,2,2H28a2.0025,2.0025,0,0,0,2-2V18ZM4,6H8V26H4Z"}),props.children);});var VirtualColumn32=/*#__PURE__*/React.forwardRef(function VirtualColumn32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 26.414 12.414 23.828 15 30 15 30 17 23.828 17 26.414 19.586 25 21 20 16 25 11"}),React.createElement("path",{d:"M30,28H20a2.0023,2.0023,0,0,1-2-2V6a2.0023,2.0023,0,0,1,2-2H30V6H20V26H30Z"}),React.createElement("path",{d:"M12,28H2V26H12V6H2V4H12a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28Z"}),React.createElement("polygon",{points:"7 11 5.586 12.414 8.172 15 2 15 2 17 8.172 17 5.586 19.586 7 21 12 16 7 11"}),props.children);});var VirtualColumn24=/*#__PURE__*/React.forwardRef(function VirtualColumn24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 26.414 12.414 23.828 15 30 15 30 17 23.828 17 26.414 19.586 25 21 20 16 25 11"}),React.createElement("path",{d:"M30,28H20a2.0023,2.0023,0,0,1-2-2V6a2.0023,2.0023,0,0,1,2-2H30V6H20V26H30Z"}),React.createElement("path",{d:"M12,28H2V26H12V6H2V4H12a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28Z"}),React.createElement("polygon",{points:"7 11 5.586 12.414 8.172 15 2 15 2 17 8.172 17 5.586 19.586 7 21 12 16 7 11"}),props.children);});var VirtualColumn20=/*#__PURE__*/React.forwardRef(function VirtualColumn20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 26.414 12.414 23.828 15 30 15 30 17 23.828 17 26.414 19.586 25 21 20 16 25 11"}),React.createElement("path",{d:"M30,28H20a2.0023,2.0023,0,0,1-2-2V6a2.0023,2.0023,0,0,1,2-2H30V6H20V26H30Z"}),React.createElement("path",{d:"M12,28H2V26H12V6H2V4H12a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28Z"}),React.createElement("polygon",{points:"7 11 5.586 12.414 8.172 15 2 15 2 17 8.172 17 5.586 19.586 7 21 12 16 7 11"}),props.children);});var VirtualColumn16=/*#__PURE__*/React.forwardRef(function VirtualColumn16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 11 26.414 12.414 23.828 15 30 15 30 17 23.828 17 26.414 19.586 25 21 20 16 25 11"}),React.createElement("path",{d:"M30,28H20a2.0023,2.0023,0,0,1-2-2V6a2.0023,2.0023,0,0,1,2-2H30V6H20V26H30Z"}),React.createElement("path",{d:"M12,28H2V26H12V6H2V4H12a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,12,28Z"}),React.createElement("polygon",{points:"7 11 5.586 12.414 8.172 15 2 15 2 17 8.172 17 5.586 19.586 7 21 12 16 7 11"}),props.children);});var VirtualMachine32=/*#__PURE__*/React.forwardRef(function VirtualMachine32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,13H12a2.0025,2.0025,0,0,0-2,2V28a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V15A2.0025,2.0025,0,0,0,20,13Zm0,2,0,3H12V15Zm0,5,0,3H12V20Zm-8,8V25h8v3Z"}),React.createElement("path",{d:"M25.91,10.13a.121.121,0,0,1-.0967-.0952A10.0061,10.0061,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.1858,10.0347a.1212.1212,0,0,1-.0964.0957A7.5019,7.5019,0,0,0,7.4912,25H8V23H7.4954a5.5108,5.5108,0,0,1-5.4387-6.3,5.6992,5.6992,0,0,1,4.7138-4.6606l1.0166-.1836a.1306.1306,0,0,0,.1045-.1035l.18-.9351a8.28,8.28,0,0,1,6.8469-6.7427,7.957,7.957,0,0,1,2.8471.1245,8.22,8.22,0,0,1,6.1475,6.545l.1941,1.0083a.13.13,0,0,0,.1045.1035l1.0576.1914a5.7819,5.7819,0,0,1,3.1011,1.539A5.5052,5.5052,0,0,1,24.5076,23H24v2h.5076A7.5019,7.5019,0,0,0,25.91,10.13Z"}),props.children);});var VirtualMachine24=/*#__PURE__*/React.forwardRef(function VirtualMachine24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,13H12a2.0025,2.0025,0,0,0-2,2V28a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V15A2.0025,2.0025,0,0,0,20,13Zm0,2,0,3H12V15Zm0,5,0,3H12V20Zm-8,8V25h8v3Z"}),React.createElement("path",{d:"M25.91,10.13a.121.121,0,0,1-.0967-.0952A10.0061,10.0061,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.1858,10.0347a.1212.1212,0,0,1-.0964.0957A7.5019,7.5019,0,0,0,7.4912,25H8V23H7.4954a5.5108,5.5108,0,0,1-5.4387-6.3,5.6992,5.6992,0,0,1,4.7138-4.6606l1.0166-.1836a.1306.1306,0,0,0,.1045-.1035l.18-.9351a8.28,8.28,0,0,1,6.8469-6.7427,7.957,7.957,0,0,1,2.8471.1245,8.22,8.22,0,0,1,6.1475,6.545l.1941,1.0083a.13.13,0,0,0,.1045.1035l1.0576.1914a5.7819,5.7819,0,0,1,3.1011,1.539A5.5052,5.5052,0,0,1,24.5076,23H24v2h.5076A7.5019,7.5019,0,0,0,25.91,10.13Z"}),props.children);});var VirtualMachine20=/*#__PURE__*/React.forwardRef(function VirtualMachine20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,13H12a2.0025,2.0025,0,0,0-2,2V28a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V15A2.0025,2.0025,0,0,0,20,13Zm0,2,0,3H12V15Zm0,5,0,3H12V20Zm-8,8V25h8v3Z"}),React.createElement("path",{d:"M25.91,10.13a.121.121,0,0,1-.0967-.0952A10.0061,10.0061,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.1858,10.0347a.1212.1212,0,0,1-.0964.0957A7.5019,7.5019,0,0,0,7.4912,25H8V23H7.4954a5.5108,5.5108,0,0,1-5.4387-6.3,5.6992,5.6992,0,0,1,4.7138-4.6606l1.0166-.1836a.1306.1306,0,0,0,.1045-.1035l.18-.9351a8.28,8.28,0,0,1,6.8469-6.7427,7.957,7.957,0,0,1,2.8471.1245,8.22,8.22,0,0,1,6.1475,6.545l.1941,1.0083a.13.13,0,0,0,.1045.1035l1.0576.1914a5.7819,5.7819,0,0,1,3.1011,1.539A5.5052,5.5052,0,0,1,24.5076,23H24v2h.5076A7.5019,7.5019,0,0,0,25.91,10.13Z"}),props.children);});var VirtualMachine16=/*#__PURE__*/React.forwardRef(function VirtualMachine16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,13H12a2.0025,2.0025,0,0,0-2,2V28a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V15A2.0025,2.0025,0,0,0,20,13Zm0,2,0,3H12V15Zm0,5,0,3H12V20Zm-8,8V25h8v3Z"}),React.createElement("path",{d:"M25.91,10.13a.121.121,0,0,1-.0967-.0952A10.0061,10.0061,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.1858,10.0347a.1212.1212,0,0,1-.0964.0957A7.5019,7.5019,0,0,0,7.4912,25H8V23H7.4954a5.5108,5.5108,0,0,1-5.4387-6.3,5.6992,5.6992,0,0,1,4.7138-4.6606l1.0166-.1836a.1306.1306,0,0,0,.1045-.1035l.18-.9351a8.28,8.28,0,0,1,6.8469-6.7427,7.957,7.957,0,0,1,2.8471.1245,8.22,8.22,0,0,1,6.1475,6.545l.1941,1.0083a.13.13,0,0,0,.1045.1035l1.0576.1914a5.7819,5.7819,0,0,1,3.1011,1.539A5.5052,5.5052,0,0,1,24.5076,23H24v2h.5076A7.5019,7.5019,0,0,0,25.91,10.13Z"}),props.children);});var VirtualPrivateCloudAlt32=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloudAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4141,22,10,8.5859V2H2v8H8.5859L22,23.4141V30h8V22ZM8,8H4V4H8ZM28,28H24V24h4Z"}),React.createElement("path",{d:"M30,6a3.9915,3.9915,0,0,0-7.8579-1H13V7h9.1421A3.9945,3.9945,0,0,0,25,9.8579V19h2V9.8579A3.9962,3.9962,0,0,0,30,6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),React.createElement("path",{d:"M19,25H9.8579A3.9945,3.9945,0,0,0,7,22.1421V13H5v9.1421A3.9915,3.9915,0,1,0,9.8579,27H19ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Z"}),props.children);});var VirtualPrivateCloudAlt24=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloudAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4141,22,10,8.5859V2H2v8H8.5859L22,23.4141V30h8V22ZM8,8H4V4H8ZM28,28H24V24h4Z"}),React.createElement("path",{d:"M30,6a3.9915,3.9915,0,0,0-7.8579-1H13V7h9.1421A3.9945,3.9945,0,0,0,25,9.8579V19h2V9.8579A3.9962,3.9962,0,0,0,30,6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),React.createElement("path",{d:"M19,25H9.8579A3.9945,3.9945,0,0,0,7,22.1421V13H5v9.1421A3.9915,3.9915,0,1,0,9.8579,27H19ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Z"}),props.children);});var VirtualPrivateCloudAlt20=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloudAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4141,22,10,8.5859V2H2v8H8.5859L22,23.4141V30h8V22ZM8,8H4V4H8ZM28,28H24V24h4Z"}),React.createElement("path",{d:"M30,6a3.9915,3.9915,0,0,0-7.8579-1H13V7h9.1421A3.9945,3.9945,0,0,0,25,9.8579V19h2V9.8579A3.9962,3.9962,0,0,0,30,6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),React.createElement("path",{d:"M19,25H9.8579A3.9945,3.9945,0,0,0,7,22.1421V13H5v9.1421A3.9915,3.9915,0,1,0,9.8579,27H19ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Z"}),props.children);});var VirtualPrivateCloudAlt16=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloudAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23.4141,22,10,8.5859V2H2v8H8.5859L22,23.4141V30h8V22ZM8,8H4V4H8ZM28,28H24V24h4Z"}),React.createElement("path",{d:"M30,6a3.9915,3.9915,0,0,0-7.8579-1H13V7h9.1421A3.9945,3.9945,0,0,0,25,9.8579V19h2V9.8579A3.9962,3.9962,0,0,0,30,6ZM26,8a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,26,8Z"}),React.createElement("path",{d:"M19,25H9.8579A3.9945,3.9945,0,0,0,7,22.1421V13H5v9.1421A3.9915,3.9915,0,1,0,9.8579,27H19ZM6,28a2,2,0,1,1,2-2A2.0023,2.0023,0,0,1,6,28Z"}),props.children);});var VirtualPrivateCloud32=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloud32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,20V17a4,4,0,0,0-8,0v3a2.0025,2.0025,0,0,0-2,2v6a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V22A2.0025,2.0025,0,0,0,20,20Zm-6-3a2,2,0,0,1,4,0v3H14ZM12,28V22h8l.0012,6Z"}),React.createElement("path",{d:"M25.8288,10.1152A10.0067,10.0067,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.17,10.1152,7.502,7.502,0,0,0,7.4912,25H8V23H7.4953a5.5019,5.5019,0,0,1-.9694-10.9165l1.3488-.2441.2591-1.3457a8.0109,8.0109,0,0,1,15.7312,0l.259,1.3457,1.3489.2441A5.5019,5.5019,0,0,1,24.5076,23H24v2h.5076a7.502,7.502,0,0,0,1.3212-14.8848Z"}),props.children);});var VirtualPrivateCloud24=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloud24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,20V17a4,4,0,0,0-8,0v3a2.0025,2.0025,0,0,0-2,2v6a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V22A2.0025,2.0025,0,0,0,20,20Zm-6-3a2,2,0,0,1,4,0v3H14ZM12,28V22h8l.0012,6Z"}),React.createElement("path",{d:"M25.8288,10.1152A10.0067,10.0067,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.17,10.1152,7.502,7.502,0,0,0,7.4912,25H8V23H7.4953a5.5019,5.5019,0,0,1-.9694-10.9165l1.3488-.2441.2591-1.3457a8.0109,8.0109,0,0,1,15.7312,0l.259,1.3457,1.3489.2441A5.5019,5.5019,0,0,1,24.5076,23H24v2h.5076a7.502,7.502,0,0,0,1.3212-14.8848Z"}),props.children);});var VirtualPrivateCloud20=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloud20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,20V17a4,4,0,0,0-8,0v3a2.0025,2.0025,0,0,0-2,2v6a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V22A2.0025,2.0025,0,0,0,20,20Zm-6-3a2,2,0,0,1,4,0v3H14ZM12,28V22h8l.0012,6Z"}),React.createElement("path",{d:"M25.8288,10.1152A10.0067,10.0067,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.17,10.1152,7.502,7.502,0,0,0,7.4912,25H8V23H7.4953a5.5019,5.5019,0,0,1-.9694-10.9165l1.3488-.2441.2591-1.3457a8.0109,8.0109,0,0,1,15.7312,0l.259,1.3457,1.3489.2441A5.5019,5.5019,0,0,1,24.5076,23H24v2h.5076a7.502,7.502,0,0,0,1.3212-14.8848Z"}),props.children);});var VirtualPrivateCloud16=/*#__PURE__*/React.forwardRef(function VirtualPrivateCloud16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,20V17a4,4,0,0,0-8,0v3a2.0025,2.0025,0,0,0-2,2v6a2.0025,2.0025,0,0,0,2,2h8a2.0025,2.0025,0,0,0,2-2V22A2.0025,2.0025,0,0,0,20,20Zm-6-3a2,2,0,0,1,4,0v3H14ZM12,28V22h8l.0012,6Z"}),React.createElement("path",{d:"M25.8288,10.1152A10.0067,10.0067,0,0,0,17.89,2.1816,10.0025,10.0025,0,0,0,6.17,10.1152,7.502,7.502,0,0,0,7.4912,25H8V23H7.4953a5.5019,5.5019,0,0,1-.9694-10.9165l1.3488-.2441.2591-1.3457a8.0109,8.0109,0,0,1,15.7312,0l.259,1.3457,1.3489.2441A5.5019,5.5019,0,0,1,24.5076,23H24v2h.5076a7.502,7.502,0,0,0,1.3212-14.8848Z"}),props.children);});var VisualRecognition32=/*#__PURE__*/React.forwardRef(function VisualRecognition32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"12",r:"2"}),React.createElement("path",{d:"M28,5H16.24A8,8,0,1,0,6,16.92V27a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V7A2,2,0,0,0,28,5ZM4,10A6,6,0,0,1,15.19,7H8V9h7.91A6.64,6.64,0,0,1,16,10a6.64,6.64,0,0,1-.09,1H10v2h5.19A6,6,0,0,1,4,10ZM28,27H8l5-5,1.59,1.59a2,2,0,0,0,2.82,0L23,18l5,5Zm0-6.83-3.59-3.59a2,2,0,0,0-2.82,0L16,22.17l-1.59-1.59a2,2,0,0,0-2.82,0L8,24.17V17.74A8.24,8.24,0,0,0,10,18a8,8,0,0,0,8-8,7.9,7.9,0,0,0-.59-3H28Z"}),props.children);});var VisualRecognition24=/*#__PURE__*/React.forwardRef(function VisualRecognition24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"12",r:"2"}),React.createElement("path",{d:"M28,5H16.24A8,8,0,1,0,6,16.92V27a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V7A2,2,0,0,0,28,5ZM4,10A6,6,0,0,1,15.19,7H8V9h7.91A6.64,6.64,0,0,1,16,10a6.64,6.64,0,0,1-.09,1H10v2h5.19A6,6,0,0,1,4,10ZM28,27H8l5-5,1.59,1.59a2,2,0,0,0,2.82,0L23,18l5,5Zm0-6.83-3.59-3.59a2,2,0,0,0-2.82,0L16,22.17l-1.59-1.59a2,2,0,0,0-2.82,0L8,24.17V17.74A8.24,8.24,0,0,0,10,18a8,8,0,0,0,8-8,7.9,7.9,0,0,0-.59-3H28Z"}),props.children);});var VisualRecognition20=/*#__PURE__*/React.forwardRef(function VisualRecognition20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"12",r:"2"}),React.createElement("path",{d:"M28,5H16.24A8,8,0,1,0,6,16.92V27a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V7A2,2,0,0,0,28,5ZM4,10A6,6,0,0,1,15.19,7H8V9h7.91A6.64,6.64,0,0,1,16,10a6.64,6.64,0,0,1-.09,1H10v2h5.19A6,6,0,0,1,4,10ZM28,27H8l5-5,1.59,1.59a2,2,0,0,0,2.82,0L23,18l5,5Zm0-6.83-3.59-3.59a2,2,0,0,0-2.82,0L16,22.17l-1.59-1.59a2,2,0,0,0-2.82,0L8,24.17V17.74A8.24,8.24,0,0,0,10,18a8,8,0,0,0,8-8,7.9,7.9,0,0,0-.59-3H28Z"}),props.children);});var VisualRecognition16=/*#__PURE__*/React.forwardRef(function VisualRecognition16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"12",r:"2"}),React.createElement("path",{d:"M28,5H16.24A8,8,0,1,0,6,16.92V27a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V7A2,2,0,0,0,28,5ZM4,10A6,6,0,0,1,15.19,7H8V9h7.91A6.64,6.64,0,0,1,16,10a6.64,6.64,0,0,1-.09,1H10v2h5.19A6,6,0,0,1,4,10ZM28,27H8l5-5,1.59,1.59a2,2,0,0,0,2.82,0L23,18l5,5Zm0-6.83-3.59-3.59a2,2,0,0,0-2.82,0L16,22.17l-1.59-1.59a2,2,0,0,0-2.82,0L8,24.17V17.74A8.24,8.24,0,0,0,10,18a8,8,0,0,0,8-8,7.9,7.9,0,0,0-.59-3H28Z"}),props.children);});var VmdkDisk32=/*#__PURE__*/React.forwardRef(function VmdkDisk32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10.5",cy:"24.5",r:"1.5"}),React.createElement("rect",{width:"2",height:"5.071",x:"19.5",y:"14.964",transform:"rotate(-45 20.5 17.5)"}),React.createElement("circle",{cx:"16",cy:"13",r:"2"}),React.createElement("path",{d:"M16,6a7,7,0,0,0,0,14V18a5,5,0,1,1,5-5h2A7,7,0,0,0,16,6Z"}),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H6V4H26Z"}),props.children);});var VmdkDisk24=/*#__PURE__*/React.forwardRef(function VmdkDisk24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10.5",cy:"24.5",r:"1.5"}),React.createElement("rect",{width:"2",height:"5.071",x:"19.5",y:"14.964",transform:"rotate(-45 20.5 17.5)"}),React.createElement("circle",{cx:"16",cy:"13",r:"2"}),React.createElement("path",{d:"M16,6a7,7,0,0,0,0,14V18a5,5,0,1,1,5-5h2A7,7,0,0,0,16,6Z"}),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H6V4H26Z"}),props.children);});var VmdkDisk20=/*#__PURE__*/React.forwardRef(function VmdkDisk20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10.5",cy:"24.5",r:"1.5"}),React.createElement("rect",{width:"2",height:"5.071",x:"19.5",y:"14.964",transform:"rotate(-45 20.5 17.5)"}),React.createElement("circle",{cx:"16",cy:"13",r:"2"}),React.createElement("path",{d:"M16,6a7,7,0,0,0,0,14V18a5,5,0,1,1,5-5h2A7,7,0,0,0,16,6Z"}),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H6V4H26Z"}),props.children);});var VmdkDisk16=/*#__PURE__*/React.forwardRef(function VmdkDisk16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"10.5",cy:"24.5",r:"1.5"}),React.createElement("rect",{width:"2",height:"5.071",x:"19.5",y:"14.964",transform:"rotate(-45 20.5 17.5)"}),React.createElement("circle",{cx:"16",cy:"13",r:"2"}),React.createElement("path",{d:"M16,6a7,7,0,0,0,0,14V18a5,5,0,1,1,5-5h2A7,7,0,0,0,16,6Z"}),React.createElement("path",{d:"M26,2H6A2,2,0,0,0,4,4V28a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4A2,2,0,0,0,26,2Zm0,26H6V4H26Z"}),props.children);});var Voicemail32=/*#__PURE__*/React.forwardRef(function Voicemail32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10a6,6,0,0,0-4.46,10H12.46A6,6,0,1,0,8,22H24a6,6,0,0,0,0-12ZM4,16a4,4,0,1,1,4,4A4,4,0,0,1,4,16Zm20,4a4,4,0,1,1,4-4A4,4,0,0,1,24,20Z"}),props.children);});var Voicemail24=/*#__PURE__*/React.forwardRef(function Voicemail24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10a6,6,0,0,0-4.46,10H12.46A6,6,0,1,0,8,22H24a6,6,0,0,0,0-12ZM4,16a4,4,0,1,1,4,4A4,4,0,0,1,4,16Zm20,4a4,4,0,1,1,4-4A4,4,0,0,1,24,20Z"}),props.children);});var Voicemail20=/*#__PURE__*/React.forwardRef(function Voicemail20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10a6,6,0,0,0-4.46,10H12.46A6,6,0,1,0,8,22H24a6,6,0,0,0,0-12ZM4,16a4,4,0,1,1,4,4A4,4,0,0,1,4,16Zm20,4a4,4,0,1,1,4-4A4,4,0,0,1,24,20Z"}),props.children);});var Voicemail16=/*#__PURE__*/React.forwardRef(function Voicemail16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M24,10a6,6,0,0,0-4.46,10H12.46A6,6,0,1,0,8,22H24a6,6,0,0,0,0-12ZM4,16a4,4,0,1,1,4,4A4,4,0,0,1,4,16Zm20,4a4,4,0,1,1,4-4A4,4,0,0,1,24,20Z"}),props.children);});var VolumeDownFilled32=/*#__PURE__*/React.forwardRef(function VolumeDownFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30Z"}),props.children);});var VolumeDownFilled24=/*#__PURE__*/React.forwardRef(function VolumeDownFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30Z"}),props.children);});var VolumeDownFilled20=/*#__PURE__*/React.forwardRef(function VolumeDownFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30Z"}),props.children);});var VolumeDownFilled16=/*#__PURE__*/React.forwardRef(function VolumeDownFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30Z"}),props.children);});var VolumeDown32=/*#__PURE__*/React.forwardRef(function VolumeDown32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30ZM6,20h6a1.17,1.17,0,0,1,.79.3L19,26.57V5.43L12.79,11.7A1.17,1.17,0,0,1,12,12H6Z"}),props.children);});var VolumeDown24=/*#__PURE__*/React.forwardRef(function VolumeDown24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30ZM6,20h6a1.17,1.17,0,0,1,.79.3L19,26.57V5.43L12.79,11.7A1.17,1.17,0,0,1,12,12H6Z"}),props.children);});var VolumeDown20=/*#__PURE__*/React.forwardRef(function VolumeDown20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30ZM6,20h6a1.17,1.17,0,0,1,.79.3L19,26.57V5.43L12.79,11.7A1.17,1.17,0,0,1,12,12H6Z"}),props.children);});var VolumeDown16=/*#__PURE__*/React.forwardRef(function VolumeDown16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.1,10.66,23.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M20,30a1,1,0,0,1-.71-.3L11.67,22H5a1,1,0,0,1-1-1H4V11a1,1,0,0,1,1-1h6.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,21,3V29A1,1,0,0,1,20,30ZM6,20h6a1.17,1.17,0,0,1,.79.3L19,26.57V5.43L12.79,11.7A1.17,1.17,0,0,1,12,12H6Z"}),props.children);});var VolumeMuteFilled32=/*#__PURE__*/React.forwardRef(function VolumeMuteFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeMuteFilled24=/*#__PURE__*/React.forwardRef(function VolumeMuteFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeMuteFilled20=/*#__PURE__*/React.forwardRef(function VolumeMuteFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeMuteFilled16=/*#__PURE__*/React.forwardRef(function VolumeMuteFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeMute32=/*#__PURE__*/React.forwardRef(function VolumeMute32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6a1.17,1.17,0,0,1,.79.3L17,26.57V5.43L10.79,11.7A1.17,1.17,0,0,1,10,12H4Z"}),props.children);});var VolumeMute24=/*#__PURE__*/React.forwardRef(function VolumeMute24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6a1.17,1.17,0,0,1,.79.3L17,26.57V5.43L10.79,11.7A1.17,1.17,0,0,1,10,12H4Z"}),props.children);});var VolumeMute20=/*#__PURE__*/React.forwardRef(function VolumeMute20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6a1.17,1.17,0,0,1,.79.3L17,26.57V5.43L10.79,11.7A1.17,1.17,0,0,1,10,12H4Z"}),props.children);});var VolumeMute16=/*#__PURE__*/React.forwardRef(function VolumeMute16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"31 12.41 29.59 11 26 14.59 22.41 11 21 12.41 24.59 16 21 19.59 22.41 21 26 17.41 29.59 21 31 19.59 27.41 16 31 12.41"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6a1.17,1.17,0,0,1,.79.3L17,26.57V5.43L10.79,11.7A1.17,1.17,0,0,1,10,12H4Z"}),props.children);});var VolumeUpFilled32=/*#__PURE__*/React.forwardRef(function VolumeUpFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeUpFilled24=/*#__PURE__*/React.forwardRef(function VolumeUpFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeUpFilled20=/*#__PURE__*/React.forwardRef(function VolumeUpFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeUpFilled16=/*#__PURE__*/React.forwardRef(function VolumeUpFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30Z"}),props.children);});var VolumeUp32=/*#__PURE__*/React.forwardRef(function VolumeUp32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6.08a1,1,0,0,1,.71.3L17,26.57V5.43L10.79,11.7a1,1,0,0,1-.71.3H4Z"}),props.children);});var VolumeUp24=/*#__PURE__*/React.forwardRef(function VolumeUp24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6.08a1,1,0,0,1,.71.3L17,26.57V5.43L10.79,11.7a1,1,0,0,1-.71.3H4Z"}),props.children);});var VolumeUp20=/*#__PURE__*/React.forwardRef(function VolumeUp20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6.08a1,1,0,0,1,.71.3L17,26.57V5.43L10.79,11.7a1,1,0,0,1-.71.3H4Z"}),props.children);});var VolumeUp16=/*#__PURE__*/React.forwardRef(function VolumeUp16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M27.16,8.08,25.63,9.37a10,10,0,0,1-.29,13.23L26.81,24a12,12,0,0,0,.35-15.88Z"}),React.createElement("path",{d:"M21.58,12a6,6,0,0,1-.18,7.94l1.47,1.36a8,8,0,0,0,.23-10.59Z"}),React.createElement("path",{d:"M18,30a1,1,0,0,1-.71-.3L9.67,22H3a1,1,0,0,1-1-1H2V11a1,1,0,0,1,1-1H9.67l7.62-7.7a1,1,0,0,1,1.41,0A1,1,0,0,1,19,3V29A1,1,0,0,1,18,30ZM4,20h6.08a1,1,0,0,1,.71.3L17,26.57V5.43L10.79,11.7a1,1,0,0,1-.71.3H4Z"}),props.children);});var Wallet32=/*#__PURE__*/React.forwardRef(function Wallet32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"22",y:"17"}),React.createElement("path",{d:"M28,8H4V5H26V3H4A2,2,0,0,0,2,5V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM4,26V10H28v3H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h8v3ZM28,15v6H20V15Z"}),props.children);});var Wallet24=/*#__PURE__*/React.forwardRef(function Wallet24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"22",y:"17"}),React.createElement("path",{d:"M28,8H4V5H26V3H4A2,2,0,0,0,2,5V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM4,26V10H28v3H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h8v3ZM28,15v6H20V15Z"}),props.children);});var Wallet20=/*#__PURE__*/React.forwardRef(function Wallet20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"22",y:"17"}),React.createElement("path",{d:"M28,8H4V5H26V3H4A2,2,0,0,0,2,5V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM4,26V10H28v3H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h8v3ZM28,15v6H20V15Z"}),props.children);});var Wallet16=/*#__PURE__*/React.forwardRef(function Wallet16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"22",y:"17"}),React.createElement("path",{d:"M28,8H4V5H26V3H4A2,2,0,0,0,2,5V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V10A2,2,0,0,0,28,8ZM4,26V10H28v3H20a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2h8v3ZM28,15v6H20V15Z"}),props.children);});var WarningAltFilled32=/*#__PURE__*/React.forwardRef(function WarningAltFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.88,27.52l-13-25a1,1,0,0,0-1.76,0l-13,25a1,1,0,0,0,0,1A1,1,0,0,0,3,29H29a1,1,0,0,0,.86-.49A1,1,0,0,0,29.88,27.52ZM14.88,10h2.25V20H14.88ZM16,26a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,26Z"}),props.children);});var WarningAltFilled24=/*#__PURE__*/React.forwardRef(function WarningAltFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.88,27.52l-13-25a1,1,0,0,0-1.76,0l-13,25a1,1,0,0,0,0,1A1,1,0,0,0,3,29H29a1,1,0,0,0,.86-.49A1,1,0,0,0,29.88,27.52ZM14.88,10h2.25V20H14.88ZM16,26a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,26Z"}),props.children);});var WarningAltFilled20=/*#__PURE__*/React.forwardRef(function WarningAltFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.88,27.52l-13-25a1,1,0,0,0-1.76,0l-13,25a1,1,0,0,0,0,1A1,1,0,0,0,3,29H29a1,1,0,0,0,.86-.49A1,1,0,0,0,29.88,27.52ZM14.88,10h2.25V20H14.88ZM16,26a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,26Z"}),props.children);});var WarningAltInvertedFilled32=/*#__PURE__*/React.forwardRef(function WarningAltInvertedFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8594,2.4893A1,1,0,0,0,29,2H3a1.0015,1.0015,0,0,0-.8794,1.4785l13,25.0366a1.04,1.04,0,0,0,1.7583,0l13-25.0366A1.0034,1.0034,0,0,0,29.8594,2.4893ZM14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z"}),React.createElement("path",{fill:"none",d:"M14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z","data-icon-path":"inner-path"}),props.children);});var WarningAltInvertedFilled24=/*#__PURE__*/React.forwardRef(function WarningAltInvertedFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8594,2.4893A1,1,0,0,0,29,2H3a1.0015,1.0015,0,0,0-.8794,1.4785l13,25.0366a1.04,1.04,0,0,0,1.7583,0l13-25.0366A1.0034,1.0034,0,0,0,29.8594,2.4893ZM14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z"}),React.createElement("path",{fill:"none",d:"M14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z","data-icon-path":"inner-path"}),props.children);});var WarningAltInvertedFilled20=/*#__PURE__*/React.forwardRef(function WarningAltInvertedFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8594,2.4893A1,1,0,0,0,29,2H3a1.0015,1.0015,0,0,0-.8794,1.4785l13,25.0366a1.04,1.04,0,0,0,1.7583,0l13-25.0366A1.0034,1.0034,0,0,0,29.8594,2.4893ZM14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z"}),React.createElement("path",{fill:"none",d:"M14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z","data-icon-path":"inner-path"}),props.children);});var WarningAltInvertedFilled16=/*#__PURE__*/React.forwardRef(function WarningAltInvertedFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.8594,2.4893A1,1,0,0,0,29,2H3a1.0015,1.0015,0,0,0-.8794,1.4785l13,25.0366a1.04,1.04,0,0,0,1.7583,0l13-25.0366A1.0034,1.0034,0,0,0,29.8594,2.4893ZM14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z"}),React.createElement("path",{fill:"none",d:"M14.875,5h2.25V15h-2.25ZM16,21a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,21Z","data-icon-path":"inner-path"}),props.children);});var WarningAltInverted32=/*#__PURE__*/React.forwardRef(function WarningAltInverted32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,17Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"6"}),React.createElement("path",{d:"M29.855,2.4815a.999.999,0,0,1,.0322.9794l-13,25a1.0408,1.0408,0,0,1-1.7744,0l-13-25A1,1,0,0,1,3,2H29A1,1,0,0,1,29.855,2.4815ZM16,25.832,27.353,4H4.647Z"}),props.children);});var WarningAltInverted24=/*#__PURE__*/React.forwardRef(function WarningAltInverted24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,17Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"6"}),React.createElement("path",{d:"M29.855,2.4815a.999.999,0,0,1,.0322.9794l-13,25a1.0408,1.0408,0,0,1-1.7744,0l-13-25A1,1,0,0,1,3,2H29A1,1,0,0,1,29.855,2.4815ZM16,25.832,27.353,4H4.647Z"}),props.children);});var WarningAltInverted20=/*#__PURE__*/React.forwardRef(function WarningAltInverted20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,17Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"6"}),React.createElement("path",{d:"M29.855,2.4815a.999.999,0,0,1,.0322.9794l-13,25a1.0408,1.0408,0,0,1-1.7744,0l-13-25A1,1,0,0,1,3,2H29A1,1,0,0,1,29.855,2.4815ZM16,25.832,27.353,4H4.647Z"}),props.children);});var WarningAltInverted16=/*#__PURE__*/React.forwardRef(function WarningAltInverted16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,17Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"6"}),React.createElement("path",{d:"M29.855,2.4815a.999.999,0,0,1,.0322.9794l-13,25a1.0408,1.0408,0,0,1-1.7744,0l-13-25A1,1,0,0,1,3,2H29A1,1,0,0,1,29.855,2.4815ZM16,25.832,27.353,4H4.647Z"}),props.children);});var WarningAlt32=/*#__PURE__*/React.forwardRef(function WarningAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,22Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"11"}),React.createElement("path",{d:"M29,29H3a1,1,0,0,1-.89-1.46l13-25a1,1,0,0,1,1.78,0l13,25A1,1,0,0,1,29,29ZM4.65,27h22.7L16,5.17Z"}),props.children);});var WarningAlt24=/*#__PURE__*/React.forwardRef(function WarningAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,22Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"11"}),React.createElement("path",{d:"M29,29H3a1,1,0,0,1-.89-1.46l13-25a1,1,0,0,1,1.78,0l13,25A1,1,0,0,1,29,29ZM4.65,27h22.7L16,5.17Z"}),props.children);});var WarningAlt20=/*#__PURE__*/React.forwardRef(function WarningAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,22a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,22Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"11"}),React.createElement("path",{d:"M29,29H3a1,1,0,0,1-.89-1.46l13-25a1,1,0,0,1,1.78,0l13,25A1,1,0,0,1,29,29ZM4.65,27h22.7L16,5.17Z"}),props.children);});var WarningFilled32=/*#__PURE__*/React.forwardRef(function WarningFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2C8.3,2,2,8.3,2,16s6.3,14,14,14s14-6.3,14-14C30,8.3,23.7,2,16,2z M14.9,8h2.2v11h-2.2V8z M16,25\tc-0.8,0-1.5-0.7-1.5-1.5S15.2,22,16,22c0.8,0,1.5,0.7,1.5,1.5S16.8,25,16,25z"}),React.createElement("path",{fill:"none",d:"M17.5,23.5c0,0.8-0.7,1.5-1.5,1.5c-0.8,0-1.5-0.7-1.5-1.5S15.2,22,16,22\tC16.8,22,17.5,22.7,17.5,23.5z M17.1,8h-2.2v11h2.2V8z","data-icon-path":"inner-path",opacity:"0"}),props.children);});var WarningSquareFilled32=/*#__PURE__*/React.forwardRef(function WarningSquareFilled32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0022,4H5.998A1.998,1.998,0,0,0,4,5.998V26.002A1.998,1.998,0,0,0,5.998,28H26.0022A1.9979,1.9979,0,0,0,28,26.002V5.998A1.9979,1.9979,0,0,0,26.0022,4ZM14.8752,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z"}),React.createElement("path",{fill:"none",d:"M14.8751,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z","data-icon-path":"inner-path"}),props.children);});var WarningSquareFilled24=/*#__PURE__*/React.forwardRef(function WarningSquareFilled24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0022,4H5.998A1.998,1.998,0,0,0,4,5.998V26.002A1.998,1.998,0,0,0,5.998,28H26.0022A1.9979,1.9979,0,0,0,28,26.002V5.998A1.9979,1.9979,0,0,0,26.0022,4ZM14.8752,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z"}),React.createElement("path",{fill:"none",d:"M14.8751,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z","data-icon-path":"inner-path"}),props.children);});var WarningSquareFilled20=/*#__PURE__*/React.forwardRef(function WarningSquareFilled20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0022,4H5.998A1.998,1.998,0,0,0,4,5.998V26.002A1.998,1.998,0,0,0,5.998,28H26.0022A1.9979,1.9979,0,0,0,28,26.002V5.998A1.9979,1.9979,0,0,0,26.0022,4ZM14.8752,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z"}),React.createElement("path",{fill:"none",d:"M14.8751,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z","data-icon-path":"inner-path"}),props.children);});var WarningSquareFilled16=/*#__PURE__*/React.forwardRef(function WarningSquareFilled16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.0022,4H5.998A1.998,1.998,0,0,0,4,5.998V26.002A1.998,1.998,0,0,0,5.998,28H26.0022A1.9979,1.9979,0,0,0,28,26.002V5.998A1.9979,1.9979,0,0,0,26.0022,4ZM14.8752,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z"}),React.createElement("path",{fill:"none",d:"M14.8751,8h2.25V18h-2.25ZM16,24a1.5,1.5,0,1,1,1.5-1.5A1.5,1.5,0,0,1,16,24Z","data-icon-path":"inner-path"}),props.children);});var WarningSquare32=/*#__PURE__*/React.forwardRef(function WarningSquare32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,20Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"9"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var WarningSquare24=/*#__PURE__*/React.forwardRef(function WarningSquare24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,20Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"9"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var WarningSquare20=/*#__PURE__*/React.forwardRef(function WarningSquare20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,20Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"9"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var WarningSquare16=/*#__PURE__*/React.forwardRef(function WarningSquare16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,20a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,20Z"}),React.createElement("rect",{width:"2",height:"9",x:"15",y:"9"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var Warning32=/*#__PURE__*/React.forwardRef(function Warning32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("rect",{width:"2",height:"11",x:"15",y:"8"}),React.createElement("path",{d:"M16,22a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,22Z"}),props.children);});var Warning24=/*#__PURE__*/React.forwardRef(function Warning24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("rect",{width:"2",height:"11",x:"15",y:"8"}),React.createElement("path",{d:"M16,22a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,22Z"}),props.children);});var Warning20=/*#__PURE__*/React.forwardRef(function Warning20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2Zm0,26A12,12,0,1,1,28,16,12,12,0,0,1,16,28Z"}),React.createElement("rect",{width:"2",height:"11",x:"15",y:"8"}),React.createElement("path",{d:"M16,22a1.5,1.5,0,1,0,1.5,1.5A1.5,1.5,0,0,0,16,22Z"}),props.children);});var Watch32=/*#__PURE__*/React.forwardRef(function Watch32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,8H21V2H19V8H13V2H11V8H10a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h1v6h2V24h6v6h2V24h1a2,2,0,0,0,2-2V10A2,2,0,0,0,22,8ZM10,22V10H22V22Z"}),React.createElement("rect",{width:"2",height:"4",x:"25",y:"14"}),props.children);});var Watch24=/*#__PURE__*/React.forwardRef(function Watch24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,8H21V2H19V8H13V2H11V8H10a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h1v6h2V24h6v6h2V24h1a2,2,0,0,0,2-2V10A2,2,0,0,0,22,8ZM10,22V10H22V22Z"}),React.createElement("rect",{width:"2",height:"4",x:"25",y:"14"}),props.children);});var Watch20=/*#__PURE__*/React.forwardRef(function Watch20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,8H21V2H19V8H13V2H11V8H10a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h1v6h2V24h6v6h2V24h1a2,2,0,0,0,2-2V10A2,2,0,0,0,22,8ZM10,22V10H22V22Z"}),React.createElement("rect",{width:"2",height:"4",x:"25",y:"14"}),props.children);});var Watch16=/*#__PURE__*/React.forwardRef(function Watch16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,8H21V2H19V8H13V2H11V8H10a2,2,0,0,0-2,2V22a2,2,0,0,0,2,2h1v6h2V24h6v6h2V24h1a2,2,0,0,0,2-2V10A2,2,0,0,0,22,8ZM10,22V10H22V22Z"}),React.createElement("rect",{width:"2",height:"4",x:"25",y:"14"}),props.children);});var WatsonMachineLearning32=/*#__PURE__*/React.forwardRef(function WatsonMachineLearning32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H20V17.76l-3.23,3.88a1,1,0,0,1-1.54,0L12,17.76V26H10V15a1,1,0,0,1,.66-.94,1,1,0,0,1,1.11.3L16,19.44l4.23-5.08a1,1,0,0,1,1.11-.3A1,1,0,0,1,22,15Z"}),React.createElement("path",{d:"M4.16,14.65l-3-1.75a.76.76,0,1,0-.76,1.32L3.4,16a.76.76,0,1,0,.76-1.31Z"}),React.createElement("path",{d:"M8.29,10.52a.73.73,0,0,0,1,.27.75.75,0,0,0,.28-1l-1.74-3a.76.76,0,1,0-1.32.76Z"}),React.createElement("path",{d:"M16,9a.76.76,0,0,0,.76-.76V4.76a.76.76,0,1,0-1.52,0V8.25A.76.76,0,0,0,16,9Z"}),React.createElement("path",{d:"M22.68,10.79a.75.75,0,0,0,.37.11.76.76,0,0,0,.66-.38l1.75-3a.76.76,0,0,0-1.32-.76l-1.74,3A.75.75,0,0,0,22.68,10.79Z"}),React.createElement("path",{d:"M31.9,13.18a.76.76,0,0,0-1-.28l-3,1.75A.76.76,0,0,0,28.6,16l3-1.74A.77.77,0,0,0,31.9,13.18Z"}),props.children);});var WatsonMachineLearning24=/*#__PURE__*/React.forwardRef(function WatsonMachineLearning24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H20V17.76l-3.23,3.88a1,1,0,0,1-1.54,0L12,17.76V26H10V15a1,1,0,0,1,.66-.94,1,1,0,0,1,1.11.3L16,19.44l4.23-5.08a1,1,0,0,1,1.11-.3A1,1,0,0,1,22,15Z"}),React.createElement("path",{d:"M4.16,14.65l-3-1.75a.76.76,0,1,0-.76,1.32L3.4,16a.76.76,0,1,0,.76-1.31Z"}),React.createElement("path",{d:"M8.29,10.52a.73.73,0,0,0,1,.27.75.75,0,0,0,.28-1l-1.74-3a.76.76,0,1,0-1.32.76Z"}),React.createElement("path",{d:"M16,9a.76.76,0,0,0,.76-.76V4.76a.76.76,0,1,0-1.52,0V8.25A.76.76,0,0,0,16,9Z"}),React.createElement("path",{d:"M22.68,10.79a.75.75,0,0,0,.37.11.76.76,0,0,0,.66-.38l1.75-3a.76.76,0,0,0-1.32-.76l-1.74,3A.75.75,0,0,0,22.68,10.79Z"}),React.createElement("path",{d:"M31.9,13.18a.76.76,0,0,0-1-.28l-3,1.75A.76.76,0,0,0,28.6,16l3-1.74A.77.77,0,0,0,31.9,13.18Z"}),props.children);});var WatsonMachineLearning20=/*#__PURE__*/React.forwardRef(function WatsonMachineLearning20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H20V17.76l-3.23,3.88a1,1,0,0,1-1.54,0L12,17.76V26H10V15a1,1,0,0,1,.66-.94,1,1,0,0,1,1.11.3L16,19.44l4.23-5.08a1,1,0,0,1,1.11-.3A1,1,0,0,1,22,15Z"}),React.createElement("path",{d:"M4.16,14.65l-3-1.75a.76.76,0,1,0-.76,1.32L3.4,16a.76.76,0,1,0,.76-1.31Z"}),React.createElement("path",{d:"M8.29,10.52a.73.73,0,0,0,1,.27.75.75,0,0,0,.28-1l-1.74-3a.76.76,0,1,0-1.32.76Z"}),React.createElement("path",{d:"M16,9a.76.76,0,0,0,.76-.76V4.76a.76.76,0,1,0-1.52,0V8.25A.76.76,0,0,0,16,9Z"}),React.createElement("path",{d:"M22.68,10.79a.75.75,0,0,0,.37.11.76.76,0,0,0,.66-.38l1.75-3a.76.76,0,0,0-1.32-.76l-1.74,3A.75.75,0,0,0,22.68,10.79Z"}),React.createElement("path",{d:"M31.9,13.18a.76.76,0,0,0-1-.28l-3,1.75A.76.76,0,0,0,28.6,16l3-1.74A.77.77,0,0,0,31.9,13.18Z"}),props.children);});var WatsonMachineLearning16=/*#__PURE__*/React.forwardRef(function WatsonMachineLearning16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,26H20V17.76l-3.23,3.88a1,1,0,0,1-1.54,0L12,17.76V26H10V15a1,1,0,0,1,.66-.94,1,1,0,0,1,1.11.3L16,19.44l4.23-5.08a1,1,0,0,1,1.11-.3A1,1,0,0,1,22,15Z"}),React.createElement("path",{d:"M4.16,14.65l-3-1.75a.76.76,0,1,0-.76,1.32L3.4,16a.76.76,0,1,0,.76-1.31Z"}),React.createElement("path",{d:"M8.29,10.52a.73.73,0,0,0,1,.27.75.75,0,0,0,.28-1l-1.74-3a.76.76,0,1,0-1.32.76Z"}),React.createElement("path",{d:"M16,9a.76.76,0,0,0,.76-.76V4.76a.76.76,0,1,0-1.52,0V8.25A.76.76,0,0,0,16,9Z"}),React.createElement("path",{d:"M22.68,10.79a.75.75,0,0,0,.37.11.76.76,0,0,0,.66-.38l1.75-3a.76.76,0,0,0-1.32-.76l-1.74,3A.75.75,0,0,0,22.68,10.79Z"}),React.createElement("path",{d:"M31.9,13.18a.76.76,0,0,0-1-.28l-3,1.75A.76.76,0,0,0,28.6,16l3-1.74A.77.77,0,0,0,31.9,13.18Z"}),props.children);});var WatsonHealth3DCursor32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 4 4 4 4 13.01 6 13.01 6 6 13 6 13 4"}),React.createElement("path",{d:"M29.49,13.12l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,10,14V24a1,1,0,0,0,.52.87l9,5A1,1,0,0,0,20,30a1.05,1.05,0,0,0,.49-.13l9-5A1,1,0,0,0,30,24V14A1,1,0,0,0,29.49,13.12ZM19,27.3l-7-3.89V15.69l7,3.89Zm1-9.45L13.06,14,20,10.14,26.94,14Zm8,5.56L21,27.3V19.58l7-3.89Z"}),props.children);});var WatsonHealth3DCursor24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 4 4 4 4 13.01 6 13.01 6 6 13 6 13 4"}),React.createElement("path",{d:"M29.49,13.12l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,10,14V24a1,1,0,0,0,.52.87l9,5A1,1,0,0,0,20,30a1.05,1.05,0,0,0,.49-.13l9-5A1,1,0,0,0,30,24V14A1,1,0,0,0,29.49,13.12ZM19,27.3l-7-3.89V15.69l7,3.89Zm1-9.45L13.06,14,20,10.14,26.94,14Zm8,5.56L21,27.3V19.58l7-3.89Z"}),props.children);});var WatsonHealth3DCursor20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 4 4 4 4 13.01 6 13.01 6 6 13 6 13 4"}),React.createElement("path",{d:"M29.49,13.12l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,10,14V24a1,1,0,0,0,.52.87l9,5A1,1,0,0,0,20,30a1.05,1.05,0,0,0,.49-.13l9-5A1,1,0,0,0,30,24V14A1,1,0,0,0,29.49,13.12ZM19,27.3l-7-3.89V15.69l7,3.89Zm1-9.45L13.06,14,20,10.14,26.94,14Zm8,5.56L21,27.3V19.58l7-3.89Z"}),props.children);});var WatsonHealth3DCursor16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13 4 4 4 4 13.01 6 13.01 6 6 13 6 13 4"}),React.createElement("path",{d:"M29.49,13.12l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,10,14V24a1,1,0,0,0,.52.87l9,5A1,1,0,0,0,20,30a1.05,1.05,0,0,0,.49-.13l9-5A1,1,0,0,0,30,24V14A1,1,0,0,0,29.49,13.12ZM19,27.3l-7-3.89V15.69l7,3.89Zm1-9.45L13.06,14,20,10.14,26.94,14Zm8,5.56L21,27.3V19.58l7-3.89Z"}),props.children);});var WatsonHealth3DMprToggle32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DMprToggle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),React.createElement("polygon",{points:"2 21 2 30 11 30 11 28 4 28 4 21 2 21"}),React.createElement("polygon",{points:"30 11 30 2 21 2 21 4 28 4 28 11 30 11"}),React.createElement("polygon",{points:"21 30 30 30 30 21 28 21 28 28 21 28 21 30"}),React.createElement("path",{d:"M25.49,10.13l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,6,11V21a1,1,0,0,0,.51.87l9,5a1,1,0,0,0,1,0l9-5A1,1,0,0,0,26,21V11A1,1,0,0,0,25.49,10.13ZM16,7.14,22.94,11,16,14.86,9.06,11ZM8,12.7l7,3.89V24.3L8,20.41Zm9,11.6V16.59l7-3.89v7.71Z"}),props.children);});var WatsonHealth3DMprToggle24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DMprToggle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),React.createElement("polygon",{points:"2 21 2 30 11 30 11 28 4 28 4 21 2 21"}),React.createElement("polygon",{points:"30 11 30 2 21 2 21 4 28 4 28 11 30 11"}),React.createElement("polygon",{points:"21 30 30 30 30 21 28 21 28 28 21 28 21 30"}),React.createElement("path",{d:"M25.49,10.13l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,6,11V21a1,1,0,0,0,.51.87l9,5a1,1,0,0,0,1,0l9-5A1,1,0,0,0,26,21V11A1,1,0,0,0,25.49,10.13ZM16,7.14,22.94,11,16,14.86,9.06,11ZM8,12.7l7,3.89V24.3L8,20.41Zm9,11.6V16.59l7-3.89v7.71Z"}),props.children);});var WatsonHealth3DMprToggle20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DMprToggle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),React.createElement("polygon",{points:"2 21 2 30 11 30 11 28 4 28 4 21 2 21"}),React.createElement("polygon",{points:"30 11 30 2 21 2 21 4 28 4 28 11 30 11"}),React.createElement("polygon",{points:"21 30 30 30 30 21 28 21 28 28 21 28 21 30"}),React.createElement("path",{d:"M25.49,10.13l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,6,11V21a1,1,0,0,0,.51.87l9,5a1,1,0,0,0,1,0l9-5A1,1,0,0,0,26,21V11A1,1,0,0,0,25.49,10.13ZM16,7.14,22.94,11,16,14.86,9.06,11ZM8,12.7l7,3.89V24.3L8,20.41Zm9,11.6V16.59l7-3.89v7.71Z"}),props.children);});var WatsonHealth3DMprToggle16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DMprToggle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),React.createElement("polygon",{points:"2 21 2 30 11 30 11 28 4 28 4 21 2 21"}),React.createElement("polygon",{points:"30 11 30 2 21 2 21 4 28 4 28 11 30 11"}),React.createElement("polygon",{points:"21 30 30 30 30 21 28 21 28 28 21 28 21 30"}),React.createElement("path",{d:"M25.49,10.13l-9-5a1,1,0,0,0-1,0l-9,5A1,1,0,0,0,6,11V21a1,1,0,0,0,.51.87l9,5a1,1,0,0,0,1,0l9-5A1,1,0,0,0,26,21V11A1,1,0,0,0,25.49,10.13ZM16,7.14,22.94,11,16,14.86,9.06,11ZM8,12.7l7,3.89V24.3L8,20.41Zm9,11.6V16.59l7-3.89v7.71Z"}),props.children);});var WatsonHealth3DCursorAlt32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursorAlt32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"7"}),React.createElement("rect",{width:"7",height:"2",x:"7",y:"15"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"18",y:"15"}),props.children);});var WatsonHealth3DCursorAlt24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursorAlt24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"7"}),React.createElement("rect",{width:"7",height:"2",x:"7",y:"15"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"18",y:"15"}),props.children);});var WatsonHealth3DCursorAlt20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursorAlt20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"7"}),React.createElement("rect",{width:"7",height:"2",x:"7",y:"15"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"18",y:"15"}),props.children);});var WatsonHealth3DCursorAlt16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCursorAlt16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14.0158,14.0158,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12.0137,12.0137,0,0,0,16,4Z"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"7"}),React.createElement("rect",{width:"7",height:"2",x:"7",y:"15"}),React.createElement("rect",{width:"2",height:"7",x:"15",y:"18"}),React.createElement("rect",{width:"7",height:"2",x:"18",y:"15"}),props.children);});var WatsonHealth3DCurveAutoColon32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoColon32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,8H20.1a5,5,0,1,0,0-2H9.5a5.5,5.5,0,0,0,0,11h11a3.5,3.5,0,0,1,0,7H11.9a5,5,0,1,0,0,2h8.6a5.5,5.5,0,0,0,0-11H9.5a3.5,3.5,0,0,1,0-7ZM25,4a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveAutoColon24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoColon24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,8H20.1a5,5,0,1,0,0-2H9.5a5.5,5.5,0,0,0,0,11h11a3.5,3.5,0,0,1,0,7H11.9a5,5,0,1,0,0,2h8.6a5.5,5.5,0,0,0,0-11H9.5a3.5,3.5,0,0,1,0-7ZM25,4a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveAutoColon20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoColon20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,8H20.1a5,5,0,1,0,0-2H9.5a5.5,5.5,0,0,0,0,11h11a3.5,3.5,0,0,1,0,7H11.9a5,5,0,1,0,0,2h8.6a5.5,5.5,0,0,0,0-11H9.5a3.5,3.5,0,0,1,0-7ZM25,4a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveAutoColon16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoColon16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9.5,8H20.1a5,5,0,1,0,0-2H9.5a5.5,5.5,0,0,0,0,11h11a3.5,3.5,0,0,1,0,7H11.9a5,5,0,1,0,0,2h8.6a5.5,5.5,0,0,0,0-11H9.5a3.5,3.5,0,0,1,0-7ZM25,4a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveAutoVessels32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoVessels32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11a3,3,0,0,1,3-3h.1a5,5,0,1,0,0-2H20a5,5,0,0,0-5,5v1H13a3,3,0,0,1-3-3V7A5,5,0,0,0,5,2H4V4H5A3,3,0,0,1,8,7V9a5,5,0,0,0,5,5h2v7a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5h2.5A2.5,2.5,0,0,1,22,23.5,4.51,4.51,0,0,0,26.5,28H28V26H26.5A2.5,2.5,0,0,1,24,23.5,4.51,4.51,0,0,0,19.5,19H17Zm8-7a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveAutoVessels24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoVessels24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11a3,3,0,0,1,3-3h.1a5,5,0,1,0,0-2H20a5,5,0,0,0-5,5v1H13a3,3,0,0,1-3-3V7A5,5,0,0,0,5,2H4V4H5A3,3,0,0,1,8,7V9a5,5,0,0,0,5,5h2v7a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5h2.5A2.5,2.5,0,0,1,22,23.5,4.51,4.51,0,0,0,26.5,28H28V26H26.5A2.5,2.5,0,0,1,24,23.5,4.51,4.51,0,0,0,19.5,19H17Zm8-7a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveAutoVessels20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoVessels20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11a3,3,0,0,1,3-3h.1a5,5,0,1,0,0-2H20a5,5,0,0,0-5,5v1H13a3,3,0,0,1-3-3V7A5,5,0,0,0,5,2H4V4H5A3,3,0,0,1,8,7V9a5,5,0,0,0,5,5h2v7a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5h2.5A2.5,2.5,0,0,1,22,23.5,4.51,4.51,0,0,0,26.5,28H28V26H26.5A2.5,2.5,0,0,1,24,23.5,4.51,4.51,0,0,0,19.5,19H17Zm8-7a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveAutoVessels16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveAutoVessels16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M17,11a3,3,0,0,1,3-3h.1a5,5,0,1,0,0-2H20a5,5,0,0,0-5,5v1H13a3,3,0,0,1-3-3V7A5,5,0,0,0,5,2H4V4H5A3,3,0,0,1,8,7V9a5,5,0,0,0,5,5h2v7a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5h2.5A2.5,2.5,0,0,1,22,23.5,4.51,4.51,0,0,0,26.5,28H28V26H26.5A2.5,2.5,0,0,1,24,23.5,4.51,4.51,0,0,0,19.5,19H17Zm8-7a3,3,0,1,1-3,3A3,3,0,0,1,25,4ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),props.children);});var WatsonHealth3DCurveManual32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveManual32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),React.createElement("rect",{width:"2",height:"6",x:"15",y:"13"}),React.createElement("path",{d:"M25,2a5,5,0,0,0-4.9,4H20a5,5,0,0,0-5,5h2a3,3,0,0,1,3-3h.1A5,5,0,1,0,25,2Zm0,8a3,3,0,1,1,3-3A3,3,0,0,1,25,10Z"}),props.children);});var WatsonHealth3DCurveManual24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveManual24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),React.createElement("rect",{width:"2",height:"6",x:"15",y:"13"}),React.createElement("path",{d:"M25,2a5,5,0,0,0-4.9,4H20a5,5,0,0,0-5,5h2a3,3,0,0,1,3-3h.1A5,5,0,1,0,25,2Zm0,8a3,3,0,1,1,3-3A3,3,0,0,1,25,10Z"}),props.children);});var WatsonHealth3DCurveManual20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveManual20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),React.createElement("rect",{width:"2",height:"6",x:"15",y:"13"}),React.createElement("path",{d:"M25,2a5,5,0,0,0-4.9,4H20a5,5,0,0,0-5,5h2a3,3,0,0,1,3-3h.1A5,5,0,1,0,25,2Zm0,8a3,3,0,1,1,3-3A3,3,0,0,1,25,10Z"}),props.children);});var WatsonHealth3DCurveManual16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DCurveManual16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,21a3,3,0,0,1-3,3h-.1a5,5,0,1,0,0,2H12a5,5,0,0,0,5-5ZM7,28a3,3,0,1,1,3-3A3,3,0,0,1,7,28Z"}),React.createElement("rect",{width:"2",height:"6",x:"15",y:"13"}),React.createElement("path",{d:"M25,2a5,5,0,0,0-4.9,4H20a5,5,0,0,0-5,5h2a3,3,0,0,1,3-3h.1A5,5,0,1,0,25,2Zm0,8a3,3,0,1,1,3-3A3,3,0,0,1,25,10Z"}),props.children);});var WatsonHealth3DICa32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DICa32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,14H10a2,2,0,0,1-2-2V4a2,2,0,0,1,.59-1.42A3.57,3.57,0,0,1,10,2h5V4H10v8h5Z"}),React.createElement("rect",{width:"2",height:"8",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M27.45,19.11l-6-3a1,1,0,0,0-.9,0l-6,3A1,1,0,0,0,14,20v7a1,1,0,0,0,.55.89l6,3a1,1,0,0,0,.9,0l6-3A1,1,0,0,0,28,27V20A1,1,0,0,0,27.45,19.11Zm-6.45-1L24.76,20,21,21.88,17.24,20Zm-5,3.5,4,2v4.76l-4-2Zm6,6.76V23.62l4-2v4.76Z"}),React.createElement("path",{d:"M23,2H19a2,2,0,0,0-2,2V14h2V10h4v4h2V4A2,2,0,0,0,23,2ZM19,8V4h4V8Z"}),props.children);});var WatsonHealth3DICa24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DICa24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,14H10a2,2,0,0,1-2-2V4a2,2,0,0,1,.59-1.42A3.57,3.57,0,0,1,10,2h5V4H10v8h5Z"}),React.createElement("rect",{width:"2",height:"8",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M27.45,19.11l-6-3a1,1,0,0,0-.9,0l-6,3A1,1,0,0,0,14,20v7a1,1,0,0,0,.55.89l6,3a1,1,0,0,0,.9,0l6-3A1,1,0,0,0,28,27V20A1,1,0,0,0,27.45,19.11Zm-6.45-1L24.76,20,21,21.88,17.24,20Zm-5,3.5,4,2v4.76l-4-2Zm6,6.76V23.62l4-2v4.76Z"}),React.createElement("path",{d:"M23,2H19a2,2,0,0,0-2,2V14h2V10h4v4h2V4A2,2,0,0,0,23,2ZM19,8V4h4V8Z"}),props.children);});var WatsonHealth3DICa20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DICa20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,14H10a2,2,0,0,1-2-2V4a2,2,0,0,1,.59-1.42A3.57,3.57,0,0,1,10,2h5V4H10v8h5Z"}),React.createElement("rect",{width:"2",height:"8",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M27.45,19.11l-6-3a1,1,0,0,0-.9,0l-6,3A1,1,0,0,0,14,20v7a1,1,0,0,0,.55.89l6,3a1,1,0,0,0,.9,0l6-3A1,1,0,0,0,28,27V20A1,1,0,0,0,27.45,19.11Zm-6.45-1L24.76,20,21,21.88,17.24,20Zm-5,3.5,4,2v4.76l-4-2Zm6,6.76V23.62l4-2v4.76Z"}),React.createElement("path",{d:"M23,2H19a2,2,0,0,0-2,2V14h2V10h4v4h2V4A2,2,0,0,0,23,2ZM19,8V4h4V8Z"}),props.children);});var WatsonHealth3DICa16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DICa16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,14H10a2,2,0,0,1-2-2V4a2,2,0,0,1,.59-1.42A3.57,3.57,0,0,1,10,2h5V4H10v8h5Z"}),React.createElement("rect",{width:"2",height:"8",x:"4",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M27.45,19.11l-6-3a1,1,0,0,0-.9,0l-6,3A1,1,0,0,0,14,20v7a1,1,0,0,0,.55.89l6,3a1,1,0,0,0,.9,0l6-3A1,1,0,0,0,28,27V20A1,1,0,0,0,27.45,19.11Zm-6.45-1L24.76,20,21,21.88,17.24,20Zm-5,3.5,4,2v4.76l-4-2Zm6,6.76V23.62l4-2v4.76Z"}),React.createElement("path",{d:"M23,2H19a2,2,0,0,0-2,2V14h2V10h4v4h2V4A2,2,0,0,0,23,2ZM19,8V4h4V8Z"}),props.children);});var WatsonHealth3DSoftware32=/*#__PURE__*/React.forwardRef(function WatsonHealth3DSoftware32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.49,13.1151l-9-5a1,1,0,0,0-1,0l-9,5A1.0078,1.0078,0,0,0,2,14v9.9951a1,1,0,0,0,.52.87l9,5A1.0045,1.0045,0,0,0,12,30a1.0559,1.0559,0,0,0,.49-.1349l9-5A.9923.9923,0,0,0,22,24V14A1.0079,1.0079,0,0,0,21.49,13.1151ZM11,27.2951l-7-3.89v-7.72l7,3.89Zm1-9.45L5.06,14,12,10.1351l6.94,3.86Zm8,5.56-7,3.89v-7.72l7-3.89Z"}),React.createElement("polygon",{points:"30 6 26 6 26 2 24 2 24 6 20 6 20 8 24 8 24 12 26 12 26 8 30 8 30 6"}),props.children);});var WatsonHealth3DSoftware24=/*#__PURE__*/React.forwardRef(function WatsonHealth3DSoftware24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.49,13.1151l-9-5a1,1,0,0,0-1,0l-9,5A1.0078,1.0078,0,0,0,2,14v9.9951a1,1,0,0,0,.52.87l9,5A1.0045,1.0045,0,0,0,12,30a1.0559,1.0559,0,0,0,.49-.1349l9-5A.9923.9923,0,0,0,22,24V14A1.0079,1.0079,0,0,0,21.49,13.1151ZM11,27.2951l-7-3.89v-7.72l7,3.89Zm1-9.45L5.06,14,12,10.1351l6.94,3.86Zm8,5.56-7,3.89v-7.72l7-3.89Z"}),React.createElement("polygon",{points:"30 6 26 6 26 2 24 2 24 6 20 6 20 8 24 8 24 12 26 12 26 8 30 8 30 6"}),props.children);});var WatsonHealth3DSoftware20=/*#__PURE__*/React.forwardRef(function WatsonHealth3DSoftware20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.49,13.1151l-9-5a1,1,0,0,0-1,0l-9,5A1.0078,1.0078,0,0,0,2,14v9.9951a1,1,0,0,0,.52.87l9,5A1.0045,1.0045,0,0,0,12,30a1.0559,1.0559,0,0,0,.49-.1349l9-5A.9923.9923,0,0,0,22,24V14A1.0079,1.0079,0,0,0,21.49,13.1151ZM11,27.2951l-7-3.89v-7.72l7,3.89Zm1-9.45L5.06,14,12,10.1351l6.94,3.86Zm8,5.56-7,3.89v-7.72l7-3.89Z"}),React.createElement("polygon",{points:"30 6 26 6 26 2 24 2 24 6 20 6 20 8 24 8 24 12 26 12 26 8 30 8 30 6"}),props.children);});var WatsonHealth3DSoftware16=/*#__PURE__*/React.forwardRef(function WatsonHealth3DSoftware16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.49,13.1151l-9-5a1,1,0,0,0-1,0l-9,5A1.0078,1.0078,0,0,0,2,14v9.9951a1,1,0,0,0,.52.87l9,5A1.0045,1.0045,0,0,0,12,30a1.0559,1.0559,0,0,0,.49-.1349l9-5A.9923.9923,0,0,0,22,24V14A1.0079,1.0079,0,0,0,21.49,13.1151ZM11,27.2951l-7-3.89v-7.72l7,3.89Zm1-9.45L5.06,14,12,10.1351l6.94,3.86Zm8,5.56-7,3.89v-7.72l7-3.89Z"}),React.createElement("polygon",{points:"30 6 26 6 26 2 24 2 24 6 20 6 20 8 24 8 24 12 26 12 26 8 30 8 30 6"}),props.children);});var WatsonHealth3rdPartyConnected32=/*#__PURE__*/React.forwardRef(function WatsonHealth3rdPartyConnected32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var WatsonHealth3rdPartyConnected24=/*#__PURE__*/React.forwardRef(function WatsonHealth3rdPartyConnected24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var WatsonHealth3rdPartyConnected20=/*#__PURE__*/React.forwardRef(function WatsonHealth3rdPartyConnected20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var WatsonHealth3rdPartyConnected16=/*#__PURE__*/React.forwardRef(function WatsonHealth3rdPartyConnected16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,22a3.86,3.86,0,0,0-2,.57l-3.09-3.1a6,6,0,0,0,0-6.94L24,9.43A3.86,3.86,0,0,0,26,10a4,4,0,1,0-4-4,3.86,3.86,0,0,0,.57,2l-3.1,3.09a6,6,0,0,0-6.94,0L9.43,8A3.86,3.86,0,0,0,10,6a4,4,0,1,0-4,4,3.86,3.86,0,0,0,2-.57l3.09,3.1a6,6,0,0,0,0,6.94L8,22.57A3.86,3.86,0,0,0,6,22a4,4,0,1,0,4,4,3.86,3.86,0,0,0-.57-2l3.1-3.09a6,6,0,0,0,6.94,0L22.57,24A3.86,3.86,0,0,0,22,26a4,4,0,1,0,4-4ZM16,20a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var WatsonHealthAngle32=/*#__PURE__*/React.forwardRef(function WatsonHealthAngle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,24a3.51,3.51,0,0,0-.88-1.86L17.65,5.56l-1.73-1L6.35,21.12A3.06,3.06,0,0,0,5.5,21a3.5,3.5,0,1,0,3.15,5H28V24ZM5.5,26A1.5,1.5,0,1,1,7,24.5,1.5,1.5,0,0,1,5.5,26Z"}),React.createElement("path",{d:"M22,21h2a13,13,0,0,0-5.42-10.56l-1.16,1.62A11,11,0,0,1,22,21Z"}),props.children);});var WatsonHealthAngle24=/*#__PURE__*/React.forwardRef(function WatsonHealthAngle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,24a3.51,3.51,0,0,0-.88-1.86L17.65,5.56l-1.73-1L6.35,21.12A3.06,3.06,0,0,0,5.5,21a3.5,3.5,0,1,0,3.15,5H28V24ZM5.5,26A1.5,1.5,0,1,1,7,24.5,1.5,1.5,0,0,1,5.5,26Z"}),React.createElement("path",{d:"M22,21h2a13,13,0,0,0-5.42-10.56l-1.16,1.62A11,11,0,0,1,22,21Z"}),props.children);});var WatsonHealthAngle20=/*#__PURE__*/React.forwardRef(function WatsonHealthAngle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,24a3.51,3.51,0,0,0-.88-1.86L17.65,5.56l-1.73-1L6.35,21.12A3.06,3.06,0,0,0,5.5,21a3.5,3.5,0,1,0,3.15,5H28V24ZM5.5,26A1.5,1.5,0,1,1,7,24.5,1.5,1.5,0,0,1,5.5,26Z"}),React.createElement("path",{d:"M22,21h2a13,13,0,0,0-5.42-10.56l-1.16,1.62A11,11,0,0,1,22,21Z"}),props.children);});var WatsonHealthAngle16=/*#__PURE__*/React.forwardRef(function WatsonHealthAngle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M9,24a3.51,3.51,0,0,0-.88-1.86L17.65,5.56l-1.73-1L6.35,21.12A3.06,3.06,0,0,0,5.5,21a3.5,3.5,0,1,0,3.15,5H28V24ZM5.5,26A1.5,1.5,0,1,1,7,24.5,1.5,1.5,0,0,1,5.5,26Z"}),React.createElement("path",{d:"M22,21h2a13,13,0,0,0-5.42-10.56l-1.16,1.62A11,11,0,0,1,22,21Z"}),props.children);});var WatsonHealthAnnotationVisibility32=/*#__PURE__*/React.forwardRef(function WatsonHealthAnnotationVisibility32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H4V6H28Z"}),React.createElement("path",{d:"M21,20H13a3.51,3.51,0,0,0-.88-1.86l3.8-6.64-1.74-1-3.78,6.62A3.35,3.35,0,0,0,9.5,17a3.5,3.5,0,1,0,3.15,5H21ZM9.5,22A1.5,1.5,0,1,1,11,20.5,1.5,1.5,0,0,1,9.5,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"12"}),props.children);});var WatsonHealthAnnotationVisibility24=/*#__PURE__*/React.forwardRef(function WatsonHealthAnnotationVisibility24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H4V6H28Z"}),React.createElement("path",{d:"M21,20H13a3.51,3.51,0,0,0-.88-1.86l3.8-6.64-1.74-1-3.78,6.62A3.35,3.35,0,0,0,9.5,17a3.5,3.5,0,1,0,3.15,5H21ZM9.5,22A1.5,1.5,0,1,1,11,20.5,1.5,1.5,0,0,1,9.5,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"12"}),props.children);});var WatsonHealthAnnotationVisibility20=/*#__PURE__*/React.forwardRef(function WatsonHealthAnnotationVisibility20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H4V6H28Z"}),React.createElement("path",{d:"M21,20H13a3.51,3.51,0,0,0-.88-1.86l3.8-6.64-1.74-1-3.78,6.62A3.35,3.35,0,0,0,9.5,17a3.5,3.5,0,1,0,3.15,5H21ZM9.5,22A1.5,1.5,0,1,1,11,20.5,1.5,1.5,0,0,1,9.5,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"12"}),props.children);});var WatsonHealthAnnotationVisibility16=/*#__PURE__*/React.forwardRef(function WatsonHealthAnnotationVisibility16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6A2,2,0,0,0,28,4Zm0,22H4V6H28Z"}),React.createElement("path",{d:"M21,20H13a3.51,3.51,0,0,0-.88-1.86l3.8-6.64-1.74-1-3.78,6.62A3.35,3.35,0,0,0,9.5,17a3.5,3.5,0,1,0,3.15,5H21ZM9.5,22A1.5,1.5,0,1,1,11,20.5,1.5,1.5,0,0,1,9.5,22Z"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"8"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"12"}),props.children);});var WatsonHealthArrowAnnotation32=/*#__PURE__*/React.forwardRef(function WatsonHealthArrowAnnotation32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.42 6 14 6 14 4 4 4 4 13.99 6 14.01 6 7.41 12.29 13.7 13.71 12.29"}),React.createElement("path",{d:"M28,10H18v2H28V28H12V18H10V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10Z"}),React.createElement("polygon",{points:"19 25 21 25 21 18 24 18 24 16 16 16 16 18 19 18 19 25"}),props.children);});var WatsonHealthArrowAnnotation24=/*#__PURE__*/React.forwardRef(function WatsonHealthArrowAnnotation24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.42 6 14 6 14 4 4 4 4 13.99 6 14.01 6 7.41 12.29 13.7 13.71 12.29"}),React.createElement("path",{d:"M28,10H18v2H28V28H12V18H10V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10Z"}),React.createElement("polygon",{points:"19 25 21 25 21 18 24 18 24 16 16 16 16 18 19 18 19 25"}),props.children);});var WatsonHealthArrowAnnotation20=/*#__PURE__*/React.forwardRef(function WatsonHealthArrowAnnotation20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.42 6 14 6 14 4 4 4 4 13.99 6 14.01 6 7.41 12.29 13.7 13.71 12.29"}),React.createElement("path",{d:"M28,10H18v2H28V28H12V18H10V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10Z"}),React.createElement("polygon",{points:"19 25 21 25 21 18 24 18 24 16 16 16 16 18 19 18 19 25"}),props.children);});var WatsonHealthArrowAnnotation16=/*#__PURE__*/React.forwardRef(function WatsonHealthArrowAnnotation16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.42 6 14 6 14 4 4 4 4 13.99 6 14.01 6 7.41 12.29 13.7 13.71 12.29"}),React.createElement("path",{d:"M28,10H18v2H28V28H12V18H10V28a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V12A2,2,0,0,0,28,10Z"}),React.createElement("polygon",{points:"19 25 21 25 21 18 24 18 24 16 16 16 16 18 19 18 19 25"}),props.children);});var WatsonHealthAutoScroll32=/*#__PURE__*/React.forwardRef(function WatsonHealthAutoScroll32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,16a4,4,0,1,0,4-4A4,4,0,0,0,12,16Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,18,16Z"}),React.createElement("polygon",{points:"16 27.17 10.4 21.58 9 23 16 30 23 23 21.59 21.59 16 27.17"}),React.createElement("polygon",{points:"16 4.83 21.58 10.4 23 9 16 2 9 9 10.41 10.41 16 4.83"}),props.children);});var WatsonHealthAutoScroll24=/*#__PURE__*/React.forwardRef(function WatsonHealthAutoScroll24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,16a4,4,0,1,0,4-4A4,4,0,0,0,12,16Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,18,16Z"}),React.createElement("polygon",{points:"16 27.17 10.4 21.58 9 23 16 30 23 23 21.59 21.59 16 27.17"}),React.createElement("polygon",{points:"16 4.83 21.58 10.4 23 9 16 2 9 9 10.41 10.41 16 4.83"}),props.children);});var WatsonHealthAutoScroll20=/*#__PURE__*/React.forwardRef(function WatsonHealthAutoScroll20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,16a4,4,0,1,0,4-4A4,4,0,0,0,12,16Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,18,16Z"}),React.createElement("polygon",{points:"16 27.17 10.4 21.58 9 23 16 30 23 23 21.59 21.59 16 27.17"}),React.createElement("polygon",{points:"16 4.83 21.58 10.4 23 9 16 2 9 9 10.41 10.41 16 4.83"}),props.children);});var WatsonHealthAutoScroll16=/*#__PURE__*/React.forwardRef(function WatsonHealthAutoScroll16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,16a4,4,0,1,0,4-4A4,4,0,0,0,12,16Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,18,16Z"}),React.createElement("polygon",{points:"16 27.17 10.4 21.58 9 23 16 30 23 23 21.59 21.59 16 27.17"}),React.createElement("polygon",{points:"16 4.83 21.58 10.4 23 9 16 2 9 9 10.41 10.41 16 4.83"}),props.children);});var WatsonHealthCdArchive32=/*#__PURE__*/React.forwardRef(function WatsonHealthCdArchive32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A12,12,0,1,1,28,16,12,12,0,0,1,16,28ZM16,6A10,10,0,1,0,26,16,10,10,0,0,0,16,6Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),props.children);});var WatsonHealthCdArchive24=/*#__PURE__*/React.forwardRef(function WatsonHealthCdArchive24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A12,12,0,1,1,28,16,12,12,0,0,1,16,28ZM16,6A10,10,0,1,0,26,16,10,10,0,0,0,16,6Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),props.children);});var WatsonHealthCdArchive20=/*#__PURE__*/React.forwardRef(function WatsonHealthCdArchive20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A12,12,0,1,1,28,16,12,12,0,0,1,16,28ZM16,6A10,10,0,1,0,26,16,10,10,0,0,0,16,6Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),props.children);});var WatsonHealthCdArchive16=/*#__PURE__*/React.forwardRef(function WatsonHealthCdArchive16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28A12,12,0,1,1,28,16,12,12,0,0,1,16,28ZM16,6A10,10,0,1,0,26,16,10,10,0,0,0,16,6Z"}),React.createElement("path",{d:"M16,22a6,6,0,1,1,6-6A6,6,0,0,1,16,22Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,16,12Z"}),React.createElement("circle",{cx:"16",cy:"16",r:"2"}),props.children);});var WatsonHealthCdCreateArchive32=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateArchive32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M17,23.54A10,10,0,1,1,24,14c0,.34,0,.67-.05,1h2c0-.33.05-.66.05-1A12,12,0,1,0,14,26a12.33,12.33,0,0,0,3-.39Z"}),React.createElement("path",{d:"M25,30l-2.14-1A5,5,0,0,1,20,24.47V18H30v6.47A5,5,0,0,1,27.14,29ZM22,20v4.47a3,3,0,0,0,1.72,2.71l1.28.61,1.28-.61A3,3,0,0,0,28,24.47V20Z"}),props.children);});var WatsonHealthCdCreateArchive24=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateArchive24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M17,23.54A10,10,0,1,1,24,14c0,.34,0,.67-.05,1h2c0-.33.05-.66.05-1A12,12,0,1,0,14,26a12.33,12.33,0,0,0,3-.39Z"}),React.createElement("path",{d:"M25,30l-2.14-1A5,5,0,0,1,20,24.47V18H30v6.47A5,5,0,0,1,27.14,29ZM22,20v4.47a3,3,0,0,0,1.72,2.71l1.28.61,1.28-.61A3,3,0,0,0,28,24.47V20Z"}),props.children);});var WatsonHealthCdCreateArchive20=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateArchive20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M17,23.54A10,10,0,1,1,24,14c0,.34,0,.67-.05,1h2c0-.33.05-.66.05-1A12,12,0,1,0,14,26a12.33,12.33,0,0,0,3-.39Z"}),React.createElement("path",{d:"M25,30l-2.14-1A5,5,0,0,1,20,24.47V18H30v6.47A5,5,0,0,1,27.14,29ZM22,20v4.47a3,3,0,0,0,1.72,2.71l1.28.61,1.28-.61A3,3,0,0,0,28,24.47V20Z"}),props.children);});var WatsonHealthCdCreateArchive16=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateArchive16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M17,23.54A10,10,0,1,1,24,14c0,.34,0,.67-.05,1h2c0-.33.05-.66.05-1A12,12,0,1,0,14,26a12.33,12.33,0,0,0,3-.39Z"}),React.createElement("path",{d:"M25,30l-2.14-1A5,5,0,0,1,20,24.47V18H30v6.47A5,5,0,0,1,27.14,29ZM22,20v4.47a3,3,0,0,0,1.72,2.71l1.28.61,1.28-.61A3,3,0,0,0,28,24.47V20Z"}),props.children);});var WatsonHealthCdCreateExchange32=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateExchange32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,2a12,12,0,0,0,0,24V24A10,10,0,1,1,24,14,8.27,8.27,0,0,1,24,15h2c0-.33.05-.66.05-1A12,12,0,0,0,14,2Z"}),React.createElement("polygon",{points:"17 24 26.17 24 23.58 26.59 25 28 30 23 25 18 23.58 19.42 26.17 22 17 22 17 24"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),props.children);});var WatsonHealthCdCreateExchange24=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateExchange24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,2a12,12,0,0,0,0,24V24A10,10,0,1,1,24,14,8.27,8.27,0,0,1,24,15h2c0-.33.05-.66.05-1A12,12,0,0,0,14,2Z"}),React.createElement("polygon",{points:"17 24 26.17 24 23.58 26.59 25 28 30 23 25 18 23.58 19.42 26.17 22 17 22 17 24"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),props.children);});var WatsonHealthCdCreateExchange20=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateExchange20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,2a12,12,0,0,0,0,24V24A10,10,0,1,1,24,14,8.27,8.27,0,0,1,24,15h2c0-.33.05-.66.05-1A12,12,0,0,0,14,2Z"}),React.createElement("polygon",{points:"17 24 26.17 24 23.58 26.59 25 28 30 23 25 18 23.58 19.42 26.17 22 17 22 17 24"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),props.children);});var WatsonHealthCdCreateExchange16=/*#__PURE__*/React.forwardRef(function WatsonHealthCdCreateExchange16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"14",cy:"14",r:"2"}),React.createElement("path",{d:"M14,2a12,12,0,0,0,0,24V24A10,10,0,1,1,24,14,8.27,8.27,0,0,1,24,15h2c0-.33.05-.66.05-1A12,12,0,0,0,14,2Z"}),React.createElement("polygon",{points:"17 24 26.17 24 23.58 26.59 25 28 30 23 25 18 23.58 19.42 26.17 22 17 22 17 24"}),React.createElement("path",{d:"M14,20a6,6,0,1,1,6-6A6,6,0,0,1,14,20Zm0-10a4,4,0,1,0,4,4A4,4,0,0,0,14,10Z"}),props.children);});var WatsonHealthCircleMeasurement32=/*#__PURE__*/React.forwardRef(function WatsonHealthCircleMeasurement32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),React.createElement("path",{d:"M21,12.41V16h2V9H16v2h3.59L11,19.59V16H9v7h7V21H12.41Z"}),props.children);});var WatsonHealthCircleMeasurement24=/*#__PURE__*/React.forwardRef(function WatsonHealthCircleMeasurement24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),React.createElement("path",{d:"M21,12.41V16h2V9H16v2h3.59L11,19.59V16H9v7h7V21H12.41Z"}),props.children);});var WatsonHealthCircleMeasurement20=/*#__PURE__*/React.forwardRef(function WatsonHealthCircleMeasurement20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),React.createElement("path",{d:"M21,12.41V16h2V9H16v2h3.59L11,19.59V16H9v7h7V21H12.41Z"}),props.children);});var WatsonHealthCircleMeasurement16=/*#__PURE__*/React.forwardRef(function WatsonHealthCircleMeasurement16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16,14,14,0,0,1,16,30ZM16,4A12,12,0,1,0,28,16,12,12,0,0,0,16,4Z"}),React.createElement("path",{d:"M21,12.41V16h2V9H16v2h3.59L11,19.59V16H9v7h7V21H12.41Z"}),props.children);});var WatsonHealthCobbAngle32=/*#__PURE__*/React.forwardRef(function WatsonHealthCobbAngle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,17V15a2,2,0,0,0-2-2H10a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h8A2,2,0,0,0,20,17ZM10,15h8v2H10Z"}),React.createElement("path",{d:"M23.42,24.48A2,2,0,0,0,21,23.06l-7.73,2.07a2,2,0,0,0-1.42,2.44h0l.52,1.93A2,2,0,0,0,14.27,31a3,3,0,0,0,.52-.07l7.73-2.07h0a2,2,0,0,0,1.41-2.45ZM14.27,29l-.51-1.94L21.48,25,22,26.92Z"}),React.createElement("path",{d:"M13.24,6.86,21,8.93h0a2.24,2.24,0,0,0,.51.07,2,2,0,0,0,1.94-1.48L24,5.58a2,2,0,0,0-1.41-2.45L14.79,1.06a2,2,0,0,0-2.45,1.41h0l-.52,1.93a2,2,0,0,0,1.42,2.44Zm1-3.86L22,5.07,21.48,7,13.76,4.93Z"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"21"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"9"}),props.children);});var WatsonHealthCobbAngle24=/*#__PURE__*/React.forwardRef(function WatsonHealthCobbAngle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,17V15a2,2,0,0,0-2-2H10a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h8A2,2,0,0,0,20,17ZM10,15h8v2H10Z"}),React.createElement("path",{d:"M23.42,24.48A2,2,0,0,0,21,23.06l-7.73,2.07a2,2,0,0,0-1.42,2.44h0l.52,1.93A2,2,0,0,0,14.27,31a3,3,0,0,0,.52-.07l7.73-2.07h0a2,2,0,0,0,1.41-2.45ZM14.27,29l-.51-1.94L21.48,25,22,26.92Z"}),React.createElement("path",{d:"M13.24,6.86,21,8.93h0a2.24,2.24,0,0,0,.51.07,2,2,0,0,0,1.94-1.48L24,5.58a2,2,0,0,0-1.41-2.45L14.79,1.06a2,2,0,0,0-2.45,1.41h0l-.52,1.93a2,2,0,0,0,1.42,2.44Zm1-3.86L22,5.07,21.48,7,13.76,4.93Z"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"21"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"9"}),props.children);});var WatsonHealthCobbAngle20=/*#__PURE__*/React.forwardRef(function WatsonHealthCobbAngle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,17V15a2,2,0,0,0-2-2H10a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h8A2,2,0,0,0,20,17ZM10,15h8v2H10Z"}),React.createElement("path",{d:"M23.42,24.48A2,2,0,0,0,21,23.06l-7.73,2.07a2,2,0,0,0-1.42,2.44h0l.52,1.93A2,2,0,0,0,14.27,31a3,3,0,0,0,.52-.07l7.73-2.07h0a2,2,0,0,0,1.41-2.45ZM14.27,29l-.51-1.94L21.48,25,22,26.92Z"}),React.createElement("path",{d:"M13.24,6.86,21,8.93h0a2.24,2.24,0,0,0,.51.07,2,2,0,0,0,1.94-1.48L24,5.58a2,2,0,0,0-1.41-2.45L14.79,1.06a2,2,0,0,0-2.45,1.41h0l-.52,1.93a2,2,0,0,0,1.42,2.44Zm1-3.86L22,5.07,21.48,7,13.76,4.93Z"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"21"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"9"}),props.children);});var WatsonHealthCobbAngle16=/*#__PURE__*/React.forwardRef(function WatsonHealthCobbAngle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,17V15a2,2,0,0,0-2-2H10a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h8A2,2,0,0,0,20,17ZM10,15h8v2H10Z"}),React.createElement("path",{d:"M23.42,24.48A2,2,0,0,0,21,23.06l-7.73,2.07a2,2,0,0,0-1.42,2.44h0l.52,1.93A2,2,0,0,0,14.27,31a3,3,0,0,0,.52-.07l7.73-2.07h0a2,2,0,0,0,1.41-2.45ZM14.27,29l-.51-1.94L21.48,25,22,26.92Z"}),React.createElement("path",{d:"M13.24,6.86,21,8.93h0a2.24,2.24,0,0,0,.51.07,2,2,0,0,0,1.94-1.48L24,5.58a2,2,0,0,0-1.41-2.45L14.79,1.06a2,2,0,0,0-2.45,1.41h0l-.52,1.93a2,2,0,0,0,1.42,2.44Zm1-3.86L22,5.07,21.48,7,13.76,4.93Z"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"21"}),React.createElement("rect",{width:"2",height:"2",x:"14",y:"9"}),props.children);});var WatsonHealthCrossReference32=/*#__PURE__*/React.forwardRef(function WatsonHealthCrossReference32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"23",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"17",y:"24"}),React.createElement("path",{d:"M9,22a4.92,4.92,0,0,1,4-2h6a5.22,5.22,0,0,1,4,2h2.3A6.87,6.87,0,0,0,19,18H13a6.87,6.87,0,0,0-6.3,4Z"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M16,16a7,7,0,1,1,7-7A7,7,0,0,1,16,16ZM16,4a5,5,0,0,0-5,5A5,5,0,0,0,21,9,5,5,0,0,0,16,4Z"}),props.children);});var WatsonHealthCrossReference24=/*#__PURE__*/React.forwardRef(function WatsonHealthCrossReference24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"23",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"17",y:"24"}),React.createElement("path",{d:"M9,22a4.92,4.92,0,0,1,4-2h6a5.22,5.22,0,0,1,4,2h2.3A6.87,6.87,0,0,0,19,18H13a6.87,6.87,0,0,0-6.3,4Z"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M16,16a7,7,0,1,1,7-7A7,7,0,0,1,16,16ZM16,4a5,5,0,0,0-5,5A5,5,0,0,0,21,9,5,5,0,0,0,16,4Z"}),props.children);});var WatsonHealthCrossReference20=/*#__PURE__*/React.forwardRef(function WatsonHealthCrossReference20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"23",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"17",y:"24"}),React.createElement("path",{d:"M9,22a4.92,4.92,0,0,1,4-2h6a5.22,5.22,0,0,1,4,2h2.3A6.87,6.87,0,0,0,19,18H13a6.87,6.87,0,0,0-6.3,4Z"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M16,16a7,7,0,1,1,7-7A7,7,0,0,1,16,16ZM16,4a5,5,0,0,0-5,5A5,5,0,0,0,21,9,5,5,0,0,0,16,4Z"}),props.children);});var WatsonHealthCrossReference16=/*#__PURE__*/React.forwardRef(function WatsonHealthCrossReference16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"4",height:"2",x:"11",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"5",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"23",y:"24"}),React.createElement("rect",{width:"4",height:"2",x:"17",y:"24"}),React.createElement("path",{d:"M9,22a4.92,4.92,0,0,1,4-2h6a5.22,5.22,0,0,1,4,2h2.3A6.87,6.87,0,0,0,19,18H13a6.87,6.87,0,0,0-6.3,4Z"}),React.createElement("rect",{width:"2",height:"2",x:"24",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"28"}),React.createElement("path",{d:"M16,16a7,7,0,1,1,7-7A7,7,0,0,1,16,16ZM16,4a5,5,0,0,0-5,5A5,5,0,0,0,21,9,5,5,0,0,0,16,4Z"}),props.children);});var WatsonHealthDenominate32=/*#__PURE__*/React.forwardRef(function WatsonHealthDenominate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"15 15.415 13.586 14 11 16.587 8.414 14 7 15.415 9.586 18 7 20.586 8.414 22 11 19.414 13.586 22 15 20.586 12.414 18 15 15.415"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthDenominate24=/*#__PURE__*/React.forwardRef(function WatsonHealthDenominate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"15 15.415 13.586 14 11 16.587 8.414 14 7 15.415 9.586 18 7 20.586 8.414 22 11 19.414 13.586 22 15 20.586 12.414 18 15 15.415"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthDenominate20=/*#__PURE__*/React.forwardRef(function WatsonHealthDenominate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"15 15.415 13.586 14 11 16.587 8.414 14 7 15.415 9.586 18 7 20.586 8.414 22 11 19.414 13.586 22 15 20.586 12.414 18 15 15.415"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthDenominate16=/*#__PURE__*/React.forwardRef(function WatsonHealthDenominate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"15 15.415 13.586 14 11 16.587 8.414 14 7 15.415 9.586 18 7 20.586 8.414 22 11 19.414 13.586 22 15 20.586 12.414 18 15 15.415"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthDicom_600032=/*#__PURE__*/React.forwardRef(function WatsonHealthDicom_600032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,11H7a3,3,0,0,0-3,3v2H6V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,13,11Z"}),React.createElement("path",{d:"M10,10A4,4,0,1,0,6,6,4,4,0,0,0,10,10Zm0-6A2,2,0,1,1,8,6,2,2,0,0,1,10,4Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"8"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"12"}),React.createElement("path",{d:"M5,30H3a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2H6v2H3v2H5a2,2,0,0,1,2,2v2A2,2,0,0,1,5,30ZM3,26v2H5V26Z"}),React.createElement("path",{d:"M13,30H11a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,13,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M21,30H19a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,21,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M29,30H27a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,29,30Zm-2-8v6h2V22Z"}),props.children);});var WatsonHealthDicom_600024=/*#__PURE__*/React.forwardRef(function WatsonHealthDicom_600024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,11H7a3,3,0,0,0-3,3v2H6V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,13,11Z"}),React.createElement("path",{d:"M10,10A4,4,0,1,0,6,6,4,4,0,0,0,10,10Zm0-6A2,2,0,1,1,8,6,2,2,0,0,1,10,4Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"8"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"12"}),React.createElement("path",{d:"M5,30H3a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2H6v2H3v2H5a2,2,0,0,1,2,2v2A2,2,0,0,1,5,30ZM3,26v2H5V26Z"}),React.createElement("path",{d:"M13,30H11a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,13,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M21,30H19a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,21,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M29,30H27a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,29,30Zm-2-8v6h2V22Z"}),props.children);});var WatsonHealthDicom_600020=/*#__PURE__*/React.forwardRef(function WatsonHealthDicom_600020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,11H7a3,3,0,0,0-3,3v2H6V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,13,11Z"}),React.createElement("path",{d:"M10,10A4,4,0,1,0,6,6,4,4,0,0,0,10,10Zm0-6A2,2,0,1,1,8,6,2,2,0,0,1,10,4Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"8"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"12"}),React.createElement("path",{d:"M5,30H3a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2H6v2H3v2H5a2,2,0,0,1,2,2v2A2,2,0,0,1,5,30ZM3,26v2H5V26Z"}),React.createElement("path",{d:"M13,30H11a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,13,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M21,30H19a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,21,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M29,30H27a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,29,30Zm-2-8v6h2V22Z"}),props.children);});var WatsonHealthDicom_600016=/*#__PURE__*/React.forwardRef(function WatsonHealthDicom_600016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,11H7a3,3,0,0,0-3,3v2H6V14a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V14A3,3,0,0,0,13,11Z"}),React.createElement("path",{d:"M10,10A4,4,0,1,0,6,6,4,4,0,0,0,10,10Zm0-6A2,2,0,1,1,8,6,2,2,0,0,1,10,4Z"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"4"}),React.createElement("rect",{width:"10",height:"2",x:"20",y:"8"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"12"}),React.createElement("path",{d:"M5,30H3a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2H6v2H3v2H5a2,2,0,0,1,2,2v2A2,2,0,0,1,5,30ZM3,26v2H5V26Z"}),React.createElement("path",{d:"M13,30H11a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,13,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M21,30H19a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,21,30Zm-2-8v6h2V22Z"}),React.createElement("path",{d:"M29,30H27a2,2,0,0,1-2-2V22a2,2,0,0,1,2-2h2a2,2,0,0,1,2,2v6A2,2,0,0,1,29,30Zm-2-8v6h2V22Z"}),props.children);});var WatsonHealthDicomOverlay32=/*#__PURE__*/React.forwardRef(function WatsonHealthDicomOverlay32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),props.children);});var WatsonHealthDicomOverlay24=/*#__PURE__*/React.forwardRef(function WatsonHealthDicomOverlay24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),props.children);});var WatsonHealthDicomOverlay20=/*#__PURE__*/React.forwardRef(function WatsonHealthDicomOverlay20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),props.children);});var WatsonHealthDicomOverlay16=/*#__PURE__*/React.forwardRef(function WatsonHealthDicomOverlay16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,6V26H4V6H28m0-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H28a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"10",height:"2",x:"6",y:"12"}),React.createElement("rect",{width:"6",height:"2",x:"6",y:"16"}),props.children);});var WatsonHealthDna32=/*#__PURE__*/React.forwardRef(function WatsonHealthDna32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,2V1H20V2a7.04,7.04,0,0,1-.08,1H12.08A7.04,7.04,0,0,1,12,2V1H10V2c0,3.7549,1.9707,5.6035,4.1008,7C11.9707,10.3965,10,12.2451,10,16s1.9707,5.6035,4.1008,7C11.9707,24.3965,10,26.2451,10,30v1h2V30a7.04,7.04,0,0,1,.08-1H19.92A7.04,7.04,0,0,1,20,30v1h2V30c0-3.7549-1.9707-5.6035-4.1008-7C20.0293,21.6035,22,19.7549,22,16s-1.9707-5.6035-4.1008-7C20.0293,7.6035,22,5.7549,22,2ZM20,16a7.04,7.04,0,0,1-.08,1H12.08a6.3212,6.3212,0,0,1,0-2H19.92A7.04,7.04,0,0,1,20,16Zm-.7559,11H12.7559A8.9078,8.9078,0,0,1,16,24.17,8.9078,8.9078,0,0,1,19.2441,27ZM16,21.83A8.9078,8.9078,0,0,1,12.7559,19h6.4882A8.9078,8.9078,0,0,1,16,21.83ZM19.2441,13H12.7559A8.9078,8.9078,0,0,1,16,10.17,8.9078,8.9078,0,0,1,19.2441,13ZM16,7.83A8.9078,8.9078,0,0,1,12.7559,5h6.4882A8.9078,8.9078,0,0,1,16,7.83Z"}),props.children);});var WatsonHealthDna24=/*#__PURE__*/React.forwardRef(function WatsonHealthDna24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,2V1H20V2a7.04,7.04,0,0,1-.08,1H12.08A7.04,7.04,0,0,1,12,2V1H10V2c0,3.7549,1.9707,5.6035,4.1008,7C11.9707,10.3965,10,12.2451,10,16s1.9707,5.6035,4.1008,7C11.9707,24.3965,10,26.2451,10,30v1h2V30a7.04,7.04,0,0,1,.08-1H19.92A7.04,7.04,0,0,1,20,30v1h2V30c0-3.7549-1.9707-5.6035-4.1008-7C20.0293,21.6035,22,19.7549,22,16s-1.9707-5.6035-4.1008-7C20.0293,7.6035,22,5.7549,22,2ZM20,16a7.04,7.04,0,0,1-.08,1H12.08a6.3212,6.3212,0,0,1,0-2H19.92A7.04,7.04,0,0,1,20,16Zm-.7559,11H12.7559A8.9078,8.9078,0,0,1,16,24.17,8.9078,8.9078,0,0,1,19.2441,27ZM16,21.83A8.9078,8.9078,0,0,1,12.7559,19h6.4882A8.9078,8.9078,0,0,1,16,21.83ZM19.2441,13H12.7559A8.9078,8.9078,0,0,1,16,10.17,8.9078,8.9078,0,0,1,19.2441,13ZM16,7.83A8.9078,8.9078,0,0,1,12.7559,5h6.4882A8.9078,8.9078,0,0,1,16,7.83Z"}),props.children);});var WatsonHealthDna20=/*#__PURE__*/React.forwardRef(function WatsonHealthDna20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,2V1H20V2a7.04,7.04,0,0,1-.08,1H12.08A7.04,7.04,0,0,1,12,2V1H10V2c0,3.7549,1.9707,5.6035,4.1008,7C11.9707,10.3965,10,12.2451,10,16s1.9707,5.6035,4.1008,7C11.9707,24.3965,10,26.2451,10,30v1h2V30a7.04,7.04,0,0,1,.08-1H19.92A7.04,7.04,0,0,1,20,30v1h2V30c0-3.7549-1.9707-5.6035-4.1008-7C20.0293,21.6035,22,19.7549,22,16s-1.9707-5.6035-4.1008-7C20.0293,7.6035,22,5.7549,22,2ZM20,16a7.04,7.04,0,0,1-.08,1H12.08a6.3212,6.3212,0,0,1,0-2H19.92A7.04,7.04,0,0,1,20,16Zm-.7559,11H12.7559A8.9078,8.9078,0,0,1,16,24.17,8.9078,8.9078,0,0,1,19.2441,27ZM16,21.83A8.9078,8.9078,0,0,1,12.7559,19h6.4882A8.9078,8.9078,0,0,1,16,21.83ZM19.2441,13H12.7559A8.9078,8.9078,0,0,1,16,10.17,8.9078,8.9078,0,0,1,19.2441,13ZM16,7.83A8.9078,8.9078,0,0,1,12.7559,5h6.4882A8.9078,8.9078,0,0,1,16,7.83Z"}),props.children);});var WatsonHealthDna16=/*#__PURE__*/React.forwardRef(function WatsonHealthDna16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,2V1H20V2a7.04,7.04,0,0,1-.08,1H12.08A7.04,7.04,0,0,1,12,2V1H10V2c0,3.7549,1.9707,5.6035,4.1008,7C11.9707,10.3965,10,12.2451,10,16s1.9707,5.6035,4.1008,7C11.9707,24.3965,10,26.2451,10,30v1h2V30a7.04,7.04,0,0,1,.08-1H19.92A7.04,7.04,0,0,1,20,30v1h2V30c0-3.7549-1.9707-5.6035-4.1008-7C20.0293,21.6035,22,19.7549,22,16s-1.9707-5.6035-4.1008-7C20.0293,7.6035,22,5.7549,22,2ZM20,16a7.04,7.04,0,0,1-.08,1H12.08a6.3212,6.3212,0,0,1,0-2H19.92A7.04,7.04,0,0,1,20,16Zm-.7559,11H12.7559A8.9078,8.9078,0,0,1,16,24.17,8.9078,8.9078,0,0,1,19.2441,27ZM16,21.83A8.9078,8.9078,0,0,1,12.7559,19h6.4882A8.9078,8.9078,0,0,1,16,21.83ZM19.2441,13H12.7559A8.9078,8.9078,0,0,1,16,10.17,8.9078,8.9078,0,0,1,19.2441,13ZM16,7.83A8.9078,8.9078,0,0,1,12.7559,5h6.4882A8.9078,8.9078,0,0,1,16,7.83Z"}),props.children);});var WatsonHealthDownloadStudy32=/*#__PURE__*/React.forwardRef(function WatsonHealthDownloadStudy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"14"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("path",{d:"M9,18h6a3,3,0,0,1,3,3v2H16V21a1,1,0,0,0-1-1H9a1,1,0,0,0-1,1v2H6V21A3,3,0,0,1,9,18Z"}),React.createElement("path",{d:"M16,13a4,4,0,1,0-4,4A4,4,0,0,0,16,13Zm-2,0a2,2,0,1,1-2-2A2,2,0,0,1,14,13Z"}),React.createElement("path",{d:"M18,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H18Z"}),props.children);});var WatsonHealthDownloadStudy24=/*#__PURE__*/React.forwardRef(function WatsonHealthDownloadStudy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"14"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("path",{d:"M9,18h6a3,3,0,0,1,3,3v2H16V21a1,1,0,0,0-1-1H9a1,1,0,0,0-1,1v2H6V21A3,3,0,0,1,9,18Z"}),React.createElement("path",{d:"M16,13a4,4,0,1,0-4,4A4,4,0,0,0,16,13Zm-2,0a2,2,0,1,1-2-2A2,2,0,0,1,14,13Z"}),React.createElement("path",{d:"M18,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H18Z"}),props.children);});var WatsonHealthDownloadStudy20=/*#__PURE__*/React.forwardRef(function WatsonHealthDownloadStudy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"14"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("path",{d:"M9,18h6a3,3,0,0,1,3,3v2H16V21a1,1,0,0,0-1-1H9a1,1,0,0,0-1,1v2H6V21A3,3,0,0,1,9,18Z"}),React.createElement("path",{d:"M16,13a4,4,0,1,0-4,4A4,4,0,0,0,16,13Zm-2,0a2,2,0,1,1-2-2A2,2,0,0,1,14,13Z"}),React.createElement("path",{d:"M18,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H18Z"}),props.children);});var WatsonHealthDownloadStudy16=/*#__PURE__*/React.forwardRef(function WatsonHealthDownloadStudy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"30 25 28.586 23.586 26 26.172 26 18 24 18 24 26.172 21.414 23.586 20 25 25 30 30 25"}),React.createElement("rect",{width:"4",height:"2",x:"19",y:"14"}),React.createElement("rect",{width:"7",height:"2",x:"19",y:"10"}),React.createElement("path",{d:"M9,18h6a3,3,0,0,1,3,3v2H16V21a1,1,0,0,0-1-1H9a1,1,0,0,0-1,1v2H6V21A3,3,0,0,1,9,18Z"}),React.createElement("path",{d:"M16,13a4,4,0,1,0-4,4A4,4,0,0,0,16,13Zm-2,0a2,2,0,1,1-2-2A2,2,0,0,1,14,13Z"}),React.createElement("path",{d:"M18,26H4V6H28V16h2V6a2,2,0,0,0-2-2H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H18Z"}),props.children);});var WatsonHealthEdgeEnhancement32=/*#__PURE__*/React.forwardRef(function WatsonHealthEdgeEnhancement32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.8164,4.7646,11.1328,2.887A13.976,13.976,0,0,0,6.9507,5.3278L8.2358,6.8593A11.9729,11.9729,0,0,1,11.8164,4.7646Z"}),React.createElement("path",{d:"M5.5913,10,3.86,9a14.14,14.14,0,0,0-1.6382,4.5872l1.9677.3469A12.1519,12.1519,0,0,1,5.5913,10Z"}),React.createElement("path",{d:"M16,26A10,10,0,0,0,16,6h0Z"}),React.createElement("path",{d:"M30,16A14,14,0,0,0,16,2V4a11.9933,11.9933,0,0,1,4.0493,23.2847c-.1682.06-.334.1294-.5044.1821-.2512.0771-.51.1362-.7683.1973-.1262.03-.25.0693-.3772.0952-.2908.0591-.5884.0976-.8862.1352-.1.0122-.1983.0342-.2988.044A12.0015,12.0015,0,0,1,5.416,21.6548c-.0664-.127-.133-.2534-.1953-.3843-.0547-.1123-.106-.227-.1572-.3413A13.1207,13.1207,0,0,1,4.19,18l-1.9677.4131A13.9173,13.9173,0,0,0,2.7,20.2993l-.0251.0083A13.9615,13.9615,0,0,0,16,30q.7134,0,1.415-.0713c.135-.0137.2654-.042.3995-.06.3286-.0424.6574-.0839.9814-.1494.18-.0366.3533-.0908.5308-.1338.2685-.0659.5383-.125.8027-.2065.2463-.0762.4831-.1724.7234-.2612.18-.0664.3635-.1211.5412-.1953l-.0009-.0025A14.0015,14.0015,0,0,0,30,16Z"}),props.children);});var WatsonHealthEdgeEnhancement24=/*#__PURE__*/React.forwardRef(function WatsonHealthEdgeEnhancement24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.8164,4.7646,11.1328,2.887A13.976,13.976,0,0,0,6.9507,5.3278L8.2358,6.8593A11.9729,11.9729,0,0,1,11.8164,4.7646Z"}),React.createElement("path",{d:"M5.5913,10,3.86,9a14.14,14.14,0,0,0-1.6382,4.5872l1.9677.3469A12.1519,12.1519,0,0,1,5.5913,10Z"}),React.createElement("path",{d:"M16,26A10,10,0,0,0,16,6h0Z"}),React.createElement("path",{d:"M30,16A14,14,0,0,0,16,2V4a11.9933,11.9933,0,0,1,4.0493,23.2847c-.1682.06-.334.1294-.5044.1821-.2512.0771-.51.1362-.7683.1973-.1262.03-.25.0693-.3772.0952-.2908.0591-.5884.0976-.8862.1352-.1.0122-.1983.0342-.2988.044A12.0015,12.0015,0,0,1,5.416,21.6548c-.0664-.127-.133-.2534-.1953-.3843-.0547-.1123-.106-.227-.1572-.3413A13.1207,13.1207,0,0,1,4.19,18l-1.9677.4131A13.9173,13.9173,0,0,0,2.7,20.2993l-.0251.0083A13.9615,13.9615,0,0,0,16,30q.7134,0,1.415-.0713c.135-.0137.2654-.042.3995-.06.3286-.0424.6574-.0839.9814-.1494.18-.0366.3533-.0908.5308-.1338.2685-.0659.5383-.125.8027-.2065.2463-.0762.4831-.1724.7234-.2612.18-.0664.3635-.1211.5412-.1953l-.0009-.0025A14.0015,14.0015,0,0,0,30,16Z"}),props.children);});var WatsonHealthEdgeEnhancement20=/*#__PURE__*/React.forwardRef(function WatsonHealthEdgeEnhancement20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.8164,4.7646,11.1328,2.887A13.976,13.976,0,0,0,6.9507,5.3278L8.2358,6.8593A11.9729,11.9729,0,0,1,11.8164,4.7646Z"}),React.createElement("path",{d:"M5.5913,10,3.86,9a14.14,14.14,0,0,0-1.6382,4.5872l1.9677.3469A12.1519,12.1519,0,0,1,5.5913,10Z"}),React.createElement("path",{d:"M16,26A10,10,0,0,0,16,6h0Z"}),React.createElement("path",{d:"M30,16A14,14,0,0,0,16,2V4a11.9933,11.9933,0,0,1,4.0493,23.2847c-.1682.06-.334.1294-.5044.1821-.2512.0771-.51.1362-.7683.1973-.1262.03-.25.0693-.3772.0952-.2908.0591-.5884.0976-.8862.1352-.1.0122-.1983.0342-.2988.044A12.0015,12.0015,0,0,1,5.416,21.6548c-.0664-.127-.133-.2534-.1953-.3843-.0547-.1123-.106-.227-.1572-.3413A13.1207,13.1207,0,0,1,4.19,18l-1.9677.4131A13.9173,13.9173,0,0,0,2.7,20.2993l-.0251.0083A13.9615,13.9615,0,0,0,16,30q.7134,0,1.415-.0713c.135-.0137.2654-.042.3995-.06.3286-.0424.6574-.0839.9814-.1494.18-.0366.3533-.0908.5308-.1338.2685-.0659.5383-.125.8027-.2065.2463-.0762.4831-.1724.7234-.2612.18-.0664.3635-.1211.5412-.1953l-.0009-.0025A14.0015,14.0015,0,0,0,30,16Z"}),props.children);});var WatsonHealthEdgeEnhancement16=/*#__PURE__*/React.forwardRef(function WatsonHealthEdgeEnhancement16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M11.8164,4.7646,11.1328,2.887A13.976,13.976,0,0,0,6.9507,5.3278L8.2358,6.8593A11.9729,11.9729,0,0,1,11.8164,4.7646Z"}),React.createElement("path",{d:"M5.5913,10,3.86,9a14.14,14.14,0,0,0-1.6382,4.5872l1.9677.3469A12.1519,12.1519,0,0,1,5.5913,10Z"}),React.createElement("path",{d:"M16,26A10,10,0,0,0,16,6h0Z"}),React.createElement("path",{d:"M30,16A14,14,0,0,0,16,2V4a11.9933,11.9933,0,0,1,4.0493,23.2847c-.1682.06-.334.1294-.5044.1821-.2512.0771-.51.1362-.7683.1973-.1262.03-.25.0693-.3772.0952-.2908.0591-.5884.0976-.8862.1352-.1.0122-.1983.0342-.2988.044A12.0015,12.0015,0,0,1,5.416,21.6548c-.0664-.127-.133-.2534-.1953-.3843-.0547-.1123-.106-.227-.1572-.3413A13.1207,13.1207,0,0,1,4.19,18l-1.9677.4131A13.9173,13.9173,0,0,0,2.7,20.2993l-.0251.0083A13.9615,13.9615,0,0,0,16,30q.7134,0,1.415-.0713c.135-.0137.2654-.042.3995-.06.3286-.0424.6574-.0839.9814-.1494.18-.0366.3533-.0908.5308-.1338.2685-.0659.5383-.125.8027-.2065.2463-.0762.4831-.1724.7234-.2612.18-.0664.3635-.1211.5412-.1953l-.0009-.0025A14.0015,14.0015,0,0,0,30,16Z"}),props.children);});var WatsonHealthEditFilter32=/*#__PURE__*/React.forwardRef(function WatsonHealthEditFilter32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var WatsonHealthEditFilter24=/*#__PURE__*/React.forwardRef(function WatsonHealthEditFilter24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var WatsonHealthEditFilter20=/*#__PURE__*/React.forwardRef(function WatsonHealthEditFilter20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var WatsonHealthEditFilter16=/*#__PURE__*/React.forwardRef(function WatsonHealthEditFilter16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26,6H4V9.17l7.41,7.42.59.58V26h4V24h2v2a2,2,0,0,1-2,2H12a2,2,0,0,1-2-2V18L2.59,10.59A2,2,0,0,1,2,9.17V6A2,2,0,0,1,4,4H26Z"}),React.createElement("path",{d:"M29.71,11.29l-3-3a1,1,0,0,0-1.42,0L16,17.59V22h4.41l9.3-9.29A1,1,0,0,0,29.71,11.29ZM19.59,20H18V18.41l5-5L24.59,15ZM26,13.59,24.41,12,26,10.41,27.59,12Z"}),props.children);});var WatsonHealthErase_3D32=/*#__PURE__*/React.forwardRef(function WatsonHealthErase_3D32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.4148,16.5132,22.488,8.5859a2.0014,2.0014,0,0,0-2.8291,0L5.6208,22.624a2.0024,2.0024,0,0,0,0,2.8291L10.1663,30h9.5908L30.4148,19.3413A2.001,2.001,0,0,0,30.4148,16.5132ZM18.929,28H10.9949l-3.96-3.9619,6.3123-6.3118,7.9276,7.9276Zm3.76-3.76-7.9276-7.9276L21.074,10l7.9267,7.9272Z"}),React.createElement("path",{d:"M11,12H8V2h3a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,11,12Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V5a1.0009,1.0009,0,0,0-1-1H10Z"}),React.createElement("path",{d:"M4,2H0V4H4V6H1V8H4v2H0v2H4a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,4,2Z"}),props.children);});var WatsonHealthErase_3D24=/*#__PURE__*/React.forwardRef(function WatsonHealthErase_3D24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.4148,16.5132,22.488,8.5859a2.0014,2.0014,0,0,0-2.8291,0L5.6208,22.624a2.0024,2.0024,0,0,0,0,2.8291L10.1663,30h9.5908L30.4148,19.3413A2.001,2.001,0,0,0,30.4148,16.5132ZM18.929,28H10.9949l-3.96-3.9619,6.3123-6.3118,7.9276,7.9276Zm3.76-3.76-7.9276-7.9276L21.074,10l7.9267,7.9272Z"}),React.createElement("path",{d:"M11,12H8V2h3a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,11,12Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V5a1.0009,1.0009,0,0,0-1-1H10Z"}),React.createElement("path",{d:"M4,2H0V4H4V6H1V8H4v2H0v2H4a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,4,2Z"}),props.children);});var WatsonHealthErase_3D20=/*#__PURE__*/React.forwardRef(function WatsonHealthErase_3D20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.4148,16.5132,22.488,8.5859a2.0014,2.0014,0,0,0-2.8291,0L5.6208,22.624a2.0024,2.0024,0,0,0,0,2.8291L10.1663,30h9.5908L30.4148,19.3413A2.001,2.001,0,0,0,30.4148,16.5132ZM18.929,28H10.9949l-3.96-3.9619,6.3123-6.3118,7.9276,7.9276Zm3.76-3.76-7.9276-7.9276L21.074,10l7.9267,7.9272Z"}),React.createElement("path",{d:"M11,12H8V2h3a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,11,12Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V5a1.0009,1.0009,0,0,0-1-1H10Z"}),React.createElement("path",{d:"M4,2H0V4H4V6H1V8H4v2H0v2H4a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,4,2Z"}),props.children);});var WatsonHealthErase_3D16=/*#__PURE__*/React.forwardRef(function WatsonHealthErase_3D16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30.4148,16.5132,22.488,8.5859a2.0014,2.0014,0,0,0-2.8291,0L5.6208,22.624a2.0024,2.0024,0,0,0,0,2.8291L10.1663,30h9.5908L30.4148,19.3413A2.001,2.001,0,0,0,30.4148,16.5132ZM18.929,28H10.9949l-3.96-3.9619,6.3123-6.3118,7.9276,7.9276Zm3.76-3.76-7.9276-7.9276L21.074,10l7.9267,7.9272Z"}),React.createElement("path",{d:"M11,12H8V2h3a3.0033,3.0033,0,0,1,3,3V9A3.0033,3.0033,0,0,1,11,12Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V5a1.0009,1.0009,0,0,0-1-1H10Z"}),React.createElement("path",{d:"M4,2H0V4H4V6H1V8H4v2H0v2H4a2.0027,2.0027,0,0,0,2-2V4A2.0023,2.0023,0,0,0,4,2Z"}),props.children);});var WatsonHealthFusionBlender32=/*#__PURE__*/React.forwardRef(function WatsonHealthFusionBlender32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,12H17V4h3V2H12V4h3v8H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h3v8H12v2h8V28H17V20h3a2,2,0,0,0,2-2V14A2,2,0,0,0,20,12Zm-8,6V14h8v4Z"}),props.children);});var WatsonHealthFusionBlender24=/*#__PURE__*/React.forwardRef(function WatsonHealthFusionBlender24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,12H17V4h3V2H12V4h3v8H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h3v8H12v2h8V28H17V20h3a2,2,0,0,0,2-2V14A2,2,0,0,0,20,12Zm-8,6V14h8v4Z"}),props.children);});var WatsonHealthFusionBlender20=/*#__PURE__*/React.forwardRef(function WatsonHealthFusionBlender20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,12H17V4h3V2H12V4h3v8H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h3v8H12v2h8V28H17V20h3a2,2,0,0,0,2-2V14A2,2,0,0,0,20,12Zm-8,6V14h8v4Z"}),props.children);});var WatsonHealthFusionBlender16=/*#__PURE__*/React.forwardRef(function WatsonHealthFusionBlender16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,12H17V4h3V2H12V4h3v8H12a2,2,0,0,0-2,2v4a2,2,0,0,0,2,2h3v8H12v2h8V28H17V20h3a2,2,0,0,0,2-2V14A2,2,0,0,0,20,12Zm-8,6V14h8v4Z"}),props.children);});var WatsonHealthHangingProtocol32=/*#__PURE__*/React.forwardRef(function WatsonHealthHangingProtocol32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.37,20.52,17,15.41V13.86A4,4,0,1,0,12,10h2a2,2,0,1,1,4,.34A2.08,2.08,0,0,1,15.89,12h0a.89.89,0,0,0-.89.89v2.52L5.63,20.52A3.1,3.1,0,0,0,4.25,22a2.83,2.83,0,0,0,2.56,4H25.19a2.83,2.83,0,0,0,2.56-4A3.1,3.1,0,0,0,26.37,20.52ZM25.19,24H6.81A.81.81,0,0,1,6,23.19a1,1,0,0,1,.52-.88L16,17.14l9.48,5.17a1,1,0,0,1,.52.88A.81.81,0,0,1,25.19,24Z"}),props.children);});var WatsonHealthHangingProtocol24=/*#__PURE__*/React.forwardRef(function WatsonHealthHangingProtocol24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.37,20.52,17,15.41V13.86A4,4,0,1,0,12,10h2a2,2,0,1,1,4,.34A2.08,2.08,0,0,1,15.89,12h0a.89.89,0,0,0-.89.89v2.52L5.63,20.52A3.1,3.1,0,0,0,4.25,22a2.83,2.83,0,0,0,2.56,4H25.19a2.83,2.83,0,0,0,2.56-4A3.1,3.1,0,0,0,26.37,20.52ZM25.19,24H6.81A.81.81,0,0,1,6,23.19a1,1,0,0,1,.52-.88L16,17.14l9.48,5.17a1,1,0,0,1,.52.88A.81.81,0,0,1,25.19,24Z"}),props.children);});var WatsonHealthHangingProtocol20=/*#__PURE__*/React.forwardRef(function WatsonHealthHangingProtocol20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.37,20.52,17,15.41V13.86A4,4,0,1,0,12,10h2a2,2,0,1,1,4,.34A2.08,2.08,0,0,1,15.89,12h0a.89.89,0,0,0-.89.89v2.52L5.63,20.52A3.1,3.1,0,0,0,4.25,22a2.83,2.83,0,0,0,2.56,4H25.19a2.83,2.83,0,0,0,2.56-4A3.1,3.1,0,0,0,26.37,20.52ZM25.19,24H6.81A.81.81,0,0,1,6,23.19a1,1,0,0,1,.52-.88L16,17.14l9.48,5.17a1,1,0,0,1,.52.88A.81.81,0,0,1,25.19,24Z"}),props.children);});var WatsonHealthHangingProtocol16=/*#__PURE__*/React.forwardRef(function WatsonHealthHangingProtocol16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M26.37,20.52,17,15.41V13.86A4,4,0,1,0,12,10h2a2,2,0,1,1,4,.34A2.08,2.08,0,0,1,15.89,12h0a.89.89,0,0,0-.89.89v2.52L5.63,20.52A3.1,3.1,0,0,0,4.25,22a2.83,2.83,0,0,0,2.56,4H25.19a2.83,2.83,0,0,0,2.56-4A3.1,3.1,0,0,0,26.37,20.52ZM25.19,24H6.81A.81.81,0,0,1,6,23.19a1,1,0,0,1,.52-.88L16,17.14l9.48,5.17a1,1,0,0,1,.52.88A.81.81,0,0,1,25.19,24Z"}),props.children);});var WatsonHealthHoleFillingCursor32=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFillingCursor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"19",r:"4"}),React.createElement("path",{d:"M28,30H10a2.0023,2.0023,0,0,1-2-2V10a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM10,10V28H28V10Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthHoleFillingCursor24=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFillingCursor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"19",r:"4"}),React.createElement("path",{d:"M28,30H10a2.0023,2.0023,0,0,1-2-2V10a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM10,10V28H28V10Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthHoleFillingCursor20=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFillingCursor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"19",r:"4"}),React.createElement("path",{d:"M28,30H10a2.0023,2.0023,0,0,1-2-2V10a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM10,10V28H28V10Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthHoleFillingCursor16=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFillingCursor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"19",cy:"19",r:"4"}),React.createElement("path",{d:"M28,30H10a2.0023,2.0023,0,0,1-2-2V10a2.0023,2.0023,0,0,1,2-2H28a2.0023,2.0023,0,0,1,2,2V28A2.0023,2.0023,0,0,1,28,30ZM10,10V28H28V10Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthHoleFilling32=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFilling32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var WatsonHealthHoleFilling24=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFilling24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var WatsonHealthHoleFilling20=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFilling20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var WatsonHealthHoleFilling16=/*#__PURE__*/React.forwardRef(function WatsonHealthHoleFilling16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M26,28H6a2.0023,2.0023,0,0,1-2-2V6A2.0023,2.0023,0,0,1,6,4H26a2.0023,2.0023,0,0,1,2,2V26A2.0023,2.0023,0,0,1,26,28ZM6,6V26H26.0012L26,6Z"}),props.children);});var WatsonHealthICa_2D32=/*#__PURE__*/React.forwardRef(function WatsonHealthICa_2D32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"2.001 21 2.001 30 11 30 11 28 4 28 4 21 2.001 21"}),React.createElement("polygon",{points:"21.001 30 30 30 30 21 28.001 21 28.001 28 21.001 28 21.001 30"}),React.createElement("path",{d:"M22,24H10a2.0023,2.0023,0,0,1-2-2V10a2.002,2.002,0,0,1,2-2H22a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,22,24ZM10,10V22H22.002L22,10Z"}),React.createElement("polygon",{points:"30 11 30 2 21.001 2 21.001 4 28.001 4 28.001 11 30 11"}),React.createElement("polygon",{points:"11 2 2.001 2 2.001 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthICa_2D24=/*#__PURE__*/React.forwardRef(function WatsonHealthICa_2D24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"2.001 21 2.001 30 11 30 11 28 4 28 4 21 2.001 21"}),React.createElement("polygon",{points:"21.001 30 30 30 30 21 28.001 21 28.001 28 21.001 28 21.001 30"}),React.createElement("path",{d:"M22,24H10a2.0023,2.0023,0,0,1-2-2V10a2.002,2.002,0,0,1,2-2H22a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,22,24ZM10,10V22H22.002L22,10Z"}),React.createElement("polygon",{points:"30 11 30 2 21.001 2 21.001 4 28.001 4 28.001 11 30 11"}),React.createElement("polygon",{points:"11 2 2.001 2 2.001 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthICa_2D20=/*#__PURE__*/React.forwardRef(function WatsonHealthICa_2D20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"2.001 21 2.001 30 11 30 11 28 4 28 4 21 2.001 21"}),React.createElement("polygon",{points:"21.001 30 30 30 30 21 28.001 21 28.001 28 21.001 28 21.001 30"}),React.createElement("path",{d:"M22,24H10a2.0023,2.0023,0,0,1-2-2V10a2.002,2.002,0,0,1,2-2H22a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,22,24ZM10,10V22H22.002L22,10Z"}),React.createElement("polygon",{points:"30 11 30 2 21.001 2 21.001 4 28.001 4 28.001 11 30 11"}),React.createElement("polygon",{points:"11 2 2.001 2 2.001 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthICa_2D16=/*#__PURE__*/React.forwardRef(function WatsonHealthICa_2D16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"2.001 21 2.001 30 11 30 11 28 4 28 4 21 2.001 21"}),React.createElement("polygon",{points:"21.001 30 30 30 30 21 28.001 21 28.001 28 21.001 28 21.001 30"}),React.createElement("path",{d:"M22,24H10a2.0023,2.0023,0,0,1-2-2V10a2.002,2.002,0,0,1,2-2H22a2.0023,2.0023,0,0,1,2,2V22A2.0027,2.0027,0,0,1,22,24ZM10,10V22H22.002L22,10Z"}),React.createElement("polygon",{points:"30 11 30 2 21.001 2 21.001 4 28.001 4 28.001 11 30 11"}),React.createElement("polygon",{points:"11 2 2.001 2 2.001 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthInteractiveSegmentationCursor32=/*#__PURE__*/React.forwardRef(function WatsonHealthInteractiveSegmentationCursor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4139,24,15.9989,10.5663a2.0473,2.0473,0,0,0-2.8281,0l-2.586,2.586a2.0023,2.0023,0,0,0,0,2.8283L23.9989,29.4145a2.0021,2.0021,0,0,0,2.8281,0l2.5869-2.5865a1.9993,1.9993,0,0,0,0-2.8283Zm-17.415-9.4335,2.5859-2.5859,3.5,3.5L15.498,18.0676l-3.5-3.5ZM25.413,28l-8.5009-8.5188,2.5867-2.587L28,25.4143Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"18.586",transform:"rotate(-45 9 20)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"18.586",y:"7.586",transform:"rotate(-45 20 9)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"7.586",transform:"rotate(-45 9 9)"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthInteractiveSegmentationCursor24=/*#__PURE__*/React.forwardRef(function WatsonHealthInteractiveSegmentationCursor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4139,24,15.9989,10.5663a2.0473,2.0473,0,0,0-2.8281,0l-2.586,2.586a2.0023,2.0023,0,0,0,0,2.8283L23.9989,29.4145a2.0021,2.0021,0,0,0,2.8281,0l2.5869-2.5865a1.9993,1.9993,0,0,0,0-2.8283Zm-17.415-9.4335,2.5859-2.5859,3.5,3.5L15.498,18.0676l-3.5-3.5ZM25.413,28l-8.5009-8.5188,2.5867-2.587L28,25.4143Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"18.586",transform:"rotate(-45 9 20)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"18.586",y:"7.586",transform:"rotate(-45 20 9)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"7.586",transform:"rotate(-45 9 9)"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthInteractiveSegmentationCursor20=/*#__PURE__*/React.forwardRef(function WatsonHealthInteractiveSegmentationCursor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4139,24,15.9989,10.5663a2.0473,2.0473,0,0,0-2.8281,0l-2.586,2.586a2.0023,2.0023,0,0,0,0,2.8283L23.9989,29.4145a2.0021,2.0021,0,0,0,2.8281,0l2.5869-2.5865a1.9993,1.9993,0,0,0,0-2.8283Zm-17.415-9.4335,2.5859-2.5859,3.5,3.5L15.498,18.0676l-3.5-3.5ZM25.413,28l-8.5009-8.5188,2.5867-2.587L28,25.4143Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"18.586",transform:"rotate(-45 9 20)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"18.586",y:"7.586",transform:"rotate(-45 20 9)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"7.586",transform:"rotate(-45 9 9)"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthInteractiveSegmentationCursor16=/*#__PURE__*/React.forwardRef(function WatsonHealthInteractiveSegmentationCursor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.4139,24,15.9989,10.5663a2.0473,2.0473,0,0,0-2.8281,0l-2.586,2.586a2.0023,2.0023,0,0,0,0,2.8283L23.9989,29.4145a2.0021,2.0021,0,0,0,2.8281,0l2.5869-2.5865a1.9993,1.9993,0,0,0,0-2.8283Zm-17.415-9.4335,2.5859-2.5859,3.5,3.5L15.498,18.0676l-3.5-3.5ZM25.413,28l-8.5009-8.5188,2.5867-2.587L28,25.4143Z"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"18.586",transform:"rotate(-45 9 20)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"18.586",y:"7.586",transform:"rotate(-45 20 9)"}),React.createElement("rect",{width:"2.828",height:"2.828",x:"7.586",y:"7.586",transform:"rotate(-45 9 9)"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthLaunchStudy_132=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 10.59 17 14.17 17 2 15 2 15 14.17 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthLaunchStudy_124=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 10.59 17 14.17 17 2 15 2 15 14.17 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthLaunchStudy_120=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 10.59 17 14.17 17 2 15 2 15 14.17 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthLaunchStudy_116=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 10.59 17 14.17 17 2 15 2 15 14.17 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthLaunchStudy_232=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"7",r:"1"}),React.createElement("path",{d:"M26,4v6H6V4H26m0-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 21.41 17 17.83 17 30 15 30 15 17.83 11.41 21.41 10 20 16 14 22 20 20.59 21.41"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),props.children);});var WatsonHealthLaunchStudy_224=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"7",r:"1"}),React.createElement("path",{d:"M26,4v6H6V4H26m0-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 21.41 17 17.83 17 30 15 30 15 17.83 11.41 21.41 10 20 16 14 22 20 20.59 21.41"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),props.children);});var WatsonHealthLaunchStudy_220=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"7",r:"1"}),React.createElement("path",{d:"M26,4v6H6V4H26m0-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 21.41 17 17.83 17 30 15 30 15 17.83 11.41 21.41 10 20 16 14 22 20 20.59 21.41"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),props.children);});var WatsonHealthLaunchStudy_216=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"7",r:"1"}),React.createElement("path",{d:"M26,4v6H6V4H26m0-2H6A2,2,0,0,0,4,4v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V4a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 21.41 17 17.83 17 30 15 30 15 17.83 11.41 21.41 10 20 16 14 22 20 20.59 21.41"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"6"}),props.children);});var WatsonHealthLaunchStudy_332=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_332(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 4.59 17 8.17 17 0 15 0 15 8.17 11.41 4.59 10 6 16 12 22 6 20.59 4.59"}),React.createElement("polygon",{points:"20.59 10.59 16 15.16 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthLaunchStudy_324=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_324(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 4.59 17 8.17 17 0 15 0 15 8.17 11.41 4.59 10 6 16 12 22 6 20.59 4.59"}),React.createElement("polygon",{points:"20.59 10.59 16 15.16 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthLaunchStudy_320=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_320(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 4.59 17 8.17 17 0 15 0 15 8.17 11.41 4.59 10 6 16 12 22 6 20.59 4.59"}),React.createElement("polygon",{points:"20.59 10.59 16 15.16 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthLaunchStudy_316=/*#__PURE__*/React.forwardRef(function WatsonHealthLaunchStudy_316(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"23",cy:"25",r:"1"}),React.createElement("path",{d:"M26,22v6H6V22H26m0-2H6a2,2,0,0,0-2,2v6a2,2,0,0,0,2,2H26a2,2,0,0,0,2-2V22a2,2,0,0,0-2-2Z"}),React.createElement("polygon",{points:"20.59 4.59 17 8.17 17 0 15 0 15 8.17 11.41 4.59 10 6 16 12 22 6 20.59 4.59"}),React.createElement("polygon",{points:"20.59 10.59 16 15.16 11.41 10.59 10 12 16 18 22 12 20.59 10.59"}),React.createElement("rect",{width:"12",height:"2",x:"8",y:"24"}),props.children);});var WatsonHealthMagnify32=/*#__PURE__*/React.forwardRef(function WatsonHealthMagnify32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,21H4V4H22v8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V21a2,2,0,0,0,2,2h8Z"}),React.createElement("path",{d:"M30,28.58l-3.11-3.11a6,6,0,1,0-1.42,1.42L28.58,30ZM22,26a4,4,0,1,1,4-4A4,4,0,0,1,22,26Z"}),props.children);});var WatsonHealthMagnify24=/*#__PURE__*/React.forwardRef(function WatsonHealthMagnify24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,21H4V4H22v8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V21a2,2,0,0,0,2,2h8Z"}),React.createElement("path",{d:"M30,28.58l-3.11-3.11a6,6,0,1,0-1.42,1.42L28.58,30ZM22,26a4,4,0,1,1,4-4A4,4,0,0,1,22,26Z"}),props.children);});var WatsonHealthMagnify20=/*#__PURE__*/React.forwardRef(function WatsonHealthMagnify20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,21H4V4H22v8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V21a2,2,0,0,0,2,2h8Z"}),React.createElement("path",{d:"M30,28.58l-3.11-3.11a6,6,0,1,0-1.42,1.42L28.58,30ZM22,26a4,4,0,1,1,4-4A4,4,0,0,1,22,26Z"}),props.children);});var WatsonHealthMagnify16=/*#__PURE__*/React.forwardRef(function WatsonHealthMagnify16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M12,21H4V4H22v8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V21a2,2,0,0,0,2,2h8Z"}),React.createElement("path",{d:"M30,28.58l-3.11-3.11a6,6,0,1,0-1.42,1.42L28.58,30ZM22,26a4,4,0,1,1,4-4A4,4,0,0,1,22,26Z"}),props.children);});var WatsonHealthMammogram32=/*#__PURE__*/React.forwardRef(function WatsonHealthMammogram32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 32 32 32 32 25 30 25 30 30 25 30 25 32"}),React.createElement("path",{d:"M25,27H22V17h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,27Zm-1-2h1a1.0006,1.0006,0,0,0,1-1V20a1.0006,1.0006,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M20,27H14V23a2.002,2.002,0,0,1,2-2h2V19H14V17h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H16v2h4Z"}),React.createElement("path",{d:"M25,15H22V5h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,15Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V8a1.0009,1.0009,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M18,5H14V7h4V9H15v2h3v2H14v2h4a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,18,5Z"}),React.createElement("path",{d:"M10,27H8V23.9541C3.2847,23.5117,2,19.9443,2,18c0-3.0146,2.082-4.5015,3.9189-5.814C7.5723,11.0054,9,9.9854,9,8V5h2V8c0,3.0146-2.082,4.5015-3.9189,5.814C5.4277,14.9946,4,16.0146,4,18c.0054.4033.1914,4,5,4a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"7 0 0 0 0 7 2 7 2 2 7 2 7 0"}),props.children);});var WatsonHealthMammogram24=/*#__PURE__*/React.forwardRef(function WatsonHealthMammogram24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 32 32 32 32 25 30 25 30 30 25 30 25 32"}),React.createElement("path",{d:"M25,27H22V17h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,27Zm-1-2h1a1.0006,1.0006,0,0,0,1-1V20a1.0006,1.0006,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M20,27H14V23a2.002,2.002,0,0,1,2-2h2V19H14V17h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H16v2h4Z"}),React.createElement("path",{d:"M25,15H22V5h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,15Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V8a1.0009,1.0009,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M18,5H14V7h4V9H15v2h3v2H14v2h4a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,18,5Z"}),React.createElement("path",{d:"M10,27H8V23.9541C3.2847,23.5117,2,19.9443,2,18c0-3.0146,2.082-4.5015,3.9189-5.814C7.5723,11.0054,9,9.9854,9,8V5h2V8c0,3.0146-2.082,4.5015-3.9189,5.814C5.4277,14.9946,4,16.0146,4,18c.0054.4033.1914,4,5,4a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"7 0 0 0 0 7 2 7 2 2 7 2 7 0"}),props.children);});var WatsonHealthMammogram20=/*#__PURE__*/React.forwardRef(function WatsonHealthMammogram20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 32 32 32 32 25 30 25 30 30 25 30 25 32"}),React.createElement("path",{d:"M25,27H22V17h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,27Zm-1-2h1a1.0006,1.0006,0,0,0,1-1V20a1.0006,1.0006,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M20,27H14V23a2.002,2.002,0,0,1,2-2h2V19H14V17h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H16v2h4Z"}),React.createElement("path",{d:"M25,15H22V5h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,15Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V8a1.0009,1.0009,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M18,5H14V7h4V9H15v2h3v2H14v2h4a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,18,5Z"}),React.createElement("path",{d:"M10,27H8V23.9541C3.2847,23.5117,2,19.9443,2,18c0-3.0146,2.082-4.5015,3.9189-5.814C7.5723,11.0054,9,9.9854,9,8V5h2V8c0,3.0146-2.082,4.5015-3.9189,5.814C5.4277,14.9946,4,16.0146,4,18c.0054.4033.1914,4,5,4a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"7 0 0 0 0 7 2 7 2 2 7 2 7 0"}),props.children);});var WatsonHealthMammogram16=/*#__PURE__*/React.forwardRef(function WatsonHealthMammogram16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"25 32 32 32 32 25 30 25 30 30 25 30 25 32"}),React.createElement("path",{d:"M25,27H22V17h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,27Zm-1-2h1a1.0006,1.0006,0,0,0,1-1V20a1.0006,1.0006,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M20,27H14V23a2.002,2.002,0,0,1,2-2h2V19H14V17h4a2.0023,2.0023,0,0,1,2,2v2a2.0023,2.0023,0,0,1-2,2H16v2h4Z"}),React.createElement("path",{d:"M25,15H22V5h3a3.0033,3.0033,0,0,1,3,3v4A3.0033,3.0033,0,0,1,25,15Zm-1-2h1a1.0009,1.0009,0,0,0,1-1V8a1.0009,1.0009,0,0,0-1-1H24Z"}),React.createElement("path",{d:"M18,5H14V7h4V9H15v2h3v2H14v2h4a2.0027,2.0027,0,0,0,2-2V7A2.0023,2.0023,0,0,0,18,5Z"}),React.createElement("path",{d:"M10,27H8V23.9541C3.2847,23.5117,2,19.9443,2,18c0-3.0146,2.082-4.5015,3.9189-5.814C7.5723,11.0054,9,9.9854,9,8V5h2V8c0,3.0146-2.082,4.5015-3.9189,5.814C5.4277,14.9946,4,16.0146,4,18c.0054.4033.1914,4,5,4a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"7 0 0 0 0 7 2 7 2 2 7 2 7 0"}),props.children);});var WatsonHealthNominate32=/*#__PURE__*/React.forwardRef(function WatsonHealthNominate32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"10 18.59 7.41 16 6 17.41 10 21.41 17 14.41 15.59 13 10 18.59"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthNominate24=/*#__PURE__*/React.forwardRef(function WatsonHealthNominate24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"10 18.59 7.41 16 6 17.41 10 21.41 17 14.41 15.59 13 10 18.59"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthNominate20=/*#__PURE__*/React.forwardRef(function WatsonHealthNominate20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"10 18.59 7.41 16 6 17.41 10 21.41 17 14.41 15.59 13 10 18.59"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthNominate16=/*#__PURE__*/React.forwardRef(function WatsonHealthNominate16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,23H19a3,3,0,0,0-3,3v2h2V26a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v2h2V26A3,3,0,0,0,25,23Z"}),React.createElement("path",{d:"M18,18a4,4,0,1,0,4-4A4,4,0,0,0,18,18Zm6,0a2,2,0,1,1-2-2A2,2,0,0,1,24,18Z"}),React.createElement("polygon",{points:"10 18.59 7.41 16 6 17.41 10 21.41 17 14.41 15.59 13 10 18.59"}),React.createElement("path",{d:"M14,26H4V6h7.1716l3.4141,3.4143L15.1716,10H28v8h2V10a2,2,0,0,0-2-2H16L12.5859,4.5858A2,2,0,0,0,11.1716,4H4A2,2,0,0,0,2,6V26a2,2,0,0,0,2,2H14Z"}),props.children);});var WatsonHealthPageScroll32=/*#__PURE__*/React.forwardRef(function WatsonHealthPageScroll32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28H4a1.89,1.89,0,0,1-2-2V14a1.89,1.89,0,0,1,2-2H16a1.89,1.89,0,0,1,2,2V26A1.89,1.89,0,0,1,16,28ZM4,14V26H16V14Z"}),React.createElement("path",{d:"M22,19H20V10H10V8H20a1.89,1.89,0,0,1,2,2Z"}),React.createElement("path",{d:"M26,14H24V6H16V4h8a1.89,1.89,0,0,1,2,2Z"}),React.createElement("polygon",{points:"24 17 24 19 26.8 19 22 24.4 22 22 20 22 20 28 26 28 26 26 23.2 26 28 20.6 28 23 30 23 30 17 24 17"}),props.children);});var WatsonHealthPageScroll24=/*#__PURE__*/React.forwardRef(function WatsonHealthPageScroll24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28H4a1.89,1.89,0,0,1-2-2V14a1.89,1.89,0,0,1,2-2H16a1.89,1.89,0,0,1,2,2V26A1.89,1.89,0,0,1,16,28ZM4,14V26H16V14Z"}),React.createElement("path",{d:"M22,19H20V10H10V8H20a1.89,1.89,0,0,1,2,2Z"}),React.createElement("path",{d:"M26,14H24V6H16V4h8a1.89,1.89,0,0,1,2,2Z"}),React.createElement("polygon",{points:"24 17 24 19 26.8 19 22 24.4 22 22 20 22 20 28 26 28 26 26 23.2 26 28 20.6 28 23 30 23 30 17 24 17"}),props.children);});var WatsonHealthPageScroll20=/*#__PURE__*/React.forwardRef(function WatsonHealthPageScroll20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28H4a1.89,1.89,0,0,1-2-2V14a1.89,1.89,0,0,1,2-2H16a1.89,1.89,0,0,1,2,2V26A1.89,1.89,0,0,1,16,28ZM4,14V26H16V14Z"}),React.createElement("path",{d:"M22,19H20V10H10V8H20a1.89,1.89,0,0,1,2,2Z"}),React.createElement("path",{d:"M26,14H24V6H16V4h8a1.89,1.89,0,0,1,2,2Z"}),React.createElement("polygon",{points:"24 17 24 19 26.8 19 22 24.4 22 22 20 22 20 28 26 28 26 26 23.2 26 28 20.6 28 23 30 23 30 17 24 17"}),props.children);});var WatsonHealthPageScroll16=/*#__PURE__*/React.forwardRef(function WatsonHealthPageScroll16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,28H4a1.89,1.89,0,0,1-2-2V14a1.89,1.89,0,0,1,2-2H16a1.89,1.89,0,0,1,2,2V26A1.89,1.89,0,0,1,16,28ZM4,14V26H16V14Z"}),React.createElement("path",{d:"M22,19H20V10H10V8H20a1.89,1.89,0,0,1,2,2Z"}),React.createElement("path",{d:"M26,14H24V6H16V4h8a1.89,1.89,0,0,1,2,2Z"}),React.createElement("polygon",{points:"24 17 24 19 26.8 19 22 24.4 22 22 20 22 20 28 26 28 26 26 23.2 26 28 20.6 28 23 30 23 30 17 24 17"}),props.children);});var WatsonHealthPetImageB32=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageB32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"19",y:"21"}),React.createElement("rect",{width:"2",height:"3",x:"19"}),React.createElement("rect",{width:"3",height:"2",x:"8",y:"11"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"11"}),React.createElement("rect",{width:"1.98",height:"3",x:"11.59",y:"3.07",transform:"rotate(-45 12.586 4.577)"}),React.createElement("rect",{width:"1.98",height:"3",x:"26.44",y:"17.92",transform:"rotate(-45 27.43 19.408)"}),React.createElement("rect",{width:"3",height:"1.98",x:"11.09",y:"18.42",transform:"rotate(-45 12.592 19.414)"}),React.createElement("rect",{width:"3",height:"1.98",x:"25.93",y:"3.58",transform:"rotate(-45 27.423 4.57)"}),React.createElement("path",{d:"M20,5a7,7,0,1,0,7,7A7,7,0,0,0,20,5Zm0,12A5,5,0,0,1,20,7Z"}),React.createElement("path",{d:"M5,18H0V32H5a3,3,0,0,0,3-3V27a3,3,0,0,0-.78-2A3,3,0,0,0,8,23V21A3,3,0,0,0,5,18ZM2,20H5a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H2Zm4,9a1,1,0,0,1-1,1H2V26H5a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),props.children);});var WatsonHealthPetImageB24=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageB24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"19",y:"21"}),React.createElement("rect",{width:"2",height:"3",x:"19"}),React.createElement("rect",{width:"3",height:"2",x:"8",y:"11"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"11"}),React.createElement("rect",{width:"1.98",height:"3",x:"11.59",y:"3.07",transform:"rotate(-45 12.586 4.577)"}),React.createElement("rect",{width:"1.98",height:"3",x:"26.44",y:"17.92",transform:"rotate(-45 27.43 19.408)"}),React.createElement("rect",{width:"3",height:"1.98",x:"11.09",y:"18.42",transform:"rotate(-45 12.592 19.414)"}),React.createElement("rect",{width:"3",height:"1.98",x:"25.93",y:"3.58",transform:"rotate(-45 27.423 4.57)"}),React.createElement("path",{d:"M20,5a7,7,0,1,0,7,7A7,7,0,0,0,20,5Zm0,12A5,5,0,0,1,20,7Z"}),React.createElement("path",{d:"M5,18H0V32H5a3,3,0,0,0,3-3V27a3,3,0,0,0-.78-2A3,3,0,0,0,8,23V21A3,3,0,0,0,5,18ZM2,20H5a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H2Zm4,9a1,1,0,0,1-1,1H2V26H5a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),props.children);});var WatsonHealthPetImageB20=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageB20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"19",y:"21"}),React.createElement("rect",{width:"2",height:"3",x:"19"}),React.createElement("rect",{width:"3",height:"2",x:"8",y:"11"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"11"}),React.createElement("rect",{width:"1.98",height:"3",x:"11.59",y:"3.07",transform:"rotate(-45 12.586 4.577)"}),React.createElement("rect",{width:"1.98",height:"3",x:"26.44",y:"17.92",transform:"rotate(-45 27.43 19.408)"}),React.createElement("rect",{width:"3",height:"1.98",x:"11.09",y:"18.42",transform:"rotate(-45 12.592 19.414)"}),React.createElement("rect",{width:"3",height:"1.98",x:"25.93",y:"3.58",transform:"rotate(-45 27.423 4.57)"}),React.createElement("path",{d:"M20,5a7,7,0,1,0,7,7A7,7,0,0,0,20,5Zm0,12A5,5,0,0,1,20,7Z"}),React.createElement("path",{d:"M5,18H0V32H5a3,3,0,0,0,3-3V27a3,3,0,0,0-.78-2A3,3,0,0,0,8,23V21A3,3,0,0,0,5,18ZM2,20H5a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H2Zm4,9a1,1,0,0,1-1,1H2V26H5a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),props.children);});var WatsonHealthPetImageB16=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageB16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"19",y:"21"}),React.createElement("rect",{width:"2",height:"3",x:"19"}),React.createElement("rect",{width:"3",height:"2",x:"8",y:"11"}),React.createElement("rect",{width:"3",height:"2",x:"29",y:"11"}),React.createElement("rect",{width:"1.98",height:"3",x:"11.59",y:"3.07",transform:"rotate(-45 12.586 4.577)"}),React.createElement("rect",{width:"1.98",height:"3",x:"26.44",y:"17.92",transform:"rotate(-45 27.43 19.408)"}),React.createElement("rect",{width:"3",height:"1.98",x:"11.09",y:"18.42",transform:"rotate(-45 12.592 19.414)"}),React.createElement("rect",{width:"3",height:"1.98",x:"25.93",y:"3.58",transform:"rotate(-45 27.423 4.57)"}),React.createElement("path",{d:"M20,5a7,7,0,1,0,7,7A7,7,0,0,0,20,5Zm0,12A5,5,0,0,1,20,7Z"}),React.createElement("path",{d:"M5,18H0V32H5a3,3,0,0,0,3-3V27a3,3,0,0,0-.78-2A3,3,0,0,0,8,23V21A3,3,0,0,0,5,18ZM2,20H5a1,1,0,0,1,1,1v2a1,1,0,0,1-1,1H2Zm4,9a1,1,0,0,1-1,1H2V26H5a1,1,0,0,1,1,1Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),props.children);});var WatsonHealthPetImageO32=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageO32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"11",y:"29"}),React.createElement("rect",{width:"2",height:"3",x:"11",y:"8"}),React.createElement("rect",{width:"3",height:"2",y:"19"}),React.createElement("rect",{width:"3",height:"2",x:"21",y:"19"}),React.createElement("rect",{width:"1.98",height:"3",x:"3.59",y:"11.09",transform:"rotate(-45 4.585 12.59)"}),React.createElement("rect",{width:"1.98",height:"3",x:"18.44",y:"25.93",transform:"rotate(-45 19.429 27.422)"}),React.createElement("rect",{width:"3",height:"1.98",x:"3.09",y:"26.44",transform:"rotate(-45 4.591 27.428)"}),React.createElement("rect",{width:"3",height:"1.98",x:"17.93",y:"11.59",transform:"rotate(-45 19.423 12.585)"}),React.createElement("path",{d:"M12,13a7,7,0,1,0,7,7A7,7,0,0,0,12,13Zm0,12a5,5,0,0,1,0-10Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),React.createElement("path",{d:"M30,0H26a2,2,0,0,0-2,2V12a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V2A2,2,0,0,0,30,0ZM26,12V2h4V12Z"}),props.children);});var WatsonHealthPetImageO24=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageO24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"11",y:"29"}),React.createElement("rect",{width:"2",height:"3",x:"11",y:"8"}),React.createElement("rect",{width:"3",height:"2",y:"19"}),React.createElement("rect",{width:"3",height:"2",x:"21",y:"19"}),React.createElement("rect",{width:"1.98",height:"3",x:"3.59",y:"11.09",transform:"rotate(-45 4.585 12.59)"}),React.createElement("rect",{width:"1.98",height:"3",x:"18.44",y:"25.93",transform:"rotate(-45 19.429 27.422)"}),React.createElement("rect",{width:"3",height:"1.98",x:"3.09",y:"26.44",transform:"rotate(-45 4.591 27.428)"}),React.createElement("rect",{width:"3",height:"1.98",x:"17.93",y:"11.59",transform:"rotate(-45 19.423 12.585)"}),React.createElement("path",{d:"M12,13a7,7,0,1,0,7,7A7,7,0,0,0,12,13Zm0,12a5,5,0,0,1,0-10Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),React.createElement("path",{d:"M30,0H26a2,2,0,0,0-2,2V12a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V2A2,2,0,0,0,30,0ZM26,12V2h4V12Z"}),props.children);});var WatsonHealthPetImageO20=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageO20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"11",y:"29"}),React.createElement("rect",{width:"2",height:"3",x:"11",y:"8"}),React.createElement("rect",{width:"3",height:"2",y:"19"}),React.createElement("rect",{width:"3",height:"2",x:"21",y:"19"}),React.createElement("rect",{width:"1.98",height:"3",x:"3.59",y:"11.09",transform:"rotate(-45 4.585 12.59)"}),React.createElement("rect",{width:"1.98",height:"3",x:"18.44",y:"25.93",transform:"rotate(-45 19.429 27.422)"}),React.createElement("rect",{width:"3",height:"1.98",x:"3.09",y:"26.44",transform:"rotate(-45 4.591 27.428)"}),React.createElement("rect",{width:"3",height:"1.98",x:"17.93",y:"11.59",transform:"rotate(-45 19.423 12.585)"}),React.createElement("path",{d:"M12,13a7,7,0,1,0,7,7A7,7,0,0,0,12,13Zm0,12a5,5,0,0,1,0-10Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),React.createElement("path",{d:"M30,0H26a2,2,0,0,0-2,2V12a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V2A2,2,0,0,0,30,0ZM26,12V2h4V12Z"}),props.children);});var WatsonHealthPetImageO16=/*#__PURE__*/React.forwardRef(function WatsonHealthPetImageO16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"11",y:"29"}),React.createElement("rect",{width:"2",height:"3",x:"11",y:"8"}),React.createElement("rect",{width:"3",height:"2",y:"19"}),React.createElement("rect",{width:"3",height:"2",x:"21",y:"19"}),React.createElement("rect",{width:"1.98",height:"3",x:"3.59",y:"11.09",transform:"rotate(-45 4.585 12.59)"}),React.createElement("rect",{width:"1.98",height:"3",x:"18.44",y:"25.93",transform:"rotate(-45 19.429 27.422)"}),React.createElement("rect",{width:"3",height:"1.98",x:"3.09",y:"26.44",transform:"rotate(-45 4.591 27.428)"}),React.createElement("rect",{width:"3",height:"1.98",x:"17.93",y:"11.59",transform:"rotate(-45 19.423 12.585)"}),React.createElement("path",{d:"M12,13a7,7,0,1,0,7,7A7,7,0,0,0,12,13Zm0,12a5,5,0,0,1,0-10Z"}),React.createElement("polygon",{points:"2 2 9 2 9 0 0 0 0 9 2 9 2 2"}),React.createElement("path",{d:"M30,0H26a2,2,0,0,0-2,2V12a2,2,0,0,0,2,2h4a2,2,0,0,0,2-2V2A2,2,0,0,0,30,0ZM26,12V2h4V12Z"}),props.children);});var WatsonHealthPointerText32=/*#__PURE__*/React.forwardRef(function WatsonHealthPointerText32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.41 6 13 6 13 4 4 4 4 13 6 13 6 7.41 12.29 13.71 13.71 12.29"}),React.createElement("path",{d:"M28,30H12a2,2,0,0,1-2-2V18h2V28H28V12H18V10H28a2,2,0,0,1,2,2V28A2,2,0,0,1,28,30Z"}),React.createElement("path",{d:"M22,15H17v2h5v2H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V17A2,2,0,0,0,22,15Zm0,8H18V21h4Z"}),props.children);});var WatsonHealthPointerText24=/*#__PURE__*/React.forwardRef(function WatsonHealthPointerText24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.41 6 13 6 13 4 4 4 4 13 6 13 6 7.41 12.29 13.71 13.71 12.29"}),React.createElement("path",{d:"M28,30H12a2,2,0,0,1-2-2V18h2V28H28V12H18V10H28a2,2,0,0,1,2,2V28A2,2,0,0,1,28,30Z"}),React.createElement("path",{d:"M22,15H17v2h5v2H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V17A2,2,0,0,0,22,15Zm0,8H18V21h4Z"}),props.children);});var WatsonHealthPointerText20=/*#__PURE__*/React.forwardRef(function WatsonHealthPointerText20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.41 6 13 6 13 4 4 4 4 13 6 13 6 7.41 12.29 13.71 13.71 12.29"}),React.createElement("path",{d:"M28,30H12a2,2,0,0,1-2-2V18h2V28H28V12H18V10H28a2,2,0,0,1,2,2V28A2,2,0,0,1,28,30Z"}),React.createElement("path",{d:"M22,15H17v2h5v2H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V17A2,2,0,0,0,22,15Zm0,8H18V21h4Z"}),props.children);});var WatsonHealthPointerText16=/*#__PURE__*/React.forwardRef(function WatsonHealthPointerText16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"13.71 12.29 7.41 6 13 6 13 4 4 4 4 13 6 13 6 7.41 12.29 13.71 13.71 12.29"}),React.createElement("path",{d:"M28,30H12a2,2,0,0,1-2-2V18h2V28H28V12H18V10H28a2,2,0,0,1,2,2V28A2,2,0,0,1,28,30Z"}),React.createElement("path",{d:"M22,15H17v2h5v2H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h6V17A2,2,0,0,0,22,15Zm0,8H18V21h4Z"}),props.children);});var WatsonHealthRegionAnalysisArea32=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisArea32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16H28A12,12,0,1,0,16,28Z"}),props.children);});var WatsonHealthRegionAnalysisArea24=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisArea24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16H28A12,12,0,1,0,16,28Z"}),props.children);});var WatsonHealthRegionAnalysisArea20=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisArea20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16H28A12,12,0,1,0,16,28Z"}),props.children);});var WatsonHealthRegionAnalysisArea16=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisArea16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M16,30A14,14,0,1,1,30,16H28A12,12,0,1,0,16,28Z"}),props.children);});var WatsonHealthRegionAnalysisVolume32=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisVolume32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M4.8305,20.3555A24.9534,24.9534,0,0,0,15,22.9644v-2A22.9014,22.9014,0,0,1,4.1335,17.6919,11.979,11.979,0,0,1,4,16a11.9847,11.9847,0,0,1,.1332-1.69,22.9282,22.9282,0,0,1,23.7336,0A11.9847,11.9847,0,0,1,28,16h2A14,14,0,1,0,16,30V28A12.01,12.01,0,0,1,4.8305,20.3555ZM16,4a12.01,12.01,0,0,1,11.17,7.6465,24.8982,24.8982,0,0,0-22.3406,0A12.01,12.01,0,0,1,16,4Z"}),props.children);});var WatsonHealthRegionAnalysisVolume24=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisVolume24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M4.8305,20.3555A24.9534,24.9534,0,0,0,15,22.9644v-2A22.9014,22.9014,0,0,1,4.1335,17.6919,11.979,11.979,0,0,1,4,16a11.9847,11.9847,0,0,1,.1332-1.69,22.9282,22.9282,0,0,1,23.7336,0A11.9847,11.9847,0,0,1,28,16h2A14,14,0,1,0,16,30V28A12.01,12.01,0,0,1,4.8305,20.3555ZM16,4a12.01,12.01,0,0,1,11.17,7.6465,24.8982,24.8982,0,0,0-22.3406,0A12.01,12.01,0,0,1,16,4Z"}),props.children);});var WatsonHealthRegionAnalysisVolume20=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisVolume20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M4.8305,20.3555A24.9534,24.9534,0,0,0,15,22.9644v-2A22.9014,22.9014,0,0,1,4.1335,17.6919,11.979,11.979,0,0,1,4,16a11.9847,11.9847,0,0,1,.1332-1.69,22.9282,22.9282,0,0,1,23.7336,0A11.9847,11.9847,0,0,1,28,16h2A14,14,0,1,0,16,30V28A12.01,12.01,0,0,1,4.8305,20.3555ZM16,4a12.01,12.01,0,0,1,11.17,7.6465,24.8982,24.8982,0,0,0-22.3406,0A12.01,12.01,0,0,1,16,4Z"}),props.children);});var WatsonHealthRegionAnalysisVolume16=/*#__PURE__*/React.forwardRef(function WatsonHealthRegionAnalysisVolume16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M30,23V21H28V19H26v2H23V19H21v2H19v2h2v3H19v2h2v2h2V28h3v2h2V28h2V26H28V23Zm-4,3H23V23h3Z"}),React.createElement("path",{d:"M4.8305,20.3555A24.9534,24.9534,0,0,0,15,22.9644v-2A22.9014,22.9014,0,0,1,4.1335,17.6919,11.979,11.979,0,0,1,4,16a11.9847,11.9847,0,0,1,.1332-1.69,22.9282,22.9282,0,0,1,23.7336,0A11.9847,11.9847,0,0,1,28,16h2A14,14,0,1,0,16,30V28A12.01,12.01,0,0,1,4.8305,20.3555ZM16,4a12.01,12.01,0,0,1,11.17,7.6465,24.8982,24.8982,0,0,0-22.3406,0A12.01,12.01,0,0,1,16,4Z"}),props.children);});var WatsonHealthRegistration32=/*#__PURE__*/React.forwardRef(function WatsonHealthRegistration32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,25H20a2.0027,2.0027,0,0,1-2-2V20h2v3h8V9H20v3H18V9a2.0023,2.0023,0,0,1,2-2h8a2.0023,2.0023,0,0,1,2,2V23A2.0027,2.0027,0,0,1,28,25Z"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"15"}),React.createElement("path",{d:"M12,25H4a2.0023,2.0023,0,0,1-2-2V9A2.002,2.002,0,0,1,4,7h8a2.002,2.002,0,0,1,2,2v3H12V9H4V23h8V20h2v3A2.0023,2.0023,0,0,1,12,25Z"}),props.children);});var WatsonHealthRegistration24=/*#__PURE__*/React.forwardRef(function WatsonHealthRegistration24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,25H20a2.0027,2.0027,0,0,1-2-2V20h2v3h8V9H20v3H18V9a2.0023,2.0023,0,0,1,2-2h8a2.0023,2.0023,0,0,1,2,2V23A2.0027,2.0027,0,0,1,28,25Z"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"15"}),React.createElement("path",{d:"M12,25H4a2.0023,2.0023,0,0,1-2-2V9A2.002,2.002,0,0,1,4,7h8a2.002,2.002,0,0,1,2,2v3H12V9H4V23h8V20h2v3A2.0023,2.0023,0,0,1,12,25Z"}),props.children);});var WatsonHealthRegistration20=/*#__PURE__*/React.forwardRef(function WatsonHealthRegistration20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,25H20a2.0027,2.0027,0,0,1-2-2V20h2v3h8V9H20v3H18V9a2.0023,2.0023,0,0,1,2-2h8a2.0023,2.0023,0,0,1,2,2V23A2.0027,2.0027,0,0,1,28,25Z"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"15"}),React.createElement("path",{d:"M12,25H4a2.0023,2.0023,0,0,1-2-2V9A2.002,2.002,0,0,1,4,7h8a2.002,2.002,0,0,1,2,2v3H12V9H4V23h8V20h2v3A2.0023,2.0023,0,0,1,12,25Z"}),props.children);});var WatsonHealthRegistration16=/*#__PURE__*/React.forwardRef(function WatsonHealthRegistration16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,25H20a2.0027,2.0027,0,0,1-2-2V20h2v3h8V9H20v3H18V9a2.0023,2.0023,0,0,1,2-2h8a2.0023,2.0023,0,0,1,2,2V23A2.0027,2.0027,0,0,1,28,25Z"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"20",y:"15"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"15"}),React.createElement("path",{d:"M12,25H4a2.0023,2.0023,0,0,1-2-2V9A2.002,2.002,0,0,1,4,7h8a2.002,2.002,0,0,1,2,2v3H12V9H4V23h8V20h2v3A2.0023,2.0023,0,0,1,12,25Z"}),props.children);});var WatsonHealthRotate_18032=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_18032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.0913,26.8235l-.3467,1.968a12.8956,12.8956,0,0,1-4.24-1.5418l1-1.7307A10.9086,10.9086,0,0,0,14.0913,26.8235Z"}),React.createElement("path",{d:"M7.5767,23.0682,6.0449,24.3533a12.9811,12.9811,0,0,1-2.25-3.9112l1.8775-.6834A10.9808,10.9808,0,0,0,7.5767,23.0682Z"}),React.createElement("path",{d:"M22.4951,27.25a12.8956,12.8956,0,0,1-4.24,1.5418l-.3467-1.968a10.9086,10.9086,0,0,0,3.5869-1.3045Z"}),React.createElement("path",{d:"M26.3271,19.7587l1.8775.6834a12.9811,12.9811,0,0,1-2.2495,3.9112l-.3115-.2614-1.22-1.0237h0a10.9822,10.9822,0,0,0,1.9038-3.3093Z"}),React.createElement("path",{d:"M13.6616,5.2559c-.1592.0346-.3144.08-.4712.1215-.2131.0562-.4258.1138-.6335.1822-.1643.0547-.325.1167-.4859.1782-.1926.0742-.3835.1509-.57.2349-.1611.0727-.3193.15-.4763.23q-.2677.1363-.5262.2867c-.153.0893-.3046.18-.4531.2758-.1679.1089-.3308.2242-.4922.3413-.1406.1026-.2817.2037-.417.3125-.1616.1294-.3156.2676-.47.4063-.1225.11-.2478.2168-.3652.332-.1668.1636-.3223.3379-.4785.5117A10.9438,10.9438,0,0,0,5,16H3A12.9363,12.9363,0,0,1,6.05,7.65l-.0047-.0039c.0918-.1094.197-.2061.2925-.3125.1841-.2051.3672-.41.5635-.603.1382-.1358.2856-.2613.43-.3907.1831-.1645.3657-.3286.5581-.4824.1592-.1279.3244-.2466.4895-.3667.1921-.14.3855-.2768.5854-.4062.1743-.1128.3523-.2188.5322-.3238q.3081-.1786.6253-.3408c.1846-.0942.37-.1846.56-.27.2224-.1.449-.1914.678-.2793.1894-.0723.3777-.1455.5713-.209.2463-.0815.498-.1494.7507-.2163.1848-.0493.3674-.1025.5554-.1431.29-.0634.5865-.1074.8833-.1508.159-.023.3145-.0552.4754-.0728A12.9331,12.9331,0,0,1,26,7.7031V4h2v8H20V10h5.1885A10.961,10.961,0,0,0,16,5a11.1114,11.1114,0,0,0-1.189.0669c-.1362.0146-.268.042-.4026.0615C14.1575,5.165,13.907,5.2026,13.6616,5.2559Z"}),props.children);});var WatsonHealthRotate_18024=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_18024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.0913,26.8235l-.3467,1.968a12.8956,12.8956,0,0,1-4.24-1.5418l1-1.7307A10.9086,10.9086,0,0,0,14.0913,26.8235Z"}),React.createElement("path",{d:"M7.5767,23.0682,6.0449,24.3533a12.9811,12.9811,0,0,1-2.25-3.9112l1.8775-.6834A10.9808,10.9808,0,0,0,7.5767,23.0682Z"}),React.createElement("path",{d:"M22.4951,27.25a12.8956,12.8956,0,0,1-4.24,1.5418l-.3467-1.968a10.9086,10.9086,0,0,0,3.5869-1.3045Z"}),React.createElement("path",{d:"M26.3271,19.7587l1.8775.6834a12.9811,12.9811,0,0,1-2.2495,3.9112l-.3115-.2614-1.22-1.0237h0a10.9822,10.9822,0,0,0,1.9038-3.3093Z"}),React.createElement("path",{d:"M13.6616,5.2559c-.1592.0346-.3144.08-.4712.1215-.2131.0562-.4258.1138-.6335.1822-.1643.0547-.325.1167-.4859.1782-.1926.0742-.3835.1509-.57.2349-.1611.0727-.3193.15-.4763.23q-.2677.1363-.5262.2867c-.153.0893-.3046.18-.4531.2758-.1679.1089-.3308.2242-.4922.3413-.1406.1026-.2817.2037-.417.3125-.1616.1294-.3156.2676-.47.4063-.1225.11-.2478.2168-.3652.332-.1668.1636-.3223.3379-.4785.5117A10.9438,10.9438,0,0,0,5,16H3A12.9363,12.9363,0,0,1,6.05,7.65l-.0047-.0039c.0918-.1094.197-.2061.2925-.3125.1841-.2051.3672-.41.5635-.603.1382-.1358.2856-.2613.43-.3907.1831-.1645.3657-.3286.5581-.4824.1592-.1279.3244-.2466.4895-.3667.1921-.14.3855-.2768.5854-.4062.1743-.1128.3523-.2188.5322-.3238q.3081-.1786.6253-.3408c.1846-.0942.37-.1846.56-.27.2224-.1.449-.1914.678-.2793.1894-.0723.3777-.1455.5713-.209.2463-.0815.498-.1494.7507-.2163.1848-.0493.3674-.1025.5554-.1431.29-.0634.5865-.1074.8833-.1508.159-.023.3145-.0552.4754-.0728A12.9331,12.9331,0,0,1,26,7.7031V4h2v8H20V10h5.1885A10.961,10.961,0,0,0,16,5a11.1114,11.1114,0,0,0-1.189.0669c-.1362.0146-.268.042-.4026.0615C14.1575,5.165,13.907,5.2026,13.6616,5.2559Z"}),props.children);});var WatsonHealthRotate_18020=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_18020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.0913,26.8235l-.3467,1.968a12.8956,12.8956,0,0,1-4.24-1.5418l1-1.7307A10.9086,10.9086,0,0,0,14.0913,26.8235Z"}),React.createElement("path",{d:"M7.5767,23.0682,6.0449,24.3533a12.9811,12.9811,0,0,1-2.25-3.9112l1.8775-.6834A10.9808,10.9808,0,0,0,7.5767,23.0682Z"}),React.createElement("path",{d:"M22.4951,27.25a12.8956,12.8956,0,0,1-4.24,1.5418l-.3467-1.968a10.9086,10.9086,0,0,0,3.5869-1.3045Z"}),React.createElement("path",{d:"M26.3271,19.7587l1.8775.6834a12.9811,12.9811,0,0,1-2.2495,3.9112l-.3115-.2614-1.22-1.0237h0a10.9822,10.9822,0,0,0,1.9038-3.3093Z"}),React.createElement("path",{d:"M13.6616,5.2559c-.1592.0346-.3144.08-.4712.1215-.2131.0562-.4258.1138-.6335.1822-.1643.0547-.325.1167-.4859.1782-.1926.0742-.3835.1509-.57.2349-.1611.0727-.3193.15-.4763.23q-.2677.1363-.5262.2867c-.153.0893-.3046.18-.4531.2758-.1679.1089-.3308.2242-.4922.3413-.1406.1026-.2817.2037-.417.3125-.1616.1294-.3156.2676-.47.4063-.1225.11-.2478.2168-.3652.332-.1668.1636-.3223.3379-.4785.5117A10.9438,10.9438,0,0,0,5,16H3A12.9363,12.9363,0,0,1,6.05,7.65l-.0047-.0039c.0918-.1094.197-.2061.2925-.3125.1841-.2051.3672-.41.5635-.603.1382-.1358.2856-.2613.43-.3907.1831-.1645.3657-.3286.5581-.4824.1592-.1279.3244-.2466.4895-.3667.1921-.14.3855-.2768.5854-.4062.1743-.1128.3523-.2188.5322-.3238q.3081-.1786.6253-.3408c.1846-.0942.37-.1846.56-.27.2224-.1.449-.1914.678-.2793.1894-.0723.3777-.1455.5713-.209.2463-.0815.498-.1494.7507-.2163.1848-.0493.3674-.1025.5554-.1431.29-.0634.5865-.1074.8833-.1508.159-.023.3145-.0552.4754-.0728A12.9331,12.9331,0,0,1,26,7.7031V4h2v8H20V10h5.1885A10.961,10.961,0,0,0,16,5a11.1114,11.1114,0,0,0-1.189.0669c-.1362.0146-.268.042-.4026.0615C14.1575,5.165,13.907,5.2026,13.6616,5.2559Z"}),props.children);});var WatsonHealthRotate_18016=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_18016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M14.0913,26.8235l-.3467,1.968a12.8956,12.8956,0,0,1-4.24-1.5418l1-1.7307A10.9086,10.9086,0,0,0,14.0913,26.8235Z"}),React.createElement("path",{d:"M7.5767,23.0682,6.0449,24.3533a12.9811,12.9811,0,0,1-2.25-3.9112l1.8775-.6834A10.9808,10.9808,0,0,0,7.5767,23.0682Z"}),React.createElement("path",{d:"M22.4951,27.25a12.8956,12.8956,0,0,1-4.24,1.5418l-.3467-1.968a10.9086,10.9086,0,0,0,3.5869-1.3045Z"}),React.createElement("path",{d:"M26.3271,19.7587l1.8775.6834a12.9811,12.9811,0,0,1-2.2495,3.9112l-.3115-.2614-1.22-1.0237h0a10.9822,10.9822,0,0,0,1.9038-3.3093Z"}),React.createElement("path",{d:"M13.6616,5.2559c-.1592.0346-.3144.08-.4712.1215-.2131.0562-.4258.1138-.6335.1822-.1643.0547-.325.1167-.4859.1782-.1926.0742-.3835.1509-.57.2349-.1611.0727-.3193.15-.4763.23q-.2677.1363-.5262.2867c-.153.0893-.3046.18-.4531.2758-.1679.1089-.3308.2242-.4922.3413-.1406.1026-.2817.2037-.417.3125-.1616.1294-.3156.2676-.47.4063-.1225.11-.2478.2168-.3652.332-.1668.1636-.3223.3379-.4785.5117A10.9438,10.9438,0,0,0,5,16H3A12.9363,12.9363,0,0,1,6.05,7.65l-.0047-.0039c.0918-.1094.197-.2061.2925-.3125.1841-.2051.3672-.41.5635-.603.1382-.1358.2856-.2613.43-.3907.1831-.1645.3657-.3286.5581-.4824.1592-.1279.3244-.2466.4895-.3667.1921-.14.3855-.2768.5854-.4062.1743-.1128.3523-.2188.5322-.3238q.3081-.1786.6253-.3408c.1846-.0942.37-.1846.56-.27.2224-.1.449-.1914.678-.2793.1894-.0723.3777-.1455.5713-.209.2463-.0815.498-.1494.7507-.2163.1848-.0493.3674-.1025.5554-.1431.29-.0634.5865-.1074.8833-.1508.159-.023.3145-.0552.4754-.0728A12.9331,12.9331,0,0,1,26,7.7031V4h2v8H20V10h5.1885A10.961,10.961,0,0,0,16,5a11.1114,11.1114,0,0,0-1.189.0669c-.1362.0146-.268.042-.4026.0615C14.1575,5.165,13.907,5.2026,13.6616,5.2559Z"}),props.children);});var WatsonHealthRotate_36032=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_36032(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.95,7.65l.0047-.0039c-.0918-.1094-.197-.2061-.2925-.3125-.1841-.2051-.3672-.41-.5635-.603-.1382-.1358-.2856-.2613-.43-.3907-.1831-.1645-.3657-.3286-.5581-.4824-.1592-.1279-.3244-.2466-.4895-.3667-.1921-.14-.3855-.2768-.5854-.4062-.1743-.1128-.3523-.2188-.5322-.3238q-.3081-.1786-.6253-.3408c-.1846-.0942-.37-.1846-.56-.27-.2224-.1-.449-.1914-.678-.2793-.1894-.0723-.3777-.1455-.5713-.209-.2463-.0815-.498-.1494-.7507-.2163-.1848-.0493-.3674-.1025-.5554-.1431-.29-.0634-.5865-.1074-.8833-.1508-.159-.023-.3145-.0552-.4754-.0728A12.9331,12.9331,0,0,0,6,7.7031V4H4v8h8V10H6.8115A10.961,10.961,0,0,1,16,5a11.1114,11.1114,0,0,1,1.189.0669c.1362.0146.268.042.4026.0615.2509.0366.5014.0742.7468.1275.1592.0346.3144.08.4712.1215.2131.0562.4258.1138.6335.1822.1643.0547.325.1167.4859.1782.1926.0742.3835.1509.5705.2349.1611.0727.3193.15.4763.23q.2677.1363.5262.2867c.153.0893.3046.18.4531.2758.1679.1089.3308.2242.4922.3413.1406.1026.2817.2037.417.3125.1616.1294.3156.2676.47.4063.1225.11.2478.2168.3652.332.1668.1636.3223.3379.4785.5117A10.9928,10.9928,0,1,1,5,16H3A13,13,0,1,0,25.95,7.65Z"}),props.children);});var WatsonHealthRotate_36024=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_36024(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.95,7.65l.0047-.0039c-.0918-.1094-.197-.2061-.2925-.3125-.1841-.2051-.3672-.41-.5635-.603-.1382-.1358-.2856-.2613-.43-.3907-.1831-.1645-.3657-.3286-.5581-.4824-.1592-.1279-.3244-.2466-.4895-.3667-.1921-.14-.3855-.2768-.5854-.4062-.1743-.1128-.3523-.2188-.5322-.3238q-.3081-.1786-.6253-.3408c-.1846-.0942-.37-.1846-.56-.27-.2224-.1-.449-.1914-.678-.2793-.1894-.0723-.3777-.1455-.5713-.209-.2463-.0815-.498-.1494-.7507-.2163-.1848-.0493-.3674-.1025-.5554-.1431-.29-.0634-.5865-.1074-.8833-.1508-.159-.023-.3145-.0552-.4754-.0728A12.9331,12.9331,0,0,0,6,7.7031V4H4v8h8V10H6.8115A10.961,10.961,0,0,1,16,5a11.1114,11.1114,0,0,1,1.189.0669c.1362.0146.268.042.4026.0615.2509.0366.5014.0742.7468.1275.1592.0346.3144.08.4712.1215.2131.0562.4258.1138.6335.1822.1643.0547.325.1167.4859.1782.1926.0742.3835.1509.5705.2349.1611.0727.3193.15.4763.23q.2677.1363.5262.2867c.153.0893.3046.18.4531.2758.1679.1089.3308.2242.4922.3413.1406.1026.2817.2037.417.3125.1616.1294.3156.2676.47.4063.1225.11.2478.2168.3652.332.1668.1636.3223.3379.4785.5117A10.9928,10.9928,0,1,1,5,16H3A13,13,0,1,0,25.95,7.65Z"}),props.children);});var WatsonHealthRotate_36020=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_36020(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.95,7.65l.0047-.0039c-.0918-.1094-.197-.2061-.2925-.3125-.1841-.2051-.3672-.41-.5635-.603-.1382-.1358-.2856-.2613-.43-.3907-.1831-.1645-.3657-.3286-.5581-.4824-.1592-.1279-.3244-.2466-.4895-.3667-.1921-.14-.3855-.2768-.5854-.4062-.1743-.1128-.3523-.2188-.5322-.3238q-.3081-.1786-.6253-.3408c-.1846-.0942-.37-.1846-.56-.27-.2224-.1-.449-.1914-.678-.2793-.1894-.0723-.3777-.1455-.5713-.209-.2463-.0815-.498-.1494-.7507-.2163-.1848-.0493-.3674-.1025-.5554-.1431-.29-.0634-.5865-.1074-.8833-.1508-.159-.023-.3145-.0552-.4754-.0728A12.9331,12.9331,0,0,0,6,7.7031V4H4v8h8V10H6.8115A10.961,10.961,0,0,1,16,5a11.1114,11.1114,0,0,1,1.189.0669c.1362.0146.268.042.4026.0615.2509.0366.5014.0742.7468.1275.1592.0346.3144.08.4712.1215.2131.0562.4258.1138.6335.1822.1643.0547.325.1167.4859.1782.1926.0742.3835.1509.5705.2349.1611.0727.3193.15.4763.23q.2677.1363.5262.2867c.153.0893.3046.18.4531.2758.1679.1089.3308.2242.4922.3413.1406.1026.2817.2037.417.3125.1616.1294.3156.2676.47.4063.1225.11.2478.2168.3652.332.1668.1636.3223.3379.4785.5117A10.9928,10.9928,0,1,1,5,16H3A13,13,0,1,0,25.95,7.65Z"}),props.children);});var WatsonHealthRotate_36016=/*#__PURE__*/React.forwardRef(function WatsonHealthRotate_36016(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25.95,7.65l.0047-.0039c-.0918-.1094-.197-.2061-.2925-.3125-.1841-.2051-.3672-.41-.5635-.603-.1382-.1358-.2856-.2613-.43-.3907-.1831-.1645-.3657-.3286-.5581-.4824-.1592-.1279-.3244-.2466-.4895-.3667-.1921-.14-.3855-.2768-.5854-.4062-.1743-.1128-.3523-.2188-.5322-.3238q-.3081-.1786-.6253-.3408c-.1846-.0942-.37-.1846-.56-.27-.2224-.1-.449-.1914-.678-.2793-.1894-.0723-.3777-.1455-.5713-.209-.2463-.0815-.498-.1494-.7507-.2163-.1848-.0493-.3674-.1025-.5554-.1431-.29-.0634-.5865-.1074-.8833-.1508-.159-.023-.3145-.0552-.4754-.0728A12.9331,12.9331,0,0,0,6,7.7031V4H4v8h8V10H6.8115A10.961,10.961,0,0,1,16,5a11.1114,11.1114,0,0,1,1.189.0669c.1362.0146.268.042.4026.0615.2509.0366.5014.0742.7468.1275.1592.0346.3144.08.4712.1215.2131.0562.4258.1138.6335.1822.1643.0547.325.1167.4859.1782.1926.0742.3835.1509.5705.2349.1611.0727.3193.15.4763.23q.2677.1363.5262.2867c.153.0893.3046.18.4531.2758.1679.1089.3308.2242.4922.3413.1406.1026.2817.2037.417.3125.1616.1294.3156.2676.47.4063.1225.11.2478.2168.3652.332.1668.1636.3223.3379.4785.5117A10.9928,10.9928,0,1,1,5,16H3A13,13,0,1,0,25.95,7.65Z"}),props.children);});var WatsonHealthSaveAnnotation32=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveAnnotation32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H8V7H6V4A2,2,0,0,1,8,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"10"}),props.children);});var WatsonHealthSaveAnnotation24=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveAnnotation24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H8V7H6V4A2,2,0,0,1,8,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"10"}),props.children);});var WatsonHealthSaveAnnotation20=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveAnnotation20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H8V7H6V4A2,2,0,0,1,8,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"10"}),props.children);});var WatsonHealthSaveAnnotation16=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveAnnotation16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H8V7H6V4A2,2,0,0,1,8,2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),React.createElement("rect",{width:"6",height:"2",x:"20",y:"6"}),React.createElement("rect",{width:"4",height:"2",x:"22",y:"10"}),props.children);});var WatsonHealthSaveImage32=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveImage32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H14V7H12V4a2,2,0,0,1,2-2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),props.children);});var WatsonHealthSaveImage24=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveImage24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H14V7H12V4a2,2,0,0,1,2-2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),props.children);});var WatsonHealthSaveImage20=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveImage20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H14V7H12V4a2,2,0,0,1,2-2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),props.children);});var WatsonHealthSaveImage16=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveImage16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M28,20H25V18h3V4H14V7H12V4a2,2,0,0,1,2-2H28a2,2,0,0,1,2,2V18A2,2,0,0,1,28,20Z"}),props.children);});var WatsonHealthSaveSeries32=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveSeries32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M27,21H25V7H11V5H25a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,14H30V2H18V0H30a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthSaveSeries24=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveSeries24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M27,21H25V7H11V5H25a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,14H30V2H18V0H30a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthSaveSeries20=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveSeries20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M27,21H25V7H11V5H25a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,14H30V2H18V0H30a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthSaveSeries16=/*#__PURE__*/React.forwardRef(function WatsonHealthSaveSeries16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.56,15.1l-3.48-4.35A2,2,0,0,0,16.52,10H4a2,2,0,0,0-2,2V28a2,2,0,0,0,2,2H20a2,2,0,0,0,2-2V16.35A2,2,0,0,0,21.56,15.1ZM9,12h6v3H9Zm6,16H9V22h6Zm2,0V22a2,2,0,0,0-2-2H9a2,2,0,0,0-2,2v6H4V12H7v3a2,2,0,0,0,2,2h6a2,2,0,0,0,2-2V12.6l3,3.75V28Z"}),React.createElement("path",{d:"M27,21H25V7H11V5H25a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,14H30V2H18V0H30a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthScalpelCursor32=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelCursor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("polygon",{points:"13 4 4 4 4 13 6 13 6 6 13 6 13 4"}),props.children);});var WatsonHealthScalpelCursor24=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelCursor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("polygon",{points:"13 4 4 4 4 13 6 13 6 6 13 6 13 4"}),props.children);});var WatsonHealthScalpelCursor20=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelCursor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("polygon",{points:"13 4 4 4 4 13 6 13 6 6 13 6 13 4"}),props.children);});var WatsonHealthScalpelCursor16=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelCursor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("polygon",{points:"13 4 4 4 4 13 6 13 6 6 13 6 13 4"}),props.children);});var WatsonHealthScalpelLasso32=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelLasso32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("path",{d:"M11,2H7a4.9843,4.9843,0,0,0-3.8633,8.1528A2.9586,2.9586,0,0,0,3,11a2.9945,2.9945,0,0,0,2,2.8154V14a2.0025,2.0025,0,0,1-2,2H2v2H3a4.0045,4.0045,0,0,0,4-4v-.1841A2.9959,2.9959,0,0,0,8.8157,12H11A5,5,0,0,0,11,2ZM6,12a1,1,0,1,1,1-1A1.0009,1.0009,0,0,1,6,12Zm5-2H8.8157A2.974,2.974,0,0,0,4.394,8.4746,2.9908,2.9908,0,0,1,7,4h4a3,3,0,0,1,0,6Z"}),props.children);});var WatsonHealthScalpelLasso24=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelLasso24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("path",{d:"M11,2H7a4.9843,4.9843,0,0,0-3.8633,8.1528A2.9586,2.9586,0,0,0,3,11a2.9945,2.9945,0,0,0,2,2.8154V14a2.0025,2.0025,0,0,1-2,2H2v2H3a4.0045,4.0045,0,0,0,4-4v-.1841A2.9959,2.9959,0,0,0,8.8157,12H11A5,5,0,0,0,11,2ZM6,12a1,1,0,1,1,1-1A1.0009,1.0009,0,0,1,6,12Zm5-2H8.8157A2.974,2.974,0,0,0,4.394,8.4746,2.9908,2.9908,0,0,1,7,4h4a3,3,0,0,1,0,6Z"}),props.children);});var WatsonHealthScalpelLasso20=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelLasso20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("path",{d:"M11,2H7a4.9843,4.9843,0,0,0-3.8633,8.1528A2.9586,2.9586,0,0,0,3,11a2.9945,2.9945,0,0,0,2,2.8154V14a2.0025,2.0025,0,0,1-2,2H2v2H3a4.0045,4.0045,0,0,0,4-4v-.1841A2.9959,2.9959,0,0,0,8.8157,12H11A5,5,0,0,0,11,2ZM6,12a1,1,0,1,1,1-1A1.0009,1.0009,0,0,1,6,12Zm5-2H8.8157A2.974,2.974,0,0,0,4.394,8.4746,2.9908,2.9908,0,0,1,7,4h4a3,3,0,0,1,0,6Z"}),props.children);});var WatsonHealthScalpelLasso16=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelLasso16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1338a4.0941,4.0941,0,0,0-5.6562,0L.3433,29.9619H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.79a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8406l2.086-2.0858,2.8293,2.8293L15.1224,23.67ZM11.71,27.083a2.9824,2.9824,0,0,1-2.1215.8789H5.1714l5.7073-5.7072,2.83,2.83ZM27.4141,11.376,18.6221,20.17l-2.8293-2.8292,8.7931-8.7928a2.0471,2.0471,0,0,1,2.8282,0,1.9993,1.9993,0,0,1,0,2.8281Z"}),React.createElement("path",{d:"M11,2H7a4.9843,4.9843,0,0,0-3.8633,8.1528A2.9586,2.9586,0,0,0,3,11a2.9945,2.9945,0,0,0,2,2.8154V14a2.0025,2.0025,0,0,1-2,2H2v2H3a4.0045,4.0045,0,0,0,4-4v-.1841A2.9959,2.9959,0,0,0,8.8157,12H11A5,5,0,0,0,11,2ZM6,12a1,1,0,1,1,1-1A1.0009,1.0009,0,0,1,6,12Zm5-2H8.8157A2.974,2.974,0,0,0,4.394,8.4746,2.9908,2.9908,0,0,1,7,4h4a3,3,0,0,1,0,6Z"}),props.children);});var WatsonHealthScalpelSelect32=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelSelect32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1719a4.0941,4.0941,0,0,0-5.6562,0L.3433,30H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.8281a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8787l2.086-2.0859,2.8293,2.8294-2.0857,2.0862ZM11.71,27.1211A2.9824,2.9824,0,0,1,9.5889,28H5.1714l5.7073-5.7072,2.83,2.83Zm15.7037-15.707-8.792,8.7939-2.8293-2.8292,8.7931-8.7929a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),React.createElement("path",{d:"M15,2a2.9948,2.9948,0,0,0-2.8157,2H7.8156A2.9925,2.9925,0,1,0,4,7.8154v4.3687a3,3,0,1,0,2,0V7.8159A2.9959,2.9959,0,0,0,7.8156,6h4.3686A2.9947,2.9947,0,1,0,15,2ZM5,16a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,5,16ZM5,6A1,1,0,1,1,6,5,1.0008,1.0008,0,0,1,5,6ZM15,6a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,15,6Z"}),props.children);});var WatsonHealthScalpelSelect24=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelSelect24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1719a4.0941,4.0941,0,0,0-5.6562,0L.3433,30H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.8281a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8787l2.086-2.0859,2.8293,2.8294-2.0857,2.0862ZM11.71,27.1211A2.9824,2.9824,0,0,1,9.5889,28H5.1714l5.7073-5.7072,2.83,2.83Zm15.7037-15.707-8.792,8.7939-2.8293-2.8292,8.7931-8.7929a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),React.createElement("path",{d:"M15,2a2.9948,2.9948,0,0,0-2.8157,2H7.8156A2.9925,2.9925,0,1,0,4,7.8154v4.3687a3,3,0,1,0,2,0V7.8159A2.9959,2.9959,0,0,0,7.8156,6h4.3686A2.9947,2.9947,0,1,0,15,2ZM5,16a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,5,16ZM5,6A1,1,0,1,1,6,5,1.0008,1.0008,0,0,1,5,6ZM15,6a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,15,6Z"}),props.children);});var WatsonHealthScalpelSelect20=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelSelect20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1719a4.0941,4.0941,0,0,0-5.6562,0L.3433,30H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.8281a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8787l2.086-2.0859,2.8293,2.8294-2.0857,2.0862ZM11.71,27.1211A2.9824,2.9824,0,0,1,9.5889,28H5.1714l5.7073-5.7072,2.83,2.83Zm15.7037-15.707-8.792,8.7939-2.8293-2.8292,8.7931-8.7929a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),React.createElement("path",{d:"M15,2a2.9948,2.9948,0,0,0-2.8157,2H7.8156A2.9925,2.9925,0,1,0,4,7.8154v4.3687a3,3,0,1,0,2,0V7.8159A2.9959,2.9959,0,0,0,7.8156,6h4.3686A2.9947,2.9947,0,1,0,15,2ZM5,16a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,5,16ZM5,6A1,1,0,1,1,6,5,1.0008,1.0008,0,0,1,5,6ZM15,6a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,15,6Z"}),props.children);});var WatsonHealthScalpelSelect16=/*#__PURE__*/React.forwardRef(function WatsonHealthScalpelSelect16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28.8281,7.1719a4.0941,4.0941,0,0,0-5.6562,0L.3433,30H9.5889a4.9682,4.9682,0,0,0,3.5356-1.4648L28.8281,12.8281a3.9984,3.9984,0,0,0,0-5.6562ZM12.2928,20.8787l2.086-2.0859,2.8293,2.8294-2.0857,2.0862ZM11.71,27.1211A2.9824,2.9824,0,0,1,9.5889,28H5.1714l5.7073-5.7072,2.83,2.83Zm15.7037-15.707-8.792,8.7939-2.8293-2.8292,8.7931-8.7929a2.0473,2.0473,0,0,1,2.8282,0,1.9995,1.9995,0,0,1,0,2.8282Z"}),React.createElement("path",{d:"M15,2a2.9948,2.9948,0,0,0-2.8157,2H7.8156A2.9925,2.9925,0,1,0,4,7.8154v4.3687a3,3,0,1,0,2,0V7.8159A2.9959,2.9959,0,0,0,7.8156,6h4.3686A2.9947,2.9947,0,1,0,15,2ZM5,16a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,5,16ZM5,6A1,1,0,1,1,6,5,1.0008,1.0008,0,0,1,5,6ZM15,6a1,1,0,1,1,1-1A1.0008,1.0008,0,0,1,15,6Z"}),props.children);});var WatsonHealthSmoothingCursor32=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothingCursor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"18",cy:"18",r:"4"}),React.createElement("path",{d:"M18,30a11.8932,11.8932,0,0,1-4.1035-.72L14.58,27.4A9.9725,9.9725,0,0,0,18,28Z"}),React.createElement("path",{d:"M22.1484,29.2637l-.6914-1.877a9.9556,9.9556,0,0,0,2.9973-1.748l1.2916,1.5268A11.9525,11.9525,0,0,1,22.1484,29.2637Z"}),React.createElement("path",{d:"M10.2893,27.1951A12.0141,12.0141,0,0,1,7.61,24.0078l1.73-1.0029a10.0236,10.0236,0,0,0,2.2347,2.6584Z"}),React.createElement("path",{d:"M28.4133,23.967l-1.7343-.9956a9.9159,9.9159,0,0,0,1.176-3.2641l1.9712.3388A11.8956,11.8956,0,0,1,28.4133,23.967Z"}),React.createElement("path",{d:"M6.1821,20.0925A12.1282,12.1282,0,0,1,6.1777,15.93l1.9707.3423a10.1214,10.1214,0,0,0,.0035,3.4738Z"}),React.createElement("path",{d:"M27.8447,16.2339a9.9019,9.9019,0,0,0-1.1953-3.2564l1.7285-1.0063a11.9029,11.9029,0,0,1,1.4361,3.9121Z"}),React.createElement("path",{d:"M9.3313,13.0107l-1.7324-.999a12.01,12.01,0,0,1,2.6738-3.1931l1.2886,1.53A10.01,10.01,0,0,0,9.3313,13.0107Z"}),React.createElement("path",{d:"M24.4094,10.3237a9.96,9.96,0,0,0-3.0088-1.7309l.68-1.8809a11.9491,11.9491,0,0,1,3.6118,2.0772Z"}),React.createElement("path",{d:"M14.562,8.6064l-.6875-1.8779A12.1031,12.1031,0,0,1,18,6V8A10.0875,10.0875,0,0,0,14.562,8.6064Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthSmoothingCursor24=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothingCursor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"18",cy:"18",r:"4"}),React.createElement("path",{d:"M18,30a11.8932,11.8932,0,0,1-4.1035-.72L14.58,27.4A9.9725,9.9725,0,0,0,18,28Z"}),React.createElement("path",{d:"M22.1484,29.2637l-.6914-1.877a9.9556,9.9556,0,0,0,2.9973-1.748l1.2916,1.5268A11.9525,11.9525,0,0,1,22.1484,29.2637Z"}),React.createElement("path",{d:"M10.2893,27.1951A12.0141,12.0141,0,0,1,7.61,24.0078l1.73-1.0029a10.0236,10.0236,0,0,0,2.2347,2.6584Z"}),React.createElement("path",{d:"M28.4133,23.967l-1.7343-.9956a9.9159,9.9159,0,0,0,1.176-3.2641l1.9712.3388A11.8956,11.8956,0,0,1,28.4133,23.967Z"}),React.createElement("path",{d:"M6.1821,20.0925A12.1282,12.1282,0,0,1,6.1777,15.93l1.9707.3423a10.1214,10.1214,0,0,0,.0035,3.4738Z"}),React.createElement("path",{d:"M27.8447,16.2339a9.9019,9.9019,0,0,0-1.1953-3.2564l1.7285-1.0063a11.9029,11.9029,0,0,1,1.4361,3.9121Z"}),React.createElement("path",{d:"M9.3313,13.0107l-1.7324-.999a12.01,12.01,0,0,1,2.6738-3.1931l1.2886,1.53A10.01,10.01,0,0,0,9.3313,13.0107Z"}),React.createElement("path",{d:"M24.4094,10.3237a9.96,9.96,0,0,0-3.0088-1.7309l.68-1.8809a11.9491,11.9491,0,0,1,3.6118,2.0772Z"}),React.createElement("path",{d:"M14.562,8.6064l-.6875-1.8779A12.1031,12.1031,0,0,1,18,6V8A10.0875,10.0875,0,0,0,14.562,8.6064Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthSmoothingCursor20=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothingCursor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"18",cy:"18",r:"4"}),React.createElement("path",{d:"M18,30a11.8932,11.8932,0,0,1-4.1035-.72L14.58,27.4A9.9725,9.9725,0,0,0,18,28Z"}),React.createElement("path",{d:"M22.1484,29.2637l-.6914-1.877a9.9556,9.9556,0,0,0,2.9973-1.748l1.2916,1.5268A11.9525,11.9525,0,0,1,22.1484,29.2637Z"}),React.createElement("path",{d:"M10.2893,27.1951A12.0141,12.0141,0,0,1,7.61,24.0078l1.73-1.0029a10.0236,10.0236,0,0,0,2.2347,2.6584Z"}),React.createElement("path",{d:"M28.4133,23.967l-1.7343-.9956a9.9159,9.9159,0,0,0,1.176-3.2641l1.9712.3388A11.8956,11.8956,0,0,1,28.4133,23.967Z"}),React.createElement("path",{d:"M6.1821,20.0925A12.1282,12.1282,0,0,1,6.1777,15.93l1.9707.3423a10.1214,10.1214,0,0,0,.0035,3.4738Z"}),React.createElement("path",{d:"M27.8447,16.2339a9.9019,9.9019,0,0,0-1.1953-3.2564l1.7285-1.0063a11.9029,11.9029,0,0,1,1.4361,3.9121Z"}),React.createElement("path",{d:"M9.3313,13.0107l-1.7324-.999a12.01,12.01,0,0,1,2.6738-3.1931l1.2886,1.53A10.01,10.01,0,0,0,9.3313,13.0107Z"}),React.createElement("path",{d:"M24.4094,10.3237a9.96,9.96,0,0,0-3.0088-1.7309l.68-1.8809a11.9491,11.9491,0,0,1,3.6118,2.0772Z"}),React.createElement("path",{d:"M14.562,8.6064l-.6875-1.8779A12.1031,12.1031,0,0,1,18,6V8A10.0875,10.0875,0,0,0,14.562,8.6064Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthSmoothingCursor16=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothingCursor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"18",cy:"18",r:"4"}),React.createElement("path",{d:"M18,30a11.8932,11.8932,0,0,1-4.1035-.72L14.58,27.4A9.9725,9.9725,0,0,0,18,28Z"}),React.createElement("path",{d:"M22.1484,29.2637l-.6914-1.877a9.9556,9.9556,0,0,0,2.9973-1.748l1.2916,1.5268A11.9525,11.9525,0,0,1,22.1484,29.2637Z"}),React.createElement("path",{d:"M10.2893,27.1951A12.0141,12.0141,0,0,1,7.61,24.0078l1.73-1.0029a10.0236,10.0236,0,0,0,2.2347,2.6584Z"}),React.createElement("path",{d:"M28.4133,23.967l-1.7343-.9956a9.9159,9.9159,0,0,0,1.176-3.2641l1.9712.3388A11.8956,11.8956,0,0,1,28.4133,23.967Z"}),React.createElement("path",{d:"M6.1821,20.0925A12.1282,12.1282,0,0,1,6.1777,15.93l1.9707.3423a10.1214,10.1214,0,0,0,.0035,3.4738Z"}),React.createElement("path",{d:"M27.8447,16.2339a9.9019,9.9019,0,0,0-1.1953-3.2564l1.7285-1.0063a11.9029,11.9029,0,0,1,1.4361,3.9121Z"}),React.createElement("path",{d:"M9.3313,13.0107l-1.7324-.999a12.01,12.01,0,0,1,2.6738-3.1931l1.2886,1.53A10.01,10.01,0,0,0,9.3313,13.0107Z"}),React.createElement("path",{d:"M24.4094,10.3237a9.96,9.96,0,0,0-3.0088-1.7309l.68-1.8809a11.9491,11.9491,0,0,1,3.6118,2.0772Z"}),React.createElement("path",{d:"M14.562,8.6064l-.6875-1.8779A12.1031,12.1031,0,0,1,18,6V8A10.0875,10.0875,0,0,0,14.562,8.6064Z"}),React.createElement("polygon",{points:"11 2 2 2 2 11 4 11 4 4 11 4 11 2"}),props.children);});var WatsonHealthSmoothing32=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothing32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M7.7,4.7a14.7029,14.7029,0,0,0-3,3.1L6.3,9A13.2634,13.2634,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.5111,12.5111,0,0,0,2,16H4A11.4756,11.4756,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4029,14.4029,0,0,0,2,3.9l1.6-1.2a12.8867,12.8867,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4029,14.4029,0,0,0,3.9,2l.6-1.9A12.8867,12.8867,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.4756,11.4756,0,0,1,16,4V2A12.5111,12.5111,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.526,11.526,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.4747,15.4747,0,0,0,30,16H28A11.4756,11.4756,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4029,14.4029,0,0,0-2-3.9L25.6,8.9a12.8867,12.8867,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4029,14.4029,0,0,0-3.9-2l-.6,1.9a12.8867,12.8867,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.4756,11.4756,0,0,1,16,28v2A21.4206,21.4206,0,0,0,20.3,29.3Z"}),props.children);});var WatsonHealthSmoothing24=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothing24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M7.7,4.7a14.7029,14.7029,0,0,0-3,3.1L6.3,9A13.2634,13.2634,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.5111,12.5111,0,0,0,2,16H4A11.4756,11.4756,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4029,14.4029,0,0,0,2,3.9l1.6-1.2a12.8867,12.8867,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4029,14.4029,0,0,0,3.9,2l.6-1.9A12.8867,12.8867,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.4756,11.4756,0,0,1,16,4V2A12.5111,12.5111,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.526,11.526,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.4747,15.4747,0,0,0,30,16H28A11.4756,11.4756,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4029,14.4029,0,0,0-2-3.9L25.6,8.9a12.8867,12.8867,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4029,14.4029,0,0,0-3.9-2l-.6,1.9a12.8867,12.8867,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.4756,11.4756,0,0,1,16,28v2A21.4206,21.4206,0,0,0,20.3,29.3Z"}),props.children);});var WatsonHealthSmoothing20=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothing20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M7.7,4.7a14.7029,14.7029,0,0,0-3,3.1L6.3,9A13.2634,13.2634,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.5111,12.5111,0,0,0,2,16H4A11.4756,11.4756,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4029,14.4029,0,0,0,2,3.9l1.6-1.2a12.8867,12.8867,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4029,14.4029,0,0,0,3.9,2l.6-1.9A12.8867,12.8867,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.4756,11.4756,0,0,1,16,4V2A12.5111,12.5111,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.526,11.526,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.4747,15.4747,0,0,0,30,16H28A11.4756,11.4756,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4029,14.4029,0,0,0-2-3.9L25.6,8.9a12.8867,12.8867,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4029,14.4029,0,0,0-3.9-2l-.6,1.9a12.8867,12.8867,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.4756,11.4756,0,0,1,16,28v2A21.4206,21.4206,0,0,0,20.3,29.3Z"}),props.children);});var WatsonHealthSmoothing16=/*#__PURE__*/React.forwardRef(function WatsonHealthSmoothing16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"16",r:"5"}),React.createElement("path",{d:"M7.7,4.7a14.7029,14.7029,0,0,0-3,3.1L6.3,9A13.2634,13.2634,0,0,1,8.9,6.3Z"}),React.createElement("path",{d:"M4.6,12.3l-1.9-.6A12.5111,12.5111,0,0,0,2,16H4A11.4756,11.4756,0,0,1,4.6,12.3Z"}),React.createElement("path",{d:"M2.7,20.4a14.4029,14.4029,0,0,0,2,3.9l1.6-1.2a12.8867,12.8867,0,0,1-1.7-3.3Z"}),React.createElement("path",{d:"M7.8,27.3a14.4029,14.4029,0,0,0,3.9,2l.6-1.9A12.8867,12.8867,0,0,1,9,25.7Z"}),React.createElement("path",{d:"M11.7,2.7l.6,1.9A11.4756,11.4756,0,0,1,16,4V2A12.5111,12.5111,0,0,0,11.7,2.7Z"}),React.createElement("path",{d:"M24.2,27.3a15.18,15.18,0,0,0,3.1-3.1L25.7,23A11.526,11.526,0,0,1,23,25.7Z"}),React.createElement("path",{d:"M27.4,19.7l1.9.6A15.4747,15.4747,0,0,0,30,16H28A11.4756,11.4756,0,0,1,27.4,19.7Z"}),React.createElement("path",{d:"M29.2,11.6a14.4029,14.4029,0,0,0-2-3.9L25.6,8.9a12.8867,12.8867,0,0,1,1.7,3.3Z"}),React.createElement("path",{d:"M24.1,4.6a14.4029,14.4029,0,0,0-3.9-2l-.6,1.9a12.8867,12.8867,0,0,1,3.3,1.7Z"}),React.createElement("path",{d:"M20.3,29.3l-.6-1.9A11.4756,11.4756,0,0,1,16,28v2A21.4206,21.4206,0,0,0,20.3,29.3Z"}),props.children);});var WatsonHealthSpineLabel32=/*#__PURE__*/React.forwardRef(function WatsonHealthSpineLabel32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"3 11 3 13 8.59 13 2.29 19.29 3.71 20.71 10 14.41 10 20 12 20 12 11 3 11"}),React.createElement("path",{d:"M26,13H23V12H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V19h3a2,2,0,0,0,2-2V15A2,2,0,0,0,26,13Zm-8,4V15h8v2Z"}),React.createElement("path",{d:"M26,23H23V22H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V29h3a2,2,0,0,0,2-2V25A2,2,0,0,0,26,23Zm-8,4V25h8v2Z"}),React.createElement("path",{d:"M26,3H23V2H21V3H18a2,2,0,0,0-2,2V7a2,2,0,0,0,2,2h3v1h2V9h3a2,2,0,0,0,2-2V5A2,2,0,0,0,26,3ZM18,7V5h8V7Z"}),props.children);});var WatsonHealthSpineLabel24=/*#__PURE__*/React.forwardRef(function WatsonHealthSpineLabel24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"3 11 3 13 8.59 13 2.29 19.29 3.71 20.71 10 14.41 10 20 12 20 12 11 3 11"}),React.createElement("path",{d:"M26,13H23V12H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V19h3a2,2,0,0,0,2-2V15A2,2,0,0,0,26,13Zm-8,4V15h8v2Z"}),React.createElement("path",{d:"M26,23H23V22H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V29h3a2,2,0,0,0,2-2V25A2,2,0,0,0,26,23Zm-8,4V25h8v2Z"}),React.createElement("path",{d:"M26,3H23V2H21V3H18a2,2,0,0,0-2,2V7a2,2,0,0,0,2,2h3v1h2V9h3a2,2,0,0,0,2-2V5A2,2,0,0,0,26,3ZM18,7V5h8V7Z"}),props.children);});var WatsonHealthSpineLabel20=/*#__PURE__*/React.forwardRef(function WatsonHealthSpineLabel20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"3 11 3 13 8.59 13 2.29 19.29 3.71 20.71 10 14.41 10 20 12 20 12 11 3 11"}),React.createElement("path",{d:"M26,13H23V12H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V19h3a2,2,0,0,0,2-2V15A2,2,0,0,0,26,13Zm-8,4V15h8v2Z"}),React.createElement("path",{d:"M26,23H23V22H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V29h3a2,2,0,0,0,2-2V25A2,2,0,0,0,26,23Zm-8,4V25h8v2Z"}),React.createElement("path",{d:"M26,3H23V2H21V3H18a2,2,0,0,0-2,2V7a2,2,0,0,0,2,2h3v1h2V9h3a2,2,0,0,0,2-2V5A2,2,0,0,0,26,3ZM18,7V5h8V7Z"}),props.children);});var WatsonHealthSpineLabel16=/*#__PURE__*/React.forwardRef(function WatsonHealthSpineLabel16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"3 11 3 13 8.59 13 2.29 19.29 3.71 20.71 10 14.41 10 20 12 20 12 11 3 11"}),React.createElement("path",{d:"M26,13H23V12H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V19h3a2,2,0,0,0,2-2V15A2,2,0,0,0,26,13Zm-8,4V15h8v2Z"}),React.createElement("path",{d:"M26,23H23V22H21v1H18a2,2,0,0,0-2,2v2a2,2,0,0,0,2,2h3v1h2V29h3a2,2,0,0,0,2-2V25A2,2,0,0,0,26,23Zm-8,4V25h8v2Z"}),React.createElement("path",{d:"M26,3H23V2H21V3H18a2,2,0,0,0-2,2V7a2,2,0,0,0,2,2h3v1h2V9h3a2,2,0,0,0,2-2V5A2,2,0,0,0,26,3ZM18,7V5h8V7Z"}),props.children);});var WatsonHealthStackedMove32=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedMove32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,28H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9H15a2,2,0,0,1,2,2V26A2,2,0,0,1,15,28ZM4,11V26H15V11Z"}),React.createElement("path",{d:"M26,6,24.59,7.41,27,10H22V6a2,2,0,0,0-2-2H10V6H20V20h2V12h5l-2.41,2.59L26,16l5-5Z"}),props.children);});var WatsonHealthStackedMove24=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedMove24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,28H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9H15a2,2,0,0,1,2,2V26A2,2,0,0,1,15,28ZM4,11V26H15V11Z"}),React.createElement("path",{d:"M26,6,24.59,7.41,27,10H22V6a2,2,0,0,0-2-2H10V6H20V20h2V12h5l-2.41,2.59L26,16l5-5Z"}),props.children);});var WatsonHealthStackedMove20=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedMove20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,28H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9H15a2,2,0,0,1,2,2V26A2,2,0,0,1,15,28ZM4,11V26H15V11Z"}),React.createElement("path",{d:"M26,6,24.59,7.41,27,10H22V6a2,2,0,0,0-2-2H10V6H20V20h2V12h5l-2.41,2.59L26,16l5-5Z"}),props.children);});var WatsonHealthStackedMove16=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedMove16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M15,28H4a2,2,0,0,1-2-2V11A2,2,0,0,1,4,9H15a2,2,0,0,1,2,2V26A2,2,0,0,1,15,28ZM4,11V26H15V11Z"}),React.createElement("path",{d:"M26,6,24.59,7.41,27,10H22V6a2,2,0,0,0-2-2H10V6H20V20h2V12h5l-2.41,2.59L26,16l5-5Z"}),props.children);});var WatsonHealthStackedScrolling_132=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_132(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H18a2,2,0,0,1,2,2V28A2,2,0,0,1,18,30ZM4,14V28H18V14Z"}),React.createElement("path",{d:"M25,23H23V9H9V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M30,16H28V4H16V2H28a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStackedScrolling_124=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_124(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H18a2,2,0,0,1,2,2V28A2,2,0,0,1,18,30ZM4,14V28H18V14Z"}),React.createElement("path",{d:"M25,23H23V9H9V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M30,16H28V4H16V2H28a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStackedScrolling_120=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_120(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H18a2,2,0,0,1,2,2V28A2,2,0,0,1,18,30ZM4,14V28H18V14Z"}),React.createElement("path",{d:"M25,23H23V9H9V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M30,16H28V4H16V2H28a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStackedScrolling_116=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_116(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,30H4a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H18a2,2,0,0,1,2,2V28A2,2,0,0,1,18,30ZM4,14V28H18V14Z"}),React.createElement("path",{d:"M25,23H23V9H9V7H23a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M30,16H28V4H16V2H28a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStackedScrolling_232=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_232(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H2a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2V28A2,2,0,0,1,8,30ZM2,14V28H8V14Z"}),React.createElement("path",{d:"M20,30H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,20,30ZM14,14V28h6V14Z"}),React.createElement("path",{d:"M27,21H25V9H17V7h8a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,16H30V4H22V2h8a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStackedScrolling_224=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_224(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H2a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2V28A2,2,0,0,1,8,30ZM2,14V28H8V14Z"}),React.createElement("path",{d:"M20,30H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,20,30ZM14,14V28h6V14Z"}),React.createElement("path",{d:"M27,21H25V9H17V7h8a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,16H30V4H22V2h8a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStackedScrolling_220=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_220(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H2a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2V28A2,2,0,0,1,8,30ZM2,14V28H8V14Z"}),React.createElement("path",{d:"M20,30H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,20,30ZM14,14V28h6V14Z"}),React.createElement("path",{d:"M27,21H25V9H17V7h8a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,16H30V4H22V2h8a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStackedScrolling_216=/*#__PURE__*/React.forwardRef(function WatsonHealthStackedScrolling_216(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,30H2a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2H8a2,2,0,0,1,2,2V28A2,2,0,0,1,8,30ZM2,14V28H8V14Z"}),React.createElement("path",{d:"M20,30H14a2,2,0,0,1-2-2V14a2,2,0,0,1,2-2h6a2,2,0,0,1,2,2V28A2,2,0,0,1,20,30ZM14,14V28h6V14Z"}),React.createElement("path",{d:"M27,21H25V9H17V7h8a2,2,0,0,1,2,2Z"}),React.createElement("path",{d:"M32,16H30V4H22V2h8a2,2,0,0,1,2,2Z"}),props.children);});var WatsonHealthStressBreathEditor32=/*#__PURE__*/React.forwardRef(function WatsonHealthStressBreathEditor32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M11,8H5A3,3,0,0,1,2,5V3H4V5A1,1,0,0,0,5,6h6Z"}),React.createElement("path",{d:"M4,15H2V13a3,3,0,0,1,3-3h6v2H5a1,1,0,0,0-1,1Z"}),props.children);});var WatsonHealthStressBreathEditor24=/*#__PURE__*/React.forwardRef(function WatsonHealthStressBreathEditor24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M11,8H5A3,3,0,0,1,2,5V3H4V5A1,1,0,0,0,5,6h6Z"}),React.createElement("path",{d:"M4,15H2V13a3,3,0,0,1,3-3h6v2H5a1,1,0,0,0-1,1Z"}),props.children);});var WatsonHealthStressBreathEditor20=/*#__PURE__*/React.forwardRef(function WatsonHealthStressBreathEditor20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M11,8H5A3,3,0,0,1,2,5V3H4V5A1,1,0,0,0,5,6h6Z"}),React.createElement("path",{d:"M4,15H2V13a3,3,0,0,1,3-3h6v2H5a1,1,0,0,0-1,1Z"}),props.children);});var WatsonHealthStressBreathEditor16=/*#__PURE__*/React.forwardRef(function WatsonHealthStressBreathEditor16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),React.createElement("path",{d:"M11,8H5A3,3,0,0,1,2,5V3H4V5A1,1,0,0,0,5,6h6Z"}),React.createElement("path",{d:"M4,15H2V13a3,3,0,0,1,3-3h6v2H5a1,1,0,0,0-1,1Z"}),props.children);});var WatsonHealthStudyNext32=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyNext32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.93 21 30 15 23.93 9 22.5 10.41 27.14 15 22.5 19.59 23.93 21"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudyNext24=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyNext24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.93 21 30 15 23.93 9 22.5 10.41 27.14 15 22.5 19.59 23.93 21"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudyNext20=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyNext20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.93 21 30 15 23.93 9 22.5 10.41 27.14 15 22.5 19.59 23.93 21"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudyNext16=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyNext16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"23.93 21 30 15 23.93 9 22.5 10.41 27.14 15 22.5 19.59 23.93 21"}),React.createElement("path",{d:"M12,4A5,5,0,1,1,7,9a5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,12,2Z"}),React.createElement("path",{d:"M22,30H20V25a5,5,0,0,0-5-5H9a5,5,0,0,0-5,5v5H2V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudyPrevious32=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyPrevious32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8.07 21 2 15 8.07 9 9.5 10.41 4.86 15 9.5 19.59 8.07 21"}),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudyPrevious24=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyPrevious24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8.07 21 2 15 8.07 9 9.5 10.41 4.86 15 9.5 19.59 8.07 21"}),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudyPrevious20=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyPrevious20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8.07 21 2 15 8.07 9 9.5 10.41 4.86 15 9.5 19.59 8.07 21"}),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudyPrevious16=/*#__PURE__*/React.forwardRef(function WatsonHealthStudyPrevious16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"8.07 21 2 15 8.07 9 9.5 10.41 4.86 15 9.5 19.59 8.07 21"}),React.createElement("path",{d:"M20,4a5,5,0,1,1-5,5,5,5,0,0,1,5-5m0-2a7,7,0,1,0,7,7A7,7,0,0,0,20,2Z"}),React.createElement("path",{d:"M30,30H28V25a5,5,0,0,0-5-5H17a5,5,0,0,0-5,5v5H10V25a7,7,0,0,1,7-7h6a7,7,0,0,1,7,7Z"}),props.children);});var WatsonHealthStudySkip32=/*#__PURE__*/React.forwardRef(function WatsonHealthStudySkip32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,9h5.2A11,11,0,0,0,7,15H5A13,13,0,0,1,28,6.7V3h2v8H22Z"}),React.createElement("path",{d:"M16,12a3,3,0,1,1-3,3,2.95,2.95,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,10Z"}),React.createElement("path",{d:"M23,30H21V27a3,3,0,0,0-3-3H14a3,3,0,0,0-3,3v3H9V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),props.children);});var WatsonHealthStudySkip24=/*#__PURE__*/React.forwardRef(function WatsonHealthStudySkip24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,9h5.2A11,11,0,0,0,7,15H5A13,13,0,0,1,28,6.7V3h2v8H22Z"}),React.createElement("path",{d:"M16,12a3,3,0,1,1-3,3,2.95,2.95,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,10Z"}),React.createElement("path",{d:"M23,30H21V27a3,3,0,0,0-3-3H14a3,3,0,0,0-3,3v3H9V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),props.children);});var WatsonHealthStudySkip20=/*#__PURE__*/React.forwardRef(function WatsonHealthStudySkip20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,9h5.2A11,11,0,0,0,7,15H5A13,13,0,0,1,28,6.7V3h2v8H22Z"}),React.createElement("path",{d:"M16,12a3,3,0,1,1-3,3,2.95,2.95,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,10Z"}),React.createElement("path",{d:"M23,30H21V27a3,3,0,0,0-3-3H14a3,3,0,0,0-3,3v3H9V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),props.children);});var WatsonHealthStudySkip16=/*#__PURE__*/React.forwardRef(function WatsonHealthStudySkip16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22,9h5.2A11,11,0,0,0,7,15H5A13,13,0,0,1,28,6.7V3h2v8H22Z"}),React.createElement("path",{d:"M16,12a3,3,0,1,1-3,3,2.95,2.95,0,0,1,3-3m0-2a5,5,0,1,0,5,5A5,5,0,0,0,16,10Z"}),React.createElement("path",{d:"M23,30H21V27a3,3,0,0,0-3-3H14a3,3,0,0,0-3,3v3H9V27a5,5,0,0,1,5-5h4a5,5,0,0,1,5,5Z"}),props.children);});var WatsonHealthTextAnnotationToggle32=/*#__PURE__*/React.forwardRef(function WatsonHealthTextAnnotationToggle32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.537,13.76,26.24,10.463a1.5862,1.5862,0,0,0-2.24,0L10,24.4674V30h5.5326L29.537,16a1.5862,1.5862,0,0,0,0-2.24ZM14.7042,28H12V25.2958l9.4409-9.4409,2.7042,2.7042ZM25.5591,17.145,22.855,14.4409l2.2672-2.2672,2.7042,2.7042Z"}),React.createElement("polygon",{points:"11 17 13 17 13 10 16 10 16 8 8 8 8 10 11 10 11 17"}),React.createElement("path",{d:"M8,20H4V4H20V8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H8Z"}),props.children);});var WatsonHealthTextAnnotationToggle24=/*#__PURE__*/React.forwardRef(function WatsonHealthTextAnnotationToggle24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.537,13.76,26.24,10.463a1.5862,1.5862,0,0,0-2.24,0L10,24.4674V30h5.5326L29.537,16a1.5862,1.5862,0,0,0,0-2.24ZM14.7042,28H12V25.2958l9.4409-9.4409,2.7042,2.7042ZM25.5591,17.145,22.855,14.4409l2.2672-2.2672,2.7042,2.7042Z"}),React.createElement("polygon",{points:"11 17 13 17 13 10 16 10 16 8 8 8 8 10 11 10 11 17"}),React.createElement("path",{d:"M8,20H4V4H20V8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H8Z"}),props.children);});var WatsonHealthTextAnnotationToggle20=/*#__PURE__*/React.forwardRef(function WatsonHealthTextAnnotationToggle20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.537,13.76,26.24,10.463a1.5862,1.5862,0,0,0-2.24,0L10,24.4674V30h5.5326L29.537,16a1.5862,1.5862,0,0,0,0-2.24ZM14.7042,28H12V25.2958l9.4409-9.4409,2.7042,2.7042ZM25.5591,17.145,22.855,14.4409l2.2672-2.2672,2.7042,2.7042Z"}),React.createElement("polygon",{points:"11 17 13 17 13 10 16 10 16 8 8 8 8 10 11 10 11 17"}),React.createElement("path",{d:"M8,20H4V4H20V8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H8Z"}),props.children);});var WatsonHealthTextAnnotationToggle16=/*#__PURE__*/React.forwardRef(function WatsonHealthTextAnnotationToggle16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M29.537,13.76,26.24,10.463a1.5862,1.5862,0,0,0-2.24,0L10,24.4674V30h5.5326L29.537,16a1.5862,1.5862,0,0,0,0-2.24ZM14.7042,28H12V25.2958l9.4409-9.4409,2.7042,2.7042ZM25.5591,17.145,22.855,14.4409l2.2672-2.2672,2.7042,2.7042Z"}),React.createElement("polygon",{points:"11 17 13 17 13 10 16 10 16 8 8 8 8 10 11 10 11 17"}),React.createElement("path",{d:"M8,20H4V4H20V8h2V4a2,2,0,0,0-2-2H4A2,2,0,0,0,2,4V20a2,2,0,0,0,2,2H8Z"}),props.children);});var WatsonHealthThumbnailPreview32=/*#__PURE__*/React.forwardRef(function WatsonHealthThumbnailPreview32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H4a2.0023,2.0023,0,0,0-2,2V28a2.002,2.002,0,0,0,2,2H28a2.0023,2.0023,0,0,0,2-2V14A2.0027,2.0027,0,0,0,28,12ZM20,28H12V27a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Zm8,0H22V27a3.0033,3.0033,0,0,0-3-3H13a3.0033,3.0033,0,0,0-3,3v1H4V14H28.002Z"}),React.createElement("path",{d:"M16,23a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,16,23Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,16,17Z"}),React.createElement("path",{d:"M30,4V8a2.0027,2.0027,0,0,1-2,2H24a2.0027,2.0027,0,0,1-2-2V4a2.0027,2.0027,0,0,1,2-2h4A2.0027,2.0027,0,0,1,30,4ZM28,8l.002-4H24V8Z"}),React.createElement("path",{d:"M20,4V8a2.0027,2.0027,0,0,1-2,2H14a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h4A2.0027,2.0027,0,0,1,20,4ZM18,8l.002-4H14V8Z"}),React.createElement("path",{d:"M10,4V8a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,8V4A2.0023,2.0023,0,0,1,4,2H8A2.0023,2.0023,0,0,1,10,4ZM8,8l.0015-4H4V8Z"}),props.children);});var WatsonHealthThumbnailPreview24=/*#__PURE__*/React.forwardRef(function WatsonHealthThumbnailPreview24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H4a2.0023,2.0023,0,0,0-2,2V28a2.002,2.002,0,0,0,2,2H28a2.0023,2.0023,0,0,0,2-2V14A2.0027,2.0027,0,0,0,28,12ZM20,28H12V27a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Zm8,0H22V27a3.0033,3.0033,0,0,0-3-3H13a3.0033,3.0033,0,0,0-3,3v1H4V14H28.002Z"}),React.createElement("path",{d:"M16,23a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,16,23Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,16,17Z"}),React.createElement("path",{d:"M30,4V8a2.0027,2.0027,0,0,1-2,2H24a2.0027,2.0027,0,0,1-2-2V4a2.0027,2.0027,0,0,1,2-2h4A2.0027,2.0027,0,0,1,30,4ZM28,8l.002-4H24V8Z"}),React.createElement("path",{d:"M20,4V8a2.0027,2.0027,0,0,1-2,2H14a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h4A2.0027,2.0027,0,0,1,20,4ZM18,8l.002-4H14V8Z"}),React.createElement("path",{d:"M10,4V8a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,8V4A2.0023,2.0023,0,0,1,4,2H8A2.0023,2.0023,0,0,1,10,4ZM8,8l.0015-4H4V8Z"}),props.children);});var WatsonHealthThumbnailPreview20=/*#__PURE__*/React.forwardRef(function WatsonHealthThumbnailPreview20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H4a2.0023,2.0023,0,0,0-2,2V28a2.002,2.002,0,0,0,2,2H28a2.0023,2.0023,0,0,0,2-2V14A2.0027,2.0027,0,0,0,28,12ZM20,28H12V27a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Zm8,0H22V27a3.0033,3.0033,0,0,0-3-3H13a3.0033,3.0033,0,0,0-3,3v1H4V14H28.002Z"}),React.createElement("path",{d:"M16,23a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,16,23Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,16,17Z"}),React.createElement("path",{d:"M30,4V8a2.0027,2.0027,0,0,1-2,2H24a2.0027,2.0027,0,0,1-2-2V4a2.0027,2.0027,0,0,1,2-2h4A2.0027,2.0027,0,0,1,30,4ZM28,8l.002-4H24V8Z"}),React.createElement("path",{d:"M20,4V8a2.0027,2.0027,0,0,1-2,2H14a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h4A2.0027,2.0027,0,0,1,20,4ZM18,8l.002-4H14V8Z"}),React.createElement("path",{d:"M10,4V8a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,8V4A2.0023,2.0023,0,0,1,4,2H8A2.0023,2.0023,0,0,1,10,4ZM8,8l.0015-4H4V8Z"}),props.children);});var WatsonHealthThumbnailPreview16=/*#__PURE__*/React.forwardRef(function WatsonHealthThumbnailPreview16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M28,12H4a2.0023,2.0023,0,0,0-2,2V28a2.002,2.002,0,0,0,2,2H28a2.0023,2.0023,0,0,0,2-2V14A2.0027,2.0027,0,0,0,28,12ZM20,28H12V27a1.0009,1.0009,0,0,1,1-1h6a1.0009,1.0009,0,0,1,1,1Zm8,0H22V27a3.0033,3.0033,0,0,0-3-3H13a3.0033,3.0033,0,0,0-3,3v1H4V14H28.002Z"}),React.createElement("path",{d:"M16,23a4,4,0,1,1,4-4A4.0042,4.0042,0,0,1,16,23Zm0-6a2,2,0,1,0,2,2A2.0023,2.0023,0,0,0,16,17Z"}),React.createElement("path",{d:"M30,4V8a2.0027,2.0027,0,0,1-2,2H24a2.0027,2.0027,0,0,1-2-2V4a2.0027,2.0027,0,0,1,2-2h4A2.0027,2.0027,0,0,1,30,4ZM28,8l.002-4H24V8Z"}),React.createElement("path",{d:"M20,4V8a2.0027,2.0027,0,0,1-2,2H14a2.0023,2.0023,0,0,1-2-2V4a2.0023,2.0023,0,0,1,2-2h4A2.0027,2.0027,0,0,1,20,4ZM18,8l.002-4H14V8Z"}),React.createElement("path",{d:"M10,4V8a2.0023,2.0023,0,0,1-2,2H4A2.0023,2.0023,0,0,1,2,8V4A2.0023,2.0023,0,0,1,4,2H8A2.0023,2.0023,0,0,1,10,4ZM8,8l.0015-4H4V8Z"}),props.children);});var WatsonHealthWindowAuto32=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowAuto32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"4"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"25"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"7.04",transform:"rotate(-45 8.55 8.548)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"7.55",transform:"rotate(-45 23.454 8.555)"}),React.createElement("rect",{width:"2",height:"3",x:"22.45",y:"21.95",transform:"rotate(-45 23.452 23.446)"}),React.createElement("rect",{width:"3",height:"2",x:"7.05",y:"22.45",transform:"rotate(-45 8.544 23.451)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"24",height:"2",x:"4"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Zm-4,6a4,4,0,0,1,4-4v8A4,4,0,0,1,12,16Z"}),props.children);});var WatsonHealthWindowAuto24=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowAuto24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"4"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"25"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"7.04",transform:"rotate(-45 8.55 8.548)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"7.55",transform:"rotate(-45 23.454 8.555)"}),React.createElement("rect",{width:"2",height:"3",x:"22.45",y:"21.95",transform:"rotate(-45 23.452 23.446)"}),React.createElement("rect",{width:"3",height:"2",x:"7.05",y:"22.45",transform:"rotate(-45 8.544 23.451)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"24",height:"2",x:"4"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Zm-4,6a4,4,0,0,1,4-4v8A4,4,0,0,1,12,16Z"}),props.children);});var WatsonHealthWindowAuto20=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowAuto20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"4"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"25"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"7.04",transform:"rotate(-45 8.55 8.548)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"7.55",transform:"rotate(-45 23.454 8.555)"}),React.createElement("rect",{width:"2",height:"3",x:"22.45",y:"21.95",transform:"rotate(-45 23.452 23.446)"}),React.createElement("rect",{width:"3",height:"2",x:"7.05",y:"22.45",transform:"rotate(-45 8.544 23.451)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"24",height:"2",x:"4"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Zm-4,6a4,4,0,0,1,4-4v8A4,4,0,0,1,12,16Z"}),props.children);});var WatsonHealthWindowAuto16=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowAuto16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"4"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"25"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"15"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"7.04",transform:"rotate(-45 8.55 8.548)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"7.55",transform:"rotate(-45 23.454 8.555)"}),React.createElement("rect",{width:"2",height:"3",x:"22.45",y:"21.95",transform:"rotate(-45 23.452 23.446)"}),React.createElement("rect",{width:"3",height:"2",x:"7.05",y:"22.45",transform:"rotate(-45 8.544 23.451)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"30"}),React.createElement("rect",{width:"24",height:"2",x:"4"}),React.createElement("path",{d:"M16,10a6,6,0,1,0,6,6A6,6,0,0,0,16,10Zm-4,6a4,4,0,0,1,4-4v8A4,4,0,0,1,12,16Z"}),props.children);});var WatsonHealthWindowBase32=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowBase32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"23"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"5.03",transform:"rotate(-45 8.56 6.544)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"5.54",transform:"rotate(-45 23.469 6.539)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"19.94",transform:"rotate(-45 23.462 21.442)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"20.45",transform:"rotate(-45 8.554 21.447)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"28"}),React.createElement("path",{d:"M16,20a6,6,0,1,0-6-6A6,6,0,0,0,16,20Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthWindowBase24=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowBase24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"23"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"5.03",transform:"rotate(-45 8.56 6.544)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"5.54",transform:"rotate(-45 23.469 6.539)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"19.94",transform:"rotate(-45 23.462 21.442)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"20.45",transform:"rotate(-45 8.554 21.447)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"28"}),React.createElement("path",{d:"M16,20a6,6,0,1,0-6-6A6,6,0,0,0,16,20Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthWindowBase20=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowBase20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"23"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"5.03",transform:"rotate(-45 8.56 6.544)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"5.54",transform:"rotate(-45 23.469 6.539)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"19.94",transform:"rotate(-45 23.462 21.442)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"20.45",transform:"rotate(-45 8.554 21.447)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"28"}),React.createElement("path",{d:"M16,20a6,6,0,1,0-6-6A6,6,0,0,0,16,20Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthWindowBase16=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowBase16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"2"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"23"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"13"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"5.03",transform:"rotate(-45 8.56 6.544)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"5.54",transform:"rotate(-45 23.469 6.539)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"19.94",transform:"rotate(-45 23.462 21.442)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"20.45",transform:"rotate(-45 8.554 21.447)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"28"}),React.createElement("path",{d:"M16,20a6,6,0,1,0-6-6A6,6,0,0,0,16,20Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthWindowOverlay32=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowOverlay32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"6"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"9.03",transform:"rotate(-45 8.558 10.545)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"9.54",transform:"rotate(-45 23.466 10.54)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"23.94",transform:"rotate(-45 23.459 25.443)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"24.45",transform:"rotate(-45 8.55 25.448)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M16,24a6,6,0,1,0-6-6A6,6,0,0,0,16,24Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthWindowOverlay24=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowOverlay24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"6"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"9.03",transform:"rotate(-45 8.558 10.545)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"9.54",transform:"rotate(-45 23.466 10.54)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"23.94",transform:"rotate(-45 23.459 25.443)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"24.45",transform:"rotate(-45 8.55 25.448)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M16,24a6,6,0,1,0-6-6A6,6,0,0,0,16,24Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthWindowOverlay20=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowOverlay20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"6"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"9.03",transform:"rotate(-45 8.558 10.545)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"9.54",transform:"rotate(-45 23.466 10.54)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"23.94",transform:"rotate(-45 23.459 25.443)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"24.45",transform:"rotate(-45 8.55 25.448)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M16,24a6,6,0,1,0-6-6A6,6,0,0,0,16,24Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthWindowOverlay16=/*#__PURE__*/React.forwardRef(function WatsonHealthWindowOverlay16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"3",x:"15",y:"6"}),React.createElement("rect",{width:"3",height:"2",x:"25",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"15",y:"27"}),React.createElement("rect",{width:"3",height:"2",x:"4",y:"17"}),React.createElement("rect",{width:"2",height:"3",x:"7.55",y:"9.03",transform:"rotate(-45 8.558 10.545)"}),React.createElement("rect",{width:"3",height:"2",x:"21.96",y:"9.54",transform:"rotate(-45 23.466 10.54)"}),React.createElement("rect",{width:"2",height:"3",x:"22.46",y:"23.94",transform:"rotate(-45 23.459 25.443)"}),React.createElement("rect",{width:"3",height:"2",x:"7.04",y:"24.45",transform:"rotate(-45 8.55 25.448)"}),React.createElement("rect",{width:"24",height:"2",x:"4",y:"2"}),React.createElement("path",{d:"M16,24a6,6,0,1,0-6-6A6,6,0,0,0,16,24Zm0-10v8a4,4,0,0,1,0-8Z"}),props.children);});var WatsonHealthZoomPan32=/*#__PURE__*/React.forwardRef(function WatsonHealthZoomPan32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.01 12 25.6 13.41 28.18 16 25.59 18.59 27.01 20 31.01 16 27.01 12"}),React.createElement("polygon",{points:"6.41 13.42 5 12 1 16 5 20 6.42 18.59 3.83 16 6.41 13.42"}),React.createElement("polygon",{points:"16 28.17 13.41 25.58 12 27 16 31 20 27 18.59 25.59 16 28.17"}),React.createElement("polygon",{points:"16 3.83 18.58 6.41 20 5 16 1 12 5 13.41 6.42 16 3.83"}),React.createElement("path",{d:"M22,16a6,6,0,1,0-2.53,4.89l3.82,3.82,1.42-1.42-3.82-3.82A6,6,0,0,0,22,16Zm-6,4a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var WatsonHealthZoomPan24=/*#__PURE__*/React.forwardRef(function WatsonHealthZoomPan24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.01 12 25.6 13.41 28.18 16 25.59 18.59 27.01 20 31.01 16 27.01 12"}),React.createElement("polygon",{points:"6.41 13.42 5 12 1 16 5 20 6.42 18.59 3.83 16 6.41 13.42"}),React.createElement("polygon",{points:"16 28.17 13.41 25.58 12 27 16 31 20 27 18.59 25.59 16 28.17"}),React.createElement("polygon",{points:"16 3.83 18.58 6.41 20 5 16 1 12 5 13.41 6.42 16 3.83"}),React.createElement("path",{d:"M22,16a6,6,0,1,0-2.53,4.89l3.82,3.82,1.42-1.42-3.82-3.82A6,6,0,0,0,22,16Zm-6,4a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var WatsonHealthZoomPan20=/*#__PURE__*/React.forwardRef(function WatsonHealthZoomPan20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.01 12 25.6 13.41 28.18 16 25.59 18.59 27.01 20 31.01 16 27.01 12"}),React.createElement("polygon",{points:"6.41 13.42 5 12 1 16 5 20 6.42 18.59 3.83 16 6.41 13.42"}),React.createElement("polygon",{points:"16 28.17 13.41 25.58 12 27 16 31 20 27 18.59 25.59 16 28.17"}),React.createElement("polygon",{points:"16 3.83 18.58 6.41 20 5 16 1 12 5 13.41 6.42 16 3.83"}),React.createElement("path",{d:"M22,16a6,6,0,1,0-2.53,4.89l3.82,3.82,1.42-1.42-3.82-3.82A6,6,0,0,0,22,16Zm-6,4a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var WatsonHealthZoomPan16=/*#__PURE__*/React.forwardRef(function WatsonHealthZoomPan16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"27.01 12 25.6 13.41 28.18 16 25.59 18.59 27.01 20 31.01 16 27.01 12"}),React.createElement("polygon",{points:"6.41 13.42 5 12 1 16 5 20 6.42 18.59 3.83 16 6.41 13.42"}),React.createElement("polygon",{points:"16 28.17 13.41 25.58 12 27 16 31 20 27 18.59 25.59 16 28.17"}),React.createElement("polygon",{points:"16 3.83 18.58 6.41 20 5 16 1 12 5 13.41 6.42 16 3.83"}),React.createElement("path",{d:"M22,16a6,6,0,1,0-2.53,4.89l3.82,3.82,1.42-1.42-3.82-3.82A6,6,0,0,0,22,16Zm-6,4a4,4,0,1,1,4-4A4,4,0,0,1,16,20Z"}),props.children);});var Watson32=/*#__PURE__*/React.forwardRef(function Watson32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.74,9.49h0A11.41,11.41,0,0,0,16,8h0a.76.76,0,1,0,0,1.51,10.15,10.15,0,0,1,1.91.21c-2.26,1.08-4.76,3.58-6.73,7a22.48,22.48,0,0,0-2,4.44A9.58,9.58,0,0,1,7,17.22a3.43,3.43,0,0,1,.28-2.66v0h0c.79-1.37,2.44-2.15,4.63-2.2a.76.76,0,0,0,.74-.78.75.75,0,0,0-.78-.74C9.19,10.88,7.1,11.92,6,13.74H6v0s0,0,0,0a4.84,4.84,0,0,0-.44,3.79,12,12,0,0,0,3.2,5.22A11.36,11.36,0,0,0,8.52,26a10,10,0,0,1-2-3.48A.75.75,0,0,0,5.57,22a.76.76,0,0,0-.49,1,11.45,11.45,0,0,0,5.18,6.38h0A11.42,11.42,0,0,0,16,30.92a11.74,11.74,0,0,0,3-.39,11.48,11.48,0,0,0,2.77-21ZM18.58,29.06a9.9,9.9,0,0,1-7.56-1h0c-.86-.49-1.21-2-.94-4a18.85,18.85,0,0,0,2.48,1.72,13.92,13.92,0,0,0,6.93,2,11,11,0,0,0,2.42-.28A9.78,9.78,0,0,1,18.58,29.06Zm6.06-4.66c-2,2-6.66,2.74-11.32.05a17.36,17.36,0,0,1-2.89-2.12,21.08,21.08,0,0,1,2.08-4.91c2.94-5.08,6.83-7.57,8.47-6.62h0A10,10,0,0,1,24.64,24.4Z"}),React.createElement("path",{d:"M4.16,11.72,1.14,10a.76.76,0,1,0-.76,1.31L3.4,13a.86.86,0,0,0,.38.1.77.77,0,0,0,.66-.38A.76.76,0,0,0,4.16,11.72Z"}),React.createElement("path",{d:"M8.29,7.59A.74.74,0,0,0,8.94,8a.75.75,0,0,0,.38-.1.76.76,0,0,0,.28-1l-1.74-3a.76.76,0,0,0-1-.27.75.75,0,0,0-.28,1Z"}),React.createElement("path",{d:"M16,6.08a.76.76,0,0,0,.76-.76V1.83a.76.76,0,0,0-1.52,0V5.32A.76.76,0,0,0,16,6.08Z"}),React.createElement("path",{d:"M22.68,7.87a.75.75,0,0,0,1-.28l1.75-3a.75.75,0,0,0-.28-1,.76.76,0,0,0-1,.27l-1.74,3A.76.76,0,0,0,22.68,7.87Z"}),React.createElement("path",{d:"M31.9,10.25a.76.76,0,0,0-1-.27l-3,1.74a.76.76,0,0,0-.28,1,.77.77,0,0,0,.66.38.86.86,0,0,0,.38-.1l3-1.75A.76.76,0,0,0,31.9,10.25Z"}),props.children);});var Watson24=/*#__PURE__*/React.forwardRef(function Watson24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.74,9.49h0A11.41,11.41,0,0,0,16,8h0a.76.76,0,1,0,0,1.51,10.15,10.15,0,0,1,1.91.21c-2.26,1.08-4.76,3.58-6.73,7a22.48,22.48,0,0,0-2,4.44A9.58,9.58,0,0,1,7,17.22a3.43,3.43,0,0,1,.28-2.66v0h0c.79-1.37,2.44-2.15,4.63-2.2a.76.76,0,0,0,.74-.78.75.75,0,0,0-.78-.74C9.19,10.88,7.1,11.92,6,13.74H6v0s0,0,0,0a4.84,4.84,0,0,0-.44,3.79,12,12,0,0,0,3.2,5.22A11.36,11.36,0,0,0,8.52,26a10,10,0,0,1-2-3.48A.75.75,0,0,0,5.57,22a.76.76,0,0,0-.49,1,11.45,11.45,0,0,0,5.18,6.38h0A11.42,11.42,0,0,0,16,30.92a11.74,11.74,0,0,0,3-.39,11.48,11.48,0,0,0,2.77-21ZM18.58,29.06a9.9,9.9,0,0,1-7.56-1h0c-.86-.49-1.21-2-.94-4a18.85,18.85,0,0,0,2.48,1.72,13.92,13.92,0,0,0,6.93,2,11,11,0,0,0,2.42-.28A9.78,9.78,0,0,1,18.58,29.06Zm6.06-4.66c-2,2-6.66,2.74-11.32.05a17.36,17.36,0,0,1-2.89-2.12,21.08,21.08,0,0,1,2.08-4.91c2.94-5.08,6.83-7.57,8.47-6.62h0A10,10,0,0,1,24.64,24.4Z"}),React.createElement("path",{d:"M4.16,11.72,1.14,10a.76.76,0,1,0-.76,1.31L3.4,13a.86.86,0,0,0,.38.1.77.77,0,0,0,.66-.38A.76.76,0,0,0,4.16,11.72Z"}),React.createElement("path",{d:"M8.29,7.59A.74.74,0,0,0,8.94,8a.75.75,0,0,0,.38-.1.76.76,0,0,0,.28-1l-1.74-3a.76.76,0,0,0-1-.27.75.75,0,0,0-.28,1Z"}),React.createElement("path",{d:"M16,6.08a.76.76,0,0,0,.76-.76V1.83a.76.76,0,0,0-1.52,0V5.32A.76.76,0,0,0,16,6.08Z"}),React.createElement("path",{d:"M22.68,7.87a.75.75,0,0,0,1-.28l1.75-3a.75.75,0,0,0-.28-1,.76.76,0,0,0-1,.27l-1.74,3A.76.76,0,0,0,22.68,7.87Z"}),React.createElement("path",{d:"M31.9,10.25a.76.76,0,0,0-1-.27l-3,1.74a.76.76,0,0,0-.28,1,.77.77,0,0,0,.66.38.86.86,0,0,0,.38-.1l3-1.75A.76.76,0,0,0,31.9,10.25Z"}),props.children);});var Watson20=/*#__PURE__*/React.forwardRef(function Watson20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.74,9.49h0A11.41,11.41,0,0,0,16,8h0a.76.76,0,1,0,0,1.51,10.15,10.15,0,0,1,1.91.21c-2.26,1.08-4.76,3.58-6.73,7a22.48,22.48,0,0,0-2,4.44A9.58,9.58,0,0,1,7,17.22a3.43,3.43,0,0,1,.28-2.66v0h0c.79-1.37,2.44-2.15,4.63-2.2a.76.76,0,0,0,.74-.78.75.75,0,0,0-.78-.74C9.19,10.88,7.1,11.92,6,13.74H6v0s0,0,0,0a4.84,4.84,0,0,0-.44,3.79,12,12,0,0,0,3.2,5.22A11.36,11.36,0,0,0,8.52,26a10,10,0,0,1-2-3.48A.75.75,0,0,0,5.57,22a.76.76,0,0,0-.49,1,11.45,11.45,0,0,0,5.18,6.38h0A11.42,11.42,0,0,0,16,30.92a11.74,11.74,0,0,0,3-.39,11.48,11.48,0,0,0,2.77-21ZM18.58,29.06a9.9,9.9,0,0,1-7.56-1h0c-.86-.49-1.21-2-.94-4a18.85,18.85,0,0,0,2.48,1.72,13.92,13.92,0,0,0,6.93,2,11,11,0,0,0,2.42-.28A9.78,9.78,0,0,1,18.58,29.06Zm6.06-4.66c-2,2-6.66,2.74-11.32.05a17.36,17.36,0,0,1-2.89-2.12,21.08,21.08,0,0,1,2.08-4.91c2.94-5.08,6.83-7.57,8.47-6.62h0A10,10,0,0,1,24.64,24.4Z"}),React.createElement("path",{d:"M4.16,11.72,1.14,10a.76.76,0,1,0-.76,1.31L3.4,13a.86.86,0,0,0,.38.1.77.77,0,0,0,.66-.38A.76.76,0,0,0,4.16,11.72Z"}),React.createElement("path",{d:"M8.29,7.59A.74.74,0,0,0,8.94,8a.75.75,0,0,0,.38-.1.76.76,0,0,0,.28-1l-1.74-3a.76.76,0,0,0-1-.27.75.75,0,0,0-.28,1Z"}),React.createElement("path",{d:"M16,6.08a.76.76,0,0,0,.76-.76V1.83a.76.76,0,0,0-1.52,0V5.32A.76.76,0,0,0,16,6.08Z"}),React.createElement("path",{d:"M22.68,7.87a.75.75,0,0,0,1-.28l1.75-3a.75.75,0,0,0-.28-1,.76.76,0,0,0-1,.27l-1.74,3A.76.76,0,0,0,22.68,7.87Z"}),React.createElement("path",{d:"M31.9,10.25a.76.76,0,0,0-1-.27l-3,1.74a.76.76,0,0,0-.28,1,.77.77,0,0,0,.66.38.86.86,0,0,0,.38-.1l3-1.75A.76.76,0,0,0,31.9,10.25Z"}),props.children);});var Watson16=/*#__PURE__*/React.forwardRef(function Watson16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21.74,9.49h0A11.41,11.41,0,0,0,16,8h0a.76.76,0,1,0,0,1.51,10.15,10.15,0,0,1,1.91.21c-2.26,1.08-4.76,3.58-6.73,7a22.48,22.48,0,0,0-2,4.44A9.58,9.58,0,0,1,7,17.22a3.43,3.43,0,0,1,.28-2.66v0h0c.79-1.37,2.44-2.15,4.63-2.2a.76.76,0,0,0,.74-.78.75.75,0,0,0-.78-.74C9.19,10.88,7.1,11.92,6,13.74H6v0s0,0,0,0a4.84,4.84,0,0,0-.44,3.79,12,12,0,0,0,3.2,5.22A11.36,11.36,0,0,0,8.52,26a10,10,0,0,1-2-3.48A.75.75,0,0,0,5.57,22a.76.76,0,0,0-.49,1,11.45,11.45,0,0,0,5.18,6.38h0A11.42,11.42,0,0,0,16,30.92a11.74,11.74,0,0,0,3-.39,11.48,11.48,0,0,0,2.77-21ZM18.58,29.06a9.9,9.9,0,0,1-7.56-1h0c-.86-.49-1.21-2-.94-4a18.85,18.85,0,0,0,2.48,1.72,13.92,13.92,0,0,0,6.93,2,11,11,0,0,0,2.42-.28A9.78,9.78,0,0,1,18.58,29.06Zm6.06-4.66c-2,2-6.66,2.74-11.32.05a17.36,17.36,0,0,1-2.89-2.12,21.08,21.08,0,0,1,2.08-4.91c2.94-5.08,6.83-7.57,8.47-6.62h0A10,10,0,0,1,24.64,24.4Z"}),React.createElement("path",{d:"M4.16,11.72,1.14,10a.76.76,0,1,0-.76,1.31L3.4,13a.86.86,0,0,0,.38.1.77.77,0,0,0,.66-.38A.76.76,0,0,0,4.16,11.72Z"}),React.createElement("path",{d:"M8.29,7.59A.74.74,0,0,0,8.94,8a.75.75,0,0,0,.38-.1.76.76,0,0,0,.28-1l-1.74-3a.76.76,0,0,0-1-.27.75.75,0,0,0-.28,1Z"}),React.createElement("path",{d:"M16,6.08a.76.76,0,0,0,.76-.76V1.83a.76.76,0,0,0-1.52,0V5.32A.76.76,0,0,0,16,6.08Z"}),React.createElement("path",{d:"M22.68,7.87a.75.75,0,0,0,1-.28l1.75-3a.75.75,0,0,0-.28-1,.76.76,0,0,0-1,.27l-1.74,3A.76.76,0,0,0,22.68,7.87Z"}),React.createElement("path",{d:"M31.9,10.25a.76.76,0,0,0-1-.27l-3,1.74a.76.76,0,0,0-.28,1,.77.77,0,0,0,.66.38.86.86,0,0,0,.38-.1l3-1.75A.76.76,0,0,0,31.9,10.25Z"}),props.children);});var Wheat32=/*#__PURE__*/React.forwardRef(function Wheat32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3V5.5857l-4,4V1H15V9.5857l-4-4V3H9V19a7.004,7.004,0,0,0,6,6.92V30h2V25.92A7.004,7.004,0,0,0,23,19V3ZM15,23.8987A5.008,5.008,0,0,1,11,19v-2.586l4,4Zm0-6.313-4-4V8.4138l4,4Zm2-5.1719,4-4v5.1719l-4,4Zm0,11.4849V20.4138l4-4V19A5.008,5.008,0,0,1,17,23.8987Z"}),props.children);});var Wheat24=/*#__PURE__*/React.forwardRef(function Wheat24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3V5.5857l-4,4V1H15V9.5857l-4-4V3H9V19a7.004,7.004,0,0,0,6,6.92V30h2V25.92A7.004,7.004,0,0,0,23,19V3ZM15,23.8987A5.008,5.008,0,0,1,11,19v-2.586l4,4Zm0-6.313-4-4V8.4138l4,4Zm2-5.1719,4-4v5.1719l-4,4Zm0,11.4849V20.4138l4-4V19A5.008,5.008,0,0,1,17,23.8987Z"}),props.children);});var Wheat20=/*#__PURE__*/React.forwardRef(function Wheat20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3V5.5857l-4,4V1H15V9.5857l-4-4V3H9V19a7.004,7.004,0,0,0,6,6.92V30h2V25.92A7.004,7.004,0,0,0,23,19V3ZM15,23.8987A5.008,5.008,0,0,1,11,19v-2.586l4,4Zm0-6.313-4-4V8.4138l4,4Zm2-5.1719,4-4v5.1719l-4,4Zm0,11.4849V20.4138l4-4V19A5.008,5.008,0,0,1,17,23.8987Z"}),props.children);});var Wheat16=/*#__PURE__*/React.forwardRef(function Wheat16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,3V5.5857l-4,4V1H15V9.5857l-4-4V3H9V19a7.004,7.004,0,0,0,6,6.92V30h2V25.92A7.004,7.004,0,0,0,23,19V3ZM15,23.8987A5.008,5.008,0,0,1,11,19v-2.586l4,4Zm0-6.313-4-4V8.4138l4,4Zm2-5.1719,4-4v5.1719l-4,4Zm0,11.4849V20.4138l4-4V19A5.008,5.008,0,0,1,17,23.8987Z"}),props.children);});var WifiOff32=/*#__PURE__*/React.forwardRef(function WifiOff32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30,14.0962,19.3179a5.9359,5.9359,0,0,1,6.01,1.3193L21.52,19.2236a7.9669,7.9669,0,0,0-5.125-2.2041l3.3875-3.3877a11.9908,11.9908,0,0,1,4.5647,2.7647L25.76,14.9829A13.975,13.975,0,0,0,21.334,12.08L24.3308,9.083a17.9364,17.9364,0,0,1,4.2546,3.0747L30,10.7432v-.002a20.02,20.02,0,0,0-4.1895-3.1377Z"}),React.createElement("path",{d:"M14.68,13.0776l2.0415-2.0415C16.481,11.0234,16.2437,11,16,11a13.9447,13.9447,0,0,0-9.771,3.9927l1.4136,1.4136A11.97,11.97,0,0,1,14.68,13.0776Z"}),React.createElement("path",{d:"M16,7a17.87,17.87,0,0,1,4.2324.5254L21.875,5.8828A19.9537,19.9537,0,0,0,2,10.7412v.0225L3.4043,12.168A17.9193,17.9193,0,0,1,16,7Z"}),props.children);});var WifiOff24=/*#__PURE__*/React.forwardRef(function WifiOff24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30,14.0962,19.3179a5.9359,5.9359,0,0,1,6.01,1.3193L21.52,19.2236a7.9669,7.9669,0,0,0-5.125-2.2041l3.3875-3.3877a11.9908,11.9908,0,0,1,4.5647,2.7647L25.76,14.9829A13.975,13.975,0,0,0,21.334,12.08L24.3308,9.083a17.9364,17.9364,0,0,1,4.2546,3.0747L30,10.7432v-.002a20.02,20.02,0,0,0-4.1895-3.1377Z"}),React.createElement("path",{d:"M14.68,13.0776l2.0415-2.0415C16.481,11.0234,16.2437,11,16,11a13.9447,13.9447,0,0,0-9.771,3.9927l1.4136,1.4136A11.97,11.97,0,0,1,14.68,13.0776Z"}),React.createElement("path",{d:"M16,7a17.87,17.87,0,0,1,4.2324.5254L21.875,5.8828A19.9537,19.9537,0,0,0,2,10.7412v.0225L3.4043,12.168A17.9193,17.9193,0,0,1,16,7Z"}),props.children);});var WifiOff20=/*#__PURE__*/React.forwardRef(function WifiOff20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30,14.0962,19.3179a5.9359,5.9359,0,0,1,6.01,1.3193L21.52,19.2236a7.9669,7.9669,0,0,0-5.125-2.2041l3.3875-3.3877a11.9908,11.9908,0,0,1,4.5647,2.7647L25.76,14.9829A13.975,13.975,0,0,0,21.334,12.08L24.3308,9.083a17.9364,17.9364,0,0,1,4.2546,3.0747L30,10.7432v-.002a20.02,20.02,0,0,0-4.1895-3.1377Z"}),React.createElement("path",{d:"M14.68,13.0776l2.0415-2.0415C16.481,11.0234,16.2437,11,16,11a13.9447,13.9447,0,0,0-9.771,3.9927l1.4136,1.4136A11.97,11.97,0,0,1,14.68,13.0776Z"}),React.createElement("path",{d:"M16,7a17.87,17.87,0,0,1,4.2324.5254L21.875,5.8828A19.9537,19.9537,0,0,0,2,10.7412v.0225L3.4043,12.168A17.9193,17.9193,0,0,1,16,7Z"}),props.children);});var WifiOff16=/*#__PURE__*/React.forwardRef(function WifiOff16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M30,3.4141,28.5859,2,2,28.5859,3.4141,30,14.0962,19.3179a5.9359,5.9359,0,0,1,6.01,1.3193L21.52,19.2236a7.9669,7.9669,0,0,0-5.125-2.2041l3.3875-3.3877a11.9908,11.9908,0,0,1,4.5647,2.7647L25.76,14.9829A13.975,13.975,0,0,0,21.334,12.08L24.3308,9.083a17.9364,17.9364,0,0,1,4.2546,3.0747L30,10.7432v-.002a20.02,20.02,0,0,0-4.1895-3.1377Z"}),React.createElement("path",{d:"M14.68,13.0776l2.0415-2.0415C16.481,11.0234,16.2437,11,16,11a13.9447,13.9447,0,0,0-9.771,3.9927l1.4136,1.4136A11.97,11.97,0,0,1,14.68,13.0776Z"}),React.createElement("path",{d:"M16,7a17.87,17.87,0,0,1,4.2324.5254L21.875,5.8828A19.9537,19.9537,0,0,0,2,10.7412v.0225L3.4043,12.168A17.9193,17.9193,0,0,1,16,7Z"}),props.children);});var Wifi32=/*#__PURE__*/React.forwardRef(function Wifi32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M10.47,19.2334l1.4136,1.4131a5.9688,5.9688,0,0,1,8.2229-.0093L21.52,19.2236a7.9629,7.9629,0,0,0-11.05.01Z"}),React.createElement("path",{d:"M6.229,14.9927l1.4136,1.4135a11.955,11.955,0,0,1,16.7041-.01L25.76,14.9829a13.9514,13.9514,0,0,0-19.5313.01Z"}),React.createElement("path",{d:"M30,10.7412a19.94,19.94,0,0,0-28,0v.0225L3.4043,12.168a17.9336,17.9336,0,0,1,25.1811-.01L30,10.7432Z"}),props.children);});var Wifi24=/*#__PURE__*/React.forwardRef(function Wifi24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M10.47,19.2334l1.4136,1.4131a5.9688,5.9688,0,0,1,8.2229-.0093L21.52,19.2236a7.9629,7.9629,0,0,0-11.05.01Z"}),React.createElement("path",{d:"M6.229,14.9927l1.4136,1.4135a11.955,11.955,0,0,1,16.7041-.01L25.76,14.9829a13.9514,13.9514,0,0,0-19.5313.01Z"}),React.createElement("path",{d:"M30,10.7412a19.94,19.94,0,0,0-28,0v.0225L3.4043,12.168a17.9336,17.9336,0,0,1,25.1811-.01L30,10.7432Z"}),props.children);});var Wifi20=/*#__PURE__*/React.forwardRef(function Wifi20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M10.47,19.2334l1.4136,1.4131a5.9688,5.9688,0,0,1,8.2229-.0093L21.52,19.2236a7.9629,7.9629,0,0,0-11.05.01Z"}),React.createElement("path",{d:"M6.229,14.9927l1.4136,1.4135a11.955,11.955,0,0,1,16.7041-.01L25.76,14.9829a13.9514,13.9514,0,0,0-19.5313.01Z"}),React.createElement("path",{d:"M30,10.7412a19.94,19.94,0,0,0-28,0v.0225L3.4043,12.168a17.9336,17.9336,0,0,1,25.1811-.01L30,10.7432Z"}),props.children);});var Wifi16=/*#__PURE__*/React.forwardRef(function Wifi16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("circle",{cx:"16",cy:"25",r:"2"}),React.createElement("path",{d:"M10.47,19.2334l1.4136,1.4131a5.9688,5.9688,0,0,1,8.2229-.0093L21.52,19.2236a7.9629,7.9629,0,0,0-11.05.01Z"}),React.createElement("path",{d:"M6.229,14.9927l1.4136,1.4135a11.955,11.955,0,0,1,16.7041-.01L25.76,14.9829a13.9514,13.9514,0,0,0-19.5313.01Z"}),React.createElement("path",{d:"M30,10.7412a19.94,19.94,0,0,0-28,0v.0225L3.4043,12.168a17.9336,17.9336,0,0,1,25.1811-.01L30,10.7432Z"}),props.children);});var Wikis32=/*#__PURE__*/React.forwardRef(function Wikis32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM28,15H22A24.26,24.26,0,0,0,19.21,4.45,12,12,0,0,1,28,15ZM16,28a5,5,0,0,1-.67,0A21.85,21.85,0,0,1,12,17H20a21.85,21.85,0,0,1-3.3,11A5,5,0,0,1,16,28ZM12,15a21.85,21.85,0,0,1,3.3-11,6,6,0,0,1,1.34,0A21.85,21.85,0,0,1,20,15Zm.76-10.55A24.26,24.26,0,0,0,10,15h-6A12,12,0,0,1,12.79,4.45ZM4.05,17h6a24.26,24.26,0,0,0,2.75,10.55A12,12,0,0,1,4.05,17ZM19.21,27.55A24.26,24.26,0,0,0,22,17h6A12,12,0,0,1,19.21,27.55Z"}),props.children);});var Wikis24=/*#__PURE__*/React.forwardRef(function Wikis24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM28,15H22A24.26,24.26,0,0,0,19.21,4.45,12,12,0,0,1,28,15ZM16,28a5,5,0,0,1-.67,0A21.85,21.85,0,0,1,12,17H20a21.85,21.85,0,0,1-3.3,11A5,5,0,0,1,16,28ZM12,15a21.85,21.85,0,0,1,3.3-11,6,6,0,0,1,1.34,0A21.85,21.85,0,0,1,20,15Zm.76-10.55A24.26,24.26,0,0,0,10,15h-6A12,12,0,0,1,12.79,4.45ZM4.05,17h6a24.26,24.26,0,0,0,2.75,10.55A12,12,0,0,1,4.05,17ZM19.21,27.55A24.26,24.26,0,0,0,22,17h6A12,12,0,0,1,19.21,27.55Z"}),props.children);});var Wikis20=/*#__PURE__*/React.forwardRef(function Wikis20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM28,15H22A24.26,24.26,0,0,0,19.21,4.45,12,12,0,0,1,28,15ZM16,28a5,5,0,0,1-.67,0A21.85,21.85,0,0,1,12,17H20a21.85,21.85,0,0,1-3.3,11A5,5,0,0,1,16,28ZM12,15a21.85,21.85,0,0,1,3.3-11,6,6,0,0,1,1.34,0A21.85,21.85,0,0,1,20,15Zm.76-10.55A24.26,24.26,0,0,0,10,15h-6A12,12,0,0,1,12.79,4.45ZM4.05,17h6a24.26,24.26,0,0,0,2.75,10.55A12,12,0,0,1,4.05,17ZM19.21,27.55A24.26,24.26,0,0,0,22,17h6A12,12,0,0,1,19.21,27.55Z"}),props.children);});var Wikis16=/*#__PURE__*/React.forwardRef(function Wikis16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,2A14,14,0,1,0,30,16,14,14,0,0,0,16,2ZM28,15H22A24.26,24.26,0,0,0,19.21,4.45,12,12,0,0,1,28,15ZM16,28a5,5,0,0,1-.67,0A21.85,21.85,0,0,1,12,17H20a21.85,21.85,0,0,1-3.3,11A5,5,0,0,1,16,28ZM12,15a21.85,21.85,0,0,1,3.3-11,6,6,0,0,1,1.34,0A21.85,21.85,0,0,1,20,15Zm.76-10.55A24.26,24.26,0,0,0,10,15h-6A12,12,0,0,1,12.79,4.45ZM4.05,17h6a24.26,24.26,0,0,0,2.75,10.55A12,12,0,0,1,4.05,17ZM19.21,27.55A24.26,24.26,0,0,0,22,17h6A12,12,0,0,1,19.21,27.55Z"}),props.children);});var WindyDust32=/*#__PURE__*/React.forwardRef(function WindyDust32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H22V18h1a5,5,0,0,1,0,10Z"}),React.createElement("rect",{width:"4",height:"2",x:"16",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M21,15H20V13h1a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"13"}),props.children);});var WindyDust24=/*#__PURE__*/React.forwardRef(function WindyDust24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H22V18h1a5,5,0,0,1,0,10Z"}),React.createElement("rect",{width:"4",height:"2",x:"16",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M21,15H20V13h1a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"13"}),props.children);});var WindyDust20=/*#__PURE__*/React.forwardRef(function WindyDust20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H22V18h1a5,5,0,0,1,0,10Z"}),React.createElement("rect",{width:"4",height:"2",x:"16",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M21,15H20V13h1a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"13"}),props.children);});var WindyDust16=/*#__PURE__*/React.forwardRef(function WindyDust16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H22V18h1a5,5,0,0,1,0,10Z"}),React.createElement("rect",{width:"4",height:"2",x:"16",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"10",y:"18"}),React.createElement("rect",{width:"4",height:"2",x:"4",y:"18"}),React.createElement("path",{d:"M21,15H20V13h1a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"4",height:"2",x:"14",y:"13"}),React.createElement("rect",{width:"4",height:"2",x:"8",y:"13"}),props.children);});var WindySnow32=/*#__PURE__*/React.forwardRef(function WindySnow32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H6V18H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M23,15H10V13H23a3,3,0,1,0-3-3H18a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"25"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),props.children);});var WindySnow24=/*#__PURE__*/React.forwardRef(function WindySnow24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H6V18H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M23,15H10V13H23a3,3,0,1,0-3-3H18a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"25"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),props.children);});var WindySnow20=/*#__PURE__*/React.forwardRef(function WindySnow20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H6V18H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M23,15H10V13H23a3,3,0,1,0-3-3H18a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"25"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),props.children);});var WindySnow16=/*#__PURE__*/React.forwardRef(function WindySnow16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M25,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H6V18H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M23,15H10V13H23a3,3,0,1,0-3-3H18a5,5,0,1,1,5,5Z"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"25"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"23"}),React.createElement("rect",{width:"2",height:"2",x:"11",y:"27"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"8",y:"6"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"10",y:"4"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"8"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"4",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"6",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"2",y:"30"}),props.children);});var WindyStrong32=/*#__PURE__*/React.forwardRef(function WindyStrong32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V20h9a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M25,25a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H2V15H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M21,12H6V10H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),props.children);});var WindyStrong24=/*#__PURE__*/React.forwardRef(function WindyStrong24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V20h9a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M25,25a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H2V15H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M21,12H6V10H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),props.children);});var WindyStrong20=/*#__PURE__*/React.forwardRef(function WindyStrong20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V20h9a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M25,25a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H2V15H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M21,12H6V10H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),props.children);});var WindyStrong16=/*#__PURE__*/React.forwardRef(function WindyStrong16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M13,30a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V20h9a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M25,25a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H2V15H25a5,5,0,0,1,0,10Z"}),React.createElement("path",{d:"M21,12H6V10H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),props.children);});var Windy32=/*#__PURE__*/React.forwardRef(function Windy32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,15H8V13H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V18H23a5,5,0,0,1,0,10Z"}),props.children);});var Windy24=/*#__PURE__*/React.forwardRef(function Windy24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,15H8V13H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V18H23a5,5,0,0,1,0,10Z"}),props.children);});var Windy20=/*#__PURE__*/React.forwardRef(function Windy20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,15H8V13H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V18H23a5,5,0,0,1,0,10Z"}),props.children);});var Windy16=/*#__PURE__*/React.forwardRef(function Windy16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M21,15H8V13H21a3,3,0,1,0-3-3H16a5,5,0,1,1,5,5Z"}),React.createElement("path",{d:"M23,28a5.0057,5.0057,0,0,1-5-5h2a3,3,0,1,0,3-3H4V18H23a5,5,0,0,1,0,10Z"}),props.children);});var WintryMix32=/*#__PURE__*/React.forwardRef(function WintryMix32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"20"}),React.createElement("path",{d:"M10,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,10,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.5321,6.5321,0,0,0,2,15.5V22l1,2,1-2V20.18a6.4891,6.4891,0,0,0,3.4294,1.7246L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418.977.977,0,0,0-.489-.0894V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20h-.542v.0083A.9955.9955,0,0,0,22,21v3l1,2,1-2V21.9746a6.4473,6.4473,0,0,0,2-.4761V26l1,2,1-2V20.18A6.4876,6.4876,0,0,0,24.8008,9.1362Z"}),props.children);});var WintryMix24=/*#__PURE__*/React.forwardRef(function WintryMix24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"20"}),React.createElement("path",{d:"M10,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,10,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.5321,6.5321,0,0,0,2,15.5V22l1,2,1-2V20.18a6.4891,6.4891,0,0,0,3.4294,1.7246L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418.977.977,0,0,0-.489-.0894V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20h-.542v.0083A.9955.9955,0,0,0,22,21v3l1,2,1-2V21.9746a6.4473,6.4473,0,0,0,2-.4761V26l1,2,1-2V20.18A6.4876,6.4876,0,0,0,24.8008,9.1362Z"}),props.children);});var WintryMix20=/*#__PURE__*/React.forwardRef(function WintryMix20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"20"}),React.createElement("path",{d:"M10,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,10,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.5321,6.5321,0,0,0,2,15.5V22l1,2,1-2V20.18a6.4891,6.4891,0,0,0,3.4294,1.7246L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418.977.977,0,0,0-.489-.0894V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20h-.542v.0083A.9955.9955,0,0,0,22,21v3l1,2,1-2V21.9746a6.4473,6.4473,0,0,0,2-.4761V26l1,2,1-2V20.18A6.4876,6.4876,0,0,0,24.8008,9.1362Z"}),props.children);});var WintryMix16=/*#__PURE__*/React.forwardRef(function WintryMix16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"2",height:"2",x:"15",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"28"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"19",y:"26"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"30"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"15",y:"18"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"20"}),React.createElement("rect",{width:"2",height:"2",x:"17",y:"16"}),React.createElement("rect",{width:"2",height:"2",x:"13",y:"20"}),React.createElement("path",{d:"M10,30a1,1,0,0,1-.8944-1.4474l2-4.0005a1,1,0,1,1,1.7888.8947l-2,4A.9981.9981,0,0,1,10,30Z"}),React.createElement("path",{d:"M24.8008,9.1362a8.9943,8.9943,0,0,0-17.6006,0A6.5321,6.5321,0,0,0,2,15.5V22l1,2,1-2V20.18a6.4891,6.4891,0,0,0,3.4294,1.7246L6.106,24.5527a1,1,0,1,0,1.7885.8946l2-4a1,1,0,0,0-.447-1.3418.977.977,0,0,0-.489-.0894V20H8.5a4.4975,4.4975,0,0,1-.356-8.981l.8155-.0639.0991-.812a6.9938,6.9938,0,0,1,13.8838,0l.0986.812.8154.0639A4.4975,4.4975,0,0,1,23.5,20h-.542v.0083A.9955.9955,0,0,0,22,21v3l1,2,1-2V21.9746a6.4473,6.4473,0,0,0,2-.4761V26l1,2,1-2V20.18A6.4876,6.4876,0,0,0,24.8008,9.1362Z"}),props.children);});var WirelessCheckout32=/*#__PURE__*/React.forwardRef(function WirelessCheckout32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28V26A10,10,0,0,0,28,16h2A12,12,0,0,1,18,28Z"}),React.createElement("path",{d:"M18,23V21a5,5,0,0,0,5-5h2A7,7,0,0,1,18,23Z"}),React.createElement("path",{d:"M27,11H21V7a3,3,0,0,0-3-3H12A3,3,0,0,0,9,7v4H3a1,1,0,0,0-1,1.15L3.88,24.3a2,2,0,0,0,2,1.7H15V24H5.86L4.17,13H27ZM11,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H11Z"}),props.children);});var WirelessCheckout24=/*#__PURE__*/React.forwardRef(function WirelessCheckout24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28V26A10,10,0,0,0,28,16h2A12,12,0,0,1,18,28Z"}),React.createElement("path",{d:"M18,23V21a5,5,0,0,0,5-5h2A7,7,0,0,1,18,23Z"}),React.createElement("path",{d:"M27,11H21V7a3,3,0,0,0-3-3H12A3,3,0,0,0,9,7v4H3a1,1,0,0,0-1,1.15L3.88,24.3a2,2,0,0,0,2,1.7H15V24H5.86L4.17,13H27ZM11,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H11Z"}),props.children);});var WirelessCheckout20=/*#__PURE__*/React.forwardRef(function WirelessCheckout20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28V26A10,10,0,0,0,28,16h2A12,12,0,0,1,18,28Z"}),React.createElement("path",{d:"M18,23V21a5,5,0,0,0,5-5h2A7,7,0,0,1,18,23Z"}),React.createElement("path",{d:"M27,11H21V7a3,3,0,0,0-3-3H12A3,3,0,0,0,9,7v4H3a1,1,0,0,0-1,1.15L3.88,24.3a2,2,0,0,0,2,1.7H15V24H5.86L4.17,13H27ZM11,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H11Z"}),props.children);});var WirelessCheckout16=/*#__PURE__*/React.forwardRef(function WirelessCheckout16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M18,28V26A10,10,0,0,0,28,16h2A12,12,0,0,1,18,28Z"}),React.createElement("path",{d:"M18,23V21a5,5,0,0,0,5-5h2A7,7,0,0,1,18,23Z"}),React.createElement("path",{d:"M27,11H21V7a3,3,0,0,0-3-3H12A3,3,0,0,0,9,7v4H3a1,1,0,0,0-1,1.15L3.88,24.3a2,2,0,0,0,2,1.7H15V24H5.86L4.17,13H27ZM11,7a1,1,0,0,1,1-1h6a1,1,0,0,1,1,1v4H11Z"}),props.children);});var Workspace32=/*#__PURE__*/React.forwardRef(function Workspace32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17v8H6V17H16m0-2H6a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2H16a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,6v5H17V6H27m0-2H17a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,17v5H22V17h5m0-2H22a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M11,6v5H6V6h5m0-2H6A2,2,0,0,0,4,6v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var Workspace24=/*#__PURE__*/React.forwardRef(function Workspace24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17v8H6V17H16m0-2H6a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2H16a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,6v5H17V6H27m0-2H17a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,17v5H22V17h5m0-2H22a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M11,6v5H6V6h5m0-2H6A2,2,0,0,0,4,6v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var Workspace20=/*#__PURE__*/React.forwardRef(function Workspace20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17v8H6V17H16m0-2H6a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2H16a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,6v5H17V6H27m0-2H17a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,17v5H22V17h5m0-2H22a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M11,6v5H6V6h5m0-2H6A2,2,0,0,0,4,6v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var Workspace16=/*#__PURE__*/React.forwardRef(function Workspace16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M16,17v8H6V17H16m0-2H6a2,2,0,0,0-2,2v8a2,2,0,0,0,2,2H16a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,6v5H17V6H27m0-2H17a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2H27a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M27,17v5H22V17h5m0-2H22a2,2,0,0,0-2,2v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V17a2,2,0,0,0-2-2Z"}),React.createElement("path",{d:"M11,6v5H6V6h5m0-2H6A2,2,0,0,0,4,6v5a2,2,0,0,0,2,2h5a2,2,0,0,0,2-2V6a2,2,0,0,0-2-2Z"}),props.children);});var XAxis32=/*#__PURE__*/React.forwardRef(function XAxis32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20l-1.4141,1.4141L24.1719,24H6V4H4V24a2.0023,2.0023,0,0,0,2,2H24.1719l-2.586,2.5859L23,30l5-5Z"}),props.children);});var XAxis24=/*#__PURE__*/React.forwardRef(function XAxis24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20l-1.4141,1.4141L24.1719,24H6V4H4V24a2.0023,2.0023,0,0,0,2,2H24.1719l-2.586,2.5859L23,30l5-5Z"}),props.children);});var XAxis20=/*#__PURE__*/React.forwardRef(function XAxis20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20l-1.4141,1.4141L24.1719,24H6V4H4V24a2.0023,2.0023,0,0,0,2,2H24.1719l-2.586,2.5859L23,30l5-5Z"}),props.children);});var XAxis16=/*#__PURE__*/React.forwardRef(function XAxis16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M23,20l-1.4141,1.4141L24.1719,24H6V4H4V24a2.0023,2.0023,0,0,0,2,2H24.1719l-2.586,2.5859L23,30l5-5Z"}),props.children);});var YAxis32=/*#__PURE__*/React.forwardRef(function YAxis32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,26V7.8281l2.5859,2.586L12,9,7,4,2,9l1.4141,1.4141L6,7.8281V26a2.0023,2.0023,0,0,0,2,2H28V26Z"}),props.children);});var YAxis24=/*#__PURE__*/React.forwardRef(function YAxis24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,26V7.8281l2.5859,2.586L12,9,7,4,2,9l1.4141,1.4141L6,7.8281V26a2.0023,2.0023,0,0,0,2,2H28V26Z"}),props.children);});var YAxis20=/*#__PURE__*/React.forwardRef(function YAxis20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,26V7.8281l2.5859,2.586L12,9,7,4,2,9l1.4141,1.4141L6,7.8281V26a2.0023,2.0023,0,0,0,2,2H28V26Z"}),props.children);});var YAxis16=/*#__PURE__*/React.forwardRef(function YAxis16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M8,26V7.8281l2.5859,2.586L12,9,7,4,2,9l1.4141,1.4141L6,7.8281V26a2.0023,2.0023,0,0,0,2,2H28V26Z"}),props.children);});var ZAxis32=/*#__PURE__*/React.forwardRef(function ZAxis32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 22 26 25.586 17 16.586 17 10 17 6 17 5.828 19.586 8.414 21 7 16 2 11 7 12.414 8.414 15 5.828 15 6 15 10 15 16.586 6 25.586 6 22 4 22 4 29 11 29 11 27 7.414 27 16 18.414 24.586 27 21 27 21 29 28 29 28 22 26 22"}),props.children);});var ZAxis24=/*#__PURE__*/React.forwardRef(function ZAxis24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 22 26 25.586 17 16.586 17 10 17 6 17 5.828 19.586 8.414 21 7 16 2 11 7 12.414 8.414 15 5.828 15 6 15 10 15 16.586 6 25.586 6 22 4 22 4 29 11 29 11 27 7.414 27 16 18.414 24.586 27 21 27 21 29 28 29 28 22 26 22"}),props.children);});var ZAxis20=/*#__PURE__*/React.forwardRef(function ZAxis20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 22 26 25.586 17 16.586 17 10 17 6 17 5.828 19.586 8.414 21 7 16 2 11 7 12.414 8.414 15 5.828 15 6 15 10 15 16.586 6 25.586 6 22 4 22 4 29 11 29 11 27 7.414 27 16 18.414 24.586 27 21 27 21 29 28 29 28 22 26 22"}),props.children);});var ZAxis16=/*#__PURE__*/React.forwardRef(function ZAxis16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"26 22 26 25.586 17 16.586 17 10 17 6 17 5.828 19.586 8.414 21 7 16 2 11 7 12.414 8.414 15 5.828 15 6 15 10 15 16.586 6 25.586 6 22 4 22 4 29 11 29 11 27 7.414 27 16 18.414 24.586 27 21 27 21 29 28 29 28 22 26 22"}),props.children);});var ZoomIn32=/*#__PURE__*/React.forwardRef(function ZoomIn32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"19 13 15 13 15 9 13 9 13 13 9 13 9 15 13 15 13 19 15 19 15 15 19 15 19 13"}),React.createElement("path",{d:"M22.45,21A10.87,10.87,0,0,0,25,14,11,11,0,1,0,14,25a10.87,10.87,0,0,0,7-2.55L28.59,30,30,28.59ZM14,23a9,9,0,1,1,9-9A9,9,0,0,1,14,23Z"}),props.children);});var ZoomIn24=/*#__PURE__*/React.forwardRef(function ZoomIn24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"19 13 15 13 15 9 13 9 13 13 9 13 9 15 13 15 13 19 15 19 15 15 19 15 19 13"}),React.createElement("path",{d:"M22.45,21A10.87,10.87,0,0,0,25,14,11,11,0,1,0,14,25a10.87,10.87,0,0,0,7-2.55L28.59,30,30,28.59ZM14,23a9,9,0,1,1,9-9A9,9,0,0,1,14,23Z"}),props.children);});var ZoomIn20=/*#__PURE__*/React.forwardRef(function ZoomIn20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("polygon",{points:"19 13 15 13 15 9 13 9 13 13 9 13 9 15 13 15 13 19 15 19 15 15 19 15 19 13"}),React.createElement("path",{d:"M22.45,21A10.87,10.87,0,0,0,25,14,11,11,0,1,0,14,25a10.87,10.87,0,0,0,7-2.55L28.59,30,30,28.59ZM14,23a9,9,0,1,1,9-9A9,9,0,0,1,14,23Z"}),props.children);});var ZoomOut32=/*#__PURE__*/React.forwardRef(function ZoomOut32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"9",y:"13"}),React.createElement("path",{d:"M22.45,21A10.87,10.87,0,0,0,25,14,11,11,0,1,0,14,25a10.87,10.87,0,0,0,7-2.55L28.59,30,30,28.59ZM14,23a9,9,0,1,1,9-9A9,9,0,0,1,14,23Z"}),props.children);});var ZoomOut24=/*#__PURE__*/React.forwardRef(function ZoomOut24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"9",y:"13"}),React.createElement("path",{d:"M22.45,21A10.87,10.87,0,0,0,25,14,11,11,0,1,0,14,25a10.87,10.87,0,0,0,7-2.55L28.59,30,30,28.59ZM14,23a9,9,0,1,1,9-9A9,9,0,0,1,14,23Z"}),props.children);});var ZoomOut20=/*#__PURE__*/React.forwardRef(function ZoomOut20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("rect",{width:"10",height:"2",x:"9",y:"13"}),React.createElement("path",{d:"M22.45,21A10.87,10.87,0,0,0,25,14,11,11,0,1,0,14,25a10.87,10.87,0,0,0,7-2.55L28.59,30,30,28.59ZM14,23a9,9,0,1,1,9-9A9,9,0,0,1,14,23Z"}),props.children);});var ZoomReset32=/*#__PURE__*/React.forwardRef(function ZoomReset32(props,ref){return React.createElement(Icon,_extends({width:32,height:32,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.4478,21A10.855,10.855,0,0,0,25,14,10.99,10.99,0,0,0,6,6.4658V2H4v8h8V8H7.332a8.9768,8.9768,0,1,1-2.1,8H3.1912A11.0118,11.0118,0,0,0,14,25a10.855,10.855,0,0,0,7-2.5522L28.5859,30,30,28.5859Z"}),props.children);});var ZoomReset24=/*#__PURE__*/React.forwardRef(function ZoomReset24(props,ref){return React.createElement(Icon,_extends({width:24,height:24,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.4478,21A10.855,10.855,0,0,0,25,14,10.99,10.99,0,0,0,6,6.4658V2H4v8h8V8H7.332a8.9768,8.9768,0,1,1-2.1,8H3.1912A11.0118,11.0118,0,0,0,14,25a10.855,10.855,0,0,0,7-2.5522L28.5859,30,30,28.5859Z"}),props.children);});var ZoomReset20=/*#__PURE__*/React.forwardRef(function ZoomReset20(props,ref){return React.createElement(Icon,_extends({width:20,height:20,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.4478,21A10.855,10.855,0,0,0,25,14,10.99,10.99,0,0,0,6,6.4658V2H4v8h8V8H7.332a8.9768,8.9768,0,1,1-2.1,8H3.1912A11.0118,11.0118,0,0,0,14,25a10.855,10.855,0,0,0,7-2.5522L28.5859,30,30,28.5859Z"}),props.children);});var ZoomReset16=/*#__PURE__*/React.forwardRef(function ZoomReset16(props,ref){return React.createElement(Icon,_extends({width:16,height:16,viewBox:"0 0 32 32",ref:ref},props),React.createElement("path",{d:"M22.4478,21A10.855,10.855,0,0,0,25,14,10.99,10.99,0,0,0,6,6.4658V2H4v8h8V8H7.332a8.9768,8.9768,0,1,1-2.1,8H3.1912A11.0118,11.0118,0,0,0,14,25a10.855,10.855,0,0,0,7-2.5522L28.5859,30,30,28.5859Z"}),props.children);});var CaretDownGlyph=/*#__PURE__*/React.forwardRef(function CaretDownGlyph(props,ref){return React.createElement(Icon,_extends({width:8,height:4,viewBox:"0 0 8 4",ref:ref},props),React.createElement("polygon",{points:"8,0 4,4 0,0"}),props.children);});var CaretLeftGlyph=/*#__PURE__*/React.forwardRef(function CaretLeftGlyph(props,ref){return React.createElement(Icon,_extends({width:5,height:8,viewBox:"0 0 5 8",ref:ref},props),React.createElement("polygon",{points:"5,8 0,4 5,0"}),props.children);});var CaretRightGlyph=/*#__PURE__*/React.forwardRef(function CaretRightGlyph(props,ref){return React.createElement(Icon,_extends({width:5,height:8,viewBox:"0 0 5 8",ref:ref},props),React.createElement("polygon",{points:"0,0 5,4 0,8"}),props.children);});var CaretUpGlyph=/*#__PURE__*/React.forwardRef(function CaretUpGlyph(props,ref){return React.createElement(Icon,_extends({width:8,height:4,viewBox:"0 0 8 4",ref:ref},props),React.createElement("polygon",{points:"0,4 4,0 8,4"}),props.children);});var ChevronDownGlyph=/*#__PURE__*/React.forwardRef(function ChevronDownGlyph(props,ref){return React.createElement(Icon,_extends({width:10,height:6,viewBox:"0 0 10 6",ref:ref},props),React.createElement("polygon",{points:"5,6 0,1 0.7,0.3 5,4.6 9.3,0.3 10,1"}),props.children);});var ChevronLeftGlyph=/*#__PURE__*/React.forwardRef(function ChevronLeftGlyph(props,ref){return React.createElement(Icon,_extends({width:6,height:10,viewBox:"0 0 6 10",ref:ref},props),React.createElement("polygon",{points:"0,5 5,0 5.7,0.7 1.4,5 5.7,9.3 5,10"}),props.children);});var ChevronRightGlyph=/*#__PURE__*/React.forwardRef(function ChevronRightGlyph(props,ref){return React.createElement(Icon,_extends({width:6,height:10,viewBox:"0 0 6 10",ref:ref},props),React.createElement("polygon",{points:"6,5 1,10 0.3,9.3 4.6,5 0.3,0.7 1,0"}),props.children);});var ChevronUpGlyph=/*#__PURE__*/React.forwardRef(function ChevronUpGlyph(props,ref){return React.createElement(Icon,_extends({width:10,height:6,viewBox:"0 0 10 6",ref:ref},props),React.createElement("polygon",{points:"5,0 10,5 9.3,5.7 5,1.4 0.7,5.7 0,5"}),props.children);});

exports.Accessibility16 = Accessibility16;
exports.Accessibility20 = Accessibility20;
exports.Accessibility24 = Accessibility24;
exports.Accessibility32 = Accessibility32;
exports.AccessibilityAlt16 = AccessibilityAlt16;
exports.AccessibilityAlt20 = AccessibilityAlt20;
exports.AccessibilityAlt24 = AccessibilityAlt24;
exports.AccessibilityAlt32 = AccessibilityAlt32;
exports.AccessibilityColor16 = AccessibilityColor16;
exports.AccessibilityColor20 = AccessibilityColor20;
exports.AccessibilityColor24 = AccessibilityColor24;
exports.AccessibilityColor32 = AccessibilityColor32;
exports.AccessibilityColorFilled16 = AccessibilityColorFilled16;
exports.AccessibilityColorFilled20 = AccessibilityColorFilled20;
exports.AccessibilityColorFilled24 = AccessibilityColorFilled24;
exports.AccessibilityColorFilled32 = AccessibilityColorFilled32;
exports.Account16 = Account16;
exports.Account20 = Account20;
exports.Account24 = Account24;
exports.Account32 = Account32;
exports.Activity16 = Activity16;
exports.Activity20 = Activity20;
exports.Activity24 = Activity24;
exports.Activity32 = Activity32;
exports.Add16 = Add16;
exports.Add20 = Add20;
exports.Add24 = Add24;
exports.Add32 = Add32;
exports.AddAlt16 = AddAlt16;
exports.AddAlt20 = AddAlt20;
exports.AddAlt24 = AddAlt24;
exports.AddAlt32 = AddAlt32;
exports.AddComment16 = AddComment16;
exports.AddComment20 = AddComment20;
exports.AddComment24 = AddComment24;
exports.AddComment32 = AddComment32;
exports.AddFilled16 = AddFilled16;
exports.AddFilled20 = AddFilled20;
exports.AddFilled24 = AddFilled24;
exports.AddFilled32 = AddFilled32;
exports.Alarm16 = Alarm16;
exports.Alarm20 = Alarm20;
exports.Alarm24 = Alarm24;
exports.Alarm32 = Alarm32;
exports.AlarmAdd16 = AlarmAdd16;
exports.AlarmAdd20 = AlarmAdd20;
exports.AlarmAdd24 = AlarmAdd24;
exports.AlarmAdd32 = AlarmAdd32;
exports.AlarmSubtract16 = AlarmSubtract16;
exports.AlarmSubtract20 = AlarmSubtract20;
exports.AlarmSubtract24 = AlarmSubtract24;
exports.AlarmSubtract32 = AlarmSubtract32;
exports.AlignHorizontalCenter16 = AlignHorizontalCenter16;
exports.AlignHorizontalCenter20 = AlignHorizontalCenter20;
exports.AlignHorizontalCenter24 = AlignHorizontalCenter24;
exports.AlignHorizontalCenter32 = AlignHorizontalCenter32;
exports.AlignHorizontalLeft16 = AlignHorizontalLeft16;
exports.AlignHorizontalLeft20 = AlignHorizontalLeft20;
exports.AlignHorizontalLeft24 = AlignHorizontalLeft24;
exports.AlignHorizontalLeft32 = AlignHorizontalLeft32;
exports.AlignHorizontalRight16 = AlignHorizontalRight16;
exports.AlignHorizontalRight20 = AlignHorizontalRight20;
exports.AlignHorizontalRight24 = AlignHorizontalRight24;
exports.AlignHorizontalRight32 = AlignHorizontalRight32;
exports.AlignVerticalBottom16 = AlignVerticalBottom16;
exports.AlignVerticalBottom20 = AlignVerticalBottom20;
exports.AlignVerticalBottom24 = AlignVerticalBottom24;
exports.AlignVerticalBottom32 = AlignVerticalBottom32;
exports.AlignVerticalCenter16 = AlignVerticalCenter16;
exports.AlignVerticalCenter20 = AlignVerticalCenter20;
exports.AlignVerticalCenter24 = AlignVerticalCenter24;
exports.AlignVerticalCenter32 = AlignVerticalCenter32;
exports.AlignVerticalTop16 = AlignVerticalTop16;
exports.AlignVerticalTop20 = AlignVerticalTop20;
exports.AlignVerticalTop24 = AlignVerticalTop24;
exports.AlignVerticalTop32 = AlignVerticalTop32;
exports.Analytics16 = Analytics16;
exports.Analytics20 = Analytics20;
exports.Analytics24 = Analytics24;
exports.Analytics32 = Analytics32;
exports.Aperture16 = Aperture16;
exports.Aperture20 = Aperture20;
exports.Aperture24 = Aperture24;
exports.Aperture32 = Aperture32;
exports.Api16 = Api16;
exports.Api20 = Api20;
exports.Api24 = Api24;
exports.Api32 = Api32;
exports.Api_116 = Api_116;
exports.Api_120 = Api_120;
exports.Api_124 = Api_124;
exports.Api_132 = Api_132;
exports.App16 = App16;
exports.App20 = App20;
exports.App24 = App24;
exports.App32 = App32;
exports.AppSwitcher16 = AppSwitcher16;
exports.AppSwitcher20 = AppSwitcher20;
exports.AppSwitcher24 = AppSwitcher24;
exports.AppSwitcher32 = AppSwitcher32;
exports.Apple16 = Apple16;
exports.Apple20 = Apple20;
exports.Apple24 = Apple24;
exports.Apple32 = Apple32;
exports.Application16 = Application16;
exports.Application20 = Application20;
exports.Application24 = Application24;
exports.Application32 = Application32;
exports.Apps16 = Apps16;
exports.Apps20 = Apps20;
exports.Apps24 = Apps24;
exports.Apps32 = Apps32;
exports.Archive16 = Archive16;
exports.Archive20 = Archive20;
exports.Archive24 = Archive24;
exports.Archive32 = Archive32;
exports.Arrival16 = Arrival16;
exports.Arrival20 = Arrival20;
exports.Arrival24 = Arrival24;
exports.Arrival32 = Arrival32;
exports.ArrowDown16 = ArrowDown16;
exports.ArrowDown20 = ArrowDown20;
exports.ArrowDown24 = ArrowDown24;
exports.ArrowDown32 = ArrowDown32;
exports.ArrowDownLeft16 = ArrowDownLeft16;
exports.ArrowDownLeft20 = ArrowDownLeft20;
exports.ArrowDownLeft24 = ArrowDownLeft24;
exports.ArrowDownLeft32 = ArrowDownLeft32;
exports.ArrowDownRight16 = ArrowDownRight16;
exports.ArrowDownRight20 = ArrowDownRight20;
exports.ArrowDownRight24 = ArrowDownRight24;
exports.ArrowDownRight32 = ArrowDownRight32;
exports.ArrowLeft16 = ArrowLeft16;
exports.ArrowLeft20 = ArrowLeft20;
exports.ArrowLeft24 = ArrowLeft24;
exports.ArrowLeft32 = ArrowLeft32;
exports.ArrowRight16 = ArrowRight16;
exports.ArrowRight20 = ArrowRight20;
exports.ArrowRight24 = ArrowRight24;
exports.ArrowRight32 = ArrowRight32;
exports.ArrowShiftDown16 = ArrowShiftDown16;
exports.ArrowShiftDown20 = ArrowShiftDown20;
exports.ArrowShiftDown24 = ArrowShiftDown24;
exports.ArrowShiftDown32 = ArrowShiftDown32;
exports.ArrowUp16 = ArrowUp16;
exports.ArrowUp20 = ArrowUp20;
exports.ArrowUp24 = ArrowUp24;
exports.ArrowUp32 = ArrowUp32;
exports.ArrowUpLeft16 = ArrowUpLeft16;
exports.ArrowUpLeft20 = ArrowUpLeft20;
exports.ArrowUpLeft24 = ArrowUpLeft24;
exports.ArrowUpLeft32 = ArrowUpLeft32;
exports.ArrowUpRight16 = ArrowUpRight16;
exports.ArrowUpRight20 = ArrowUpRight20;
exports.ArrowUpRight24 = ArrowUpRight24;
exports.ArrowUpRight32 = ArrowUpRight32;
exports.Arrows16 = Arrows16;
exports.Arrows20 = Arrows20;
exports.Arrows24 = Arrows24;
exports.Arrows32 = Arrows32;
exports.ArrowsHorizontal16 = ArrowsHorizontal16;
exports.ArrowsHorizontal20 = ArrowsHorizontal20;
exports.ArrowsHorizontal24 = ArrowsHorizontal24;
exports.ArrowsHorizontal32 = ArrowsHorizontal32;
exports.ArrowsVertical16 = ArrowsVertical16;
exports.ArrowsVertical20 = ArrowsVertical20;
exports.ArrowsVertical24 = ArrowsVertical24;
exports.ArrowsVertical32 = ArrowsVertical32;
exports.Asleep16 = Asleep16;
exports.Asleep20 = Asleep20;
exports.Asleep24 = Asleep24;
exports.Asleep32 = Asleep32;
exports.AsleepFilled16 = AsleepFilled16;
exports.AsleepFilled20 = AsleepFilled20;
exports.AsleepFilled24 = AsleepFilled24;
exports.AsleepFilled32 = AsleepFilled32;
exports.Asset16 = Asset16;
exports.Asset20 = Asset20;
exports.Asset24 = Asset24;
exports.Asset32 = Asset32;
exports.At16 = At16;
exports.At20 = At20;
exports.At24 = At24;
exports.At32 = At32;
exports.Attachment16 = Attachment16;
exports.Attachment20 = Attachment20;
exports.Attachment24 = Attachment24;
exports.Attachment32 = Attachment32;
exports.AudioConsole16 = AudioConsole16;
exports.AudioConsole20 = AudioConsole20;
exports.AudioConsole24 = AudioConsole24;
exports.AudioConsole32 = AudioConsole32;
exports.AugmentedReality16 = AugmentedReality16;
exports.AugmentedReality20 = AugmentedReality20;
exports.AugmentedReality24 = AugmentedReality24;
exports.AugmentedReality32 = AugmentedReality32;
exports.Awake16 = Awake16;
exports.Awake20 = Awake20;
exports.Awake24 = Awake24;
exports.Awake32 = Awake32;
exports.BackToTop16 = BackToTop16;
exports.BackToTop20 = BackToTop20;
exports.BackToTop24 = BackToTop24;
exports.BackToTop32 = BackToTop32;
exports.Badge16 = Badge16;
exports.Badge20 = Badge20;
exports.Badge24 = Badge24;
exports.Badge32 = Badge32;
exports.Bar16 = Bar16;
exports.Bar20 = Bar20;
exports.Bar24 = Bar24;
exports.Bar32 = Bar32;
exports.Basketball16 = Basketball16;
exports.Basketball20 = Basketball20;
exports.Basketball24 = Basketball24;
exports.Basketball32 = Basketball32;
exports.BatteryCharging16 = BatteryCharging16;
exports.BatteryCharging20 = BatteryCharging20;
exports.BatteryCharging24 = BatteryCharging24;
exports.BatteryCharging32 = BatteryCharging32;
exports.BatteryEmpty16 = BatteryEmpty16;
exports.BatteryEmpty20 = BatteryEmpty20;
exports.BatteryEmpty24 = BatteryEmpty24;
exports.BatteryEmpty32 = BatteryEmpty32;
exports.BatteryFull16 = BatteryFull16;
exports.BatteryFull20 = BatteryFull20;
exports.BatteryFull24 = BatteryFull24;
exports.BatteryFull32 = BatteryFull32;
exports.BatteryHalf16 = BatteryHalf16;
exports.BatteryHalf20 = BatteryHalf20;
exports.BatteryHalf24 = BatteryHalf24;
exports.BatteryHalf32 = BatteryHalf32;
exports.BatteryLow16 = BatteryLow16;
exports.BatteryLow20 = BatteryLow20;
exports.BatteryLow24 = BatteryLow24;
exports.BatteryLow32 = BatteryLow32;
exports.BatteryQuarter16 = BatteryQuarter16;
exports.BatteryQuarter20 = BatteryQuarter20;
exports.BatteryQuarter24 = BatteryQuarter24;
exports.BatteryQuarter32 = BatteryQuarter32;
exports.Bee16 = Bee16;
exports.Bee20 = Bee20;
exports.Bee24 = Bee24;
exports.Bee32 = Bee32;
exports.Bicycle16 = Bicycle16;
exports.Bicycle20 = Bicycle20;
exports.Bicycle24 = Bicycle24;
exports.Bicycle32 = Bicycle32;
exports.Binoculars16 = Binoculars16;
exports.Binoculars20 = Binoculars20;
exports.Binoculars24 = Binoculars24;
exports.Binoculars32 = Binoculars32;
exports.Blockchain16 = Blockchain16;
exports.Blockchain20 = Blockchain20;
exports.Blockchain24 = Blockchain24;
exports.Blockchain32 = Blockchain32;
exports.Blog16 = Blog16;
exports.Blog20 = Blog20;
exports.Blog24 = Blog24;
exports.Blog32 = Blog32;
exports.Bluetooth16 = Bluetooth16;
exports.Bluetooth20 = Bluetooth20;
exports.Bluetooth24 = Bluetooth24;
exports.Bluetooth32 = Bluetooth32;
exports.BluetoothOff16 = BluetoothOff16;
exports.BluetoothOff20 = BluetoothOff20;
exports.BluetoothOff24 = BluetoothOff24;
exports.BluetoothOff32 = BluetoothOff32;
exports.Bookmark16 = Bookmark16;
exports.Bookmark20 = Bookmark20;
exports.Bookmark24 = Bookmark24;
exports.Bookmark32 = Bookmark32;
exports.Box16 = Box16;
exports.Box20 = Box20;
exports.Box24 = Box24;
exports.Box32 = Box32;
exports.Branch16 = Branch16;
exports.Branch20 = Branch20;
exports.Branch24 = Branch24;
exports.Branch32 = Branch32;
exports.BrightnessContrast16 = BrightnessContrast16;
exports.BrightnessContrast20 = BrightnessContrast20;
exports.BrightnessContrast24 = BrightnessContrast24;
exports.BrightnessContrast32 = BrightnessContrast32;
exports.Building16 = Building16;
exports.Building20 = Building20;
exports.Building24 = Building24;
exports.Building32 = Building32;
exports.BuildingInsights_116 = BuildingInsights_116;
exports.BuildingInsights_120 = BuildingInsights_120;
exports.BuildingInsights_124 = BuildingInsights_124;
exports.BuildingInsights_132 = BuildingInsights_132;
exports.BuildingInsights_216 = BuildingInsights_216;
exports.BuildingInsights_220 = BuildingInsights_220;
exports.BuildingInsights_224 = BuildingInsights_224;
exports.BuildingInsights_232 = BuildingInsights_232;
exports.BuildingInsights_316 = BuildingInsights_316;
exports.BuildingInsights_320 = BuildingInsights_320;
exports.BuildingInsights_324 = BuildingInsights_324;
exports.BuildingInsights_332 = BuildingInsights_332;
exports.Bullhorn16 = Bullhorn16;
exports.Bullhorn20 = Bullhorn20;
exports.Bullhorn24 = Bullhorn24;
exports.Bullhorn32 = Bullhorn32;
exports.Bus16 = Bus16;
exports.Bus20 = Bus20;
exports.Bus24 = Bus24;
exports.Bus32 = Bus32;
exports.Cad16 = Cad16;
exports.Cad20 = Cad20;
exports.Cad24 = Cad24;
exports.Cad32 = Cad32;
exports.Cafe16 = Cafe16;
exports.Cafe20 = Cafe20;
exports.Cafe24 = Cafe24;
exports.Cafe32 = Cafe32;
exports.Calculator16 = Calculator16;
exports.Calculator20 = Calculator20;
exports.Calculator24 = Calculator24;
exports.Calculator32 = Calculator32;
exports.CalculatorCheck16 = CalculatorCheck16;
exports.CalculatorCheck20 = CalculatorCheck20;
exports.CalculatorCheck24 = CalculatorCheck24;
exports.CalculatorCheck32 = CalculatorCheck32;
exports.Calendar16 = Calendar16;
exports.Calendar20 = Calendar20;
exports.Calendar24 = Calendar24;
exports.Calendar32 = Calendar32;
exports.Calibrate16 = Calibrate16;
exports.Calibrate20 = Calibrate20;
exports.Calibrate24 = Calibrate24;
exports.Calibrate32 = Calibrate32;
exports.Camera16 = Camera16;
exports.Camera20 = Camera20;
exports.Camera24 = Camera24;
exports.Camera32 = Camera32;
exports.CameraAction16 = CameraAction16;
exports.CameraAction20 = CameraAction20;
exports.CameraAction24 = CameraAction24;
exports.CameraAction32 = CameraAction32;
exports.Car16 = Car16;
exports.Car20 = Car20;
exports.Car24 = Car24;
exports.Car32 = Car32;
exports.CarFront16 = CarFront16;
exports.CarFront20 = CarFront20;
exports.CarFront24 = CarFront24;
exports.CarFront32 = CarFront32;
exports.Carbon16 = Carbon16;
exports.Carbon20 = Carbon20;
exports.Carbon24 = Carbon24;
exports.Carbon32 = Carbon32;
exports.CaretDown16 = CaretDown16;
exports.CaretDown20 = CaretDown20;
exports.CaretDown24 = CaretDown24;
exports.CaretDown32 = CaretDown32;
exports.CaretDownGlyph = CaretDownGlyph;
exports.CaretLeft16 = CaretLeft16;
exports.CaretLeft20 = CaretLeft20;
exports.CaretLeft24 = CaretLeft24;
exports.CaretLeft32 = CaretLeft32;
exports.CaretLeftGlyph = CaretLeftGlyph;
exports.CaretRight16 = CaretRight16;
exports.CaretRight20 = CaretRight20;
exports.CaretRight24 = CaretRight24;
exports.CaretRight32 = CaretRight32;
exports.CaretRightGlyph = CaretRightGlyph;
exports.CaretSort16 = CaretSort16;
exports.CaretSort20 = CaretSort20;
exports.CaretSort24 = CaretSort24;
exports.CaretSort32 = CaretSort32;
exports.CaretSortDown16 = CaretSortDown16;
exports.CaretSortDown20 = CaretSortDown20;
exports.CaretSortDown24 = CaretSortDown24;
exports.CaretSortDown32 = CaretSortDown32;
exports.CaretSortUp16 = CaretSortUp16;
exports.CaretSortUp20 = CaretSortUp20;
exports.CaretSortUp24 = CaretSortUp24;
exports.CaretSortUp32 = CaretSortUp32;
exports.CaretUp16 = CaretUp16;
exports.CaretUp20 = CaretUp20;
exports.CaretUp24 = CaretUp24;
exports.CaretUp32 = CaretUp32;
exports.CaretUpGlyph = CaretUpGlyph;
exports.CarouselHorizontal16 = CarouselHorizontal16;
exports.CarouselHorizontal20 = CarouselHorizontal20;
exports.CarouselHorizontal24 = CarouselHorizontal24;
exports.CarouselHorizontal32 = CarouselHorizontal32;
exports.CarouselVertical16 = CarouselVertical16;
exports.CarouselVertical20 = CarouselVertical20;
exports.CarouselVertical24 = CarouselVertical24;
exports.CarouselVertical32 = CarouselVertical32;
exports.Catalog16 = Catalog16;
exports.Catalog20 = Catalog20;
exports.Catalog24 = Catalog24;
exports.Catalog32 = Catalog32;
exports.Categories16 = Categories16;
exports.Categories20 = Categories20;
exports.Categories24 = Categories24;
exports.Categories32 = Categories32;
exports.Category16 = Category16;
exports.Category20 = Category20;
exports.Category24 = Category24;
exports.Category32 = Category32;
exports.CategoryAdd16 = CategoryAdd16;
exports.CategoryAdd20 = CategoryAdd20;
exports.CategoryAdd24 = CategoryAdd24;
exports.CategoryAdd32 = CategoryAdd32;
exports.CategoryAnd16 = CategoryAnd16;
exports.CategoryAnd20 = CategoryAnd20;
exports.CategoryAnd24 = CategoryAnd24;
exports.CategoryAnd32 = CategoryAnd32;
exports.CategoryNew16 = CategoryNew16;
exports.CategoryNew20 = CategoryNew20;
exports.CategoryNew24 = CategoryNew24;
exports.CategoryNew32 = CategoryNew32;
exports.CategoryNewEach16 = CategoryNewEach16;
exports.CategoryNewEach20 = CategoryNewEach20;
exports.CategoryNewEach24 = CategoryNewEach24;
exports.CategoryNewEach32 = CategoryNewEach32;
exports.Cda16 = Cda16;
exports.Cda20 = Cda20;
exports.Cda24 = Cda24;
exports.Cda32 = Cda32;
exports.CenterCircle16 = CenterCircle16;
exports.CenterCircle20 = CenterCircle20;
exports.CenterCircle24 = CenterCircle24;
exports.CenterCircle32 = CenterCircle32;
exports.CenterSquare16 = CenterSquare16;
exports.CenterSquare20 = CenterSquare20;
exports.CenterSquare24 = CenterSquare24;
exports.CenterSquare32 = CenterSquare32;
exports.Certificate16 = Certificate16;
exports.Certificate20 = Certificate20;
exports.Certificate24 = Certificate24;
exports.Certificate32 = Certificate32;
exports.CertificateCheck16 = CertificateCheck16;
exports.CertificateCheck20 = CertificateCheck20;
exports.CertificateCheck24 = CertificateCheck24;
exports.CertificateCheck32 = CertificateCheck32;
exports.ChangeCatalog16 = ChangeCatalog16;
exports.ChangeCatalog20 = ChangeCatalog20;
exports.ChangeCatalog24 = ChangeCatalog24;
exports.ChangeCatalog32 = ChangeCatalog32;
exports.CharacterPatterns16 = CharacterPatterns16;
exports.CharacterPatterns20 = CharacterPatterns20;
exports.CharacterPatterns24 = CharacterPatterns24;
exports.CharacterPatterns32 = CharacterPatterns32;
exports.ChargingStation16 = ChargingStation16;
exports.ChargingStation20 = ChargingStation20;
exports.ChargingStation24 = ChargingStation24;
exports.ChargingStation32 = ChargingStation32;
exports.ChargingStationFilled16 = ChargingStationFilled16;
exports.ChargingStationFilled20 = ChargingStationFilled20;
exports.ChargingStationFilled24 = ChargingStationFilled24;
exports.ChargingStationFilled32 = ChargingStationFilled32;
exports.ChartBar16 = ChartBar16;
exports.ChartBar20 = ChartBar20;
exports.ChartBar24 = ChartBar24;
exports.ChartBar32 = ChartBar32;
exports.ChartBubble16 = ChartBubble16;
exports.ChartBubble20 = ChartBubble20;
exports.ChartBubble24 = ChartBubble24;
exports.ChartBubble32 = ChartBubble32;
exports.ChartLine16 = ChartLine16;
exports.ChartLine20 = ChartLine20;
exports.ChartLine24 = ChartLine24;
exports.ChartLine32 = ChartLine32;
exports.ChartLineData16 = ChartLineData16;
exports.ChartLineData20 = ChartLineData20;
exports.ChartLineData24 = ChartLineData24;
exports.ChartLineData32 = ChartLineData32;
exports.ChartNetwork16 = ChartNetwork16;
exports.ChartNetwork20 = ChartNetwork20;
exports.ChartNetwork24 = ChartNetwork24;
exports.ChartNetwork32 = ChartNetwork32;
exports.ChartPie16 = ChartPie16;
exports.ChartPie20 = ChartPie20;
exports.ChartPie24 = ChartPie24;
exports.ChartPie32 = ChartPie32;
exports.ChartScatter16 = ChartScatter16;
exports.ChartScatter20 = ChartScatter20;
exports.ChartScatter24 = ChartScatter24;
exports.ChartScatter32 = ChartScatter32;
exports.ChartVennDiagram16 = ChartVennDiagram16;
exports.ChartVennDiagram20 = ChartVennDiagram20;
exports.ChartVennDiagram24 = ChartVennDiagram24;
exports.ChartVennDiagram32 = ChartVennDiagram32;
exports.Chat16 = Chat16;
exports.Chat20 = Chat20;
exports.Chat24 = Chat24;
exports.Chat32 = Chat32;
exports.ChatBot16 = ChatBot16;
exports.ChatBot20 = ChatBot20;
exports.ChatBot24 = ChatBot24;
exports.ChatBot32 = ChatBot32;
exports.Checkbox16 = Checkbox16;
exports.Checkbox20 = Checkbox20;
exports.Checkbox24 = Checkbox24;
exports.Checkbox32 = Checkbox32;
exports.CheckboxChecked16 = CheckboxChecked16;
exports.CheckboxChecked20 = CheckboxChecked20;
exports.CheckboxChecked24 = CheckboxChecked24;
exports.CheckboxChecked32 = CheckboxChecked32;
exports.CheckboxCheckedFilled16 = CheckboxCheckedFilled16;
exports.CheckboxCheckedFilled20 = CheckboxCheckedFilled20;
exports.CheckboxCheckedFilled24 = CheckboxCheckedFilled24;
exports.CheckboxCheckedFilled32 = CheckboxCheckedFilled32;
exports.CheckboxIndeterminate16 = CheckboxIndeterminate16;
exports.CheckboxIndeterminate20 = CheckboxIndeterminate20;
exports.CheckboxIndeterminate24 = CheckboxIndeterminate24;
exports.CheckboxIndeterminate32 = CheckboxIndeterminate32;
exports.CheckboxIndeterminateFilled16 = CheckboxIndeterminateFilled16;
exports.CheckboxIndeterminateFilled20 = CheckboxIndeterminateFilled20;
exports.CheckboxIndeterminateFilled24 = CheckboxIndeterminateFilled24;
exports.CheckboxIndeterminateFilled32 = CheckboxIndeterminateFilled32;
exports.CheckboxUndeterminate16 = CheckboxUndeterminate16;
exports.CheckboxUndeterminate20 = CheckboxUndeterminate20;
exports.CheckboxUndeterminate24 = CheckboxUndeterminate24;
exports.CheckboxUndeterminate32 = CheckboxUndeterminate32;
exports.CheckboxUndeterminateFilled16 = CheckboxUndeterminateFilled16;
exports.CheckboxUndeterminateFilled20 = CheckboxUndeterminateFilled20;
exports.CheckboxUndeterminateFilled24 = CheckboxUndeterminateFilled24;
exports.CheckboxUndeterminateFilled32 = CheckboxUndeterminateFilled32;
exports.Checkmark16 = Checkmark16;
exports.Checkmark20 = Checkmark20;
exports.Checkmark24 = Checkmark24;
exports.Checkmark32 = Checkmark32;
exports.CheckmarkFilled16 = CheckmarkFilled16;
exports.CheckmarkFilled20 = CheckmarkFilled20;
exports.CheckmarkFilled24 = CheckmarkFilled24;
exports.CheckmarkFilled32 = CheckmarkFilled32;
exports.CheckmarkOutline16 = CheckmarkOutline16;
exports.CheckmarkOutline20 = CheckmarkOutline20;
exports.CheckmarkOutline24 = CheckmarkOutline24;
exports.CheckmarkOutline32 = CheckmarkOutline32;
exports.Chemistry16 = Chemistry16;
exports.Chemistry20 = Chemistry20;
exports.Chemistry24 = Chemistry24;
exports.Chemistry32 = Chemistry32;
exports.ChevronDown16 = ChevronDown16;
exports.ChevronDown20 = ChevronDown20;
exports.ChevronDown24 = ChevronDown24;
exports.ChevronDown32 = ChevronDown32;
exports.ChevronDownGlyph = ChevronDownGlyph;
exports.ChevronLeft16 = ChevronLeft16;
exports.ChevronLeft20 = ChevronLeft20;
exports.ChevronLeft24 = ChevronLeft24;
exports.ChevronLeft32 = ChevronLeft32;
exports.ChevronLeftGlyph = ChevronLeftGlyph;
exports.ChevronMini16 = ChevronMini16;
exports.ChevronMini20 = ChevronMini20;
exports.ChevronMini24 = ChevronMini24;
exports.ChevronMini32 = ChevronMini32;
exports.ChevronRight16 = ChevronRight16;
exports.ChevronRight20 = ChevronRight20;
exports.ChevronRight24 = ChevronRight24;
exports.ChevronRight32 = ChevronRight32;
exports.ChevronRightGlyph = ChevronRightGlyph;
exports.ChevronSort16 = ChevronSort16;
exports.ChevronSort20 = ChevronSort20;
exports.ChevronSort24 = ChevronSort24;
exports.ChevronSort32 = ChevronSort32;
exports.ChevronSortDown16 = ChevronSortDown16;
exports.ChevronSortDown20 = ChevronSortDown20;
exports.ChevronSortDown24 = ChevronSortDown24;
exports.ChevronSortDown32 = ChevronSortDown32;
exports.ChevronSortUp16 = ChevronSortUp16;
exports.ChevronSortUp20 = ChevronSortUp20;
exports.ChevronSortUp24 = ChevronSortUp24;
exports.ChevronSortUp32 = ChevronSortUp32;
exports.ChevronUp16 = ChevronUp16;
exports.ChevronUp20 = ChevronUp20;
exports.ChevronUp24 = ChevronUp24;
exports.ChevronUp32 = ChevronUp32;
exports.ChevronUpGlyph = ChevronUpGlyph;
exports.Chip16 = Chip16;
exports.Chip20 = Chip20;
exports.Chip24 = Chip24;
exports.Chip32 = Chip32;
exports.Choices16 = Choices16;
exports.Choices20 = Choices20;
exports.Choices24 = Choices24;
exports.Choices32 = Choices32;
exports.CircleDash16 = CircleDash16;
exports.CircleDash20 = CircleDash20;
exports.CircleDash24 = CircleDash24;
exports.CircleDash32 = CircleDash32;
exports.CircleFilled16 = CircleFilled16;
exports.CircleFilled20 = CircleFilled20;
exports.CircleFilled24 = CircleFilled24;
exports.CircleFilled32 = CircleFilled32;
exports.Classification16 = Classification16;
exports.Classification20 = Classification20;
exports.Classification24 = Classification24;
exports.Classification32 = Classification32;
exports.ClassifierLanguage16 = ClassifierLanguage16;
exports.ClassifierLanguage20 = ClassifierLanguage20;
exports.ClassifierLanguage24 = ClassifierLanguage24;
exports.ClassifierLanguage32 = ClassifierLanguage32;
exports.Close16 = Close16;
exports.Close20 = Close20;
exports.Close24 = Close24;
exports.Close32 = Close32;
exports.CloseFilled16 = CloseFilled16;
exports.CloseFilled20 = CloseFilled20;
exports.CloseFilled24 = CloseFilled24;
exports.CloseFilled32 = CloseFilled32;
exports.CloseOutline16 = CloseOutline16;
exports.CloseOutline20 = CloseOutline20;
exports.CloseOutline24 = CloseOutline24;
exports.CloseOutline32 = CloseOutline32;
exports.ClosedCaption16 = ClosedCaption16;
exports.ClosedCaption20 = ClosedCaption20;
exports.ClosedCaption24 = ClosedCaption24;
exports.ClosedCaption32 = ClosedCaption32;
exports.ClosedCaptionAlt16 = ClosedCaptionAlt16;
exports.ClosedCaptionAlt20 = ClosedCaptionAlt20;
exports.ClosedCaptionAlt24 = ClosedCaptionAlt24;
exports.ClosedCaptionAlt32 = ClosedCaptionAlt32;
exports.ClosedCaptionFilled16 = ClosedCaptionFilled16;
exports.ClosedCaptionFilled20 = ClosedCaptionFilled20;
exports.ClosedCaptionFilled24 = ClosedCaptionFilled24;
exports.ClosedCaptionFilled32 = ClosedCaptionFilled32;
exports.Cloud16 = Cloud16;
exports.Cloud20 = Cloud20;
exports.Cloud24 = Cloud24;
exports.Cloud32 = Cloud32;
exports.CloudApp16 = CloudApp16;
exports.CloudApp20 = CloudApp20;
exports.CloudApp24 = CloudApp24;
exports.CloudApp32 = CloudApp32;
exports.CloudDownload16 = CloudDownload16;
exports.CloudDownload20 = CloudDownload20;
exports.CloudDownload24 = CloudDownload24;
exports.CloudDownload32 = CloudDownload32;
exports.CloudFoundry_116 = CloudFoundry_116;
exports.CloudFoundry_120 = CloudFoundry_120;
exports.CloudFoundry_124 = CloudFoundry_124;
exports.CloudFoundry_132 = CloudFoundry_132;
exports.CloudFoundry_216 = CloudFoundry_216;
exports.CloudFoundry_220 = CloudFoundry_220;
exports.CloudFoundry_224 = CloudFoundry_224;
exports.CloudFoundry_232 = CloudFoundry_232;
exports.CloudLightning16 = CloudLightning16;
exports.CloudLightning20 = CloudLightning20;
exports.CloudLightning24 = CloudLightning24;
exports.CloudLightning32 = CloudLightning32;
exports.CloudRain16 = CloudRain16;
exports.CloudRain20 = CloudRain20;
exports.CloudRain24 = CloudRain24;
exports.CloudRain32 = CloudRain32;
exports.CloudSnow16 = CloudSnow16;
exports.CloudSnow20 = CloudSnow20;
exports.CloudSnow24 = CloudSnow24;
exports.CloudSnow32 = CloudSnow32;
exports.CloudUpload16 = CloudUpload16;
exports.CloudUpload20 = CloudUpload20;
exports.CloudUpload24 = CloudUpload24;
exports.CloudUpload32 = CloudUpload32;
exports.Cloudy16 = Cloudy16;
exports.Cloudy20 = Cloudy20;
exports.Cloudy24 = Cloudy24;
exports.Cloudy32 = Cloudy32;
exports.Code16 = Code16;
exports.Code20 = Code20;
exports.Code24 = Code24;
exports.Code32 = Code32;
exports.Cognitive16 = Cognitive16;
exports.Cognitive20 = Cognitive20;
exports.Cognitive24 = Cognitive24;
exports.Cognitive32 = Cognitive32;
exports.Collaborate16 = Collaborate16;
exports.Collaborate20 = Collaborate20;
exports.Collaborate24 = Collaborate24;
exports.Collaborate32 = Collaborate32;
exports.CollapseAll16 = CollapseAll16;
exports.CollapseAll20 = CollapseAll20;
exports.CollapseAll24 = CollapseAll24;
exports.CollapseAll32 = CollapseAll32;
exports.CollapseCategories16 = CollapseCategories16;
exports.CollapseCategories20 = CollapseCategories20;
exports.CollapseCategories24 = CollapseCategories24;
exports.CollapseCategories32 = CollapseCategories32;
exports.ColorPalette16 = ColorPalette16;
exports.ColorPalette20 = ColorPalette20;
exports.ColorPalette24 = ColorPalette24;
exports.ColorPalette32 = ColorPalette32;
exports.ColorSwitch16 = ColorSwitch16;
exports.ColorSwitch20 = ColorSwitch20;
exports.ColorSwitch24 = ColorSwitch24;
exports.ColorSwitch32 = ColorSwitch32;
exports.Column16 = Column16;
exports.Column20 = Column20;
exports.Column24 = Column24;
exports.Column32 = Column32;
exports.Compare16 = Compare16;
exports.Compare20 = Compare20;
exports.Compare24 = Compare24;
exports.Compare32 = Compare32;
exports.Compass16 = Compass16;
exports.Compass20 = Compass20;
exports.Compass24 = Compass24;
exports.Compass32 = Compass32;
exports.ComposerEdit16 = ComposerEdit16;
exports.ComposerEdit20 = ComposerEdit20;
exports.ComposerEdit24 = ComposerEdit24;
exports.ComposerEdit32 = ComposerEdit32;
exports.Concept16 = Concept16;
exports.Concept20 = Concept20;
exports.Concept24 = Concept24;
exports.Concept32 = Concept32;
exports.Connect16 = Connect16;
exports.Connect20 = Connect20;
exports.Connect24 = Connect24;
exports.Connect32 = Connect32;
exports.ConnectionSignal16 = ConnectionSignal16;
exports.ConnectionSignal20 = ConnectionSignal20;
exports.ConnectionSignal24 = ConnectionSignal24;
exports.ConnectionSignal32 = ConnectionSignal32;
exports.ContainerSoftware16 = ContainerSoftware16;
exports.ContainerSoftware20 = ContainerSoftware20;
exports.ContainerSoftware24 = ContainerSoftware24;
exports.ContainerSoftware32 = ContainerSoftware32;
exports.Contrast16 = Contrast16;
exports.Contrast20 = Contrast20;
exports.Contrast24 = Contrast24;
exports.Contrast32 = Contrast32;
exports.Copy16 = Copy16;
exports.Copy20 = Copy20;
exports.Copy24 = Copy24;
exports.Copy32 = Copy32;
exports.CopyFile16 = CopyFile16;
exports.CopyFile20 = CopyFile20;
exports.CopyFile24 = CopyFile24;
exports.CopyFile32 = CopyFile32;
exports.Corn16 = Corn16;
exports.Corn20 = Corn20;
exports.Corn24 = Corn24;
exports.Corn32 = Corn32;
exports.Corner16 = Corner16;
exports.Corner20 = Corner20;
exports.Corner24 = Corner24;
exports.Corner32 = Corner32;
exports.Course16 = Course16;
exports.Course20 = Course20;
exports.Course24 = Course24;
exports.Course32 = Course32;
exports.Covariate16 = Covariate16;
exports.Covariate20 = Covariate20;
exports.Covariate24 = Covariate24;
exports.Covariate32 = Covariate32;
exports.Credentials16 = Credentials16;
exports.Credentials20 = Credentials20;
exports.Credentials24 = Credentials24;
exports.Credentials32 = Credentials32;
exports.Crop16 = Crop16;
exports.Crop20 = Crop20;
exports.Crop24 = Crop24;
exports.Crop32 = Crop32;
exports.Csv16 = Csv16;
exports.Csv20 = Csv20;
exports.Csv24 = Csv24;
exports.Csv32 = Csv32;
exports.Cursor_116 = Cursor_116;
exports.Cursor_120 = Cursor_120;
exports.Cursor_124 = Cursor_124;
exports.Cursor_132 = Cursor_132;
exports.Cursor_216 = Cursor_216;
exports.Cursor_220 = Cursor_220;
exports.Cursor_224 = Cursor_224;
exports.Cursor_232 = Cursor_232;
exports.Cut16 = Cut16;
exports.Cut20 = Cut20;
exports.Cut24 = Cut24;
exports.Cut32 = Cut32;
exports.Cyclist16 = Cyclist16;
exports.Cyclist20 = Cyclist20;
exports.Cyclist24 = Cyclist24;
exports.Cyclist32 = Cyclist32;
exports.Dashboard16 = Dashboard16;
exports.Dashboard20 = Dashboard20;
exports.Dashboard24 = Dashboard24;
exports.Dashboard32 = Dashboard32;
exports.DataBase16 = DataBase16;
exports.DataBase20 = DataBase20;
exports.DataBase24 = DataBase24;
exports.DataBase32 = DataBase32;
exports.DataCheck16 = DataCheck16;
exports.DataCheck20 = DataCheck20;
exports.DataCheck24 = DataCheck24;
exports.DataCheck32 = DataCheck32;
exports.DataClass16 = DataClass16;
exports.DataClass20 = DataClass20;
exports.DataClass24 = DataClass24;
exports.DataClass32 = DataClass32;
exports.DataConnected16 = DataConnected16;
exports.DataConnected20 = DataConnected20;
exports.DataConnected24 = DataConnected24;
exports.DataConnected32 = DataConnected32;
exports.DataError16 = DataError16;
exports.DataError20 = DataError20;
exports.DataError24 = DataError24;
exports.DataError32 = DataError32;
exports.DataReference16 = DataReference16;
exports.DataReference20 = DataReference20;
exports.DataReference24 = DataReference24;
exports.DataReference32 = DataReference32;
exports.DataRefinery16 = DataRefinery16;
exports.DataRefinery20 = DataRefinery20;
exports.DataRefinery24 = DataRefinery24;
exports.DataRefinery32 = DataRefinery32;
exports.DataSet16 = DataSet16;
exports.DataSet20 = DataSet20;
exports.DataSet24 = DataSet24;
exports.DataSet32 = DataSet32;
exports.DataShare16 = DataShare16;
exports.DataShare20 = DataShare20;
exports.DataShare24 = DataShare24;
exports.DataShare32 = DataShare32;
exports.DataStructured16 = DataStructured16;
exports.DataStructured20 = DataStructured20;
exports.DataStructured24 = DataStructured24;
exports.DataStructured32 = DataStructured32;
exports.DataTable16 = DataTable16;
exports.DataTable20 = DataTable20;
exports.DataTable24 = DataTable24;
exports.DataTable32 = DataTable32;
exports.DataUnstructured16 = DataUnstructured16;
exports.DataUnstructured20 = DataUnstructured20;
exports.DataUnstructured24 = DataUnstructured24;
exports.DataUnstructured32 = DataUnstructured32;
exports.DataVis_116 = DataVis_116;
exports.DataVis_120 = DataVis_120;
exports.DataVis_124 = DataVis_124;
exports.DataVis_132 = DataVis_132;
exports.DataVis_216 = DataVis_216;
exports.DataVis_220 = DataVis_220;
exports.DataVis_224 = DataVis_224;
exports.DataVis_232 = DataVis_232;
exports.DataVis_316 = DataVis_316;
exports.DataVis_320 = DataVis_320;
exports.DataVis_324 = DataVis_324;
exports.DataVis_332 = DataVis_332;
exports.DataVis_416 = DataVis_416;
exports.DataVis_420 = DataVis_420;
exports.DataVis_424 = DataVis_424;
exports.DataVis_432 = DataVis_432;
exports.Data_116 = Data_116;
exports.Data_120 = Data_120;
exports.Data_124 = Data_124;
exports.Data_132 = Data_132;
exports.Data_216 = Data_216;
exports.Data_220 = Data_220;
exports.Data_224 = Data_224;
exports.Data_232 = Data_232;
exports.Datastore16 = Datastore16;
exports.Datastore20 = Datastore20;
exports.Datastore24 = Datastore24;
exports.Datastore32 = Datastore32;
exports.Debug16 = Debug16;
exports.Debug20 = Debug20;
exports.Debug24 = Debug24;
exports.Debug32 = Debug32;
exports.Delete16 = Delete16;
exports.Delete20 = Delete20;
exports.Delete24 = Delete24;
exports.Delete32 = Delete32;
exports.DeliveryTruck16 = DeliveryTruck16;
exports.DeliveryTruck20 = DeliveryTruck20;
exports.DeliveryTruck24 = DeliveryTruck24;
exports.DeliveryTruck32 = DeliveryTruck32;
exports.Departure16 = Departure16;
exports.Departure20 = Departure20;
exports.Departure24 = Departure24;
exports.Departure32 = Departure32;
exports.Deploy16 = Deploy16;
exports.Deploy20 = Deploy20;
exports.Deploy24 = Deploy24;
exports.Deploy32 = Deploy32;
exports.DeployRules16 = DeployRules16;
exports.DeployRules20 = DeployRules20;
exports.DeployRules24 = DeployRules24;
exports.DeployRules32 = DeployRules32;
exports.Development16 = Development16;
exports.Development20 = Development20;
exports.Development24 = Development24;
exports.Development32 = Development32;
exports.Devices16 = Devices16;
exports.Devices20 = Devices20;
exports.Devices24 = Devices24;
exports.Devices32 = Devices32;
exports.Diagram16 = Diagram16;
exports.Diagram20 = Diagram20;
exports.Diagram24 = Diagram24;
exports.Diagram32 = Diagram32;
exports.DistributeHorizontalCenter16 = DistributeHorizontalCenter16;
exports.DistributeHorizontalCenter20 = DistributeHorizontalCenter20;
exports.DistributeHorizontalCenter24 = DistributeHorizontalCenter24;
exports.DistributeHorizontalCenter32 = DistributeHorizontalCenter32;
exports.DistributeHorizontalLeft16 = DistributeHorizontalLeft16;
exports.DistributeHorizontalLeft20 = DistributeHorizontalLeft20;
exports.DistributeHorizontalLeft24 = DistributeHorizontalLeft24;
exports.DistributeHorizontalLeft32 = DistributeHorizontalLeft32;
exports.DistributeHorizontalRight16 = DistributeHorizontalRight16;
exports.DistributeHorizontalRight20 = DistributeHorizontalRight20;
exports.DistributeHorizontalRight24 = DistributeHorizontalRight24;
exports.DistributeHorizontalRight32 = DistributeHorizontalRight32;
exports.DistributeVerticalBottom16 = DistributeVerticalBottom16;
exports.DistributeVerticalBottom20 = DistributeVerticalBottom20;
exports.DistributeVerticalBottom24 = DistributeVerticalBottom24;
exports.DistributeVerticalBottom32 = DistributeVerticalBottom32;
exports.DistributeVerticalCenter16 = DistributeVerticalCenter16;
exports.DistributeVerticalCenter20 = DistributeVerticalCenter20;
exports.DistributeVerticalCenter24 = DistributeVerticalCenter24;
exports.DistributeVerticalCenter32 = DistributeVerticalCenter32;
exports.DistributeVerticalTop16 = DistributeVerticalTop16;
exports.DistributeVerticalTop20 = DistributeVerticalTop20;
exports.DistributeVerticalTop24 = DistributeVerticalTop24;
exports.DistributeVerticalTop32 = DistributeVerticalTop32;
exports.Doc16 = Doc16;
exports.Doc20 = Doc20;
exports.Doc24 = Doc24;
exports.Doc32 = Doc32;
exports.Document16 = Document16;
exports.Document20 = Document20;
exports.Document24 = Document24;
exports.Document32 = Document32;
exports.DocumentAdd16 = DocumentAdd16;
exports.DocumentAdd20 = DocumentAdd20;
exports.DocumentAdd24 = DocumentAdd24;
exports.DocumentAdd32 = DocumentAdd32;
exports.DocumentBlank16 = DocumentBlank16;
exports.DocumentBlank20 = DocumentBlank20;
exports.DocumentBlank24 = DocumentBlank24;
exports.DocumentBlank32 = DocumentBlank32;
exports.DocumentDownload16 = DocumentDownload16;
exports.DocumentDownload20 = DocumentDownload20;
exports.DocumentDownload24 = DocumentDownload24;
exports.DocumentDownload32 = DocumentDownload32;
exports.DocumentExport16 = DocumentExport16;
exports.DocumentExport20 = DocumentExport20;
exports.DocumentExport24 = DocumentExport24;
exports.DocumentExport32 = DocumentExport32;
exports.DocumentImport16 = DocumentImport16;
exports.DocumentImport20 = DocumentImport20;
exports.DocumentImport24 = DocumentImport24;
exports.DocumentImport32 = DocumentImport32;
exports.DocumentPdf16 = DocumentPdf16;
exports.DocumentPdf20 = DocumentPdf20;
exports.DocumentPdf24 = DocumentPdf24;
exports.DocumentPdf32 = DocumentPdf32;
exports.DocumentSentiment16 = DocumentSentiment16;
exports.DocumentSentiment20 = DocumentSentiment20;
exports.DocumentSentiment24 = DocumentSentiment24;
exports.DocumentSentiment32 = DocumentSentiment32;
exports.DocumentSubtract16 = DocumentSubtract16;
exports.DocumentSubtract20 = DocumentSubtract20;
exports.DocumentSubtract24 = DocumentSubtract24;
exports.DocumentSubtract32 = DocumentSubtract32;
exports.DocumentTasks16 = DocumentTasks16;
exports.DocumentTasks20 = DocumentTasks20;
exports.DocumentTasks24 = DocumentTasks24;
exports.DocumentTasks32 = DocumentTasks32;
exports.DocumentView16 = DocumentView16;
exports.DocumentView20 = DocumentView20;
exports.DocumentView24 = DocumentView24;
exports.DocumentView32 = DocumentView32;
exports.DotMark16 = DotMark16;
exports.DotMark20 = DotMark20;
exports.DotMark24 = DotMark24;
exports.DotMark32 = DotMark32;
exports.DoubleInteger16 = DoubleInteger16;
exports.DoubleInteger20 = DoubleInteger20;
exports.DoubleInteger24 = DoubleInteger24;
exports.DoubleInteger32 = DoubleInteger32;
exports.DownToBottom16 = DownToBottom16;
exports.DownToBottom20 = DownToBottom20;
exports.DownToBottom24 = DownToBottom24;
exports.DownToBottom32 = DownToBottom32;
exports.Download16 = Download16;
exports.Download20 = Download20;
exports.Download24 = Download24;
exports.Download32 = Download32;
exports.DragHorizontal16 = DragHorizontal16;
exports.DragHorizontal20 = DragHorizontal20;
exports.DragHorizontal24 = DragHorizontal24;
exports.DragHorizontal32 = DragHorizontal32;
exports.DragVertical16 = DragVertical16;
exports.DragVertical20 = DragVertical20;
exports.DragVertical24 = DragVertical24;
exports.DragVertical32 = DragVertical32;
exports.Draggable16 = Draggable16;
exports.Draggable20 = Draggable20;
exports.Draggable24 = Draggable24;
exports.Draggable32 = Draggable32;
exports.Draw16 = Draw16;
exports.Draw20 = Draw20;
exports.Draw24 = Draw24;
exports.Draw32 = Draw32;
exports.DropPhoto16 = DropPhoto16;
exports.DropPhoto20 = DropPhoto20;
exports.DropPhoto24 = DropPhoto24;
exports.DropPhoto32 = DropPhoto32;
exports.DropPhotoFilled16 = DropPhotoFilled16;
exports.DropPhotoFilled20 = DropPhotoFilled20;
exports.DropPhotoFilled24 = DropPhotoFilled24;
exports.DropPhotoFilled32 = DropPhotoFilled32;
exports.Dvr16 = Dvr16;
exports.Dvr20 = Dvr20;
exports.Dvr24 = Dvr24;
exports.Dvr32 = Dvr32;
exports.Earth16 = Earth16;
exports.Earth20 = Earth20;
exports.Earth24 = Earth24;
exports.Earth32 = Earth32;
exports.EarthAmericas16 = EarthAmericas16;
exports.EarthAmericas20 = EarthAmericas20;
exports.EarthAmericas24 = EarthAmericas24;
exports.EarthAmericas32 = EarthAmericas32;
exports.EarthAmericasFilled16 = EarthAmericasFilled16;
exports.EarthAmericasFilled20 = EarthAmericasFilled20;
exports.EarthAmericasFilled24 = EarthAmericasFilled24;
exports.EarthAmericasFilled32 = EarthAmericasFilled32;
exports.EarthEuropeAfrica16 = EarthEuropeAfrica16;
exports.EarthEuropeAfrica20 = EarthEuropeAfrica20;
exports.EarthEuropeAfrica24 = EarthEuropeAfrica24;
exports.EarthEuropeAfrica32 = EarthEuropeAfrica32;
exports.EarthEuropeAfricaFilled16 = EarthEuropeAfricaFilled16;
exports.EarthEuropeAfricaFilled20 = EarthEuropeAfricaFilled20;
exports.EarthEuropeAfricaFilled24 = EarthEuropeAfricaFilled24;
exports.EarthEuropeAfricaFilled32 = EarthEuropeAfricaFilled32;
exports.EarthFilled16 = EarthFilled16;
exports.EarthFilled20 = EarthFilled20;
exports.EarthFilled24 = EarthFilled24;
exports.EarthFilled32 = EarthFilled32;
exports.EarthSoutheastAsia16 = EarthSoutheastAsia16;
exports.EarthSoutheastAsia20 = EarthSoutheastAsia20;
exports.EarthSoutheastAsia24 = EarthSoutheastAsia24;
exports.EarthSoutheastAsia32 = EarthSoutheastAsia32;
exports.EarthSoutheastAsiaFilled16 = EarthSoutheastAsiaFilled16;
exports.EarthSoutheastAsiaFilled20 = EarthSoutheastAsiaFilled20;
exports.EarthSoutheastAsiaFilled24 = EarthSoutheastAsiaFilled24;
exports.EarthSoutheastAsiaFilled32 = EarthSoutheastAsiaFilled32;
exports.Edit16 = Edit16;
exports.Edit20 = Edit20;
exports.Edit24 = Edit24;
exports.Edit32 = Edit32;
exports.EditOff16 = EditOff16;
exports.EditOff20 = EditOff20;
exports.EditOff24 = EditOff24;
exports.EditOff32 = EditOff32;
exports.EdtLoop16 = EdtLoop16;
exports.EdtLoop20 = EdtLoop20;
exports.EdtLoop24 = EdtLoop24;
exports.EdtLoop32 = EdtLoop32;
exports.Education16 = Education16;
exports.Education20 = Education20;
exports.Education24 = Education24;
exports.Education32 = Education32;
exports.Email16 = Email16;
exports.Email20 = Email20;
exports.Email24 = Email24;
exports.Email32 = Email32;
exports.EmailNew16 = EmailNew16;
exports.EmailNew20 = EmailNew20;
exports.EmailNew24 = EmailNew24;
exports.EmailNew32 = EmailNew32;
exports.Enterprise16 = Enterprise16;
exports.Enterprise20 = Enterprise20;
exports.Enterprise24 = Enterprise24;
exports.Enterprise32 = Enterprise32;
exports.Erase16 = Erase16;
exports.Erase20 = Erase20;
exports.Erase24 = Erase24;
exports.Erase32 = Erase32;
exports.Error16 = Error16;
exports.Error20 = Error20;
exports.Error24 = Error24;
exports.Error32 = Error32;
exports.ErrorFilled16 = ErrorFilled16;
exports.ErrorFilled20 = ErrorFilled20;
exports.ErrorFilled24 = ErrorFilled24;
exports.ErrorFilled32 = ErrorFilled32;
exports.ErrorOutline16 = ErrorOutline16;
exports.ErrorOutline20 = ErrorOutline20;
exports.ErrorOutline24 = ErrorOutline24;
exports.ErrorOutline32 = ErrorOutline32;
exports.Event16 = Event16;
exports.Event20 = Event20;
exports.Event24 = Event24;
exports.Event32 = Event32;
exports.EventSchedule16 = EventSchedule16;
exports.EventSchedule20 = EventSchedule20;
exports.EventSchedule24 = EventSchedule24;
exports.EventSchedule32 = EventSchedule32;
exports.Events16 = Events16;
exports.Events20 = Events20;
exports.Events24 = Events24;
exports.Events32 = Events32;
exports.EventsAlt16 = EventsAlt16;
exports.EventsAlt20 = EventsAlt20;
exports.EventsAlt24 = EventsAlt24;
exports.EventsAlt32 = EventsAlt32;
exports.ExamMode16 = ExamMode16;
exports.ExamMode20 = ExamMode20;
exports.ExamMode24 = ExamMode24;
exports.ExamMode32 = ExamMode32;
exports.Exit16 = Exit16;
exports.Exit20 = Exit20;
exports.Exit24 = Exit24;
exports.Exit32 = Exit32;
exports.ExpandAll16 = ExpandAll16;
exports.ExpandAll20 = ExpandAll20;
exports.ExpandAll24 = ExpandAll24;
exports.ExpandAll32 = ExpandAll32;
exports.ExpandCategories16 = ExpandCategories16;
exports.ExpandCategories20 = ExpandCategories20;
exports.ExpandCategories24 = ExpandCategories24;
exports.ExpandCategories32 = ExpandCategories32;
exports.Export16 = Export16;
exports.Export20 = Export20;
exports.Export24 = Export24;
exports.Export32 = Export32;
exports.Eyedropper16 = Eyedropper16;
exports.Eyedropper20 = Eyedropper20;
exports.Eyedropper24 = Eyedropper24;
exports.Eyedropper32 = Eyedropper32;
exports.FaceActivated16 = FaceActivated16;
exports.FaceActivated20 = FaceActivated20;
exports.FaceActivated24 = FaceActivated24;
exports.FaceActivated32 = FaceActivated32;
exports.FaceActivatedAdd16 = FaceActivatedAdd16;
exports.FaceActivatedAdd20 = FaceActivatedAdd20;
exports.FaceActivatedAdd24 = FaceActivatedAdd24;
exports.FaceActivatedAdd32 = FaceActivatedAdd32;
exports.FaceActivatedFilled16 = FaceActivatedFilled16;
exports.FaceActivatedFilled20 = FaceActivatedFilled20;
exports.FaceActivatedFilled24 = FaceActivatedFilled24;
exports.FaceActivatedFilled32 = FaceActivatedFilled32;
exports.FaceAdd16 = FaceAdd16;
exports.FaceAdd20 = FaceAdd20;
exports.FaceAdd24 = FaceAdd24;
exports.FaceAdd32 = FaceAdd32;
exports.FaceCool16 = FaceCool16;
exports.FaceCool20 = FaceCool20;
exports.FaceCool24 = FaceCool24;
exports.FaceCool32 = FaceCool32;
exports.FaceDissatisfied16 = FaceDissatisfied16;
exports.FaceDissatisfied20 = FaceDissatisfied20;
exports.FaceDissatisfied24 = FaceDissatisfied24;
exports.FaceDissatisfied32 = FaceDissatisfied32;
exports.FaceDissatisfiedFilled16 = FaceDissatisfiedFilled16;
exports.FaceDissatisfiedFilled20 = FaceDissatisfiedFilled20;
exports.FaceDissatisfiedFilled24 = FaceDissatisfiedFilled24;
exports.FaceDissatisfiedFilled32 = FaceDissatisfiedFilled32;
exports.FaceDizzy16 = FaceDizzy16;
exports.FaceDizzy20 = FaceDizzy20;
exports.FaceDizzy24 = FaceDizzy24;
exports.FaceDizzy32 = FaceDizzy32;
exports.FaceDizzyFilled16 = FaceDizzyFilled16;
exports.FaceDizzyFilled20 = FaceDizzyFilled20;
exports.FaceDizzyFilled24 = FaceDizzyFilled24;
exports.FaceDizzyFilled32 = FaceDizzyFilled32;
exports.FaceNeutral16 = FaceNeutral16;
exports.FaceNeutral20 = FaceNeutral20;
exports.FaceNeutral24 = FaceNeutral24;
exports.FaceNeutral32 = FaceNeutral32;
exports.FaceNeutralFilled16 = FaceNeutralFilled16;
exports.FaceNeutralFilled20 = FaceNeutralFilled20;
exports.FaceNeutralFilled24 = FaceNeutralFilled24;
exports.FaceNeutralFilled32 = FaceNeutralFilled32;
exports.FacePending16 = FacePending16;
exports.FacePending20 = FacePending20;
exports.FacePending24 = FacePending24;
exports.FacePending32 = FacePending32;
exports.FacePendingFilled16 = FacePendingFilled16;
exports.FacePendingFilled20 = FacePendingFilled20;
exports.FacePendingFilled24 = FacePendingFilled24;
exports.FacePendingFilled32 = FacePendingFilled32;
exports.FaceSatisfied16 = FaceSatisfied16;
exports.FaceSatisfied20 = FaceSatisfied20;
exports.FaceSatisfied24 = FaceSatisfied24;
exports.FaceSatisfied32 = FaceSatisfied32;
exports.FaceSatisfiedFilled16 = FaceSatisfiedFilled16;
exports.FaceSatisfiedFilled20 = FaceSatisfiedFilled20;
exports.FaceSatisfiedFilled24 = FaceSatisfiedFilled24;
exports.FaceSatisfiedFilled32 = FaceSatisfiedFilled32;
exports.FaceWink16 = FaceWink16;
exports.FaceWink20 = FaceWink20;
exports.FaceWink24 = FaceWink24;
exports.FaceWink32 = FaceWink32;
exports.FaceWinkFilled16 = FaceWinkFilled16;
exports.FaceWinkFilled20 = FaceWinkFilled20;
exports.FaceWinkFilled24 = FaceWinkFilled24;
exports.FaceWinkFilled32 = FaceWinkFilled32;
exports.Factor16 = Factor16;
exports.Factor20 = Factor20;
exports.Factor24 = Factor24;
exports.Factor32 = Factor32;
exports.Fade16 = Fade16;
exports.Fade20 = Fade20;
exports.Fade24 = Fade24;
exports.Fade32 = Fade32;
exports.Favorite16 = Favorite16;
exports.Favorite20 = Favorite20;
exports.Favorite24 = Favorite24;
exports.Favorite32 = Favorite32;
exports.FavoriteFilled16 = FavoriteFilled16;
exports.FavoriteFilled20 = FavoriteFilled20;
exports.FavoriteFilled24 = FavoriteFilled24;
exports.FavoriteFilled32 = FavoriteFilled32;
exports.FetchUpload16 = FetchUpload16;
exports.FetchUpload20 = FetchUpload20;
exports.FetchUpload24 = FetchUpload24;
exports.FetchUpload32 = FetchUpload32;
exports.FetchUploadCloud16 = FetchUploadCloud16;
exports.FetchUploadCloud20 = FetchUploadCloud20;
exports.FetchUploadCloud24 = FetchUploadCloud24;
exports.FetchUploadCloud32 = FetchUploadCloud32;
exports.Filter16 = Filter16;
exports.Filter20 = Filter20;
exports.Filter24 = Filter24;
exports.Filter32 = Filter32;
exports.FilterEdit16 = FilterEdit16;
exports.FilterEdit20 = FilterEdit20;
exports.FilterEdit24 = FilterEdit24;
exports.FilterEdit32 = FilterEdit32;
exports.Finance16 = Finance16;
exports.Finance20 = Finance20;
exports.Finance24 = Finance24;
exports.Finance32 = Finance32;
exports.FingerprintRecognition16 = FingerprintRecognition16;
exports.FingerprintRecognition20 = FingerprintRecognition20;
exports.FingerprintRecognition24 = FingerprintRecognition24;
exports.FingerprintRecognition32 = FingerprintRecognition32;
exports.Fish16 = Fish16;
exports.Fish20 = Fish20;
exports.Fish24 = Fish24;
exports.Fish32 = Fish32;
exports.FishMultiple16 = FishMultiple16;
exports.FishMultiple20 = FishMultiple20;
exports.FishMultiple24 = FishMultiple24;
exports.FishMultiple32 = FishMultiple32;
exports.FitToScreen16 = FitToScreen16;
exports.FitToScreen20 = FitToScreen20;
exports.FitToScreen24 = FitToScreen24;
exports.FitToScreen32 = FitToScreen32;
exports.Flag16 = Flag16;
exports.Flag20 = Flag20;
exports.Flag24 = Flag24;
exports.Flag32 = Flag32;
exports.FlaggingTaxi16 = FlaggingTaxi16;
exports.FlaggingTaxi20 = FlaggingTaxi20;
exports.FlaggingTaxi24 = FlaggingTaxi24;
exports.FlaggingTaxi32 = FlaggingTaxi32;
exports.Flash16 = Flash16;
exports.Flash20 = Flash20;
exports.Flash24 = Flash24;
exports.Flash32 = Flash32;
exports.FlashFilled16 = FlashFilled16;
exports.FlashFilled20 = FlashFilled20;
exports.FlashFilled24 = FlashFilled24;
exports.FlashFilled32 = FlashFilled32;
exports.FlashOff16 = FlashOff16;
exports.FlashOff20 = FlashOff20;
exports.FlashOff24 = FlashOff24;
exports.FlashOff32 = FlashOff32;
exports.FlashOffFilled16 = FlashOffFilled16;
exports.FlashOffFilled20 = FlashOffFilled20;
exports.FlashOffFilled24 = FlashOffFilled24;
exports.FlashOffFilled32 = FlashOffFilled32;
exports.Flow16 = Flow16;
exports.Flow20 = Flow20;
exports.Flow24 = Flow24;
exports.Flow32 = Flow32;
exports.FlowData16 = FlowData16;
exports.FlowData20 = FlowData20;
exports.FlowData24 = FlowData24;
exports.FlowData32 = FlowData32;
exports.FlowStream16 = FlowStream16;
exports.FlowStream20 = FlowStream20;
exports.FlowStream24 = FlowStream24;
exports.FlowStream32 = FlowStream32;
exports.Fog16 = Fog16;
exports.Fog20 = Fog20;
exports.Fog24 = Fog24;
exports.Fog32 = Fog32;
exports.Folder16 = Folder16;
exports.Folder20 = Folder20;
exports.Folder24 = Folder24;
exports.Folder32 = Folder32;
exports.FolderAdd16 = FolderAdd16;
exports.FolderAdd20 = FolderAdd20;
exports.FolderAdd24 = FolderAdd24;
exports.FolderAdd32 = FolderAdd32;
exports.FolderDetails16 = FolderDetails16;
exports.FolderDetails20 = FolderDetails20;
exports.FolderDetails24 = FolderDetails24;
exports.FolderDetails32 = FolderDetails32;
exports.FolderOff16 = FolderOff16;
exports.FolderOff20 = FolderOff20;
exports.FolderOff24 = FolderOff24;
exports.FolderOff32 = FolderOff32;
exports.FolderShared16 = FolderShared16;
exports.FolderShared20 = FolderShared20;
exports.FolderShared24 = FolderShared24;
exports.FolderShared32 = FolderShared32;
exports.Folders16 = Folders16;
exports.Folders20 = Folders20;
exports.Folders24 = Folders24;
exports.Folders32 = Folders32;
exports.Fork16 = Fork16;
exports.Fork20 = Fork20;
exports.Fork24 = Fork24;
exports.Fork32 = Fork32;
exports.Forum16 = Forum16;
exports.Forum20 = Forum20;
exports.Forum24 = Forum24;
exports.Forum32 = Forum32;
exports.Forward_1016 = Forward_1016;
exports.Forward_1020 = Forward_1020;
exports.Forward_1024 = Forward_1024;
exports.Forward_1032 = Forward_1032;
exports.Forward_3016 = Forward_3016;
exports.Forward_3020 = Forward_3020;
exports.Forward_3024 = Forward_3024;
exports.Forward_3032 = Forward_3032;
exports.Forward_516 = Forward_516;
exports.Forward_520 = Forward_520;
exports.Forward_524 = Forward_524;
exports.Forward_532 = Forward_532;
exports.FruitBowl16 = FruitBowl16;
exports.FruitBowl20 = FruitBowl20;
exports.FruitBowl24 = FruitBowl24;
exports.FruitBowl32 = FruitBowl32;
exports.Function16 = Function16;
exports.Function20 = Function20;
exports.Function24 = Function24;
exports.Function32 = Function32;
exports.GameConsole16 = GameConsole16;
exports.GameConsole20 = GameConsole20;
exports.GameConsole24 = GameConsole24;
exports.GameConsole32 = GameConsole32;
exports.GameWireless16 = GameWireless16;
exports.GameWireless20 = GameWireless20;
exports.GameWireless24 = GameWireless24;
exports.GameWireless32 = GameWireless32;
exports.Gamification16 = Gamification16;
exports.Gamification20 = Gamification20;
exports.Gamification24 = Gamification24;
exports.Gamification32 = Gamification32;
exports.GeneratePdf16 = GeneratePdf16;
exports.GeneratePdf20 = GeneratePdf20;
exports.GeneratePdf24 = GeneratePdf24;
exports.GeneratePdf32 = GeneratePdf32;
exports.Gif16 = Gif16;
exports.Gif20 = Gif20;
exports.Gif24 = Gif24;
exports.Gif32 = Gif32;
exports.Gift16 = Gift16;
exports.Gift20 = Gift20;
exports.Gift24 = Gift24;
exports.Gift32 = Gift32;
exports.Globe16 = Globe16;
exports.Globe20 = Globe20;
exports.Globe24 = Globe24;
exports.Globe32 = Globe32;
exports.GraphicalDataFlow16 = GraphicalDataFlow16;
exports.GraphicalDataFlow20 = GraphicalDataFlow20;
exports.GraphicalDataFlow24 = GraphicalDataFlow24;
exports.GraphicalDataFlow32 = GraphicalDataFlow32;
exports.Grid16 = Grid16;
exports.Grid20 = Grid20;
exports.Grid24 = Grid24;
exports.Grid32 = Grid32;
exports.Group16 = Group16;
exports.Group20 = Group20;
exports.Group24 = Group24;
exports.Group32 = Group32;
exports.Hail16 = Hail16;
exports.Hail20 = Hail20;
exports.Hail24 = Hail24;
exports.Hail32 = Hail32;
exports.Hashtag16 = Hashtag16;
exports.Hashtag20 = Hashtag20;
exports.Hashtag24 = Hashtag24;
exports.Hashtag32 = Hashtag32;
exports.Haze16 = Haze16;
exports.Haze20 = Haze20;
exports.Haze24 = Haze24;
exports.Haze32 = Haze32;
exports.HazeNight16 = HazeNight16;
exports.HazeNight20 = HazeNight20;
exports.HazeNight24 = HazeNight24;
exports.HazeNight32 = HazeNight32;
exports.Hd16 = Hd16;
exports.Hd20 = Hd20;
exports.Hd24 = Hd24;
exports.Hd32 = Hd32;
exports.HdFilled16 = HdFilled16;
exports.HdFilled20 = HdFilled20;
exports.HdFilled24 = HdFilled24;
exports.HdFilled32 = HdFilled32;
exports.Hdr16 = Hdr16;
exports.Hdr20 = Hdr20;
exports.Hdr24 = Hdr24;
exports.Hdr32 = Hdr32;
exports.Headphones16 = Headphones16;
exports.Headphones20 = Headphones20;
exports.Headphones24 = Headphones24;
exports.Headphones32 = Headphones32;
exports.Headset16 = Headset16;
exports.Headset20 = Headset20;
exports.Headset24 = Headset24;
exports.Headset32 = Headset32;
exports.HealthCross16 = HealthCross16;
exports.HealthCross20 = HealthCross20;
exports.HealthCross24 = HealthCross24;
exports.HealthCross32 = HealthCross32;
exports.Hearing16 = Hearing16;
exports.Hearing20 = Hearing20;
exports.Hearing24 = Hearing24;
exports.Hearing32 = Hearing32;
exports.Help16 = Help16;
exports.Help20 = Help20;
exports.Help24 = Help24;
exports.Help32 = Help32;
exports.HelpDesk16 = HelpDesk16;
exports.HelpDesk20 = HelpDesk20;
exports.HelpDesk24 = HelpDesk24;
exports.HelpDesk32 = HelpDesk32;
exports.HelpFilled16 = HelpFilled16;
exports.HelpFilled20 = HelpFilled20;
exports.HelpFilled24 = HelpFilled24;
exports.HelpFilled32 = HelpFilled32;
exports.Home16 = Home16;
exports.Home20 = Home20;
exports.Home24 = Home24;
exports.Home32 = Home32;
exports.Hotel16 = Hotel16;
exports.Hotel20 = Hotel20;
exports.Hotel24 = Hotel24;
exports.Hotel32 = Hotel32;
exports.Hourglass16 = Hourglass16;
exports.Hourglass20 = Hourglass20;
exports.Hourglass24 = Hourglass24;
exports.Hourglass32 = Hourglass32;
exports.Http16 = Http16;
exports.Http20 = Http20;
exports.Http24 = Http24;
exports.Http32 = Http32;
exports.Humidity16 = Humidity16;
exports.Humidity20 = Humidity20;
exports.Humidity24 = Humidity24;
exports.Humidity32 = Humidity32;
exports.Hurricane16 = Hurricane16;
exports.Hurricane20 = Hurricane20;
exports.Hurricane24 = Hurricane24;
exports.Hurricane32 = Hurricane32;
exports.HybridNetworking16 = HybridNetworking16;
exports.HybridNetworking20 = HybridNetworking20;
exports.HybridNetworking24 = HybridNetworking24;
exports.HybridNetworking32 = HybridNetworking32;
exports.IbmCloud16 = IbmCloud16;
exports.IbmCloud20 = IbmCloud20;
exports.IbmCloud24 = IbmCloud24;
exports.IbmCloud32 = IbmCloud32;
exports.IbmSecurity16 = IbmSecurity16;
exports.IbmSecurity20 = IbmSecurity20;
exports.IbmSecurity24 = IbmSecurity24;
exports.IbmSecurity32 = IbmSecurity32;
exports.Icon = Icon;
exports.Idea16 = Idea16;
exports.Idea20 = Idea20;
exports.Idea24 = Idea24;
exports.Idea32 = Idea32;
exports.Identification16 = Identification16;
exports.Identification20 = Identification20;
exports.Identification24 = Identification24;
exports.Identification32 = Identification32;
exports.Image16 = Image16;
exports.Image20 = Image20;
exports.Image24 = Image24;
exports.Image32 = Image32;
exports.ImageMedical16 = ImageMedical16;
exports.ImageMedical20 = ImageMedical20;
exports.ImageMedical24 = ImageMedical24;
exports.ImageMedical32 = ImageMedical32;
exports.ImproveRelevance16 = ImproveRelevance16;
exports.ImproveRelevance20 = ImproveRelevance20;
exports.ImproveRelevance24 = ImproveRelevance24;
exports.ImproveRelevance32 = ImproveRelevance32;
exports.InProgress16 = InProgress16;
exports.InProgress20 = InProgress20;
exports.InProgress24 = InProgress24;
exports.InProgress32 = InProgress32;
exports.IncreaseLevel16 = IncreaseLevel16;
exports.IncreaseLevel20 = IncreaseLevel20;
exports.IncreaseLevel24 = IncreaseLevel24;
exports.IncreaseLevel32 = IncreaseLevel32;
exports.Industry16 = Industry16;
exports.Industry20 = Industry20;
exports.Industry24 = Industry24;
exports.Industry32 = Industry32;
exports.Information16 = Information16;
exports.Information20 = Information20;
exports.Information24 = Information24;
exports.Information32 = Information32;
exports.InformationFilled16 = InformationFilled16;
exports.InformationFilled20 = InformationFilled20;
exports.InformationFilled24 = InformationFilled24;
exports.InformationFilled32 = InformationFilled32;
exports.Insert16 = Insert16;
exports.Insert20 = Insert20;
exports.Insert24 = Insert24;
exports.Insert32 = Insert32;
exports.Integration16 = Integration16;
exports.Integration20 = Integration20;
exports.Integration24 = Integration24;
exports.Integration32 = Integration32;
exports.Interactions16 = Interactions16;
exports.Interactions20 = Interactions20;
exports.Interactions24 = Interactions24;
exports.Interactions32 = Interactions32;
exports.InventoryManagement16 = InventoryManagement16;
exports.InventoryManagement20 = InventoryManagement20;
exports.InventoryManagement24 = InventoryManagement24;
exports.InventoryManagement32 = InventoryManagement32;
exports.IotConnect16 = IotConnect16;
exports.IotConnect20 = IotConnect20;
exports.IotConnect24 = IotConnect24;
exports.IotConnect32 = IotConnect32;
exports.IotPlatform16 = IotPlatform16;
exports.IotPlatform20 = IotPlatform20;
exports.IotPlatform24 = IotPlatform24;
exports.IotPlatform32 = IotPlatform32;
exports.Iso16 = Iso16;
exports.Iso20 = Iso20;
exports.Iso24 = Iso24;
exports.Iso32 = Iso32;
exports.IsoFilled16 = IsoFilled16;
exports.IsoFilled20 = IsoFilled20;
exports.IsoFilled24 = IsoFilled24;
exports.IsoFilled32 = IsoFilled32;
exports.IsoOutline16 = IsoOutline16;
exports.IsoOutline20 = IsoOutline20;
exports.IsoOutline24 = IsoOutline24;
exports.IsoOutline32 = IsoOutline32;
exports.Jpg16 = Jpg16;
exports.Jpg20 = Jpg20;
exports.Jpg24 = Jpg24;
exports.Jpg32 = Jpg32;
exports.Json16 = Json16;
exports.Json20 = Json20;
exports.Json24 = Json24;
exports.Json32 = Json32;
exports.JumpLink16 = JumpLink16;
exports.JumpLink20 = JumpLink20;
exports.JumpLink24 = JumpLink24;
exports.JumpLink32 = JumpLink32;
exports.Keyboard16 = Keyboard16;
exports.Keyboard20 = Keyboard20;
exports.Keyboard24 = Keyboard24;
exports.Keyboard32 = Keyboard32;
exports.Language16 = Language16;
exports.Language20 = Language20;
exports.Language24 = Language24;
exports.Language32 = Language32;
exports.Laptop16 = Laptop16;
exports.Laptop20 = Laptop20;
exports.Laptop24 = Laptop24;
exports.Laptop32 = Laptop32;
exports.Launch16 = Launch16;
exports.Launch20 = Launch20;
exports.Launch24 = Launch24;
exports.Launch32 = Launch32;
exports.Legend16 = Legend16;
exports.Legend20 = Legend20;
exports.Legend24 = Legend24;
exports.Legend32 = Legend32;
exports.LetterAa16 = LetterAa16;
exports.LetterAa20 = LetterAa20;
exports.LetterAa24 = LetterAa24;
exports.LetterAa32 = LetterAa32;
exports.LetterBb16 = LetterBb16;
exports.LetterBb20 = LetterBb20;
exports.LetterBb24 = LetterBb24;
exports.LetterBb32 = LetterBb32;
exports.LetterCc16 = LetterCc16;
exports.LetterCc20 = LetterCc20;
exports.LetterCc24 = LetterCc24;
exports.LetterCc32 = LetterCc32;
exports.LetterDd16 = LetterDd16;
exports.LetterDd20 = LetterDd20;
exports.LetterDd24 = LetterDd24;
exports.LetterDd32 = LetterDd32;
exports.LetterEe16 = LetterEe16;
exports.LetterEe20 = LetterEe20;
exports.LetterEe24 = LetterEe24;
exports.LetterEe32 = LetterEe32;
exports.LetterFf16 = LetterFf16;
exports.LetterFf20 = LetterFf20;
exports.LetterFf24 = LetterFf24;
exports.LetterFf32 = LetterFf32;
exports.LetterGg16 = LetterGg16;
exports.LetterGg20 = LetterGg20;
exports.LetterGg24 = LetterGg24;
exports.LetterGg32 = LetterGg32;
exports.LetterHh16 = LetterHh16;
exports.LetterHh20 = LetterHh20;
exports.LetterHh24 = LetterHh24;
exports.LetterHh32 = LetterHh32;
exports.LetterIi16 = LetterIi16;
exports.LetterIi20 = LetterIi20;
exports.LetterIi24 = LetterIi24;
exports.LetterIi32 = LetterIi32;
exports.LetterJj16 = LetterJj16;
exports.LetterJj20 = LetterJj20;
exports.LetterJj24 = LetterJj24;
exports.LetterJj32 = LetterJj32;
exports.LetterKk16 = LetterKk16;
exports.LetterKk20 = LetterKk20;
exports.LetterKk24 = LetterKk24;
exports.LetterKk32 = LetterKk32;
exports.LetterLl16 = LetterLl16;
exports.LetterLl20 = LetterLl20;
exports.LetterLl24 = LetterLl24;
exports.LetterLl32 = LetterLl32;
exports.LetterMm16 = LetterMm16;
exports.LetterMm20 = LetterMm20;
exports.LetterMm24 = LetterMm24;
exports.LetterMm32 = LetterMm32;
exports.LetterNn16 = LetterNn16;
exports.LetterNn20 = LetterNn20;
exports.LetterNn24 = LetterNn24;
exports.LetterNn32 = LetterNn32;
exports.LetterOo16 = LetterOo16;
exports.LetterOo20 = LetterOo20;
exports.LetterOo24 = LetterOo24;
exports.LetterOo32 = LetterOo32;
exports.LetterPp16 = LetterPp16;
exports.LetterPp20 = LetterPp20;
exports.LetterPp24 = LetterPp24;
exports.LetterPp32 = LetterPp32;
exports.LetterQq16 = LetterQq16;
exports.LetterQq20 = LetterQq20;
exports.LetterQq24 = LetterQq24;
exports.LetterQq32 = LetterQq32;
exports.LetterRr16 = LetterRr16;
exports.LetterRr20 = LetterRr20;
exports.LetterRr24 = LetterRr24;
exports.LetterRr32 = LetterRr32;
exports.LetterSs16 = LetterSs16;
exports.LetterSs20 = LetterSs20;
exports.LetterSs24 = LetterSs24;
exports.LetterSs32 = LetterSs32;
exports.LetterTt16 = LetterTt16;
exports.LetterTt20 = LetterTt20;
exports.LetterTt24 = LetterTt24;
exports.LetterTt32 = LetterTt32;
exports.LetterUu16 = LetterUu16;
exports.LetterUu20 = LetterUu20;
exports.LetterUu24 = LetterUu24;
exports.LetterUu32 = LetterUu32;
exports.LetterVv16 = LetterVv16;
exports.LetterVv20 = LetterVv20;
exports.LetterVv24 = LetterVv24;
exports.LetterVv32 = LetterVv32;
exports.LetterWw16 = LetterWw16;
exports.LetterWw20 = LetterWw20;
exports.LetterWw24 = LetterWw24;
exports.LetterWw32 = LetterWw32;
exports.LetterXx16 = LetterXx16;
exports.LetterXx20 = LetterXx20;
exports.LetterXx24 = LetterXx24;
exports.LetterXx32 = LetterXx32;
exports.LetterYy16 = LetterYy16;
exports.LetterYy20 = LetterYy20;
exports.LetterYy24 = LetterYy24;
exports.LetterYy32 = LetterYy32;
exports.LetterZz16 = LetterZz16;
exports.LetterZz20 = LetterZz20;
exports.LetterZz24 = LetterZz24;
exports.LetterZz32 = LetterZz32;
exports.Light16 = Light16;
exports.Light20 = Light20;
exports.Light24 = Light24;
exports.Light32 = Light32;
exports.LightFilled16 = LightFilled16;
exports.LightFilled20 = LightFilled20;
exports.LightFilled24 = LightFilled24;
exports.LightFilled32 = LightFilled32;
exports.Lightning16 = Lightning16;
exports.Lightning20 = Lightning20;
exports.Lightning24 = Lightning24;
exports.Lightning32 = Lightning32;
exports.Link16 = Link16;
exports.Link20 = Link20;
exports.Link24 = Link24;
exports.Link32 = Link32;
exports.List16 = List16;
exports.List20 = List20;
exports.List24 = List24;
exports.List32 = List32;
exports.ListBoxes16 = ListBoxes16;
exports.ListBoxes20 = ListBoxes20;
exports.ListBoxes24 = ListBoxes24;
exports.ListBoxes32 = ListBoxes32;
exports.ListBulleted16 = ListBulleted16;
exports.ListBulleted20 = ListBulleted20;
exports.ListBulleted24 = ListBulleted24;
exports.ListBulleted32 = ListBulleted32;
exports.ListChecked16 = ListChecked16;
exports.ListChecked20 = ListChecked20;
exports.ListChecked24 = ListChecked24;
exports.ListChecked32 = ListChecked32;
exports.ListDropdown16 = ListDropdown16;
exports.ListDropdown20 = ListDropdown20;
exports.ListDropdown24 = ListDropdown24;
exports.ListDropdown32 = ListDropdown32;
exports.ListNumbered16 = ListNumbered16;
exports.ListNumbered20 = ListNumbered20;
exports.ListNumbered24 = ListNumbered24;
exports.ListNumbered32 = ListNumbered32;
exports.Location16 = Location16;
exports.Location20 = Location20;
exports.Location24 = Location24;
exports.Location32 = Location32;
exports.Locked16 = Locked16;
exports.Locked20 = Locked20;
exports.Locked24 = Locked24;
exports.Locked32 = Locked32;
exports.Login16 = Login16;
exports.Login20 = Login20;
exports.Login24 = Login24;
exports.Login32 = Login32;
exports.LogoDigg16 = LogoDigg16;
exports.LogoDigg20 = LogoDigg20;
exports.LogoDigg24 = LogoDigg24;
exports.LogoDigg32 = LogoDigg32;
exports.LogoFacebook16 = LogoFacebook16;
exports.LogoFacebook20 = LogoFacebook20;
exports.LogoFacebook24 = LogoFacebook24;
exports.LogoFacebook32 = LogoFacebook32;
exports.LogoFlickr16 = LogoFlickr16;
exports.LogoFlickr20 = LogoFlickr20;
exports.LogoFlickr24 = LogoFlickr24;
exports.LogoFlickr32 = LogoFlickr32;
exports.LogoGithub16 = LogoGithub16;
exports.LogoGithub20 = LogoGithub20;
exports.LogoGithub24 = LogoGithub24;
exports.LogoGithub32 = LogoGithub32;
exports.LogoGlassdoor16 = LogoGlassdoor16;
exports.LogoGlassdoor20 = LogoGlassdoor20;
exports.LogoGlassdoor24 = LogoGlassdoor24;
exports.LogoGlassdoor32 = LogoGlassdoor32;
exports.LogoInstagram16 = LogoInstagram16;
exports.LogoInstagram20 = LogoInstagram20;
exports.LogoInstagram24 = LogoInstagram24;
exports.LogoInstagram32 = LogoInstagram32;
exports.LogoJupyter16 = LogoJupyter16;
exports.LogoJupyter20 = LogoJupyter20;
exports.LogoJupyter24 = LogoJupyter24;
exports.LogoJupyter32 = LogoJupyter32;
exports.LogoLinkedin16 = LogoLinkedin16;
exports.LogoLinkedin20 = LogoLinkedin20;
exports.LogoLinkedin24 = LogoLinkedin24;
exports.LogoLinkedin32 = LogoLinkedin32;
exports.LogoLivestream16 = LogoLivestream16;
exports.LogoLivestream20 = LogoLivestream20;
exports.LogoLivestream24 = LogoLivestream24;
exports.LogoLivestream32 = LogoLivestream32;
exports.LogoMedium16 = LogoMedium16;
exports.LogoMedium20 = LogoMedium20;
exports.LogoMedium24 = LogoMedium24;
exports.LogoMedium32 = LogoMedium32;
exports.LogoOpenshift16 = LogoOpenshift16;
exports.LogoOpenshift20 = LogoOpenshift20;
exports.LogoOpenshift24 = LogoOpenshift24;
exports.LogoOpenshift32 = LogoOpenshift32;
exports.LogoPinterest16 = LogoPinterest16;
exports.LogoPinterest20 = LogoPinterest20;
exports.LogoPinterest24 = LogoPinterest24;
exports.LogoPinterest32 = LogoPinterest32;
exports.LogoPython16 = LogoPython16;
exports.LogoPython20 = LogoPython20;
exports.LogoPython24 = LogoPython24;
exports.LogoPython32 = LogoPython32;
exports.LogoQuora16 = LogoQuora16;
exports.LogoQuora20 = LogoQuora20;
exports.LogoQuora24 = LogoQuora24;
exports.LogoQuora32 = LogoQuora32;
exports.LogoRScript16 = LogoRScript16;
exports.LogoRScript20 = LogoRScript20;
exports.LogoRScript24 = LogoRScript24;
exports.LogoRScript32 = LogoRScript32;
exports.LogoSkype16 = LogoSkype16;
exports.LogoSkype20 = LogoSkype20;
exports.LogoSkype24 = LogoSkype24;
exports.LogoSkype32 = LogoSkype32;
exports.LogoSlack16 = LogoSlack16;
exports.LogoSlack20 = LogoSlack20;
exports.LogoSlack24 = LogoSlack24;
exports.LogoSlack32 = LogoSlack32;
exports.LogoSnapchat16 = LogoSnapchat16;
exports.LogoSnapchat20 = LogoSnapchat20;
exports.LogoSnapchat24 = LogoSnapchat24;
exports.LogoSnapchat32 = LogoSnapchat32;
exports.LogoTumblr16 = LogoTumblr16;
exports.LogoTumblr20 = LogoTumblr20;
exports.LogoTumblr24 = LogoTumblr24;
exports.LogoTumblr32 = LogoTumblr32;
exports.LogoTwitter16 = LogoTwitter16;
exports.LogoTwitter20 = LogoTwitter20;
exports.LogoTwitter24 = LogoTwitter24;
exports.LogoTwitter32 = LogoTwitter32;
exports.LogoVmware16 = LogoVmware16;
exports.LogoVmware20 = LogoVmware20;
exports.LogoVmware24 = LogoVmware24;
exports.LogoVmware32 = LogoVmware32;
exports.LogoXing16 = LogoXing16;
exports.LogoXing20 = LogoXing20;
exports.LogoXing24 = LogoXing24;
exports.LogoXing32 = LogoXing32;
exports.LogoYelp16 = LogoYelp16;
exports.LogoYelp20 = LogoYelp20;
exports.LogoYelp24 = LogoYelp24;
exports.LogoYelp32 = LogoYelp32;
exports.LogoYoutube16 = LogoYoutube16;
exports.LogoYoutube20 = LogoYoutube20;
exports.LogoYoutube24 = LogoYoutube24;
exports.LogoYoutube32 = LogoYoutube32;
exports.Logout16 = Logout16;
exports.Logout20 = Logout20;
exports.Logout24 = Logout24;
exports.Logout32 = Logout32;
exports.Loop16 = Loop16;
exports.Loop20 = Loop20;
exports.Loop24 = Loop24;
exports.Loop32 = Loop32;
exports.MacCommand16 = MacCommand16;
exports.MacCommand20 = MacCommand20;
exports.MacCommand24 = MacCommand24;
exports.MacCommand32 = MacCommand32;
exports.MacOption16 = MacOption16;
exports.MacOption20 = MacOption20;
exports.MacOption24 = MacOption24;
exports.MacOption32 = MacOption32;
exports.MacShift16 = MacShift16;
exports.MacShift20 = MacShift20;
exports.MacShift24 = MacShift24;
exports.MacShift32 = MacShift32;
exports.MachineLearning16 = MachineLearning16;
exports.MachineLearning20 = MachineLearning20;
exports.MachineLearning24 = MachineLearning24;
exports.MachineLearning32 = MachineLearning32;
exports.MagicWand16 = MagicWand16;
exports.MagicWand20 = MagicWand20;
exports.MagicWand24 = MagicWand24;
exports.MagicWand32 = MagicWand32;
exports.MagicWandFilled16 = MagicWandFilled16;
exports.MagicWandFilled20 = MagicWandFilled20;
exports.MagicWandFilled24 = MagicWandFilled24;
exports.MagicWandFilled32 = MagicWandFilled32;
exports.MailAll16 = MailAll16;
exports.MailAll20 = MailAll20;
exports.MailAll24 = MailAll24;
exports.MailAll32 = MailAll32;
exports.ManageProtection16 = ManageProtection16;
exports.ManageProtection20 = ManageProtection20;
exports.ManageProtection24 = ManageProtection24;
exports.ManageProtection32 = ManageProtection32;
exports.ManagedSolutions16 = ManagedSolutions16;
exports.ManagedSolutions20 = ManagedSolutions20;
exports.ManagedSolutions24 = ManagedSolutions24;
exports.ManagedSolutions32 = ManagedSolutions32;
exports.Map16 = Map16;
exports.Map20 = Map20;
exports.Map24 = Map24;
exports.Map32 = Map32;
exports.Maximize16 = Maximize16;
exports.Maximize20 = Maximize20;
exports.Maximize24 = Maximize24;
exports.Maximize32 = Maximize32;
exports.Medication16 = Medication16;
exports.Medication20 = Medication20;
exports.Medication24 = Medication24;
exports.Medication32 = Medication32;
exports.MedicationAlert16 = MedicationAlert16;
exports.MedicationAlert20 = MedicationAlert20;
exports.MedicationAlert24 = MedicationAlert24;
exports.MedicationAlert32 = MedicationAlert32;
exports.MedicationReminder16 = MedicationReminder16;
exports.MedicationReminder20 = MedicationReminder20;
exports.MedicationReminder24 = MedicationReminder24;
exports.MedicationReminder32 = MedicationReminder32;
exports.Menu16 = Menu16;
exports.Menu20 = Menu20;
exports.Menu24 = Menu24;
exports.Menu32 = Menu32;
exports.Meter16 = Meter16;
exports.Meter20 = Meter20;
exports.Meter24 = Meter24;
exports.Meter32 = Meter32;
exports.Microphone16 = Microphone16;
exports.Microphone20 = Microphone20;
exports.Microphone24 = Microphone24;
exports.Microphone32 = Microphone32;
exports.MicrophoneFilled16 = MicrophoneFilled16;
exports.MicrophoneFilled20 = MicrophoneFilled20;
exports.MicrophoneFilled24 = MicrophoneFilled24;
exports.MicrophoneFilled32 = MicrophoneFilled32;
exports.MicrophoneOff16 = MicrophoneOff16;
exports.MicrophoneOff20 = MicrophoneOff20;
exports.MicrophoneOff24 = MicrophoneOff24;
exports.MicrophoneOff32 = MicrophoneOff32;
exports.MicrophoneOffFilled16 = MicrophoneOffFilled16;
exports.MicrophoneOffFilled20 = MicrophoneOffFilled20;
exports.MicrophoneOffFilled24 = MicrophoneOffFilled24;
exports.MicrophoneOffFilled32 = MicrophoneOffFilled32;
exports.Microscope16 = Microscope16;
exports.Microscope20 = Microscope20;
exports.Microscope24 = Microscope24;
exports.Microscope32 = Microscope32;
exports.Migrate16 = Migrate16;
exports.Migrate20 = Migrate20;
exports.Migrate24 = Migrate24;
exports.Migrate32 = Migrate32;
exports.MigrateAlt16 = MigrateAlt16;
exports.MigrateAlt20 = MigrateAlt20;
exports.MigrateAlt24 = MigrateAlt24;
exports.MigrateAlt32 = MigrateAlt32;
exports.Minimize16 = Minimize16;
exports.Minimize20 = Minimize20;
exports.Minimize24 = Minimize24;
exports.Minimize32 = Minimize32;
exports.Misuse16 = Misuse16;
exports.Misuse20 = Misuse20;
exports.Misuse24 = Misuse24;
exports.Misuse32 = Misuse32;
exports.MisuseAlt16 = MisuseAlt16;
exports.MisuseAlt20 = MisuseAlt20;
exports.MisuseAlt24 = MisuseAlt24;
exports.MisuseAlt32 = MisuseAlt32;
exports.MisuseOutline16 = MisuseOutline16;
exports.MisuseOutline20 = MisuseOutline20;
exports.MisuseOutline24 = MisuseOutline24;
exports.MisuseOutline32 = MisuseOutline32;
exports.MixedRainHail16 = MixedRainHail16;
exports.MixedRainHail20 = MixedRainHail20;
exports.MixedRainHail24 = MixedRainHail24;
exports.MixedRainHail32 = MixedRainHail32;
exports.Mobile16 = Mobile16;
exports.Mobile20 = Mobile20;
exports.Mobile24 = Mobile24;
exports.Mobile32 = Mobile32;
exports.MobileAdd16 = MobileAdd16;
exports.MobileAdd20 = MobileAdd20;
exports.MobileAdd24 = MobileAdd24;
exports.MobileAdd32 = MobileAdd32;
exports.MobileAudio16 = MobileAudio16;
exports.MobileAudio20 = MobileAudio20;
exports.MobileAudio24 = MobileAudio24;
exports.MobileAudio32 = MobileAudio32;
exports.MobileCheck16 = MobileCheck16;
exports.MobileCheck20 = MobileCheck20;
exports.MobileCheck24 = MobileCheck24;
exports.MobileCheck32 = MobileCheck32;
exports.MobileDownload16 = MobileDownload16;
exports.MobileDownload20 = MobileDownload20;
exports.MobileDownload24 = MobileDownload24;
exports.MobileDownload32 = MobileDownload32;
exports.MobileLandscape16 = MobileLandscape16;
exports.MobileLandscape20 = MobileLandscape20;
exports.MobileLandscape24 = MobileLandscape24;
exports.MobileLandscape32 = MobileLandscape32;
exports.Model16 = Model16;
exports.Model20 = Model20;
exports.Model24 = Model24;
exports.Model32 = Model32;
exports.ModelBuilder16 = ModelBuilder16;
exports.ModelBuilder20 = ModelBuilder20;
exports.ModelBuilder24 = ModelBuilder24;
exports.ModelBuilder32 = ModelBuilder32;
exports.ModelReference16 = ModelReference16;
exports.ModelReference20 = ModelReference20;
exports.ModelReference24 = ModelReference24;
exports.ModelReference32 = ModelReference32;
exports.Money16 = Money16;
exports.Money20 = Money20;
exports.Money24 = Money24;
exports.Money32 = Money32;
exports.Moon16 = Moon16;
exports.Moon20 = Moon20;
exports.Moon24 = Moon24;
exports.Moon32 = Moon32;
exports.MostlyCloudy16 = MostlyCloudy16;
exports.MostlyCloudy20 = MostlyCloudy20;
exports.MostlyCloudy24 = MostlyCloudy24;
exports.MostlyCloudy32 = MostlyCloudy32;
exports.MostlyCloudyNight16 = MostlyCloudyNight16;
exports.MostlyCloudyNight20 = MostlyCloudyNight20;
exports.MostlyCloudyNight24 = MostlyCloudyNight24;
exports.MostlyCloudyNight32 = MostlyCloudyNight32;
exports.Mov16 = Mov16;
exports.Mov20 = Mov20;
exports.Mov24 = Mov24;
exports.Mov32 = Mov32;
exports.Move16 = Move16;
exports.Move20 = Move20;
exports.Move24 = Move24;
exports.Move32 = Move32;
exports.Movement16 = Movement16;
exports.Movement20 = Movement20;
exports.Movement24 = Movement24;
exports.Movement32 = Movement32;
exports.Mp316 = Mp316;
exports.Mp320 = Mp320;
exports.Mp324 = Mp324;
exports.Mp332 = Mp332;
exports.Mp416 = Mp416;
exports.Mp420 = Mp420;
exports.Mp424 = Mp424;
exports.Mp432 = Mp432;
exports.Mpeg16 = Mpeg16;
exports.Mpeg20 = Mpeg20;
exports.Mpeg24 = Mpeg24;
exports.Mpeg32 = Mpeg32;
exports.Mpg216 = Mpg216;
exports.Mpg220 = Mpg220;
exports.Mpg224 = Mpg224;
exports.Mpg232 = Mpg232;
exports.Music16 = Music16;
exports.Music20 = Music20;
exports.Music24 = Music24;
exports.Music32 = Music32;
exports.Network_116 = Network_116;
exports.Network_120 = Network_120;
exports.Network_124 = Network_124;
exports.Network_132 = Network_132;
exports.Network_216 = Network_216;
exports.Network_220 = Network_220;
exports.Network_224 = Network_224;
exports.Network_232 = Network_232;
exports.Network_316 = Network_316;
exports.Network_320 = Network_320;
exports.Network_324 = Network_324;
exports.Network_332 = Network_332;
exports.Network_416 = Network_416;
exports.Network_420 = Network_420;
exports.Network_424 = Network_424;
exports.Network_432 = Network_432;
exports.NewTab16 = NewTab16;
exports.NewTab20 = NewTab20;
exports.NewTab24 = NewTab24;
exports.NewTab32 = NewTab32;
exports.NoImage16 = NoImage16;
exports.NoImage20 = NoImage20;
exports.NoImage24 = NoImage24;
exports.NoImage32 = NoImage32;
exports.NoTicket16 = NoTicket16;
exports.NoTicket20 = NoTicket20;
exports.NoTicket24 = NoTicket24;
exports.NoTicket32 = NoTicket32;
exports.Nominal16 = Nominal16;
exports.Nominal20 = Nominal20;
exports.Nominal24 = Nominal24;
exports.Nominal32 = Nominal32;
exports.NoodleBowl16 = NoodleBowl16;
exports.NoodleBowl20 = NoodleBowl20;
exports.NoodleBowl24 = NoodleBowl24;
exports.NoodleBowl32 = NoodleBowl32;
exports.NotAvailable16 = NotAvailable16;
exports.NotAvailable20 = NotAvailable20;
exports.NotAvailable24 = NotAvailable24;
exports.NotAvailable32 = NotAvailable32;
exports.NotSent16 = NotSent16;
exports.NotSent20 = NotSent20;
exports.NotSent24 = NotSent24;
exports.NotSent32 = NotSent32;
exports.NotSentFilled16 = NotSentFilled16;
exports.NotSentFilled20 = NotSentFilled20;
exports.NotSentFilled24 = NotSentFilled24;
exports.NotSentFilled32 = NotSentFilled32;
exports.Notebook16 = Notebook16;
exports.Notebook20 = Notebook20;
exports.Notebook24 = Notebook24;
exports.Notebook32 = Notebook32;
exports.NotebookReference16 = NotebookReference16;
exports.NotebookReference20 = NotebookReference20;
exports.NotebookReference24 = NotebookReference24;
exports.NotebookReference32 = NotebookReference32;
exports.Notification16 = Notification16;
exports.Notification20 = Notification20;
exports.Notification24 = Notification24;
exports.Notification32 = Notification32;
exports.NotificationFilled16 = NotificationFilled16;
exports.NotificationFilled20 = NotificationFilled20;
exports.NotificationFilled24 = NotificationFilled24;
exports.NotificationFilled32 = NotificationFilled32;
exports.NotificationNew16 = NotificationNew16;
exports.NotificationNew20 = NotificationNew20;
exports.NotificationNew24 = NotificationNew24;
exports.NotificationNew32 = NotificationNew32;
exports.NotificationOff16 = NotificationOff16;
exports.NotificationOff20 = NotificationOff20;
exports.NotificationOff24 = NotificationOff24;
exports.NotificationOff32 = NotificationOff32;
exports.NotificationOffFilled16 = NotificationOffFilled16;
exports.NotificationOffFilled20 = NotificationOffFilled20;
exports.NotificationOffFilled24 = NotificationOffFilled24;
exports.NotificationOffFilled32 = NotificationOffFilled32;
exports.NumberSmall_016 = NumberSmall_016;
exports.NumberSmall_020 = NumberSmall_020;
exports.NumberSmall_024 = NumberSmall_024;
exports.NumberSmall_032 = NumberSmall_032;
exports.NumberSmall_116 = NumberSmall_116;
exports.NumberSmall_120 = NumberSmall_120;
exports.NumberSmall_124 = NumberSmall_124;
exports.NumberSmall_132 = NumberSmall_132;
exports.NumberSmall_216 = NumberSmall_216;
exports.NumberSmall_220 = NumberSmall_220;
exports.NumberSmall_224 = NumberSmall_224;
exports.NumberSmall_232 = NumberSmall_232;
exports.NumberSmall_316 = NumberSmall_316;
exports.NumberSmall_320 = NumberSmall_320;
exports.NumberSmall_324 = NumberSmall_324;
exports.NumberSmall_332 = NumberSmall_332;
exports.NumberSmall_416 = NumberSmall_416;
exports.NumberSmall_420 = NumberSmall_420;
exports.NumberSmall_424 = NumberSmall_424;
exports.NumberSmall_432 = NumberSmall_432;
exports.NumberSmall_516 = NumberSmall_516;
exports.NumberSmall_520 = NumberSmall_520;
exports.NumberSmall_524 = NumberSmall_524;
exports.NumberSmall_532 = NumberSmall_532;
exports.NumberSmall_616 = NumberSmall_616;
exports.NumberSmall_620 = NumberSmall_620;
exports.NumberSmall_624 = NumberSmall_624;
exports.NumberSmall_632 = NumberSmall_632;
exports.NumberSmall_716 = NumberSmall_716;
exports.NumberSmall_720 = NumberSmall_720;
exports.NumberSmall_724 = NumberSmall_724;
exports.NumberSmall_732 = NumberSmall_732;
exports.NumberSmall_816 = NumberSmall_816;
exports.NumberSmall_820 = NumberSmall_820;
exports.NumberSmall_824 = NumberSmall_824;
exports.NumberSmall_832 = NumberSmall_832;
exports.NumberSmall_916 = NumberSmall_916;
exports.NumberSmall_920 = NumberSmall_920;
exports.NumberSmall_924 = NumberSmall_924;
exports.NumberSmall_932 = NumberSmall_932;
exports.Number_016 = Number_016;
exports.Number_020 = Number_020;
exports.Number_024 = Number_024;
exports.Number_032 = Number_032;
exports.Number_116 = Number_116;
exports.Number_120 = Number_120;
exports.Number_124 = Number_124;
exports.Number_132 = Number_132;
exports.Number_216 = Number_216;
exports.Number_220 = Number_220;
exports.Number_224 = Number_224;
exports.Number_232 = Number_232;
exports.Number_316 = Number_316;
exports.Number_320 = Number_320;
exports.Number_324 = Number_324;
exports.Number_332 = Number_332;
exports.Number_416 = Number_416;
exports.Number_420 = Number_420;
exports.Number_424 = Number_424;
exports.Number_432 = Number_432;
exports.Number_516 = Number_516;
exports.Number_520 = Number_520;
exports.Number_524 = Number_524;
exports.Number_532 = Number_532;
exports.Number_616 = Number_616;
exports.Number_620 = Number_620;
exports.Number_624 = Number_624;
exports.Number_632 = Number_632;
exports.Number_716 = Number_716;
exports.Number_720 = Number_720;
exports.Number_724 = Number_724;
exports.Number_732 = Number_732;
exports.Number_816 = Number_816;
exports.Number_820 = Number_820;
exports.Number_824 = Number_824;
exports.Number_832 = Number_832;
exports.Number_916 = Number_916;
exports.Number_920 = Number_920;
exports.Number_924 = Number_924;
exports.Number_932 = Number_932;
exports.Omega16 = Omega16;
exports.Omega20 = Omega20;
exports.Omega24 = Omega24;
exports.Omega32 = Omega32;
exports.Opacity16 = Opacity16;
exports.Opacity20 = Opacity20;
exports.Opacity24 = Opacity24;
exports.Opacity32 = Opacity32;
exports.OpenPanelBottom16 = OpenPanelBottom16;
exports.OpenPanelBottom20 = OpenPanelBottom20;
exports.OpenPanelBottom24 = OpenPanelBottom24;
exports.OpenPanelBottom32 = OpenPanelBottom32;
exports.OpenPanelFilledBottom16 = OpenPanelFilledBottom16;
exports.OpenPanelFilledBottom20 = OpenPanelFilledBottom20;
exports.OpenPanelFilledBottom24 = OpenPanelFilledBottom24;
exports.OpenPanelFilledBottom32 = OpenPanelFilledBottom32;
exports.OpenPanelFilledLeft16 = OpenPanelFilledLeft16;
exports.OpenPanelFilledLeft20 = OpenPanelFilledLeft20;
exports.OpenPanelFilledLeft24 = OpenPanelFilledLeft24;
exports.OpenPanelFilledLeft32 = OpenPanelFilledLeft32;
exports.OpenPanelFilledRight16 = OpenPanelFilledRight16;
exports.OpenPanelFilledRight20 = OpenPanelFilledRight20;
exports.OpenPanelFilledRight24 = OpenPanelFilledRight24;
exports.OpenPanelFilledRight32 = OpenPanelFilledRight32;
exports.OpenPanelFilledTop16 = OpenPanelFilledTop16;
exports.OpenPanelFilledTop20 = OpenPanelFilledTop20;
exports.OpenPanelFilledTop24 = OpenPanelFilledTop24;
exports.OpenPanelFilledTop32 = OpenPanelFilledTop32;
exports.OpenPanelLeft16 = OpenPanelLeft16;
exports.OpenPanelLeft20 = OpenPanelLeft20;
exports.OpenPanelLeft24 = OpenPanelLeft24;
exports.OpenPanelLeft32 = OpenPanelLeft32;
exports.OpenPanelRight16 = OpenPanelRight16;
exports.OpenPanelRight20 = OpenPanelRight20;
exports.OpenPanelRight24 = OpenPanelRight24;
exports.OpenPanelRight32 = OpenPanelRight32;
exports.OpenPanelTop16 = OpenPanelTop16;
exports.OpenPanelTop20 = OpenPanelTop20;
exports.OpenPanelTop24 = OpenPanelTop24;
exports.OpenPanelTop32 = OpenPanelTop32;
exports.OperationsField16 = OperationsField16;
exports.OperationsField20 = OperationsField20;
exports.OperationsField24 = OperationsField24;
exports.OperationsField32 = OperationsField32;
exports.OperationsRecord16 = OperationsRecord16;
exports.OperationsRecord20 = OperationsRecord20;
exports.OperationsRecord24 = OperationsRecord24;
exports.OperationsRecord32 = OperationsRecord32;
exports.Ordinal16 = Ordinal16;
exports.Ordinal20 = Ordinal20;
exports.Ordinal24 = Ordinal24;
exports.Ordinal32 = Ordinal32;
exports.OverflowMenuHorizontal16 = OverflowMenuHorizontal16;
exports.OverflowMenuHorizontal20 = OverflowMenuHorizontal20;
exports.OverflowMenuHorizontal24 = OverflowMenuHorizontal24;
exports.OverflowMenuHorizontal32 = OverflowMenuHorizontal32;
exports.OverflowMenuVertical16 = OverflowMenuVertical16;
exports.OverflowMenuVertical20 = OverflowMenuVertical20;
exports.OverflowMenuVertical24 = OverflowMenuVertical24;
exports.OverflowMenuVertical32 = OverflowMenuVertical32;
exports.Package16 = Package16;
exports.Package20 = Package20;
exports.Package24 = Package24;
exports.Package32 = Package32;
exports.PageFirst16 = PageFirst16;
exports.PageFirst20 = PageFirst20;
exports.PageFirst24 = PageFirst24;
exports.PageFirst32 = PageFirst32;
exports.PageLast16 = PageLast16;
exports.PageLast20 = PageLast20;
exports.PageLast24 = PageLast24;
exports.PageLast32 = PageLast32;
exports.PaintBrush16 = PaintBrush16;
exports.PaintBrush20 = PaintBrush20;
exports.PaintBrush24 = PaintBrush24;
exports.PaintBrush32 = PaintBrush32;
exports.PaintBrushAlt16 = PaintBrushAlt16;
exports.PaintBrushAlt20 = PaintBrushAlt20;
exports.PaintBrushAlt24 = PaintBrushAlt24;
exports.PaintBrushAlt32 = PaintBrushAlt32;
exports.PanelExpansion16 = PanelExpansion16;
exports.PanelExpansion20 = PanelExpansion20;
exports.PanelExpansion24 = PanelExpansion24;
exports.PanelExpansion32 = PanelExpansion32;
exports.Paragraph16 = Paragraph16;
exports.Paragraph20 = Paragraph20;
exports.Paragraph24 = Paragraph24;
exports.Paragraph32 = Paragraph32;
exports.ParentChild16 = ParentChild16;
exports.ParentChild20 = ParentChild20;
exports.ParentChild24 = ParentChild24;
exports.ParentChild32 = ParentChild32;
exports.PartlyCloudy16 = PartlyCloudy16;
exports.PartlyCloudy20 = PartlyCloudy20;
exports.PartlyCloudy24 = PartlyCloudy24;
exports.PartlyCloudy32 = PartlyCloudy32;
exports.PartlyCloudyNight16 = PartlyCloudyNight16;
exports.PartlyCloudyNight20 = PartlyCloudyNight20;
exports.PartlyCloudyNight24 = PartlyCloudyNight24;
exports.PartlyCloudyNight32 = PartlyCloudyNight32;
exports.Partnership16 = Partnership16;
exports.Partnership20 = Partnership20;
exports.Partnership24 = Partnership24;
exports.Partnership32 = Partnership32;
exports.Password16 = Password16;
exports.Password20 = Password20;
exports.Password24 = Password24;
exports.Password32 = Password32;
exports.Paste16 = Paste16;
exports.Paste20 = Paste20;
exports.Paste24 = Paste24;
exports.Paste32 = Paste32;
exports.Pause16 = Pause16;
exports.Pause20 = Pause20;
exports.Pause24 = Pause24;
exports.Pause32 = Pause32;
exports.PauseFilled16 = PauseFilled16;
exports.PauseFilled20 = PauseFilled20;
exports.PauseFilled24 = PauseFilled24;
exports.PauseFilled32 = PauseFilled32;
exports.PauseOutline16 = PauseOutline16;
exports.PauseOutline20 = PauseOutline20;
exports.PauseOutline24 = PauseOutline24;
exports.PauseOutline32 = PauseOutline32;
exports.PauseOutlineFilled16 = PauseOutlineFilled16;
exports.PauseOutlineFilled20 = PauseOutlineFilled20;
exports.PauseOutlineFilled24 = PauseOutlineFilled24;
exports.PauseOutlineFilled32 = PauseOutlineFilled32;
exports.Pdf16 = Pdf16;
exports.Pdf20 = Pdf20;
exports.Pdf24 = Pdf24;
exports.Pdf32 = Pdf32;
exports.Pedestrian16 = Pedestrian16;
exports.Pedestrian20 = Pedestrian20;
exports.Pedestrian24 = Pedestrian24;
exports.Pedestrian32 = Pedestrian32;
exports.PedestrianChild16 = PedestrianChild16;
exports.PedestrianChild20 = PedestrianChild20;
exports.PedestrianChild24 = PedestrianChild24;
exports.PedestrianChild32 = PedestrianChild32;
exports.Percentage16 = Percentage16;
exports.Percentage20 = Percentage20;
exports.Percentage24 = Percentage24;
exports.Percentage32 = Percentage32;
exports.PercentageFilled16 = PercentageFilled16;
exports.PercentageFilled20 = PercentageFilled20;
exports.PercentageFilled24 = PercentageFilled24;
exports.PercentageFilled32 = PercentageFilled32;
exports.Person16 = Person16;
exports.Person20 = Person20;
exports.Person24 = Person24;
exports.Person32 = Person32;
exports.PersonFavorite16 = PersonFavorite16;
exports.PersonFavorite20 = PersonFavorite20;
exports.PersonFavorite24 = PersonFavorite24;
exports.PersonFavorite32 = PersonFavorite32;
exports.Phone16 = Phone16;
exports.Phone20 = Phone20;
exports.Phone24 = Phone24;
exports.Phone32 = Phone32;
exports.PhoneFilled16 = PhoneFilled16;
exports.PhoneFilled20 = PhoneFilled20;
exports.PhoneFilled24 = PhoneFilled24;
exports.PhoneFilled32 = PhoneFilled32;
exports.PhoneOff16 = PhoneOff16;
exports.PhoneOff20 = PhoneOff20;
exports.PhoneOff24 = PhoneOff24;
exports.PhoneOff32 = PhoneOff32;
exports.PhoneOffFilled16 = PhoneOffFilled16;
exports.PhoneOffFilled20 = PhoneOffFilled20;
exports.PhoneOffFilled24 = PhoneOffFilled24;
exports.PhoneOffFilled32 = PhoneOffFilled32;
exports.PhraseSentiment16 = PhraseSentiment16;
exports.PhraseSentiment20 = PhraseSentiment20;
exports.PhraseSentiment24 = PhraseSentiment24;
exports.PhraseSentiment32 = PhraseSentiment32;
exports.Pills16 = Pills16;
exports.Pills20 = Pills20;
exports.Pills24 = Pills24;
exports.Pills32 = Pills32;
exports.PillsAdd16 = PillsAdd16;
exports.PillsAdd20 = PillsAdd20;
exports.PillsAdd24 = PillsAdd24;
exports.PillsAdd32 = PillsAdd32;
exports.PillsSubtract16 = PillsSubtract16;
exports.PillsSubtract20 = PillsSubtract20;
exports.PillsSubtract24 = PillsSubtract24;
exports.PillsSubtract32 = PillsSubtract32;
exports.Pin16 = Pin16;
exports.Pin20 = Pin20;
exports.Pin24 = Pin24;
exports.Pin32 = Pin32;
exports.Plane16 = Plane16;
exports.Plane20 = Plane20;
exports.Plane24 = Plane24;
exports.Plane32 = Plane32;
exports.Play16 = Play16;
exports.Play20 = Play20;
exports.Play24 = Play24;
exports.Play32 = Play32;
exports.PlayFilled16 = PlayFilled16;
exports.PlayFilled20 = PlayFilled20;
exports.PlayFilled24 = PlayFilled24;
exports.PlayFilled32 = PlayFilled32;
exports.PlayFilledAlt16 = PlayFilledAlt16;
exports.PlayFilledAlt20 = PlayFilledAlt20;
exports.PlayFilledAlt24 = PlayFilledAlt24;
exports.PlayFilledAlt32 = PlayFilledAlt32;
exports.PlayOutline16 = PlayOutline16;
exports.PlayOutline20 = PlayOutline20;
exports.PlayOutline24 = PlayOutline24;
exports.PlayOutline32 = PlayOutline32;
exports.PlayOutlineFilled16 = PlayOutlineFilled16;
exports.PlayOutlineFilled20 = PlayOutlineFilled20;
exports.PlayOutlineFilled24 = PlayOutlineFilled24;
exports.PlayOutlineFilled32 = PlayOutlineFilled32;
exports.Playlist16 = Playlist16;
exports.Playlist20 = Playlist20;
exports.Playlist24 = Playlist24;
exports.Playlist32 = Playlist32;
exports.Png16 = Png16;
exports.Png20 = Png20;
exports.Png24 = Png24;
exports.Png32 = Png32;
exports.Policy16 = Policy16;
exports.Policy20 = Policy20;
exports.Policy24 = Policy24;
exports.Policy32 = Policy32;
exports.Popup16 = Popup16;
exports.Popup20 = Popup20;
exports.Popup24 = Popup24;
exports.Popup32 = Popup32;
exports.Portfolio16 = Portfolio16;
exports.Portfolio20 = Portfolio20;
exports.Portfolio24 = Portfolio24;
exports.Portfolio32 = Portfolio32;
exports.Power16 = Power16;
exports.Power20 = Power20;
exports.Power24 = Power24;
exports.Power32 = Power32;
exports.Ppt16 = Ppt16;
exports.Ppt20 = Ppt20;
exports.Ppt24 = Ppt24;
exports.Ppt32 = Ppt32;
exports.PresentationFile16 = PresentationFile16;
exports.PresentationFile20 = PresentationFile20;
exports.PresentationFile24 = PresentationFile24;
exports.PresentationFile32 = PresentationFile32;
exports.Printer16 = Printer16;
exports.Printer20 = Printer20;
exports.Printer24 = Printer24;
exports.Printer32 = Printer32;
exports.Product16 = Product16;
exports.Product20 = Product20;
exports.Product24 = Product24;
exports.Product32 = Product32;
exports.Purchase16 = Purchase16;
exports.Purchase20 = Purchase20;
exports.Purchase24 = Purchase24;
exports.Purchase32 = Purchase32;
exports.QBarrier16 = QBarrier16;
exports.QBarrier20 = QBarrier20;
exports.QBarrier24 = QBarrier24;
exports.QBarrier32 = QBarrier32;
exports.QBlochSphere16 = QBlochSphere16;
exports.QBlochSphere20 = QBlochSphere20;
exports.QBlochSphere24 = QBlochSphere24;
exports.QBlochSphere32 = QBlochSphere32;
exports.QCU116 = QCU116;
exports.QCU120 = QCU120;
exports.QCU124 = QCU124;
exports.QCU132 = QCU132;
exports.QCU316 = QCU316;
exports.QCU320 = QCU320;
exports.QCU324 = QCU324;
exports.QCU332 = QCU332;
exports.QCY16 = QCY16;
exports.QCY20 = QCY20;
exports.QCY24 = QCY24;
exports.QCY32 = QCY32;
exports.QCZ16 = QCZ16;
exports.QCZ20 = QCZ20;
exports.QCZ24 = QCZ24;
exports.QCZ32 = QCZ32;
exports.QCcX16 = QCcX16;
exports.QCcX20 = QCcX20;
exports.QCcX24 = QCcX24;
exports.QCcX32 = QCcX32;
exports.QCircuitComposer16 = QCircuitComposer16;
exports.QCircuitComposer20 = QCircuitComposer20;
exports.QCircuitComposer24 = QCircuitComposer24;
exports.QCircuitComposer32 = QCircuitComposer32;
exports.QComposerEdit16 = QComposerEdit16;
exports.QComposerEdit20 = QComposerEdit20;
exports.QComposerEdit24 = QComposerEdit24;
exports.QComposerEdit32 = QComposerEdit32;
exports.QH16 = QH16;
exports.QH20 = QH20;
exports.QH24 = QH24;
exports.QH32 = QH32;
exports.QHintonPlot16 = QHintonPlot16;
exports.QHintonPlot20 = QHintonPlot20;
exports.QHintonPlot24 = QHintonPlot24;
exports.QHintonPlot32 = QHintonPlot32;
exports.QID16 = QID16;
exports.QID20 = QID20;
exports.QID24 = QID24;
exports.QID32 = QID32;
exports.QMatrix16 = QMatrix16;
exports.QMatrix20 = QMatrix20;
exports.QMatrix24 = QMatrix24;
exports.QMatrix32 = QMatrix32;
exports.QOperation16 = QOperation16;
exports.QOperation20 = QOperation20;
exports.QOperation24 = QOperation24;
exports.QOperation32 = QOperation32;
exports.QOperationGauge16 = QOperationGauge16;
exports.QOperationGauge20 = QOperationGauge20;
exports.QOperationGauge24 = QOperationGauge24;
exports.QOperationGauge32 = QOperationGauge32;
exports.QOperationIf16 = QOperationIf16;
exports.QOperationIf20 = QOperationIf20;
exports.QOperationIf24 = QOperationIf24;
exports.QOperationIf32 = QOperationIf32;
exports.QS16 = QS16;
exports.QS20 = QS20;
exports.QS24 = QS24;
exports.QS32 = QS32;
exports.QSAlt16 = QSAlt16;
exports.QSAlt20 = QSAlt20;
exports.QSAlt24 = QSAlt24;
exports.QSAlt32 = QSAlt32;
exports.QT16 = QT16;
exports.QT20 = QT20;
exports.QT24 = QT24;
exports.QT32 = QT32;
exports.QTAlt16 = QTAlt16;
exports.QTAlt20 = QTAlt20;
exports.QTAlt24 = QTAlt24;
exports.QTAlt32 = QTAlt32;
exports.QU116 = QU116;
exports.QU120 = QU120;
exports.QU124 = QU124;
exports.QU132 = QU132;
exports.QU216 = QU216;
exports.QU220 = QU220;
exports.QU224 = QU224;
exports.QU232 = QU232;
exports.QU316 = QU316;
exports.QU320 = QU320;
exports.QU324 = QU324;
exports.QU332 = QU332;
exports.QX16 = QX16;
exports.QX20 = QX20;
exports.QX24 = QX24;
exports.QX32 = QX32;
exports.QY16 = QY16;
exports.QY20 = QY20;
exports.QY24 = QY24;
exports.QY32 = QY32;
exports.QZ16 = QZ16;
exports.QZ20 = QZ20;
exports.QZ24 = QZ24;
exports.QZ32 = QZ32;
exports.QrCode16 = QrCode16;
exports.QrCode20 = QrCode20;
exports.QrCode24 = QrCode24;
exports.QrCode32 = QrCode32;
exports.QueryQueue16 = QueryQueue16;
exports.QueryQueue20 = QueryQueue20;
exports.QueryQueue24 = QueryQueue24;
exports.QueryQueue32 = QueryQueue32;
exports.Quotes16 = Quotes16;
exports.Quotes20 = Quotes20;
exports.Quotes24 = Quotes24;
exports.Quotes32 = Quotes32;
exports.Radio16 = Radio16;
exports.Radio20 = Radio20;
exports.Radio24 = Radio24;
exports.Radio32 = Radio32;
exports.RadioButton16 = RadioButton16;
exports.RadioButton20 = RadioButton20;
exports.RadioButton24 = RadioButton24;
exports.RadioButton32 = RadioButton32;
exports.RadioButtonChecked16 = RadioButtonChecked16;
exports.RadioButtonChecked20 = RadioButtonChecked20;
exports.RadioButtonChecked24 = RadioButtonChecked24;
exports.RadioButtonChecked32 = RadioButtonChecked32;
exports.Rain16 = Rain16;
exports.Rain20 = Rain20;
exports.Rain24 = Rain24;
exports.Rain32 = Rain32;
exports.RainDrizzle16 = RainDrizzle16;
exports.RainDrizzle20 = RainDrizzle20;
exports.RainDrizzle24 = RainDrizzle24;
exports.RainDrizzle32 = RainDrizzle32;
exports.RainDrop16 = RainDrop16;
exports.RainDrop20 = RainDrop20;
exports.RainDrop24 = RainDrop24;
exports.RainDrop32 = RainDrop32;
exports.RainHeavy16 = RainHeavy16;
exports.RainHeavy20 = RainHeavy20;
exports.RainHeavy24 = RainHeavy24;
exports.RainHeavy32 = RainHeavy32;
exports.RainScattered16 = RainScattered16;
exports.RainScattered20 = RainScattered20;
exports.RainScattered24 = RainScattered24;
exports.RainScattered32 = RainScattered32;
exports.RainScatteredNight16 = RainScatteredNight16;
exports.RainScatteredNight20 = RainScatteredNight20;
exports.RainScatteredNight24 = RainScatteredNight24;
exports.RainScatteredNight32 = RainScatteredNight32;
exports.Raw16 = Raw16;
exports.Raw20 = Raw20;
exports.Raw24 = Raw24;
exports.Raw32 = Raw32;
exports.Receipt16 = Receipt16;
exports.Receipt20 = Receipt20;
exports.Receipt24 = Receipt24;
exports.Receipt32 = Receipt32;
exports.RecentlyViewed16 = RecentlyViewed16;
exports.RecentlyViewed20 = RecentlyViewed20;
exports.RecentlyViewed24 = RecentlyViewed24;
exports.RecentlyViewed32 = RecentlyViewed32;
exports.Recommend16 = Recommend16;
exports.Recommend20 = Recommend20;
exports.Recommend24 = Recommend24;
exports.Recommend32 = Recommend32;
exports.Recording16 = Recording16;
exports.Recording20 = Recording20;
exports.Recording24 = Recording24;
exports.Recording32 = Recording32;
exports.RecordingFilled16 = RecordingFilled16;
exports.RecordingFilled20 = RecordingFilled20;
exports.RecordingFilled24 = RecordingFilled24;
exports.RecordingFilled32 = RecordingFilled32;
exports.RecordingFilledAlt16 = RecordingFilledAlt16;
exports.RecordingFilledAlt20 = RecordingFilledAlt20;
exports.RecordingFilledAlt24 = RecordingFilledAlt24;
exports.RecordingFilledAlt32 = RecordingFilledAlt32;
exports.Redo16 = Redo16;
exports.Redo20 = Redo20;
exports.Redo24 = Redo24;
exports.Redo32 = Redo32;
exports.Reminder16 = Reminder16;
exports.Reminder20 = Reminder20;
exports.Reminder24 = Reminder24;
exports.Reminder32 = Reminder32;
exports.ReminderMedical16 = ReminderMedical16;
exports.ReminderMedical20 = ReminderMedical20;
exports.ReminderMedical24 = ReminderMedical24;
exports.ReminderMedical32 = ReminderMedical32;
exports.Renew16 = Renew16;
exports.Renew20 = Renew20;
exports.Renew24 = Renew24;
exports.Renew32 = Renew32;
exports.Repeat16 = Repeat16;
exports.Repeat20 = Repeat20;
exports.Repeat24 = Repeat24;
exports.Repeat32 = Repeat32;
exports.RepeatOne16 = RepeatOne16;
exports.RepeatOne20 = RepeatOne20;
exports.RepeatOne24 = RepeatOne24;
exports.RepeatOne32 = RepeatOne32;
exports.Reply16 = Reply16;
exports.Reply20 = Reply20;
exports.Reply24 = Reply24;
exports.Reply32 = Reply32;
exports.Report16 = Report16;
exports.Report20 = Report20;
exports.Report24 = Report24;
exports.Report32 = Report32;
exports.ReportData16 = ReportData16;
exports.ReportData20 = ReportData20;
exports.ReportData24 = ReportData24;
exports.ReportData32 = ReportData32;
exports.RequestQuote16 = RequestQuote16;
exports.RequestQuote20 = RequestQuote20;
exports.RequestQuote24 = RequestQuote24;
exports.RequestQuote32 = RequestQuote32;
exports.ResearchBlochSphere16 = ResearchBlochSphere16;
exports.ResearchBlochSphere20 = ResearchBlochSphere20;
exports.ResearchBlochSphere24 = ResearchBlochSphere24;
exports.ResearchBlochSphere32 = ResearchBlochSphere32;
exports.ResearchHintonPlot16 = ResearchHintonPlot16;
exports.ResearchHintonPlot20 = ResearchHintonPlot20;
exports.ResearchHintonPlot24 = ResearchHintonPlot24;
exports.ResearchHintonPlot32 = ResearchHintonPlot32;
exports.ResearchMatrix16 = ResearchMatrix16;
exports.ResearchMatrix20 = ResearchMatrix20;
exports.ResearchMatrix24 = ResearchMatrix24;
exports.ResearchMatrix32 = ResearchMatrix32;
exports.Reset16 = Reset16;
exports.Reset20 = Reset20;
exports.Reset24 = Reset24;
exports.Reset32 = Reset32;
exports.ResetAlt16 = ResetAlt16;
exports.ResetAlt20 = ResetAlt20;
exports.ResetAlt24 = ResetAlt24;
exports.ResetAlt32 = ResetAlt32;
exports.Restart16 = Restart16;
exports.Restart20 = Restart20;
exports.Restart24 = Restart24;
exports.Restart32 = Restart32;
exports.Restaurant16 = Restaurant16;
exports.Restaurant20 = Restaurant20;
exports.Restaurant24 = Restaurant24;
exports.Restaurant32 = Restaurant32;
exports.RestaurantFine16 = RestaurantFine16;
exports.RestaurantFine20 = RestaurantFine20;
exports.RestaurantFine24 = RestaurantFine24;
exports.RestaurantFine32 = RestaurantFine32;
exports.Rewind_1016 = Rewind_1016;
exports.Rewind_1020 = Rewind_1020;
exports.Rewind_1024 = Rewind_1024;
exports.Rewind_1032 = Rewind_1032;
exports.Rewind_3016 = Rewind_3016;
exports.Rewind_3020 = Rewind_3020;
exports.Rewind_3024 = Rewind_3024;
exports.Rewind_3032 = Rewind_3032;
exports.Rewind_516 = Rewind_516;
exports.Rewind_520 = Rewind_520;
exports.Rewind_524 = Rewind_524;
exports.Rewind_532 = Rewind_532;
exports.Rocket16 = Rocket16;
exports.Rocket20 = Rocket20;
exports.Rocket24 = Rocket24;
exports.Rocket32 = Rocket32;
exports.Rotate16 = Rotate16;
exports.Rotate20 = Rotate20;
exports.Rotate24 = Rotate24;
exports.Rotate32 = Rotate32;
exports.RotateClockwise16 = RotateClockwise16;
exports.RotateClockwise20 = RotateClockwise20;
exports.RotateClockwise24 = RotateClockwise24;
exports.RotateClockwise32 = RotateClockwise32;
exports.RotateClockwiseAlt16 = RotateClockwiseAlt16;
exports.RotateClockwiseAlt20 = RotateClockwiseAlt20;
exports.RotateClockwiseAlt24 = RotateClockwiseAlt24;
exports.RotateClockwiseAlt32 = RotateClockwiseAlt32;
exports.RotateClockwiseAltFilled16 = RotateClockwiseAltFilled16;
exports.RotateClockwiseAltFilled20 = RotateClockwiseAltFilled20;
exports.RotateClockwiseAltFilled24 = RotateClockwiseAltFilled24;
exports.RotateClockwiseAltFilled32 = RotateClockwiseAltFilled32;
exports.RotateClockwiseFilled16 = RotateClockwiseFilled16;
exports.RotateClockwiseFilled20 = RotateClockwiseFilled20;
exports.RotateClockwiseFilled24 = RotateClockwiseFilled24;
exports.RotateClockwiseFilled32 = RotateClockwiseFilled32;
exports.RotateCounterclockwise16 = RotateCounterclockwise16;
exports.RotateCounterclockwise20 = RotateCounterclockwise20;
exports.RotateCounterclockwise24 = RotateCounterclockwise24;
exports.RotateCounterclockwise32 = RotateCounterclockwise32;
exports.RotateCounterclockwiseAlt16 = RotateCounterclockwiseAlt16;
exports.RotateCounterclockwiseAlt20 = RotateCounterclockwiseAlt20;
exports.RotateCounterclockwiseAlt24 = RotateCounterclockwiseAlt24;
exports.RotateCounterclockwiseAlt32 = RotateCounterclockwiseAlt32;
exports.RotateCounterclockwiseAltFilled16 = RotateCounterclockwiseAltFilled16;
exports.RotateCounterclockwiseAltFilled20 = RotateCounterclockwiseAltFilled20;
exports.RotateCounterclockwiseAltFilled24 = RotateCounterclockwiseAltFilled24;
exports.RotateCounterclockwiseAltFilled32 = RotateCounterclockwiseAltFilled32;
exports.RotateCounterclockwiseFilled16 = RotateCounterclockwiseFilled16;
exports.RotateCounterclockwiseFilled20 = RotateCounterclockwiseFilled20;
exports.RotateCounterclockwiseFilled24 = RotateCounterclockwiseFilled24;
exports.RotateCounterclockwiseFilled32 = RotateCounterclockwiseFilled32;
exports.Row16 = Row16;
exports.Row20 = Row20;
exports.Row24 = Row24;
exports.Row32 = Row32;
exports.Rss16 = Rss16;
exports.Rss20 = Rss20;
exports.Rss24 = Rss24;
exports.Rss32 = Rss32;
exports.Rule16 = Rule16;
exports.Rule20 = Rule20;
exports.Rule24 = Rule24;
exports.Rule32 = Rule32;
exports.Ruler16 = Ruler16;
exports.Ruler20 = Ruler20;
exports.Ruler24 = Ruler24;
exports.Ruler32 = Ruler32;
exports.RulerAlt16 = RulerAlt16;
exports.RulerAlt20 = RulerAlt20;
exports.RulerAlt24 = RulerAlt24;
exports.RulerAlt32 = RulerAlt32;
exports.Run16 = Run16;
exports.Run20 = Run20;
exports.Run24 = Run24;
exports.Run32 = Run32;
exports.Save16 = Save16;
exports.Save20 = Save20;
exports.Save24 = Save24;
exports.Save32 = Save32;
exports.SaveModel16 = SaveModel16;
exports.SaveModel20 = SaveModel20;
exports.SaveModel24 = SaveModel24;
exports.SaveModel32 = SaveModel32;
exports.Scale16 = Scale16;
exports.Scale20 = Scale20;
exports.Scale24 = Scale24;
exports.Scale32 = Scale32;
exports.Scalpel16 = Scalpel16;
exports.Scalpel20 = Scalpel20;
exports.Scalpel24 = Scalpel24;
exports.Scalpel32 = Scalpel32;
exports.Scan16 = Scan16;
exports.Scan20 = Scan20;
exports.Scan24 = Scan24;
exports.Scan32 = Scan32;
exports.Schematics16 = Schematics16;
exports.Schematics20 = Schematics20;
exports.Schematics24 = Schematics24;
exports.Schematics32 = Schematics32;
exports.Scooter16 = Scooter16;
exports.Scooter20 = Scooter20;
exports.Scooter24 = Scooter24;
exports.Scooter32 = Scooter32;
exports.ScooterFront16 = ScooterFront16;
exports.ScooterFront20 = ScooterFront20;
exports.ScooterFront24 = ScooterFront24;
exports.ScooterFront32 = ScooterFront32;
exports.Screen16 = Screen16;
exports.Screen20 = Screen20;
exports.Screen24 = Screen24;
exports.Screen32 = Screen32;
exports.ScreenOff16 = ScreenOff16;
exports.ScreenOff20 = ScreenOff20;
exports.ScreenOff24 = ScreenOff24;
exports.ScreenOff32 = ScreenOff32;
exports.Script16 = Script16;
exports.Script20 = Script20;
exports.Script24 = Script24;
exports.Script32 = Script32;
exports.Sdk16 = Sdk16;
exports.Sdk20 = Sdk20;
exports.Sdk24 = Sdk24;
exports.Sdk32 = Sdk32;
exports.Search16 = Search16;
exports.Search20 = Search20;
exports.Search24 = Search24;
exports.Search32 = Search32;
exports.Send16 = Send16;
exports.Send20 = Send20;
exports.Send24 = Send24;
exports.Send32 = Send32;
exports.SendAlt16 = SendAlt16;
exports.SendAlt20 = SendAlt20;
exports.SendAlt24 = SendAlt24;
exports.SendAlt32 = SendAlt32;
exports.SendAltFilled16 = SendAltFilled16;
exports.SendAltFilled20 = SendAltFilled20;
exports.SendAltFilled24 = SendAltFilled24;
exports.SendAltFilled32 = SendAltFilled32;
exports.SendFilled16 = SendFilled16;
exports.SendFilled20 = SendFilled20;
exports.SendFilled24 = SendFilled24;
exports.SendFilled32 = SendFilled32;
exports.ServiceDesk16 = ServiceDesk16;
exports.ServiceDesk20 = ServiceDesk20;
exports.ServiceDesk24 = ServiceDesk24;
exports.ServiceDesk32 = ServiceDesk32;
exports.Settings16 = Settings16;
exports.Settings20 = Settings20;
exports.Settings24 = Settings24;
exports.Settings32 = Settings32;
exports.SettingsAdjust16 = SettingsAdjust16;
exports.SettingsAdjust20 = SettingsAdjust20;
exports.SettingsAdjust24 = SettingsAdjust24;
exports.SettingsAdjust32 = SettingsAdjust32;
exports.Share16 = Share16;
exports.Share20 = Share20;
exports.Share24 = Share24;
exports.Share32 = Share32;
exports.ShareKnowledge16 = ShareKnowledge16;
exports.ShareKnowledge20 = ShareKnowledge20;
exports.ShareKnowledge24 = ShareKnowledge24;
exports.ShareKnowledge32 = ShareKnowledge32;
exports.ShoppingBag16 = ShoppingBag16;
exports.ShoppingBag20 = ShoppingBag20;
exports.ShoppingBag24 = ShoppingBag24;
exports.ShoppingBag32 = ShoppingBag32;
exports.ShoppingCart16 = ShoppingCart16;
exports.ShoppingCart20 = ShoppingCart20;
exports.ShoppingCart24 = ShoppingCart24;
exports.ShoppingCart32 = ShoppingCart32;
exports.ShoppingCatalog16 = ShoppingCatalog16;
exports.ShoppingCatalog20 = ShoppingCatalog20;
exports.ShoppingCatalog24 = ShoppingCatalog24;
exports.ShoppingCatalog32 = ShoppingCatalog32;
exports.ShrinkScreen16 = ShrinkScreen16;
exports.ShrinkScreen20 = ShrinkScreen20;
exports.ShrinkScreen24 = ShrinkScreen24;
exports.ShrinkScreen32 = ShrinkScreen32;
exports.ShrinkScreenFilled16 = ShrinkScreenFilled16;
exports.ShrinkScreenFilled20 = ShrinkScreenFilled20;
exports.ShrinkScreenFilled24 = ShrinkScreenFilled24;
exports.ShrinkScreenFilled32 = ShrinkScreenFilled32;
exports.Shuffle16 = Shuffle16;
exports.Shuffle20 = Shuffle20;
exports.Shuffle24 = Shuffle24;
exports.Shuffle32 = Shuffle32;
exports.Shuttle16 = Shuttle16;
exports.Shuttle20 = Shuttle20;
exports.Shuttle24 = Shuttle24;
exports.Shuttle32 = Shuttle32;
exports.Sigma16 = Sigma16;
exports.Sigma20 = Sigma20;
exports.Sigma24 = Sigma24;
exports.Sigma32 = Sigma32;
exports.SkillLevel16 = SkillLevel16;
exports.SkillLevel20 = SkillLevel20;
exports.SkillLevel24 = SkillLevel24;
exports.SkillLevel32 = SkillLevel32;
exports.SkipBack16 = SkipBack16;
exports.SkipBack20 = SkipBack20;
exports.SkipBack24 = SkipBack24;
exports.SkipBack32 = SkipBack32;
exports.SkipBackFilled16 = SkipBackFilled16;
exports.SkipBackFilled20 = SkipBackFilled20;
exports.SkipBackFilled24 = SkipBackFilled24;
exports.SkipBackFilled32 = SkipBackFilled32;
exports.SkipForward16 = SkipForward16;
exports.SkipForward20 = SkipForward20;
exports.SkipForward24 = SkipForward24;
exports.SkipForward32 = SkipForward32;
exports.SkipForwardFilled16 = SkipForwardFilled16;
exports.SkipForwardFilled20 = SkipForwardFilled20;
exports.SkipForwardFilled24 = SkipForwardFilled24;
exports.SkipForwardFilled32 = SkipForwardFilled32;
exports.Sleet16 = Sleet16;
exports.Sleet20 = Sleet20;
exports.Sleet24 = Sleet24;
exports.Sleet32 = Sleet32;
exports.Smell16 = Smell16;
exports.Smell20 = Smell20;
exports.Smell24 = Smell24;
exports.Smell32 = Smell32;
exports.Smoke16 = Smoke16;
exports.Smoke20 = Smoke20;
exports.Smoke24 = Smoke24;
exports.Smoke32 = Smoke32;
exports.Snooze16 = Snooze16;
exports.Snooze20 = Snooze20;
exports.Snooze24 = Snooze24;
exports.Snooze32 = Snooze32;
exports.Snow16 = Snow16;
exports.Snow20 = Snow20;
exports.Snow24 = Snow24;
exports.Snow32 = Snow32;
exports.SnowBlizzard16 = SnowBlizzard16;
exports.SnowBlizzard20 = SnowBlizzard20;
exports.SnowBlizzard24 = SnowBlizzard24;
exports.SnowBlizzard32 = SnowBlizzard32;
exports.SnowHeavy16 = SnowHeavy16;
exports.SnowHeavy20 = SnowHeavy20;
exports.SnowHeavy24 = SnowHeavy24;
exports.SnowHeavy32 = SnowHeavy32;
exports.SnowScattered16 = SnowScattered16;
exports.SnowScattered20 = SnowScattered20;
exports.SnowScattered24 = SnowScattered24;
exports.SnowScattered32 = SnowScattered32;
exports.SnowScatteredNight16 = SnowScatteredNight16;
exports.SnowScatteredNight20 = SnowScatteredNight20;
exports.SnowScatteredNight24 = SnowScatteredNight24;
exports.SnowScatteredNight32 = SnowScatteredNight32;
exports.Snowflake16 = Snowflake16;
exports.Snowflake20 = Snowflake20;
exports.Snowflake24 = Snowflake24;
exports.Snowflake32 = Snowflake32;
exports.Soccer16 = Soccer16;
exports.Soccer20 = Soccer20;
exports.Soccer24 = Soccer24;
exports.Soccer32 = Soccer32;
exports.SpellCheck16 = SpellCheck16;
exports.SpellCheck20 = SpellCheck20;
exports.SpellCheck24 = SpellCheck24;
exports.SpellCheck32 = SpellCheck32;
exports.SplitScreen16 = SplitScreen16;
exports.SplitScreen20 = SplitScreen20;
exports.SplitScreen24 = SplitScreen24;
exports.SplitScreen32 = SplitScreen32;
exports.SprayPaint16 = SprayPaint16;
exports.SprayPaint20 = SprayPaint20;
exports.SprayPaint24 = SprayPaint24;
exports.SprayPaint32 = SprayPaint32;
exports.Sprout16 = Sprout16;
exports.Sprout20 = Sprout20;
exports.Sprout24 = Sprout24;
exports.Sprout32 = Sprout32;
exports.Sql16 = Sql16;
exports.Sql20 = Sql20;
exports.Sql24 = Sql24;
exports.Sql32 = Sql32;
exports.Stamp16 = Stamp16;
exports.Stamp20 = Stamp20;
exports.Stamp24 = Stamp24;
exports.Stamp32 = Stamp32;
exports.Star16 = Star16;
exports.Star20 = Star20;
exports.Star24 = Star24;
exports.Star32 = Star32;
exports.StarFilled16 = StarFilled16;
exports.StarFilled20 = StarFilled20;
exports.StarFilled24 = StarFilled24;
exports.StarFilled32 = StarFilled32;
exports.StarHalf16 = StarHalf16;
exports.StarHalf20 = StarHalf20;
exports.StarHalf24 = StarHalf24;
exports.StarHalf32 = StarHalf32;
exports.Stop16 = Stop16;
exports.Stop20 = Stop20;
exports.Stop24 = Stop24;
exports.Stop32 = Stop32;
exports.StopFilled16 = StopFilled16;
exports.StopFilled20 = StopFilled20;
exports.StopFilled24 = StopFilled24;
exports.StopFilled32 = StopFilled32;
exports.StopFilledAlt16 = StopFilledAlt16;
exports.StopFilledAlt20 = StopFilledAlt20;
exports.StopFilledAlt24 = StopFilledAlt24;
exports.StopFilledAlt32 = StopFilledAlt32;
exports.StopOutline16 = StopOutline16;
exports.StopOutline20 = StopOutline20;
exports.StopOutline24 = StopOutline24;
exports.StopOutline32 = StopOutline32;
exports.StopOutlineFilled16 = StopOutlineFilled16;
exports.StopOutlineFilled20 = StopOutlineFilled20;
exports.StopOutlineFilled24 = StopOutlineFilled24;
exports.StopOutlineFilled32 = StopOutlineFilled32;
exports.Store16 = Store16;
exports.Store20 = Store20;
exports.Store24 = Store24;
exports.Store32 = Store32;
exports.Strawberry16 = Strawberry16;
exports.Strawberry20 = Strawberry20;
exports.Strawberry24 = Strawberry24;
exports.Strawberry32 = Strawberry32;
exports.StringInteger16 = StringInteger16;
exports.StringInteger20 = StringInteger20;
exports.StringInteger24 = StringInteger24;
exports.StringInteger32 = StringInteger32;
exports.StringText16 = StringText16;
exports.StringText20 = StringText20;
exports.StringText24 = StringText24;
exports.StringText32 = StringText32;
exports.Subtract16 = Subtract16;
exports.Subtract20 = Subtract20;
exports.Subtract24 = Subtract24;
exports.Subtract32 = Subtract32;
exports.SubtractAlt16 = SubtractAlt16;
exports.SubtractAlt20 = SubtractAlt20;
exports.SubtractAlt24 = SubtractAlt24;
exports.SubtractAlt32 = SubtractAlt32;
exports.Sun16 = Sun16;
exports.Sun20 = Sun20;
exports.Sun24 = Sun24;
exports.Sun32 = Sun32;
exports.Sunny16 = Sunny16;
exports.Sunny20 = Sunny20;
exports.Sunny24 = Sunny24;
exports.Sunny32 = Sunny32;
exports.Sunrise16 = Sunrise16;
exports.Sunrise20 = Sunrise20;
exports.Sunrise24 = Sunrise24;
exports.Sunrise32 = Sunrise32;
exports.Sunset16 = Sunset16;
exports.Sunset20 = Sunset20;
exports.Sunset24 = Sunset24;
exports.Sunset32 = Sunset32;
exports.Svg16 = Svg16;
exports.Svg20 = Svg20;
exports.Svg24 = Svg24;
exports.Svg32 = Svg32;
exports.Switcher16 = Switcher16;
exports.Switcher20 = Switcher20;
exports.Switcher24 = Switcher24;
exports.Switcher32 = Switcher32;
exports.SysProvision16 = SysProvision16;
exports.SysProvision20 = SysProvision20;
exports.SysProvision24 = SysProvision24;
exports.SysProvision32 = SysProvision32;
exports.Table16 = Table16;
exports.Table20 = Table20;
exports.Table24 = Table24;
exports.Table32 = Table32;
exports.TableOfContents16 = TableOfContents16;
exports.TableOfContents20 = TableOfContents20;
exports.TableOfContents24 = TableOfContents24;
exports.TableOfContents32 = TableOfContents32;
exports.TableSplit16 = TableSplit16;
exports.TableSplit20 = TableSplit20;
exports.TableSplit24 = TableSplit24;
exports.TableSplit32 = TableSplit32;
exports.Tablet16 = Tablet16;
exports.Tablet20 = Tablet20;
exports.Tablet24 = Tablet24;
exports.Tablet32 = Tablet32;
exports.TabletLandscape16 = TabletLandscape16;
exports.TabletLandscape20 = TabletLandscape20;
exports.TabletLandscape24 = TabletLandscape24;
exports.TabletLandscape32 = TabletLandscape32;
exports.Tag16 = Tag16;
exports.Tag20 = Tag20;
exports.Tag24 = Tag24;
exports.Tag32 = Tag32;
exports.TagEdit16 = TagEdit16;
exports.TagEdit20 = TagEdit20;
exports.TagEdit24 = TagEdit24;
exports.TagEdit32 = TagEdit32;
exports.TagGroup16 = TagGroup16;
exports.TagGroup20 = TagGroup20;
exports.TagGroup24 = TagGroup24;
exports.TagGroup32 = TagGroup32;
exports.Task16 = Task16;
exports.Task20 = Task20;
exports.Task24 = Task24;
exports.Task32 = Task32;
exports.TaskView16 = TaskView16;
exports.TaskView20 = TaskView20;
exports.TaskView24 = TaskView24;
exports.TaskView32 = TaskView32;
exports.Taste16 = Taste16;
exports.Taste20 = Taste20;
exports.Taste24 = Taste24;
exports.Taste32 = Taste32;
exports.Taxi16 = Taxi16;
exports.Taxi20 = Taxi20;
exports.Taxi24 = Taxi24;
exports.Taxi32 = Taxi32;
exports.Temperature16 = Temperature16;
exports.Temperature20 = Temperature20;
exports.Temperature24 = Temperature24;
exports.Temperature32 = Temperature32;
exports.TemperatureFrigid16 = TemperatureFrigid16;
exports.TemperatureFrigid20 = TemperatureFrigid20;
exports.TemperatureFrigid24 = TemperatureFrigid24;
exports.TemperatureFrigid32 = TemperatureFrigid32;
exports.TemperatureHot16 = TemperatureHot16;
exports.TemperatureHot20 = TemperatureHot20;
exports.TemperatureHot24 = TemperatureHot24;
exports.TemperatureHot32 = TemperatureHot32;
exports.Template16 = Template16;
exports.Template20 = Template20;
exports.Template24 = Template24;
exports.Template32 = Template32;
exports.Tennis16 = Tennis16;
exports.Tennis20 = Tennis20;
exports.Tennis24 = Tennis24;
exports.Tennis32 = Tennis32;
exports.TennisBall16 = TennisBall16;
exports.TennisBall20 = TennisBall20;
exports.TennisBall24 = TennisBall24;
exports.TennisBall32 = TennisBall32;
exports.Term16 = Term16;
exports.Term20 = Term20;
exports.Term24 = Term24;
exports.Term32 = Term32;
exports.Terminal16 = Terminal16;
exports.Terminal20 = Terminal20;
exports.Terminal24 = Terminal24;
exports.Terminal32 = Terminal32;
exports.TextAlignCenter16 = TextAlignCenter16;
exports.TextAlignCenter20 = TextAlignCenter20;
exports.TextAlignCenter24 = TextAlignCenter24;
exports.TextAlignCenter32 = TextAlignCenter32;
exports.TextAlignJustify16 = TextAlignJustify16;
exports.TextAlignJustify20 = TextAlignJustify20;
exports.TextAlignJustify24 = TextAlignJustify24;
exports.TextAlignJustify32 = TextAlignJustify32;
exports.TextAlignLeft16 = TextAlignLeft16;
exports.TextAlignLeft20 = TextAlignLeft20;
exports.TextAlignLeft24 = TextAlignLeft24;
exports.TextAlignLeft32 = TextAlignLeft32;
exports.TextAlignRight16 = TextAlignRight16;
exports.TextAlignRight20 = TextAlignRight20;
exports.TextAlignRight24 = TextAlignRight24;
exports.TextAlignRight32 = TextAlignRight32;
exports.TextAllCaps16 = TextAllCaps16;
exports.TextAllCaps20 = TextAllCaps20;
exports.TextAllCaps24 = TextAllCaps24;
exports.TextAllCaps32 = TextAllCaps32;
exports.TextBold16 = TextBold16;
exports.TextBold20 = TextBold20;
exports.TextBold24 = TextBold24;
exports.TextBold32 = TextBold32;
exports.TextColor16 = TextColor16;
exports.TextColor20 = TextColor20;
exports.TextColor24 = TextColor24;
exports.TextColor32 = TextColor32;
exports.TextCreation16 = TextCreation16;
exports.TextCreation20 = TextCreation20;
exports.TextCreation24 = TextCreation24;
exports.TextCreation32 = TextCreation32;
exports.TextFill16 = TextFill16;
exports.TextFill20 = TextFill20;
exports.TextFill24 = TextFill24;
exports.TextFill32 = TextFill32;
exports.TextHighlight16 = TextHighlight16;
exports.TextHighlight20 = TextHighlight20;
exports.TextHighlight24 = TextHighlight24;
exports.TextHighlight32 = TextHighlight32;
exports.TextIndent16 = TextIndent16;
exports.TextIndent20 = TextIndent20;
exports.TextIndent24 = TextIndent24;
exports.TextIndent32 = TextIndent32;
exports.TextIndentLess16 = TextIndentLess16;
exports.TextIndentLess20 = TextIndentLess20;
exports.TextIndentLess24 = TextIndentLess24;
exports.TextIndentLess32 = TextIndentLess32;
exports.TextIndentMore16 = TextIndentMore16;
exports.TextIndentMore20 = TextIndentMore20;
exports.TextIndentMore24 = TextIndentMore24;
exports.TextIndentMore32 = TextIndentMore32;
exports.TextItalic16 = TextItalic16;
exports.TextItalic20 = TextItalic20;
exports.TextItalic24 = TextItalic24;
exports.TextItalic32 = TextItalic32;
exports.TextKerning16 = TextKerning16;
exports.TextKerning20 = TextKerning20;
exports.TextKerning24 = TextKerning24;
exports.TextKerning32 = TextKerning32;
exports.TextLeading16 = TextLeading16;
exports.TextLeading20 = TextLeading20;
exports.TextLeading24 = TextLeading24;
exports.TextLeading32 = TextLeading32;
exports.TextLineSpacing16 = TextLineSpacing16;
exports.TextLineSpacing20 = TextLineSpacing20;
exports.TextLineSpacing24 = TextLineSpacing24;
exports.TextLineSpacing32 = TextLineSpacing32;
exports.TextLink16 = TextLink16;
exports.TextLink20 = TextLink20;
exports.TextLink24 = TextLink24;
exports.TextLink32 = TextLink32;
exports.TextLinkAnalysis16 = TextLinkAnalysis16;
exports.TextLinkAnalysis20 = TextLinkAnalysis20;
exports.TextLinkAnalysis24 = TextLinkAnalysis24;
exports.TextLinkAnalysis32 = TextLinkAnalysis32;
exports.TextMining16 = TextMining16;
exports.TextMining20 = TextMining20;
exports.TextMining24 = TextMining24;
exports.TextMining32 = TextMining32;
exports.TextMiningApplier16 = TextMiningApplier16;
exports.TextMiningApplier20 = TextMiningApplier20;
exports.TextMiningApplier24 = TextMiningApplier24;
exports.TextMiningApplier32 = TextMiningApplier32;
exports.TextNewLine16 = TextNewLine16;
exports.TextNewLine20 = TextNewLine20;
exports.TextNewLine24 = TextNewLine24;
exports.TextNewLine32 = TextNewLine32;
exports.TextScale16 = TextScale16;
exports.TextScale20 = TextScale20;
exports.TextScale24 = TextScale24;
exports.TextScale32 = TextScale32;
exports.TextSelection16 = TextSelection16;
exports.TextSelection20 = TextSelection20;
exports.TextSelection24 = TextSelection24;
exports.TextSelection32 = TextSelection32;
exports.TextSmallCaps16 = TextSmallCaps16;
exports.TextSmallCaps20 = TextSmallCaps20;
exports.TextSmallCaps24 = TextSmallCaps24;
exports.TextSmallCaps32 = TextSmallCaps32;
exports.TextStrikethrough16 = TextStrikethrough16;
exports.TextStrikethrough20 = TextStrikethrough20;
exports.TextStrikethrough24 = TextStrikethrough24;
exports.TextStrikethrough32 = TextStrikethrough32;
exports.TextSubscript16 = TextSubscript16;
exports.TextSubscript20 = TextSubscript20;
exports.TextSubscript24 = TextSubscript24;
exports.TextSubscript32 = TextSubscript32;
exports.TextSuperscript16 = TextSuperscript16;
exports.TextSuperscript20 = TextSuperscript20;
exports.TextSuperscript24 = TextSuperscript24;
exports.TextSuperscript32 = TextSuperscript32;
exports.TextTracking16 = TextTracking16;
exports.TextTracking20 = TextTracking20;
exports.TextTracking24 = TextTracking24;
exports.TextTracking32 = TextTracking32;
exports.TextUnderline16 = TextUnderline16;
exports.TextUnderline20 = TextUnderline20;
exports.TextUnderline24 = TextUnderline24;
exports.TextUnderline32 = TextUnderline32;
exports.TextWrap16 = TextWrap16;
exports.TextWrap20 = TextWrap20;
exports.TextWrap24 = TextWrap24;
exports.TextWrap32 = TextWrap32;
exports.Thumbnail_116 = Thumbnail_116;
exports.Thumbnail_120 = Thumbnail_120;
exports.Thumbnail_124 = Thumbnail_124;
exports.Thumbnail_132 = Thumbnail_132;
exports.Thumbnail_216 = Thumbnail_216;
exports.Thumbnail_220 = Thumbnail_220;
exports.Thumbnail_224 = Thumbnail_224;
exports.Thumbnail_232 = Thumbnail_232;
exports.ThumbsDown16 = ThumbsDown16;
exports.ThumbsDown20 = ThumbsDown20;
exports.ThumbsDown24 = ThumbsDown24;
exports.ThumbsDown32 = ThumbsDown32;
exports.ThumbsUp16 = ThumbsUp16;
exports.ThumbsUp20 = ThumbsUp20;
exports.ThumbsUp24 = ThumbsUp24;
exports.ThumbsUp32 = ThumbsUp32;
exports.Thunderstorm16 = Thunderstorm16;
exports.Thunderstorm20 = Thunderstorm20;
exports.Thunderstorm24 = Thunderstorm24;
exports.Thunderstorm32 = Thunderstorm32;
exports.ThunderstormScattered16 = ThunderstormScattered16;
exports.ThunderstormScattered20 = ThunderstormScattered20;
exports.ThunderstormScattered24 = ThunderstormScattered24;
exports.ThunderstormScattered32 = ThunderstormScattered32;
exports.ThunderstormScatteredNight16 = ThunderstormScatteredNight16;
exports.ThunderstormScatteredNight20 = ThunderstormScatteredNight20;
exports.ThunderstormScatteredNight24 = ThunderstormScatteredNight24;
exports.ThunderstormScatteredNight32 = ThunderstormScatteredNight32;
exports.ThunderstormSevere16 = ThunderstormSevere16;
exports.ThunderstormSevere20 = ThunderstormSevere20;
exports.ThunderstormSevere24 = ThunderstormSevere24;
exports.ThunderstormSevere32 = ThunderstormSevere32;
exports.ThunderstormStrong16 = ThunderstormStrong16;
exports.ThunderstormStrong20 = ThunderstormStrong20;
exports.ThunderstormStrong24 = ThunderstormStrong24;
exports.ThunderstormStrong32 = ThunderstormStrong32;
exports.Ticket16 = Ticket16;
exports.Ticket20 = Ticket20;
exports.Ticket24 = Ticket24;
exports.Ticket32 = Ticket32;
exports.Tif16 = Tif16;
exports.Tif20 = Tif20;
exports.Tif24 = Tif24;
exports.Tif32 = Tif32;
exports.Time16 = Time16;
exports.Time20 = Time20;
exports.Time24 = Time24;
exports.Time32 = Time32;
exports.Timer16 = Timer16;
exports.Timer20 = Timer20;
exports.Timer24 = Timer24;
exports.Timer32 = Timer32;
exports.ToolBox16 = ToolBox16;
exports.ToolBox20 = ToolBox20;
exports.ToolBox24 = ToolBox24;
exports.ToolBox32 = ToolBox32;
exports.Tools16 = Tools16;
exports.Tools20 = Tools20;
exports.Tools24 = Tools24;
exports.Tools32 = Tools32;
exports.Tornado16 = Tornado16;
exports.Tornado20 = Tornado20;
exports.Tornado24 = Tornado24;
exports.Tornado32 = Tornado32;
exports.Touch_116 = Touch_116;
exports.Touch_120 = Touch_120;
exports.Touch_124 = Touch_124;
exports.Touch_132 = Touch_132;
exports.Touch_216 = Touch_216;
exports.Touch_220 = Touch_220;
exports.Touch_224 = Touch_224;
exports.Touch_232 = Touch_232;
exports.Train16 = Train16;
exports.Train20 = Train20;
exports.Train24 = Train24;
exports.Train32 = Train32;
exports.Tram16 = Tram16;
exports.Tram20 = Tram20;
exports.Tram24 = Tram24;
exports.Tram32 = Tram32;
exports.Translate16 = Translate16;
exports.Translate20 = Translate20;
exports.Translate24 = Translate24;
exports.Translate32 = Translate32;
exports.TrashCan16 = TrashCan16;
exports.TrashCan20 = TrashCan20;
exports.TrashCan24 = TrashCan24;
exports.TrashCan32 = TrashCan32;
exports.Tree16 = Tree16;
exports.Tree20 = Tree20;
exports.Tree24 = Tree24;
exports.Tree32 = Tree32;
exports.TreeView16 = TreeView16;
exports.TreeView20 = TreeView20;
exports.TreeView24 = TreeView24;
exports.TreeView32 = TreeView32;
exports.TreeViewAlt16 = TreeViewAlt16;
exports.TreeViewAlt20 = TreeViewAlt20;
exports.TreeViewAlt24 = TreeViewAlt24;
exports.TreeViewAlt32 = TreeViewAlt32;
exports.Trophy16 = Trophy16;
exports.Trophy20 = Trophy20;
exports.Trophy24 = Trophy24;
exports.Trophy32 = Trophy32;
exports.TrophyFilled16 = TrophyFilled16;
exports.TrophyFilled20 = TrophyFilled20;
exports.TrophyFilled24 = TrophyFilled24;
exports.TrophyFilled32 = TrophyFilled32;
exports.TropicalStorm16 = TropicalStorm16;
exports.TropicalStorm20 = TropicalStorm20;
exports.TropicalStorm24 = TropicalStorm24;
exports.TropicalStorm32 = TropicalStorm32;
exports.Tsv16 = Tsv16;
exports.Tsv20 = Tsv20;
exports.Tsv24 = Tsv24;
exports.Tsv32 = Tsv32;
exports.Txt16 = Txt16;
exports.Txt20 = Txt20;
exports.Txt24 = Txt24;
exports.Txt32 = Txt32;
exports.TypePattern16 = TypePattern16;
exports.TypePattern20 = TypePattern20;
exports.TypePattern24 = TypePattern24;
exports.TypePattern32 = TypePattern32;
exports.Types16 = Types16;
exports.Types20 = Types20;
exports.Types24 = Types24;
exports.Types32 = Types32;
exports.Undefined16 = Undefined16;
exports.Undefined20 = Undefined20;
exports.Undefined24 = Undefined24;
exports.Undefined32 = Undefined32;
exports.UndefinedFilled16 = UndefinedFilled16;
exports.UndefinedFilled20 = UndefinedFilled20;
exports.UndefinedFilled24 = UndefinedFilled24;
exports.UndefinedFilled32 = UndefinedFilled32;
exports.Undo16 = Undo16;
exports.Undo20 = Undo20;
exports.Undo24 = Undo24;
exports.Undo32 = Undo32;
exports.Unknown16 = Unknown16;
exports.Unknown20 = Unknown20;
exports.Unknown24 = Unknown24;
exports.Unknown32 = Unknown32;
exports.UnknownFilled16 = UnknownFilled16;
exports.UnknownFilled20 = UnknownFilled20;
exports.UnknownFilled24 = UnknownFilled24;
exports.UnknownFilled32 = UnknownFilled32;
exports.Unlink16 = Unlink16;
exports.Unlink20 = Unlink20;
exports.Unlink24 = Unlink24;
exports.Unlink32 = Unlink32;
exports.Unlocked16 = Unlocked16;
exports.Unlocked20 = Unlocked20;
exports.Unlocked24 = Unlocked24;
exports.Unlocked32 = Unlocked32;
exports.UpToTop16 = UpToTop16;
exports.UpToTop20 = UpToTop20;
exports.UpToTop24 = UpToTop24;
exports.UpToTop32 = UpToTop32;
exports.Upload16 = Upload16;
exports.Upload20 = Upload20;
exports.Upload24 = Upload24;
exports.Upload32 = Upload32;
exports.Usb16 = Usb16;
exports.Usb20 = Usb20;
exports.Usb24 = Usb24;
exports.Usb32 = Usb32;
exports.User16 = User16;
exports.User20 = User20;
exports.User24 = User24;
exports.User32 = User32;
exports.UserActivity16 = UserActivity16;
exports.UserActivity20 = UserActivity20;
exports.UserActivity24 = UserActivity24;
exports.UserActivity32 = UserActivity32;
exports.UserAdmin16 = UserAdmin16;
exports.UserAdmin20 = UserAdmin20;
exports.UserAdmin24 = UserAdmin24;
exports.UserAdmin32 = UserAdmin32;
exports.UserAvatar16 = UserAvatar16;
exports.UserAvatar20 = UserAvatar20;
exports.UserAvatar24 = UserAvatar24;
exports.UserAvatar32 = UserAvatar32;
exports.UserAvatarFilled16 = UserAvatarFilled16;
exports.UserAvatarFilled20 = UserAvatarFilled20;
exports.UserAvatarFilled24 = UserAvatarFilled24;
exports.UserAvatarFilled32 = UserAvatarFilled32;
exports.UserAvatarFilledAlt16 = UserAvatarFilledAlt16;
exports.UserAvatarFilledAlt20 = UserAvatarFilledAlt20;
exports.UserAvatarFilledAlt24 = UserAvatarFilledAlt24;
exports.UserAvatarFilledAlt32 = UserAvatarFilledAlt32;
exports.UserCertification16 = UserCertification16;
exports.UserCertification20 = UserCertification20;
exports.UserCertification24 = UserCertification24;
exports.UserCertification32 = UserCertification32;
exports.UserData16 = UserData16;
exports.UserData20 = UserData20;
exports.UserData24 = UserData24;
exports.UserData32 = UserData32;
exports.UserFavorite16 = UserFavorite16;
exports.UserFavorite20 = UserFavorite20;
exports.UserFavorite24 = UserFavorite24;
exports.UserFavorite32 = UserFavorite32;
exports.UserFavoriteAlt16 = UserFavoriteAlt16;
exports.UserFavoriteAlt20 = UserFavoriteAlt20;
exports.UserFavoriteAlt24 = UserFavoriteAlt24;
exports.UserFavoriteAlt32 = UserFavoriteAlt32;
exports.UserFavoriteAltFilled16 = UserFavoriteAltFilled16;
exports.UserFavoriteAltFilled20 = UserFavoriteAltFilled20;
exports.UserFavoriteAltFilled24 = UserFavoriteAltFilled24;
exports.UserFavoriteAltFilled32 = UserFavoriteAltFilled32;
exports.UserFilled16 = UserFilled16;
exports.UserFilled20 = UserFilled20;
exports.UserFilled24 = UserFilled24;
exports.UserFilled32 = UserFilled32;
exports.UserFollow16 = UserFollow16;
exports.UserFollow20 = UserFollow20;
exports.UserFollow24 = UserFollow24;
exports.UserFollow32 = UserFollow32;
exports.UserIdentification16 = UserIdentification16;
exports.UserIdentification20 = UserIdentification20;
exports.UserIdentification24 = UserIdentification24;
exports.UserIdentification32 = UserIdentification32;
exports.UserOnline16 = UserOnline16;
exports.UserOnline20 = UserOnline20;
exports.UserOnline24 = UserOnline24;
exports.UserOnline32 = UserOnline32;
exports.UserProfile16 = UserProfile16;
exports.UserProfile20 = UserProfile20;
exports.UserProfile24 = UserProfile24;
exports.UserProfile32 = UserProfile32;
exports.UserProfileAlt16 = UserProfileAlt16;
exports.UserProfileAlt20 = UserProfileAlt20;
exports.UserProfileAlt24 = UserProfileAlt24;
exports.UserProfileAlt32 = UserProfileAlt32;
exports.UserRole16 = UserRole16;
exports.UserRole20 = UserRole20;
exports.UserRole24 = UserRole24;
exports.UserRole32 = UserRole32;
exports.UserSimulation16 = UserSimulation16;
exports.UserSimulation20 = UserSimulation20;
exports.UserSimulation24 = UserSimulation24;
exports.UserSimulation32 = UserSimulation32;
exports.UserSpeaker16 = UserSpeaker16;
exports.UserSpeaker20 = UserSpeaker20;
exports.UserSpeaker24 = UserSpeaker24;
exports.UserSpeaker32 = UserSpeaker32;
exports.UserXRay16 = UserXRay16;
exports.UserXRay20 = UserXRay20;
exports.UserXRay24 = UserXRay24;
exports.UserXRay32 = UserXRay32;
exports.Van16 = Van16;
exports.Van20 = Van20;
exports.Van24 = Van24;
exports.Van32 = Van32;
exports.Video16 = Video16;
exports.Video20 = Video20;
exports.Video24 = Video24;
exports.Video32 = Video32;
exports.VideoAdd16 = VideoAdd16;
exports.VideoAdd20 = VideoAdd20;
exports.VideoAdd24 = VideoAdd24;
exports.VideoAdd32 = VideoAdd32;
exports.VideoChat16 = VideoChat16;
exports.VideoChat20 = VideoChat20;
exports.VideoChat24 = VideoChat24;
exports.VideoChat32 = VideoChat32;
exports.VideoFilled16 = VideoFilled16;
exports.VideoFilled20 = VideoFilled20;
exports.VideoFilled24 = VideoFilled24;
exports.VideoFilled32 = VideoFilled32;
exports.VideoOff16 = VideoOff16;
exports.VideoOff20 = VideoOff20;
exports.VideoOff24 = VideoOff24;
exports.VideoOff32 = VideoOff32;
exports.VideoOffFilled16 = VideoOffFilled16;
exports.VideoOffFilled20 = VideoOffFilled20;
exports.VideoOffFilled24 = VideoOffFilled24;
exports.VideoOffFilled32 = VideoOffFilled32;
exports.View16 = View16;
exports.View20 = View20;
exports.View24 = View24;
exports.View32 = View32;
exports.ViewFilled16 = ViewFilled16;
exports.ViewFilled20 = ViewFilled20;
exports.ViewFilled24 = ViewFilled24;
exports.ViewFilled32 = ViewFilled32;
exports.ViewMode_116 = ViewMode_116;
exports.ViewMode_120 = ViewMode_120;
exports.ViewMode_124 = ViewMode_124;
exports.ViewMode_132 = ViewMode_132;
exports.ViewMode_216 = ViewMode_216;
exports.ViewMode_220 = ViewMode_220;
exports.ViewMode_224 = ViewMode_224;
exports.ViewMode_232 = ViewMode_232;
exports.ViewOff16 = ViewOff16;
exports.ViewOff20 = ViewOff20;
exports.ViewOff24 = ViewOff24;
exports.ViewOff32 = ViewOff32;
exports.ViewOffFilled16 = ViewOffFilled16;
exports.ViewOffFilled20 = ViewOffFilled20;
exports.ViewOffFilled24 = ViewOffFilled24;
exports.ViewOffFilled32 = ViewOffFilled32;
exports.VirtualColumn16 = VirtualColumn16;
exports.VirtualColumn20 = VirtualColumn20;
exports.VirtualColumn24 = VirtualColumn24;
exports.VirtualColumn32 = VirtualColumn32;
exports.VirtualColumnKey16 = VirtualColumnKey16;
exports.VirtualColumnKey20 = VirtualColumnKey20;
exports.VirtualColumnKey24 = VirtualColumnKey24;
exports.VirtualColumnKey32 = VirtualColumnKey32;
exports.VirtualMachine16 = VirtualMachine16;
exports.VirtualMachine20 = VirtualMachine20;
exports.VirtualMachine24 = VirtualMachine24;
exports.VirtualMachine32 = VirtualMachine32;
exports.VirtualPrivateCloud16 = VirtualPrivateCloud16;
exports.VirtualPrivateCloud20 = VirtualPrivateCloud20;
exports.VirtualPrivateCloud24 = VirtualPrivateCloud24;
exports.VirtualPrivateCloud32 = VirtualPrivateCloud32;
exports.VirtualPrivateCloudAlt16 = VirtualPrivateCloudAlt16;
exports.VirtualPrivateCloudAlt20 = VirtualPrivateCloudAlt20;
exports.VirtualPrivateCloudAlt24 = VirtualPrivateCloudAlt24;
exports.VirtualPrivateCloudAlt32 = VirtualPrivateCloudAlt32;
exports.VisualRecognition16 = VisualRecognition16;
exports.VisualRecognition20 = VisualRecognition20;
exports.VisualRecognition24 = VisualRecognition24;
exports.VisualRecognition32 = VisualRecognition32;
exports.VmdkDisk16 = VmdkDisk16;
exports.VmdkDisk20 = VmdkDisk20;
exports.VmdkDisk24 = VmdkDisk24;
exports.VmdkDisk32 = VmdkDisk32;
exports.Voicemail16 = Voicemail16;
exports.Voicemail20 = Voicemail20;
exports.Voicemail24 = Voicemail24;
exports.Voicemail32 = Voicemail32;
exports.VolumeDown16 = VolumeDown16;
exports.VolumeDown20 = VolumeDown20;
exports.VolumeDown24 = VolumeDown24;
exports.VolumeDown32 = VolumeDown32;
exports.VolumeDownFilled16 = VolumeDownFilled16;
exports.VolumeDownFilled20 = VolumeDownFilled20;
exports.VolumeDownFilled24 = VolumeDownFilled24;
exports.VolumeDownFilled32 = VolumeDownFilled32;
exports.VolumeMute16 = VolumeMute16;
exports.VolumeMute20 = VolumeMute20;
exports.VolumeMute24 = VolumeMute24;
exports.VolumeMute32 = VolumeMute32;
exports.VolumeMuteFilled16 = VolumeMuteFilled16;
exports.VolumeMuteFilled20 = VolumeMuteFilled20;
exports.VolumeMuteFilled24 = VolumeMuteFilled24;
exports.VolumeMuteFilled32 = VolumeMuteFilled32;
exports.VolumeUp16 = VolumeUp16;
exports.VolumeUp20 = VolumeUp20;
exports.VolumeUp24 = VolumeUp24;
exports.VolumeUp32 = VolumeUp32;
exports.VolumeUpFilled16 = VolumeUpFilled16;
exports.VolumeUpFilled20 = VolumeUpFilled20;
exports.VolumeUpFilled24 = VolumeUpFilled24;
exports.VolumeUpFilled32 = VolumeUpFilled32;
exports.Vpn16 = Vpn16;
exports.Vpn20 = Vpn20;
exports.Vpn24 = Vpn24;
exports.Vpn32 = Vpn32;
exports.Wallet16 = Wallet16;
exports.Wallet20 = Wallet20;
exports.Wallet24 = Wallet24;
exports.Wallet32 = Wallet32;
exports.Warning16 = Warning16;
exports.Warning20 = Warning20;
exports.Warning24 = Warning24;
exports.Warning32 = Warning32;
exports.WarningAlt16 = WarningAlt16;
exports.WarningAlt20 = WarningAlt20;
exports.WarningAlt24 = WarningAlt24;
exports.WarningAlt32 = WarningAlt32;
exports.WarningAltFilled16 = WarningAltFilled16;
exports.WarningAltFilled20 = WarningAltFilled20;
exports.WarningAltFilled24 = WarningAltFilled24;
exports.WarningAltFilled32 = WarningAltFilled32;
exports.WarningAltInverted16 = WarningAltInverted16;
exports.WarningAltInverted20 = WarningAltInverted20;
exports.WarningAltInverted24 = WarningAltInverted24;
exports.WarningAltInverted32 = WarningAltInverted32;
exports.WarningAltInvertedFilled16 = WarningAltInvertedFilled16;
exports.WarningAltInvertedFilled20 = WarningAltInvertedFilled20;
exports.WarningAltInvertedFilled24 = WarningAltInvertedFilled24;
exports.WarningAltInvertedFilled32 = WarningAltInvertedFilled32;
exports.WarningFilled16 = WarningFilled16;
exports.WarningFilled20 = WarningFilled20;
exports.WarningFilled24 = WarningFilled24;
exports.WarningFilled32 = WarningFilled32;
exports.WarningSquare16 = WarningSquare16;
exports.WarningSquare20 = WarningSquare20;
exports.WarningSquare24 = WarningSquare24;
exports.WarningSquare32 = WarningSquare32;
exports.WarningSquareFilled16 = WarningSquareFilled16;
exports.WarningSquareFilled20 = WarningSquareFilled20;
exports.WarningSquareFilled24 = WarningSquareFilled24;
exports.WarningSquareFilled32 = WarningSquareFilled32;
exports.Watch16 = Watch16;
exports.Watch20 = Watch20;
exports.Watch24 = Watch24;
exports.Watch32 = Watch32;
exports.Watson16 = Watson16;
exports.Watson20 = Watson20;
exports.Watson24 = Watson24;
exports.Watson32 = Watson32;
exports.WatsonHealth3DCursor16 = WatsonHealth3DCursor16;
exports.WatsonHealth3DCursor20 = WatsonHealth3DCursor20;
exports.WatsonHealth3DCursor24 = WatsonHealth3DCursor24;
exports.WatsonHealth3DCursor32 = WatsonHealth3DCursor32;
exports.WatsonHealth3DCursorAlt16 = WatsonHealth3DCursorAlt16;
exports.WatsonHealth3DCursorAlt20 = WatsonHealth3DCursorAlt20;
exports.WatsonHealth3DCursorAlt24 = WatsonHealth3DCursorAlt24;
exports.WatsonHealth3DCursorAlt32 = WatsonHealth3DCursorAlt32;
exports.WatsonHealth3DCurveAutoColon16 = WatsonHealth3DCurveAutoColon16;
exports.WatsonHealth3DCurveAutoColon20 = WatsonHealth3DCurveAutoColon20;
exports.WatsonHealth3DCurveAutoColon24 = WatsonHealth3DCurveAutoColon24;
exports.WatsonHealth3DCurveAutoColon32 = WatsonHealth3DCurveAutoColon32;
exports.WatsonHealth3DCurveAutoVessels16 = WatsonHealth3DCurveAutoVessels16;
exports.WatsonHealth3DCurveAutoVessels20 = WatsonHealth3DCurveAutoVessels20;
exports.WatsonHealth3DCurveAutoVessels24 = WatsonHealth3DCurveAutoVessels24;
exports.WatsonHealth3DCurveAutoVessels32 = WatsonHealth3DCurveAutoVessels32;
exports.WatsonHealth3DCurveManual16 = WatsonHealth3DCurveManual16;
exports.WatsonHealth3DCurveManual20 = WatsonHealth3DCurveManual20;
exports.WatsonHealth3DCurveManual24 = WatsonHealth3DCurveManual24;
exports.WatsonHealth3DCurveManual32 = WatsonHealth3DCurveManual32;
exports.WatsonHealth3DICa16 = WatsonHealth3DICa16;
exports.WatsonHealth3DICa20 = WatsonHealth3DICa20;
exports.WatsonHealth3DICa24 = WatsonHealth3DICa24;
exports.WatsonHealth3DICa32 = WatsonHealth3DICa32;
exports.WatsonHealth3DMprToggle16 = WatsonHealth3DMprToggle16;
exports.WatsonHealth3DMprToggle20 = WatsonHealth3DMprToggle20;
exports.WatsonHealth3DMprToggle24 = WatsonHealth3DMprToggle24;
exports.WatsonHealth3DMprToggle32 = WatsonHealth3DMprToggle32;
exports.WatsonHealth3DSoftware16 = WatsonHealth3DSoftware16;
exports.WatsonHealth3DSoftware20 = WatsonHealth3DSoftware20;
exports.WatsonHealth3DSoftware24 = WatsonHealth3DSoftware24;
exports.WatsonHealth3DSoftware32 = WatsonHealth3DSoftware32;
exports.WatsonHealth3rdPartyConnected16 = WatsonHealth3rdPartyConnected16;
exports.WatsonHealth3rdPartyConnected20 = WatsonHealth3rdPartyConnected20;
exports.WatsonHealth3rdPartyConnected24 = WatsonHealth3rdPartyConnected24;
exports.WatsonHealth3rdPartyConnected32 = WatsonHealth3rdPartyConnected32;
exports.WatsonHealthAngle16 = WatsonHealthAngle16;
exports.WatsonHealthAngle20 = WatsonHealthAngle20;
exports.WatsonHealthAngle24 = WatsonHealthAngle24;
exports.WatsonHealthAngle32 = WatsonHealthAngle32;
exports.WatsonHealthAnnotationVisibility16 = WatsonHealthAnnotationVisibility16;
exports.WatsonHealthAnnotationVisibility20 = WatsonHealthAnnotationVisibility20;
exports.WatsonHealthAnnotationVisibility24 = WatsonHealthAnnotationVisibility24;
exports.WatsonHealthAnnotationVisibility32 = WatsonHealthAnnotationVisibility32;
exports.WatsonHealthArrowAnnotation16 = WatsonHealthArrowAnnotation16;
exports.WatsonHealthArrowAnnotation20 = WatsonHealthArrowAnnotation20;
exports.WatsonHealthArrowAnnotation24 = WatsonHealthArrowAnnotation24;
exports.WatsonHealthArrowAnnotation32 = WatsonHealthArrowAnnotation32;
exports.WatsonHealthAutoScroll16 = WatsonHealthAutoScroll16;
exports.WatsonHealthAutoScroll20 = WatsonHealthAutoScroll20;
exports.WatsonHealthAutoScroll24 = WatsonHealthAutoScroll24;
exports.WatsonHealthAutoScroll32 = WatsonHealthAutoScroll32;
exports.WatsonHealthCdArchive16 = WatsonHealthCdArchive16;
exports.WatsonHealthCdArchive20 = WatsonHealthCdArchive20;
exports.WatsonHealthCdArchive24 = WatsonHealthCdArchive24;
exports.WatsonHealthCdArchive32 = WatsonHealthCdArchive32;
exports.WatsonHealthCdCreateArchive16 = WatsonHealthCdCreateArchive16;
exports.WatsonHealthCdCreateArchive20 = WatsonHealthCdCreateArchive20;
exports.WatsonHealthCdCreateArchive24 = WatsonHealthCdCreateArchive24;
exports.WatsonHealthCdCreateArchive32 = WatsonHealthCdCreateArchive32;
exports.WatsonHealthCdCreateExchange16 = WatsonHealthCdCreateExchange16;
exports.WatsonHealthCdCreateExchange20 = WatsonHealthCdCreateExchange20;
exports.WatsonHealthCdCreateExchange24 = WatsonHealthCdCreateExchange24;
exports.WatsonHealthCdCreateExchange32 = WatsonHealthCdCreateExchange32;
exports.WatsonHealthCircleMeasurement16 = WatsonHealthCircleMeasurement16;
exports.WatsonHealthCircleMeasurement20 = WatsonHealthCircleMeasurement20;
exports.WatsonHealthCircleMeasurement24 = WatsonHealthCircleMeasurement24;
exports.WatsonHealthCircleMeasurement32 = WatsonHealthCircleMeasurement32;
exports.WatsonHealthCobbAngle16 = WatsonHealthCobbAngle16;
exports.WatsonHealthCobbAngle20 = WatsonHealthCobbAngle20;
exports.WatsonHealthCobbAngle24 = WatsonHealthCobbAngle24;
exports.WatsonHealthCobbAngle32 = WatsonHealthCobbAngle32;
exports.WatsonHealthCrossReference16 = WatsonHealthCrossReference16;
exports.WatsonHealthCrossReference20 = WatsonHealthCrossReference20;
exports.WatsonHealthCrossReference24 = WatsonHealthCrossReference24;
exports.WatsonHealthCrossReference32 = WatsonHealthCrossReference32;
exports.WatsonHealthDenominate16 = WatsonHealthDenominate16;
exports.WatsonHealthDenominate20 = WatsonHealthDenominate20;
exports.WatsonHealthDenominate24 = WatsonHealthDenominate24;
exports.WatsonHealthDenominate32 = WatsonHealthDenominate32;
exports.WatsonHealthDicomOverlay16 = WatsonHealthDicomOverlay16;
exports.WatsonHealthDicomOverlay20 = WatsonHealthDicomOverlay20;
exports.WatsonHealthDicomOverlay24 = WatsonHealthDicomOverlay24;
exports.WatsonHealthDicomOverlay32 = WatsonHealthDicomOverlay32;
exports.WatsonHealthDicom_600016 = WatsonHealthDicom_600016;
exports.WatsonHealthDicom_600020 = WatsonHealthDicom_600020;
exports.WatsonHealthDicom_600024 = WatsonHealthDicom_600024;
exports.WatsonHealthDicom_600032 = WatsonHealthDicom_600032;
exports.WatsonHealthDna16 = WatsonHealthDna16;
exports.WatsonHealthDna20 = WatsonHealthDna20;
exports.WatsonHealthDna24 = WatsonHealthDna24;
exports.WatsonHealthDna32 = WatsonHealthDna32;
exports.WatsonHealthDownloadStudy16 = WatsonHealthDownloadStudy16;
exports.WatsonHealthDownloadStudy20 = WatsonHealthDownloadStudy20;
exports.WatsonHealthDownloadStudy24 = WatsonHealthDownloadStudy24;
exports.WatsonHealthDownloadStudy32 = WatsonHealthDownloadStudy32;
exports.WatsonHealthEdgeEnhancement16 = WatsonHealthEdgeEnhancement16;
exports.WatsonHealthEdgeEnhancement20 = WatsonHealthEdgeEnhancement20;
exports.WatsonHealthEdgeEnhancement24 = WatsonHealthEdgeEnhancement24;
exports.WatsonHealthEdgeEnhancement32 = WatsonHealthEdgeEnhancement32;
exports.WatsonHealthEditFilter16 = WatsonHealthEditFilter16;
exports.WatsonHealthEditFilter20 = WatsonHealthEditFilter20;
exports.WatsonHealthEditFilter24 = WatsonHealthEditFilter24;
exports.WatsonHealthEditFilter32 = WatsonHealthEditFilter32;
exports.WatsonHealthErase_3D16 = WatsonHealthErase_3D16;
exports.WatsonHealthErase_3D20 = WatsonHealthErase_3D20;
exports.WatsonHealthErase_3D24 = WatsonHealthErase_3D24;
exports.WatsonHealthErase_3D32 = WatsonHealthErase_3D32;
exports.WatsonHealthFusionBlender16 = WatsonHealthFusionBlender16;
exports.WatsonHealthFusionBlender20 = WatsonHealthFusionBlender20;
exports.WatsonHealthFusionBlender24 = WatsonHealthFusionBlender24;
exports.WatsonHealthFusionBlender32 = WatsonHealthFusionBlender32;
exports.WatsonHealthHangingProtocol16 = WatsonHealthHangingProtocol16;
exports.WatsonHealthHangingProtocol20 = WatsonHealthHangingProtocol20;
exports.WatsonHealthHangingProtocol24 = WatsonHealthHangingProtocol24;
exports.WatsonHealthHangingProtocol32 = WatsonHealthHangingProtocol32;
exports.WatsonHealthHoleFilling16 = WatsonHealthHoleFilling16;
exports.WatsonHealthHoleFilling20 = WatsonHealthHoleFilling20;
exports.WatsonHealthHoleFilling24 = WatsonHealthHoleFilling24;
exports.WatsonHealthHoleFilling32 = WatsonHealthHoleFilling32;
exports.WatsonHealthHoleFillingCursor16 = WatsonHealthHoleFillingCursor16;
exports.WatsonHealthHoleFillingCursor20 = WatsonHealthHoleFillingCursor20;
exports.WatsonHealthHoleFillingCursor24 = WatsonHealthHoleFillingCursor24;
exports.WatsonHealthHoleFillingCursor32 = WatsonHealthHoleFillingCursor32;
exports.WatsonHealthICa_2D16 = WatsonHealthICa_2D16;
exports.WatsonHealthICa_2D20 = WatsonHealthICa_2D20;
exports.WatsonHealthICa_2D24 = WatsonHealthICa_2D24;
exports.WatsonHealthICa_2D32 = WatsonHealthICa_2D32;
exports.WatsonHealthInteractiveSegmentationCursor16 = WatsonHealthInteractiveSegmentationCursor16;
exports.WatsonHealthInteractiveSegmentationCursor20 = WatsonHealthInteractiveSegmentationCursor20;
exports.WatsonHealthInteractiveSegmentationCursor24 = WatsonHealthInteractiveSegmentationCursor24;
exports.WatsonHealthInteractiveSegmentationCursor32 = WatsonHealthInteractiveSegmentationCursor32;
exports.WatsonHealthLaunchStudy_116 = WatsonHealthLaunchStudy_116;
exports.WatsonHealthLaunchStudy_120 = WatsonHealthLaunchStudy_120;
exports.WatsonHealthLaunchStudy_124 = WatsonHealthLaunchStudy_124;
exports.WatsonHealthLaunchStudy_132 = WatsonHealthLaunchStudy_132;
exports.WatsonHealthLaunchStudy_216 = WatsonHealthLaunchStudy_216;
exports.WatsonHealthLaunchStudy_220 = WatsonHealthLaunchStudy_220;
exports.WatsonHealthLaunchStudy_224 = WatsonHealthLaunchStudy_224;
exports.WatsonHealthLaunchStudy_232 = WatsonHealthLaunchStudy_232;
exports.WatsonHealthLaunchStudy_316 = WatsonHealthLaunchStudy_316;
exports.WatsonHealthLaunchStudy_320 = WatsonHealthLaunchStudy_320;
exports.WatsonHealthLaunchStudy_324 = WatsonHealthLaunchStudy_324;
exports.WatsonHealthLaunchStudy_332 = WatsonHealthLaunchStudy_332;
exports.WatsonHealthMagnify16 = WatsonHealthMagnify16;
exports.WatsonHealthMagnify20 = WatsonHealthMagnify20;
exports.WatsonHealthMagnify24 = WatsonHealthMagnify24;
exports.WatsonHealthMagnify32 = WatsonHealthMagnify32;
exports.WatsonHealthMammogram16 = WatsonHealthMammogram16;
exports.WatsonHealthMammogram20 = WatsonHealthMammogram20;
exports.WatsonHealthMammogram24 = WatsonHealthMammogram24;
exports.WatsonHealthMammogram32 = WatsonHealthMammogram32;
exports.WatsonHealthNominate16 = WatsonHealthNominate16;
exports.WatsonHealthNominate20 = WatsonHealthNominate20;
exports.WatsonHealthNominate24 = WatsonHealthNominate24;
exports.WatsonHealthNominate32 = WatsonHealthNominate32;
exports.WatsonHealthPageScroll16 = WatsonHealthPageScroll16;
exports.WatsonHealthPageScroll20 = WatsonHealthPageScroll20;
exports.WatsonHealthPageScroll24 = WatsonHealthPageScroll24;
exports.WatsonHealthPageScroll32 = WatsonHealthPageScroll32;
exports.WatsonHealthPetImageB16 = WatsonHealthPetImageB16;
exports.WatsonHealthPetImageB20 = WatsonHealthPetImageB20;
exports.WatsonHealthPetImageB24 = WatsonHealthPetImageB24;
exports.WatsonHealthPetImageB32 = WatsonHealthPetImageB32;
exports.WatsonHealthPetImageO16 = WatsonHealthPetImageO16;
exports.WatsonHealthPetImageO20 = WatsonHealthPetImageO20;
exports.WatsonHealthPetImageO24 = WatsonHealthPetImageO24;
exports.WatsonHealthPetImageO32 = WatsonHealthPetImageO32;
exports.WatsonHealthPointerText16 = WatsonHealthPointerText16;
exports.WatsonHealthPointerText20 = WatsonHealthPointerText20;
exports.WatsonHealthPointerText24 = WatsonHealthPointerText24;
exports.WatsonHealthPointerText32 = WatsonHealthPointerText32;
exports.WatsonHealthRegionAnalysisArea16 = WatsonHealthRegionAnalysisArea16;
exports.WatsonHealthRegionAnalysisArea20 = WatsonHealthRegionAnalysisArea20;
exports.WatsonHealthRegionAnalysisArea24 = WatsonHealthRegionAnalysisArea24;
exports.WatsonHealthRegionAnalysisArea32 = WatsonHealthRegionAnalysisArea32;
exports.WatsonHealthRegionAnalysisVolume16 = WatsonHealthRegionAnalysisVolume16;
exports.WatsonHealthRegionAnalysisVolume20 = WatsonHealthRegionAnalysisVolume20;
exports.WatsonHealthRegionAnalysisVolume24 = WatsonHealthRegionAnalysisVolume24;
exports.WatsonHealthRegionAnalysisVolume32 = WatsonHealthRegionAnalysisVolume32;
exports.WatsonHealthRegistration16 = WatsonHealthRegistration16;
exports.WatsonHealthRegistration20 = WatsonHealthRegistration20;
exports.WatsonHealthRegistration24 = WatsonHealthRegistration24;
exports.WatsonHealthRegistration32 = WatsonHealthRegistration32;
exports.WatsonHealthRotate_18016 = WatsonHealthRotate_18016;
exports.WatsonHealthRotate_18020 = WatsonHealthRotate_18020;
exports.WatsonHealthRotate_18024 = WatsonHealthRotate_18024;
exports.WatsonHealthRotate_18032 = WatsonHealthRotate_18032;
exports.WatsonHealthRotate_36016 = WatsonHealthRotate_36016;
exports.WatsonHealthRotate_36020 = WatsonHealthRotate_36020;
exports.WatsonHealthRotate_36024 = WatsonHealthRotate_36024;
exports.WatsonHealthRotate_36032 = WatsonHealthRotate_36032;
exports.WatsonHealthSaveAnnotation16 = WatsonHealthSaveAnnotation16;
exports.WatsonHealthSaveAnnotation20 = WatsonHealthSaveAnnotation20;
exports.WatsonHealthSaveAnnotation24 = WatsonHealthSaveAnnotation24;
exports.WatsonHealthSaveAnnotation32 = WatsonHealthSaveAnnotation32;
exports.WatsonHealthSaveImage16 = WatsonHealthSaveImage16;
exports.WatsonHealthSaveImage20 = WatsonHealthSaveImage20;
exports.WatsonHealthSaveImage24 = WatsonHealthSaveImage24;
exports.WatsonHealthSaveImage32 = WatsonHealthSaveImage32;
exports.WatsonHealthSaveSeries16 = WatsonHealthSaveSeries16;
exports.WatsonHealthSaveSeries20 = WatsonHealthSaveSeries20;
exports.WatsonHealthSaveSeries24 = WatsonHealthSaveSeries24;
exports.WatsonHealthSaveSeries32 = WatsonHealthSaveSeries32;
exports.WatsonHealthScalpelCursor16 = WatsonHealthScalpelCursor16;
exports.WatsonHealthScalpelCursor20 = WatsonHealthScalpelCursor20;
exports.WatsonHealthScalpelCursor24 = WatsonHealthScalpelCursor24;
exports.WatsonHealthScalpelCursor32 = WatsonHealthScalpelCursor32;
exports.WatsonHealthScalpelLasso16 = WatsonHealthScalpelLasso16;
exports.WatsonHealthScalpelLasso20 = WatsonHealthScalpelLasso20;
exports.WatsonHealthScalpelLasso24 = WatsonHealthScalpelLasso24;
exports.WatsonHealthScalpelLasso32 = WatsonHealthScalpelLasso32;
exports.WatsonHealthScalpelSelect16 = WatsonHealthScalpelSelect16;
exports.WatsonHealthScalpelSelect20 = WatsonHealthScalpelSelect20;
exports.WatsonHealthScalpelSelect24 = WatsonHealthScalpelSelect24;
exports.WatsonHealthScalpelSelect32 = WatsonHealthScalpelSelect32;
exports.WatsonHealthSmoothing16 = WatsonHealthSmoothing16;
exports.WatsonHealthSmoothing20 = WatsonHealthSmoothing20;
exports.WatsonHealthSmoothing24 = WatsonHealthSmoothing24;
exports.WatsonHealthSmoothing32 = WatsonHealthSmoothing32;
exports.WatsonHealthSmoothingCursor16 = WatsonHealthSmoothingCursor16;
exports.WatsonHealthSmoothingCursor20 = WatsonHealthSmoothingCursor20;
exports.WatsonHealthSmoothingCursor24 = WatsonHealthSmoothingCursor24;
exports.WatsonHealthSmoothingCursor32 = WatsonHealthSmoothingCursor32;
exports.WatsonHealthSpineLabel16 = WatsonHealthSpineLabel16;
exports.WatsonHealthSpineLabel20 = WatsonHealthSpineLabel20;
exports.WatsonHealthSpineLabel24 = WatsonHealthSpineLabel24;
exports.WatsonHealthSpineLabel32 = WatsonHealthSpineLabel32;
exports.WatsonHealthStackedMove16 = WatsonHealthStackedMove16;
exports.WatsonHealthStackedMove20 = WatsonHealthStackedMove20;
exports.WatsonHealthStackedMove24 = WatsonHealthStackedMove24;
exports.WatsonHealthStackedMove32 = WatsonHealthStackedMove32;
exports.WatsonHealthStackedScrolling_116 = WatsonHealthStackedScrolling_116;
exports.WatsonHealthStackedScrolling_120 = WatsonHealthStackedScrolling_120;
exports.WatsonHealthStackedScrolling_124 = WatsonHealthStackedScrolling_124;
exports.WatsonHealthStackedScrolling_132 = WatsonHealthStackedScrolling_132;
exports.WatsonHealthStackedScrolling_216 = WatsonHealthStackedScrolling_216;
exports.WatsonHealthStackedScrolling_220 = WatsonHealthStackedScrolling_220;
exports.WatsonHealthStackedScrolling_224 = WatsonHealthStackedScrolling_224;
exports.WatsonHealthStackedScrolling_232 = WatsonHealthStackedScrolling_232;
exports.WatsonHealthStressBreathEditor16 = WatsonHealthStressBreathEditor16;
exports.WatsonHealthStressBreathEditor20 = WatsonHealthStressBreathEditor20;
exports.WatsonHealthStressBreathEditor24 = WatsonHealthStressBreathEditor24;
exports.WatsonHealthStressBreathEditor32 = WatsonHealthStressBreathEditor32;
exports.WatsonHealthStudyNext16 = WatsonHealthStudyNext16;
exports.WatsonHealthStudyNext20 = WatsonHealthStudyNext20;
exports.WatsonHealthStudyNext24 = WatsonHealthStudyNext24;
exports.WatsonHealthStudyNext32 = WatsonHealthStudyNext32;
exports.WatsonHealthStudyPrevious16 = WatsonHealthStudyPrevious16;
exports.WatsonHealthStudyPrevious20 = WatsonHealthStudyPrevious20;
exports.WatsonHealthStudyPrevious24 = WatsonHealthStudyPrevious24;
exports.WatsonHealthStudyPrevious32 = WatsonHealthStudyPrevious32;
exports.WatsonHealthStudySkip16 = WatsonHealthStudySkip16;
exports.WatsonHealthStudySkip20 = WatsonHealthStudySkip20;
exports.WatsonHealthStudySkip24 = WatsonHealthStudySkip24;
exports.WatsonHealthStudySkip32 = WatsonHealthStudySkip32;
exports.WatsonHealthTextAnnotationToggle16 = WatsonHealthTextAnnotationToggle16;
exports.WatsonHealthTextAnnotationToggle20 = WatsonHealthTextAnnotationToggle20;
exports.WatsonHealthTextAnnotationToggle24 = WatsonHealthTextAnnotationToggle24;
exports.WatsonHealthTextAnnotationToggle32 = WatsonHealthTextAnnotationToggle32;
exports.WatsonHealthThumbnailPreview16 = WatsonHealthThumbnailPreview16;
exports.WatsonHealthThumbnailPreview20 = WatsonHealthThumbnailPreview20;
exports.WatsonHealthThumbnailPreview24 = WatsonHealthThumbnailPreview24;
exports.WatsonHealthThumbnailPreview32 = WatsonHealthThumbnailPreview32;
exports.WatsonHealthWindowAuto16 = WatsonHealthWindowAuto16;
exports.WatsonHealthWindowAuto20 = WatsonHealthWindowAuto20;
exports.WatsonHealthWindowAuto24 = WatsonHealthWindowAuto24;
exports.WatsonHealthWindowAuto32 = WatsonHealthWindowAuto32;
exports.WatsonHealthWindowBase16 = WatsonHealthWindowBase16;
exports.WatsonHealthWindowBase20 = WatsonHealthWindowBase20;
exports.WatsonHealthWindowBase24 = WatsonHealthWindowBase24;
exports.WatsonHealthWindowBase32 = WatsonHealthWindowBase32;
exports.WatsonHealthWindowOverlay16 = WatsonHealthWindowOverlay16;
exports.WatsonHealthWindowOverlay20 = WatsonHealthWindowOverlay20;
exports.WatsonHealthWindowOverlay24 = WatsonHealthWindowOverlay24;
exports.WatsonHealthWindowOverlay32 = WatsonHealthWindowOverlay32;
exports.WatsonHealthZoomPan16 = WatsonHealthZoomPan16;
exports.WatsonHealthZoomPan20 = WatsonHealthZoomPan20;
exports.WatsonHealthZoomPan24 = WatsonHealthZoomPan24;
exports.WatsonHealthZoomPan32 = WatsonHealthZoomPan32;
exports.WatsonMachineLearning16 = WatsonMachineLearning16;
exports.WatsonMachineLearning20 = WatsonMachineLearning20;
exports.WatsonMachineLearning24 = WatsonMachineLearning24;
exports.WatsonMachineLearning32 = WatsonMachineLearning32;
exports.Wheat16 = Wheat16;
exports.Wheat20 = Wheat20;
exports.Wheat24 = Wheat24;
exports.Wheat32 = Wheat32;
exports.Wifi16 = Wifi16;
exports.Wifi20 = Wifi20;
exports.Wifi24 = Wifi24;
exports.Wifi32 = Wifi32;
exports.WifiOff16 = WifiOff16;
exports.WifiOff20 = WifiOff20;
exports.WifiOff24 = WifiOff24;
exports.WifiOff32 = WifiOff32;
exports.Wikis16 = Wikis16;
exports.Wikis20 = Wikis20;
exports.Wikis24 = Wikis24;
exports.Wikis32 = Wikis32;
exports.Windy16 = Windy16;
exports.Windy20 = Windy20;
exports.Windy24 = Windy24;
exports.Windy32 = Windy32;
exports.WindyDust16 = WindyDust16;
exports.WindyDust20 = WindyDust20;
exports.WindyDust24 = WindyDust24;
exports.WindyDust32 = WindyDust32;
exports.WindySnow16 = WindySnow16;
exports.WindySnow20 = WindySnow20;
exports.WindySnow24 = WindySnow24;
exports.WindySnow32 = WindySnow32;
exports.WindyStrong16 = WindyStrong16;
exports.WindyStrong20 = WindyStrong20;
exports.WindyStrong24 = WindyStrong24;
exports.WindyStrong32 = WindyStrong32;
exports.WintryMix16 = WintryMix16;
exports.WintryMix20 = WintryMix20;
exports.WintryMix24 = WintryMix24;
exports.WintryMix32 = WintryMix32;
exports.WirelessCheckout16 = WirelessCheckout16;
exports.WirelessCheckout20 = WirelessCheckout20;
exports.WirelessCheckout24 = WirelessCheckout24;
exports.WirelessCheckout32 = WirelessCheckout32;
exports.Wmv16 = Wmv16;
exports.Wmv20 = Wmv20;
exports.Wmv24 = Wmv24;
exports.Wmv32 = Wmv32;
exports.Workspace16 = Workspace16;
exports.Workspace20 = Workspace20;
exports.Workspace24 = Workspace24;
exports.Workspace32 = Workspace32;
exports.XAxis16 = XAxis16;
exports.XAxis20 = XAxis20;
exports.XAxis24 = XAxis24;
exports.XAxis32 = XAxis32;
exports.Xls16 = Xls16;
exports.Xls20 = Xls20;
exports.Xls24 = Xls24;
exports.Xls32 = Xls32;
exports.Xml16 = Xml16;
exports.Xml20 = Xml20;
exports.Xml24 = Xml24;
exports.Xml32 = Xml32;
exports.YAxis16 = YAxis16;
exports.YAxis20 = YAxis20;
exports.YAxis24 = YAxis24;
exports.YAxis32 = YAxis32;
exports.ZAxis16 = ZAxis16;
exports.ZAxis20 = ZAxis20;
exports.ZAxis24 = ZAxis24;
exports.ZAxis32 = ZAxis32;
exports.Zip16 = Zip16;
exports.Zip20 = Zip20;
exports.Zip24 = Zip24;
exports.Zip32 = Zip32;
exports.ZoomIn16 = ZoomIn16;
exports.ZoomIn20 = ZoomIn20;
exports.ZoomIn24 = ZoomIn24;
exports.ZoomIn32 = ZoomIn32;
exports.ZoomOut16 = ZoomOut16;
exports.ZoomOut20 = ZoomOut20;
exports.ZoomOut24 = ZoomOut24;
exports.ZoomOut32 = ZoomOut32;
exports.ZoomReset16 = ZoomReset16;
exports.ZoomReset20 = ZoomReset20;
exports.ZoomReset24 = ZoomReset24;
exports.ZoomReset32 = ZoomReset32;
exports._4K16 = _4K16;
exports._4K20 = _4K20;
exports._4K24 = _4K24;
exports._4K32 = _4K32;
exports._4KFilled16 = _4KFilled16;
exports._4KFilled20 = _4KFilled20;
exports._4KFilled24 = _4KFilled24;
exports._4KFilled32 = _4KFilled32;
